/*! sass.js - v0.10.7 (ae544a4) - built 2017-11-14
  providing libsass 3.4.7 (c943792a)
  via emscripten 1.37.0 ()
 */

(function (root, factory) {
  'use strict';
  if (typeof define === 'function' && define.amd) {
    define([], factory);
  } else if (typeof exports === 'object') {
    module.exports = factory();
  } else {
    root.Sass = factory();
  }
}(this, function () {/*global document*/
// identify the path sass.js is located at in case we're loaded by a simple
// <script src="path/to/sass.js"></script>
// this path can be used to identify the location of
// * sass.worker.js from sass.js
// * libsass.js.mem from sass.sync.js
// see https://github.com/medialize/sass.js/pull/32#issuecomment-103142214
// see https://github.com/medialize/sass.js/issues/33
var SASSJS_RELATIVE_PATH = (function() {
  'use strict';

  // in Node things are rather simple
  if (typeof __dirname !== 'undefined') {
    return __dirname;
  }

  // we can only run this test in the browser,
  // so make sure we actually have a DOM to work with.
  if (typeof document === 'undefined' || !document.getElementsByTagName) {
    return null;
  }

  // http://www.2ality.com/2014/05/current-script.html
  var currentScript = document.currentScript || (function() {
    var scripts = document.getElementsByTagName('script');
    return scripts[scripts.length - 1];
  })();

  var path = currentScript && currentScript.src;
  if (!path) {
    return null;
  }

  // [worker] make sure we're not running in some concatenated thing
  if (path.slice(-8) === '/sass.js') {
    return path.slice(0, -8);
  }

  // [sync] make sure we're not running in some concatenated thing
  if (path.slice(-13) === '/sass.sync.js') {
    return path.slice(0, -13);
  }

  return null;
})() || '.';

var Module;if(!Module)Module=(typeof Module!=="undefined"?Module:null)||{};var moduleOverrides={};for(var key in Module){if(Module.hasOwnProperty(key)){moduleOverrides[key]=Module[key]}}var ENVIRONMENT_IS_WEB=false;var ENVIRONMENT_IS_WORKER=false;var ENVIRONMENT_IS_NODE=false;var ENVIRONMENT_IS_SHELL=false;if(Module["ENVIRONMENT"]){if(Module["ENVIRONMENT"]==="WEB"){ENVIRONMENT_IS_WEB=true}else if(Module["ENVIRONMENT"]==="WORKER"){ENVIRONMENT_IS_WORKER=true}else if(Module["ENVIRONMENT"]==="NODE"){ENVIRONMENT_IS_NODE=true}else if(Module["ENVIRONMENT"]==="SHELL"){ENVIRONMENT_IS_SHELL=true}else{throw new Error("The provided Module['ENVIRONMENT'] value is not valid. It must be one of: WEB|WORKER|NODE|SHELL.")}}else{ENVIRONMENT_IS_WEB=typeof window==="object";ENVIRONMENT_IS_WORKER=typeof importScripts==="function";ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof require==="function"&&!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_WORKER;ENVIRONMENT_IS_SHELL=!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_NODE&&!ENVIRONMENT_IS_WORKER}if(ENVIRONMENT_IS_NODE){if(!Module["print"])Module["print"]=console.log;if(!Module["printErr"])Module["printErr"]=console.warn;var nodeFS;var nodePath;Module["read"]=function read(filename,binary){if(!nodeFS)nodeFS=require("fs");if(!nodePath)nodePath=require("path");filename=nodePath["normalize"](filename);var ret=nodeFS["readFileSync"](filename);return binary?ret:ret.toString()};Module["readBinary"]=function readBinary(filename){var ret=Module["read"](filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}assert(ret.buffer);return ret};Module["load"]=function load(f){globalEval(read(f))};if(!Module["thisProgram"]){if(process["argv"].length>1){Module["thisProgram"]=process["argv"][1].replace(/\\/g,"/")}else{Module["thisProgram"]="unknown-program"}}Module["arguments"]=process["argv"].slice(2);if(typeof module!=="undefined"){module["exports"]=Module}process["on"]("uncaughtException",(function(ex){if(!(ex instanceof ExitStatus)){throw ex}}));Module["inspect"]=(function(){return"[Emscripten Module object]"})}else if(ENVIRONMENT_IS_SHELL){if(!Module["print"])Module["print"]=print;if(typeof printErr!="undefined")Module["printErr"]=printErr;if(typeof read!="undefined"){Module["read"]=read}else{Module["read"]=function read(){throw"no read() available"}}Module["readBinary"]=function readBinary(f){if(typeof readbuffer==="function"){return new Uint8Array(readbuffer(f))}var data=read(f,"binary");assert(typeof data==="object");return data};if(typeof scriptArgs!="undefined"){Module["arguments"]=scriptArgs}else if(typeof arguments!="undefined"){Module["arguments"]=arguments}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){Module["read"]=function read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};Module["readAsync"]=function readAsync(url,onload,onerror){var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=function xhr_onload(){if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response)}else{onerror()}};xhr.onerror=onerror;xhr.send(null)};if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof console!=="undefined"){if(!Module["print"])Module["print"]=function print(x){console.log(x)};if(!Module["printErr"])Module["printErr"]=function printErr(x){console.warn(x)}}else{var TRY_USE_DUMP=false;if(!Module["print"])Module["print"]=TRY_USE_DUMP&&typeof dump!=="undefined"?(function(x){dump(x)}):(function(x){})}if(ENVIRONMENT_IS_WORKER){Module["load"]=importScripts}if(typeof Module["setWindowTitle"]==="undefined"){Module["setWindowTitle"]=(function(title){document.title=title})}}else{throw"Unknown runtime environment. Where are we?"}function globalEval(x){eval.call(null,x)}if(!Module["load"]&&Module["read"]){Module["load"]=function load(f){globalEval(Module["read"](f))}}if(!Module["print"]){Module["print"]=(function(){})}if(!Module["printErr"]){Module["printErr"]=Module["print"]}if(!Module["arguments"]){Module["arguments"]=[]}if(!Module["thisProgram"]){Module["thisProgram"]="./this.program"}Module.print=Module["print"];Module.printErr=Module["printErr"];Module["preRun"]=[];Module["postRun"]=[];for(var key in moduleOverrides){if(moduleOverrides.hasOwnProperty(key)){Module[key]=moduleOverrides[key]}}moduleOverrides=undefined;var Runtime={setTempRet0:(function(value){tempRet0=value}),getTempRet0:(function(){return tempRet0}),stackSave:(function(){return STACKTOP}),stackRestore:(function(stackTop){STACKTOP=stackTop}),getNativeTypeSize:(function(type){switch(type){case"i1":case"i8":return 1;case"i16":return 2;case"i32":return 4;case"i64":return 8;case"float":return 4;case"double":return 8;default:{if(type[type.length-1]==="*"){return Runtime.QUANTUM_SIZE}else if(type[0]==="i"){var bits=parseInt(type.substr(1));assert(bits%8===0);return bits/8}else{return 0}}}}),getNativeFieldSize:(function(type){return Math.max(Runtime.getNativeTypeSize(type),Runtime.QUANTUM_SIZE)}),STACK_ALIGN:16,prepVararg:(function(ptr,type){if(type==="double"||type==="i64"){if(ptr&7){assert((ptr&7)===4);ptr+=4}}else{assert((ptr&3)===0)}return ptr}),getAlignSize:(function(type,size,vararg){if(!vararg&&(type=="i64"||type=="double"))return 8;if(!type)return Math.min(size,8);return Math.min(size||(type?Runtime.getNativeFieldSize(type):0),Runtime.QUANTUM_SIZE)}),dynCall:(function(sig,ptr,args){if(args&&args.length){return Module["dynCall_"+sig].apply(null,[ptr].concat(args))}else{return Module["dynCall_"+sig].call(null,ptr)}}),functionPointers:[],addFunction:(function(func){for(var i=0;i<Runtime.functionPointers.length;i++){if(!Runtime.functionPointers[i]){Runtime.functionPointers[i]=func;return 2*(1+i)}}throw"Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS."}),removeFunction:(function(index){Runtime.functionPointers[(index-2)/2]=null}),warnOnce:(function(text){if(!Runtime.warnOnce.shown)Runtime.warnOnce.shown={};if(!Runtime.warnOnce.shown[text]){Runtime.warnOnce.shown[text]=1;Module.printErr(text)}}),funcWrappers:{},getFuncWrapper:(function(func,sig){assert(sig);if(!Runtime.funcWrappers[sig]){Runtime.funcWrappers[sig]={}}var sigCache=Runtime.funcWrappers[sig];if(!sigCache[func]){if(sig.length===1){sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func)}}else if(sig.length===2){sigCache[func]=function dynCall_wrapper(arg){return Runtime.dynCall(sig,func,[arg])}}else{sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func,Array.prototype.slice.call(arguments))}}}return sigCache[func]}),getCompilerSetting:(function(name){throw"You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work"}),stackAlloc:(function(size){var ret=STACKTOP;STACKTOP=STACKTOP+size|0;STACKTOP=STACKTOP+15&-16;return ret}),staticAlloc:(function(size){var ret=STATICTOP;STATICTOP=STATICTOP+size|0;STATICTOP=STATICTOP+15&-16;return ret}),dynamicAlloc:(function(size){var ret=HEAP32[DYNAMICTOP_PTR>>2];var end=(ret+size+15|0)&-16;HEAP32[DYNAMICTOP_PTR>>2]=end;if(end>=TOTAL_MEMORY){var success=enlargeMemory();if(!success){HEAP32[DYNAMICTOP_PTR>>2]=ret;return 0}}return ret}),alignMemory:(function(size,quantum){var ret=size=Math.ceil(size/(quantum?quantum:16))*(quantum?quantum:16);return ret}),makeBigInt:(function(low,high,unsigned){var ret=unsigned?+(low>>>0)+ +(high>>>0)*+4294967296:+(low>>>0)+ +(high|0)*+4294967296;return ret}),GLOBAL_BASE:8,QUANTUM_SIZE:4,__dummy__:0};Module["Runtime"]=Runtime;var ABORT=0;var EXITSTATUS=0;function assert(condition,text){if(!condition){abort("Assertion failed: "+text)}}function getCFunc(ident){var func=Module["_"+ident];if(!func){try{func=eval("_"+ident)}catch(e){}}assert(func,"Cannot call unknown function "+ident+" (perhaps LLVM optimizations or closure removed it?)");return func}var cwrap,ccall;((function(){var JSfuncs={"stackSave":(function(){Runtime.stackSave()}),"stackRestore":(function(){Runtime.stackRestore()}),"arrayToC":(function(arr){var ret=Runtime.stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}),"stringToC":(function(str){var ret=0;if(str!==null&&str!==undefined&&str!==0){var len=(str.length<<2)+1;ret=Runtime.stackAlloc(len);stringToUTF8(str,ret,len)}return ret})};var toC={"string":JSfuncs["stringToC"],"array":JSfuncs["arrayToC"]};ccall=function ccallFunc(ident,returnType,argTypes,args,opts){var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=Runtime.stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);if(returnType==="string")ret=Pointer_stringify(ret);if(stack!==0){if(opts&&opts.async){EmterpreterAsync.asyncFinalizers.push((function(){Runtime.stackRestore(stack)}));return}Runtime.stackRestore(stack)}return ret};var sourceRegex=/^function\s*[a-zA-Z$_0-9]*\s*\(([^)]*)\)\s*{\s*([^*]*?)[\s;]*(?:return\s*(.*?)[;\s]*)?}$/;function parseJSFunc(jsfunc){var parsed=jsfunc.toString().match(sourceRegex).slice(1);return{arguments:parsed[0],body:parsed[1],returnValue:parsed[2]}}var JSsource=null;function ensureJSsource(){if(!JSsource){JSsource={};for(var fun in JSfuncs){if(JSfuncs.hasOwnProperty(fun)){JSsource[fun]=parseJSFunc(JSfuncs[fun])}}}}cwrap=function cwrap(ident,returnType,argTypes){argTypes=argTypes||[];var cfunc=getCFunc(ident);var numericArgs=argTypes.every((function(type){return type==="number"}));var numericRet=returnType!=="string";if(numericRet&&numericArgs){return cfunc}var argNames=argTypes.map((function(x,i){return"$"+i}));var funcstr="(function("+argNames.join(",")+") {";var nargs=argTypes.length;if(!numericArgs){ensureJSsource();funcstr+="var stack = "+JSsource["stackSave"].body+";";for(var i=0;i<nargs;i++){var arg=argNames[i],type=argTypes[i];if(type==="number")continue;var convertCode=JSsource[type+"ToC"];funcstr+="var "+convertCode.arguments+" = "+arg+";";funcstr+=convertCode.body+";";funcstr+=arg+"=("+convertCode.returnValue+");"}}var cfuncname=parseJSFunc((function(){return cfunc})).returnValue;funcstr+="var ret = "+cfuncname+"("+argNames.join(",")+");";if(!numericRet){var strgfy=parseJSFunc((function(){return Pointer_stringify})).returnValue;funcstr+="ret = "+strgfy+"(ret);"}if(!numericArgs){ensureJSsource();funcstr+=JSsource["stackRestore"].body.replace("()","(stack)")+";"}funcstr+="return ret})";return eval(funcstr)}}))();Module["ccall"]=ccall;Module["cwrap"]=cwrap;function setValue(ptr,value,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math_abs(tempDouble)>=+1?tempDouble>+0?(Math_min(+Math_floor(tempDouble/+4294967296),+4294967295)|0)>>>0:~~+Math_ceil((tempDouble- +(~~tempDouble>>>0))/+4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;default:abort("invalid type for setValue: "+type)}}Module["setValue"]=setValue;function getValue(ptr,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":return HEAP8[ptr>>0];case"i8":return HEAP8[ptr>>0];case"i16":return HEAP16[ptr>>1];case"i32":return HEAP32[ptr>>2];case"i64":return HEAP32[ptr>>2];case"float":return HEAPF32[ptr>>2];case"double":return HEAPF64[ptr>>3];default:abort("invalid type for setValue: "+type)}return null}Module["getValue"]=getValue;var ALLOC_NORMAL=0;var ALLOC_STACK=1;var ALLOC_STATIC=2;var ALLOC_DYNAMIC=3;var ALLOC_NONE=4;Module["ALLOC_NORMAL"]=ALLOC_NORMAL;Module["ALLOC_STACK"]=ALLOC_STACK;Module["ALLOC_STATIC"]=ALLOC_STATIC;Module["ALLOC_DYNAMIC"]=ALLOC_DYNAMIC;Module["ALLOC_NONE"]=ALLOC_NONE;function allocate(slab,types,allocator,ptr){var zeroinit,size;if(typeof slab==="number"){zeroinit=true;size=slab}else{zeroinit=false;size=slab.length}var singleType=typeof types==="string"?types:null;var ret;if(allocator==ALLOC_NONE){ret=ptr}else{ret=[typeof _malloc==="function"?_malloc:Runtime.staticAlloc,Runtime.stackAlloc,Runtime.staticAlloc,Runtime.dynamicAlloc][allocator===undefined?ALLOC_STATIC:allocator](Math.max(size,singleType?1:types.length))}if(zeroinit){var ptr=ret,stop;assert((ret&3)==0);stop=ret+(size&~3);for(;ptr<stop;ptr+=4){HEAP32[ptr>>2]=0}stop=ret+size;while(ptr<stop){HEAP8[ptr++>>0]=0}return ret}if(singleType==="i8"){if(slab.subarray||slab.slice){HEAPU8.set(slab,ret)}else{HEAPU8.set(new Uint8Array(slab),ret)}return ret}var i=0,type,typeSize,previousType;while(i<size){var curr=slab[i];if(typeof curr==="function"){curr=Runtime.getFunctionIndex(curr)}type=singleType||types[i];if(type===0){i++;continue}if(type=="i64")type="i32";setValue(ret+i,curr,type);if(previousType!==type){typeSize=Runtime.getNativeTypeSize(type);previousType=type}i+=typeSize}return ret}Module["allocate"]=allocate;function getMemory(size){if(!staticSealed)return Runtime.staticAlloc(size);if(!runtimeInitialized)return Runtime.dynamicAlloc(size);return _malloc(size)}Module["getMemory"]=getMemory;function Pointer_stringify(ptr,length){if(length===0||!ptr)return"";var hasUtf=0;var t;var i=0;while(1){t=HEAPU8[ptr+i>>0];hasUtf|=t;if(t==0&&!length)break;i++;if(length&&i==length)break}if(!length)length=i;var ret="";if(hasUtf<128){var MAX_CHUNK=1024;var curr;while(length>0){curr=String.fromCharCode.apply(String,HEAPU8.subarray(ptr,ptr+Math.min(length,MAX_CHUNK)));ret=ret?ret+curr:curr;ptr+=MAX_CHUNK;length-=MAX_CHUNK}return ret}return Module["UTF8ToString"](ptr)}Module["Pointer_stringify"]=Pointer_stringify;function AsciiToString(ptr){var str="";while(1){var ch=HEAP8[ptr++>>0];if(!ch)return str;str+=String.fromCharCode(ch)}}Module["AsciiToString"]=AsciiToString;function stringToAscii(str,outPtr){return writeAsciiToMemory(str,outPtr,false)}Module["stringToAscii"]=stringToAscii;var UTF8Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf8"):undefined;function UTF8ArrayToString(u8Array,idx){var endPtr=idx;while(u8Array[endPtr])++endPtr;if(endPtr-idx>16&&u8Array.subarray&&UTF8Decoder){return UTF8Decoder.decode(u8Array.subarray(idx,endPtr))}else{var u0,u1,u2,u3,u4,u5;var str="";while(1){u0=u8Array[idx++];if(!u0)return str;if(!(u0&128)){str+=String.fromCharCode(u0);continue}u1=u8Array[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}u2=u8Array[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u3=u8Array[idx++]&63;if((u0&248)==240){u0=(u0&7)<<18|u1<<12|u2<<6|u3}else{u4=u8Array[idx++]&63;if((u0&252)==248){u0=(u0&3)<<24|u1<<18|u2<<12|u3<<6|u4}else{u5=u8Array[idx++]&63;u0=(u0&1)<<30|u1<<24|u2<<18|u3<<12|u4<<6|u5}}}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}}}Module["UTF8ArrayToString"]=UTF8ArrayToString;function UTF8ToString(ptr){return UTF8ArrayToString(HEAPU8,ptr)}Module["UTF8ToString"]=UTF8ToString;function stringToUTF8Array(str,outU8Array,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){if(outIdx>=endIdx)break;outU8Array[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;outU8Array[outIdx++]=192|u>>6;outU8Array[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;outU8Array[outIdx++]=224|u>>12;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=2097151){if(outIdx+3>=endIdx)break;outU8Array[outIdx++]=240|u>>18;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=67108863){if(outIdx+4>=endIdx)break;outU8Array[outIdx++]=248|u>>24;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else{if(outIdx+5>=endIdx)break;outU8Array[outIdx++]=252|u>>30;outU8Array[outIdx++]=128|u>>24&63;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}}outU8Array[outIdx]=0;return outIdx-startIdx}Module["stringToUTF8Array"]=stringToUTF8Array;function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}Module["stringToUTF8"]=stringToUTF8;function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){++len}else if(u<=2047){len+=2}else if(u<=65535){len+=3}else if(u<=2097151){len+=4}else if(u<=67108863){len+=5}else{len+=6}}return len}Module["lengthBytesUTF8"]=lengthBytesUTF8;var UTF16Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf-16le"):undefined;function demangle(func){var hasLibcxxabi=!!Module["___cxa_demangle"];if(hasLibcxxabi){try{var s=func.substr(1);var len=lengthBytesUTF8(s)+1;var buf=_malloc(len);stringToUTF8(s,buf,len);var status=_malloc(4);var ret=Module["___cxa_demangle"](buf,0,0,status);if(getValue(status,"i32")===0&&ret){return Pointer_stringify(ret)}}catch(e){}finally{if(buf)_free(buf);if(status)_free(status);if(ret)_free(ret)}return func}Runtime.warnOnce("warning: build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling");return func}function demangleAll(text){return text.replace(/__Z[\w\d_]+/g,(function(x){var y=demangle(x);return x===y?x:x+" ["+y+"]"}))}function jsStackTrace(){var err=new Error;if(!err.stack){try{throw new Error(0)}catch(e){err=e}if(!err.stack){return"(no stack trace available)"}}return err.stack.toString()}function stackTrace(){var js=jsStackTrace();if(Module["extraStackTrace"])js+="\n"+Module["extraStackTrace"]();return demangleAll(js)}Module["stackTrace"]=stackTrace;function alignMemoryPage(x){if(x%4096>0){x+=4096-x%4096}return x}var HEAP;var buffer;var HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;function updateGlobalBuffer(buf){Module["buffer"]=buffer=buf}function updateGlobalBufferViews(){Module["HEAP8"]=HEAP8=new Int8Array(buffer);Module["HEAP16"]=HEAP16=new Int16Array(buffer);Module["HEAP32"]=HEAP32=new Int32Array(buffer);Module["HEAPU8"]=HEAPU8=new Uint8Array(buffer);Module["HEAPU16"]=HEAPU16=new Uint16Array(buffer);Module["HEAPU32"]=HEAPU32=new Uint32Array(buffer);Module["HEAPF32"]=HEAPF32=new Float32Array(buffer);Module["HEAPF64"]=HEAPF64=new Float64Array(buffer)}var STATIC_BASE,STATICTOP,staticSealed;var STACK_BASE,STACKTOP,STACK_MAX;var DYNAMIC_BASE,DYNAMICTOP_PTR;STATIC_BASE=STATICTOP=STACK_BASE=STACKTOP=STACK_MAX=DYNAMIC_BASE=DYNAMICTOP_PTR=0;staticSealed=false;function abortOnCannotGrowMemory(){abort("Cannot enlarge memory arrays. Either (1) compile with  -s TOTAL_MEMORY=X  with X higher than the current value "+TOTAL_MEMORY+", (2) compile with  -s ALLOW_MEMORY_GROWTH=1  which adjusts the size at runtime but prevents some optimizations, (3) set Module.TOTAL_MEMORY to a higher value before the program runs, or if you want malloc to return NULL (0) instead of this abort, compile with  -s ABORTING_MALLOC=0 ")}if(!Module["reallocBuffer"])Module["reallocBuffer"]=(function(size){var ret;try{if(ArrayBuffer.transfer){ret=ArrayBuffer.transfer(buffer,size)}else{var oldHEAP8=HEAP8;ret=new ArrayBuffer(size);var temp=new Int8Array(ret);temp.set(oldHEAP8)}}catch(e){return false}var success=_emscripten_replace_memory(ret);if(!success)return false;return ret});function enlargeMemory(){var LIMIT=Math.pow(2,31);if(HEAP32[DYNAMICTOP_PTR>>2]>=LIMIT)return false;while(TOTAL_MEMORY<HEAP32[DYNAMICTOP_PTR>>2]){if(TOTAL_MEMORY<LIMIT/2){TOTAL_MEMORY=alignMemoryPage(2*TOTAL_MEMORY)}else{var last=TOTAL_MEMORY;TOTAL_MEMORY=alignMemoryPage((3*TOTAL_MEMORY+LIMIT)/4);if(TOTAL_MEMORY<=last)return false}}TOTAL_MEMORY=Math.max(TOTAL_MEMORY,16*1024*1024);if(TOTAL_MEMORY>=LIMIT)return false;var replacement=Module["reallocBuffer"](TOTAL_MEMORY);if(!replacement)return false;updateGlobalBuffer(replacement);updateGlobalBufferViews();return true}var byteLength;try{byteLength=Function.prototype.call.bind(Object.getOwnPropertyDescriptor(ArrayBuffer.prototype,"byteLength").get);byteLength(new ArrayBuffer(4))}catch(e){byteLength=(function(buffer){return buffer.byteLength})}var TOTAL_STACK=Module["TOTAL_STACK"]||5242880;var TOTAL_MEMORY=Module["TOTAL_MEMORY"]||16777216;var WASM_PAGE_SIZE=64*1024;var totalMemory=WASM_PAGE_SIZE;while(totalMemory<TOTAL_MEMORY||totalMemory<2*TOTAL_STACK){if(totalMemory<16*1024*1024){totalMemory*=2}else{totalMemory+=16*1024*1024}}totalMemory=Math.max(totalMemory,16*1024*1024);if(totalMemory!==TOTAL_MEMORY){TOTAL_MEMORY=totalMemory}if(Module["buffer"]){buffer=Module["buffer"]}else{{buffer=new ArrayBuffer(TOTAL_MEMORY)}}updateGlobalBufferViews();function getTotalMemory(){return TOTAL_MEMORY}HEAP32[0]=1668509029;HEAP16[1]=25459;if(HEAPU8[2]!==115||HEAPU8[3]!==99)throw"Runtime error: expected the system to be little-endian!";Module["HEAP"]=HEAP;Module["buffer"]=buffer;Module["HEAP8"]=HEAP8;Module["HEAP16"]=HEAP16;Module["HEAP32"]=HEAP32;Module["HEAPU8"]=HEAPU8;Module["HEAPU16"]=HEAPU16;Module["HEAPU32"]=HEAPU32;Module["HEAPF32"]=HEAPF32;Module["HEAPF64"]=HEAPF64;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){var callback=callbacks.shift();if(typeof callback=="function"){callback();continue}var func=callback.func;if(typeof func==="number"){if(callback.arg===undefined){Runtime.dynCall("v",func)}else{Runtime.dynCall("vi",func,[callback.arg])}}else{func(callback.arg===undefined?null:callback.arg)}}}var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATEXIT__=[];var __ATPOSTRUN__=[];var runtimeInitialized=false;var runtimeExited=false;function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function ensureInitRuntime(){if(runtimeInitialized)return;runtimeInitialized=true;callRuntimeCallbacks(__ATINIT__)}function preMain(){callRuntimeCallbacks(__ATMAIN__)}function exitRuntime(){callRuntimeCallbacks(__ATEXIT__);runtimeExited=true}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}Module["addOnPreRun"]=addOnPreRun;function addOnInit(cb){__ATINIT__.unshift(cb)}Module["addOnInit"]=addOnInit;function addOnPreMain(cb){__ATMAIN__.unshift(cb)}Module["addOnPreMain"]=addOnPreMain;function addOnExit(cb){__ATEXIT__.unshift(cb)}Module["addOnExit"]=addOnExit;function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}Module["addOnPostRun"]=addOnPostRun;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}Module["intArrayFromString"]=intArrayFromString;function intArrayToString(array){var ret=[];for(var i=0;i<array.length;i++){var chr=array[i];if(chr>255){chr&=255}ret.push(String.fromCharCode(chr))}return ret.join("")}Module["intArrayToString"]=intArrayToString;function writeStringToMemory(string,buffer,dontAddNull){Runtime.warnOnce("writeStringToMemory is deprecated and should not be called! Use stringToUTF8() instead!");var lastChar,end;if(dontAddNull){end=buffer+lengthBytesUTF8(string);lastChar=HEAP8[end]}stringToUTF8(string,buffer,Infinity);if(dontAddNull)HEAP8[end]=lastChar}Module["writeStringToMemory"]=writeStringToMemory;function writeArrayToMemory(array,buffer){HEAP8.set(array,buffer)}Module["writeArrayToMemory"]=writeArrayToMemory;function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}Module["writeAsciiToMemory"]=writeAsciiToMemory;if(!Math["imul"]||Math["imul"](4294967295,5)!==-5)Math["imul"]=function imul(a,b){var ah=a>>>16;var al=a&65535;var bh=b>>>16;var bl=b&65535;return al*bl+(ah*bl+al*bh<<16)|0};Math.imul=Math["imul"];if(!Math["clz32"])Math["clz32"]=(function(x){x=x>>>0;for(var i=0;i<32;i++){if(x&1<<31-i)return i}return 32});Math.clz32=Math["clz32"];if(!Math["trunc"])Math["trunc"]=(function(x){return x<0?Math.ceil(x):Math.floor(x)});Math.trunc=Math["trunc"];var Math_abs=Math.abs;var Math_cos=Math.cos;var Math_sin=Math.sin;var Math_tan=Math.tan;var Math_acos=Math.acos;var Math_asin=Math.asin;var Math_atan=Math.atan;var Math_atan2=Math.atan2;var Math_exp=Math.exp;var Math_log=Math.log;var Math_sqrt=Math.sqrt;var Math_ceil=Math.ceil;var Math_floor=Math.floor;var Math_pow=Math.pow;var Math_imul=Math.imul;var Math_fround=Math.fround;var Math_round=Math.round;var Math_min=Math.min;var Math_clz32=Math.clz32;var Math_trunc=Math.trunc;var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function getUniqueRunDependency(id){return id}function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}Module["addRunDependency"]=addRunDependency;function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}Module["removeRunDependency"]=removeRunDependency;Module["preloadedImages"]={};Module["preloadedAudios"]={};var ASM_CONSTS=[(function($0,$1,$2){{Sass._sassCompileEmscriptenSuccess(pointerToString($0),pointerToJson($1),pointerToStringArray($2))}}),(function($0,$1){{Sass._sassCompileEmscriptenError(pointerToJson($0),pointerToString($1))}}),(function($0,$1){{Importer.find(pointerToString($0),pointerToString($1))}}),(function($0){{return Number(Importer.finished())}}),(function($0){{return Number(Importer.error())}}),(function($0){{return Number(Importer.path())}}),(function($0){{return Number(Importer.content())}})];function _emscripten_asm_const_iiii(code,a0,a1,a2){return ASM_CONSTS[code](a0,a1,a2)}function _emscripten_asm_const_ii(code,a0){return ASM_CONSTS[code](a0)}function _emscripten_asm_const_iii(code,a0,a1){return ASM_CONSTS[code](a0,a1)}STATIC_BASE=8;STATICTOP=STATIC_BASE+87984;__ATINIT__.push({func:(function(){__GLOBAL__I_000101()})},{func:(function(){__GLOBAL__sub_I_node_cpp()})},{func:(function(){__GLOBAL__sub_I_context_cpp()})},{func:(function(){__GLOBAL__sub_I_functions_cpp()})},{func:(function(){__GLOBAL__sub_I_color_maps_cpp()})},{func:(function(){__GLOBAL__sub_I_environment_cpp()})},{func:(function(){__GLOBAL__sub_I_ast_fwd_decl_cpp()})},{func:(function(){__GLOBAL__sub_I_bind_cpp()})},{func:(function(){__GLOBAL__sub_I_file_cpp()})},{func:(function(){__GLOBAL__sub_I_util_cpp()})},{func:(function(){__GLOBAL__sub_I_units_cpp()})},{func:(function(){__GLOBAL__sub_I_values_cpp()})},{func:(function(){__GLOBAL__sub_I_parser_cpp()})},{func:(function(){__GLOBAL__sub_I_eval_cpp()})},{func:(function(){__GLOBAL__sub_I_expand_cpp()})},{func:(function(){__GLOBAL__sub_I_listize_cpp()})},{func:(function(){__GLOBAL__sub_I_cssize_cpp()})},{func:(function(){__GLOBAL__sub_I_extend_cpp()})},{func:(function(){__GLOBAL__sub_I_output_cpp()})},{func:(function(){__GLOBAL__sub_I_inspect_cpp()})},{func:(function(){__GLOBAL__sub_I_emitter_cpp()})},{func:(function(){__GLOBAL__sub_I_check_nesting_cpp()})},{func:(function(){__GLOBAL__sub_I_remove_placeholders_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_util_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_values_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_context_cpp()})},{func:(function(){__GLOBAL__sub_I_sass_functions_cpp()})},{func:(function(){__GLOBAL__sub_I_sass2scss_cpp()})},{func:(function(){__GLOBAL__sub_I_to_c_cpp()})},{func:(function(){__GLOBAL__sub_I_to_value_cpp()})},{func:(function(){__GLOBAL__sub_I_source_map_cpp()})},{func:(function(){__GLOBAL__sub_I_subset_map_cpp()})},{func:(function(){__GLOBAL__sub_I_error_handling_cpp()})},{func:(function(){__GLOBAL__sub_I_ast_cpp()})},{func:(function(){__GLOBAL__sub_I_iostream_cpp()})});allocate([188,113,0,0,34,118,0,0,88,16,0,0,0,0,0,0,188,113,0,0,9,118,0,0,40,0,0,0,0,0,0,0,188,113,0,0,51,118,0,0,56,0,0,0,0,0,0,0,188,113,0,0,68,118,0,0,8,0,0,0,0,0,0,0,188,113,0,0,240,117,0,0,24,0,0,0,0,0,0,0,188,113,0,0,88,118,0,0,24,0,0,0,0,0,0,0,188,113,0,0,114,118,0,0,24,0,0,0,0,0,0,0,188,113,0,0,142,118,0,0,24,0,0,0,0,0,0,0,188,113,0,0,30,119,0,0,224,0,0,0,0,0,0,0,188,113,0,0,215,118,0,0,168,0,0,0,0,0,0,0,188,113,0,0,252,118,0,0,160,22,0,0,0,0,0,0,208,114,0,0,45,119,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,148,113,0,0,80,119,0,0,148,113,0,0,98,119,0,0,188,113,0,0,114,119,0,0,56,0,0,0,0,0,0,0,208,114,0,0,236,119,0,0,0,0,0,0,2,0,0,0,48,1,0,0,2,0,0,0,40,1,0,0,2,64,0,0,208,114,0,0,128,119,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,148,113,0,0,164,119,0,0,188,113,0,0,218,119,0,0,8,0,0,0,0,0,0,0,188,113,0,0,108,120,0,0,128,1,0,0,0,0,0,0,208,114,0,0,17,120,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,58,120,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,90,120,0,0,48,1,0,0,0,0,0,0,188,113,0,0,124,120,0,0,48,1,0,0,0,0,0,0,188,113,0,0,139,120,0,0,128,1,0,0,0,0,0,0,188,113,0,0,184,120,0,0,128,1,0,0,0,0,0,0,208,114,0,0,153,120,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,24,121,0,0,128,1,0,0,0,0,0,0,208,114,0,0,242,120,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,42,121,0,0,128,1,0,0,0,0,0,0,188,113,0,0,98,121,0,0,128,1,0,0,0,0,0,0,208,114,0,0,65,121,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,119,121,0,0,48,1,0,0,0,0,0,0,188,113,0,0,139,121,0,0,48,1,0,0,0,0,0,0,188,113,0,0,154,121,0,0,48,1,0,0,0,0,0,0,188,113,0,0,175,121,0,0,48,1,0,0,0,0,0,0,188,113,0,0,191,121,0,0,48,1,0,0,0,0,0,0,188,113,0,0,205,121,0,0,48,1,0,0,0,0,0,0,188,113,0,0,219,121,0,0,48,1,0,0,0,0,0,0,188,113,0,0,235,121,0,0,128,1,0,0,0,0,0,0,188,113,0,0,246,121,0,0,128,1,0,0,0,0,0,0,188,113,0,0,2,122,0,0,128,1,0,0,0,0,0,0,188,113,0,0,15,122,0,0,128,1,0,0,0,0,0,0,188,113,0,0,29,122,0,0,48,1,0,0,0,0,0,0,188,113,0,0,44,122,0,0,48,1,0,0,0,0,0,0,188,113,0,0,100,122,0,0,128,1,0,0,0,0,0,0,208,114,0,0,62,122,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,156,122,0,0,128,1,0,0,0,0,0,0,208,114,0,0,120,122,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,176,122,0,0,48,1,0,0,0,0,0,0,208,114,0,0,17,123,0,0,0,0,0,0,2,0,0,0,224,0,0,0,2,0,0,0,136,3,0,0,2,60,0,0,148,113,0,0,192,122,0,0,208,114,0,0,45,123,0,0,0,0,0,0,2,0,0,0,224,0,0,0,2,0,0,0,176,3,0,0,2,60,0,0,148,113,0,0,30,123,0,0,188,113,0,0,90,123,0,0,200,3,0,0,0,0,0,0,188,113,0,0,117,123,0,0,56,0,0,0,0,0,0,0,188,113,0,0,134,123,0,0,56,0,0,0,0,0,0,0,188,113,0,0,248,122,0,0,56,0,0,0,0,0,0,0,208,114,0,0,87,125,0,0,0,0,0,0,2,0,0,0,56,0,0,0,2,0,0,0,48,4,0,0,2,60,0,0,208,114,0,0,160,123,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,148,113,0,0,195,123,0,0,188,113,0,0,105,125,0,0,200,3,0,0,0,0,0,0,188,113,0,0,128,125,0,0,56,0,0,0,0,0,0,0,188,113,0,0,158,125,0,0,200,3,0,0,0,0,0,0,188,113,0,0,175,125,0,0,224,0,0,0,0,0,0,0,188,113,0,0,189,125,0,0,224,0,0,0,0,0,0,0,208,114,0,0,210,125,0,0,0,0,0,0,2,0,0,0,168,4,0,0,2,0,0,0,136,3,0,0,2,60,0,0,188,113,0,0,233,125,0,0,224,0,0,0,0,0,0,0,188,113,0,0,22,126,0,0,168,4,0,0,0,0,0,0,188,113,0,0,255,125,0,0,184,4,0,0,0,0,0,0,208,114,0,0,165,126,0,0,0,0,0,0,2,0,0,0,56,0,0,0,2,0,0,0,16,5,0,0,2,60,0,0,208,114,0,0,47,126,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,148,113,0,0,97,126,0,0,188,113,0,0,186,126,0,0,56,0,0,0,0,0,0,0,188,113,0,0,8,127,0,0,128,1,0,0,0,0,0,0,208,114,0,0,218,126,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,32,127,0,0,56,0,0,0,0,0,0,0,188,113,0,0,60,127,0,0,80,5,0,0,0,0,0,0,208,114,0,0,114,127,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,87,127,0,0,80,5,0,0,0,0,0,0,188,113,0,0,159,127,0,0,80,5,0,0,0,0,0,0,188,113,0,0,189,127,0,0,80,5,0,0,0,0,0,0,188,113,0,0,221,127,0,0,56,0,0,0,0,0,0,0,188,113,0,0,29,128,0,0,128,1,0,0,0,0,0,0,208,114,0,0,244,127,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,52,128,0,0,224,0,0,0,0,0,0,0,188,113,0,0,65,128,0,0,8,0,0,0,0,0,0,0,208,114,0,0,175,129,0,0,0,0,0,0,2,0,0,0,8,0,0,0,2,0,0,0,72,6,0,0,2,52,0,0,208,114,0,0,83,128,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,148,113,0,0,119,128,0,0,188,113,0,0,142,130,0,0,8,0,0,0,0,0,0,0,208,114,0,0,58,130,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,101,130,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,167,130,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,33,130,0,0,24,0,0,0,0,0,0,0,188,113,0,0,221,130,0,0,24,0,0,0,0,0,0,0,188,113,0,0,251,130,0,0,24,0,0,0,0,0,0,0,188,113,0,0,19,131,0,0,24,0,0,0,0,0,0,0,208,114,0,0,221,129,0,0,0,0,0,0,2,0,0,0,40,0,0,0,2,0,0,0,8,7,0,0,2,72,0,0,148,113,0,0,123,131,0,0,208,114,0,0,184,131,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,228,131,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,62,132,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,106,132,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,195,129,0,0,40,0,0,0,0,0,0,0,208,114,0,0,250,119,0,0,0,0,0,0,2,0,0,0,40,0,0,0,2,0,0,0,160,7,0,0,2,72,0,0,148,113,0,0,141,132,0,0,208,114,0,0,203,132,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,185,133,0,0,208,7,0,0,0,0,0,0,188,113,0,0,162,133,0,0,160,22,0,0,0,0,0,0,188,113,0,0,255,133,0,0,224,21,0,0,0,0,0,0,148,113,0,0,216,136,0,0,188,113,0,0,192,135,0,0,200,16,0,0,0,0,0,0,188,113,0,0,6,136,0,0,136,16,0,0,0,0,0,0,188,113,0,0,72,136,0,0,152,16,0,0,0,0,0,0,188,113,0,0,147,136,0,0,248,16,0,0,0,0,0,0,188,113,0,0,96,137,0,0,240,7,0,0,0,0,0,0,188,113,0,0,63,137,0,0,208,7,0,0,0,0,0,0,188,113,0,0,118,137,0,0,240,7,0,0,0,0,0,0,208,114,0,0,75,138,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,167,149,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,200,149,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,181,152,0,0,224,8,0,0,0,0,0,0,188,113,0,0,156,152,0,0,224,8,0,0,0,0,0,0,188,113,0,0,116,152,0,0,224,8,0,0,0,0,0,0,188,113,0,0,138,152,0,0,64,22,0,0,0,0,0,0,188,113,0,0,250,153,0,0,208,7,0,0,0,0,0,0,208,114,0,0,155,154,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,36,155,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,151,155,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,162,157,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,29,165,0,0,208,7,0,0,0,0,0,0,188,113,0,0,250,164,0,0,208,7,0,0,0,0,0,0,188,113,0,0,92,165,0,0,136,16,0,0,0,0,0,0,188,113,0,0,139,165,0,0,152,16,0,0,0,0,0,0,208,114,0,0,187,165,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,0,0,0,0,0,0,240,63,82,184,30,133,235,81,4,64,0,0,0,0,0,0,24,64,102,102,102,102,102,102,57,64,0,0,0,0,0,0,82,64,0,0,0,0,0,0,88,64,76,38,147,201,100,50,217,63,0,0,0,0,0,0,240,63,185,92,46,151,203,229,2,64,0,0,0,0,0,0,36,64,22,139,197,98,177,88,60,64,185,92,46,151,203,229,66,64,85,85,85,85,85,85,197,63,24,75,126,177,228,23,219,63,0,0,0,0,0,0,240,63,239,238,238,238,238,238,16,64,0,0,0,0,0,0,40,64,0,0,0,0,0,0,48,64,10,133,66,161,80,40,164,63,154,153,153,153,153,153,185,63,144,199,227,241,120,60,206,63,0,0,0,0,0,0,240,63,172,213,106,181,90,173,6,64,144,199,227,241,120,60,14,64,28,199,113,28,199,113,140,63,101,135,169,203,237,15,162,63,85,85,85,85,85,85,181,63,62,233,147,62,233,147,214,63,0,0,0,0,0,0,240,63,85,85,85,85,85,85,245,63,85,85,85,85,85,85,133,63,24,75,126,177,228,23,155,63,0,0,0,0,0,0,176,63,239,238,238,238,238,238,208,63,0,0,0,0,0,0,232,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,0,0,0,0,0,64,143,64,252,169,241,210,77,98,80,63,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,252,169,241,210,77,98,80,63,0,0,0,0,0,64,143,64,0,0,0,0,0,0,240,63,0,0,0,0,0,0,240,63,76,38,147,201,100,50,217,63,85,85,85,85,85,85,133,63,82,184,30,133,235,81,4,64,0,0,0,0,0,0,240,63,24,75,126,177,228,23,155,63,0,0,0,0,0,0,88,64,185,92,46,151,203,229,66,64,0,0,0,0,0,0,240,63,188,113,0,0,223,171,0,0,208,7,0,0,0,0,0,0,188,113,0,0,190,168,0,0,208,7,0,0,0,0,0,0,208,114,0,0,220,170,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,99,171,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,101,172,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,225,172,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,103,173,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,204,173,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,77,174,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,111,174,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,177,174,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,218,174,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,7,176,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,46,176,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,219,176,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,252,176,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,116,177,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,7,178,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,37,178,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,66,178,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,100,178,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,132,178,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,209,178,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,27,183,0,0,56,14,0,0,0,0,0,0,188,113,0,0,210,179,0,0,208,7,0,0,0,0,0,0,188,113,0,0,58,182,0,0,208,7,0,0,0,0,0,0,188,113,0,0,120,181,0,0,184,13,0,0,0,0,0,0,188,113,0,0,82,181,0,0,168,0,0,0,0,0,0,0,208,114,0,0,204,181,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,236,181,0,0,168,0,0,0,0,0,0,0,188,113,0,0,17,182,0,0,168,0,0,0,0,0,0,0,208,114,0,0,105,182,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,150,182,0,0,208,7,0,0,0,0,0,0,188,113,0,0,187,182,0,0,208,7,0,0,0,0,0,0,188,113,0,0,40,183,0,0,72,14,0,0,0,0,0,0,148,113,0,0,92,183,0,0,208,114,0,0,134,183,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,128,186,0,0,184,14,0,0,0,0,0,0,188,113,0,0,135,184,0,0,208,7,0,0,0,0,0,0,208,114,0,0,103,184,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,87,186,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,143,186,0,0,200,14,0,0,0,0,0,0,148,113,0,0,195,186,0,0,188,113,0,0,230,186,0,0,224,14,0,0,0,0,0,0,188,113,0,0,246,186,0,0,72,14,0,0,0,0,0,0,188,113,0,0,209,187,0,0,48,15,0,0,0,0,0,0,208,114,0,0,50,187,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,208,114,0,0,83,187,0,0,0,0,0,0,1,0,0,0,208,0,0,0,0,0,0,0,188,113,0,0,224,187,0,0,200,14,0,0,0,0,0,0,188,113,0,0,59,189,0,0,80,15,0,0,0,0,0,0,188,113,0,0,74,189,0,0,96,15,0,0,0,0,0,0,148,113,0,0,112,189,0,0,188,113,0,0,156,189,0,0,120,15,0,0,0,0,0,0,208,114,0,0,187,190,0,0,0,0,0,0,2,0,0,0,152,15,0,0,2,0,0,0,216,0,0,0,2,4,0,0,188,113,0,0,203,190,0,0,96,15,0,0,0,0,0,0,188,113,0,0,42,193,0,0,184,15,0,0,0,0,0,0,188,113,0,0,64,193,0,0,200,14,0,0,0,0,0,0,188,113,0,0,123,193,0,0,216,15,0,0,0,0,0,0,188,113,0,0,152,193,0,0,96,15,0,0,0,0,0,0,208,114,0,0,232,193,0,0,0,0,0,0,1,0,0,0,0,16,0,0,0,0,0,0,148,113,0,0,39,194,0,0,188,113,0,0,164,199,0,0,24,16,0,0,0,0,0,0,188,113,0,0,177,199,0,0,40,16,0,0,0,0,0,0,148,113,0,0,225,199,0,0,188,113,0,0,28,200,0,0,64,16,0,0,0,0,0,0,188,113,0,0,45,200,0,0,80,16,0,0,0,0,0,0,148,113,0,0,95,200,0,0,148,113,0,0,26,204,0,0,188,113,0,0,191,216,0,0,112,16,0,0,0,0,0,0,148,113,0,0,173,216,0,0,188,113,0,0,233,216,0,0,112,16,0,0,0,0,0,0,148,113,0,0,19,217,0,0,148,113,0,0,68,217,0,0,208,114,0,0,117,217,0,0,0,0,0,0,1,0,0,0,96,16,0,0,3,244,255,255,208,114,0,0,164,217,0,0,0,0,0,0,1,0,0,0,120,16,0,0,3,244,255,255,208,114,0,0,211,217,0,0,0,0,0,0,1,0,0,0,96,16,0,0,3,244,255,255,208,114,0,0,2,218,0,0,0,0,0,0,1,0,0,0,120,16,0,0,3,244,255,255,208,114,0,0,49,218,0,0,3,0,0,0,2,0,0,0,152,16,0,0,2,0,0,0,200,16,0,0,2,8,0,0,188,113,0,0,97,218,0,0,0,22,0,0,0,0,0,0,188,113,0,0,168,218,0,0,16,22,0,0,0,0,0,0,188,113,0,0,214,218,0,0,144,16,0,0,0,0,0,0,188,113,0,0,239,218,0,0,136,16,0,0,0,0,0,0,188,113,0,0,46,219,0,0,144,16,0,0,0,0,0,0,188,113,0,0,70,219,0,0,136,16,0,0,0,0,0,0,188,113,0,0,94,219,0,0,136,17,0,0,0,0,0,0,188,113,0,0,114,219,0,0,216,21,0,0,0,0,0,0,188,113,0,0,136,219,0,0,136,17,0,0,0,0,0,0,208,114,0,0,194,219,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,200,17,0,0,0,0,0,0,208,114,0,0,6,220,0,0,0,0,0,0,1,0,0,0,224,17,0,0,0,0,0,0,148,113,0,0,28,220,0,0,208,114,0,0,53,220,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,8,18,0,0,0,0,0,0,208,114,0,0,121,220,0,0,0,0,0,0,1,0,0,0,224,17,0,0,0,0,0,0,208,114,0,0,162,220,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,64,18,0,0,0,0,0,0,208,114,0,0,230,220,0,0,0,0,0,0,1,0,0,0,88,18,0,0,0,0,0,0,148,113,0,0,252,220,0,0,208,114,0,0,21,221,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,128,18,0,0,0,0,0,0,208,114,0,0,89,221,0,0,0,0,0,0,1,0,0,0,88,18,0,0,0,0,0,0,208,114,0,0,175,222,0,0,0,0,0,0,3,0,0,0,136,17,0,0,2,0,0,0,192,18,0,0,2,0,0,0,200,18,0,0,0,8,0,0,148,113,0,0,22,223,0,0,148,113,0,0,244,222,0,0,208,114,0,0,41,223,0,0,0,0,0,0,3,0,0,0,136,17,0,0,2,0,0,0,192,18,0,0,2,0,0,0,248,18,0,0,0,8,0,0,148,113,0,0,110,223,0,0,208,114,0,0,144,223,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,32,19,0,0,0,8,0,0,148,113,0,0,213,223,0,0,208,114,0,0,255,223,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,32,19,0,0,0,8,0,0,208,114,0,0,68,224,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,104,19,0,0,2,0,0,0,148,113,0,0,96,224,0,0,208,114,0,0,117,224,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,104,19,0,0,2,0,0,0,208,114,0,0,145,224,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,104,19,0,0,2,0,0,0,208,114,0,0,173,224,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,104,19,0,0,2,0,0,0,208,114,0,0,232,224,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,240,19,0,0,0,0,0,0,148,113,0,0,46,225,0,0,208,114,0,0,82,225,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,24,20,0,0,0,0,0,0,148,113,0,0,152,225,0,0,208,114,0,0,183,225,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,64,20,0,0,0,0,0,0,148,113,0,0,253,225,0,0,208,114,0,0,22,226,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,104,20,0,0,0,0,0,0,148,113,0,0,92,226,0,0,208,114,0,0,117,226,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,144,20,0,0,2,0,0,0,148,113,0,0,138,226,0,0,208,114,0,0,33,227,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,144,20,0,0,2,0,0,0,188,113,0,0,162,226,0,0,200,20,0,0,0,0,0,0,208,114,0,0,197,226,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,232,20,0,0,2,0,0,0,148,113,0,0,232,226,0,0,188,113,0,0,255,226,0,0,200,20,0,0,0,0,0,0,208,114,0,0,54,227,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,232,20,0,0,2,0,0,0,208,114,0,0,88,227,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,232,20,0,0,2,0,0,0,208,114,0,0,122,227,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,232,20,0,0,2,0,0,0,188,113,0,0,157,227,0,0,136,17,0,0,0,0,0,0,208,114,0,0,179,227,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,144,21,0,0,2,0,0,0,148,113,0,0,197,227,0,0,208,114,0,0,218,227,0,0,0,0,0,0,2,0,0,0,136,17,0,0,2,0,0,0,144,21,0,0,2,0,0,0,188,113,0,0,247,227,0,0,136,17,0,0,0,0,0,0,188,113,0,0,12,228,0,0,136,17,0,0,0,0,0,0,148,113,0,0,40,228,0,0,208,114,0,0,65,228,0,0,0,0,0,0,1,0,0,0,216,21,0,0,0,0,0,0,148,113,0,0,198,228,0,0,188,113,0,0,223,228,0,0,160,22,0,0,0,0,0,0,188,113,0,0,246,228,0,0,248,21,0,0,0,0,0,0,188,113,0,0,56,229,0,0,16,22,0,0,0,0,0,0,188,113,0,0,132,229,0,0,16,22,0,0,0,0,0,0,148,113,0,0,58,230,0,0,188,113,0,0,154,230,0,0,88,22,0,0,0,0,0,0,188,113,0,0,71,230,0,0,104,22,0,0,0,0,0,0,148,113,0,0,104,230,0,0,188,113,0,0,117,230,0,0,72,22,0,0,0,0,0,0,188,113,0,0,189,231,0,0,64,22,0,0,0,0,0,0,188,113,0,0,217,231,0,0,64,22,0,0,0,0,0,0,188,113,0,0,233,231,0,0,64,22,0,0,0,0,0,0,188,113,0,0,251,231,0,0,144,22,0,0,0,0,0,0,188,113,0,0,12,232,0,0,144,22,0,0,0,0,0,0,188,113,0,0,29,232,0,0,160,22,0,0,0,0,0,0,188,113,0,0,62,232,0,0,64,22,0,0,0,0,0,0,188,113,0,0,90,232,0,0,64,22,0,0,0,0,0,0,188,113,0,0,141,232,0,0,88,22,0,0,0,0,0,0,188,113,0,0,105,232,0,0,0,23,0,0,0,0,0,0,188,113,0,0,175,232,0,0,88,22,0,0,0,0,0,0,152,114,0,0,215,232,0,0,152,114,0,0,217,232,0,0,152,114,0,0,220,232,0,0,180,114,0,0,222,232,0,0,1,0,0,0,64,23,0,0,188,113,0,0,226,232,0,0,72,22,0,0,0,0,0,0,0,0,0,0,136,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,4,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,2,0,0,0,6,0,0,0,7,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,6,0,0,0,8,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,0,0,0,0,8,0,0,0,1,0,0,0,1,0,0,0,10,0,0,0,1,0,0,0,1,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,9,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,3,0,0,0,15,0,0,0,16,0,0,0,0,0,0,0,56,0,0,0,4,0,0,0,5,0,0,0,11,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,9,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,3,0,0,0,15,0,0,0,16,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,184,0,0,0,6,0,0,0,7,0,0,0,0,0,0,0,216,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,240,0,0,0,10,0,0,0,11,0,0,0,10,0,0,0,12,0,0,0,13,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,11,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,4,0,0,0,22,0,0,0,23,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,12,0,0,0,192,255,255,255,240,0,0,0,13,0,0,0,12,0,0,0,13,0,0,0,24,0,0,0,25,0,0,0,14,0,0,0,15,0,0,0,17,0,0,0,0,0,0,0,16,1,0,0,6,0,0,0,14,0,0,0,0,0,0,0,40,1,0,0,16,0,0,0,1,0,0,0,1,0,0,0,24,0,0,0,25,0,0,0,14,0,0,0,15,0,0,0,17,0,0,0,0,0,0,0,48,1,0,0,1,0,0,0,1,0,0,0,10,0,0,0,1,0,0,0,1,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,9,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,3,0,0,0,15,0,0,0,16,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,64,1,0,0,15,0,0,0,16,0,0,0,10,0,0,0,19,0,0,0,20,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,17,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,5,0,0,0,30,0,0,0,31,0,0,0,21,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,80,1,0,0,6,0,0,0,17,0,0,0,0,0,0,0,128,1,0,0,1,0,0,0,1,0,0,0,10,0,0,0,1,0,0,0,1,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,9,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,3,0,0,0,15,0,0,0,16,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,104,1,0,0,6,0,0,0,18,0,0,0,0,0,0,0,144,1,0,0,19,0,0,0,20,0,0,0,10,0,0,0,23,0,0,0,24,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,18,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,6,0,0,0,36,0,0,0,37,0,0,0,14,0,0,0,25,0,0,0,18,0,0,0,0,0,0,0,160,1,0,0,21,0,0,0,22,0,0,0,10,0,0,0,26,0,0,0,27,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,19,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,7,0,0,0,42,0,0,0,43,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,176,1,0,0,23,0,0,0,24,0,0,0,10,0,0,0,28,0,0,0,29,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,20,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,8,0,0,0,48,0,0,0,49,0,0,0,30,0,0,0,31,0,0,0,22,0,0,0,0,0,0,0,192,1,0,0,6,0,0,0,25,0,0,0,0,0,0,0,216,1,0,0,26,0,0,0,27,0,0,0,10,0,0,0,32,0,0,0,33,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,21,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,9,0,0,0,54,0,0,0,55,0,0,0,14,0,0,0,34,0,0,0,22,0,0,0,0,0,0,0,232,1,0,0,6,0,0,0,28,0,0,0,0,0,0,0,0,2,0,0,29,0,0,0,30,0,0,0,10,0,0,0,35,0,0,0,36,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,22,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,10,0,0,0,60,0,0,0,61,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,16,2,0,0,31,0,0,0,32,0,0,0,10,0,0,0,37,0,0,0,38,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,23,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,11,0,0,0,66,0,0,0,67,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,32,2,0,0,6,0,0,0,33,0,0,0,0,0,0,0,56,2,0,0,34,0,0,0,35,0,0,0,10,0,0,0,39,0,0,0,40,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,24,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,12,0,0,0,72,0,0,0,73,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,72,2,0,0,36,0,0,0,37,0,0,0,10,0,0,0,41,0,0,0,42,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,25,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,13,0,0,0,78,0,0,0,79,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,88,2,0,0,38,0,0,0,39,0,0,0,10,0,0,0,43,0,0,0,44,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,26,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,14,0,0,0,84,0,0,0,85,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,104,2,0,0,40,0,0,0,41,0,0,0,10,0,0,0,45,0,0,0,46,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,27,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,15,0,0,0,90,0,0,0,91,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,120,2,0,0,42,0,0,0,43,0,0,0,10,0,0,0,47,0,0,0,48,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,28,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,16,0,0,0,96,0,0,0,97,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,136,2,0,0,44,0,0,0,45,0,0,0,10,0,0,0,49,0,0,0,50,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,29,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,17,0,0,0,102,0,0,0,103,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,152,2,0,0,46,0,0,0,47,0,0,0,10,0,0,0,51,0,0,0,52,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,30,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,18,0,0,0,108,0,0,0,109,0,0,0,53,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,168,2,0,0,48,0,0,0,49,0,0,0,10,0,0,0,54,0,0,0,55,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,31,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,19,0,0,0,114,0,0,0,115,0,0,0,14,0,0,0,15,0,0,0,56,0,0,0,0,0,0,0,184,2,0,0,50,0,0,0,51,0,0,0,10,0,0,0,57,0,0,0,58,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,32,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,20,0,0,0,120,0,0,0,121,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,200,2,0,0,52,0,0,0,53,0,0,0,10,0,0,0,59,0,0,0,60,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,33,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,21,0,0,0,126,0,0,0,127,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,216,2,0,0,54,0,0,0,55,0,0,0,10,0,0,0,61,0,0,0,62,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,34,0,0,0,128,0,0,0,129,0,0,0,130,0,0,0,131,0,0,0,22,0,0,0,132,0,0,0,133,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,232,2,0,0,56,0,0,0,57,0,0,0,10,0,0,0,63,0,0,0,64,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,35,0,0,0,134,0,0,0,135,0,0,0,136,0,0,0,137,0,0,0,23,0,0,0,138,0,0,0,139,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,248,2,0,0,58,0,0,0,59,0,0,0,10,0,0,0,65,0,0,0,66,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,36,0,0,0,140,0,0,0,141,0,0,0,142,0,0,0,143,0,0,0,24,0,0,0,144,0,0,0,145,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,8,3,0,0,60,0,0,0,61,0,0,0,10,0,0,0,67,0,0,0,68,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,37,0,0,0,146,0,0,0,147,0,0,0,148,0,0,0,149,0,0,0,25,0,0,0,150,0,0,0,151,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,24,3,0,0,6,0,0,0,62,0,0,0,0,0,0,0,48,3,0,0,63,0,0,0,64,0,0,0,10,0,0,0,69,0,0,0,70,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,38,0,0,0,152,0,0,0,153,0,0,0,154,0,0,0,155,0,0,0,26,0,0,0,156,0,0,0,157,0,0,0,14,0,0,0,15,0,0,0,22,0,0,0,0,0,0,0,64,3,0,0,6,0,0,0,65,0,0,0,0,0,0,0,88,3,0,0,4,0,0,0,66,0,0,0,10,0,0,0,71,0,0,0,72,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,39,0,0,0,158,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,27,0,0,0,162,0,0,0,163,0,0,0,14,0,0,0,15,0,0,0,18,0,0,0,0,0,0,0,104,3,0,0,67,0,0,0,68,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,40,0,0,0,164,0,0,0,165,0,0,0,166,0,0,0,167,0,0,0,28,0,0,0,168,0,0,0,169,0,0,0,4,0,0,0,41,0,0,0,76,0,0,0,6,0,0,0,170,0,0,0,9,0,0,0,42,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,43,0,0,0,77,0,0,0,196,255,255,255,104,3,0,0,44,0,0,0,69,0,0,0,70,0,0,0,171,0,0,0,172,0,0,0,45,0,0,0,46,0,0,0,78,0,0,0,0,0,0,0,136,3,0,0,47,0,0,0,1,0,0,0,1,0,0,0,171,0,0,0,172,0,0,0,45,0,0,0,46,0,0,0,79,0,0,0,0,0,0,0,224,0,0,0,4,0,0,0,71,0,0,0,11,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,9,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,3,0,0,0,15,0,0,0,16,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,144,3,0,0,72,0,0,0,73,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,48,0,0,0,173,0,0,0,174,0,0,0,175,0,0,0,176,0,0,0,29,0,0,0,177,0,0,0,178,0,0,0,4,0,0,0,49,0,0,0,83,0,0,0,6,0,0,0,179,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,50,0,0,0,196,255,255,255,144,3,0,0,51,0,0,0,74,0,0,0,75,0,0,0,0,0,0,0,176,3,0,0,52,0,0,0,76,0,0,0,77,0,0,0,0,0,0,0,184,3,0,0,78,0,0,0,79,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,53,0,0,0,180,0,0,0,181,0,0,0,182,0,0,0,183,0,0,0,30,0,0,0,184,0,0,0,185,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,186,0,0,0,9,0,0,0,54,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,0,0,0,0,216,3,0,0,80,0,0,0,81,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,55,0,0,0,187,0,0,0,188,0,0,0,189,0,0,0,190,0,0,0,31,0,0,0,191,0,0,0,192,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,193,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,232,3,0,0,82,0,0,0,83,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,56,0,0,0,194,0,0,0,195,0,0,0,196,0,0,0,197,0,0,0,32,0,0,0,198,0,0,0,199,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,200,0,0,0,9,0,0,0,57,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,248,3,0,0,84,0,0,0,85,0,0,0,11,0,0,0,96,0,0,0,97,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,58,0,0,0,201,0,0,0,202,0,0,0,203,0,0,0,204,0,0,0,33,0,0,0,205,0,0,0,206,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,59,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,60,0,0,0,196,255,255,255,248,3,0,0,61,0,0,0,86,0,0,0,87,0,0,0,207,0,0,0,208,0,0,0,62,0,0,0,63,0,0,0,98,0,0,0,0,0,0,0,24,4,0,0,6,0,0,0,88,0,0,0,0,0,0,0,48,4,0,0,64,0,0,0,1,0,0,0,1,0,0,0,207,0,0,0,208,0,0,0,62,0,0,0,63,0,0,0,98,0,0,0,0,0,0,0,56,4,0,0,89,0,0,0,90,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,65,0,0,0,209,0,0,0,210,0,0,0,211,0,0,0,212,0,0,0,34,0,0,0,213],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE);allocate([214,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,215,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,72,4,0,0,91,0,0,0,92,0,0,0,11,0,0,0,102,0,0,0,103,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,66,0,0,0,216,0,0,0,217,0,0,0,218,0,0,0,219,0,0,0,35,0,0,0,220,0,0,0,221,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,88,4,0,0,93,0,0,0,94,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,67,0,0,0,222,0,0,0,223,0,0,0,224,0,0,0,225,0,0,0,36,0,0,0,226,0,0,0,227,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,228,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,104,4,0,0,95,0,0,0,96,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,68,0,0,0,229,0,0,0,230,0,0,0,231,0,0,0,232,0,0,0,37,0,0,0,233,0,0,0,234,0,0,0,4,0,0,0,69,0,0,0,5,0,0,0,6,0,0,0,235,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,120,4,0,0,4,0,0,0,97,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,70,0,0,0,236,0,0,0,237,0,0,0,238,0,0,0,239,0,0,0,38,0,0,0,240,0,0,0,241,0,0,0,113,0,0,0,71,0,0,0,5,0,0,0,114,0,0,0,242,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,136,4,0,0,98,0,0,0,99,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,72,0,0,0,243,0,0,0,244,0,0,0,245,0,0,0,246,0,0,0,39,0,0,0,247,0,0,0,248,0,0,0,4,0,0,0,73,0,0,0,5,0,0,0,6,0,0,0,249,0,0,0,9,0,0,0,74,0,0,0,7,0,0,0,118,0,0,0,119,0,0,0,100,0,0,0,250,0,0,0,196,255,255,255,136,4,0,0,47,0,0,0,101,0,0,0,102,0,0,0,171,0,0,0,172,0,0,0,45,0,0,0,46,0,0,0,120,0,0,0,0,0,0,0,168,4,0,0,1,0,0,0,1,0,0,0,11,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,75,0,0,0,251,0,0,0,252,0,0,0,253,0,0,0,254,0,0,0,40,0,0,0,255,0,0,0,0,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,1,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,1,0,0,0,250,0,0,0,0,0,0,0,184,4,0,0,103,0,0,0,104,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,76,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,77,0,0,0,1,1,0,0,2,1,0,0,3,1,0,0,4,1,0,0,41,0,0,0,5,1,0,0,6,1,0,0,4,0,0,0,78,0,0,0,124,0,0,0,6,0,0,0,7,1,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,105,0,0,0,250,0,0,0,0,0,0,0,200,4,0,0,103,0,0,0,106,0,0,0,121,0,0,0,125,0,0,0,126,0,0,0,79,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,80,0,0,0,8,1,0,0,9,1,0,0,10,1,0,0,11,1,0,0,42,0,0,0,12,1,0,0,13,1,0,0,4,0,0,0,78,0,0,0,124,0,0,0,6,0,0,0,14,1,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,105,0,0,0,250,0,0,0,0,0,0,0,216,4,0,0,107,0,0,0,108,0,0,0,11,0,0,0,127,0,0,0,128,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,81,0,0,0,15,1,0,0,16,1,0,0,17,1,0,0,18,1,0,0,43,0,0,0,19,1,0,0,20,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,196,255,255,255,216,4,0,0,82,0,0,0,109,0,0,0,110,0,0,0,21,1,0,0,22,1,0,0,83,0,0,0,84,0,0,0,129,0,0,0,0,0,0,0,248,4,0,0,6,0,0,0,111,0,0,0,0,0,0,0,16,5,0,0,82,0,0,0,1,0,0,0,1,0,0,0,21,1,0,0,22,1,0,0,83,0,0,0,84,0,0,0,129,0,0,0,0,0,0,0,24,5,0,0,112,0,0,0,113,0,0,0,11,0,0,0,130,0,0,0,131,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,85,0,0,0,23,1,0,0,24,1,0,0,25,1,0,0,26,1,0,0,44,0,0,0,27,1,0,0,28,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,40,5,0,0,114,0,0,0,115,0,0,0,10,0,0,0,132,0,0,0,133,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,86,0,0,0,29,1,0,0,30,1,0,0,31,1,0,0,32,1,0,0,45,0,0,0,33,1,0,0,34,1,0,0,14,0,0,0,134,0,0,0,22,0,0,0,0,0,0,0,56,5,0,0,6,0,0,0,116,0,0,0,0,0,0,0,96,5,0,0,117,0,0,0,118,0,0,0,11,0,0,0,135,0,0,0,136,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,87,0,0,0,35,1,0,0,36,1,0,0,37,1,0,0,38,1,0,0,46,0,0,0,39,1,0,0,40,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,41,1,0,0,0,0,0,0,112,5,0,0,6,0,0,0,119,0,0,0,0,0,0,0,136,5,0,0,120,0,0,0,121,0,0,0,11,0,0,0,137,0,0,0,138,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,88,0,0,0,42,1,0,0,43,1,0,0,44,1,0,0,45,1,0,0,47,0,0,0,46,1,0,0,47,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,48,1,0,0,0,0,0,0,152,5,0,0,122,0,0,0,123,0,0,0,11,0,0,0,139,0,0,0,140,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,89,0,0,0,49,1,0,0,50,1,0,0,51,1,0,0,52,1,0,0,48,0,0,0,53,1,0,0,54,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,55,1,0,0,0,0,0,0,168,5,0,0,124,0,0,0,125,0,0,0,11,0,0,0,141,0,0,0,142,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,90,0,0,0,56,1,0,0,57,1,0,0,58,1,0,0,59,1,0,0,49,0,0,0,60,1,0,0,61,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,62,1,0,0,0,0,0,0,184,5,0,0,126,0,0,0,127,0,0,0,11,0,0,0,143,0,0,0,144,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,91,0,0,0,63,1,0,0,64,1,0,0,65,1,0,0,66,1,0,0,50,0,0,0,67,1,0,0,68,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,200,5,0,0,128,0,0,0,129,0,0,0,10,0,0,0,145,0,0,0,146,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,92,0,0,0,69,1,0,0,70,1,0,0,71,1,0,0,72,1,0,0,51,0,0,0,73,1,0,0,74,1,0,0,14,0,0,0,147,0,0,0,22,0,0,0,0,0,0,0,216,5,0,0,6,0,0,0,130,0,0,0,0,0,0,0,240,5,0,0,4,0,0,0,131,0,0,0,148,0,0,0,149,0,0,0,150,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,93,0,0,0,75,1,0,0,76,1,0,0,77,1,0,0,78,1,0,0,52,0,0,0,79,1,0,0,80,1,0,0,151,0,0,0,94,0,0,0,152,0,0,0,153,0,0,0,81,1,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,0,0,0,0,0,6,0,0,132,0,0,0,133,0,0,0,10,0,0,0,154,0,0,0,155,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,95,0,0,0,82,1,0,0,83,1,0,0,84,1,0,0,85,1,0,0,53,0,0,0,86,1,0,0,87,1,0,0,0,0,0,0,16,6,0,0,134,0,0,0,135,0,0,0,10,0,0,0,156,0,0,0,157,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,96,0,0,0,88,1,0,0,89,1,0,0,90,1,0,0,91,1,0,0,54,0,0,0,92,1,0,0,93,1,0,0,97,0,0,0,204,255,255,255,16,6,0,0,98,0,0,0,136,0,0,0,137,0,0,0,94,1,0,0,95,1,0,0,99,0,0,0,100,0,0,0,158,0,0,0,0,0,0,0,48,6,0,0,6,0,0,0,138,0,0,0,0,0,0,0,72,6,0,0,101,0,0,0,1,0,0,0,1,0,0,0,94,1,0,0,95,1,0,0,99,0,0,0,100,0,0,0,158,0,0,0,0,0,0,0,80,6,0,0,139,0,0,0,140,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,7,0,0,0,8,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,102,0,0,0,96,1,0,0,97,1,0,0,98,1,0,0,99,1,0,0,55,0,0,0,100,1,0,0,101,1,0,0,162,0,0,0,163,0,0,0,102,1,0,0,103,1,0,0,164,0,0,0,0,0,0,0,120,6,0,0,6,0,0,0,141,0,0,0,0,0,0,0,96,6,0,0,6,0,0,0,142,0,0,0,0,0,0,0,24,0,0,0,1,0,0,0,1,0,0,0,165,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,103,0,0,0,104,1,0,0,105,1,0,0,106,1,0,0,107,1,0,0,56,0,0,0,108,1,0,0,109,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,1,0,0,0,104,0,0,0,166,0,0,0,167,0,0,0,110,1,0,0,111,1,0,0,105,0,0,0,168,0,0,0,112,1,0,0,169,0,0,0,113,1,0,0,114,1,0,0,0,0,0,0,144,6,0,0,6,0,0,0,143,0,0,0,0,0,0,0,168,6,0,0,144,0,0,0,145,0,0,0,165,0,0,0,170,0,0,0,171,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,106,0,0,0,115,1,0,0,116,1,0,0,117,1,0,0,118,1,0,0,57,0,0,0,119,1,0,0,120,1,0,0,4,0,0,0,107,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,172,0,0,0,104,0,0,0,173,0,0,0,174,0,0,0,110,1,0,0,111,1,0,0,105,0,0,0,168,0,0,0,112,1,0,0,169,0,0,0,113,1,0,0,114,1,0,0,0,0,0,0,40,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,9,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,3,0,0,0,15,0,0,0,16,0,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,1,0,0,0,104,0,0,0,175,0,0,0,176,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,184,6,0,0,144,0,0,0,146,0,0,0,165,0,0,0,177,0,0,0,178,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,108,0,0,0,121,1,0,0,122,1,0,0,123,1,0,0,124,1,0,0,58,0,0,0,125,1,0,0,126,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,179,0,0,0,104,0,0,0,166,0,0,0,167,0,0,0,110,1,0,0,111,1,0,0,105,0,0,0,180,0,0,0,112,1,0,0,169,0,0,0,113,1,0,0,114,1,0,0,0,0,0,0,120,0,0,0,144,0,0,0,147,0,0,0,165,0,0,0,181,0,0,0,182,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,109,0,0,0,127,1,0,0,128,1,0,0,129,1,0,0,130,1,0,0,59,0,0,0,131,1,0,0,132,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,183,0,0,0,104,0,0,0,166,0,0,0,167,0,0,0,110,1,0,0,111,1,0,0,105,0,0,0,168,0,0,0,133,1,0,0,169,0,0,0,113,1,0,0,134,1,0,0,135,1,0,0,136,1,0,0,137,1,0,0,138,1,0,0,0,0,0,0,200,6,0,0,144,0,0,0,148,0,0,0,165,0,0,0,184,0,0,0,185,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,110,0,0,0,139,1,0,0,140,1,0,0,141,1,0,0,142,1,0,0,60,0,0,0,143,1,0,0,144,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,186,0,0,0,104,0,0,0,166,0,0,0,167,0,0,0,110,1,0,0,111,1,0,0,105,0,0,0,168,0,0,0,145,1,0,0,169,0,0,0,113,1,0,0,114,1,0,0,0,0,0,0,216,6,0,0,144,0,0,0,149,0,0,0,165,0,0,0,187,0,0,0,188,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,111,0,0,0,146,1,0,0,147,1,0,0,148,1,0,0,149,1,0,0,61,0,0,0,150,1,0,0,151,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,189,0,0,0,104,0,0,0,166,0,0,0,167,0,0,0,110,1,0,0,111,1,0,0,105,0,0,0,168,0,0,0,152,1,0,0,169,0,0,0,113,1,0,0,114,1,0,0,0,0,0,0,104,0,0,0,150,0,0,0,151,0,0,0,190,0,0,0,191,0,0,0,192,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,112,0,0,0,153,1,0,0,154,1,0,0,155,1,0,0,156,1,0,0,62,0,0,0,157,1,0,0,158,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,193,0,0,0,104,0,0,0,166,0,0,0,167,0,0,0,110,1,0,0,111,1,0,0,105,0,0,0,168,0,0,0,112,1,0,0,169,0,0,0,113,1,0,0,159,1,0,0,160,1,0,0,161,1,0,0,162,1,0,0,0,0,0,0,72,0,0,0,152,0,0,0,153,0,0,0,194,0,0,0,195,0,0,0,196,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,3,0,0,0,1,0,0,0,113,0,0,0,163,1,0,0,164,1,0,0,165,1,0,0,166,1,0,0,63,0,0,0,167,1,0,0,168,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,197,0,0,0,104,0,0,0,166,0,0,0,167,0,0,0,110,1,0,0,111,1,0,0,105,0,0,0,168,0,0,0,169,1,0,0,198,0,0,0,113,1,0,0,170,1,0,0,171,1,0,0,172,1,0,0,173,1,0,0,0,0,0,0,88,0,0,0,154,0,0,0,155,0,0,0,199,0,0,0,200,0,0,0,201,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,156,0,0,0,174,1,0,0,114,0,0,0,175,1,0,0,176,1,0,0,177,1,0,0,178,1,0,0,64,0,0,0,179,1,0,0,180,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,202,0,0,0,104,0,0,0,203,0,0,0,204,0,0,0,110,1,0,0,111,1,0,0,105,0,0,0,168,0,0,0,112,1,0,0,169,0,0,0,113,1,0,0,181,1,0,0,182,1,0,0,183,1,0,0,184,1,0,0,185,1,0,0,0,0,0,0,232,6,0,0,157,0,0,0,158,0,0,0,205,0,0,0,206,0,0,0,207,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,159,0,0,0,186,1,0,0,115,0,0,0,187,1,0,0,188,1,0,0,189,1,0,0,190,1,0,0,65,0,0,0,191,1,0,0,192,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,208,0,0,0,104,0,0,0,209,0,0,0,210,0,0,0,193,1,0,0,194,1,0,0,116,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,211,0,0,0,195,1,0,0,196,1,0,0,184,255,255,255,232,6,0,0,117,0,0,0,160,0,0,0,161,0,0,0,197,1,0,0,198,1,0,0,118,0,0,0,119,0,0,0,212,0,0,0,0,0,0,0,8,7,0,0,120,0,0,0,1,0,0,0,1,0,0,0,197,1,0,0,198,1,0,0,118,0,0,0,119,0,0,0,213,0,0,0,0,0,0,0,16,7,0,0,6,0,0,0,162,0,0,0,0,0,0,0,40,7,0,0,6,0,0,0,163,0,0,0,0,0,0,0,88,7,0,0,6,0,0,0,164,0,0,0,0,0,0,0,64,7,0,0,6,0,0,0,165,0,0,0,0,0,0,0,112,7,0,0,166,0,0,0,167,0,0,0,214,0,0,0,215,0,0,0,216,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,168,0,0,0,199,1,0,0,121,0,0,0,200,1,0,0,201,1,0,0,202,1,0,0,203,1,0,0,66,0,0,0,204,1,0,0,205,1,0,0,4,0,0,0,10,0,0,0,5,0,0,0,6,0,0,0,17,0,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,217,0,0,0,122,0,0,0,218,0,0,0,219,0,0,0,206,1,0,0,207,1,0,0,4,0,0,0,5,0,0,0,6,0,0,0,220,0,0,0,208,1,0,0,209,1,0,0,0,0,0,0,128,7,0,0,169,0,0,0,170,0,0,0,221,0,0,0,222,0,0,0,223,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,3,0,0,0,171,0,0,0,210,1,0,0,123,0,0,0,211,1,0,0,212,1,0,0,213,1,0,0,214,1,0,0,67,0,0,0,215,1,0,0,216,1,0,0,4,0,0,0,124,0,0,0,5,0,0,0,6,0,0,0,217,1,0,0,9,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,224,0,0,0,125,0,0,0,225,0,0,0,226,0,0,0,218,1,0,0,219,1,0,0,126,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,227,0,0,0,220,1,0,0,221,1,0,0,184,255,255,255,128,7,0,0,127,0,0,0,172,0,0,0,173,0,0,0,222,1,0,0,223,1,0,0,128,0,0,0,129,0,0,0,228,0,0,0,0,0,0,0,160,7,0,0,130,0,0,0,1,0,0,0,1,0,0,0,222,1,0,0,223,1,0,0,128,0,0,0,129,0,0,0,229,0,0,0,0,0,0,0,168,7,0,0,6,0,0,0,174,0,0,0,0,0,0,0,208,7,0,0,175,0,0,0,176,0,0,0,230,0,0,0,231,0,0,0,0,0,0,0,168,0,0,0,177,0,0,0,178,0,0,0,232,0,0,0,233,0,0,0,0,0,0,0,224,7,0,0,179,0,0,0,180,0,0,0,181,0,0,0,224,1,0,0,182,0,0,0,0,0,0,0,240,7,0,0,183,0,0,0,184,0,0,0,1,0,0,0,131,0,0,0,225,1,0,0,234,0,0,0,60,0,0,0,0,0,0,0,152,16,0,0,185,0,0,0,186,0,0,0,196,255,255,255,196,255,255,255,152,16,0,0,187,0,0,0,188,0,0,0,60,0,0,0,0,0,0,0,24,8,0,0,189,0,0,0,190,0,0,0,196,255,255,255,196,255,255,255,24,8,0,0,191,0,0,0,192,0,0,0,0,0,0,0,8,8,0,0,193,0,0,0,194,0,0,0,132,0,0,0,10,0,0,0,1,0,0,0,1,0,0,0,235,0,0,0,236,0,0,0,11,0,0,0,237,0,0,0,238,0,0,0,226,1,0,0,12,0,0,0,227,1,0,0,180,61,0,0,140,61,0,0,160,61,0,0,200,61,0,0,56,0,0,0,0,0,0,0,248,7,0,0,195,0,0,0,196,0,0,0,200,255,255,255,200,255,255,255,248,7,0,0,197,0,0,0,198,0,0,0,44,62,0,0,44,63,0,0,64,63,0,0,64,62,0,0,64,0,0,0,0,0,0,0,40,8,0,0,199,0,0,0,200,0,0,0,56,0,0,0,248,255,255,255,40,8,0,0,201,0,0,0,202,0,0,0,192,255,255,255,192,255,255,255,40,8,0,0,203,0,0,0,204,0,0,0,64,0,0,0,0,0,0,0,152,16,0,0,185,0,0,0,186,0,0,0,192,255,255,255,192,255,255,255,152,16,0,0,187,0,0,0,188,0,0,0,100,62,0,0,240,62,0,0,160,62,0,0,180,62,0,0,44,63,0,0,64,63,0,0,24,63,0,0,4,63,0,0,140,62,0,0,120,62,0,0,64,0,0,0,0,0,0,0,248,16,0,0,205,0,0,0,206,0,0,0,56,0,0,0,248,255,255,255,248,16,0,0,207,0,0,0,208,0,0,0,192,255,255,255,192,255,255,255,248,16,0,0,209,0,0,0,210,0,0,0,56,0,0,0,0,0,0,0,200,16,0,0,211,0,0,0,212,0,0,0,200,255,255,255,200,255,255,255,200,16,0,0,213,0,0,0,214,0,0,0,0,0,0,0,56,8,0,0,183,0,0,0,215,0,0,0,133,0,0,0,131,0,0,0,225,1,0,0,234,0,0,0,0,0,0,0,88,8,0,0,183,0,0,0,216,0,0,0,134,0,0,0,131,0,0,0,225,1,0,0,234,0,0,0,0,0,0,0,104,8,0,0,6,0,0,0,217,0,0,0,0,4,0,0,1,0,0,0,232,3,0,0,232,3,0,0,232,3,0,0,232,3,0,0,64,66,15,0,51,139,0,0,76,139,0,0,110,139,0,0,131,139,0,0,143,139,0,0,157,139,0,0,170,139,0,0,208,139,0,0,243,139,0,0,31,140,0,0,43,140,0,0,62,140,0,0,80,140,0,0,109,140,0,0,134,140,0,0,158,140,0,0,191,140,0,0,219,140,0,0,237,140,0,0,0,141,0,0,15,141,0,0,29,141,0,0,45,141,0,0,70,141,0,0,95,141,0,0,127,141,0,0,153,141,0,0,27,142,0,0,156,142,0,0,30,143,0,0,49,143,0,0,66,143,0,0,81,143,0,0,101,143,0,0,138,143,0,0,169,143,0,0,211,143,0,0,234,143,0,0,1,144,0,0,21,144,0,0,36,144,0,0,50,144,0,0,65,144,0,0,78,144,0,0,95,144,0,0,112,144,0,0,133,144,0,0,147,144,0,0,162,144,0,0,189,144,0,0,210,144,0,0,249,144,0,0,31,145,0,0,46,145,0,0,68,145,0,0,88,145,0,0,112,145,0,0,127,145,0,0,144,145,0,0,168,145,0,0,195,145,0,0,211,145,0,0,227,145,0,0,241,145,0,0,3,146,0,0,36,146,0,0,59,146,0,0,89,146,0,0,112,146,0,0,132,146,0,0,154,146,0,0,176,146,0,0,188,146,0,0,224,146,0,0,240,146,0,0,13,147,0,0,44,147,0,0,83,147,0,0,111,147,0,0,160,147,0,0,213,147,0,0,239,147,0,0,14,148,0,0,0,0,0,0,152,8,0,0,6,0,0,0,218,0,0,0,0,0,0,0,128,8,0,0,6,0,0,0,219,0,0,0,0,0,0,0,176,8,0,0,220,0,0,0,221,0,0,0,239,0,0,0,0,0,0,0,192,8,0,0,220,0,0,0,222,0,0,0,240,0,0,0,0,0,0,0,208,8,0,0,220,0,0,0,223,0,0,0,241,0,0,0,0,0,0,0,240,8,0,0,224,0,0,0,225,0,0,0,230,0,0,0,231,0,0,0,0,0,0,0,0,9,0,0,6,0,0,0,226,0,0,0,0,0,0,0,24,9,0,0,6,0,0,0,227,0,0,0,0,0,0,0,48,9,0,0,6,0,0,0,228,0,0,0,0,0,0,0,72,9,0,0,6,0,0,0,229,0,0,0,0,0,0,0,112,9,0,0,230,0,0,0,231,0,0,0,230,0,0,0,231,0,0,0,0,0,0,0,96,9,0,0,232,0,0,0,233,0,0,0,230,0,0,0,231,0,0,0,108,0,0,0,0,0,0,0,152,16,0,0,185,0,0,0,186,0,0,0,148,255,255,255,148,255,255,255,152,16,0,0,187,0,0,0,188,0,0,0,108,0,0,0,0,0,0,0,144,9,0,0,234,0,0,0,235,0,0,0,148,255,255,255,148,255,255,255,144,9,0,0,236,0,0,0,237,0,0,0,24,66,0,0,240,65,0,0,4,66,0,0,44,66,0,0,0,0,0,0,128,9,0,0,238,0,0,0,239,0,0,0,135,0,0,0,13,0,0,0,2,0,0,0,2,0,0,0,242,0,0,0,236,0,0,0,11,0,0,0,243,0,0,0,238,0,0,0,228,1,0,0,12,0,0,0,229,1,0,0,0,0,0,0,160,9,0,0,6,0,0,0,240,0,0,0,0,0,0,0,152,11,0,0,6,0,0,0,241,0,0,0,0,0,0,0,128,11,0,0,6,0,0,0,242,0,0,0,0,0,0,0,16,12,0,0,6,0,0,0,243,0,0,0,0,0,0,0,176,11,0,0,6,0,0,0,244,0,0,0,0,0,0,0,200,11,0,0,6,0,0,0,245,0,0,0,0,0,0,0,224,11,0,0,6,0,0,0,246,0,0,0,0,0,0,0,248,11,0,0,6,0,0,0,247,0,0,0,0,0,0,0,40,12,0,0,6,0,0,0,248,0,0,0,0,0,0,0,88,12,0,0,6,0,0,0,249,0,0,0,0,0,0,0,64,12,0,0,6,0,0,0,250,0,0,0,0,0,0,0,136,12,0,0,6,0,0,0,251,0,0,0,0,0,0,0,112,12,0,0,6,0,0,0,252,0,0,0,0,0,0,0,160,12,0,0,6,0,0,0,253,0,0,0,0,0,0,0,184,12,0,0,6,0,0,0,254,0,0,0,0,0,0,0,208,12,0,0,6,0,0,0,255,0,0,0,0,0,0,0,232,12,0,0,6,0,0,0,0,1,0,0,0,0,0,0,0,13,0,0,6,0,0,0,1,1,0,0,0,0,0,0,24,13,0,0,6,0,0,0,2,1,0,0,0,0,0,0,48,13,0,0,6,0,0,0,3,1,0,0,0,0,0,0,72,13,0,0,6,0,0,0,4,1,0,0,0,0,0,0,96,13,0,0,6,0,0,0,5,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,0,0,0,0,120,13,0,0,230,1,0,0,6,1,0,0,7,1,0,0,231,1,0,0,232,1,0,0,233,1,0,0,234,1,0,0,235,1,0,0,236,1,0,0,237,1,0,0,238,1,0,0,239,1,0,0,240,1,0,0,241,1,0,0,242,1,0,0,243,1,0,0,244,1,0,0,245,1,0,0,246,1,0,0,247,1,0,0,248,1,0,0,249,1,0,0,250,1,0,0,251,1,0,0,252,1,0,0,253,1,0,0,254,1,0,0,255,1,0,0,0,2,0,0,1,2,0,0,2,2,0,0,3,2,0,0,4,2,0,0,5,2,0,0,6,2,0,0,7,2,0,0,8,2,0,0,9,2,0,0,10,2,0,0,11,2,0,0,12,2,0,0,13,2,0,0,14,2,0,0,15,2,0,0,16,2,0,0,17,2,0,0,18,2,0,0,19,2,0,0,20,2,0,0,21,2,0,0,22,2,0,0,23,2,0,0,24,2,0,0,25,2,0,0,26,2,0,0,27,2,0,0,28,2,0,0,29,2,0,0,30,2,0,0,31,2,0,0,32,2,0,0,33,2,0,0,34,2,0,0,35,2,0,0,36,2,0,0,37,2,0,0,38,2,0,0,39,2,0,0,40,2,0,0,0,0,0,0,0,14,0,0,6,0,0,0,8,1,0,0,0,0,0,0,200,13,0,0,6,0,0,0,9,1,0,0,0,0,0,0,184,13,0,0,10,1,0,0,11,1,0,0,232,0,0,0,233,0,0,0,0,0,0,0,240,13,0,0,12,1,0,0,13,1,0,0,232,0,0,0,233,0,0,0,0,0,0,0,40,14,0,0,14,1,0,0,15,1,0,0,230,0,0,0,244,0,0,0,0,0,0,0,80,14,0,0,6,0,0,0,16,1,0,0,0,0,0,0,104,14,0,0,41,2,0,0,17,1,0,0,18,1,0,0,42,2,0,0,43,2,0,0,44,2,0,0,45,2,0,0,46,2,0,0,47,2,0,0,48,2,0,0,49,2,0,0,50,2,0,0,51,2,0,0,52,2,0,0,53,2,0,0,54,2,0,0,55,2,0,0,56,2,0,0,57,2,0,0,58,2,0,0,59,2,0,0,60,2,0,0,61,2,0,0,62,2,0,0,63,2,0,0,64,2,0,0,65,2,0,0,66,2,0,0,67,2,0,0,68,2,0,0,69,2,0,0,70,2,0,0,71,2,0,0,72,2,0,0,73,2,0,0,74,2,0,0,75,2,0,0,76,2,0,0,77,2,0,0,78,2,0,0,79,2,0,0,80,2,0,0,81,2,0,0,82,2,0,0,83,2,0,0,84,2,0,0,85,2,0,0,86,2,0,0,87,2,0,0,88,2,0,0,89,2,0,0,90,2,0,0,91,2,0,0,92,2,0,0,93,2,0,0,94,2,0,0,95,2,0,0,96,2,0,0,97,2,0,0,98,2,0,0,99,2,0,0,100,2,0,0,101,2,0,0,102,2,0,0,103,2,0,0,104,2,0,0,105,2,0,0,106,2,0,0,107,2,0,0,0,0,0,0,136,14,0,0,6,0,0,0,19,1,0,0,0,0,0,0,160,14,0,0,6,0,0,0,20,1,0,0,0,0,0,0,208,14,0,0,108,2,0,0,21,1,0,0,22,1,0,0,109,2,0,0,110,2,0,0,111,2,0,0,112,2,0,0,113,2,0,0,114,2,0,0,115,2,0,0,116,2,0,0,117,2,0,0,118,2,0,0,119,2,0,0,120,2,0,0,121,2,0,0,122,2,0,0,123,2,0,0,124,2,0,0,125,2,0,0,126,2,0,0,127,2,0,0,128,2,0,0,129,2,0,0,130,2,0,0,131,2,0,0,132,2,0,0,133,2,0,0,134,2,0,0,135,2,0,0,136,2,0,0,137,2,0,0,138,2,0,0,139,2,0,0,140,2,0,0,141,2,0,0,142,2,0,0,143,2,0,0,144,2,0,0,145,2,0,0,146,2,0,0,147,2,0,0,148,2,0,0,149,2,0,0,150,2,0,0,151,2,0,0,152,2,0,0,153,2,0,0,154,2,0,0,155,2,0,0,156,2,0,0,157,2,0,0,158,2,0,0,159,2,0,0,160,2,0,0,161,2,0,0,162,2,0,0,163,2,0,0,164,2,0,0,165,2,0,0,166,2,0,0,167,2,0,0,168,2,0,0,169,2,0,0,170,2,0,0,171,2,0,0,172,2,0,0,173,2,0,0,174,2,0,0,0,0,0,0,240,14,0,0,175,2,0,0,23,1,0,0,24,1,0,0,176,2,0,0,177,2,0,0,178,2,0,0,179,2,0,0,180,2,0,0,181,2,0,0,182,2,0,0,183,2,0,0,184,2,0,0,185,2,0,0,186,2,0,0,187,2,0,0,188,2,0,0,189,2,0,0,190,2,0,0,191,2,0,0,192,2,0,0,193,2,0,0,194,2,0,0,195,2,0,0,196,2,0,0,197,2,0,0,198,2,0,0,199,2,0,0,200,2,0,0,201,2,0,0,202,2,0,0,203,2,0,0,204,2,0,0,205,2,0,0,206,2,0,0,207,2,0,0,208,2,0,0,209,2,0,0,210,2,0,0,211,2,0,0,212,2,0,0,213,2,0,0,214,2,0,0,215,2,0,0,216,2,0,0,217,2,0,0,218,2,0,0,219,2,0,0,220,2,0,0,221,2,0,0,222,2,0,0,223,2,0,0,224,2,0,0,225,2,0,0,226,2,0,0,227,2,0,0,228,2,0,0,229,2,0,0,230,2,0,0,231,2,0,0,232,2,0,0,233,2,0,0,234,2,0,0,235,2,0,0,236,2,0,0,237,2,0,0,238,2,0,0,239,2,0,0,240,2,0,0,241,2,0,0,0,0,0,0,24,15,0,0,6,0,0,0,25,1,0,0,0,0,0,0,0,15,0,0,6,0,0,0,26,1,0,0,0,0,0,0,64,15,0,0,136,0,0,0,27,1,0,0,28,1,0,0,137,0,0,0,138,0,0,0,139,0,0,0,140,0,0,0,141,0,0,0,142,0,0,0,143,0,0,0,144,0,0,0,145,0,0,0,146,0,0,0,147,0,0,0,148,0,0,0,149,0,0,0,150,0,0,0,151,0,0,0,152,0,0,0,153,0,0,0,154,0,0,0,155,0,0,0,156,0,0,0,157,0,0,0,158,0,0,0,159,0,0,0,160,0,0,0,161,0,0,0,162,0,0,0,163,0,0,0,164,0,0,0,165,0,0,0,166,0,0,0,167,0,0,0,168,0,0,0,169,0,0,0,170,0,0,0,171,0,0,0,172,0,0,0,173,0,0,0,174,0,0,0,175,0,0,0,176,0,0,0,177,0,0,0,178,0,0,0,179,0,0,0,180,0,0,0,181,0,0,0,182,0,0,0,183,0,0,0,184,0,0,0,185,0,0,0,186,0,0,0,187,0,0,0,188,0,0,0,189,0,0,0,190,0,0,0,191,0,0,0,192,0,0,0,193,0,0,0,194,0,0,0,195,0,0,0,196,0,0,0,197,0,0,0,198,0,0,0,199,0,0,0,200,0,0,0,201,0,0,0,202,0,0,0,0,0,0,0,104,15,0,0,203,0,0,0,29,1,0,0,30,1,0,0,204,0,0,0,205,0,0,0,206,0,0,0,207,0,0,0,208,0,0,0,209,0,0,0,210,0,0,0,211,0,0,0,212,0,0,0,213,0,0,0,214,0,0,0,215,0,0,0,216,0,0,0,217,0,0,0,218,0,0,0,219,0,0,0,220,0,0,0,221,0,0,0,222,0,0,0,223,0,0,0,224,0,0,0,225,0,0,0,226,0,0,0,227,0,0,0,228,0,0,0,229,0,0,0,230,0,0,0,231,0,0,0,232,0,0,0,233,0,0,0,234,0,0,0,235,0,0,0,236,0,0,0,237,0,0,0,238,0,0,0,239,0,0,0,240,0,0,0,241,0,0,0,242,0,0,0,243,0,0,0,244,0,0,0,245,0,0,0,246,0,0,0,247,0,0,0,248,0,0,0,249,0,0,0,250,0,0,0,251,0,0,0,252,0,0,0,253,0,0,0,254,0,0,0,255,0,0,0,0,1,0,0,1,1,0,0,2,1,0,0,3,1,0,0,4,1,0,0,5,1,0,0,6,1,0,0,7,1,0,0,8,1,0,0,9,1,0,0,10,1,0,0,11,1,0,0,12,1,0,0,13,1,0,0,252,255,255,255,104,15,0,0,31,1,0,0,32,1,0,0,0,0,0,0,120,15,0,0,203,0,0,0,33,1,0,0,34,1,0,0,204,0,0,0,14,1,0,0,206,0,0,0,207,0,0,0,15,1,0,0,16,1,0,0,210,0,0,0,17,1,0,0,18,1,0,0,213,0,0,0,214,0,0,0,19,1,0,0,216,0,0,0,217,0,0,0,218,0,0,0,219,0,0,0,20,1,0,0,221,0,0,0,222,0,0,0,223,0,0,0,224,0,0,0,225,0,0,0,226,0,0,0,227,0,0,0,228,0,0,0,229,0,0,0,230,0,0,0,21,1,0,0,232,0,0,0,233,0,0,0,234,0,0,0,235,0,0,0,236,0,0,0,237,0,0,0,238,0,0,0,22,1,0,0,240,0,0,0,241,0,0,0,242,0,0,0,23,1,0,0,24,1,0,0,245,0,0,0,246,0,0,0,247,0,0,0,248,0,0,0,249,0,0,0,250,0,0,0,251,0,0,0,252,0,0,0,253,0,0,0,254,0,0,0,255,0,0,0,0,1,0,0,1,1,0,0,2,1,0,0,3,1,0,0,4,1,0,0,5,1,0,0,6,1,0,0,7,1,0,0,8,1,0,0,9,1,0,0,10,1,0,0,11,1,0,0,12,1,0,0,13,1,0,0,252,255,255,255,120,15,0,0,35,1,0,0,36,1,0,0,0,0,0,0,152,15,0,0,203,0,0,0,37,1,0,0,38,1,0,0,25,1,0,0,26,1,0,0,27,1,0,0,207,0,0,0,28,1,0,0,29,1,0,0,30,1,0,0,31,1,0,0,32,1,0,0,33,1,0,0,34,1,0,0,35,1,0,0,36,1,0,0,37,1,0,0,38,1,0,0,39,1,0,0,40,1,0,0,41,1,0,0,42,1,0,0,43,1,0,0,44,1,0,0,45,1,0,0,46,1,0,0,47,1,0,0,48,1,0,0,49,1,0,0,50,1,0,0,51,1,0,0,52,1,0,0,53,1,0,0,54,1,0,0,55,1,0,0,56,1,0,0,57,1,0,0,58,1,0,0,59,1,0,0,60,1,0,0,61,1,0,0,62,1,0,0,63,1,0,0,64,1,0,0,245,0,0,0,65,1,0,0,66,1,0,0,67,1,0,0,68,1,0,0,69,1,0,0,70,1,0,0,71,1,0,0,72,1,0,0,73,1,0,0,74,1,0,0,75,1,0,0,76,1,0,0,77,1,0,0,78,1,0,0,79,1,0,0,80,1,0,0,81,1,0,0,82,1,0,0,83,1,0,0,84,1,0,0,85,1,0,0,86,1,0,0,87,1,0,0,88,1,0,0,0,0,0,0,168,15,0,0,242,2,0,0,39,1,0,0,40,1,0,0,243,2,0,0,244,2,0,0,245,2,0,0,246,2,0,0,247,2,0,0,248,2,0,0,249,2,0,0,250,2,0,0,251,2,0,0,252,2,0,0,253,2,0,0,254,2,0,0,255,2,0,0,0,3,0,0,1,3,0,0,2,3,0,0,3,3,0,0,4,3,0,0,5,3,0,0,6,3,0,0,7,3,0,0,8,3,0,0,9,3,0,0,10,3,0,0,11,3,0,0,12,3,0,0,13,3,0,0,14,3,0,0,15,3,0,0,16,3,0,0,17,3,0,0,18,3,0,0,19,3,0,0,20,3,0,0,21,3,0,0,22,3,0,0,23,3,0,0,24,3,0,0,25,3,0,0,26,3,0,0,27,3,0,0,28,3,0,0,29,3,0,0,30,3,0,0,31,3,0,0,32,3,0,0,33,3,0,0,34,3,0,0,35,3,0,0,36,3,0,0,37,3,0,0,38,3,0,0,39,3,0,0,40,3,0,0,41,3,0,0,42,3,0,0,43,3,0,0,44,3,0,0,45,3,0,0,46,3,0,0,47,3,0,0,48,3,0,0,49,3,0,0,50,3,0,0,51,3,0,0,52,3,0,0,0,0,0,0,200,15,0,0,89,1,0,0,37,1,0,0,41,1,0,0,90,1,0,0,91,1,0,0,92,1,0,0,93,1,0,0,94,1,0,0,95,1,0,0,96,1,0,0,97,1,0,0,98,1,0,0,99,1,0,0,100,1,0,0,101,1,0,0,102,1,0,0,103,1,0,0,104,1,0,0,105,1,0,0,106,1,0,0,107,1,0,0,108,1,0,0,109,1,0,0,110,1,0,0,111,1,0,0,112,1,0,0,113,1,0,0,114,1,0,0,115,1,0,0,116,1,0,0,117,1,0,0,118,1,0,0,119,1,0,0,120,1,0,0,121,1,0,0,122,1,0,0,123,1,0,0,124,1,0,0,125,1,0,0,126,1,0,0,127,1,0,0,128,1,0,0,129,1,0,0,130,1,0,0,131,1,0,0,132,1,0,0,133,1,0,0,134,1,0,0,135,1,0,0,136,1,0,0,137,1,0,0,138,1,0,0,139,1,0,0,140,1,0,0,141,1,0,0,142,1,0,0,143,1,0,0,144,1,0,0,145,1,0,0,146,1,0,0,147,1,0,0,148,1,0,0,149,1,0,0,150,1,0,0,151,1,0,0,152,1,0,0,153,1,0,0,154,1,0,0,155,1],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+10240);allocate([8,16,0,0,53,3,0,0,42,1,0,0,43,1,0,0,54,3,0,0,55,3,0,0,56,3,0,0,57,3,0,0,58,3,0,0,59,3,0,0,60,3,0,0,61,3,0,0,62,3,0,0,63,3,0,0,64,3,0,0,65,3,0,0,66,3,0,0,67,3,0,0,68,3,0,0,69,3,0,0,70,3,0,0,71,3,0,0,72,3,0,0,73,3,0,0,74,3,0,0,75,3,0,0,76,3,0,0,77,3,0,0,78,3,0,0,79,3,0,0,80,3,0,0,81,3,0,0,82,3,0,0,83,3,0,0,84,3,0,0,85,3,0,0,86,3,0,0,87,3,0,0,88,3,0,0,89,3,0,0,90,3,0,0,91,3,0,0,92,3,0,0,93,3,0,0,94,3,0,0,95,3,0,0,96,3,0,0,97,3,0,0,98,3,0,0,99,3,0,0,100,3,0,0,101,3,0,0,102,3,0,0,103,3,0,0,104,3,0,0,105,3,0,0,106,3,0,0,107,3,0,0,108,3,0,0,109,3,0,0,110,3,0,0,111,3,0,0,112,3,0,0,113,3,0,0,114,3,0,0,115,3,0,0,116,3,0,0,117,3,0,0,118,3,0,0,119,3,0,0,0,0,0,0,48,16,0,0,120,3,0,0,44,1,0,0,45,1,0,0,121,3,0,0,122,3,0,0,123,3,0,0,124,3,0,0,125,3,0,0,126,3,0,0,127,3,0,0,128,3,0,0,129,3,0,0,130,3,0,0,131,3,0,0,132,3,0,0,133,3,0,0,134,3,0,0,135,3,0,0,136,3,0,0,137,3,0,0,138,3,0,0,139,3,0,0,140,3,0,0,141,3,0,0,142,3,0,0,143,3,0,0,144,3,0,0,145,3,0,0,146,3,0,0,147,3,0,0,148,3,0,0,149,3,0,0,150,3,0,0,151,3,0,0,152,3,0,0,153,3,0,0,154,3,0,0,155,3,0,0,156,3,0,0,157,3,0,0,158,3,0,0,159,3,0,0,160,3,0,0,161,3,0,0,162,3,0,0,163,3,0,0,164,3,0,0,165,3,0,0,166,3,0,0,167,3,0,0,168,3,0,0,169,3,0,0,170,3,0,0,171,3,0,0,172,3,0,0,173,3,0,0,174,3,0,0,175,3,0,0,176,3,0,0,177,3,0,0,178,3,0,0,179,3,0,0,180,3,0,0,181,3,0,0,182,3,0,0,183,3,0,0,184,3,0,0,185,3,0,0,186,3,0,0,0,0,0,0,112,11,0,0,175,0,0,0,46,1,0,0,230,0,0,0,231,0,0,0,0,0,0,0,192,7,0,0,175,0,0,0,47,1,0,0,230,0,0,0,231,0,0,0,0,0,0,0,72,8,0,0,175,0,0,0,48,1,0,0,230,0,0,0,231,0,0,0,0,0,0,0,96,11,0,0,175,0,0,0,49,1,0,0,230,0,0,0,231,0,0,0,0,0,0,0,168,13,0,0,10,1,0,0,50,1,0,0,232,0,0,0,233,0,0,0,0,0,0,0,224,13,0,0,177,0,0,0,51,1,0,0,232,0,0,0,245,0,0,0,0,0,0,0,24,14,0,0,175,0,0,0,52,1,0,0,230,0,0,0,246,0,0,0,0,0,0,0,136,13,0,0,175,0,0,0,53,1,0,0,230,0,0,0,247,0,0,0,0,0,0,0,120,14,0,0,175,0,0,0,54,1,0,0,230,0,0,0,248,0,0,0,0,0,0,0,152,0,0,0,177,0,0,0,55,1,0,0,232,0,0,0,233,0,0,0,0,0,0,0,152,13,0,0,175,0,0,0,56,1,0,0,230,0,0,0,231,0,0,0,0,0,0,0,88,16,0,0,4,0,0,0,57,1,0,0,0,0,0,0,208,0,0,0,1,0,0,0,1,0,0,0,44,204,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,60,84,0,0,5,0,0,0,0,0,0,0,0,0,0,0,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,15,0,0,0,150,79,1,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,176,84,0,0,9,0,0,0,0,0,0,0,0,0,0,0,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,15,0,0,0,158,79,1,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,85,0,0,5,0,0,0,0,0,0,0,0,0,0,0,249,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,17,0,0,0,15,0,0,0,166,83,1,0,0,4,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,85,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,240,115,0,0,16,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,97,0,0,0,98,0,0,0,99,0,0,0,100,0,0,0,101,0,0,0,102,0,0,0,103,0,0,0,104,0,0,0,105,0,0,0,106,0,0,0,107,0,0,0,108,0,0,0,109,0,0,0,110,0,0,0,111,0,0,0,112,0,0,0,113,0,0,0,114,0,0,0,115,0,0,0,116,0,0,0,117,0,0,0,118,0,0,0,119,0,0,0,120,0,0,0,121,0,0,0,122,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,94,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,37,0,0,0,38,0,0,0,39,0,0,0,40,0,0,0,41,0,0,0,42,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,47,0,0,0,48,0,0,0,49,0,0,0,50,0,0,0,51,0,0,0,52,0,0,0,53,0,0,0,54,0,0,0,55,0,0,0,56,0,0,0,57,0,0,0,58,0,0,0,59,0,0,0,60,0,0,0,61,0,0,0,62,0,0,0,63,0,0,0,64,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,91,0,0,0,92,0,0,0,93,0,0,0,94,0,0,0,95,0,0,0,96,0,0,0,65,0,0,0,66,0,0,0,67,0,0,0,68,0,0,0,69,0,0,0,70,0,0,0,71,0,0,0,72,0,0,0,73,0,0,0,74,0,0,0,75,0,0,0,76,0,0,0,77,0,0,0,78,0,0,0,79,0,0,0,80,0,0,0,81,0,0,0,82,0,0,0,83,0,0,0,84,0,0,0,85,0,0,0,86,0,0,0,87,0,0,0,88,0,0,0,89,0,0,0,90,0,0,0,123,0,0,0,124,0,0,0,125,0,0,0,126,0,0,0,127,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,95,112,137,0,255,9,47,15,139,216,0,0,167,87,1,0,167,87,1,0,167,87,1,0,167,87,1,0,167,87,1,0,167,87,1,0,167,87,1,0,167,87,1,0,167,87,1,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,2,0,0,0,3,0,0,0,5,0,0,0,7,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,211,0,0,0,1,0,0,0,11,0,0,0,13,0,0,0,17,0,0,0,19,0,0,0,23,0,0,0,29,0,0,0,31,0,0,0,37,0,0,0,41,0,0,0,43,0,0,0,47,0,0,0,53,0,0,0,59,0,0,0,61,0,0,0,67,0,0,0,71,0,0,0,73,0,0,0,79,0,0,0,83,0,0,0,89,0,0,0,97,0,0,0,101,0,0,0,103,0,0,0,107,0,0,0,109,0,0,0,113,0,0,0,121,0,0,0,127,0,0,0,131,0,0,0,137,0,0,0,139,0,0,0,143,0,0,0,149,0,0,0,151,0,0,0,157,0,0,0,163,0,0,0,167,0,0,0,169,0,0,0,173,0,0,0,179,0,0,0,181,0,0,0,187,0,0,0,191,0,0,0,193,0,0,0,197,0,0,0,199,0,0,0,209,0,0,0,0,0,0,0,112,16,0,0,58,1,0,0,59,1,0,0,0,0,0,0,136,16,0,0,60,1,0,0,61,1,0,0,132,0,0,0,10,0,0,0,3,0,0,0,3,0,0,0,235,0,0,0,236,0,0,0,11,0,0,0,250,0,0,0,238,0,0,0,187,3,0,0,12,0,0,0,188,3,0,0,0,0,0,0,144,16,0,0,62,1,0,0,63,1,0,0,156,1,0,0,19,0,0,0,4,0,0,0,4,0,0,0,251,0,0,0,252,0,0,0,20,0,0,0,253,0,0,0,254,0,0,0,189,3,0,0,21,0,0,0,190,3,0,0,8,0,0,0,0,0,0,0,152,16,0,0,185,0,0,0,186,0,0,0,248,255,255,255,248,255,255,255,152,16,0,0,187,0,0,0,188,0,0,0,8,0,0,0,0,0,0,0,176,16,0,0,64,1,0,0,65,1,0,0,248,255,255,255,248,255,255,255,176,16,0,0,66,1,0,0,67,1,0,0,4,0,0,0,0,0,0,0,200,16,0,0,211,0,0,0,212,0,0,0,252,255,255,255,252,255,255,255,200,16,0,0,213,0,0,0,214,0,0,0,4,0,0,0,0,0,0,0,224,16,0,0,68,1,0,0,69,1,0,0,252,255,255,255,252,255,255,255,224,16,0,0,70,1,0,0,71,1,0,0,0,0,0,0,24,17,0,0,72,1,0,0,73,1,0,0,255,0,0,0,0,0,0,0,40,17,0,0,74,1,0,0,75,1,0,0,0,1,0,0,68,0,0,0,22,0,0,0,23,0,0,0,69,0,0,0,0,0,0,0,56,17,0,0,62,1,0,0,76,1,0,0,157,1,0,0,19,0,0,0,4,0,0,0,4,0,0,0,1,1,0,0,252,0,0,0,20,0,0,0,253,0,0,0,254,0,0,0,189,3,0,0,24,0,0,0,191,3,0,0,0,0,0,0,72,17,0,0,60,1,0,0,77,1,0,0,158,1,0,0,10,0,0,0,3,0,0,0,3,0,0,0,2,1,0,0,236,0,0,0,11,0,0,0,250,0,0,0,238,0,0,0,187,3,0,0,25,0,0,0,192,3,0,0,0,0,0,0,88,17,0,0,62,1,0,0,78,1,0,0,159,1,0,0,19,0,0,0,4,0,0,0,4,0,0,0,251,0,0,0,252,0,0,0,20,0,0,0,3,1,0,0,4,1,0,0,193,3,0,0,21,0,0,0,190,3,0,0,0,0,0,0,104,17,0,0,60,1,0,0,79,1,0,0,160,1,0,0,10,0,0,0,3,0,0,0,3,0,0,0,235,0,0,0,236,0,0,0,11,0,0,0,5,1,0,0,6,1,0,0,194,3,0,0,12,0,0,0,188,3,0,0,0,0,0,0,120,17,0,0,80,1,0,0,81,1,0,0,82,1,0,0,1,0,0,0,5,0,0,0,26,0,0,0,0,0,0,0,152,17,0,0,83,1,0,0,84,1,0,0,82,1,0,0,2,0,0,0,6,0,0,0,27,0,0,0,0,0,0,0,168,17,0,0,85,1,0,0,86,1,0,0,82,1,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,0,0,0,0,232,17,0,0,87,1,0,0,88,1,0,0,82,1,0,0,12,0,0,0,13,0,0,0,14,0,0,0,15,0,0,0,16,0,0,0,17,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,21,0,0,0,22,0,0,0,0,0,0,0,32,18,0,0,89,1,0,0,90,1,0,0,82,1,0,0,3,0,0,0,4,0,0,0,23,0,0,0,5,0,0,0,24,0,0,0,1,0,0,0,2,0,0,0,6,0,0,0,0,0,0,0,96,18,0,0,91,1,0,0,92,1,0,0,82,1,0,0,7,0,0,0,8,0,0,0,25,0,0,0,9,0,0,0,26,0,0,0,3,0,0,0,4,0,0,0,10,0,0,0,0,0,0,0,152,18,0,0,93,1,0,0,94,1,0,0,82,1,0,0,7,1,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,31,0,0,0,1,0,0,0,248,255,255,255,152,18,0,0,8,1,0,0,9,1,0,0,10,1,0,0,11,1,0,0,12,1,0,0,13,1,0,0,14,1,0,0,0,0,0,0,208,18,0,0,95,1,0,0,96,1,0,0,82,1,0,0,15,1,0,0,32,0,0,0,33,0,0,0,34,0,0,0,35,0,0,0,36,0,0,0,2,0,0,0,248,255,255,255,208,18,0,0,16,1,0,0,17,1,0,0,18,1,0,0,19,1,0,0,20,1,0,0,21,1,0,0,22,1,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,0,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,0,0,0,0,37,0,0,0,97,0,0,0,32,0,0,0,37,0,0,0,98,0,0,0,32,0,0,0,37,0,0,0,100,0,0,0,32,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,89,0,0,0,0,0,0,0,65,0,0,0,77,0,0,0,0,0,0,0,80,0,0,0,77,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,114,0,0,0,117,0,0,0,97,0,0,0,114,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,99,0,0,0,104,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,105,0,0,0,108,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,101,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,121,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,117,0,0,0,115,0,0,0,116,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,116,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,111,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,101,0,0,0,109,0,0,0,98,0,0,0,101,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,97,0,0,0,110,0,0,0,0,0,0,0,70,0,0,0,101,0,0,0,98,0,0,0,0,0,0,0,77,0,0,0,97,0,0,0,114,0,0,0,0,0,0,0,65,0,0,0,112,0,0,0,114,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,74,0,0,0,117,0,0,0,108,0,0,0,0,0,0,0,65,0,0,0,117,0,0,0,103,0,0,0,0,0,0,0,83,0,0,0,101,0,0,0,112,0,0,0,0,0,0,0,79,0,0,0,99,0,0,0,116,0,0,0,0,0,0,0,78,0,0,0,111,0,0,0,118,0,0,0,0,0,0,0,68,0,0,0,101,0,0,0,99,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,110,0,0,0,101,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,114,0,0,0,115,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,117,0,0,0,114,0,0,0,100,0,0,0,97,0,0,0,121,0,0,0,0,0,0,0,83,0,0,0,117,0,0,0,110,0,0,0,0,0,0,0,77,0,0,0,111,0,0,0,110,0,0,0,0,0,0,0,84,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,87,0,0,0,101,0,0,0,100,0,0,0,0,0,0,0,84,0,0,0,104,0,0,0,117,0,0,0,0,0,0,0,70,0,0,0,114,0,0,0,105,0,0,0,0,0,0,0,83,0,0,0,97,0,0,0,116,0,0,0,0,0,0,0,37,0,0,0,109,0,0,0,47,0,0,0,37,0,0,0,100,0,0,0,47,0,0,0,37,0,0,0,121,0,0,0,37,0,0,0,89,0,0,0,45,0,0,0,37,0,0,0,109,0,0,0,45,0,0,0,37,0,0,0,100,0,0,0,37,0,0,0,73,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,32,0,0,0,37,0,0,0,112,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,37,0,0,0,72,0,0,0,58,0,0,0,37,0,0,0,77,0,0,0,58,0,0,0,37,0,0,0,83,0,0,0,0,0,0,0,0,19,0,0,97,1,0,0,98,1,0,0,82,1,0,0,1,0,0,0,0,0,0,0,40,19,0,0,99,1,0,0,100,1,0,0,82,1,0,0,2,0,0,0,0,0,0,0,72,19,0,0,101,1,0,0,102,1,0,0,82,1,0,0,23,1,0,0,24,1,0,0,161,1,0,0,162,1,0,0,163,1,0,0,164,1,0,0,25,1,0,0,165,1,0,0,166,1,0,0,0,0,0,0,112,19,0,0,103,1,0,0,104,1,0,0,82,1,0,0,26,1,0,0,27,1,0,0,167,1,0,0,168,1,0,0,169,1,0,0,170,1,0,0,28,1,0,0,171,1,0,0,172,1,0,0,0,0,0,0,144,19,0,0,105,1,0,0,106,1,0,0,82,1,0,0,29,1,0,0,30,1,0,0,173,1,0,0,174,1,0,0,175,1,0,0,176,1,0,0,31,1,0,0,177,1,0,0,178,1,0,0,0,0,0,0,176,19,0,0,107,1,0,0,108,1,0,0,82,1,0,0,32,1,0,0,33,1,0,0,179,1,0,0,180,1,0,0,181,1,0,0,182,1,0,0,34,1,0,0,183,1,0,0,184,1,0,0,0,0,0,0,208,19,0,0,109,1,0,0,110,1,0,0,82,1,0,0,3,0,0,0,4,0,0,0,0,0,0,0,248,19,0,0,111,1,0,0,112,1,0,0,82,1,0,0,5,0,0,0,6,0,0,0,0,0,0,0,32,20,0,0,113,1,0,0,114,1,0,0,82,1,0,0,1,0,0,0,37,0,0,0,0,0,0,0,72,20,0,0,115,1,0,0,116,1,0,0,82,1,0,0,2,0,0,0,38,0,0,0,0,0,0,0,112,20,0,0,117,1,0,0,118,1,0,0,82,1,0,0,28,0,0,0,5,0,0,0,185,1,0,0,0,0,0,0,152,20,0,0,119,1,0,0,120,1,0,0,82,1,0,0,29,0,0,0,6,0,0,0,186,1,0,0,0,0,0,0,240,20,0,0,121,1,0,0,122,1,0,0,82,1,0,0,3,0,0,0,4,0,0,0,11,0,0,0,35,1,0,0,36,1,0,0,12,0,0,0,37,1,0,0,0,0,0,0,184,20,0,0,121,1,0,0,123,1,0,0,82,1,0,0,3,0,0,0,4,0,0,0,11,0,0,0,35,1,0,0,36,1,0,0,12,0,0,0,37,1,0,0,0,0,0,0,32,21,0,0,124,1,0,0,125,1,0,0,82,1,0,0,5,0,0,0,6,0,0,0,13,0,0,0,38,1,0,0,39,1,0,0,14,0,0,0,40,1,0,0,0,0,0,0,96,21,0,0,126,1,0,0,127,1,0,0,82,1,0,0,0,0,0,0,112,21,0,0,128,1,0,0,129,1,0,0,82,1,0,0,195,3,0,0,30,0,0,0,196,3,0,0,31,0,0,0,197,3,0,0,1,0,0,0,32,0,0,0,15,0,0,0,0,0,0,0,184,21,0,0,130,1,0,0,131,1,0,0,82,1,0,0,41,1,0,0,42,1,0,0,187,1,0,0,188,1,0,0,189,1,0,0,0,0,0,0,200,21,0,0,132,1,0,0,133,1,0,0,82,1,0,0,43,1,0,0,44,1,0,0,190,1,0,0,191,1,0,0,192,1,0,0,102,0,0,0,97,0,0,0,108,0,0,0,115,0,0,0,101,0,0,0,0,0,0,0,116,0,0,0,114,0,0,0,117,0,0,0,101,0,0,0,0,0,0,0,0,0,0,0,136,17,0,0,121,1,0,0,134,1,0,0,82,1,0,0,0,0,0,0,152,21,0,0,121,1,0,0,135,1,0,0,82,1,0,0,33,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,198,3,0,0,34,0,0,0,199,3,0,0,35,0,0,0,200,3,0,0,5,0,0,0,36,0,0,0,16,0,0,0,0,0,0,0,0,21,0,0,121,1,0,0,136,1,0,0,82,1,0,0,7,0,0,0,8,0,0,0,17,0,0,0,45,1,0,0,46,1,0,0,18,0,0,0,47,1,0,0,0,0,0,0,64,21,0,0,121,1,0,0,137,1,0,0,82,1,0,0,9,0,0,0,10,0,0,0,19,0,0,0,48,1,0,0,49,1,0,0,20,0,0,0,50,1,0,0,0,0,0,0,200,20,0,0,121,1,0,0,138,1,0,0,82,1,0,0,3,0,0,0,4,0,0,0,11,0,0,0,35,1,0,0,36,1,0,0,12,0,0,0,37,1,0,0,0,0,0,0,0,22,0,0,139,1,0,0,140,1,0,0,255,0,0,0,0,0,0,0,32,22,0,0,74,1,0,0,141,1,0,0,51,1,0,0,68,0,0,0,22,0,0,0,23,0,0,0,70,0,0,0,0,0,0,0,48,22,0,0,74,1,0,0,142,1,0,0,52,1,0,0,71,0,0,0,22,0,0,0,23,0,0,0,72,0,0,0,2,0,0,0,49,230,0,0,0,0,0,0,72,22,0,0,143,1,0,0,144,1,0,0,145,1,0,0,146,1,0,0,37,0,0,0,7,0,0,0,1,0,0,0,7,0,0,0,0,0,0,0,112,22,0,0,143,1,0,0,147,1,0,0,145,1,0,0,146,1,0,0,37,0,0,0,8,0,0,0,2,0,0,0,8,0,0,0,0,0,0,0,128,22,0,0,148,1,0,0,149,1,0,0,53,1,0,0,0,0,0,0,64,22,0,0,220,0,0,0,150,1,0,0,54,1,0,0,0,0,0,0,144,22,0,0,151,1,0,0,152,1,0,0,55,1,0,0,0,0,0,0,160,22,0,0,153,1,0,0,154,1,0,0,255,0,0,0,0,0,0,0,176,22,0,0,151,1,0,0,155,1,0,0,55,1,0,0,0,0,0,0,192,22,0,0,151,1,0,0,156,1,0,0,55,1,0,0,0,0,0,0,208,22,0,0,153,1,0,0,157,1,0,0,255,0,0,0,0,0,0,0,224,22,0,0,158,1,0,0,159,1,0,0,56,1,0,0,0,0,0,0,240,22,0,0,160,1,0,0,161,1,0,0,57,1,0,0,0,0,0,0,32,23,0,0,143,1,0,0,162,1,0,0,145,1,0,0,146,1,0,0,38,0,0,0,0,0,0,0,16,23,0,0,143,1,0,0,163,1,0,0,145,1,0,0,146,1,0,0,39,0,0,0,0,0,0,0,88,23,0,0,143,1,0,0,164,1,0,0,145,1,0,0,146,1,0,0,37,0,0,0,9,0,0,0,3,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,3,32,2,32,2,32,2,32,2,32,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,2,0,1,96,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,8,216,4,192,4,192,4,192,4,192,4,192,4,192,4,192,8,213,8,213,8,213,8,213,8,213,8,213,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,8,197,4,192,4,192,4,192,4,192,4,192,4,192,8,214,8,214,8,214,8,214,8,214,8,214,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,8,198,4,192,4,192,4,192,4,192,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,78,52,83,97,115,115,49,53,80,115,101,117,100,111,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,53,83,105,109,112,108,101,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,56,65,83,84,95,78,111,100,101,69,0,78,52,83,97,115,115,56,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,48,69,120,112,114,101,115,115,105,111,110,69,0,78,52,83,97,115,115,49,54,87,114,97,112,112,101,100,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,56,65,116,116,114,105,98,117,116,101,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,54,69,108,101,109,101,110,116,95,83,101,108,101,99,116,111,114,69,0,99,97,110,110,111,116,32,99,111,109,112,97,114,101,32,110,117,109,98,101,114,115,32,119,105,116,104,32,105,110,99,111,109,112,97,116,105,98,108,101,32,117,110,105,116,115,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,55,73,110,99,111,109,112,97,116,105,98,108,101,85,110,105,116,115,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,52,79,112,101,114,97,116,105,111,110,69,114,114,111,114,69,0,78,52,83,97,115,115,54,78,117,109,98,101,114,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,56,65,83,84,95,78,111,100,101,69,69,69,0,78,52,83,97,115,115,57,83,104,97,114,101,100,80,116,114,69,0,78,52,83,97,115,115,55,69,109,105,116,116,101,114,69,0,78,52,83,97,115,115,53,86,97,108,117,101,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,57,83,116,97,116,101,109,101,110,116,69,69,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,57,83,116,97,116,101,109,101,110,116,69,69,69,69,69,0,78,52,83,97,115,115,57,83,116,97,116,101,109,101,110,116,69,0,78,52,83,97,115,115,53,66,108,111,99,107,69,0,78,52,83,97,115,115,49,51,83,101,108,101,99,116,111,114,95,76],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+20484);allocate([105,115,116,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,51,83,101,108,101,99,116,111,114,95,76,105,115,116,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,53,66,108,111,99,107,69,69,69,0,78,52,83,97,115,115,57,72,97,115,95,66,108,111,99,107,69,0,78,52,83,97,115,115,55,82,117,108,101,115,101,116,69,0,78,52,83,97,115,115,54,66,117,98,98,108,101,69,0,78,52,83,97,115,115,53,84,114,97,99,101,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,52,76,105,115,116,69,69,69,0,78,52,83,97,115,115,49,49,77,101,100,105,97,95,66,108,111,99,107,69,0,64,45,119,101,98,107,105,116,45,109,101,100,105,97,0,64,45,109,111,122,45,109,101,100,105,97,0,64,45,111,45,109,101,100,105,97,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,48,69,120,112,114,101,115,115,105,111,110,69,69,69,0,78,52,83,97,115,115,57,68,105,114,101,99,116,105,118,101,69,0,78,52,83,97,115,115,49,51,75,101,121,102,114,97,109,101,95,82,117,108,101,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,54,83,116,114,105,110,103,69,69,69,0,78,52,83,97,115,115,49,49,68,101,99,108,97,114,97,116,105,111,110,69,0,78,52,83,97,115,115,49,48,65,115,115,105,103,110,109,101,110,116,69,0,78,52,83,97,115,115,54,73,109,112,111,114,116,69,0,78,52,83,97,115,115,49,49,73,109,112,111,114,116,95,83,116,117,98,69,0,78,52,83,97,115,115,55,87,97,114,110,105,110,103,69,0,78,52,83,97,115,115,53,69,114,114,111,114,69,0,78,52,83,97,115,115,53,68,101,98,117,103,69,0,78,52,83,97,115,115,55,67,111,109,109,101,110,116,69,0,78,52,83,97,115,115,50,73,102,69,0,78,52,83,97,115,115,51,70,111,114,69,0,78,52,83,97,115,115,52,69,97,99,104,69,0,78,52,83,97,115,115,53,87,104,105,108,101,69,0,78,52,83,97,115,115,54,82,101,116,117,114,110,69,0,78,52,83,97,115,115,57,69,120,116,101,110,115,105,111,110,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,48,80,97,114,97,109,101,116,101,114,115,69,69,69,0,78,52,83,97,115,115,49,48,68,101,102,105,110,105,116,105,111,110,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,57,65,114,103,117,109,101,110,116,115,69,69,69,0,78,52,83,97,115,115,49,48,77,105,120,105,110,95,67,97,108,108,69,0,78,52,83,97,115,115,55,67,111,110,116,101,110,116,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,48,69,120,112,114,101,115,115,105,111,110,69,69,69,69,69,0,78,52,83,97,115,115,56,65,114,103,117,109,101,110,116,69,0,97,114,103,108,105,115,116,0,78,52,83,97,115,115,52,76,105,115,116,69,0,78,52,83,97,115,115,54,72,97,115,104,101,100,69,0,78,52,83,97,115,115,51,77,97,112,69,0,117,110,111,114,100,101,114,101,100,95,109,97,112,58,58,97,116,58,32,107,101,121,32,110,111,116,32,102,111,117,110,100,0,78,52,83,97,115,115,49,55,66,105,110,97,114,121,95,69,120,112,114,101,115,115,105,111,110,69,0,78,52,83,97,115,115,56,80,114,101,86,97,108,117,101,69,0,78,52,83,97,115,115,49,54,85,110,97,114,121,95,69,120,112,114,101,115,115,105,111,110,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,56,65,114,103,117,109,101,110,116,69,69,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,56,65,114,103,117,109,101,110,116,69,69,69,69,69,0,110,97,109,101,100,32,97,114,103,117,109,101,110,116,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,97,114,103,117,109,101,110,116,0,102,117,110,99,116,105,111,110,115,32,97,110,100,32,109,105,120,105,110,115,32,109,97,121,32,111,110,108,121,32,98,101,32,99,97,108,108,101,100,32,119,105,116,104,32,111,110,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,97,114,103,117,109,101,110,116,0,111,110,108,121,32,107,101,121,119,111,114,100,32,97,114,103,117,109,101,110,116,115,32,109,97,121,32,102,111,108,108,111,119,32,118,97,114,105,97,98,108,101,32,97,114,103,117,109,101,110,116,115,0,102,117,110,99,116,105,111,110,115,32,97,110,100,32,109,105,120,105,110,115,32,109,97,121,32,111,110,108,121,32,98,101,32,99,97,108,108,101,100,32,119,105,116,104,32,111,110,101,32,107,101,121,119,111,114,100,32,97,114,103,117,109,101,110,116,0,111,114,100,105,110,97,108,32,97,114,103,117,109,101,110,116,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,97,114,103,117,109,101,110,116,115,0,111,114,100,105,110,97,108,32,97,114,103,117,109,101,110,116,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,110,97,109,101,100,32,97,114,103,117,109,101,110,116,115,0,78,52,83,97,115,115,57,65,114,103,117,109,101,110,116,115,69,0,78,52,83,97,115,115,49,51,70,117,110,99,116,105,111,110,95,67,97,108,108,69,0,78,52,83,97,115,115,50,48,70,117,110,99,116,105,111,110,95,67,97,108,108,95,83,99,104,101,109,97,69,0,78,52,83,97,115,115,56,86,97,114,105,97,98,108,101,69,0,78,52,83,97,115,115,53,67,111,108,111,114,69,0,78,52,83,97,115,115,55,66,111,111,108,101,97,110,69,0,98,111,111,108,0,78,52,83,97,115,115,49,51,83,116,114,105,110,103,95,83,99,104,101,109,97,69,0,78,52,83,97,115,115,54,83,116,114,105,110,103,69,0,32,12,10,13,9,11,0,78,52,83,97,115,115,49,51,83,116,114,105,110,103,95,81,117,111,116,101,100,69,0,78,52,83,97,115,115,49,53,83,116,114,105,110,103,95,67,111,110,115,116,97,110,116,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,50,50,77,101,100,105,97,95,81,117,101,114,121,95,69,120,112,114,101,115,115,105,111,110,69,69,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,50,50,77,101,100,105,97,95,81,117,101,114,121,95,69,120,112,114,101,115,115,105,111,110,69,69,69,69,69,0,78,52,83,97,115,115,49,49,77,101,100,105,97,95,81,117,101,114,121,69,0,78,52,83,97,115,115,50,50,77,101,100,105,97,95,81,117,101,114,121,95,69,120,112,114,101,115,115,105,111,110,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,56,83,117,112,112,111,114,116,115,95,67,111,110,100,105,116,105,111,110,69,69,69,0,78,52,83,97,115,115,49,52,83,117,112,112,111,114,116,115,95,66,108,111,99,107,69,0,78,52,83,97,115,115,49,56,83,117,112,112,111,114,116,115,95,67,111,110,100,105,116,105,111,110,69,0,78,52,83,97,115,115,49,55,83,117,112,112,111,114,116,115,95,79,112,101,114,97,116,111,114,69,0,78,52,83,97,115,115,49,55,83,117,112,112,111,114,116,115,95,78,101,103,97,116,105,111,110,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,55,83,117,112,112,111,114,116,115,95,79,112,101,114,97,116,111,114,69,69,69,0,78,52,83,97,115,115,50,48,83,117,112,112,111,114,116,115,95,68,101,99,108,97,114,97,116,105,111,110,69,0,78,52,83,97,115,115,50,50,83,117,112,112,111,114,116,115,95,73,110,116,101,114,112,111,108,97,116,105,111,110,69,0,78,52,83,97,115,115,49,51,65,116,95,82,111,111,116,95,81,117,101,114,121,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,51,65,116,95,82,111,111,116,95,81,117,101,114,121,69,69,69,0,78,52,83,97,115,115,49,51,65,116,95,82,111,111,116,95,66,108,111,99,107,69,0,78,52,83,97,115,115,52,78,117,108,108,69,0,78,52,83,97,115,115,57,80,97,114,97,109,101,116,101,114,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,57,80,97,114,97,109,101,116,101,114,69,69,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,57,80,97,114,97,109,101,116,101,114,69,69,69,69,69,0,111,112,116,105,111,110,97,108,32,112,97,114,97,109,101,116,101,114,115,32,109,97,121,32,110,111,116,32,98,101,32,99,111,109,98,105,110,101,100,32,119,105,116,104,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,112,97,114,97,109,101,116,101,114,115,0,102,117,110,99,116,105,111,110,115,32,97,110,100,32,109,105,120,105,110,115,32,99,97,110,110,111,116,32,104,97,118,101,32,109,111,114,101,32,116,104,97,110,32,111,110,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,112,97,114,97,109,101,116,101,114,0,114,101,113,117,105,114,101,100,32,112,97,114,97,109,101,116,101,114,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,112,97,114,97,109,101,116,101,114,115,0,114,101,113,117,105,114,101,100,32,112,97,114,97,109,101,116,101,114,115,32,109,117,115,116,32,112,114,101,99,101,100,101,32,111,112,116,105,111,110,97,108,32,112,97,114,97,109,101,116,101,114,115,0,78,52,83,97,115,115,49,48,80,97,114,97,109,101,116,101,114,115,69,0,78,52,83,97,115,115,49,54,67,111,109,112,108,101,120,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,55,67,111,109,112,111,117,110,100,95,83,101,108,101,99,116,111,114,69,0,105,110,118,97,108,105,100,32,115,101,108,101,99,116,111,114,32,98,97,115,101,32,99,108,97,115,115,101,115,32,116,111,32,99,111,109,112,97,114,101,0,78,52,83,97,115,115,49,53,80,97,114,101,110,116,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,53,80,97,114,101,110,116,95,83,101,108,101,99,116,111,114,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,51,83,116,114,105,110,103,95,83,99,104,101,109,97,69,69,69,0,78,52,83,97,115,115,49,53,83,101,108,101,99,116,111,114,95,83,99,104,101,109,97,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,53,83,105,109,112,108,101,95,83,101,108,101,99,116,111,114,69,69,69,0,124,0,115,101,108,101,99,116,111,114,0,78,52,83,97,115,115,50,48,80,108,97,99,101,104,111,108,100,101,114,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,52,67,108,97,115,115,95,83,101,108,101,99,116,111,114,69,0,78,52,83,97,115,115,49,49,73,100,95,83,101,108,101,99,116,111,114,69,0,58,98,101,102,111,114,101,0,58,97,102,116,101,114,0,58,102,105,114,115,116,45,108,105,110,101,0,58,102,105,114,115,116,45,108,101,116,116,101,114,0,105,115,95,115,117,112,101,114,115,101,108,101,99,116,111,114,32,101,120,112,101,99,116,101,100,32,97,32,83,101,108,101,99,116,111,114,95,76,105,115,116,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,53,83,105,109,112,108,101,95,83,101,108,101,99,116,111,114,69,69,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,54,67,111,109,112,108,101,120,95,83,101,108,101,99,116,111,114,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,55,67,111,109,112,111,117,110,100,95,83,101,108,101,99,116,111,114,69,69,69,0,119,114,97,112,112,101,100,32,110,111,116,32,115,101,108,101,99,116,111,114,32,105,115,32,110,111,116,32,97,32,108,105,115,116,0,58,45,109,111,122,45,97,110,121,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,54,87,114,97,112,112,101,100,95,83,101,108,101,99,116,111,114,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,56,83,101,108,101,99,116,111,114,69,69,69,0,78,52,83,97,115,115,49,48,86,101,99,116,111,114,105,122,101,100,73,78,83,95,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,54,67,111,109,112,108,101,120,95,83,101,108,101,99,116,111,114,69,69,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,53,83,101,108,101,99,116,111,114,95,83,99,104,101,109,97,69,69,69,0,119,105,116,104,0,97,108,108,0,108,95,108,97,115,116,32,38,38,32,34,108,104,115,32,105,115,32,110,117,108,108,34,0,115,114,99,47,97,115,116,46,99,112,112,0,117,110,105,102,121,95,119,105,116,104,0,114,95,108,97,115,116,32,38,38,32,34,114,104,115,32,105,115,32,110,117,108,108,34,0,108,95,108,97,115,116,95,104,101,97,100,32,38,38,32,34,108,104,115,32,104,101,97,100,32,105,115,32,110,117,108,108,34,0,114,95,108,97,115,116,95,104,101,97,100,32,38,38,32,34,114,104,115,32,104,101,97,100,32,105,115,32,110,117,108,108,34,0,73,110,118,97,108,105,100,32,112,97,114,101,110,116,32,115,101,108,101,99,116,111,114,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,52,66,97,115,101,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,51,73,110,118,97,108,105,100,80,97,114,101,110,116,69,0,110,101,115,116,101,100,32,115,101,108,101,99,116,111,114,115,32,109,97,121,32,110,111,116,32,98,101,32,101,120,116,101,110,100,101,100,0,78,83,116,51,95,95,50,50,48,95,95,115,104,97,114,101,100,95,112,116,114,95,101,109,112,108,97,99,101,73,78,83,95,53,100,101,113,117,101,73,78,52,83,97,115,115,52,78,111,100,101,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,83,51,95,69,69,69,69,78,83,52,95,73,83,54,95,69,69,69,69,0,67,111,109,112,97,114,105,110,103,32,117,110,107,110,111,119,110,32,110,111,100,101,32,116,121,112,101,115,46,32,65,32,110,101,119,32,116,121,112,101,32,119,97,115,32,112,114,111,98,97,98,108,121,32,97,100,100,101,100,32,97,110,100,32,116,104,105,115,32,109,101,116,104,111,100,32,119,97,115,110,39,116,32,105,109,112,108,101,109,101,110,116,101,100,32,102,111,114,32,105,116,46,0,66,111,116,104,32,116,104,101,32,99,117,114,114,101,110,116,32,110,111,100,101,32,97,110,100,32,114,104,115,32,109,117,115,116,32,98,101,32,99,111,108,108,101,99,116,105,111,110,115,46,0,84,104,101,32,110,111,100,101,32,116,111,32,99,111,110,118,101,114,116,32,116,111,32,97,32,67,111,109,112,108,101,120,95,83,101,108,101,99,116,111,114,95,80,116,114,32,109,117,115,116,32,98,101,32,97,32,99,111,108,108,101,99,116,105,111,110,32,116,121,112,101,32,111,114,32,110,105,108,46,0,91,78,79,68,69,93,0,84,104,101,32,110,111,100,101,32,116,111,32,99,111,110,118,101,114,116,39,115,32,99,104,105,108,100,114,101,110,32,109,117,115,116,32,98,101,32,111,110,108,121,32,99,111,109,98,105,110,97,116,111,114,115,32,111,114,32,115,101,108,101,99,116,111,114,115,46,0,47,42,35,32,115,111,117,114,99,101,77,97,112,112,105,110,103,85,82,76,61,0,100,97,116,97,58,97,112,112,108,105,99,97,116,105,111,110,47,106,115,111,110,59,98,97,115,101,54,52,44,0,78,83,116,51,95,95,50,49,57,98,97,115,105,99,95,111,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,105,110,103,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,57,98,97,115,105,99,95,105,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,114,103,98,97,0,78,83,116,51,95,95,50,49,56,98,97,115,105,99,95,115,116,114,105,110,103,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,52,83,97,115,115,55,67,111,110,116,101,120,116,69,0,70,105,108,101,32,116,111,32,114,101,97,100,32,110,111,116,32,102,111,117,110,100,32,111,114,32,117,110,114,101,97,100,97,98,108,101,58,32,0,65,110,32,64,105,109,112,111,114,116,32,108,111,111,112,32,104,97,115,32,98,101,101,110,32,102,111,117,110,100,58,0,10,32,32,32,32,0,32,105,109,112,111,114,116,115,32,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,51,73,110,118,97,108,105,100,83,121,110,116,97,120,69,0,78,52,83,97,115,115,49,50,70,105,108,101,95,67,111,110,116,101,120,116,69,0,78,52,83,97,115,115,49,50,68,97,116,97,95,67,111,110,116,101,120,116,69,0,115,116,100,111,117,116,0,73,116,39,115,32,110,111,116,32,99,108,101,97,114,32,119,104,105,99,104,32,102,105,108,101,32,116,111,32,105,109,112,111,114,116,32,102,111,114,32,0,39,64,105,109,112,111,114,116,32,34,0,34,39,46,0,67,97,110,100,105,100,97,116,101,115,58,0,80,108,101,97,115,101,32,100,101,108,101,116,101,32,111,114,32,114,101,110,97,109,101,32,97,108,108,32,98,117,116,32,111,110,101,32,111,102,32,116,104,101,115,101,32,102,105,108,101,115,46,0,70,105,108,101,32,116,111,32,105,109,112,111,114,116,32,110,111,116,32,102,111,117,110,100,32,111,114,32,117,110,114,101,97,100,97,98,108,101,58,32,0,46,10,80,97,114,101,110,116,32,115,116,121,108,101,32,115,104,101,101,116,58,32,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,54,73,109,112,111,114,116,69,69,69,0,64,97,116,45,114,111,111,116,0,105,102,0,116,111,0,116,104,114,111,117,103,104,0,100,101,102,97,117,108,116,0,103,108,111,98,97,108,0,111,112,116,105,111,110,97,108,0,119,105,116,104,111,117,116,0,105,109,112,111,114,116,97,110,116,0,58,110,111,116,40,0,112,114,111,103,105,100,0,99,97,108,99,0,34,39,35,33,59,123,125,0,126,61,0,124,61,0,94,61,0,36,61,0,42,61,0,45,43,0,45,43,0,35,37,38,0,42,47,37,0,41,123,125,59,33,0,44,41,123,125,59,33,0,43,126,62,0,42,38,37,44,40,41,91,93,0,239,187,191,254,255,255,254,0,0,254,255,255,254,0,0,43,47,118,56,43,47,118,57,43,47,118,43,43,47,118,47,43,47,118,56,45,247,100,76,221,115,102,115,14,254,255,251,238,40,132,49,149,51,114,103,98,40,36,114,101,100,44,32,36,103,114,101,101,110,44,32,36,98,108,117,101,41,0,114,103,98,97,40,36,114,101,100,44,32,36,103,114,101,101,110,44,32,36,98,108,117,101,44,32,36,97,108,112,104,97,41,0,114,103,98,97,40,36,99,111,108,111,114,44,32,36,97,108,112,104,97,41,0,114,101,100,40,36,99,111,108,111,114,41,0,103,114,101,101,110,40,36,99,111,108,111,114,41,0,98,108,117,101,40,36,99,111,108,111,114,41,0,109,105,120,40,36,99,111,108,111,114,45,49,44,32,36,99,111,108,111,114,45,50,44,32,36,119,101,105,103,104,116,58,32,53,48,37,41,0,104,115,108,40,36,104,117,101,44,32,36,115,97,116,117,114,97,116,105,111,110,44,32,36,108,105,103,104,116,110,101,115,115,41,0,104,115,108,97,40,36,104,117,101,44,32,36,115,97,116,117,114,97,116,105,111,110,44,32,36,108,105,103,104,116,110,101,115,115,44,32,36,97,108,112,104,97,41,0,104,117,101,40,36,99,111,108,111,114,41,0,115,97,116,117,114,97,116,105,111,110,40,36,99,111,108,111,114,41,0,108,105,103,104,116,110,101,115,115,40,36,99,111,108,111,114,41,0,97,100,106,117,115,116,45,104,117,101,40,36,99,111,108,111,114,44,32,36,100,101,103,114,101,101,115,41,0,108,105,103,104,116,101,110,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,100,97,114,107,101,110,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,115,97,116,117,114,97,116,101,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,58,32,102,97,108,115,101,41,0,100,101,115,97,116,117,114,97,116,101,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,103,114,97,121,115,99,97,108,101,40,36,99,111,108,111,114,41,0,99,111,109,112,108,101,109,101,110,116,40,36,99,111,108,111,114,41,0,105,110,118,101,114,116,40,36,99,111,108,111,114,41,0,97,108,112,104,97,40,36,99,111,108,111,114,41,0,111,112,97,99,105,116,121,40,36,99,111,108,111,114,41,0,111,112,97,99,105,102,121,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,102,97,100,101,45,105,110,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,116,114,97,110,115,112,97,114,101,110,116,105,122,101,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,102,97,100,101,45,111,117,116,40,36,99,111,108,111,114,44,32,36,97,109,111,117,110,116,41,0,97,100,106,117,115,116,45,99,111,108,111,114,40,36,99,111,108,111,114,44,32,36,114,101,100,58,32,102,97,108,115,101,44,32,36,103,114,101,101,110,58,32,102,97,108,115,101,44,32,36,98,108,117,101,58,32,102,97,108,115,101,44,32,36,104,117,101,58,32,102,97,108,115,101,44,32,36,115,97,116,117,114,97,116,105,111,110,58,32,102,97,108,115,101,44,32,36,108,105,103,104,116,110,101,115,115,58,32,102,97,108,115,101,44,32,36,97,108,112,104,97,58,32,102,97,108,115,101,41,0,115,99,97,108,101,45,99,111,108,111,114,40,36,99,111,108,111,114,44,32,36,114,101,100,58,32,102,97,108,115,101,44,32,36,103,114,101,101,110,58,32,102,97,108,115,101,44,32,36,98,108,117,101,58,32,102,97,108,115,101,44,32,36,104,117,101,58,32,102,97,108,115,101,44,32,36,115,97,116,117,114,97,116,105,111,110,58,32,102,97,108,115,101,44,32,36,108,105,103,104,116,110,101,115,115,58,32,102,97,108,115,101,44,32,36,97,108,112,104,97,58,32,102,97,108,115,101,41,0,99,104,97,110,103,101,45,99,111,108,111,114,40,36,99,111,108,111,114,44,32,36,114,101,100,58,32,102,97,108,115,101,44,32,36,103,114,101,101,110,58,32,102,97,108,115,101,44,32,36,98,108,117,101,58,32,102,97,108,115,101,44,32,36,104,117,101,58,32,102,97,108,115,101,44,32,36,115,97,116,117,114,97,116,105,111,110,58,32,102,97,108,115,101,44,32,36,108,105,103,104,116,110,101,115,115,58,32,102,97,108,115,101,44,32,36,97,108,112,104,97,58,32,102,97,108,115,101,41,0,105,101,45,104,101,120,45,115,116,114,40,36,99,111,108,111,114,41,0,117,110,113,117,111,116,101,40,36,115,116,114,105,110,103,41,0,113,117,111,116,101,40,36,115,116,114,105,110,103,41,0,115,116,114,45,108,101,110,103,116,104,40,36,115,116,114,105,110,103,41,0,115,116,114,45,105,110,115,101,114,116,40,36,115,116,114,105,110,103,44,32,36,105,110,115,101,114,116,44,32,36,105,110,100,101,120,41,0,115,116,114,45,105,110,100,101,120,40,36,115,116,114,105,110,103,44,32,36,115,117,98,115,116,114,105,110,103,41,0,115,116,114,45,115,108,105,99,101,40,36,115,116,114,105,110,103,44,32,36,115,116,97,114,116,45,97,116,44,32,36,101,110,100,45,97,116,58,45,49,41,0,116,111,45,117,112,112,101,114,45,99,97,115,101,40,36,115,116,114,105,110,103,41,0,116,111,45,108,111,119,101,114,45,99,97,115,101,40,36,115,116,114,105,110,103,41,0,112,101,114,99,101,110,116,97,103,101,40,36,110,117,109,98,101,114,41,0,114,111,117,110,100,40,36,110,117,109,98,101,114,41,0,99,101,105,108,40,36,110,117,109,98,101,114,41,0,102,108,111,111,114,40,36,110,117,109,98,101,114,41,0,97,98,115,40,36,110,117,109,98,101,114,41,0,109,105,110,40,36,110,117,109,98,101,114,115,46,46,46,41,0,109,97,120,40,36,110,117,109,98,101,114,115,46,46,46,41,0,114,97,110,100,111,109,40,36,108,105,109,105,116,58,102,97,108,115,101,41,0,108,101,110,103,116,104,40,36,108,105,115,116,41,0,110,116,104,40,36,108,105,115,116,44,32,36,110,41,0,115,101,116,45,110,116,104,40,36,108,105,115,116,44,32,36,110,44,32,36,118,97,108,117,101,41,0,105,110,100,101,120,40,36,108,105,115,116,44,32,36,118,97,108,117,101,41,0,106,111,105,110,40,36,108,105,115,116,49,44,32,36,108,105,115,116,50,44,32,36,115,101,112,97,114,97,116,111,114,58,32,97,117,116,111,41,0,97,112,112,101,110,100,40,36,108,105,115,116,44,32,36,118,97,108,44,32,36,115,101,112,97,114,97,116,111,114,58,32,97,117,116,111,41,0,122,105,112,40,36,108,105,115,116,115,46,46,46,41,0,108,105,115,116,95,115,101,112,97,114,97,116,111,114,40,36,108,105,115,116,41,0,109,97,112,45,103,101,116,40,36,109,97,112,44,32,36,107,101,121,41,0,109,97,112,45,104,97,115,45,107,101,121,40,36,109,97,112,44,32,36,107,101,121,41,0,109,97,112,45,107,101,121,115,40,36,109,97,112,41,0,109,97,112,45,118,97,108,117,101,115,40,36,109,97,112,41,0,109,97,112,45,109,101,114,103,101,40,36,109,97,112,49,44,32,36,109,97,112,50,41,0,109,97,112,45,114,101,109,111,118,101,40,36,109,97,112,44,32,36,107,101,121,115,46,46,46,41,0,107,101,121,119,111,114,100,115,40,36,97,114,103,115,41,0,116,121,112,101,45,111,102,40,36,118,97,108,117,101,41,0,117,110,105,116,40,36,110,117,109,98,101,114,41,0,117,110,105,116,108,101,115,115,40,36,110,117,109,98,101,114,41,0,99,111,109,112,97,114,97,98,108,101,40,36,110,117,109,98,101,114,45,49,44,32,36,110,117,109,98,101,114,45,50,41,0,118,97,114,105,97,98,108,101,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,103,108,111,98,97,108,45,118,97,114,105,97,98,108,101,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,102,117,110,99,116,105,111,110,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,109,105,120,105,110,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,102,101,97,116,117,114,101,45,101,120,105,115,116,115,40,36,110,97,109,101,41,0,99,97,108,108,40,36,110,97,109,101,44,32,36,97,114,103,115,46,46,46,41,0,110,111,116,40,36,118,97,108,117,101,41,0,105,102,40,36,99,111,110,100,105,116,105,111,110,44,32,36,105,102,45,116,114,117,101,44,32,36,105,102,45,102,97,108,115,101,41,0,105,110,115,112,101,99,116,40,36,118,97,108,117,101,41,0,115,101,108,101,99,116,111,114,45,110,101,115,116,40,36,115,101,108,101,99,116,111,114,115,46,46,46,41,0,115,101,108,101,99,116,111,114,45,97,112,112,101,110,100,40,36,115,101,108,101,99,116,111,114,115,46,46,46,41,0,115,101,108,101,99,116,111,114,45,117,110,105,102,121,40,36,115,101,108,101,99,116,111,114,49,44,32,36,115,101,108,101,99,116,111,114,50,41,0,115,105,109,112,108,101,45,115,101,108,101,99,116,111,114,115,40,36,115,101,108,101,99,116,111,114,41,0,115,101,108,101,99,116,111,114,45,101,120,116,101,110,100,40,36,115,101,108,101,99,116,111,114,44,32,36,101,120,116,101,110,100,101,101,44,32,36,101,120,116,101,110,100,101,114,41,0,115,101,108,101,99,116,111,114,45,114,101,112,108,97,99,101,40,36,115,101,108,101,99,116,111,114,44,32,36,111,114,105,103,105,110,97,108,44,32,36,114,101,112,108,97,99,101,109,101,110,116,41,0,115,101,108,101,99,116,111,114,45,112,97,114,115,101,40,36,115,101,108,101,99,116,111,114,41,0,105,115,45,115,117,112,101,114,115,101,108,101,99,116,111,114,40,36,115,117,112,101,114,44,32,36,115,117,98,41,0,117,110,105,113,117,101,45,105,100,40,41,0,103,108,111,98,97,108,45,118,97,114,105,97,98,108,101,45,115,104,97,100,111,119,105,110,103,0,101,120,116,101,110,100,45,115,101,108,101,99,116,111,114,45,112,115,101,117,100,111,99,108,97,115,115,0,97,116,45,101,114,114,111,114,0,117,110,105,116,115,45,108,101,118,101,108,45,51,0,47,100,101,118,47,117,114,97,110,100,111,109,0,91,98,117,105,108,116,45,105,110,32,102,117,110,99,116,105,111,110,93,0,91,99,32,102,117,110,99,116,105,111,110,93,0,97,114,103,117,109,101,110,116,32,96,0,96,32,111,102,32,96,0,96,32,109,117,115,116,32,98,101,32,97,32,0,109,97,112,0,96,32,109,117,115,116,32,98,101,32,98,101,116,119,101,101,110,32,0,110,117,109,98,101,114,0,58,32,110,117,108,108,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,108,101,99,116,111,114,58,32,105,116,32,109,117,115,116,32,98,101,32,97,32,115,116,114,105,110,103,44,10,0,97,32,108,105,115,116,32,111,102,32,115,116,114,105,110,103,115,44,32,111,114,32,97,32,108,105,115,116,32,111,102,32,108,105,115,116,115,32,111,102,32,115,116,114,105,110,103,115,32,102,111,114,32,96,0,91,83,69,76,69,67,84,79,82,93,0,58,32,110,117,108,108,32,105,115,32,110,111,116,32,97,32,115,116,114,105,110,103,32,102,111,114,32,96,0,36,114,101,100,0,36,103,114,101,101,110,0,36,98,108,117,101,0,36,97,108,112,104,97,0,36,99,111,108,111,114,0,99,111,108,111,114,0,36,99,111,108,111,114,45,49,0,36,99,111,108,111,114,45,50,0,36,119,101,105,103,104,116,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,54,78,117,109,98,101,114,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,53,67,111,108,111,114,69,69,69,0,36,104,117,101,0,36,115,97,116,117,114,97,116,105,111,110,0,36,108,105,103,104,116,110,101,115,115,0,36,100,101,103,114,101,101,115,0,36,97,109,111,117,110,116,0,115,97,116,117,114,97,116,101,40,0,103,114,97,121,115,99,97,108,101,40,0,105,110,118,101,114,116,40,0,97,108,112,104,97,40,0,111,112,97,99,105,116,121,40,0,67,97,110,110,111,116,32,115,112,101,99,105,102,121,32,72,83,76,32,97,110,100,32,82,71,66,32,118,97,108,117,101,115,32,102,111,114,32,97,32,99,111,108,111,114,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,32,102,111,114,32,96,97,100,106,117,115,116,45,99,111,108,111,114,39,0,110,111,116,32,101,110,111,117,103,104,32,97,114,103,117,109,101,110,116,115,32,102,111,114,32,96,97,100,106,117,115,116,45,99,111,108,111,114,39,0,67,97,110,110,111,116,32,115,112,101,99,105,102,121,32,72,83,76,32,97,110,100,32,82,71,66,32,118,97,108,117,101,115,32,102,111,114,32,97,32,99,111,108,111,114,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,32,102,111,114,32,96,115,99,97,108,101,45,99,111,108,111,114,39,0,110,111,116,32,101,110,111,117,103,104,32,97,114,103,117,109,101,110,116,115,32,102,111,114,32,96,115,99,97,108,101,45,99,111,108,111,114,39,0,67,97,110,110,111,116,32,115,112,101,99,105,102,121,32,72,83,76,32,97,110,100,32,82,71,66,32,118,97,108,117,101,115,32,102,111,114,32,97,32,99,111,108,111,114,32,97,116,32,116,104,101,32,115,97,109,101,32,116,105,109,101,32,102,111,114,32,96,99,104,97,110,103,101,45,99,111,108,111,114,39,0,110,111,116,32,101,110,111,117,103,104,32,97,114,103,117,109,101,110,116,115,32,102,111,114,32,96,99,104,97,110,103,101,45,99,111,108,111,114,39,0,36,115,116,114,105,110,103,0,80,97,115,115,105,110,103,32,0,44,32,97,32,110,111,110,45,115,116,114,105,110,103,32,118,97,108,117,101,44,32,116,111,32,117,110,113,117,111,116,101,40,41,0,73,110,118,97,108,105,100,32,68,97,116,97,32,84,121,112,101,32,102,111,114,32,117,110,113,117,111,116,101,0,117,116,102,56,58,58,105,110,118,97,108,105,100,95,99,111,100,101,95,112,111,105,110,116,0,117,116,102,56,58,58,110,111,116,95,101,110,111,117,103,104,95,114,111,111,109,0,117,116,102,56,58,58,105,110,118,97,108,105,100,95,117,116,102,56,0,73,110,118,97,108,105,100,32,85,84,70,45,56,0,78,111,116,32,101,110,111,117,103,104,32,115,112,97,99,101,0,73,110,118,97,108,105,100,32,99,111,100,101,32,112,111,105,110,116,0,78,52,117,116,102,56,49,50,105,110,118,97,108,105,100,95,117,116,102,56,69,0,78,52,117,116,102,56,57,101,120,99,101,112,116,105,111,110,69,0,78,52,117,116,102,56,49,53,110,111,116,95,101,110,111,117,103,104,95,114,111,111,109,69,0,78,52,117,116,102,56,49,56,105,110,118,97,108,105,100,95,99,111,100,101,95,112,111,105,110,116,69,0,115,116,114,105,110,103,0,36,105,110,115,101,114,116,0,36,105,110,100,101,120,0,36,115,117,98,115,116,114,105,110,103,0,36,115,116,97,114,116,45,97,116,0,36,101,110,100,45,97,116,0,36,110,117,109,98,101,114,0,97,114,103,117,109,101,110,116,32,36,110,117,109,98,101,114,32,111,102,32,96,0,96,32,109,117,115,116,32,98,101,32,117,110,105,116,108,101,115,115,0,36,110,117,109,98,101,114,115,0,34,32,105,115,32,110,111,116,32,97,32,110,117,109,98,101,114,32,102,111,114,32,96,109,105,110,39,0,108,105,115,116,0,34,32,105,115,32,110,111,116,32,97,32,110,117,109,98,101,114,32,102,111,114,32,96,109,97,120,39,0,36,108,105,109,105,116,0,36,108,105,109,105,116,32,0,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,111,114,32,101,113,117,97,108,32,116,111,32,49,32,102,111,114,32,96,114,97,110,100,111,109,39,0,69,120,112,101,99,116,101,100,32,36,108,105,109,105,116,32,116,111,32,98,101,32,97,110,32,105,110,116,101,103,101,114,32,98,117,116,32,103,111,116,32,0,32,102,111,114,32,96,114,97,110,100,111,109,39,0,114,97,110,100,111,109,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,57,73,110,118,97,108,105,100,65,114,103,117,109,101,110,116,84,121,112,101,69,0,36,108,105,115,116,0,36,110,0,97,114,103,117,109,101,110,116,32,96,36,108,105,115,116,96,32,111,102,32,96,0,96,32,109,117,115,116,32,110,111,116,32,98,101,32,101,109,112,116,121,0,105,110,100,101,120,32,111,117,116,32,111,102,32,98,111,117,110,100,115,32,102,111,114,32,96,0,97,114,103,117,109,101,110,116,32,96,36,110,96,32,111,102,32,96,0,96,32,109,117,115,116,32,98,101,32,110,111,110,45,122,101,114,111,0,36,118,97,108,117,101,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,51,77,97,112,69,69,69,0,36,108,105,115,116,49,0,36,108,105,115,116,50,0,36,115,101,112,97,114,97,116,111,114,0,115,112,97,99,101,0,99,111,109,109,97,0,97,117,116,111,0,97,114,103,117,109,101,110,116,32,96,36,115,101,112,97,114,97,116,111,114,96,32,111,102,32,96,0,96,32,109,117,115,116,32,98,101,32,96,115,112,97,99,101,96,44,32,96,99,111,109,109,97,96,44,32,111,114,32,96,97,117,116,111,96,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,53,83,116,114,105,110,103,95,67,111,110,115,116,97,110,116,69,69,69,0,36,118,97,108,0,36,108,105,115,116,115,0,36,109,97,112,0,36,107,101,121,0,36,109,97,112,49,0,36,109,97,112,50,0,36,107,101,121,115,0,36,97,114,103,115,0,36,110,117,109,98,101,114,45,49,0,36,110,117,109,98,101,114,45,50,0,36,110,97,109,101,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,51,70,117,110,99,116,105,111,110,95,67,97,108,108,69,69,69,0,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,97,114,103,117,109,101,110,116,32,109,97,121,32,110,111,116,32,98,101,32,112,97,115,115,101,100,32,98,121,32,110,97,109,101,0,36,99,111,110,100,105,116,105,111,110,0,36,105,102,45,102,97,108,115,101,0,36,105,102,45,116,114,117,101,0,36,115,101,108,101,99,116,111,114,115,0,36,115,101,108,101,99,116,111,114,115,58,32,65,116,32,108,101,97,115,116,32,111,110,101,32,115,101,108,101,99,116,111,114,32,109,117,115,116,32,98,101,32,112,97,115,115,101,100,32,102,111,114,32,96,115,101,108,101,99,116,111,114,45,110,101,115,116,39,0,36,115,101,108,101,99,116,111,114,115,58,32,110,117,108,108,32,105,115,32,110,111,116,32,97,32,118,97,108,105,100,32,115,101,108,101,99,116,111,114,58,32,105,116,32,109,117,115,116,32,98,101,32,97,32,115,116,114,105,110,103,44,10,0,97,32,108,105,115,116,32,111,102,32,115,116,114,105,110,103,115,44,32,111,114,32,97,32,108,105,115,116,32,111,102,32,108,105,115,116,115,32,111,102,32,115,116,114,105,110,103,115,32,102,111,114,32,39,115,101,108,101,99,116,111,114,45,110,101,115,116,39,0,36,115,101,108,101,99,116,111,114,115,58,32,65,116,32,108,101,97,115,116,32,111,110,101,32,115,101,108,101,99,116,111,114,32,109,117,115,116,32,98,101,32,112,97,115,115,101,100,32,102,111,114,32,96,115,101,108,101,99,116,111,114,45,97,112,112,101,110,100,39,0,97,32,108,105,115,116,32,111,102,32,115,116,114,105,110,103,115,44,32,111,114,32,97,32,108,105,115,116,32,111,102,32,108,105,115,116,115,32,111,102,32,115,116,114,105,110,103,115,32,102,111,114,32,39,115,101,108,101,99,116,111,114,45,97,112,112,101,110,100,39,0,67,97,110,39,116,32,97,112,112,101,110,100,32,34,0,34,32,116,111,32,34,0,34,32,102,111,114,32,96,115,101,108,101,99,116,111,114,45,97,112,112,101,110,100,39,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,54,69,108,101,109,101,110,116,95,83,101,108,101,99,116,111,114,69,69,69,0,36,115,101,108,101,99,116,111,114,49,0,36,115,101,108,101,99,116,111,114,50,0,36,115,101,108,101,99,116,111,114,0,36,101,120,116,101,110,100,101,101,0,36,101,120,116,101,110,100,101,114,0,36,111,114,105,103,105,110,97,108,0,36,114,101,112,108,97,99,101,109,101,110,116,0,36,115,117,112,101,114,0,36,115,117,98,0,117,0,97,108,105,99,101,98,108,117,101,0,97,110,116,105,113,117,101,119,104,105,116,101,0,99,121,97,110,0,97,113,117,97,0,97,113,117,97,109,97,114,105,110,101,0,97,122,117,114,101,0,98,101,105,103,101,0,98,105,115,113,117,101,0,98,108,97,99,107,0,98,108,97,110,99,104,101,100,97,108,109,111,110,100,0,98,108,117,101,0,98,108,117,101,118,105,111,108,101,116,0,98,114,111,119,110,0,98,117,114,108,121,119,111,111,100,0,99,97,100,101,116,98,108,117,101,0,99,104,97,114,116,114,101,117,115,101,0,99,104,111,99,111,108,97,116,101,0,99,111,114,97,108,0,99,111,114,110,102,108,111,119,101,114,98,108,117,101,0,99,111,114,110,115,105,108,107,0,99,114,105,109,115,111,110,0,100,97,114,107,98,108,117,101,0,100,97,114,107,99,121,97,110,0,100,97,114,107,103,111,108,100,101,110,114,111,100,0,100,97,114,107,103,114,97,121,0,100,97,114,107,103,114,101,121,0,100,97,114,107,103,114,101,101,110,0,100,97,114,107,107,104,97,107,105,0,100,97,114,107,109,97,103,101,110,116,97,0,100,97,114,107,111,108,105,118,101,103,114,101,101,110,0,100,97,114,107,111,114,97,110,103,101,0,100,97,114,107,111,114,99,104,105,100,0,100,97,114,107,114,101,100,0,100,97,114,107,115,97,108,109,111,110,0,100,97,114,107,115,101,97,103,114,101,101,110,0,100,97,114,107,115,108,97,116,101,98,108,117,101,0,100,97,114,107,115,108,97,116,101,103,114,97,121,0,100,97,114,107,115,108,97,116,101,103,114,101,121,0,100,97,114,107,116,117,114,113,117,111,105,115,101,0,100,97,114,107,118,105,111,108,101,116,0,100,101,101,112,112,105,110,107,0,100,101,101,112,115,107,121,98,108,117,101,0,100,105,109,103,114,97,121,0,100,105,109,103,114,101,121,0,100,111,100,103,101,114,98,108,117,101,0,102,105,114,101,98,114,105,99,107,0,102,108,111,114,97,108,119,104,105,116,101,0,102,111,114,101,115,116,103,114,101,101,110],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+30724);allocate([109,97,103,101,110,116,97,0,102,117,99,104,115,105,97,0,103,97,105,110,115,98,111,114,111,0,103,104,111,115,116,119,104,105,116,101,0,103,111,108,100,0,103,111,108,100,101,110,114,111,100,0,103,114,97,121,0,103,114,101,121,0,103,114,101,101,110,0,103,114,101,101,110,121,101,108,108,111,119,0,104,111,110,101,121,100,101,119,0,104,111,116,112,105,110,107,0,105,110,100,105,97,110,114,101,100,0,105,110,100,105,103,111,0,105,118,111,114,121,0,107,104,97,107,105,0,108,97,118,101,110,100,101,114,0,108,97,118,101,110,100,101,114,98,108,117,115,104,0,108,97,119,110,103,114,101,101,110,0,108,101,109,111,110,99,104,105,102,102,111,110,0,108,105,103,104,116,98,108,117,101,0,108,105,103,104,116,99,111,114,97,108,0,108,105,103,104,116,99,121,97,110,0,108,105,103,104,116,103,111,108,100,101,110,114,111,100,121,101,108,108,111,119,0,108,105,103,104,116,103,114,97,121,0,108,105,103,104,116,103,114,101,121,0,108,105,103,104,116,103,114,101,101,110,0,108,105,103,104,116,112,105,110,107,0,108,105,103,104,116,115,97,108,109,111,110,0,108,105,103,104,116,115,101,97,103,114,101,101,110,0,108,105,103,104,116,115,107,121,98,108,117,101,0,108,105,103,104,116,115,108,97,116,101,103,114,97,121,0,108,105,103,104,116,115,108,97,116,101,103,114,101,121,0,108,105,103,104,116,115,116,101,101,108,98,108,117,101,0,108,105,103,104,116,121,101,108,108,111,119,0,108,105,109,101,0,108,105,109,101,103,114,101,101,110,0,108,105,110,101,110,0,109,97,114,111,111,110,0,109,101,100,105,117,109,97,113,117,97,109,97,114,105,110,101,0,109,101,100,105,117,109,98,108,117,101,0,109,101,100,105,117,109,111,114,99,104,105,100,0,109,101,100,105,117,109,112,117,114,112,108,101,0,109,101,100,105,117,109,115,101,97,103,114,101,101,110,0,109,101,100,105,117,109,115,108,97,116,101,98,108,117,101,0,109,101,100,105,117,109,115,112,114,105,110,103,103,114,101,101,110,0,109,101,100,105,117,109,116,117,114,113,117,111,105,115,101,0,109,101,100,105,117,109,118,105,111,108,101,116,114,101,100,0,109,105,100,110,105,103,104,116,98,108,117,101,0,109,105,110,116,99,114,101,97,109,0,109,105,115,116,121,114,111,115,101,0,109,111,99,99,97,115,105,110,0,110,97,118,97,106,111,119,104,105,116,101,0,110,97,118,121,0,111,108,100,108,97,99,101,0,111,108,105,118,101,0,111,108,105,118,101,100,114,97,98,0,111,114,97,110,103,101,0,111,114,97,110,103,101,114,101,100,0,111,114,99,104,105,100,0,112,97,108,101,103,111,108,100,101,110,114,111,100,0,112,97,108,101,103,114,101,101,110,0,112,97,108,101,116,117,114,113,117,111,105,115,101,0,112,97,108,101,118,105,111,108,101,116,114,101,100,0,112,97,112,97,121,97,119,104,105,112,0,112,101,97,99,104,112,117,102,102,0,112,101,114,117,0,112,105,110,107,0,112,108,117,109,0,112,111,119,100,101,114,98,108,117,101,0,112,117,114,112,108,101,0,114,101,100,0,114,111,115,121,98,114,111,119,110,0,114,111,121,97,108,98,108,117,101,0,115,97,100,100,108,101,98,114,111,119,110,0,115,97,108,109,111,110,0,115,97,110,100,121,98,114,111,119,110,0,115,101,97,103,114,101,101,110,0,115,101,97,115,104,101,108,108,0,115,105,101,110,110,97,0,115,105,108,118,101,114,0,115,107,121,98,108,117,101,0,115,108,97,116,101,98,108,117,101,0,115,108,97,116,101,103,114,97,121,0,115,108,97,116,101,103,114,101,121,0,115,110,111,119,0,115,112,114,105,110,103,103,114,101,101,110,0,115,116,101,101,108,98,108,117,101,0,116,97,110,0,116,101,97,108,0,116,104,105,115,116,108,101,0,116,111,109,97,116,111,0,116,117,114,113,117,111,105,115,101,0,118,105,111,108,101,116,0,119,104,101,97,116,0,119,104,105,116,101,0,119,104,105,116,101,115,109,111,107,101,0,121,101,108,108,111,119,0,121,101,108,108,111,119,103,114,101,101,110,0,114,101,98,101,99,99,97,112,117,114,112,108,101,0,91,67,79,76,79,82,32,84,65,66,76,69,93,0,32,97,114,103,117,109,101,110,116,0,32,97,114,103,117,109,101,110,116,115,0,119,114,111,110,103,32,110,117,109,98,101,114,32,111,102,32,97,114,103,117,109,101,110,116,115,32,40,0,32,102,111,114,32,0,105,110,118,97,108,105,100,32,115,116,97,116,101,0,36,0,32,116,97,107,101,115,32,0,32,98,117,116,32,0,32,119,97,115,32,112,97,115,115,101,100,0,32,119,101,114,101,32,112,97,115,115,101,100,46,0,32,104,97,115,32,110,111,32,112,97,114,97,109,101,116,101,114,32,110,97,109,101,100,32,0,112,97,114,97,109,101,116,101,114,32,0,32,112,114,111,118,105,100,101,100,32,109,111,114,101,32,116,104,97,110,32,111,110,99,101,32,105,110,32,99,97,108,108,32,116,111,32,0,97,114,103,117,109,101,110,116,32,0,99,97,110,110,111,116,32,98,101,32,117,115,101,100,32,97,115,32,110,97,109,101,100,32,97,114,103,117,109,101,110,116,0,112,114,111,118,105,100,101,100,32,109,111,114,101,32,116,104,97,110,32,111,110,99,101,32,105,110,32,99,97,108,108,32,116,111,32,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,53,77,105,115,115,105,110,103,65,114,103,117,109,101,110,116,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,55,73,110,118,97,108,105,100,86,97,114,75,119,100,84,121,112,101,69,0,47,46,47,0,46,47,0,47,46,0,46,46,47,0,46,46,92,0,46,46,0,95,0,114,98,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,102,105,108,101,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,52,98,97,115,105,99,95,105,102,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,51,83,116,114,105,110,103,95,81,117,111,116,101,100,69,69,69,0,97,114,114,97,121,45,62,116,97,103,32,61,61,32,74,83,79,78,95,65,82,82,65,89,0,115,114,99,47,106,115,111,110,46,99,112,112,0,106,115,111,110,95,97,112,112,101,110,100,95,101,108,101,109,101,110,116,0,101,108,101,109,101,110,116,45,62,112,97,114,101,110,116,32,61,61,32,78,85,76,76,0,115,98,45,62,115,116,97,114,116,32,60,61,32,115,98,45,62,99,117,114,32,38,38,32,115,116,114,108,101,110,40,115,98,45,62,115,116,97,114,116,41,32,61,61,32,40,115,105,122,101,95,116,41,40,115,98,45,62,99,117,114,32,45,32,115,98,45,62,115,116,97,114,116,41,0,115,98,95,102,105,110,105,115,104,0,116,97,103,95,105,115,95,118,97,108,105,100,40,110,111,100,101,45,62,116,97,103,41,0,101,109,105,116,95,118,97,108,117,101,0,37,46,49,54,103,0,117,116,102,56,95,118,97,108,105,100,97,116,101,40,115,116,114,41,0,101,109,105,116,95,115,116,114,105,110,103,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,101,109,105,116,95,118,97,108,117,101,95,105,110,100,101,110,116,101,100,0,91,93,0,91,10,0,44,10,0,123,10,0,111,98,106,101,99,116,45,62,116,97,103,32,61,61,32,74,83,79,78,95,79,66,74,69,67,84,0,106,115,111,110,95,97,112,112,101,110,100,95,109,101,109,98,101,114,0,118,97,108,117,101,45,62,112,97,114,101,110,116,32,61,61,32,78,85,76,76,0,112,120,0,112,116,0,112,99,0,109,109,0,99,109,0,105,110,0,100,101,103,0,103,114,97,100,0,114,97,100,0,116,117,114,110,0,115,0,109,115,0,72,122,0,107,72,122,0,100,112,105,0,100,112,99,109,0,100,112,112,120,0,108,105,98,115,97,115,115,95,103,101,116,95,118,101,114,115,105,111,110,0,108,105,98,115,97,115,115,95,108,111,97,100,95,102,117,110,99,116,105,111,110,115,0,108,105,98,115,97,115,115,95,108,111,97,100,95,105,109,112,111,114,116,101,114,115,0,108,105,98,115,97,115,115,95,108,111,97,100,95,104,101,97,100,101,114,115,0,102,97,105,108,101,100,32,108,111,97,100,105,110,103,32,39,108,105,98,115,97,115,115,95,115,117,112,112,111,114,116,39,32,105,110,32,60,0,102,97,105,108,101,100,32,108,111,97,100,105,110,103,32,112,108,117,103,105,110,32,60,0,91,110,97,93,0,46,115,111,0,73,110,118,97,108,105,100,32,67,83,83,0,32,97,102,116,101,114,32,0,58,32,101,120,112,101,99,116,101,100,32,115,101,108,101,99,116,111,114,44,32,119,97,115,32,0,73,110,118,97,108,105,100,32,67,83,83,32,97,102,116,101,114,32,34,0,34,58,32,101,120,112,101,99,116,101,100,32,34,123,34,44,32,119,97,115,32,34,0,34,10,10,34,0,34,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,97,116,32,116,104,101,32,98,101,103,105,110,110,105,110,103,32,111,102,32,97,32,99,111,109,112,111,117,110,100,32,115,101,108,101,99,116,111,114,46,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,49,73,110,118,97,108,105,100,83,97,115,115,69,0,105,110,118,97,108,105,100,32,97,116,116,114,105,98,117,116,101,32,110,97,109,101,32,105,110,32,97,116,116,114,105,98,117,116,101,32,115,101,108,101,99,116,111,114,0,105,110,118,97,108,105,100,32,111,112,101,114,97,116,111,114,32,105,110,32,97,116,116,114,105,98,117,116,101,32,115,101,108,101,99,116,111,114,32,102,111,114,32,0,101,120,112,101,99,116,101,100,32,97,32,115,116,114,105,110,103,32,99,111,110,115,116,97,110,116,32,111,114,32,105,100,101,110,116,105,102,105,101,114,32,105,110,32,97,116,116,114,105,98,117,116,101,32,115,101,108,101,99,116,111,114,32,102,111,114,32,0,117,110,116,101,114,109,105,110,97,116,101,100,32,97,116,116,114,105,98,117,116,101,32,115,101,108,101,99,116,111,114,32,102,111,114,32,0,58,32,101,120,112,101,99,116,101,100,32,101,120,112,114,101,115,115,105,111,110,32,40,101,46,103,46,32,49,112,120,44,32,98,111,108,100,41,44,32,119,97,115,32,0,117,110,116,101,114,109,105,110,97,116,101,100,32,105,110,116,101,114,112,111,108,97,110,116,32,105,110,115,105,100,101,32,115,116,114,105,110,103,32,99,111,110,115,116,97,110,116,32,0,117,110,107,110,111,119,110,32,115,116,97,116,105,99,32,111,112,32,112,97,114,115,101,100,0,117,110,99,108,111,115,101,100,32,112,97,114,101,110,116,104,101,115,105,115,0,32,10,13,9,0,45,43,48,49,50,51,52,53,54,55,56,57,46,0,48,46,0,45,46,0,45,48,46,0,58,32,101,120,112,101,99,116,101,100,32,34,125,34,44,32,119,97,115,32,0,101,120,112,101,99,116,101,100,32,97,32,118,97,114,105,97,98,108,101,32,110,97,109,101,32,40,101,46,103,46,32,36,120,41,32,111,114,32,39,41,39,32,102,111,114,32,116,104,101,32,112,97,114,97,109,101,116,101,114,32,108,105,115,116,32,102,111,114,32,0,117,110,116,101,114,109,105,110,97,116,101,100,32,105,110,116,101,114,112,111,108,97,110,116,32,105,110,115,105,100,101,32,105,110,116,101,114,112,111,108,97,116,101,100,32,105,100,101,110,116,105,102,105,101,114,32,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,50,48,70,117,110,99,116,105,111,110,95,67,97,108,108,95,83,99,104,101,109,97,69,69,69,0,117,110,116,101,114,109,105,110,97,116,101,100,32,105,110,116,101,114,112,111,108,97,110,116,32,105,110,115,105,100,101,32,73,69,32,102,117,110,99,116,105,111,110,32,0,58,32,101,120,112,101,99,116,101,100,32,34,41,34,44,32,119,97,115,32,0,58,32,101,120,112,101,99,116,101,100,32,34,58,34,44,32,119,97,115,32,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,56,65,116,116,114,105,98,117,116,101,95,83,101,108,101,99,116,111,114,69,69,69,0,58,32,101,120,112,101,99,116,101,100,32,112,115,101,117,100,111,99,108,97,115,115,32,111,114,32,112,115,101,117,100,111,101,108,101,109,101,110,116,44,32,119,97,115,32,0,110,101,103,97,116,101,100,32,115,101,108,101,99,116,111,114,32,105,115,32,109,105,115,115,105,110,103,32,39,41,39,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,55,78,101,115,116,105,110,103,76,105,109,105,116,69,114,114,111,114,69,0,58,32,101,120,112,101,99,116,101,100,32,115,101,108,101,99,116,111,114,32,111,114,32,97,116,45,114,117,108,101,44,32,119,97,115,32,0,58,32,101,120,112,101,99,116,101,100,32,49,32,115,101,108,101,99,116,111,114,32,111,114,32,97,116,45,114,117,108,101,44,32,119,97,115,32,0,58,32,101,120,112,101,99,116,101,100,32,34,123,34,44,32,119,97,115,32,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,49,68,101,99,108,97,114,97,116,105,111,110,69,69,69,0,112,114,111,112,101,114,116,121,32,34,0,34,32,109,117,115,116,32,98,101,32,102,111,108,108,111,119,101,100,32,98,121,32,97,32,39,58,39,0,115,116,121,108,101,32,100,101,99,108,97,114,97,116,105,111,110,32,109,117,115,116,32,99,111,110,116,97,105,110,32,97,32,118,97,108,117,101,0,32,9,12,11,10,13,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,57,68,105,114,101,99,116,105,118,101,69,69,69,0,64,101,108,115,101,0,73,110,118,97,108,105,100,32,67,83,83,58,32,64,101,108,115,101,32,109,117,115,116,32,99,111,109,101,32,97,102,116,101,114,32,64,105,102,0,105,110,118,97,108,105,100,32,110,97,109,101,32,105,110,32,0,32,100,101,102,105,110,105,116,105,111,110,0,73,110,118,97,108,105,100,32,102,117,110,99,116,105,111,110,32,110,97,109,101,32,34,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,48,68,101,102,105,110,105,116,105,111,110,69,69,69,0,58,32,101,120,112,101,99,116,101,100,32,64,115,117,112,112,111,114,116,115,32,99,111,110,100,105,116,105,111,110,32,40,101,46,103,46,32,40,100,105,115,112,108,97,121,58,32,102,108,101,120,98,111,120,41,41,44,32,119,97,115,32,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,52,83,117,112,112,111,114,116,115,95,66,108,111,99,107,69,69,69,0,117,110,99,108,111,115,101,100,32,112,97,114,101,110,116,104,101,115,105,115,32,105,110,32,64,115,117,112,112,111,114,116,115,32,100,101,99,108,97,114,97,116,105,111,110,0,64,115,117,112,112,111,114,116,115,32,99,111,110,100,105,116,105,111,110,32,101,120,112,101,99,116,101,100,32,100,101,99,108,97,114,97,116,105,111,110,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,55,67,111,110,116,101,110,116,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,48,77,105,120,105,110,95,67,97,108,108,69,69,69,0,58,32,101,120,112,101,99,116,101,100,32,105,100,101,110,116,105,102,105,101,114,44,32,119,97,115,32,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,51,65,116,95,82,111,111,116,95,66,108,111,99,107,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,55,82,117,108,101,115,101,116,69,69,69,0,97,116,45,114,111,111,116,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,100,32,105,110,32,97,116,45,114,111,111,116,32,101,120,112,114,101,115,115,105,111,110,0,58,32,101,120,112,101,99,116,101,100,32,34,119,105,116,104,34,32,111,114,32,34,119,105,116,104,111,117,116,34,44,32,119,97,115,32,0,117,110,99,108,111,115,101,100,32,112,97,114,101,110,116,104,101,115,105,115,32,105,110,32,64,97,116,45,114,111,111,116,32,101,120,112,114,101,115,115,105,111,110,0,109,101,100,105,97,32,113,117,101,114,121,32,101,120,112,114,101,115,115,105,111,110,32,109,117,115,116,32,98,101,103,105,110,32,119,105,116,104,32,39,40,39,0,109,101,100,105,97,32,102,101,97,116,117,114,101,32,114,101,113,117,105,114,101,100,32,105,110,32,109,101,100,105,97,32,113,117,101,114,121,32,101,120,112,114,101,115,115,105,111,110,0,117,110,99,108,111,115,101,100,32,112,97,114,101,110,116,104,101,115,105,115,32,105,110,32,109,101,100,105,97,32,113,117,101,114,121,32,101,120,112,114,101,115,115,105,111,110,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,49,77,101,100,105,97,95,81,117,101,114,121,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,49,77,101,100,105,97,95,66,108,111,99,107,69,69,69,0,109,97,108,102,111,114,109,101,100,32,85,82,76,0,85,82,73,32,105,115,32,109,105,115,115,105,110,103,32,39,41,39,0,64,105,109,112,111,114,116,32,100,105,114,101,99,116,105,118,101,32,114,101,113,117,105,114,101,115,32,97,32,117,114,108,32,111,114,32,113,117,111,116,101,100,32,112,97,116,104,0,101,120,112,101,99,116,105,110,103,32,97,110,111,116,104,101,114,32,117,114,108,32,111,114,32,113,117,111,116,101,100,32,112,97,116,104,32,105,110,32,64,105,109,112,111,114,116,32,108,105,115,116,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,54,82,101,116,117,114,110,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,53,87,104,105,108,101,69,69,69,0,64,101,97,99,104,32,100,105,114,101,99,116,105,118,101,32,114,101,113,117,105,114,101,115,32,97,110,32,105,116,101,114,97,116,105,111,110,32,118,97,114,105,97,98,108,101,0,101,120,112,101,99,116,101,100,32,39,105,110,39,32,107,101,121,119,111,114,100,32,105,110,32,64,101,97,99,104,32,100,105,114,101,99,116,105,118,101,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,52,69,97,99,104,69,69,69,0,58,32,101,120,112,101,99,116,101,100,32,34,36,34,44,32,119,97,115,32,0,101,120,112,101,99,116,101,100,32,39,102,114,111,109,39,32,107,101,121,119,111,114,100,32,105,110,32,64,102,111,114,32,100,105,114,101,99,116,105,118,101,0,101,120,112,101,99,116,101,100,32,39,116,104,114,111,117,103,104,39,32,111,114,32,39,116,111,39,32,107,101,121,119,111,114,100,32,105,110,32,64,102,111,114,32,100,105,114,101,99,116,105,118,101,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,51,70,111,114,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,50,73,102,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,55,87,97,114,110,105,110,103,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,53,68,101,98,117,103,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,53,69,114,114,111,114,69,69,69,0,101,120,112,101,99,116,101,100,32,39,58,39,32,97,102,116,101,114,32,0,32,105,110,32,97,115,115,105,103,110,109,101,110,116,32,115,116,97,116,101,109,101,110,116,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,48,65,115,115,105,103,110,109,101,110,116,69,69,69,0,85,84,70,45,56,0,85,84,70,45,49,54,32,40,98,105,103,32,101,110,100,105,97,110,41,0,85,84,70,45,49,54,32,40,108,105,116,116,108,101,32,101,110,100,105,97,110,41,0,85,84,70,45,51,50,32,40,108,105,116,116,108,101,32,101,110,100,105,97,110,41,0,85,84,70,45,51,50,32,40,98,105,103,32,101,110,100,105,97,110,41,0,85,84,70,45,55,0,85,84,70,45,49,0,85,84,70,45,69,66,67,68,73,67,0,83,67,83,85,0,66,79,67,85,45,49,0,71,66,45,49,56,48,51,48,0,111,110,108,121,32,85,84,70,45,56,32,100,111,99,117,109,101,110,116,115,32,97,114,101,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,101,100,59,32,121,111,117,114,32,100,111,99,117,109,101,110,116,32,97,112,112,101,97,114,115,32,116,111,32,98,101,32,0,34,92,35,0,39,92,35,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,50,73,110,118,97,108,105,100,86,97,108,117,101,69,0,85,110,100,101,102,105,110,101,100,32,118,97,114,105,97,98,108,101,58,32,34,0,83,116,97,99,107,32,100,101,112,116,104,32,101,120,99,101,101,100,101,100,32,109,97,120,32,111,102,32,0,42,91,102,93,0,40,41,32,105,115,110,39,116,32,97,32,118,97,108,105,100,32,67,83,83,32,118,97,108,117,101,46,0,70,117,110,99,116,105,111,110,32,0,32,100,111,101,115,110,39,116,32,115,117,112,112,111,114,116,32,107,101,121,119,111,114,100,32,97,114,103,117,109,101,110,116,115,0,99,97,108,108,91,102,93,0,105,102,91,102,93,0,111,118,101,114,108,111,97,100,101,100,32,102,117,110,99,116,105,111,110,32,96,0,96,32,103,105,118,101,110,32,119,114,111,110,103,32,110,117,109,98,101,114,32,111,102,32,97,114,103,117,109,101,110,116,115,0,70,117,110,99,116,105,111,110,0,44,32,105,110,32,102,117,110,99,116,105,111,110,32,96,0,32,100,105,100,32,110,111,116,32,114,101,116,117,114,110,32,97,32,118,97,108,117,101,0,101,114,114,111,114,32,105,110,32,67,32,102,117,110,99,116,105,111,110,32,0,119,97,114,110,105,110,103,32,105,110,32,67,32,102,117,110,99,116,105,111,110,32,0,69,114,114,111,114,32,105,110,32,67,32,102,117,110,99,116,105,111,110,58,32,0,87,97,114,110,105,110,103,32,105,110,32,67,32,102,117,110,99,116,105,111,110,58,32,0,103,116,0,103,116,101,0,108,116,0,108,116,101,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,56,85,110,100,101,102,105,110,101,100,79,112,101,114,97,116,105,111,110,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,50,48,73,110,118,97,108,105,100,78,117,108,108,79,112,101,114,97,116,105,111,110,69,0,101,113,0,110,101,113,0,112,108,117,115,0,115,117,98,0,116,105,109,101,115,0,100,105,118,0,109,111,100,0,91,79,80,83,93,0,105,110,118,97,108,105,100,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,53,86,97,108,117,101,69,69,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,55,90,101,114,111,68,105,118,105,115,105,111,110,69,114,114,111,114,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,50,49,65,108,112,104,97,67,104,97,110,110,101,108,115,78,111,116,69,113,117,97,108,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,52,83,97,115,115,86,97,108,117,101,69,114,114,111,114,69,0,73,110,102,105,110,105,116,121,0,78,97,78,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,55,66,105,110,97,114,121,95,69,120,112,114,101,115,115,105,111,110,69,69,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,55,68,117,112,108,105,99,97,116,101,75,101,121,69,114,114,111,114,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,50,84,121,112,101,77,105,115,109,97,116,99,104,69,0,64,100,101,98,117,103,91,102,93,0,32,68,69,66,85,71,58,32,0,64,101,114,114,111,114,91,102,93,0,64,119,97,114,110,91,102,93,0,66,97,99,107,116,114,97,99,101,58,0,111,110,0,102,114,111,109,0,32,108,105,110,101,32,0,78,52,83,97,115,115,52,69,118,97,108,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,49,48,69,120,112,114,101,115,115,105,111,110,69,78,83,95,52,69,118,97,108,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,80,78,83,95,49,48,69,120,112,114,101,115,115,105,111,110,69,69,69,0,91,78,65,93,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,55,66,111,111,108,101,97,110,69,69,69,0,96,69,120,112,97,110,100,96,32,100,111,101,115,110,39,116,32,104,97,110,100,108,101,32,0,91,87,65,82,78,93,0,117,110,107,110,111,119,110,32,105,110,116,101,114,110,97,108,32,101,114,114,111,114,59,32,112,108,101,97,115,101,32,99,111,110,116,97,99,116,32,116,104,101,32,76,105,98,83,97,115,115,32,109,97,105,110,116,97,105,110,101,114,115,0,91,109,93,0,110,111,32,109,105,120,105,110,32,110,97,109,101,100,32,0,77,105,120,105,110,32,34,0,34,32,100,111,101,115,32,110,111,116,32,97,99,99,101,112,116,32,97,32,99,111,110,116,101,110,116,32,98,108,111,99,107,46,0,44,32,105,110,32,109,105,120,105,110,32,96,0,96,0,64,99,111,110,116,101,110,116,91,109,93,0,77,105,120,105,110,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,53,84,114,97,99,101,69,69,69,0,78,52,83,97,115,115,57,69,120,99,101,112,116,105,111,110,49,48,83,116,97,99,107,69,114,114,111,114,69,0,91,102,93,0,101,108,101,109,101,110,116,0,101,120,112,114,101,115,115,105,111,110,0,117,114,108,0,78,97,109,105,110,103,32,97,32,102,117,110,99,116,105,111,110,32,34,0,34,32,105,115,32,100,105,115,97,108,108,111,119,101,100,0,84,104,105,115,32,110,97,109,101,32,99,111,110,102,108,105,99,116,115,32,119,105,116,104,32,97,110,32,101,120,105,115,116,105,110,103,32,67,83,83,32,102,117,110,99,116,105,111,110,32,119,105,116,104,32,115,112,101,99,105,97,108,32,112,97,114,115,101,32,114,117,108,101,115,46,0,67,97,110,39,116,32,101,120,116,101,110,100,32,0,58,32,99,97,110,39,116,32,101,120,116,101,110,100,32,112,97,114,101,110,116,32,115,101,108,101,99,116,111,114,115,0,58,32,99,97,110,39,116,32,101,120,116,101,110,100,32,110,101,115,116,101,100,32,115,101,108,101,99,116,111,114,115,0,64,114,101,116,117,114,110,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,97,32,102,117,110,99,116,105,111,110,0,105,110,116,101,103,101,114,0,73,109,112,111,114,116,32,100,105,114,101,99,116,105,118,101,115,32,109,97,121,32,110,111,116,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,99,111,110,116,114,111,108,32,100,105,114,101,99,116,105,118,101,115,32,111,114,32,109,105,120,105,110,115,46,0,69,110,118,32,110,111,116,32,105,110,32,115,121,110,99,0,66,97,115,101,45,108,101,118,101,108,32,114,117,108,101,115,32,99,97,110,110,111,116,32,99,111,110,116,97,105,110,32,116,104,101,32,112,97,114,101,110,116,45,115,101,108,101,99,116,111,114,45,114,101,102,101,114,101,110,99,105,110,103,32,99,104,97,114,97,99,116,101,114,32,39,38,39,46,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,49,51,75,101,121,102,114,97,109,101,95,82,117,108,101,69,69,69,0,78,52,83,97,115,115,54,69,120,112,97,110,100,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,57,83,116,97,116,101,109,101,110,116,69,78,83,95,54,69,120,112,97,110,100,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,80,78,83,95,57,83,116,97,116,101,109,101,110,116,69,69,69,0,78,52,83,97,115,115,55,76,105,115,116,105,122,101,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,49,48,69,120,112,114,101,115,115,105,111,110,69,78,83,95,55,76,105,115,116,105,122,101,69,69,69,0,111,110,108,121,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,54,66,117,98,98,108,101,69,69,69,0,78,52,83,97,115,115,49,48,83,104,97,114,101,100,73,109,112,108,73,78,83,95,57,72,97,115,95,66,108,111,99,107,69,69,69,0,64,45,119,101,98,107,105,116,45,107,101,121,102,114,97,109,101,115,0,64,45,109,111,122,45,107,101,121,102,114,97,109,101,115,0,64,45,111,45,107,101,121,102,114,97,109,101,115,0,64,107,101,121,102,114,97,109,101,115,0,109,101,100,105,97,0,114,117,108,101,0,115,117,112,112,111,114,116,115,0,107,101,121,102,114,97,109,101,115,0,78,52,83,97,115,115,54,67,115,115,105,122,101,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,57,83,116,97,116,101,109,101,110,116,69,78,83,95,54,67,115,115,105,122,101,69,69,69,0,91,70,65,75,69,93,0,116,101,109,112,0,109,97,112,58,58,97,116,58,32,32,107,101,121,32,110,111,116,32,102,111,117,110,100,0,89,111,117,32,109,97,121,32,110,111,116,32,64,101,120,116,101,110,100,32,97,110,32,111,117,116,101,114,32,115,101,108,101,99,116,111,114,32,102,114,111,109,32,119,105,116,104,105,110,32,64,109,101,100,105,97,46,10,0,89,111,117,32,109,97,121,32,111,110,108,121,32,64,101,120,116,101,110,100,32,115,101,108,101,99,116,111,114,115,32,119,105,116,104,105,110,32,116,104,101,32,115,97,109,101,32,100,105,114,101,99,116,105,118,101,46,10,0,70,114,111,109,32,34,64,101,120,116,101,110,100,32,0,78,85,76,76,0,34,32,102,97,105,108,101,100,32,116,111,32,64,101,120,116,101,110,100,32,34,0,34,46,10,84,104,101,32,115,101,108,101,99,116,111,114,32,34,0,34,32,119,97,115,32,110,111,116,32,102,111,117,110,100,46,10,85,115,101,32,34,64,101,120,116,101,110,100,32,0,32,33,111,112,116,105,111,110,97,108,34,32,105,102,32,116,104,101,32,101,120,116,101,110,100,32,115,104,111,117,108,100,32,98,101,32,97,98,108,101,32,116,111,32,102,97,105,108,46,0,78,52,83,97,115,115,54,69,120,116,101,110,100,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,118,78,83,95,54,69,120,116,101,110,100,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,118,69,69,0,123,125,0,64,102,111,110,116,45,102,97,99,101,0,47,42,32,108,105,110,101,32,0,78,52,83,97,115,115,54,79,117,116,112,117,116,69,0,64,99,104,97,114,115,101,116,32,34,85,84,70,45,56,34,59,0,239,187,191,0,40,41,0,40,0,44,41,0,41,0,62,0,47,0,126,0,91,0,93,0,44,32,0,46,46,46,0,38,0,110,117,108,108,0,110,111,116,32,0,111,110,108,121,32,0,32,97,110,100,32,0,110,111,116,0,97,110,100,0,111,114,0,35,123,0,116,114,97,110,115,112,97,114,101,110,116,0,114,103,98,97,40,0,48,0,48,46,48,0,45,48,0,45,48,46,48,0,45,0,38,38,0,124,124,0,61,61,0,33,61,0,62,61,0,60,0,60,61,0,42,0,37,0,64,109,105,120,105,110,0,64,102,117,110,99,116,105,111,110,0,64,119,104,105,108,101,0,64,101,97,99,104,0,32,105,110,32,0,64,102,111,114,0,32,102,114,111,109,32,0,32,116,104,114,111,117,103,104,32,0,32,116,111,32,0,64,105,102,0,101,108,115,101,0,33,100,101,102,97,117,108,116,0,33,105,109,112,111,114,116,97,110,116,0,64,97,116,45,114,111,111,116,32,0,64,109,101,100,105,97,0,64,115,117,112,112,111,114,116,115,0,58,58,66,85,66,66,76,69,0,78,52,83,97,115,115,55,73,110,115,112,101,99,116,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,118,78,83,95,55,73,110,115,112,101,99,116,69,69,69,0,99,104,97,114,115,101,116,0,64,114,101,116,117,114,110,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,97,32,102,117,110,99,116,105,111,110,46,0,73,108,108,101,103,97,108,32,110,101,115,116,105,110,103,58,32,79,110,108,121,32,112,114,111,112,101,114,116,105,101,115,32,109,97,121,32,98,101,32,110,101,115,116,101,100,32,98,101,110,101,97,116,104,32,112,114,111,112,101,114,116,105,101,115,46,0,80,114,111,112,101,114,116,105,101,115,32,97,114,101,32,111,110,108,121,32,97,108,108,111,119,101,100,32,119,105,116,104,105,110,32,114,117,108,101,115,44,32,100,105,114,101,99,116,105,118,101,115,44,32,109,105,120,105,110,32,105,110,99,108,117,100,101,115,44,32,111,114,32,111,116,104,101,114,32,112,114,111,112,101,114,116,105,101,115,46,0,70,117,110,99,116,105,111,110,115,32,99,97,110,32,111,110,108,121,32,99,111,110,116,97,105,110,32,118,97,114,105,97,98,108,101,32,100,101,99,108,97,114,97,116,105,111,110,115,32,97,110,100,32,99,111,110,116,114,111,108,32,100,105,114,101,99,116,105,118,101,115,46,0,70,117,110,99,116,105,111,110,115,32,109,97,121,32,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,119,105,116,104,105,110,32,99,111,110,116,114,111,108,32,100,105,114,101,99,116,105,118,101,115,32,111,114,32,111,116,104,101,114,32,109,105,120,105,110,115,46,0,77,105,120,105,110,115,32,109,97,121,32,110,111,116,32,98,101,32,100,101,102,105,110,101,100,32,119,105,116,104,105,110,32,99,111,110,116,114,111,108,32,100,105,114,101,99,116,105,118,101,115,32,111,114,32,111,116,104,101,114,32,109,105,120,105,110,115,46,0,69,120,116,101,110,100,32,100,105,114,101,99,116,105,118,101,115,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,114,117,108,101,115,46,0,64,99,104,97,114,115,101,116,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,97,116,32,116,104,101,32,114,111,111,116,32,111,102,32,97,32,100,111,99,117,109,101,110,116,46,0,64,99,111,110,116,101,110,116,32,109,97,121,32,111,110,108,121,32,98,101,32,117,115,101,100,32,119,105,116,104,105,110,32,97,32,109,105,120,105,110,46,0,78,52,83,97,115,115,49,50,67,104,101,99,107,78,101,115,116,105,110,103,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,57,83,116,97,116,101,109,101,110,116,69,78,83,95,49,50,67,104,101,99,107,78,101,115,116,105,110,103,69,69,69,0,78,52,83,97,115,115,49,57,82,101,109,111,118,101,95,80,108,97,99,101,104,111,108,100,101,114,115,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,118,78,83,95,49,57,82,101,109,111,118,101,95,80,108,97,99,101,104,111,108,100,101,114,115,69,69,69,0,79,117,116,32,111,102,32,109,101,109,111,114,121,46,10,0,51,46,52,46,55,45,100,105,114,116,121,0,78,83,116,51,95,95,50,49,50,98,97,115,105,99,95,115,116,114,105,110,103,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,78,83,95,57,97,108,108,111,99,97,116,111,114,73,99,69,69,69,69,0,78,83,116,51,95,95,50,50,49,95,95,98,97,115,105,99,95,115,116,114,105,110,103,95,99,111,109,109,111,110,73,76,98,49,69,69,69,0,32,32,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,109,101,109,111,114,121,32,102,111,114,32,102,105,108,101,32,99,111,110,116,101,120,116,0,70,105,108,101,32,99,111,110,116,101,120,116,32,99,114,101,97,116,101,100,32,119,105,116,104,111,117,116,32,97,110,32,105,110,112,117,116,32,112,97,116,104,0,70,105,108,101,32,99,111,110,116,101,120,116,32,99,114,101,97,116,101,100,32,119,105,116,104,32,101,109,112,116,121,32,105,110,112,117,116,32,112,97,116,104,0,85,110,97,98,108,101,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,58,32,0,115,116,97,116,117,115,0,109,101,115,115,97,103,101,0,102,111,114,109,97,116,116,101,100,0,73,110,116,101,114,110,97,108,32,69,114,114,111,114,58,32,0,85,110,107,110,111,119,110,32,101,114,114,111,114,32,111,99,99,117,114,114,101,100,0,117,110,107,110,111,119,110,0,32,111,110,32,108,105,110,101,32,0,32,102,114,111,109,32,108,105,110,101,32,0,62,62,32,0,32,32,32,0,94,10,0,108,105,110,101,0,99,111,108,117,109,110,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,109,101,109,111,114,121,32,102,111,114,32,100,97,116,97,32,99,111,110,116,101,120,116,0,68,97,116,97,32,99,111,110,116,101,120,116,32,99,114,101,97,116,101,100,32,119,105,116,104,111,117,116,32,97,32,115,111,117,114,99,101,32,115,116,114,105,110,103,0,68,97,116,97,32,99,111,110,116,101,120,116,32,99,114,101,97,116,101,100,32,119,105,116,104,32,101,109,112,116,121,32,115,111,117,114,99,101,32,115,116,114,105,110,103,0,69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,109,101,109,111,114,121,32,102,111,114,32,99,111,110,116,101,120,116,0,68,97,116,97,32,99,111,110,116,101,120,116,32,104,97,115,32,110,111,32,115,111,117,114,99,101,32,115,116,114,105,110,103,0,70,105,108,101,32,99,111,110,116,101,120,116,32,104,97,115,32,110,111,32,105,110,112,117,116,32,112,97,116,104,0,70,105,108,101,32,99,111,110,116,101,120,116,32,104,97,115,32,101,109,112,116,121,32,105,110,112,117,116,32,112,97,116,104,0,32,42,47,0,47,42,0,47,47,0,32,123,125,0,59,0,32,125,0,125,0,92,0,58,58,0,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,45,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,0,58,108,105,110,107,0,58,118,105,115,105,116,101,100,0,58,97,99,116,105,118,101,0,58,108,97,110,103,0,58,102,105,114,115,116,45,99,104,105,108,100,0,58,104,111,118,101,114,0,58,102,111,99,117,115,0,58,102,105,114,115,116,0,58,116,97,114,103,101,116,0,58,114,111,111,116,0,58,110,116,104,45,99,104,105,108,100,0,58,110,116,104,45,108,97,115,116,45,111,102,45,99,104,105,108,100,0,58,110,116,104,45,111,102,45,116,121,112,101,0,58,110,116,104,45,108,97,115,116,45,111,102,45,116,121,112,101,0,58,108,97,115,116,45,99,104,105,108,100,0,58,102,105,114,115,116,45,111,102,45,116,121,112,101,0,58,108,97,115,116,45,111,102,45,116,121,112,101,0,58,111,110,108,121,45,99,104,105,108,100,0,58,111,110,108,121,45,111,102,45,116,121,112,101,0,58,101,109,112,116,121,0,58,110,111,116,0,58,100,101,102,97,117,108,116,0,58,118,97,108,105,100,0,58,105,110,118,97,108,105,100,0,58,105,110,45,114,97,110,103,101,0,58,111,117,116,45,111,102,45,114,97,110,103,101,0,58,114,101,113,117,105,114,101,100,0,58,111,112,116,105,111,110,97,108,0,58,114,101,97,100,45,111,110,108,121,0,58,114,101,97,100,45,119,114,105,116,101,0,58,100,105,114,0,58,101,110,97,98,108,101,100,0,58,100,105,115,97,98,108,101,100,0,58,99,104,101,99,107,101,100,0,58,105,110,100,101,116,101,114,109,105,110,97,116,101,0,58,110,116,104,45,108,97,115,116,45,99,104,105,108,100,0,58,97,110,121,45,108,105,110,107,0,58,108,111,99,97,108,45,108,105,110,107,0,58,115,99,111,112,101,0,58,97,99,116,105,118,101,45,100,114,111,112,45,116,97,114,103,101,116,0,58,118,97,108,105,100,45,100,114,111,112,45,116,97,114,103,101,116,0,58,105,110,118,97,108,105,100,45,100,114,111,112,45,116,97,114,103,101,116,0,58,99,117,114,114,101,110,116,0,58,112,97,115,116,0,58,102,117,116,117,114,101,0,58,112,108,97,99,101,104,111,108,100,101,114,45,115,104,111,119,110,0,58,117,115,101,114,45,101,114,114,111,114,0,58,98,108,97,110,107,0,58,110,116,104,45,109,97,116,99,104,0,58,110,116,104,45,108,97,115,116,45,109,97,116,99,104,0,58,110,116,104,45,99,111,108,117,109,110,0,58,110,116,104,45,108,97,115,116,45,99,111,108,117,109,110,0,58,109,97,116,99,104,101,115,0,58,102,117,108,108,115,99,114,101,101,110,0,64,119,97,114,110,0,64,100,101,98,117,103,0,64,101,114,114,111,114,0,64,99,104,97,114,115,101,116,0,64,110,97,109,101,115,112,97,99,101,0,61,0,64,109,105,120,105,110,32,0,43,0,64,105,110,99,108,117,100,101,32,0,64,105,109,112,111,114,116,0,117,114,108,40,0,64,114,101,116,117,114,110,0,64,101,120,116,101,110,100,0,64,105,110,99,108,117,100,101,0,64,99,111,110,116,101,110,116,0,42,47,0,32,123,32,0,32,123,0,123,0,117,110,107,110,111,119,110,32,116,121,112,101,32,102,111,114,32,67,45,65,80,73,0,78,52,83,97,115,115,52,84,111,95,67,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,49,48,83,97,115,115,95,86,97,108,117,101,78,83,95,52,84,111,95,67,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,80,49,48,83,97,115,115,95,86,97,108,117,101,69,69,0,105,110,118,97,108,105,100,32,110,111],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+40964);allocate([100,101,32,102,111,114,32,116,111,95,118,97,108,117,101,0,78,52,83,97,115,115,56,84,111,95,86,97,108,117,101,69,0,78,52,83,97,115,115,49,52,79,112,101,114,97,116,105,111,110,95,67,82,84,80,73,80,78,83,95,53,86,97,108,117,101,69,78,83,95,56,84,111,95,86,97,108,117,101,69,69,69,0,78,52,83,97,115,115,57,79,112,101,114,97,116,105,111,110,73,80,78,83,95,53,86,97,108,117,101,69,69,69,0,115,116,100,105,110,0,118,101,114,115,105,111,110,0,102,105,108,101,0,115,111,117,114,99,101,82,111,111,116,0,115,111,117,114,99,101,115,0,102,105,108,101,58,47,47,0,102,105,108,101,58,47,47,47,0,115,111,117,114,99,101,115,67,111,110,116,101,110,116,0,110,97,109,101,115,0,109,97,112,112,105,110,103,115,0,9,0,44,0,112,114,101,112,101,110,100,32,115,111,117,114,99,101,109,97,112,32,104,97,115,32,105,108,108,101,103,97,108,32,108,105,110,101,0,112,114,101,112,101,110,100,32,115,111,117,114,99,101,109,97,112,32,104,97,115,32,105,108,108,101,103,97,108,32,99,111,108,117,109,110,0,105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,115,117,98,115,101,116,32,109,97,112,32,107,101,121,115,32,109,97,121,32,110,111,116,32,98,101,32,101,109,112,116,121,0,46,115,99,115,115,0,46,115,97,115,115,0,46,99,115,115,0,73,110,118,97,108,105,100,32,115,97,115,115,32,100,101,116,101,99,116,101,100,0,85,110,100,101,102,105,110,101,100,32,111,112,101,114,97,116,105,111,110,0,73,110,118,97,108,105,100,32,110,117,108,108,32,111,112,101,114,97,116,105,111,110,0,67,111,100,101,32,116,111,111,32,100,101,101,112,108,121,32,110,101,101,115,116,101,100,0,32,9,10,11,12,13,0,69,114,114,111,114,0,73,110,118,97,108,105,100,32,112,97,114,101,110,116,32,115,101,108,101,99,116,111,114,32,102,111,114,32,34,0,34,58,32,34,0,34,0,86,97,114,105,97,98,108,101,32,107,101,121,119,111,114,100,32,97,114,103,117,109,101,110,116,32,109,97,112,32,109,117,115,116,32,104,97,118,101,32,115,116,114,105,110,103,32,107,101,121,115,46,10,0,32,105,115,32,110,111,116,32,97,32,115,116,114,105,110,103,32,105,110,32,0,58,32,34,0,34,32,105,115,32,110,111,116,32,97,32,0,32,102,111,114,32,96,0,39,0,32,0,32,105,115,32,109,105,115,115,105,110,103,32,97,114,103,117,109,101,110,116,32,0,34,46,0,100,105,118,105,100,101,100,32,98,121,32,48,0,90,101,114,111,68,105,118,105,115,105,111,110,69,114,114,111,114,0,68,117,112,108,105,99,97,116,101,32,107,101,121,32,0,32,105,110,32,109,97,112,32,40,0,41,46,0,32,105,115,32,110,111,116,32,97,110,32,0,32,105,115,110,39,116,32,97,32,118,97,108,105,100,32,67,83,83,32,118,97,108,117,101,46,0,115,116,97,99,107,32,108,101,118,101,108,32,116,111,111,32,100,101,101,112,0,83,121,115,116,101,109,83,116,97,99,107,69,114,114,111,114,0,73,110,99,111,109,112,97,116,105,98,108,101,32,117,110,105,116,115,58,32,39,0,39,32,97,110,100,32,39,0,39,46,0,65,108,112,104,97,32,99,104,97,110,110,101,108,115,32,109,117,115,116,32,98,101,32,101,113,117,97,108,58,32,0,68,69,80,82,69,67,65,84,73,79,78,32,87,65,82,78,73,78,71,58,32,0,119,105,108,108,32,98,101,32,97,110,32,101,114,114,111,114,32,105,110,32,102,117,116,117,114,101,32,118,101,114,115,105,111,110,115,32,111,102,32,83,97,115,115,46,0,32,32,32,32,32,32,32,32,111,110,32,108,105,110,101,32,0,32,111,102,32,0,68,69,80,82,69,67,65,84,73,79,78,32,87,65,82,78,73,78,71,32,111,110,32,108,105,110,101,32,0,58,0,32,97,110,100,32,119,105,108,108,32,98,101,32,97,110,32,101,114,114,111,114,32,105,110,32,102,117,116,117,114,101,32,118,101,114,115,105,111,110,115,32,111,102,32,83,97,115,115,46,0,87,65,82,78,73,78,71,58,32,0,84,104,105,115,32,119,105,108,108,32,98,101,32,97,110,32,101,114,114,111,114,32,105,110,32,102,117,116,117,114,101,32,118,101,114,115,105,111,110,115,32,111,102,32,83,97,115,115,46,0,10,0,78,52,83,97,115,115,57,83,104,97,114,101,100,79,98,106,69,0,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,48,49,50,51,52,53,54,55,56,57,43,47,0,123,32,83,97,115,115,46,95,115,97,115,115,67,111,109,112,105,108,101,69,109,115,99,114,105,112,116,101,110,83,117,99,99,101,115,115,40,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,40,36,48,41,44,32,112,111,105,110,116,101,114,84,111,74,115,111,110,40,36,49,41,44,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,65,114,114,97,121,40,36,50,41,32,41,59,32,125,0,123,32,83,97,115,115,46,95,115,97,115,115,67,111,109,112,105,108,101,69,109,115,99,114,105,112,116,101,110,69,114,114,111,114,40,32,112,111,105,110,116,101,114,84,111,74,115,111,110,40,36,48,41,44,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,40,36,49,41,32,41,59,32,125,0,123,32,73,109,112,111,114,116,101,114,46,102,105,110,100,40,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,40,36,48,41,44,32,112,111,105,110,116,101,114,84,111,83,116,114,105,110,103,40,36,49,41,32,41,59,32,125,0,123,32,114,101,116,117,114,110,32,78,117,109,98,101,114,40,73,109,112,111,114,116,101,114,46,102,105,110,105,115,104,101,100,40,41,41,59,32,125,0,123,32,114,101,116,117,114,110,32,78,117,109,98,101,114,40,73,109,112,111,114,116,101,114,46,101,114,114,111,114,40,41,41,59,32,125,0,123,32,114,101,116,117,114,110,32,78,117,109,98,101,114,40,73,109,112,111,114,116,101,114,46,112,97,116,104,40,41,41,59,32,125,0,123,32,114,101,116,117,114,110,32,78,117,109,98,101,114,40,73,109,112,111,114,116,101,114,46,99,111,110,116,101,110,116,40,41,41,59,32,125,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,3,4,5,6,7,8,9,255,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,4,7,3,6,5,0,17,0,10,0,17,17,17,0,0,0,0,5,0,0,0,0,0,0,9,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,15,10,17,17,17,3,10,7,0,1,19,9,11,11,0,0,9,6,11,0,0,11,0,6,17,0,0,0,17,17,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,10,10,17,17,17,0,10,0,0,2,0,9,11,0,0,0,9,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,4,13,0,0,0,0,9,14,0,0,0,0,0,14,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,15,0,0,0,0,9,16,0,0,0,0,0,16,0,0,16,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,10,0,0,0,0,9,11,0,0,0,0,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,45,43,32,32,32,48,88,48,120,0,40,110,117,108,108,41,0,45,48,88,43,48,88,32,48,88,45,48,120,43,48,120,32,48,120,0,105,110,102,0,73,78,70,0,78,65,78,0,84,33,34,25,13,1,2,3,17,75,28,12,16,4,11,29,18,30,39,104,110,111,112,113,98,32,5,6,15,19,20,21,26,8,22,7,40,36,23,24,9,10,14,27,31,37,35,131,130,125,38,42,43,60,61,62,63,67,71,74,77,88,89,90,91,92,93,94,95,96,97,99,100,101,102,103,105,106,107,108,114,115,116,121,122,123,124,0,73,108,108,101,103,97,108,32,98,121,116,101,32,115,101,113,117,101,110,99,101,0,68,111,109,97,105,110,32,101,114,114,111,114,0,82,101,115,117,108,116,32,110,111,116,32,114,101,112,114,101,115,101,110,116,97,98,108,101,0,78,111,116,32,97,32,116,116,121,0,80,101,114,109,105,115,115,105,111,110,32,100,101,110,105,101,100,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,0,78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,0,78,111,32,115,117,99,104,32,112,114,111,99,101,115,115,0,70,105,108,101,32,101,120,105,115,116,115,0,86,97,108,117,101,32,116,111,111,32,108,97,114,103,101,32,102,111,114,32,100,97,116,97,32,116,121,112,101,0,78,111,32,115,112,97,99,101,32,108,101,102,116,32,111,110,32,100,101,118,105,99,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,115,111,117,114,99,101,32,98,117,115,121,0,73,110,116,101,114,114,117,112,116,101,100,32,115,121,115,116,101,109,32,99,97,108,108,0,82,101,115,111,117,114,99,101,32,116,101,109,112,111,114,97,114,105,108,121,32,117,110,97,118,97,105,108,97,98,108,101,0,73,110,118,97,108,105,100,32,115,101,101,107,0,67,114,111,115,115,45,100,101,118,105,99,101,32,108,105,110,107,0,82,101,97,100,45,111,110,108,121,32,102,105,108,101,32,115,121,115,116,101,109,0,68,105,114,101,99,116,111,114,121,32,110,111,116,32,101,109,112,116,121,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,112,101,101,114,0,79,112,101,114,97,116,105,111,110,32,116,105,109,101,100,32,111,117,116,0,67,111,110,110,101,99,116,105,111,110,32,114,101,102,117,115,101,100,0,72,111,115,116,32,105,115,32,100,111,119,110,0,72,111,115,116,32,105,115,32,117,110,114,101,97,99,104,97,98,108,101,0,65,100,100,114,101,115,115,32,105,110,32,117,115,101,0,66,114,111,107,101,110,32,112,105,112,101,0,73,47,79,32,101,114,114,111,114,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,32,111,114,32,97,100,100,114,101,115,115,0,66,108,111,99,107,32,100,101,118,105,99,101,32,114,101,113,117,105,114,101,100,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,0,78,111,116,32,97,32,100,105,114,101,99,116,111,114,121,0,73,115,32,97,32,100,105,114,101,99,116,111,114,121,0,84,101,120,116,32,102,105,108,101,32,98,117,115,121,0,69,120,101,99,32,102,111,114,109,97,116,32,101,114,114,111,114,0,73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,0,65,114,103,117,109,101,110,116,32,108,105,115,116,32,116,111,111,32,108,111,110,103,0,83,121,109,98,111,108,105,99,32,108,105,110,107,32,108,111,111,112,0,70,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,0,84,111,111,32,109,97,110,121,32,111,112,101,110,32,102,105,108,101,115,32,105,110,32,115,121,115,116,101,109,0,78,111,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,97,118,97,105,108,97,98,108,101,0,66,97,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,0,78,111,32,99,104,105,108,100,32,112,114,111,99,101,115,115,0,66,97,100,32,97,100,100,114,101,115,115,0,70,105,108,101,32,116,111,111,32,108,97,114,103,101,0,84,111,111,32,109,97,110,121,32,108,105,110,107,115,0,78,111,32,108,111,99,107,115,32,97,118,97,105,108,97,98,108,101,0,82,101,115,111,117,114,99,101,32,100,101,97,100,108,111,99,107,32,119,111,117,108,100,32,111,99,99,117,114,0,83,116,97,116,101,32,110,111,116,32,114,101,99,111,118,101,114,97,98,108,101,0,80,114,101,118,105,111,117,115,32,111,119,110,101,114,32,100,105,101,100,0,79,112,101,114,97,116,105,111,110,32,99,97,110,99,101,108,101,100,0,70,117,110,99,116,105,111,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,78,111,32,109,101,115,115,97,103,101,32,111,102,32,100,101,115,105,114,101,100,32,116,121,112,101,0,73,100,101,110,116,105,102,105,101,114,32,114,101,109,111,118,101,100,0,68,101,118,105,99,101,32,110,111,116,32,97,32,115,116,114,101,97,109,0,78,111,32,100,97,116,97,32,97,118,97,105,108,97,98,108,101,0,68,101,118,105,99,101,32,116,105,109,101,111,117,116,0,79,117,116,32,111,102,32,115,116,114,101,97,109,115,32,114,101,115,111,117,114,99,101,115,0,76,105,110,107,32,104,97,115,32,98,101,101,110,32,115,101,118,101,114,101,100,0,80,114,111,116,111,99,111,108,32,101,114,114,111,114,0,66,97,100,32,109,101,115,115,97,103,101,0,70,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,105,110,32,98,97,100,32,115,116,97,116,101,0,78,111,116,32,97,32,115,111,99,107,101,116,0,68,101,115,116,105,110,97,116,105,111,110,32,97,100,100,114,101,115,115,32,114,101,113,117,105,114,101,100,0,77,101,115,115,97,103,101,32,116,111,111,32,108,97,114,103,101,0,80,114,111,116,111,99,111,108,32,119,114,111,110,103,32,116,121,112,101,32,102,111,114,32,115,111,99,107,101,116,0,80,114,111,116,111,99,111,108,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,80,114,111,116,111,99,111,108,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,111,99,107,101,116,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,111,116,32,115,117,112,112,111,114,116,101,100,0,80,114,111,116,111,99,111,108,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,100,100,114,101,115,115,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,112,114,111,116,111,99,111,108,0,65,100,100,114,101,115,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,78,101,116,119,111,114,107,32,105,115,32,100,111,119,110,0,78,101,116,119,111,114,107,32,117,110,114,101,97,99,104,97,98,108,101,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,110,101,116,119,111,114,107,0,67,111,110,110,101,99,116,105,111,110,32,97,98,111,114,116,101,100,0,78,111,32,98,117,102,102,101,114,32,115,112,97,99,101,32,97,118,97,105,108,97,98,108,101,0,83,111,99,107,101,116,32,105,115,32,99,111,110,110,101,99,116,101,100,0,83,111,99,107,101,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,67,97,110,110,111,116,32,115,101,110,100,32,97,102,116,101,114,32,115,111,99,107,101,116,32,115,104,117,116,100,111,119,110,0,79,112,101,114,97,116,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,112,114,111,103,114,101,115,115,0,79,112,101,114,97,116,105,111,110,32,105,110,32,112,114,111,103,114,101,115,115,0,83,116,97,108,101,32,102,105,108,101,32,104,97,110,100,108,101,0,82,101,109,111,116,101,32,73,47,79,32,101,114,114,111,114,0,81,117,111,116,97,32,101,120,99,101,101,100,101,100,0,78,111,32,109,101,100,105,117,109,32,102,111,117,110,100,0,87,114,111,110,103,32,109,101,100,105,117,109,32,116,121,112,101,0,78,111,32,101,114,114,111,114,32,105,110,102,111,114,109,97,116,105,111,110,0,0,105,110,102,105,110,105,116,121,0,110,97,110,0,46,0,80,79,83,73,88,0,114,119,97,0,95,95,110,101,120,116,95,112,114,105,109,101,32,111,118,101,114,102,108,111,119,0,78,83,116,51,95,95,50,56,105,111,115,95,98,97,115,101,69,0,78,83,116,51,95,95,50,57,98,97,115,105,99,95,105,111,115,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,57,98,97,115,105,99,95,105,111,115,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,53,98,97,115,105,99,95,115,116,114,101,97,109,98,117,102,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,105,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,49,51,98,97,115,105,99,95,111,115,116,114,101,97,109,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,0,78,83,116,51,95,95,50,49,52,98,97,115,105,99,95,105,111,115,116,114,101,97,109,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,0,78,83,116,51,95,95,50,56,105,111,115,95,98,97,115,101,55,102,97,105,108,117,114,101,69,0,117,110,115,112,101,99,105,102,105,101,100,32,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,105,111,115,116,114,101,97,109,0,78,83,116,51,95,95,50,49,57,95,95,105,111,115,116,114,101,97,109,95,99,97,116,101,103,111,114,121,69,0,105,111,115,95,98,97,115,101,58,58,99,108,101,97,114,0,78,83,116,51,95,95,50,49,49,95,95,115,116,100,111,117,116,98,117,102,73,119,69,69,0,78,83,116,51,95,95,50,49,49,95,95,115,116,100,111,117,116,98,117,102,73,99,69,69,0,117,110,115,117,112,112,111,114,116,101,100,32,108,111,99,97,108,101,32,102,111,114,32,115,116,97,110,100,97,114,100,32,105,110,112,117,116,0,78,83,116,51,95,95,50,49,48,95,95,115,116,100,105,110,98,117,102,73,119,69,69,0,78,83,116,51,95,95,50,49,48,95,95,115,116,100,105,110,98,117,102,73,99,69,69,0,78,83,116,51,95,95,50,55,99,111,108,108,97,116,101,73,99,69,69,0,78,83,116,51,95,95,50,54,108,111,99,97,108,101,53,102,97,99,101,116,69,0,78,83,116,51,95,95,50,55,99,111,108,108,97,116,101,73,119,69,69,0,48,49,50,51,52,53,54,55,56,57,97,98,99,100,101,102,65,66,67,68,69,70,120,88,43,45,112,80,105,73,110,78,0,37,112,0,67,0,78,83,116,51,95,95,50,55,110,117,109,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,103,101,116,73,99,69,69,0,78,83,116,51,95,95,50,49,52,95,95,110,117,109,95,103,101,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,55,110,117,109,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,103,101,116,73,119,69,69,0,37,112,0,0,0,0,76,0,108,108,0,37,0,0,0,0,0,108,0,78,83,116,51,95,95,50,55,110,117,109,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,50,49,52,95,95,110,117,109,95,112,117,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,55,110,117,109,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,57,95,95,110,117,109,95,112,117,116,73,119,69,69,0,37,72,58,37,77,58,37,83,0,37,109,47,37,100,47,37,121,0,37,73,58,37,77,58,37,83,32,37,112,0,37,97,32,37,98,32,37,100,32,37,72,58,37,77,58,37,83,32,37,89,0,65,77,0,80,77,0,74,97,110,117,97,114,121,0,70,101,98,114,117,97,114,121,0,77,97,114,99,104,0,65,112,114,105,108,0,77,97,121,0,74,117,110,101,0,74,117,108,121,0,65,117,103,117,115,116,0,83,101,112,116,101,109,98,101,114,0,79,99,116,111,98,101,114,0,78,111,118,101,109,98,101,114,0,68,101,99,101,109,98,101,114,0,74,97,110,0,70,101,98,0,77,97,114,0,65,112,114,0,74,117,110,0,74,117,108,0,65,117,103,0,83,101,112,0,79,99,116,0,78,111,118,0,68,101,99,0,83,117,110,100,97,121,0,77,111,110,100,97,121,0,84,117,101,115,100,97,121,0,87,101,100,110,101,115,100,97,121,0,84,104,117,114,115,100,97,121,0,70,114,105,100,97,121,0,83,97,116,117,114,100,97,121,0,83,117,110,0,77,111,110,0,84,117,101,0,87,101,100,0,84,104,117,0,70,114,105,0,83,97,116,0,37,109,47,37,100,47,37,121,37,89,45,37,109,45,37,100,37,73,58,37,77,58,37,83,32,37,112,37,72,58,37,77,37,72,58,37,77,58,37,83,37,72,58,37,77,58,37,83,78,83,116,51,95,95,50,56,116,105,109,101,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,99,69,69,0,78,83,116,51,95,95,50,57,116,105,109,101,95,98,97,115,101,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,50,48,95,95,116,105,109,101,95,103,101,116,95,99,95,115,116,111,114,97,103,101,73,119,69,69,0,78,83,116,51,95,95,50,56,116,105,109,101,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,48,95,95,116,105,109,101,95,112,117,116,69,0,108,111,99,97,108,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,83,116,51,95,95,50,56,116,105,109,101,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,48,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,99,76,98,49,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,48,69,69,69,0,78,83,116,51,95,95,50,49,48,109,111,110,101,121,112,117,110,99,116,73,119,76,98,49,69,69,69,0,48,49,50,51,52,53,54,55,56,57,0,37,76,102,0,109,111,110,101,121,95,103,101,116,32,101,114,114,111,114,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,103,101,116,73,99,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,103,101,116,73,99,69,69,0,48,49,50,51,52,53,54,55,56,57,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,103,101,116,73,119,78,83,95,49,57,105,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,103,101,116,73,119,69,69,0,37,46,48,76,102,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,112,117,116,73,99,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,99,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,99,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,112,117,116,73,99,69,69,0,78,83,116,51,95,95,50,57,109,111,110,101,121,95,112,117,116,73,119,78,83,95,49,57,111,115,116,114,101,97,109,98,117,102,95,105,116,101,114,97,116,111,114,73,119,78,83,95,49,49,99,104,97,114,95,116,114,97,105,116,115,73,119,69,69,69,69,69,69,0,78,83,116,51,95,95,50,49,49,95,95,109,111,110,101,121,95,112,117,116,73,119,69,69,0,78,83,116,51,95,95,50,56,109,101,115,115,97,103,101,115,73,99,69,69,0,78,83,116,51,95,95,50,49,51,109,101,115,115,97,103,101,115,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,55,95,95,119,105,100,101,110,95,102,114,111,109,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,68,105,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,49,50,99,111,100,101,99,118,116,95,98,97,115,101,69,0,78,83,116,51,95,95,50,49,54,95,95,110,97,114,114,111,119,95,116,111,95,117,116,102,56,73,76,106,51,50,69,69,69,0,78,83,116,51,95,95,50,56,109,101,115,115,97,103,101,115,73,119,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,99,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,119,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,55,99,111,100,101,99,118,116,73,68,115,99,49,49,95,95,109,98,115,116,97,116,101,95,116,69,69,0,78,83,116,51,95,95,50,54,108,111,99,97,108,101,53,95,95,105,109,112,69,0,78,83,116,51,95,95,50,53,99,116,121,112,101,73,99,69,69,0,78,83,116,51,95,95,50,49,48,99,116,121,112,101,95,98,97,115,101,69,0,78,83,116,51,95,95,50,53,99,116,121,112,101,73,119,69,69,0,102,97,108,115,101,0,116,114,117,101,0,78,83,116,51,95,95,50,56,110,117,109,112,117,110,99,116,73,99,69,69,0,78,83,116,51,95,95,50,56,110,117,109,112,117,110,99,116,73,119,69,69,0,118,101,99,116,111,114,0,78,83,116,51,95,95,50,49,52,95,95,115,104,97,114,101,100,95,99,111,117,110,116,69,0,78,83,116,51,95,95,50,49,57,95,95,115,104,97,114,101,100,95,119,101,97,107,95,99,111,117,110,116,69,0,114,97,110,100,111,109,95,100,101,118,105,99,101,32,102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,0,114,97,110,100,111,109,95,100,101,118,105,99,101,32,103,111,116,32,69,79,70,0,114,97,110,100,111,109,95,100,101,118,105,99,101,32,103,111,116,32,97,110,32,117,110,101,120,112,101,99,116,101,100,32,101,114,114,111,114,0,98,97,115,105,99,95,115,116,114,105,110,103,0,78,83,116,51,95,95,50,49,52,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,78,83,116,51,95,95,50,49,50,115,121,115,116,101,109,95,101,114,114,111,114,69,0,78,83,116,51,95,95,50,49,50,95,95,100,111,95,109,101,115,115,97,103,101,69,0,117,110,115,112,101,99,105,102,105,101,100,32,103,101,110,101,114,105,99,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,103,101,110,101,114,105,99,0,78,83,116,51,95,95,50,50,52,95,95,103,101,110,101,114,105,99,95,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,117,110,115,112,101,99,105,102,105,101,100,32,115,121,115,116,101,109,95,99,97,116,101,103,111,114,121,32,101,114,114,111,114,0,115,121,115,116,101,109,0,78,83,116,51,95,95,50,50,51,95,95,115,121,115,116,101,109,95,101,114,114,111,114,95,99,97,116,101,103,111,114,121,69,0,58,32,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,58,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,101,120,99,101,112,116,105,111,110,32,111,102,32,116,121,112,101,32,37,115,0,116,101,114,109,105,110,97,116,105,110,103,32,119,105,116,104,32,37,115,32,102,111,114,101,105,103,110,32,101,120,99,101,112,116,105,111,110,0,116,101,114,109,105,110,97,116,105,110,103,0,117,110,99,97,117,103,104,116,0,83,116,57,101,120,99,101,112,116,105,111,110,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,54,95,95,115,104,105,109,95,116,121,112,101,95,105,110,102,111,69,0,83,116,57,116,121,112,101,95,105,110,102,111,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,48,95,95,115,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0,112,116,104,114,101,97,100,95,111,110,99,101,32,102,97,105,108,117,114,101,32,105,110,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,95,102,97,115,116,40,41,0,99,97,110,110,111,116,32,99,114,101,97,116,101,32,112,116,104,114,101,97,100,32,107,101,121,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,99,97,110,110,111,116,32,122,101,114,111,32,111,117,116,32,116,104,114,101,97,100,32,118,97,108,117,101,32,102,111,114,32,95,95,99,120,97,95,103,101,116,95,103,108,111,98,97,108,115,40,41,0,116,101,114,109,105,110,97,116,101,95,104,97,110,100,108,101,114,32,117,110,101,120,112,101,99,116,101,100,108,121,32,114,101,116,117,114,110,101,100,0,116,101,114,109,105,110,97,116,101,95,104,97,110,100,108,101,114,32,117,110,101,120,112,101,99,116,101,100,108,121,32,116,104,114,101,119,32,97,110,32,101,120,99,101,112,116,105,111,110,0,115,116,100,58,58,98,97,100,95,97,108,108,111,99,0,83,116,57,98,97,100,95,97,108,108,111,99,0,115,116,100,58,58,101,120,99,101,112,116,105,111,110,0,83,116,49,49,108,111,103,105,99,95,101,114,114,111,114,0,83,116,49,51,114,117,110,116,105,109,101,95,101,114,114,111,114,0,83,116,49,50,108,101,110,103,116,104,95,101,114,114,111,114,0,83,116,49,50,111,117,116,95,111,102,95,114,97,110,103,101,0,83,116,49,52,111,118,101,114,102,108,111,119,95,101,114,114,111,114,0,115,116,100,58,58,98,97,100,95,99,97,115,116,0,83,116,56,98,97,100,95,99,97,115,116,0,115,116,100,58,58,98,97,100,95,116,121,112,101,105,100,0,83,116,49,48,98,97,100,95,116,121,112,101,105,100,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,57,95,95,112,111,105,110,116,101,114,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,49,55,95,95,112,98,97,115,101,95,116,121,112,101,95,105,110,102,111,69,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,51,95,95,102,117,110,100,97,109,101,110,116,97,108,95,116,121,112,101,95,105,110,102,111,69,0,118,0,68,110,0,99,0,80,75,99,0,78,49,48,95,95,99,120,120,97,98,105,118,49,50,49,95,95,118,109,105,95,99,108,97,115,115,95,116,121,112,101,95,105,110,102,111,69,0],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+51204);var tempDoublePtr=STATICTOP;STATICTOP+=16;var EMTSTACKTOP=getMemory(1048576);var EMT_STACK_MAX=EMTSTACKTOP+1048576;var eb=getMemory(54960);__ATPRERUN__.push((function(){HEAPU8.set([140,2,81,0,0,0,0,0,2,70,0,0,204,1,0,0,2,71,0,0,167,1,0,0,2,72,0,0,108,25,0,0,2,73,0,0,168,1,0,0,2,74,0,0,215,1,0,0,2,75,0,0,100,26,0,0,2,76,0,0,172,0,0,0,1,66,0,0,136,77,0,0,0,67,77,0,136,77,0,0,1,78,224,2,3,77,77,78,137,77,0,0,25,65,67,80,25,62,67,40,0,64,67,0,1,77,200,2,3,68,67,77,1,77,216,2,3,3,67,77,1,77,208,2,3,4,67,77,1,77,192,2,3,5,67,77,1,77,184,2,3,6,67,77,1,77,152,2,3,7,67,77,1,77,144,2,3,8,67,77,1,77,136,2,3,9,67,77,1,77,128,2,3,10,67,77,1,77,120,2,3,11,67,77,1,77,104,2,3,12,67,77,1,77,96,2,3,13,67,77,1,77,88,2,3,14,67,77,1,77,80,2,3,15,67,77,1,77,72,2,3,16,67,77,1,77,64,2,3,17,67,77,1,77,48,2,3,18,67,77,1,77,40,2,3,19,67,77,1,77,32,2,3,20,67,77,1,77,16,2,3,24,67,77,1,77,176,2,3,63,67,77,1,77,8,2,3,32,67,77,1,77,0,2,3,34,67,77,1,77,248,1,3,55,67,77,1,77,208,1,3,56,67,77,1,77,160,1,3,61,67,77,1,77,160,2,3,21,67,77,1,77,112,2,3,57,67,77,1,77,152,1,3,39,67,77,1,77,144,1,3,40,67,77,1,77,136,1,3,52,67,77,1,77,96,1,3,49,67,77,1,77,88,1,3,54,67,77,1,77,80,1,3,22,67,77,1,77,72,1,3,25,67,77,1,77,56,1,3,23,67,77,1,77,48,1,3,26,67,77,1,77,40,1,3,27,67,77,1,77,32,1,3,28,67,77,1,77,24,1,3,29,67,77,1,77,16,1,3,30,67,77,1,77,8,1,3,31,67,77,1,77,0,1,3,41,67,77,1,77,248,0,3,43,67,77,1,77,240,0,3,33,67,77,1,77,232,0,3,35,67,77,1,77,224,0,3,36,67,77,1,77,216,0,3,37,67,77,1,77,208,0,3,38,67,77,1,77,200,0,3,42,67,77,1,77,192,0,3,44,67,77,1,77,184,0,3,45,67,77,1,77,176,0,3,46,67,77,1,77,168,0,3,47,67,77,1,77,160,0,3,48,67,77,1,77,152,0,3,50,67,77,1,77,56,2,3,60,67,77,1,77,144,0,3,51,67,77,1,77,136,0,3,53,67,77,1,77,128,0,3,58,67,77,25,59,67,120,106,78,0,48,26,78,78,4,82,78,78,0,135,77,0,0,68,78,0,0,1,77,212,26,85,68,77,0,1,77,0,0,132,0,0,77,1,78,190,1,135,77,1,0,78,0,0,0,130,77,0,0,0,2,77,0,1,77,0,0,132,0,0,77,38,77,2,1,120,77,230,11,1,77,0,0,132,0,0,77,1,78,63,0,1,79,1,0,1,80,0,0,135,77,2,0,78,0,79,80,130,77,0,0,0,2,77,0,1,77,0,0,132,0,0,77,38,77,2,1,120,77,217,11,1,77,0,0,132,0,0,77,1,77,99,0,1,80,1,0,1,79,0,0,135,2,2,0,77,0,80,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,194,11,121,2,62,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,80,83,2,135,79,3,0,80,4,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,176,11,1,79,0,0,132,0,0,79,106,80,4,4,135,79,3,0,70,3,80,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,3,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,3,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,3,0,0,0,119,0,10,0,135,79,5,0,3,0,0,0,135,79,5,0,4,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,4,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,107,0,1,80,1,0,1,77,0,0,135,2,2,0,79,0,80,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,117,11,121,2,62,0,106,77,68,4,25,2,77,64,82,77,2,0,106,1,77,20,1,77,0,0,132,0,0,77,1,80,84,2,135,77,3,0,80,6,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,99,11,1,77,0,0,132,0,0,77,106,80,6,4,135,77,3,0,70,5,80,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,4,0,119,0,25,0,85,5,72,0,1,77,0,0,132,0,0,77,135,77,3,0,1,2,5,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,4,0,135,77,5,0,5,0,0,0,119,0,10,0,135,77,5,0,5,0,0,0,135,77,5,0,6,0,0,0,135,77,5,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,5,0,6,0,0,0,0,69,2,0,135,77,5,0,68,0,0,0,135,77,6,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,108,0,1,80,1,0,1,79,0,0,135,2,2,0,77,0,80,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,40,11,121,2,62,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,80,85,2,135,79,3,0,80,8,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,22,11,1,79,0,0,132,0,0,79,106,80,8,4,135,79,3,0,70,7,80,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,7,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,7,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,7,0,0,0,119,0,10,0,135,79,5,0,7,0,0,0,135,79,5,0,8,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,8,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,109,0,1,80,1,0,1,77,0,0,135,2,2,0,79,0,80,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,219,10,121,2,62,0,106,77,68,4,25,2,77,64,82,77,2,0,106,1,77,20,1,77,0,0,132,0,0,77,1,80,86,2,135,77,3,0,80,10,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,201,10,1,77,0,0,132,0,0,77,106,80,10,4,135,77,3,0,70,9,80,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,4,0,119,0,25,0,85,9,72,0,1,77,0,0,132,0,0,77,135,77,3,0,1,2,9,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,4,0,135,77,5,0,9,0,0,0,119,0,10,0,135,77,5,0,9,0,0,0,135,77,5,0,10,0,0,0,135,77,5,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,5,0,10,0,0,0,0,69,2,0,135,77,5,0,68,0,0,0,135,77,6,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,110,0,1,80,1,0,1,79,0,0,135,2,2,0,77,0,80,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,142,10,121,2,63,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,80,117,0,1,77,0,0,135,79,7,0,80,12,0,77,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,123,10,1,79,0,0,132,0,0,79,106,77,12,4,135,79,3,0,70,11,77,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,11,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,11,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,11,0,0,0,119,0,10,0,135,79,5,0,11,0,0,0,135,79,5,0,12,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,12,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,111,0,1,77,1,0,1,80,0,0,135,2,2,0,79,0,77,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,1,66,10,0,119,0,64,10,121,2,62,0,106,80,68,4,25,2,80,64,82,80,2,0,106,1,80,20,1,80,0,0,132,0,0,80,1,77,87,2,135,80,3,0,77,14,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,1,66,10,0,119,0,46,10,1,80,0,0,132,0,0,80,106,77,14,4,135,80,3,0,70,13,77,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,4,0,119,0,25,0,85,13,72,0,1,80,0,0,132,0,0,80,135,80,3,0,1,2,13,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,4,0,135,80,5,0,13,0,0,0,119,0,10,0,135,80,5,0,13,0,0,0,135,80,5,0,14,0,0,0,135,80,5,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,5,0,14,0,0,0,0,69,2,0,135,80,5,0,68,0,0,0,135,80,6,0,69,0,0,0,1,80,0,0,132,0,0,80,1,80,112,0,1,77,1,0,1,79,0,0,135,2,2,0,80,0,77,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,243,9,121,2,62,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,77,88,2,135,79,3,0,77,16,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,225,9,1,79,0,0,132,0,0,79,106,77,16,4,135,79,3,0,70,15,77,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,15,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,15,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,15,0,0,0,119,0,10,0,135,79,5,0,15,0,0,0,135,79,5,0,16,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,16,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,113,0,1,77,1,0,1,80,0,0,135,2,2,0,79,0,77,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,1,66,10,0,119,0,166,9,121,2,62,0,106,80,68,4,25,2,80,64,82,80,2,0,106,1,80,20,1,80,0,0,132,0,0,80,1,77,89,2,135,80,3,0,77,18,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,1,66,10,0,119,0,148,9,1,80,0,0,132,0,0,80,106,77,18,4,135,80,3,0,70,17,77,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,4,0,119,0,25,0,85,17,72,0,1,80,0,0,132,0,0,80,135,80,3,0,1,2,17,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,4,0,135,80,5,0,17,0,0,0,119,0,10,0,135,80,5,0,17,0,0,0,135,80,5,0,18,0,0,0,135,80,5,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,5,0,18,0,0,0,0,69,2,0,135,80,5,0,68,0,0,0,135,80,6,0,69,0,0,0,1,80,0,0,132,0,0,80,1,80,114,0,1,77,1,0,1,79,0,0,135,2,2,0,80,0,77,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,89,9,121,2,62,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,77,90,2,135,79,3,0,77,20,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,71,9,1,79,0,0,132,0,0,79,106,77,20,4,135,79,3,0,70,19,77,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,19,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,19,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,19,0,0,0,119,0,10,0,135,79,5,0,19,0,0,0,135,79,5,0,20,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,20,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,115,0,1,77,1,0,1,80,0,0,135,2,2,0,79,0,77,80,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,1,66,10,0,119,0,12,9,121,2,167,1,106,2,0,60,106,80,0,56,45,80,80,2,248,13,0,0,1,66,102,0,119,0,126,0,26,80,2,4,82,80,80,0,1,77,0,0,1,79,7,0,138,80,77,79,44,14,0,0,40,14,0,0,48,14,0,0,52,14,0,0,40,14,0,0,40,14,0,0,56,14,0,0,119,0,6,0,119,0,3,0,119,0,2,0,119,0,1,0,1,66,102,0,119,0,108,0,25,2,0,76,1,80,0,0,132,0,0,80,1,80,87,1,82,77,2,0,135,1,8,0,80,77,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,95,0,25,3,0,80,32,80,1,0,121,80,4,0,1,80,1,0,0,77,80,0,119,0,4,0,82,80,3,0,16,80,80,1,0,77,80,0,121,77,2,0,82,1,2,0,1,77,0,0,132,0,0,77,1,77,88,1,135,2,8,0,77,1,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,73,0,1,77,0,0,132,0,0,77,1,77,110,1,125,80,2,2,1,0,0,0,135,2,8,0,77,80,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,60,0,32,77,2,0,121,77,4,0,1,77,1,0,0,80,77,0,119,0,4,0,82,77,3,0,16,77,77,2,0,80,77,0,120,80,3,0,1,66,102,0,119,0,49,0,1,80,0,0,85,24,80,0,1,77,0,0,109,24,4,77,1,80,0,0,109,24,8,80,1,80,0,0,132,0,0,80,1,77,74,0,2,79,0,0,177,185,0,0,1,78,70,0,135,80,7,0,77,24,79,78,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,29,0,25,69,0,108,1,80,0,0,132,0,0,80,116,65,69,0,106,78,69,4,109,65,4,78,106,80,69,8,109,65,8,80,1,78,108,0,135,80,7,0,78,0,24,65,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,5,0,135,80,9,0,24,0,0,0,1,66,102,0,119,0,8,0,135,69,4,0,135,80,9,0,24,0,0,0,135,80,5,0,68,0,0,0,135,80,6,0,69,0,0,0,32,80,66,102,121,80,29,1,1,80,0,0,132,0,0,80,1,78,91,2,135,80,3,0,78,63,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,120,80,18,1,25,12,63,4,82,2,12,0,106,80,2,64,106,78,2,68,45,80,80,78,64,16,0,0,1,66,112,0,119,0,56,0,106,80,68,4,25,1,80,64,82,80,1,0,106,3,80,20,1,80,0,0,132,0,0,80,135,80,3,0,70,34,2,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,4,0,119,0,40,0,1,80,144,63,85,34,80,0,1,80,0,0,132,0,0,80,106,78,34,4,135,80,3,0,70,32,78,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,135,2,4,0,119,0,23,0,85,32,72,0,1,80,0,0,132,0,0,80,135,80,3,0,3,1,32,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,5,0,135,2,4,0,135,80,5,0,32,0,0,0,119,0,8,0,135,80,5,0,32,0,0,0,135,80,5,0,34,0,0,0,82,2,12,0,1,66,112,0,119,0,3,0,135,80,5,0,34,0,0,0,32,80,66,112,121,80,202,0,106,80,2,80,106,78,2,76,4,69,80,78,28,6,69,48,121,69,190,0,25,7,68,4,25,3,0,108,25,8,61,36,25,9,61,24,25,10,61,12,1,1,0,0,82,78,7,0,25,4,78,64,82,78,4,0,106,5,78,20,1,78,0,0,132,0,0,78,1,78,59,1,1,80,112,0,135,11,8,0,78,80,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,1,66,123,0,119,0,119,0,0,13,56,0,0,14,3,0,25,15,13,40,116,13,14,0,25,13,13,4,25,14,14,4,54,80,13,15,164,17,0,0,1,80,0,0,132,0,0,80,82,78,12,0,106,78,78,76,27,79,1,48,3,78,78,79,135,80,3,0,74,61,78,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,1,66,124,0,119,0,95,0,0,13,64,0,0,14,56,0,25,15,13,40,116,13,14,0,25,13,13,4,25,14,14,4,54,80,13,15,4,18,0,0,1,80,0,0,132,0,0,80,1,78,166,1,135,80,1,0,78,11,0,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,4,0,1,2,1,0,1,66,125,0,119,0,73,0,25,13,11,12,0,14,64,0,25,15,13,40,116,13,14,0,25,13,13,4,25,14,14,4,54,80,13,15,92,18,0,0,25,2,11,52,1,80,0,0,85,2,80,0,1,78,0,0,109,11,56,78,1,80,0,0,107,11,60,80,1,80,20,30,85,11,80,0,1,80,0,0,132,0,0,80,25,78,11,64,135,80,3,0,74,78,61,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,1,66,119,0,119,0,43,0,1,80,11,0,85,2,80,0,1,80,0,0,132,0,0,80,135,80,3,0,70,55,11,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,4,0,1,2,0,0,1,66,125,0,119,0,28,0,85,55,72,0,1,80,0,0,132,0,0,80,135,80,3,0,5,4,55,0,130,80,0,0,0,69,80,0,1,80,0,0,132,0,0,80,38,80,69,1,121,80,3,0,1,66,127,0,119,0,15,0,135,80,5,0,55,0,0,0,135,80,9,0,8,0,0,0,135,80,9,0,9,0,0,0,135,80,9,0,10,0,0,0,135,80,9,0,61,0,0,0,25,1,1,1,57,80,6,1,44,20,0,0,119,0,121,255,32,80,66,119,121,80,5,0,135,2,4,0,1,1,1,0,1,66,126,0,119,0,23,0,32,80,66,123,121,80,3,0,135,2,4,0,119,0,45,0,32,80,66,124,121,80,3,0,135,2,4,0,119,0,15,0,32,80,66,125,121,80,6,0,135,69,4,0,0,1,2,0,0,2,69,0,1,66,126,0,119,0,8,0,32,80,66,127,121,80,6,0,135,2,4,0,135,80,5,0,55,0,0,0,1,1,0,0,1,66,128,0,32,80,66,126,121,80,2,0,1,66,128,0,1,80,128,0,45,80,66,80,32,20,0,0,135,80,9,0,8,0,0,0,135,80,9,0,9,0,0,0,135,80,9,0,10,0,0,0,135,80,9,0,61,0,0,0,120,1,2,0,119,0,11,0,135,80,10,0,11,0,0,0,119,0,8,0,135,80,5,0,63,0,0,0,135,80,5,0,68,0,0,0,137,67,0,0,1,80,1,0,139,80,0,0,135,80,5,0,63,0,0,0,0,69,2,0,135,80,5,0,68,0,0,0,135,80,6,0,69,0,0,0,135,69,4,0,135,80,5,0,68,0,0,0,135,80,6,0,69,0,0,0,1,80,0,0,132,0,0,80,1,80,116,0,1,78,1,0,1,79,0,0,135,2,2,0,80,0,78,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,86,7,121,2,41,2,1,79,0,0,132,0,0,79,1,78,118,0,106,80,0,76,135,79,7,0,78,21,0,80,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,71,7,106,3,21,8,121,3,71,0,1,79,0,0,132,0,0,79,1,79,88,1,135,2,8,0,79,3,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,56,7,125,69,2,2,3,0,0,0,78,80,69,0,32,80,80,59,121,80,4,0,25,80,69,1,0,79,80,0,119,0,3,0,1,80,0,0,0,79,80,0,0,69,79,0,25,2,0,80,32,80,69,0,121,80,4,0,1,80,1,0,0,79,80,0,119,0,4,0,82,80,2,0,16,80,80,69,0,79,80,0,120,79,3,0,85,21,3,0,119,0,35,0,1,79,0,0,132,0,0,79,1,79,88,1,135,1,8,0,79,3,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,20,7,125,69,1,1,3,0,0,0,78,80,69,0,32,80,80,125,121,80,4,0,25,80,69,1,0,79,80,0,119,0,3,0,1,80,0,0,0,79,80,0,0,69,79,0,32,80,69,0,121,80,4,0,1,80,1,0,0,79,80,0,119,0,4,0,82,80,2,0,16,80,80,69,0,79,80,0,120,79,2,0,85,21,3,0,82,1,21,0,120,1,97,0,1,79,0,0,85,65,79,0,1,80,0,0,109,65,4,80,1,79,0,0,109,65,8,79,1,79,0,0,132,0,0,79,1,80,74,0,2,78,0,0,36,168,0,0,1,77,11,0,135,79,7,0,80,65,78,77,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,76,0,1,79,0,0,85,62,79,0,1,77,0,0,109,62,4,77,1,79,0,0,109,62,8,79,1,79,0,0,132,0,0,79,1,77,74,0,2,78,0,0,48,168,0,0,1,80,7,0,135,79,7,0,77,62,78,80,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,50,0,1,79,0,0,85,64,79,0,1,80,0,0,109,64,4,80,1,79,0,0,109,64,8,79,1,79,0,0,132,0,0,79,1,80,74,0,2,78,0,0,56,168,0,0,1,77,25,0,135,79,7,0,80,64,78,77,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,26,0,1,79,0,0,132,0,0,79,1,77,10,0,1,78,1,0,135,79,11,0,77,0,65,62,64,78,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,9,0,64,0,0,0,119,0,9,0,135,79,9,0,64,0,0,0,135,79,9,0,62,0,0,0,135,79,9,0,65,0,0,0,1,66,154,0,119,0,7,0,135,79,9,0,62,0,0,0,135,79,9,0,65,0,0,0,119,0,2,0,1,66,154,0,1,79,154,0,45,79,66,79,68,29,0,0,1,79,0,0,132,0,0,79,1,78,0,0,135,79,3,0,70,57,78,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,91,1,85,57,75,0,102,79,21,13,120,79,41,0,1,79,0,0,132,0,0,79,1,78,106,0,1,77,1,0,135,79,7,0,78,65,0,77,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,177,0,25,2,57,4,82,79,2,0,121,79,16,0,1,79,0,0,132,0,0,79,135,79,1,0,71,57,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,120,79,2,0,119,0,5,0,135,2,4,0,135,79,5,0,65,0,0,0,119,0,159,0,25,66,65,4,116,2,66,0,1,79,0,0,85,66,79,0,135,79,5,0,65,0,0,0,1,66,181,0,119,0,151,0,1,79,0,0,132,0,0,79,1,79,59,1,1,77,112,0,135,2,8,0,79,77,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,175,0,119,0,133,0,1,77,0,0,132,0,0,77,0,13,65,0,25,14,0,108,25,15,13,40,116,13,14,0,25,13,13,4,25,14,14,4,54,77,13,15,212,24,0,0,1,79,80,0,1,78,0,0,135,77,7,0,79,2,65,78,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,6,0,135,69,4,0,135,77,10,0,2,0,0,0,0,2,69,0,119,0,108,0,1,77,0,0,132,0,0,77,135,77,3,0,70,62,2,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,175,0,119,0,96,0,85,62,75,0,25,2,57,4,82,77,2,0,121,77,16,0,1,77,0,0,132,0,0,77,135,77,1,0,71,57,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,2,0,119,0,5,0,135,2,4,0,135,77,5,0,62,0,0,0,119,0,77,0,25,69,62,4,116,2,69,0,1,77,0,0,85,69,77,0,135,77,5,0,62,0,0,0,82,2,2,0,1,77,0,0,132,0,0,77,1,78,29,0,1,79,1,0,135,77,12,0,78,40,0,1,79,0,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,179,0,119,0,59,0,25,1,2,92,25,2,2,96,82,77,2,0,120,77,3,0,1,66,172,0,119,0,12,0,1,77,0,0,132,0,0,77,135,77,1,0,71,1,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,2,0,1,66,172,0,45,77,66,76,192,26,0,0,25,77,40,4,116,2,77,0,1,77,0,0,132,0,0,77,135,77,1,0,73,1,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,20,0,1,77,0,0,132,0,0,77,82,79,2,0,135,77,3,0,70,39,79,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,9,0,1,77,12,61,85,39,77,0,135,77,5,0,39,0,0,0,135,77,5,0,40,0,0,0,1,66,181,0,119,0,9,0,135,2,4,0,135,77,5,0,40,0,0,0,119,0,5,0,1,77,175,0,45,77,66,77,224,26,0,0,135,2,4,0,1,77,181,0,45,77,66,77,44,29,0,0,106,77,68,4,25,3,77,64,82,77,3,0,106,4,77,20,1,77,0,0,132,0,0,77,1,77,59,1,1,79,72,0,135,5,8,0,77,79,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,179,0,119,0,127,0,0,13,49,0,25,14,0,108,25,15,13,40,116,13,14,0,25,13,13,4,25,14,14,4,54,79,13,15,64,27,0,0,1,79,0,0,132,0,0,79,106,77,57,4,135,79,3,0,70,54,77,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,104,0,85,54,75,0,0,13,62,0,0,14,49,0,25,15,13,40,116,13,14,0,25,13,13,4,25,14,14,4,54,79,13,15,152,27,0,0,1,79,0,0,132,0,0,79,1,77,166,1,135,79,1,0,77,5,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,1,1,0,119,0,77,0,25,13,5,12,0,14,62,0,25,15,13,40,116,13,14,0,25,13,13,4,25,14,14,4,54,79,13,15,236,27,0,0,25,2,5,52,1,79,0,0,85,2,79,0,1,77,0,0,109,5,56,77,1,79,0,0,107,5,60,79,1,79,212,33,85,5,79,0,25,1,5,64,1,79,0,0,132,0,0,79,106,77,54,4,135,79,3,0,70,1,77,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,54,0,0,0,119,0,49,0,85,1,75,0,1,79,16,0,85,2,79,0,1,79,0,0,132,0,0,79,135,79,3,0,70,52,5,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,1,0,0,119,0,29,0,85,52,72,0,1,79,0,0,132,0,0,79,135,79,3,0,4,3,52,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,7,0,135,2,4,0,135,79,5,0,52,0,0,0,135,79,5,0,54,0,0,0,119,0,19,0,135,79,5,0,52,0,0,0,135,79,5,0,54,0,0,0,135,79,5,0,57,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,2,4,0,135,79,5,0,54,0,0,0,120,1,2,0,119,0,3,0,135,79,10,0,5,0,0,0,1,79,179,0,45,79,66,79,60,29,0,0,135,2,4,0,135,79,5,0,57,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,25,6,0,76,1,79,0,0,132,0,0,79,1,77,118,0,82,78,6,0,135,79,7,0,77,65,0,78,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,6,0,135,69,4,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,25,4,65,8,82,3,4,0,106,4,4,4,106,79,65,4,120,79,75,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,116,23,65,0,1,78,0,0,109,23,4,78,25,69,23,8,85,69,3,0,109,69,4,4,1,78,0,0,132,0,0,78,116,65,23,0,106,79,23,4,109,65,4,79,106,78,23,8,109,65,8,78,106,79,23,12,109,65,12,79,1,78,119,0,135,79,7,0,78,25,0,65,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,248,4,1,79,0,0,132,0,0,79,106,78,25,4,135,79,3,0,70,22,78,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,22,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,22,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,22,0,0,0,119,0,10,0,135,79,5,0,22,0,0,0,135,79,5,0,25,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,25,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,117,0,1,78,1,0,1,77,0,0,135,2,2,0,79,0,78,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,189,4,121,2,62,0,106,77,68,4,25,2,77,64,82,77,2,0,106,1,77,20,1,77,0,0,132,0,0,77,1,78,92,2,135,77,3,0,78,27,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,171,4,1,77,0,0,132,0,0,77,106,78,27,4,135,77,3,0,70,26,78,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,4,0,119,0,25,0,85,26,72,0,1,77,0,0,132,0,0,77,135,77,3,0,1,2,26,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,4,0,135,77,5,0,26,0,0,0,119,0,10,0,135,77,5,0,26,0,0,0,135,77,5,0,27,0,0,0,135,77,5,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,5,0,27,0,0,0,0,69,2,0,135,77,5,0,68,0,0,0,135,77,6,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,118,0,1,78,1,0,1,79,0,0,135,2,2,0,77,0,78,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,112,4,121,2,62,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,78,93,2,135,79,3,0,78,29,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,94,4,1,79,0,0,132,0,0,79,106,78,29,4,135,79,3,0,70,28,78,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,28,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,28,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,28,0,0,0,119,0,10,0,135,79,5,0,28,0,0,0,135,79,5,0,29,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,29,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,119,0,1,78,1,0,1,77,0,0,135,2,2,0,79,0,78,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,35,4,121,2,62,0,106,77,68,4,25,2,77,64,82,77,2,0,106,1,77,20,1,77,0,0,132,0,0,77,1,78,94,2,135,77,3,0,78,31,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,17,4,1,77,0,0,132,0,0,77,106,78,31,4,135,77,3,0,70,30,78,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,4,0,119,0,25,0,85,30,72,0,1,77,0,0,132,0,0,77,135,77,3,0,1,2,30,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,4,0,135,77,5,0,30,0,0,0,119,0,10,0,135,77,5,0,30,0,0,0,135,77,5,0,31,0,0,0,135,77,5,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,5,0,31,0,0,0,0,69,2,0,135,77,5,0,68,0,0,0,135,77,6,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,120,0,1,78,1,0,1,79,0,0,135,2,2,0,77,0,78,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,214,3,121,2,118,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,79,59,1,1,78,68,0,135,3,8,0,79,78,0,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,1,66,10,0,119,0,195,3,0,13,65,0,25,14,0,108,25,15,13,40,116,13,14,0,25,13,13,4,25,14,14,4,54,78,13,15,12,35,0,0,1,78,0,0,132,0,0,78,1,79,166,1,135,78,1,0,79,3,0,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,5,0,135,2,4,0,135,78,10,0,3,0,0,0,119,0,172,3,25,13,3,12,0,14,65,0,25,15,13,40,116,13,14,0,25,13,13,4,25,14,14,4,54,78,13,15,104,35,0,0,1,79,0,0,109,3,56,79,1,78,0,0,107,3,60,78,1,78,20,35,85,3,78,0,1,79,0,0,109,3,64,79,1,78,7,0,109,3,52,78,1,78,0,0,132,0,0,78,135,78,3,0,70,43,3,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,1,66,10,0,119,0,142,3,1,78,188,66,85,43,78,0,1,78,0,0,132,0,0,78,106,79,43,4,135,78,3,0,70,41,79,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,135,2,4,0,119,0,25,0,85,41,72,0,1,78,0,0,132,0,0,78,135,78,3,0,1,2,41,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,5,0,135,2,4,0,135,78,5,0,41,0,0,0,119,0,10,0,135,78,5,0,41,0,0,0,135,78,5,0,43,0,0,0,135,78,5,0,68,0,0,0,137,67,0,0,1,78,1,0,139,78,0,0,135,78,5,0,43,0,0,0,0,69,2,0,135,78,5,0,68,0,0,0,135,78,6,0,69,0,0,0,1,78,0,0,132,0,0,78,1,78,121,0,1,79,1,0,1,77,0,0,135,2,2,0,78,0,79,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,81,3,121,2,62,0,106,77,68,4,25,2,77,64,82,77,2,0,106,1,77,20,1,77,0,0,132,0,0,77,1,79,95,2,135,77,3,0,79,35,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,63,3,1,77,0,0,132,0,0,77,106,79,35,4,135,77,3,0,70,33,79,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,4,0,119,0,25,0,85,33,72,0,1,77,0,0,132,0,0,77,135,77,3,0,1,2,33,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,4,0,135,77,5,0,33,0,0,0,119,0,10,0,135,77,5,0,33,0,0,0,135,77,5,0,35,0,0,0,135,77,5,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,5,0,35,0,0,0,0,69,2,0,135,77,5,0,68,0,0,0,135,77,6,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,122,0,1,79,1,0,1,78,0,0,135,2,2,0,77,0,79,78,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,1,66,10,0,119,0,4,3,121,2,63,0,106,78,68,4,25,2,78,64,82,78,2,0,106,1,78,20,1,78,0,0,132,0,0,78,1,79,120,0,1,77,0,0,135,78,7,0,79,37,0,77,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,1,66,10,0,119,0,241,2,1,78,0,0,132,0,0,78,106,77,37,4,135,78,3,0,70,36,77,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,3,0,135,2,4,0,119,0,25,0,85,36,72,0,1,78,0,0,132,0,0,78,135,78,3,0,1,2,36,0,130,78,0,0,0,69,78,0,1,78,0,0,132,0,0,78,38,78,69,1,121,78,5,0,135,2,4,0,135,78,5,0,36,0,0,0,119,0,10,0,135,78,5,0,36,0,0,0,135,78,5,0,37,0,0,0,135,78,5,0,68,0,0,0,137,67,0,0,1,78,1,0,139,78,0,0,135,78,5,0,37,0,0,0,0,69,2,0,135,78,5,0,68,0,0,0,135,78,6,0,69,0,0,0,1,78,0,0,132,0,0,78,1,78,123,0,1,77,1,0,1,79,0,0,135,2,2,0,78,0,77,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,182,2,121,2,63,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,77,120,0,1,78,1,0,135,79,7,0,77,42,0,78,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,163,2,1,79,0,0,132,0,0,79,106,78,42,4,135,79,3,0,70,38,78,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,38,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,38,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,38,0,0,0,119,0,10,0,135,79,5,0,38,0,0,0,135,79,5,0,42,0,0,0],eb+0);HEAPU8.set([135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,42,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,124,0,1,78,1,0,1,77,0,0,135,2,2,0,79,0,78,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,104,2,121,2,21,0,1,77,0,0,132,0,0,77,1,78,125,0,1,79,1,0,1,80,0,0,135,77,2,0,78,0,79,80,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,88,2,135,77,5,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,1,77,0,0,132,0,0,77,1,77,126,0,1,80,1,0,1,79,0,0,135,2,2,0,77,0,80,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,68,2,121,2,62,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,80,96,2,135,79,3,0,80,45,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,50,2,1,79,0,0,132,0,0,79,106,80,45,4,135,79,3,0,70,44,80,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,44,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,44,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,44,0,0,0,119,0,10,0,135,79,5,0,44,0,0,0,135,79,5,0,45,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,45,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,79,127,0,1,80,1,0,1,77,0,0,135,2,2,0,79,0,80,77,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,247,1,121,2,62,0,106,77,68,4,25,2,77,64,82,77,2,0,106,1,77,20,1,77,0,0,132,0,0,77,1,80,97,2,135,77,3,0,80,47,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,10,0,119,0,229,1,1,77,0,0,132,0,0,77,106,80,47,4,135,77,3,0,70,46,80,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,4,0,119,0,25,0,85,46,72,0,1,77,0,0,132,0,0,77,135,77,3,0,1,2,46,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,4,0,135,77,5,0,46,0,0,0,119,0,10,0,135,77,5,0,46,0,0,0,135,77,5,0,47,0,0,0,135,77,5,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,5,0,47,0,0,0,0,69,2,0,135,77,5,0,68,0,0,0,135,77,6,0,69,0,0,0,1,77,0,0,132,0,0,77,1,77,128,0,1,80,1,0,1,79,0,0,135,2,2,0,77,0,80,79,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,170,1,121,2,62,0,106,79,68,4,25,2,79,64,82,79,2,0,106,1,79,20,1,79,0,0,132,0,0,79,1,80,98,2,135,79,3,0,80,50,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,152,1,1,79,0,0,132,0,0,79,106,80,50,4,135,79,3,0,70,48,80,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,25,0,85,48,72,0,1,79,0,0,132,0,0,79,135,79,3,0,1,2,48,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,5,0,48,0,0,0,119,0,10,0,135,79,5,0,48,0,0,0,135,79,5,0,50,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,5,0,50,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,121,1,128,0,1,79,0,0,132,0,0,79,1,80,63,0,1,77,1,0,1,78,0,0,135,79,2,0,80,0,77,78,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,92,1,106,79,0,80,82,78,6,0,50,79,79,78,192,44,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,1,79,0,0,85,65,79,0,1,78,0,0,109,65,4,78,1,79,0,0,109,65,8,79,1,79,0,0,132,0,0,79,1,78,74,0,2,77,0,0,36,168,0,0,1,80,11,0,135,79,7,0,78,65,77,80,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,77,0,1,79,0,0,85,62,79,0,1,80,0,0,109,62,4,80,1,79,0,0,109,62,8,79,1,79,0,0,132,0,0,79,1,80,74,0,2,77,0,0,48,168,0,0,1,78,7,0,135,79,7,0,80,62,77,78,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,53,0,1,79,0,0,85,64,79,0,1,78,0,0,109,64,4,78,1,79,0,0,109,64,8,79,1,79,0,0,132,0,0,79,1,78,74,0,2,77,0,0,41,172,0,0,1,80,38,0,135,79,7,0,78,64,77,80,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,135,2,4,0,119,0,29,0,1,79,0,0,132,0,0,79,1,80,10,0,1,77,1,0,135,79,11,0,80,0,65,62,64,77,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,5,0,135,2,4,0,135,79,9,0,64,0,0,0,119,0,12,0,135,79,9,0,64,0,0,0,135,79,9,0,62,0,0,0,135,79,9,0,65,0,0,0,135,79,5,0,68,0,0,0,137,67,0,0,1,79,1,0,139,79,0,0,135,79,9,0,62,0,0,0,135,79,9,0,65,0,0,0,0,69,2,0,135,79,5,0,68,0,0,0,135,79,6,0,69,0,0,0,1,79,0,0,132,0,0,79,1,77,99,2,135,79,3,0,77,60,0,0,130,79,0,0,0,69,79,0,1,79,0,0,132,0,0,79,38,79,69,1,121,79,3,0,1,66,10,0,119,0,223,0,25,4,60,4,82,69,4,0,1,79,148,0,3,5,0,79,82,77,5,0,109,69,56,77,106,77,68,4,25,2,77,64,82,77,2,0,106,1,77,20,1,77,0,0,132,0,0,77,135,77,3,0,70,53,69,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,68,1,119,0,190,0,1,77,204,66,85,53,77,0,1,77,0,0,132,0,0,77,106,79,53,4,135,77,3,0,70,51,79,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,4,0,119,0,173,0,85,51,72,0,1,77,0,0,132,0,0,77,135,77,3,0,1,2,51,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,5,0,135,2,4,0,135,77,5,0,51,0,0,0,119,0,158,0,135,77,5,0,51,0,0,0,135,77,5,0,53,0,0,0,82,2,6,0,1,77,0,0,132,0,0,77,1,77,88,1,135,1,8,0,77,2,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,68,1,119,0,142,0,125,69,1,1,2,0,0,0,78,79,69,0,32,79,79,123,121,79,4,0,25,79,69,1,0,77,79,0,119,0,3,0,1,79,0,0,0,77,79,0,0,69,77,0,32,79,69,0,121,79,4,0,1,79,1,0,0,77,79,0,119,0,4,0,106,79,0,80,16,79,79,69,0,77,79,0,120,77,113,0,82,2,4,0,102,77,2,89,121,77,4,0,82,77,5,0,25,77,77,1,85,5,77,0,1,77,5,0,85,65,77,0,25,3,0,60,82,1,3,0,106,77,0,64,48,77,1,77,64,48,0,0,1,77,5,0,85,1,77,0,25,77,1,4,85,3,77,0,119,0,17,0,1,77,0,0,132,0,0,77,1,79,55,2,25,80,0,56,135,77,3,0,79,80,65,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,135,2,4,0,119,0,90,0,82,2,4,0,119,0,1,0,1,77,0,0,132,0,0,77,1,80,121,0,1,79,0,0,135,77,7,0,80,59,0,79,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,121,77,3,0,1,66,68,1,119,0,74,0,25,1,2,64,25,2,2,68,82,77,2,0,120,77,3,0,1,66,79,1,119,0,12,0,1,77,0,0,132,0,0,77,135,77,1,0,71,1,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,2,0,1,66,79,1,1,77,79,1,45,77,66,77,168,49,0,0,25,77,59,4,116,2,77,0,1,77,0,0,132,0,0,77,135,77,1,0,73,1,0,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,29,0,1,77,0,0,132,0,0,77,82,79,2,0,135,77,3,0,70,58,79,0,130,77,0,0,0,69,77,0,1,77,0,0,132,0,0,77,38,77,69,1,120,77,18,0,1,77,212,26,85,58,77,0,135,77,5,0,58,0,0,0,135,77,5,0,59,0,0,0,82,77,3,0,26,77,77,4,85,3,77,0,82,77,4,0,102,77,77,89,120,77,2,0,119,0,9,0,82,77,5,0,26,77,77,1,85,5,77,0,119,0,5,0,135,2,4,0,135,77,5,0,59,0,0,0,119,0,10,0,135,77,5,0,60,0,0,0,135,77,5,0,68,0,0,0,137,67,0,0,1,77,1,0,139,77,0,0,135,77,5,0,53,0,0,0,1,77,68,1,45,77,66,77,236,49,0,0,135,2,4,0,135,77,5,0,60,0,0,0,0,69,2,0,135,77,5,0,68,0,0,0,135,77,6,0,69,0,0,0,32,77,66,10,121,77,2,0,135,2,4,0,0,69,2,0,135,77,5,0,68,0,0,0,135,77,6,0,69,0,0,0,135,69,4,0,135,77,5,0,68,0,0,0,135,77,6,0,69,0,0,0,1,77,0,0,139,77,0,0,140,2,99,0,0,0,0,0,2,85,0,0,204,1,0,0,2,86,0,0,116,28,0,0,2,87,0,0,153,0,0,0,2,88,0,0,200,1,0,0,2,89,0,0,59,1,0,0,2,90,0,0,166,1,0,0,2,91,0,0,167,87,1,0,2,92,0,0,100,38,0,0,2,93,0,0,136,39,0,0,1,82,0,0,136,94,0,0,0,78,94,0,136,94,0,0,1,95,0,3,3,94,94,95,137,94,0,0,1,94,216,2,3,77,78,94,1,94,204,2,3,60,78,94,1,94,192,2,3,59,78,94,1,94,152,2,3,47,78,94,1,94,160,0,3,48,78,94,25,50,78,120,25,51,78,80,25,52,78,40,0,53,78,0,1,94,72,2,3,84,78,94,1,94,0,2,3,81,78,94,1,94,248,1,3,80,78,94,1,94,112,2,3,35,78,94,1,94,96,2,3,57,78,94,1,94,88,2,3,58,78,94,1,94,224,1,3,71,78,94,1,94,64,2,3,36,78,94,1,94,56,2,3,37,78,94,1,94,16,2,3,38,78,94,1,94,8,2,3,61,78,94,1,94,232,1,3,62,78,94,1,94,208,1,3,73,78,94,1,94,216,1,3,39,78,94,1,94,168,1,3,40,78,94,1,94,152,1,3,69,78,94,1,94,144,1,3,70,78,94,1,94,124,1,3,63,78,94,1,94,160,1,3,72,78,94,1,94,96,1,3,41,78,94,1,94,56,1,3,42,78,94,1,94,48,1,3,64,78,94,1,94,32,1,3,65,78,94,1,94,20,1,3,43,78,94,1,94,8,1,3,44,78,94,1,94,252,0,3,45,78,94,1,94,240,0,3,46,78,94,1,94,136,1,3,68,78,94,1,94,232,0,3,66,78,94,1,94,224,0,3,67,78,94,1,94,104,1,3,79,78,94,1,94,216,0,3,75,78,94,1,94,200,0,3,76,78,94,1,94,96,0,135,2,13,0,94,0,0,0,25,74,1,108,1,94,0,0,132,0,0,94,0,6,77,0,0,7,74,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,94,6,9,20,52,0,0,1,95,40,2,135,94,3,0,95,2,77,0,130,94,0,0,0,83,94,0,1,94,0,0,132,0,0,94,38,94,83,1,121,94,6,0,135,84,4,0,135,94,10,0,2,0,0,0,135,94,6,0,84,0,0,0,135,94,0,0,0,2,0,0,1,94,144,63,85,0,94,0,1,94,0,0,85,84,94,0,25,83,84,4,1,94,0,0,85,83,94,0,1,95,0,0,109,84,8,95,25,10,81,4,25,11,58,4,25,12,73,4,25,49,1,76,25,56,1,80,25,13,72,4,25,14,64,4,25,15,70,4,25,16,69,4,25,17,77,12,25,18,80,4,25,19,84,8,25,20,77,16,25,54,77,12,1,95,156,0,3,21,1,95,25,22,36,4,25,23,71,4,25,24,61,4,25,25,1,84,25,26,1,96,1,95,160,0,3,27,1,95,1,95,164,0,3,28,1,95,25,29,60,8,25,30,60,4,25,31,77,12,25,32,59,4,25,33,77,16,25,55,77,12,25,34,60,11,1,3,1,0,1,95,0,0,132,0,0,95,1,95,56,0,1,94,1,0,1,96,0,0,135,2,2,0,95,1,94,96,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,8,0,119,0,243,5,33,96,2,0,120,96,240,255,1,96,0,0,132,0,0,96,1,96,71,0,1,94,1,0,1,95,0,0,135,2,2,0,96,1,94,95,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,9,0,119,0,226,5,120,2,254,4,1,95,0,0,132,0,0,95,1,95,90,0,1,94,1,0,1,96,0,0,135,2,2,0,95,1,94,96,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,9,0,119,0,210,5,120,2,88,0,121,3,44,0,1,96,0,0,85,45,96,0,1,94,0,0,109,45,4,94,1,96,0,0,109,45,8,96,1,96,0,0,132,0,0,96,1,94,74,0,2,95,0,0,118,176,0,0,1,97,47,0,135,96,7,0,94,45,95,97,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,9,0,119,0,186,5,1,96,0,0,132,0,0,96,116,77,74,0,106,97,74,4,109,77,4,97,106,96,74,8,109,77,8,96,1,97,108,0,135,96,7,0,97,1,45,77,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,191,0,119,0,168,5,135,96,9,0,45,0,0,0,119,0,106,5,1,96,0,0,85,46,96,0,1,97,0,0,109,46,4,97,1,96,0,0,109,46,8,96,1,96,0,0,132,0,0,96,1,97,74,0,2,95,0,0,166,176,0,0,1,94,52,0,135,96,7,0,97,46,95,94,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,9,0,119,0,143,5,1,96,0,0,132,0,0,96,116,77,74,0,106,94,74,4,109,77,4,94,106,96,74,8,109,77,8,96,1,94,108,0,135,96,7,0,94,1,46,77,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,195,0,119,0,125,5,135,96,9,0,46,0,0,0,119,0,63,5,1,96,0,0,132,0,0,96,1,96,84,0,135,8,8,0,89,96,0,0,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,9,0,119,0,109,5,0,6,53,0,0,7,74,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,96,6,9,112,55,0,0,1,96,0,0,132,0,0,96,135,96,1,0,90,8,0,0,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,80,0,119,0,89,5,25,6,8,12,0,7,53,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,96,6,9,192,55,0,0,1,96,68,24,85,8,96,0,1,94,0,0,107,8,52,94,1,96,0,0,107,8,53,96,1,94,0,0,107,8,54,94,1,96,0,0,109,8,56,96,25,2,8,60,1,96,152,39,85,2,96,0,25,7,8,64,1,96,0,0,85,7,96,0,1,94,0,0,109,7,4,94,1,96,0,0,109,7,8,96,1,94,0,0,109,7,12,94,1,94,0,0,132,0,0,94,1,96,38,2,1,95,0,0,135,94,3,0,96,7,95,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,47,0,119,0,45,5,1,94,224,38,85,8,94,0,1,94,96,39,85,2,94,0,1,95,0,0,107,8,80,95,1,94,0,0,107,8,81,94,1,95,0,0,107,8,82,95,1,95,0,0,132,0,0,95,135,95,3,0,85,81,8,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,9,0,119,0,23,5,1,95,4,35,85,81,95,0,1,95,0,0,132,0,0,95,1,95,92,0,135,5,8,0,89,95,0,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,82,0,119,0,8,5,0,6,35,0,0,7,74,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,95,6,9,4,57,0,0,1,95,0,0,85,57,95,0,1,94,0,0,109,57,4,94,1,95,0,0,109,57,8,95,1,95,0,0,132,0,0,95,1,94,74,0,2,96,0,0,188,184,0,0,1,97,3,0,135,95,7,0,94,57,96,97,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,83,0,119,0,234,4,1,95,0,0,132,0,0,95,82,97,10,0,135,95,3,0,85,58,97,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,84,0,119,0,221,4,1,95,4,35,85,58,95,0,0,6,52,0,0,7,35,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,95,6,9,184,57,0,0,1,95,0,0,132,0,0,95,135,95,1,0,90,5,0,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,4,0,1,2,1,0,1,82,85,0,119,0,198,4,25,6,5,12,0,7,52,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,95,6,9,12,58,0,0,1,97,0,0,107,5,52,97,1,95,0,0,107,5,53,95,1,97,0,0,107,5,54,97,25,2,5,56,1,97,0,0,85,2,97,0,1,97,192,39,85,5,97,0,25,3,5,60,1,97,0,0,132,0,0,97,135,97,3,0,88,3,57,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,60,0,119,0,166,4,25,4,5,72,1,97,0,0,132,0,0,97,82,95,11,0,135,97,3,0,85,4,95,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,61,0,119,0,152,4,1,97,4,35,85,4,97,0,1,95,0,0,107,5,80,95,1,97,0,0,109,5,84,97,1,95,0,0,109,5,88,95,1,95,11,0,85,2,95,0,1,95,0,0,132,0,0,95,135,95,3,0,85,80,5,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,4,0,1,2,0,0,1,82,85,0,119,0,129,4,1,95,156,65,85,80,95,0,135,95,5,0,58,0,0,0,135,95,9,0,57,0,0,0,1,95,0,0,132,0,0,95,1,95,71,0,1,97,1,0,1,96,0,0,135,2,2,0,95,1,97,96,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,88,0,119,0,108,4,120,2,41,2,1,96,0,0,132,0,0,96,1,97,80,2,135,96,3,0,97,73,1,0,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,88,0,119,0,94,4,82,2,12,0,120,2,100,1,82,2,49,0,1,96,0,0,132,0,0,96,1,96,88,1,135,3,8,0,96,2,0,0,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,114,0,119,0,78,4,125,2,3,3,2,0,0,0,78,3,2,0,41,96,3,24,42,96,96,24,121,96,37,1,1,4,0,0,1,5,0,0,1,6,0,0,41,96,3,24,42,96,96,24,1,97,34,0,1,95,59,0,138,96,97,95,112,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,124,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,4,61,0,0,136,61,0,0,121,4,3,0,1,4,1,0,119,0,33,0,121,5,4,0,1,4,0,0,1,5,1,0,119,0,29,0,41,97,3,24,42,97,97,24,1,95,40,0,1,94,2,0,138,97,95,94,72,61,0,0,88,61,0,0,1,4,0,0,1,5,0,0,119,0,19,0,1,4,0,0,1,5,0,0,25,6,6,1,119,0,15,0,120,6,2,0,119,0,19,0,1,4,0,0,1,5,0,0,26,6,6,1,119,0,9,0,40,97,4,1,0,4,97,0,119,0,6,0,40,97,5,1,0,5,97,0,119,0,3,0,25,2,2,1,119,0,1,0,25,2,2,1,78,3,2,0,41,96,3,24,42,96,96,24,120,96,153,255,119,0,185,0,82,96,56,0,25,97,2,1,55,96,96,97,136,64,0,0,1,96,0,0,132,0,0,96,1,97,111,0,1,95,0,0,135,96,7,0,97,72,1,95,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,114,0,119,0,202,3,82,96,10,0,25,3,96,60,82,96,3,0,106,4,96,20,1,96,0,0,132,0,0,96,1,96,88,0,135,5,8,0,89,96,0,0,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,150,0,119,0,185,3,82,2,13,0,0,6,42,0,25,7,2,12,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,96,6,9,68,62,0,0,1,96,0,0,132,0,0,96,135,96,3,0,85,64,2,0,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,151,0,119,0,164,3,85,64,86,0,1,96,0,0,85,65,96,0,1,95,0,0,109,65,4,95,1,96,0,0,109,65,8,96,1,96,0,0,132,0,0,96,1,95,74,0,1,97,0,0,135,96,7,0,95,65,91,97,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,152,0,119,0,143,3,0,6,48,0,0,7,42,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,96,6,9,232,62,0,0,1,96,0,0,132,0,0,96,135,96,1,0,90,5,0,0,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,4,0,1,2,1,0,1,82,153,0,119,0,122,3,25,6,5,12,0,7,48,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,96,6,9,60,63,0,0,1,97,0,0,107,5,52,97,1,96,0,0,107,5,53,96,1,97,0,0,107,5,54,97,1,96,0,0,109,5,56,96,85,5,92,0,25,2,5,60,1,96,0,0,132,0,0,96,82,97,14,0,135,96,3,0,85,2,97,0,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,145,0,119,0,91,3,85,2,86,0,1,96,0,0,132,0,0,96,25,97,5,68,135,96,3,0,88,97,65,0,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,146,0,119,0,77,3,1,97,0,0,107,5,80,97,1,96,0,0,107,5,81,96,1,97,0,0,109,5,84,97,1,97,0,0,132,0,0,97,135,97,3,0,85,41,5,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,4,0,1,2,0,0,1,82,153,0,119,0,58,3,85,41,93,0,1,97,0,0,132,0,0,97,135,97,3,0,4,3,41,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,155,0,119,0,45,3,135,97,5,0,41,0,0,0,135,97,9,0,65,0,0,0,135,97,5,0,64,0,0,0,135,97,5,0,72,0,0,0,119,0,223,0,1,97,0,0,85,43,97,0,1,96,0,0,109,43,4,96,1,97,0,0,109,43,8,97,1,97,0,0,132,0,0,97,1,96,74,0,2,95,0,0,85,176,0,0,1,94,13,0,135,97,7,0,96,43,95,94,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,114,0,119,0,14,3,1,97,0,0,132,0,0,97,116,77,74,0,106,94,74,4,109,77,4,94,106,97,74,8,109,77,8,97,1,94,108,0,135,97,7,0,94,1,43,77,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,162,0,119,0,252,2,135,97,9,0,43,0,0,0,119,0,180,0,82,97,10,0,25,3,97,60,82,97,3,0,106,4,97,20,1,97,0,0,132,0,0,97,1,97,88,0,135,5,8,0,89,97,0,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,114,0,119,0,232,2,0,6,40,0,25,7,2,12,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,97,6,9,132,65,0,0,1,97,0,0,132,0,0,97,135,97,3,0,85,70,2,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,115,0,119,0,212,2,1,97,68,29,85,70,97,0,1,97,0,0,132,0,0,97,82,94,15,0,135,97,3,0,85,69,94,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,116,0,119,0,197,2,85,69,86,0,1,97,0,0,85,63,97,0,1,94,0,0,109,63,4,94,1,97,0,0,109,63,8,97,1,97,0,0,132,0,0,97,1,94,74,0,1,95,0,0,135,97,7,0,94,63,91,95,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,117,0,119,0,176,2,0,6,50,0,0,7,40,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,97,6,9,100,66,0,0,1,97,0,0,132,0,0,97,135,97,1,0,90,5,0,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,4,0,1,2,1,0,1,82,118,0,119,0,155,2,25,6,5,12,0,7,50,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,97,6,9,184,66,0,0,1,95,0,0,107,5,52,95,1,97,0,0,107,5,53,97,1,95,0,0,107,5,54,95,1,97,0,0,109,5,56,97,85,5,92,0,25,2,5,60,1,97,0,0,132,0,0,97,82,95,16,0,135,97,3,0,85,2,95,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,109,0,119,0,124,2,85,2,86,0,1,97,0,0,132,0,0,97,25,95,5,68,135,97,3,0,88,95,63,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,110,0,119,0,110,2,1,95,0,0,107,5,80,95,1,97,0,0,107,5,81,97,1,95,0,0,109,5,84,95,1,95,0,0,132,0,0,95,135,95,3,0,85,39,5,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,4,0,1,2,0,0,1,82,118,0,119,0,91,2,85,39,93,0,1,95,0,0,132,0,0,95,135,95,3,0,4,3,39,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,120,0,119,0,78,2,135,95,5,0,39,0,0,0,135,95,9,0,63,0,0,0,135,95,5,0,69,0,0,0,135,95,5,0,70,0,0,0,135,95,5,0,73,0,0,0,119,0,202,0,1,95,0,0,132,0,0,95,116,77,21,0,106,97,21,4,109,77,4,97,106,95,21,8,109,77,8,95,1,97,27,0,1,94,0,0,135,95,12,0,97,36,1,77,94,0,0,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,88,0,119,0,47,2,1,95,0,0,132,0,0,95,82,94,22,0,135,95,3,0,85,71,94,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,89,0,119,0,34,2,85,71,86,0,135,95,5,0,36,0,0,0,82,95,10,0,25,3,95,60,82,95,3,0,106,4,95,20,1,95,0,0,132,0,0,95,1,95,88,0,135,5,8,0,89,95,0,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,90,0,119,0,14,2,82,2,23,0,0,6,38,0,25,7,2,12,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,95,6,9,240,68,0,0,1,95,0,0,132,0,0,95,135,95,3,0,85,61,2,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,91,0,119,0,249,1,85,61,86,0,1,95,0,0,85,62,95,0,1,94,0,0,109,62,4,94,1,95,0,0,109,62,8,95,1,95,0,0,132,0,0,95,1,94,74,0,1,97,0,0,135,95,7,0,94,62,91,97,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,92,0,119,0,228,1,0,6,51,0,0,7,38,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,95,6,9,148,69,0,0,1,95,0,0,132,0,0,95,135,95,1,0,90,5,0,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,4,0,1,2,1,0,1,82,93,0,119,0,207,1,25,6,5,12,0,7,51,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,95,6,9,232,69,0,0,1,97,0,0,107,5,52,97,1,95,0,0,107,5,53,95,1,97,0,0,107,5,54,97,1,95,0,0,109,5,56,95,85,5,92,0,25,2,5,60,1,95,0,0,132,0,0,95,82,97,24,0,135,95,3,0,85,2,97,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,75,0,119,0,176,1,85,2,86,0,1,95,0,0,132,0,0,95,25,97,5,68,135,95,3,0,88,97,62,0,130,95,0,0,0,9,95,0,1,95,0,0,132,0,0,95,38,95,9,1,121,95,3,0,1,82,76,0,119,0,162,1,1,97,0,0,107,5,80,97,1,95,0,0,107,5,81,95,1,97,0,0,109,5,84,97,1,97,0,0,132,0,0,97,135,97,3,0,85,37,5,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,4,0,1,2,0,0,1,82,93,0,119,0,143,1,85,37,93,0,1,97,0,0,132,0,0,97,135,97,3,0,4,3,37,0,130,97,0,0,0,9,97,0,1,97,0,0,132,0,0,97,38,97,9,1,121,97,3,0,1,82,95,0,119,0,130,1,135,97,5,0,37,0,0,0,135,97,9,0,62,0,0,0,135,97,5,0,61,0,0,0,135,97,5,0,71,0,0,0,1,97,0,0,132,0,0,97,1,97,67,0,1,95,1,0,1,94,0,0,135,2,2,0,97,1,95,94,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,88,0,119,0,107,1,120,2,43,0,1,94,0,0,85,44,94,0,1,95,0,0,109,44,4,95,1,94,0,0,109,44,8,94,1,94,0,0,132,0,0,94,1,95,74,0,2,97,0,0,99,176,0,0,1,96,18,0,135,94,7,0,95,44,97,96,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,88,0,119,0,84,1,1,94,0,0,132,0,0,94,116,77,74,0,106,96,74,4,109,77,4,96,106,94,74,8,109,77,8,94,1,96,108,0,135,94,7,0,96,1,44,77,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,170,0,119,0,66,1,135,94,9,0,44,0,0,0,1,94,0,0,85,77,94,0,1,96,0,0,109,77,4,96,1,94,0,0,109,77,8,94,1,94,0,0,132,0,0,94,1,96,74,0,1,97,0,0,135,94,7,0,96,77,91,97,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,180,0,119,0,44,1,1,94,0,0,132,0,0,94,82,97,18,0,135,94,3,0,85,17,97,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,173,0,119,0,31,1,1,94,156,65,85,17,94,0,82,2,83,0,82,94,19,0,48,94,2,94,48,73,0,0,116,2,77,0,106,97,77,4,109,2,4,97,106,94,77,8,109,2,8,94,1,94,0,0,85,77,94,0,1,97,0,0,109,77,4,97,1,94,0,0,109,77,8,94,25,3,2,12,1,94,0,0,132,0,0,94,82,97,20,0,135,94,3,0,85,3,97,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,176,0,119,0,0,1,1,94,156,65,85,3,94,0,82,94,83,0,25,94,94,20,85,83,94,0,119,0,14,0,1,94,0,0,132,0,0,94,1,97,101,2,135,94,3,0,97,84,77,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,182,0,119,0,237,0,135,94,5,0,54,0,0,0,135,94,9,0,77,0,0,0,135,94,5,0,80,0,0,0,135,94,5,0,81,0,0,0,119,0,169,0,82,3,27,0,82,5,28,0,1,94,0,0,85,60,94,0,1,97,0,0,109,60,4,97,1,94,0,0,109,60,8,94,4,6,5,3,1,94,239,255,48,94,94,6,244,73,0,0,1,94,0,0,132,0,0,94,1,97,182,1,135,94,1,0,97,60,0,0,130,94,0,0,0,82,94,0,1,94,0,0,132,0,0,94,38,94,82,1,121,94,3,0,1,82,33,0,119,0,203,0,1,82,18,0,119,0,7,0,35,94,6,11,121,94,4,0,83,34,6,0,0,2,60,0,119,0,2,0,1,82,18,0,32,94,82,18,121,94,23,0,1,82,0,0,25,94,6,16,38,94,94,240,0,4,94,0,1,94,0,0,132,0,0,94,135,2,8,0,89,4,0,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,33,0,119,0,177,0,85,60,2,0,2,94,0,0,0,0,0,128,20,94,4,94,85,29,94,0,85,30,6,0,46,94,3,5,152,74,0,0,0,4,2,0,78,94,3,0,83,4,94,0,25,3,3,1,52,94,3,5,148,74,0,0,25,4,4,1,119,0,250,255,3,2,2,6,1,94,0,0,83,2,94,0,1,94,0,0,132,0,0,94,1,97,0,0,135,94,3,0,85,59,97,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,34,0,119,0,145,0,1,94,156,65,85,59,94,0,1,94,0,0,132,0,0,94,135,94,3,0,88,77,60,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,35,0,119,0,131,0,1,94,0,0,132,0,0,94,82,97,32,0,135,94,3,0,85,31,97,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,26,0,119,0,118,0,1,94,156,65,85,31,94,0,82,2,83,0,82,94,19,0,48,94,2,94,212,75,0,0,116,2,77,0,106,97,77,4,109,2,4,97,106,94,77,8,109,2,8,94,1,94,0,0,85,77,94,0,1,97,0,0,109,77,4,97,1,94,0,0,109,77,8,94,25,3,2,12,1,94,0,0,132,0,0,94,82,97,33,0,135,94,3,0,85,3,97,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,29,0,119,0,87,0,1,94,156,65,85,3,94,0,82,94,83,0,25,94,94,20,85,83,94,0,119,0,14,0,1,94,0,0,132,0,0,94,1,97,101,2,135,94,3,0,97,84,77,0,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,37,0,119,0,68,0,135,94,5,0,55,0,0,0,135,94,9,0,77,0,0,0,135,94,5,0,59,0,0,0,135,94,9,0,60,0,0,0,116,77,21,0,106,97,21,4,109,77,4,97,106,94,21,8,109,77,8,94,82,3,49,0,116,60,25,0,106,97,25,4,109,60,4,97,106,94,25,8,109,60,8,94,116,59,26,0,106,97,26,4,109,59,4,97,106,94,26,8,109,59,8,94,0,6,47,0,0,7,74,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,94,6,9,116,76,0,0,1,94,0,0,132,0,0,94,1,97,53,0,1,96,1,0,1,95,0,0,135,94,2,0,97,1,96,95,130,94,0,0,0,9,94,0,1,94,0,0,132,0,0,94,38,94,9,1,121,94,3,0,1,82,9,0,119,0,21,0,1,94,0,0,132,0,0,94,1,94,54,0,1,95,1,0,1,96,0,0,135,2,2,0,94,1,95,96,130,96,0,0,0,9,96,0,1,96,0,0,132,0,0,96,38,96,9,1,121,96,3,0,1,82,9,0,119,0,6,0,120,2,3,0,1,82,199,0,119,0,3,0,1,3,0,0,119,0,0,250,1,97,8,0,1,98,192,0,138,82,97,98,36,80,0,0,56,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,76,80,0,0,32,80,0,0,32,80,0,0,104,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,136,80,0,0,156,80,0,0,176,80,0,0,32,80,0,0,196,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,216,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,64,81,0,0,84,81,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,116,81,0,0,136,81,0,0,32,80,0,0,32,80,0,0,32,80,0,0,168,81,0,0,32,80,0,0,188,81,0,0,208,81,0,0,228,81,0,0,0,82,0,0,32,80,0,0,32,80,0,0,24,82,0,0,44,82,0,0,72,82,0,0,92,82,0,0,112,82,0,0,140,82,0,0,32,80,0,0,164,82,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,196,82,0,0,216,82,0,0,32,80,0,0,32,80,0,0,32,80,0,0,248,82,0,0,12,83,0,0,32,83,0,0,60,83,0,0,84,83,0,0,32,80,0,0,108,83,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,140,83,0,0,160,83,0,0,32,80,0,0,32,80,0,0,32,80,0,0,192,83,0,0,212,83,0,0,232,83,0,0,4,84,0,0,32,80,0,0,28,84,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,60,84,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,88,84,0,0,32,80,0,0,32,80,0,0,116,84,0,0,32,80,0,0,32,80,0,0,144,84,0,0,32,80,0,0,32,80,0,0,32,80,0,0,176,84,0,0,32,80,0,0,196,84,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,32,80,0,0,216,84,0,0],eb+10240);HEAPU8.set([32,80,0,0,32,80,0,0,32,80,0,0,240,84,0,0,32,80,0,0,32,80,0,0,32,80,0,0,8,85,0,0,119,0,157,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,11,0,119,0,152,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,11,0,119,0,147,3,135,3,4,0,128,96,0,0,0,2,96,0,135,96,9,0,77,0,0,0,1,82,36,0,119,0,140,3,135,3,4,0,128,96,0,0,0,81,96,0,135,96,9,0,2,0,0,0,0,2,81,0,1,82,38,0,119,0,132,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,41,0,119,0,127,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,40,0,119,0,122,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,36,0,119,0,117,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,38,0,119,0,112,3,135,3,4,0,128,96,0,0,0,6,96,0,25,5,8,68,82,2,7,0,121,2,18,0,82,4,5,0,46,96,4,2,44,81,0,0,26,82,4,8,85,5,82,0,82,95,82,0,82,95,95,0,1,94,255,1,19,95,95,94,135,96,14,0,95,82,0,0,82,4,5,0,53,96,4,2,252,80,0,0,82,2,7,0,135,96,10,0,2,0,0,0,0,2,6,0,1,82,81,0,119,0,86,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,62,0,119,0,81,3,135,80,4,0,128,96,0,0,0,2,96,0,135,96,9,0,3,0,0,0,0,3,80,0,1,82,62,0,119,0,73,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,77,0,119,0,68,3,135,3,4,0,128,96,0,0,0,79,96,0,135,96,5,0,2,0,0,0,0,2,79,0,1,82,77,0,119,0,60,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,81,0,119,0,55,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,186,0,119,0,50,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,87,0,119,0,45,3,135,3,4,0,128,96,0,0,0,2,96,0,135,96,9,0,57,0,0,0,1,82,87,0,119,0,38,3,135,3,4,0,0,4,2,0,128,96,0,0,0,2,96,0,1,82,86,0,119,0,32,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,185,0,119,0,27,3,135,3,4,0,128,96,0,0,0,2,96,0,135,96,5,0,36,0,0,0,1,82,185,0,119,0,20,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,98,0,119,0,15,3,135,3,4,0,128,96,0,0,0,2,96,0,1,82,97,0,119,0,10,3,135,3,4,0,128,96,0,0,0,2,96,0,135,96,5,0,61,0,0,0,1,82,97,0,119,0,3,3,135,3,4,0,0,4,2,0,128,96,0,0,0,2,96,0,1,82,94,0,119,0,253,2,135,3,4,0,128,96,0,0,0,2,96,0,135,96,5,0,37,0,0,0,1,4,0,0,1,82,96,0,119,0,245,2,135,3,4,0,128,96,0,0,0,2,96,0,1,82,111,0,119,0,240,2,135,3,4,0,128,96,0,0,0,79,96,0,135,96,5,0,2,0,0,0,0,2,79,0,1,82,111,0,119,0,232,2,135,3,4,0,128,96,0,0,0,2,96,0,1,82,164,0,119,0,227,2,135,3,4,0,128,96,0,0,0,2,96,0,1,82,123,0,119,0,222,2,135,3,4,0,128,96,0,0,0,2,96,0,135,96,5,0,70,0,0,0,1,82,123,0,119,0,215,2,135,3,4,0,128,96,0,0,0,2,96,0,1,4,1,0,1,82,122,0,119,0,209,2,135,3,4,0,0,4,2,0,128,96,0,0,0,2,96,0,1,82,119,0,119,0,203,2,135,3,4,0,128,96,0,0,0,2,96,0,135,96,5,0,39,0,0,0,1,4,0,0,1,82,121,0,119,0,195,2,135,3,4,0,128,96,0,0,0,2,96,0,1,82,147,0,119,0,190,2,135,3,4,0,128,96,0,0,0,79,96,0,135,96,5,0,2,0,0,0,0,2,79,0,1,82,147,0,119,0,182,2,135,3,4,0,128,96,0,0,0,2,96,0,1,82,158,0,119,0,177,2,135,3,4,0,128,96,0,0,0,2,96,0,1,82,157,0,119,0,172,2,135,3,4,0,128,96,0,0,0,2,96,0,135,96,5,0,64,0,0,0,1,82,157,0,119,0,165,2,135,3,4,0,0,4,2,0,128,96,0,0,0,2,96,0,1,82,154,0,119,0,159,2,135,3,4,0,128,96,0,0,0,2,96,0,135,96,5,0,41,0,0,0,1,4,0,0,1,82,156,0,119,0,151,2,135,3,4,0,128,96,0,0,0,2,96,0,135,96,9,0,43,0,0,0,1,82,164,0,119,0,144,2,135,3,4,0,128,96,0,0,0,2,96,0,135,96,9,0,44,0,0,0,1,82,185,0,119,0,137,2,135,3,4,0,128,96,0,0,0,2,96,0,135,96,9,0,77,0,0,0,1,82,181,0,119,0,130,2,135,3,4,0,128,96,0,0,0,79,96,0,135,96,9,0,2,0,0,0,0,2,79,0,1,82,183,0,119,0,122,2,135,3,4,0,128,96,0,0,0,2,96,0,1,82,181,0,119,0,117,2,135,3,4,0,128,96,0,0,0,2,96,0,1,82,183,0,119,0,112,2,135,3,4,0,128,96,0,0,0,5,96,0,135,96,9,0,45,0,0,0,119,0,106,2,135,3,4,0,128,96,0,0,0,5,96,0,135,96,9,0,46,0,0,0,119,0,100,2,0,6,74,0,0,7,47,0,25,9,6,40,116,6,7,0,25,6,6,4,25,7,7,4,54,96,6,9,20,85,0,0,116,21,77,0,106,95,77,4,109,21,4,95,106,96,77,8,109,21,8,96,85,49,3,0,116,26,59,0,106,95,59,4,109,26,4,95,106,96,59,8,109,26,8,96,116,25,60,0,106,95,60,4,109,25,4,95,106,96,60,8,109,25,8,96,1,96,0,0,132,0,0,96,1,96,87,1,135,2,8,0,96,3,0,0,130,96,0,0,0,81,96,0,1,96,0,0,132,0,0,96,38,96,81,1,120,96,60,2,32,95,2,0,121,95,4,0,1,95,1,0,0,96,95,0,119,0,4,0,82,95,56,0,16,95,95,2,0,96,95,0,121,96,2,0,82,2,49,0,1,96,0,0,132,0,0,96,1,96,88,1,135,3,8,0,96,2,0,0,130,96,0,0,0,81,96,0,1,96,0,0,132,0,0,96,38,96,81,1,120,96,39,2,125,2,3,3,2,0,0,0,78,96,2,0,1,95,59,0,1,94,67,0,138,96,95,94,60,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,12,87,0,0,64,87,0,0,1,95,0,0,132,0,0,95,1,95,89,1,135,2,8,0,95,2,0,0,130,95,0,0,0,81,95,0,1,95,0,0,132,0,0,95,38,95,81,1,121,95,5,0,119,0,210,1,119,0,1,0,25,2,2,1,119,0,1,0,32,95,2,0,121,95,4,0,1,95,1,0,0,96,95,0,119,0,4,0,82,95,56,0,16,95,95,2,0,96,95,0,121,96,93,0,1,96,0,0,132,0,0,96,1,95,102,2,135,96,3,0,95,68,1,0,130,96,0,0,0,81,96,0,1,96,0,0,132,0,0,96,38,96,81,1,120,96,187,1,106,2,0,4,1,96,0,0,132,0,0,96,106,95,68,4,135,96,3,0,85,67,95,0,130,96,0,0,0,81,96,0,1,96,0,0,132,0,0,96,38,96,81,1,121,96,5,0,135,3,4,0,128,96,0,0,0,2,96,0,119,0,62,0,1,96,4,28,85,67,96,0,25,3,2,88,25,2,2,92,82,96,2,0,120,96,3,0,1,82,210,0,119,0,13,0,1,96,0,0,132,0,0,96,1,95,167,1,135,96,1,0,95,3,0,0,130,96,0,0,0,81,96,0,1,96,0,0,132,0,0,96,38,96,81,1,120,96,2,0,1,82,210,0,1,96,210,0,45,96,82,96,184,88,0,0,25,96,67,4,116,2,96,0,1,96,0,0,132,0,0,96,1,95,168,1,135,96,1,0,95,3,0,0,130,96,0,0,0,81,96,0,1,96,0,0,132,0,0,96,38,96,81,1,120,96,21,0,1,96,0,0,132,0,0,96,82,95,2,0,135,96,3,0,85,66,95,0,130,96,0,0,0,81,96,0,1,96,0,0,132,0,0,96,38,96,81,1,120,96,10,0,1,96,4,28,85,66,96,0,135,96,5,0,66,0,0,0,135,96,5,0,67,0,0,0,135,96,5,0,68,0,0,0,119,0,10,0,135,3,4,0,128,96,0,0,0,2,96,0,135,96,5,0,67,0,0,0,135,96,5,0,68,0,0,0,0,5,2,0,119,0,111,1,82,2,84,0,82,11,83,0,46,96,2,11,44,94,0,0,25,12,79,12,25,13,79,16,25,14,1,40,25,7,1,12,25,8,0,4,25,15,79,12,25,9,75,4,25,10,77,4,1,96,0,0,132,0,0,96,135,96,3,0,88,79,2,0,130,96,0,0,0,82,96,0,1,96,0,0,132,0,0,96,38,96,82,1,121,96,3,0,1,82,236,0,119,0,190,0,1,96,0,0,132,0,0,96,106,95,2,16,135,96,3,0,85,12,95,0,130,96,0,0,0,82,96,0,1,96,0,0,132,0,0,96,38,96,82,1,121,96,3,0,1,82,227,0,119,0,177,0,1,96,156,65,85,12,96,0,82,3,13,0,120,3,93,0,82,3,14,0,1,96,0,0,132,0,0,96,1,95,5,0,1,94,0,0,1,97,0,0,1,98,1,0,135,96,11,0,95,77,79,94,97,98,0,0,130,96,0,0,0,82,96,0,1,96,0,0,132,0,0,96,38,96,82,1,121,96,3,0,1,82,251,0,119,0,155,0,1,96,0,0,132,0,0,96,1,96,29,0,82,98,7,0,82,97,8,0,135,3,15,0,96,3,77,98,74,97,0,0,130,97,0,0,0,82,97,0,1,97,0,0,132,0,0,97,38,97,82,1,121,97,3,0,1,82,252,0,119,0,139,0,135,97,9,0,77,0,0,0,120,3,126,0,82,3,14,0,82,4,8,0,1,97,0,0,132,0,0,97,135,97,3,0,88,76,79,0,130,97,0,0,0,82,97,0,1,97,0,0,132,0,0,97,38,97,82,1,121,97,3,0,1,82,238,0,119,0,122,0,82,81,7,0,1,97,0,0,85,77,97,0,1,98,0,0,109,77,4,98,1,97,0,0,109,77,8,97,135,82,16,0,81,0,0,0,1,97,0,0,132,0,0,97,1,98,74,0,135,97,7,0,98,77,81,82,130,97,0,0,0,82,97,0,1,97,0,0,132,0,0,97,38,97,82,1,121,97,3,0,1,82,254,0,119,0,100,0,1,97,0,0,132,0,0,97,1,98,21,0,135,97,12,0,98,3,4,76,77,0,0,0,130,97,0,0,0,82,97,0,1,97,0,0,132,0,0,97,38,97,82,1,121,97,3,0,1,82,255,0,119,0,86,0,135,97,9,0,77,0,0,0,135,97,9,0,76,0,0,0,119,0,71,0,82,5,8,0,25,6,5,64,1,97,0,0,132,0,0,97,135,97,3,0,85,75,3,0,130,97,0,0,0,82,97,0,1,97,0,0,132,0,0,97,38,97,82,1,121,97,3,0,1,82,239,0,119,0,67,0,1,97,156,65,85,75,97,0,1,97,0,0,132,0,0,97,82,98,9,0,135,97,3,0,85,77,98,0,130,97,0,0,0,82,97,0,1,97,0,0,132,0,0,97,38,97,82,1,121,97,3,0,1,82,240,0,119,0,52,0,85,77,86,0,25,3,5,68,82,4,3,0,106,97,5,72,48,97,4,97,196,91,0,0,1,97,0,0,132,0,0,97,82,98,10,0,135,97,3,0,85,4,98,0,130,97,0,0,0,82,97,0,1,97,0,0,132,0,0,97,38,97,82,1,121,97,3,0,1,82,241,0,119,0,33,0,85,4,86,0,82,97,3,0,25,97,97,8,85,3,97,0,119,0,14,0,1,97,0,0,132,0,0,97,1,98,36,2,135,97,3,0,98,6,77,0,130,97,0,0,0,82,97,0,1,97,0,0,132,0,0,97,38,97,82,1,121,97,3,0,1,82,241,0,119,0,15,0,135,97,5,0,77,0,0,0,135,97,5,0,75,0,0,0,135,97,5,0,15,0,0,0,135,97,9,0,79,0,0,0,25,2,2,20,45,97,2,11,44,92,0,0,1,82,218,0,119,0,2,0,119,0,56,255,1,97,218,0,1,98,38,0,138,82,97,98,216,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,224,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,252,92,0,0,212,92,0,0,16,93,0,0,32,93,0,0,52,93,0,0,72,93,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,212,92,0,0,100,93,0,0,120,93,0,0,212,92,0,0,148,93,0,0,168,93,0,0,119,0,60,0,82,2,84,0,119,0,84,0,135,3,4,0,128,97,0,0,0,2,97,0,135,97,9,0,79,0,0,0,1,82,237,0,119,0,51,0,135,3,4,0,128,97,0,0,0,2,97,0,1,82,237,0,119,0,46,0,135,3,4,0,128,97,0,0,0,2,97,0,119,0,42,0,135,3,4,0,128,97,0,0,0,2,97,0,1,82,243,0,119,0,37,0,135,3,4,0,128,97,0,0,0,2,97,0,1,82,242,0,119,0,32,0,135,3,4,0,128,97,0,0,0,2,97,0,135,97,5,0,77,0,0,0,1,82,242,0,119,0,25,0,135,3,4,0,128,97,0,0,0,2,97,0,1,82,253,0,119,0,20,0,135,3,4,0,128,97,0,0,0,2,97,0,135,97,9,0,77,0,0,0,1,82,253,0,119,0,13,0,135,3,4,0,128,97,0,0,0,2,97,0,1,82,0,1,119,0,8,0,135,3,4,0,128,97,0,0,0,2,97,0,135,97,9,0,77,0,0,0,1,82,0,1,119,0,1,0,1,97,237,0,45,97,82,97,216,93,0,0,0,5,2,0,119,0,48,0,1,97,242,0,45,97,82,97,244,93,0,0,135,97,5,0,75,0,0,0,1,82,243,0,119,0,9,0,1,97,253,0,46,97,82,97,20,94,0,0,1,97,0,1,45,97,82,97,20,94,0,0,135,97,9,0,76,0,0,0,135,97,5,0,15,0,0,0,135,97,9,0,79,0,0,0,0,5,2,0,119,0,27,0,120,2,3,0,137,78,0,0,139,0,0,0,82,3,83,0,46,97,3,2,112,94,0,0,26,0,3,20,85,83,0,0,26,98,3,8,135,97,5,0,98,0,0,0,135,97,9,0,0,0,0,0,82,3,83,0,53,97,3,2,68,94,0,0,82,2,84,0,135,97,10,0,2,0,0,0,137,78,0,0,139,0,0,0,135,3,4,0,128,97,0,0,0,2,97,0,1,82,11,0,119,0,1,0,1,97,11,0,1,98,173,0,138,82,97,98,88,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,96,97,0,0,84,97,0,0,104,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,128,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,140,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,152,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,168,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,180,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,84,97,0,0,192,97,0,0,84,97,0,0,200,97,0,0,119,0,35,0,0,5,2,0,119,0,33,0,1,82,39,0,119,0,31,0,135,97,5,0,55,0,0,0,135,97,9,0,77,0,0,0,1,82,39,0,119,0,25,0,1,4,1,0,1,82,86,0,119,0,22,0,1,4,1,0,1,82,94,0,119,0,19,0,135,97,10,0,8,0,0,0,0,5,2,0,119,0,15,0,1,4,1,0,1,82,119,0,119,0,12,0,1,4,1,0,1,82,154,0,119,0,9,0,1,82,184,0,119,0,7,0,135,97,5,0,54,0,0,0,135,97,9,0,77,0,0,0,1,82,184,0,119,0,1,0,32,97,82,39,121,97,5,0,135,97,5,0,59,0,0,0,1,82,40,0,119,0,29,0,32,97,82,86,121,97,10,0,135,97,5,0,58,0,0,0,135,97,9,0,57,0,0,0,121,4,3,0,1,82,87,0,119,0,20,0,1,82,186,0,119,0,18,0,32,97,82,94,121,97,3,0,1,82,96,0,119,0,14,0,32,97,82,119,121,97,3,0,1,82,121,0,119,0,10,0,1,97,154,0,45,97,82,97,88,98,0,0,1,82,156,0,119,0,5,0,1,97,184,0,45,97,82,97,104,98,0,0,1,82,185,0,32,97,82,40,121,97,5,0,135,97,9,0,60,0,0,0,1,82,41,0,119,0,35,0,32,97,82,87,121,97,5,0,135,97,10,0,5,0,0,0,1,82,186,0,119,0,29,0,32,97,82,96,121,97,10,0,135,97,9,0,62,0,0,0,135,97,5,0,61,0,0,0,121,4,3,0,1,82,97,0,119,0,20,0,1,82,98,0,119,0,18,0,32,97,82,121,121,97,5,0,135,97,9,0,63,0,0,0,1,82,122,0,119,0,12,0,1,97,156,0,45,97,82,97,8,99,0,0,135,97,9,0,65,0,0,0,135,97,5,0,64,0,0,0,121,4,3,0,1,82,157,0,119,0,2,0,1,82,158,0,32,97,82,41,121,97,3,0,0,5,2,0,119,0,24,0,32,97,82,97,121,97,5,0,135,97,10,0,5,0,0,0,1,82,98,0,119,0,18,0,32,97,82,122,121,97,10,0,135,97,5,0,69,0,0,0,135,97,5,0,70,0,0,0,121,4,3,0,1,82,123,0,119,0,9,0,1,82,164,0,119,0,7,0,1,97,157,0,45,97,82,97,116,99,0,0,135,97,10,0,5,0,0,0,1,82,158,0,32,97,82,98,121,97,5,0,135,97,5,0,71,0,0,0,1,82,185,0,119,0,13,0,32,97,82,123,121,97,5,0,135,97,10,0,5,0,0,0,1,82,164,0,119,0,7,0,1,97,158,0,45,97,82,97,188,99,0,0,135,97,5,0,72,0,0,0,1,82,164,0,1,97,164,0,45,97,82,97,212,99,0,0,135,97,5,0,73,0,0,0,1,82,185,0,1,97,185,0,45,97,82,97,236,99,0,0,135,97,5,0,80,0,0,0,1,82,186,0,1,97,186,0,45,97,82,97,4,100,0,0,135,97,5,0,81,0,0,0,0,5,2,0,82,2,84,0,121,2,17,0,82,4,83,0,46,97,4,2,68,100,0,0,26,82,4,20,85,83,82,0,26,98,4,8,135,97,5,0,98,0,0,0,135,97,9,0,82,0,0,0,82,4,83,0,53,97,4,2,24,100,0,0,82,2,84,0,135,97,10,0,2,0,0,0,135,97,5,0,0,0,0,0,0,84,3,0,135,97,6,0,84,0,0,0,139,0,0,0,140,4,50,0,0,0,0,0,2,40,0,0,116,28,0,0,2,41,0,0,204,1,0,0,2,42,0,0,36,2,0,0,2,43,0,0,4,35,0,0,1,39,0,0,136,44,0,0,0,35,44,0,136,44,0,0,1,45,112,2,3,44,44,45,137,44,0,0,25,33,35,120,25,29,35,80,25,24,35,40,0,16,35,0,1,44,72,2,3,30,35,44,1,44,8,2,3,37,35,44,1,44,252,1,3,38,35,44,1,44,64,2,3,10,35,44,1,44,24,2,3,11,35,44,1,44,240,1,3,20,35,44,1,44,200,1,3,14,35,44,1,44,184,1,3,17,35,44,1,44,128,1,3,36,35,44,1,44,144,1,3,18,35,44,1,44,136,1,3,22,35,44,1,44,104,1,3,23,35,44,1,44,120,1,3,34,35,44,1,44,96,1,3,25,35,44,1,44,224,0,3,27,35,44,1,44,208,0,3,32,35,44,1,44,200,0,3,31,35,44,1,44,56,1,3,28,35,44,1,44,184,0,3,15,35,44,1,44,172,0,3,13,35,44,1,44,8,1,3,26,35,44,1,44,160,0,3,21,35,44,25,12,1,12,0,4,30,0,0,8,12,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,44,4,9,120,101,0,0,1,45,0,0,1,46,0,0,1,47,1,0,135,44,17,0,37,2,45,46,47,0,0,0,1,44,0,0,85,38,44,0,1,47,0,0,109,38,4,47,1,44,0,0,109,38,8,44,1,44,0,0,132,0,0,44,1,47,74,0,2,46,0,0,140,200,0,0,1,45,4,0,135,44,7,0,47,38,46,45,130,44,0,0,0,19,44,0,1,44,0,0,132,0,0,44,38,44,19,1,121,44,6,0,135,39,4,0,135,44,9,0,37,0,0,0,135,44,6,0,39,0,0,0,25,19,37,11,1,44,0,0,132,0,0,44,1,44,69,1,78,46,19,0,34,46,46,0,121,46,4,0,82,46,37,0,0,45,46,0,119,0,2,0,0,45,37,0,135,7,8,0,44,45,0,0,130,45,0,0,0,9,45,0,1,45,0,0,132,0,0,45,38,45,9,1,121,45,3,0,1,39,23,0,119,0,188,5,121,7,136,0,78,45,7,0,32,45,45,58,121,45,133,0,102,45,7,1,32,45,45,47,121,45,130,0,102,45,7,2,32,45,45,47,121,45,127,0,78,44,19,0,34,44,44,0,121,44,4,0,82,44,37,0,0,45,44,0,119,0,2,0,0,45,37,0,0,5,45,0,1,45,0,0,85,33,45,0,1,44,0,0,109,33,4,44,1,45,0,0,109,33,8,45,4,8,7,5,1,45,239,255,48,45,45,8,8,103,0,0,1,45,0,0,132,0,0,45,1,44,182,1,135,45,1,0,44,33,0,0,130,45,0,0,0,39,45,0,1,45,0,0,132,0,0,45,38,45,39,1,121,45,3,0,1,39,24,0,119,0,9,0,1,39,11,0,119,0,7,0,35,45,8,11,121,45,4,0,107,33,11,8,0,4,33,0,119,0,2,0,1,39,11,0,32,45,39,11,121,45,23,0,25,45,8,16,38,45,45,240,0,6,45,0,1,45,0,0,132,0,0,45,1,45,59,1,135,4,8,0,45,6,0,0,130,45,0,0,0,9,45,0,1,45,0,0,132,0,0,45,38,45,9,1,121,45,3,0,1,39,24,0,119,0,7,0,85,33,4,0,2,44,0,0,0,0,0,128,20,44,6,44,109,33,8,44,109,33,4,8,32,44,39,24,121,44,3,0,135,4,4,0,119,0,111,5,46,44,5,7,188,103,0,0,0,6,4,0,78,44,5,0,83,6,44,0,25,5,5,1,52,44,5,7,184,103,0,0,25,6,6,1,119,0,250,255,3,4,4,8,1,44,0,0,83,4,44,0,25,4,38,11,78,44,4,0,34,44,44,0,121,44,7,0,82,44,38,0,1,45,0,0,83,44,45,0,1,44,0,0,109,38,4,44,119,0,5,0,1,44,0,0,83,38,44,0,1,44,0,0,83,4,44,0,1,44,0,0,132,0,0,44,1,45,244,1,1,46,0,0,135,44,3,0,45,38,46,0,130,44,0,0,0,9,44,0,1,44,0,0,132,0,0,44,38,44,9,1,121,44,7,0,1,44,0,0,135,9,18,0,44,0,0,0,135,44,19,0,9,0,0,0,119,0,15,0,116,38,33,0,106,46,33,4,109,38,4,46,106,44,33,8,109,38,8,44,1,44,0,0,85,33,44,0,1,46,0,0,109,33,4,46,1,44,0,0,109,33,8,44,135,44,9,0,33,0,0,0,119,0,1,0,1,44,0,0,132,0,0,44,106,46,1,92,135,44,3,0,41,10,46,0,130,44,0,0,0,9,44,0,1,44,0,0,132,0,0,44,38,44,9,1,121,44,3,0,1,39,23,0,119,0,39,5,1,44,4,28,85,10,44,0,106,44,10,4,120,44,152,4,102,9,38,11,41,46,9,24,42,46,46,24,34,46,46,0,121,46,4,0,106,46,38,4,0,44,46,0,119,0,4,0,1,46,255,0,19,46,9,46,0,44,46,0,32,44,44,4,121,44,137,4,1,44,0,0,132,0,0,44,1,44,21,0,1,46,0,0,1,45,255,255,2,47,0,0,140,200,0,0,1,48,4,0,135,4,15,0,44,38,46,45,47,48,0,0,130,48,0,0,0,9,48,0,1,48,0,0,132,0,0,48,38,48,9,1,121,48,6,0,1,48,0,0,135,9,18,0,48,0,0,0,135,48,19,0,9,0,0,0,120,4,112,4,1,48,0,0,132,0,0,48,1,47,4,0,1,45,0,0,1,46,2,0,135,48,11,0,47,33,37,45,46,37,0,0,130,48,0,0,0,9,48,0,1,48,0,0,132,0,0,48,38,48,9,1,121,48,5,0,135,4,4,0,135,48,5,0,10,0,0,0,119,0,237,4,102,9,33,11,41,46,9,24,42,46,46,24,34,46,46,0,121,46,4,0,106,46,33,4,0,48,46,0,119,0,4,0,1,46,255,0,19,46,9,46,0,48,46,0,32,48,48,2,121,48,30,0,1,48,0,0,132,0,0,48,1,48,21,0,1,46,0,0,1,45,255,255,2,47,0,0,115,196,0,0,1,44,2,0,135,4,15,0,48,33,46,45,47,44,0,0,130,44,0,0,0,9,44,0,1,44,0,0,132,0,0,44,38,44,9,1,121,44,7,0,1,44,0,0,135,20,18,0,44,0,0,0,135,44,19,0,20,0,0,0,119,0,11,0,135,44,9,0,33,0,0,0,135,44,5,0,10,0,0,0,120,4,6,0,119,0,57,4,135,44,9,0,33,0,0,0,135,44,5,0,10,0,0,0,78,4,19,0,25,5,37,4,41,47,4,24,42,47,47,24,34,47,47,0,121,47,4,0,82,47,5,0,0,44,47,0,119,0,4,0,1,47,255,0,19,47,4,47,0,44,47,0,0,4,44,0,1,44,4,0,48,44,44,4,212,117,0,0,1,44,0,0,132,0,0,44,1,47,4,0,26,45,4,4,1,46,4,0,135,44,11,0,47,33,37,45,46,37,0,0,130,44,0,0,0,20,44,0,1,44,0,0,132,0,0,44,38,44,20,1,121,44,3,0,135,4,4,0,119,0,159,4,102,20,33,11,41,46,20,24,42,46,46,24,34,46,46,0,121,46,4,0,106,46,33,4,0,44,46,0,119,0,4,0,1,46,255,0,19,46,20,46,0,44,46,0,33,44,44,4,121,44,4,0,135,44,9,0,33,0,0,0,119,0,178,2,1,44,0,0,132,0,0,44,1,44,21,0,1,46,0,0,1,45,255,255,2,47,0,0,92,201,0,0,1,48,4,0,135,4,15,0,44,33,46,45,47,48,0,0,130,48,0,0,0,20,48,0,1,48,0,0,132,0,0,48,38,48,20,1,121,48,6,0,1,48,0,0,135,20,18,0,48,0,0,0,135,48,19,0,20,0,0,0,135,48,9,0,33,0,0,0,120,4,153,2,1,48,0,0,132,0,0,48,1,48,59,1,1,47,80,0,135,5,8,0,48,47,0,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,3,0,1,39,23,0,119,0,104,4,0,4,14,0,0,8,30,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,184,107,0,0,1,47,0,0,132,0,0,47,1,48,5,0,1,45,0,0,1,46,0,0,1,44,1,0,135,47,11,0,48,17,2,45,46,44,0,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,3,0,135,4,4,0,119,0,111,2,0,4,16,0,0,8,14,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,28,108,0,0,1,47,0,0,132,0,0,47,1,44,166,1,135,47,1,0,44,5,0,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,3,0,135,4,4,0,119,0,88,2,25,4,5,12,0,8,16,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,112,108,0,0,1,44,0,0,107,5,52,44,1,47,0,0,107,5,53,47,1,44,0,0,107,5,54,44,1,47,4,0,109,5,56,47,1,47,92,43,85,5,47,0,1,44,0,0,107,5,60,44,1,47,0,0,107,5,61,47,1,47,0,0,132,0,0,47,1,44,37,2,25,46,5,64,135,47,3,0,44,46,17,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,3,0,135,4,4,0,119,0,52,2,1,46,0,0,109,5,76,46,135,46,9,0,17,0,0,0,1,46,0,0,132,0,0,46,1,46,59,1,1,47,88,0,135,6,8,0,46,47,0,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,3,0,135,4,4,0,119,0,4,4,0,4,18,0,0,8,30,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,72,109,0,0,1,47,0,0,132,0,0,47,135,47,3,0,41,22,5,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,3,0,135,4,4,0,119,0,11,2,85,22,40,0,1,47,0,0,85,23,47,0,1,46,0,0,109,23,4,46,1,47,0,0,109,23,8,47,1,47,0,0,132,0,0,47,1,46,74,0,2,44,0,0,167,87,1,0,1,45,0,0,135,47,7,0,46,23,44,45,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,5,0,135,4,4,0,135,47,5,0,22,0,0,0,119,0,242,1,0,4,24,0,0,8,18,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,252,109,0,0,1,47,0,0,132,0,0,47,1,45,166,1,135,47,1,0,45,6,0,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,4,0,1,4,1,0,1,39,111,0,119,0,209,1,25,4,6,12,0,8,24,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,84,110,0,0,1,45,0,0,107,6,52,45,1,47,0,0,107,6,53,47,1,45,0,0,107,6,54,45,1,47,0,0,109,6,56,47,1,47,100,38,85,6,47,0,25,4,6,60,1,47,0,0,132,0,0,47,106,45,22,4,135,47,3,0,41,4,45,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,3,0,135,4,4,0,119,0,176,1,85,4,40,0,1,47,0,0,132,0,0,47,1,45,200,1,25,44,6,68,135,47,3,0,45,44,23,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,6,0,135,36,4,0,135,47,5,0,4,0,0,0,0,4,36,0,119,0,158,1,1,44,0,0,107,6,80,44,1,47,0,0,107,6,81,47,1,44,0,0,109,6,84,44,1,44,0,0,132,0,0,44,135,44,3,0,41,36,6,0,130,44,0,0,0,28,44,0,1,44,0,0,132,0,0,44,38,44,28,1,121,44,4,0,1,4,0,0,1,39,111,0,119,0,140,1,1,44,136,39,85,36,44,0,135,44,9,0,23,0,0,0,135,44,5,0,22,0,0,0,1,44,0,0,132,0,0,44,1,44,59,1,1,47,84,0,135,10,8,0,44,47,0,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,3,0,1,39,114,0,119,0,113,1,0,4,29,0,0,8,30,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,184,111,0,0,1,47,0,0,132,0,0,47,1,44,166,1,135,47,1,0,44,10,0,0,130,47,0,0,0,28,47,0,1,47,0,0,132,0,0,47,38,47,28,1,121,47,3,0,135,4,4,0,119,0,90,1,25,4,10,12,0,8,29,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,47,4,9,12,112,0,0,1,47,68,24,85,10,47,0,1,44,0,0,107,10,52,44,1,47,0,0,107,10,53,47,1,44,0,0,107,10,54,44,1,47,0,0,109,10,56,47,25,4,10,60,1,47,152,39,85,4,47,0,25,8,10,64,25,9,10,68,1,47,0,0,85,8,47,0,1,44,0,0,109,8,4,44,1,47,0,0,109,8,8,47,1,44,0,0,109,8,12,44,1,44,0,0,132,0,0,44,1,47,38,2,1,45,0,0,135,44,3,0,47,8,45,0,130,44,0,0,0,29,44,0,1,44,0,0,132,0,0,44,38,44,29,1,121,44,24,0,135,4,4,0,128,44,0,0,0,7,44,0,82,5,8,0,121,5,42,1,82,6,9,0,46,44,6,5,252,112,0,0,26,35,6,8,85,9,35,0,82,45,35,0,82,45,45,0,1,47,255,1,19,45,45,47,135,44,14,0,45,35,0,0,82,6,9,0,53,44,6,5,204,112,0,0,82,5,8,0,135,44,10,0,5,0,0,0,119,0,24,1,1,44,224,38,85,10,44,0,1,44,96,39,85,4,44,0,1,45,0,0,107,10,80,45,1,44,0,0,107,10,81,44,1,45,0,0,107,10,82,45,1,45,0,0,132,0,0,45,135,45,3,0,41,34,10,0,130,45,0,0,0,29,45,0,1,45,0,0,132,0,0,45,38,45,29,1,121,45,3,0,1,39,114,0,119,0,4,1,85,34,43,0,25,6,34,4,82,45,6,0,25,4,45,60,82,45,4,0,106,5,45,20,1,45,0,0,132,0,0,45,106,44,36,4,135,45,3,0,41,25,44,0,130,45,0,0,0,29,45,0,1,45,0,0,132,0,0,45,38,45,29,1,121,45,3,0,1,39,117,0,119,0,233,0,1,45,136,39,85,25,45,0,1,45,0,0,132,0,0,45,135,45,3,0,5,4,25,0,130,45,0,0,0,29,45,0,1,45,0,0,132,0,0,45,38,45,29,1,121,45,5,0,135,4,4,0,135,45,5,0,25,0,0,0,119,0,217,0,135,45,5,0,25,0,0,0,1,45,0,0,132,0,0,45,1,45,59,1,1,44,92,0,135,7,8,0,45,44,0,0,130,44,0,0,0,29,44,0,1,44,0,0,132,0,0,44,38,44,29,1,121,44,3,0,1,39,117,0,119,0,201,0,0,4,27,0,0,8,30,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,44,4,9,56,114,0,0,1,44,0,0,85,32,44,0,1,45,0,0,109,32,4,45,1,44,0,0,109,32,8,44,1,44,0,0,132,0,0,44,1,45,74,0,2,47,0,0,188,184,0,0,1,46,3,0,135,44,7,0,45,32,47,46,130,44,0,0,0,30,44,0,1,44,0,0,132,0,0,44,38,44,30,1,121,44,3,0,135,4,4,0,119,0,169,0,1,44,0,0,132,0,0,44,82,46,6,0,135,44,3,0,41,31,46,0,130,44,0,0,0,30,44,0,1,44,0,0,132,0,0,44,38,44,30,1,121,44,3,0,135,4,4,0,119,0,154,0,85,31,43,0,0,4,33,0,0,8,27,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,44,4,9,232,114,0,0,1,44,0,0,132,0,0,44,1,46,166,1,135,44,1,0,46,7,0,0,130,44,0,0,0,30,44,0,1,44,0,0,132,0,0,44,38,44,30,1,121,44,3,0,135,4,4,0,119,0,130,0,25,4,7,12,0,8,33,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,44,4,9,60,115,0,0,1,46,0,0,107,7,52,46,1,44,0,0,107,7,53,44,1,46,0,0,107,7,54,46,25,4,7,56,1,46,0,0,85,4,46,0,1,46,192,39,85,7,46,0,25,5,7,60,1,46,0,0,132,0,0,46,1,44,200,1,135,46,3,0,44,5,32,0,130,46,0,0,0,30,46,0,1,46,0,0,132,0,0,46,38,46,30,1,121,46,3,0,135,4,4,0,119,0,97,0,25,6,7,72,1,46,0,0,132,0,0,46,106,44,31,4,135,46,3,0,41,6,44,0,130,46,0,0,0,30,46,0,1,46,0,0,132,0,0,46,38,46,30,1,121,46,5,0,135,4,4,0,135,46,9,0,5,0,0,0,119,0,81,0,85,6,43,0,1,44,0,0,107,7,80,44,1,46,0,0,109,7,84,46,1,44,0,0,109,7,88,44,1,44,11,0,85,4,44,0,135,44,5,0,31,0,0,0,135,44,9,0,32,0,0,0,25,6,1,64,1,44,0,0,132,0,0,44,135,44,3,0,41,33,7,0,130,44,0,0,0,32,44,0,1,44,0,0,132,0,0,44,38,44,32,1,121,44,3,0,135,4,4,0,119,0,61,0,85,33,40,0,25,4,1,68,82,5,4,0,106,44,1,72,48,44,5,44,188,116,0,0,1,44,0,0,132,0,0,44,106,46,33,4,135,44,3,0,41,5,46,0,130,44,0,0,0,1,44,0,1,44,0,0,132,0,0,44,38,44,1,1,121,44,3,0,1,39,126,0,119,0,17,0,85,5,40,0,82,44,4,0,25,44,44,8,85,4,44,0,119,0,12,0,1,44,0,0,132,0,0,44,135,44,3,0,42,6,33,0,130,44,0,0,0,1,44,0,1,44,0,0,132,0,0,44,38,44,1,1,121,44,2,0,1,39,126,0,32,44,39,126,121,44,5,0,135,4,4,0,135,44,5,0,33,0,0,0,119,0,20,0,135,44,5,0,33,0,0,0,135,44,5,0,34,0,0,0,135,44,5,0,36,0,0,0,135,44,9,0,38,0,0,0,135,44,9,0,37,0,0,0,137,35,0,0,139,0,0,0,119,0,7,0,135,44,5,0,31,0,0,0,135,44,9,0,32,0,0,0,135,44,10,0,7,0,0,0,32,44,39,117,121,44,2,0,135,4,4,0,135,44,5,0,34,0,0,0,119,0,3,0,135,44,10,0,10,0,0,0,32,44,39,114,121,44,2,0,135,4,4,0,135,44,5,0,36,0,0,0,119,0,242,1,1,5,1,0,32,44,39,111,121,44,4,0,135,36,4,0,0,5,4,0,0,4,36,0,135,44,9,0,23,0,0,0,135,44,5,0,22,0,0,0,120,5,2,0,119,0,230,1,135,44,10,0,6,0,0,0,119,0,227,1,135,44,9,0,17,0,0,0,135,44,10,0,5,0,0,0,119,0,222,1,1,44,0,0,132,0,0,44,1,46,200,1,135,44,3,0,46,15,37,0,130,44,0,0,0,36,44,0,1,44,0,0,132,0,0,44,38,44,36,1,121,44,3,0,1,39,23,0,119,0,209,1,1,44,0,0,132,0,0,44,1,46,200,1,135,44,3,0,46,13,3,0,130,44,0,0,0,36,44,0,1,44,0,0,132,0,0,44,38,44,36,1,121,44,3,0,135,4,4,0,119,0,50,1,1,44,0,0,132,0,0,44,1,46,92,0,135,44,7,0,46,28,15,13,130,44,0,0,0,36,44,0,1,44,0,0,132,0,0,44,38,44,36,1,121,44,5,0,135,4,4,0,135,44,9,0,13,0,0,0,119,0,35,1,135,44,9,0,13,0,0,0,135,44,9,0,15,0,0,0,1,44,0,0,132,0,0,44,0,4,33,0,0,8,30,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,44,4,9,156,118,0,0,1,46,20,0,135,44,12,0,46,26,0,28,33,0,0,0,130,44,0,0,0,36,44,0,1,44,0,0,132,0,0,44,38,44,36,1,121,44,3,0,135,4,4,0,119,0,0,1,25,6,26,36,102,36,6,11,41,46,36,24,42,46,46,24,34,46,46,0,121,46,4,0,106,46,26,40,0,44,46,0,119,0,4,0,1,46,255,0,19,46,36,46,0,44,46,0,120,44,165,0,1,44,0,0,85,24,44,0,1,46,0,0,109,24,4,46,1,44,0,0,109,24,8,44,78,4,19,0,41,46,4,24,42,46,46,24,34,46,46,0,121,46,4,0,82,46,5,0,0,44,46,0,119,0,4,0,1,46,255,0,19,46,4,46,0,44,46,0,0,4,44,0,1,44,0,0,132,0,0,44,1,46,10,0,2,47,0,0,11,138,0,0,1,45,40,0,25,48,4,40,135,44,12,0,46,24,47,45,48,0,0,0,130,44,0,0,0,36,44,0,1,44,0,0,132,0,0,44,38,44,36,1,121,44,3,0,1,39,145,0,119,0,122,0,1,44,0,0,132,0,0,44,1,48,41,0,78,47,19,0,34,47,47,0,121,47,4,0,82,47,37,0,0,45,47,0,119,0,2,0,0,45,37,0,135,44,2,0,48,24,45,4,130,44,0,0,0,36,44,0,1,44,0,0,132,0,0,44,38,44,36,1,121,44,3,0,1,39,145,0,119,0,102,0,1,44,0,0,132,0,0,44,1,44,206,3],eb+20480);HEAPU8.set([2,45,0,0,52,138,0,0,135,4,20,0,44,24,45,0,130,45,0,0,0,36,45,0,1,45,0,0,132,0,0,45,38,45,36,1,121,45,3,0,135,4,4,0,119,0,85,0,116,29,4,0,106,44,4,4,109,29,4,44,106,45,4,8,109,29,8,45,1,45,0,0,85,4,45,0,1,44,0,0,109,4,4,44,1,45,0,0,109,4,8,45,102,4,3,11,41,45,4,24,42,45,45,24,34,36,45,0,1,45,0,0,132,0,0,45,1,45,41,0,121,36,4,0,82,48,3,0,0,44,48,0,119,0,2,0,0,44,3,0,121,36,4,0,106,47,3,4,0,48,47,0,119,0,4,0,1,47,255,0,19,47,4,47,0,48,47,0,135,4,2,0,45,29,44,48,130,48,0,0,0,36,48,0,1,48,0,0,132,0,0,48,38,48,36,1,121,48,3,0,135,4,4,0,119,0,43,0,116,21,4,0,106,44,4,4,109,21,4,44,106,48,4,8,109,21,8,48,1,48,0,0,85,4,48,0,1,44,0,0,109,4,4,44,1,48,0,0,109,4,8,48,1,48,0,0,132,0,0,48,0,4,33,0,0,8,30,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,48,4,9,16,121,0,0,1,44,198,1,135,48,3,0,44,21,33,0,130,48,0,0,0,36,48,0,1,48,0,0,132,0,0,48,38,48,36,1,121,48,5,0,135,4,4,0,135,48,9,0,21,0,0,0,119,0,9,0,135,48,9,0,21,0,0,0,135,48,9,0,29,0,0,0,135,48,9,0,24,0,0,0,1,39,152,0,119,0,13,0,135,48,9,0,29,0,0,0,135,48,9,0,24,0,0,0,1,48,145,0,45,48,39,48,160,121,0,0,135,4,4,0,135,48,9,0,24,0,0,0,119,0,2,0,1,39,152,0,1,48,152,0,45,48,39,48,180,122,0,0,25,4,1,80,82,5,4,0,106,48,1,84,45,48,5,48,0,122,0,0,1,48,0,0,132,0,0,48,1,44,39,2,25,45,1,76,135,48,3,0,44,45,26,0,130,48,0,0,0,36,48,0,1,48,0,0,132,0,0,48,38,48,36,1,121,48,19,0,1,39,157,0,119,0,17,0,1,48,0,0,132,0,0,48,1,45,215,1,135,48,3,0,45,5,26,0,130,48,0,0,0,36,48,0,1,48,0,0,132,0,0,48,38,48,36,1,121,48,3,0,1,39,157,0,119,0,4,0,82,48,4,0,25,48,48,48,85,4,48,0,1,48,157,0,45,48,39,48,84,122,0,0,135,4,4,0,119,0,25,0,135,48,9,0,6,0,0,0,25,45,26,24,135,48,9,0,45,0,0,0,25,45,26,12,135,48,9,0,45,0,0,0,135,48,9,0,26,0,0,0,25,45,28,24,135,48,9,0,45,0,0,0,25,45,28,12,135,48,9,0,45,0,0,0,135,48,9,0,28,0,0,0,135,48,9,0,38,0,0,0,135,48,9,0,37,0,0,0,137,35,0,0,139,0,0,0,135,48,9,0,6,0,0,0,25,45,26,24,135,48,9,0,45,0,0,0,25,45,26,12,135,48,9,0,45,0,0,0,135,48,9,0,26,0,0,0,25,45,28,24,135,48,9,0,45,0,0,0,25,45,28,12,135,48,9,0,45,0,0,0,135,48,9,0,28,0,0,0,119,0,147,0,135,48,9,0,15,0,0,0,119,0,144,0,1,39,36,0,119,0,4,0,1,39,36,0,119,0,2,0,1,39,36,0,32,48,39,36,121,48,3,0,135,48,5,0,10,0,0,0,25,6,1,64,1,48,0,0,132,0,0,48,1,48,59,1,1,45,80,0,135,7,8,0,48,45,0,0,130,45,0,0,0,36,45,0,1,45,0,0,132,0,0,45,38,45,36,1,121,45,3,0,135,4,4,0,119,0,120,0,0,4,11,0,0,8,12,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,45,4,9,120,123,0,0,1,45,0,0,132,0,0,45,1,48,200,1,135,45,3,0,48,20,2,0,130,45,0,0,0,36,45,0,1,45,0,0,132,0,0,45,38,45,36,1,121,45,3,0,135,4,4,0,119,0,97,0,1,45,0,0,132,0,0,45,0,4,33,0,0,8,11,0,25,9,4,40,116,4,8,0,25,4,4,4,25,8,8,4,54,45,4,9,212,123,0,0,1,48,2,0,1,44,0,0,1,47,0,0,1,46,0,0,1,49,1,0,135,45,21,0,48,7,33,20,44,47,46,49,130,45,0,0,0,36,45,0,1,45,0,0,132,0,0,45,38,45,36,1,121,45,3,0,1,5,1,0,119,0,66,0,1,45,0,0,132,0,0,45,135,45,3,0,41,29,7,0,130,45,0,0,0,36,45,0,1,45,0,0,132,0,0,45,38,45,36,1,121,45,3,0,1,5,0,0,119,0,54,0,85,29,40,0,25,4,1,68,82,5,4,0,106,45,1,72,48,45,5,45,184,124,0,0,1,45,0,0,132,0,0,45,106,49,29,4,135,45,3,0,41,5,49,0,130,45,0,0,0,36,45,0,1,45,0,0,132,0,0,45,38,45,36,1,121,45,3,0,1,39,49,0,119,0,17,0,85,5,40,0,82,45,4,0,25,45,45,8,85,4,45,0,119,0,12,0,1,45,0,0,132,0,0,45,135,45,3,0,42,6,29,0,130,45,0,0,0,36,45,0,1,45,0,0,132,0,0,45,38,45,36,1,121,45,2,0,1,39,49,0,32,45,39,49,121,45,7,0,135,4,4,0,135,45,5,0,29,0,0,0,135,45,9,0,20,0,0,0,119,0,18,0,135,45,5,0,29,0,0,0,135,45,9,0,20,0,0,0,135,45,9,0,38,0,0,0,135,45,9,0,37,0,0,0,137,35,0,0,139,0,0,0,135,4,4,0,135,45,9,0,20,0,0,0,120,5,2,0,119,0,3,0,135,45,10,0,7,0,0,0,32,45,39,23,121,45,2,0,135,4,4,0,135,45,9,0,38,0,0,0,0,39,4,0,135,45,9,0,37,0,0,0,135,45,6,0,39,0,0,0,139,0,0,0,140,7,72,0,0,0,0,0,2,61,0,0,200,1,0,0,2,62,0,0,198,1,0,0,2,63,0,0,215,1,0,0,2,64,0,0,39,2,0,0,2,65,0,0,120,62,0,0,2,66,0,0,140,62,0,0,2,67,0,0,216,61,0,0,136,68,0,0,0,53,68,0,136,68,0,0,1,69,176,1,3,68,68,69,137,68,0,0,1,68,120,1,3,54,53,68,1,68,108,1,3,60,53,68,1,68,208,0,3,56,53,68,1,68,144,0,3,59,53,68,1,68,96,1,3,49,53,68,1,68,192,0,3,39,53,68,1,68,180,0,3,50,53,68,1,68,132,0,3,40,53,68,25,41,53,120,25,34,53,80,25,35,53,72,25,51,53,24,25,42,53,12,0,52,53,0,82,8,5,0,106,18,5,4,45,68,8,18,64,126,0,0,1,60,0,0,137,53,0,0,139,60,0,0,25,19,1,11,1,68,40,1,3,20,0,68,40,68,6,1,0,17,68,0,25,55,56,64,25,21,56,8,25,43,56,12,25,22,56,4,25,23,56,64,1,68,136,0,3,24,56,68,1,68,140,0,3,25,56,68,25,44,56,44,25,26,56,60,25,45,56,8,25,27,60,11,25,28,60,4,25,29,4,80,25,30,4,84,25,31,4,76,25,32,56,4,25,46,51,36,25,47,51,24,25,48,51,12,25,57,59,24,25,58,59,12,25,33,56,4,25,36,54,36,25,37,54,24,25,38,54,12,1,5,0,0,1,7,0,0,82,68,8,0,135,16,22,0,68,0,0,0,1,68,255,0,19,68,16,68,78,70,19,0,34,70,70,0,121,70,4,0,82,70,1,0,0,69,70,0,119,0,2,0,0,69,1,0,82,70,8,0,82,71,20,0,135,16,23,0,68,69,70,71,121,16,218,2,82,68,16,0,121,68,209,2,0,15,16,0,25,7,7,1,135,68,24,0,60,1,0,0,33,68,7,0,19,68,68,17,121,68,199,0,85,21,65,0,1,68,160,62,85,56,68,0,1,68,180,62,85,55,68,0,1,68,0,0,85,22,68,0,1,68,0,0,132,0,0,68,1,71,16,2,135,68,3,0,71,23,43,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,10,0,119,0,195,2,1,68,0,0,85,24,68,0,1,68,255,255,85,25,68,0,1,68,100,62,85,56,68,0,85,55,66,0,85,21,65,0,1,68,0,0,132,0,0,68,1,71,177,1,135,68,1,0,71,43,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,11,0,119,0,174,2,85,43,67,0,1,68,0,0,85,44,68,0,1,71,0,0,109,44,4,71,1,68,0,0,109,44,8,68,1,71,0,0,109,44,12,71,1,71,24,0,85,26,71,0,1,71,0,0,85,54,71,0,1,68,0,0,109,54,4,68,1,71,0,0,109,54,8,71,1,71,0,0,132,0,0,71,1,68,17,2,135,71,3,0,68,43,54,0,130,71,0,0,0,14,71,0,1,71,0,0,132,0,0,71,38,71,14,1,121,71,3,0,1,7,9,0,119,0,144,2,135,71,9,0,54,0,0,0,78,5,27,0,41,71,5,24,42,71,71,24,34,14,71,0,1,71,0,0,132,0,0,71,1,71,47,0,121,14,4,0,82,70,60,0,0,68,70,0,119,0,2,0,0,68,60,0,121,14,4,0,82,69,28,0,0,70,69,0,119,0,4,0,1,69,255,0,19,69,5,69,0,70,69,0,135,5,2,0,71,45,68,70,130,70,0,0,0,14,70,0,1,70,0,0,132,0,0,70,38,70,14,1,121,70,3,0,1,7,26,0,119,0,113,2,1,70,0,0,132,0,0,70,1,70,47,0,2,68,0,0,168,203,0,0,1,71,1,0,135,5,2,0,70,5,68,71,130,71,0,0,0,14,71,0,1,71,0,0,132,0,0,71,38,71,14,1,121,71,3,0,1,7,26,0,119,0,97,2,1,71,0,0,132,0,0,71,1,68,208,3,135,71,20,0,68,5,7,0,130,71,0,0,0,14,71,0,1,71,0,0,132,0,0,71,38,71,14,1,121,71,3,0,1,7,26,0,119,0,84,2,1,71,0,0,132,0,0,71,1,68,18,2,135,71,3,0,68,54,43,0,130,71,0,0,0,14,71,0,1,71,0,0,132,0,0,71,38,71,14,1,121,71,3,0,1,7,27,0,119,0,71,2,78,71,27,0,34,71,71,0,121,71,7,0,82,71,60,0,1,68,0,0,83,71,68,0,1,68,0,0,85,28,68,0,119,0,5,0,1,68,0,0,83,60,68,0,1,68,0,0,83,27,68,0,1,68,0,0,132,0,0,68,1,71,244,1,1,70,0,0,135,68,3,0,71,60,70,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,22,0,119,0,44,2,116,60,54,0,106,70,54,4,109,60,4,70,106,68,54,8,109,60,8,68,1,68,0,0,85,54,68,0,1,70,0,0,109,54,4,70,1,68,0,0,109,54,8,68,135,68,9,0,54,0,0,0,1,68,100,62,85,56,68,0,85,55,66,0,85,45,65,0,85,43,67,0,135,68,9,0,44,0,0,0,135,68,25,0,43,0,0,0,1,70,192,62,135,68,26,0,56,70,0,0,135,68,27,0,55,0,0,0,1,68,0,0,132,0,0,68,135,68,3,0,61,49,60,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,24,0,119,0,5,2,1,68,0,0,85,39,68,0,1,70,0,0,109,39,4,70,1,68,0,0,109,39,8,68,135,14,16,0,2,0,0,0,1,68,0,0,132,0,0,68,1,70,74,0,135,68,7,0,70,39,2,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,44,0,119,0,240,1,1,68,0,0,132,0,0,68,1,70,92,0,135,68,7,0,70,59,49,39,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,45,0,119,0,227,1,135,68,9,0,39,0,0,0,135,68,9,0,49,0,0,0,82,5,15,0,1,68,0,0,132,0,0,68,1,68,64,1,135,13,8,0,68,5,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,47,0,119,0,209,1,1,68,0,0,132,0,0,68,1,68,65,1,135,14,8,0,68,5,0,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,48,0,119,0,196,1,1,68,0,0,132,0,0,68,1,68,70,1,135,10,8,0,68,5,0,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,49,0,119,0,183,1,1,68,0,0,132,0,0,68,1,68,71,1,135,11,8,0,68,5,0,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,50,0,119,0,170,1,1,68,0,0,132,0,0,68,1,68,72,1,135,12,8,0,68,5,0,0,130,68,0,0,0,9,68,0,1,68,0,0,132,0,0,68,38,68,9,1,121,68,3,0,1,7,51,0,119,0,157,1,1,68,0,0,132,0,0,68,1,68,73,1,135,5,8,0,68,5,0,0,130,68,0,0,0,9,68,0,1,68,0,0,132,0,0,68,38,68,9,1,121,68,3,0,1,7,52,0,119,0,144,1,33,9,13,0,120,5,184,0,120,9,64,0,120,12,2,0,119,0,114,1,1,68,0,0,85,52,68,0,1,70,0,0,109,52,4,70,1,68,0,0,109,52,8,68,135,14,16,0,12,0,0,0,1,68,0,0,132,0,0,68,1,70,74,0,135,68,7,0,70,52,12,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,62,0,119,0,118,1,1,68,0,0,85,54,68,0,1,70,0,0,109,54,4,70,1,68,0,0,109,54,8,68,135,14,16,0,2,0,0,0,1,68,0,0,132,0,0,68,1,70,74,0,135,68,7,0,70,54,2,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,94,0,119,0,97,1,1,68,0,0,132,0,0,68,1,70,21,0,135,68,12,0,70,0,4,52,54,0,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,95,0,119,0,83,1,135,68,9,0,54,0,0,0,135,68,9,0,52,0,0,0,119,0,53,1,120,12,13,0,1,68,0,0,132,0,0,68,135,68,3,0,61,54,60,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,24,0,1,7,62,0,119,0,65,1,1,68,0,0,85,54,68,0,1,70,0,0,109,54,4,70,1,68,0,0,109,54,8,68,135,11,16,0,12,0,0,0,1,68,0,0,132,0,0,68,1,70,74,0,135,68,7,0,70,54,12,11,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,62,0,119,0,44,1,1,68,0,0,132,0,0,68,135,68,3,0,61,42,54,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,83,0,119,0,32,1,1,68,0,0,132,0,0,68,1,70,93,0,135,68,7,0,70,51,59,42,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,84,0,119,0,19,1,135,68,9,0,42,0,0,0,82,5,29,0,82,68,30,0,45,68,5,68,136,134,0,0,1,68,0,0,132,0,0,68,135,68,3,0,64,31,51,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,18,0,1,7,85,0,119,0,1,1,1,68,0,0,132,0,0,68,135,68,3,0,63,5,51,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,85,0,119,0,245,0,82,68,29,0,25,68,68,48,85,29,68,0,85,56,13,0,85,32,14,0,1,68,0,0,132,0,0,68,1,70,16,0,135,68,12,0,70,0,51,56,3,0,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,86,0,119,0,226,0,135,68,9,0,46,0,0,0,135,68,9,0,47,0,0,0,135,68,9,0,48,0,0,0,135,68,9,0,51,0,0,0,135,68,9,0,54,0,0,0,119,0,190,0,33,68,14,0,20,68,9,68,121,68,52,0,1,68,0,0,132,0,0,68,135,68,3,0,61,50,60,0,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,53,0,119,0,200,0,1,68,0,0,132,0,0,68,1,70,93,0,135,68,7,0,70,54,59,50,130,68,0,0,0,12,68,0,1,68,0,0,132,0,0,68,38,68,12,1,121,68,3,0,1,7,54,0,119,0,187,0,85,56,13,0,85,33,14,0,1,68,0,0,132,0,0,68,1,70,16,0,135,68,12,0,70,0,54,56,3,0,0,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,55,0,119,0,171,0,135,68,9,0,36,0,0,0,135,68,9,0,37,0,0,0,135,68,9,0,38,0,0,0,135,68,9,0,54,0,0,0,135,68,9,0,50,0,0,0,19,68,11,10,32,68,68,255,121,68,45,0,1,68,0,0,85,40,68,0,1,70,0,0,109,40,4,70,1,68,0,0,109,40,8,68,135,14,16,0,5,0,0,0,1,68,0,0,132,0,0,68,1,70,74,0,135,68,7,0,70,40,5,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,62,0,119,0,137,0,1,68,0,0,132,0,0,68,0,5,54,0,0,9,3,0,25,10,5,40,116,5,9,0,25,5,5,4,25,9,9,4,54,68,5,10,124,136,0,0,135,68,3,0,62,40,54,0,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,63,0,119,0,117,0,135,68,9,0,40,0,0,0,119,0,89,0,1,68,0,0,85,41,68,0,1,70,0,0,109,41,4,70,1,68,0,0,109,41,8,68,135,14,16,0,5,0,0,0,1,68,0,0,132,0,0,68,1,70,74,0,135,68,7,0,70,41,5,14,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,62,0,119,0,93,0,1,68,0,0,132,0,0,68,1,70,96,0,135,68,7,0,70,56,10,11,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,70,0,119,0,80,0,1,68,0,0,132,0,0,68,1,70,97,0,1,71,0,0,1,69,0,0,135,68,7,0,70,35,71,69,130,68,0,0,0,14,68,0,1,68,0,0,132,0,0,68,38,68,14,1,121,68,3,0,1,7,70,0,119,0,65,0,1,68,0,0,132,0,0,68,116,54,35,0,106,69,35,4,109,54,4,69,1,68,7,0,135,69,11,0,68,34,2,13,56,54,0,0,130,69,0,0,0,14,69,0,1,69,0,0,132,0,0,69,38,69,14,1,121,69,3,0,1,7,70,0,119,0,48,0,1,69,0,0,132,0,0,69,0,5,54,0,0,9,34,0,25,10,5,40,116,5,9,0,25,5,5,4,25,9,9,4,54,69,5,10,224,137,0,0,135,69,3,0,62,41,54,0,130,69,0,0,0,14,69,0,1,69,0,0,132,0,0,69,38,69,14,1,121,69,3,0,1,7,70,0,119,0,28,0,135,69,9,0,41,0,0,0,25,15,15,4,135,69,9,0,57,0,0,0,135,69,9,0,58,0,0,0,135,69,9,0,59,0,0,0,135,69,9,0,60,0,0,0,82,69,15,0,33,69,69,0,120,69,50,253,135,69,28,0,16,0,0,0,121,6,4,0,1,5,1,0,1,7,102,0,119,0,8,0,1,5,1,0,25,8,8,4,45,69,8,18,132,138,0,0,1,7,102,0,119,0,2,0,119,0,17,253,1,69,9,0,1,68,94,0,138,7,69,68,16,140,0,0,52,140,0,0,64,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,76,140,0,0,12,140,0,0,100,140,0,0,12,140,0,0,112,140,0,0,124,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,136,140,0,0,148,140,0,0,12,140,0,0,168,140,0,0,180,140,0,0,192,140,0,0,204,140,0,0,216,140,0,0,228,140,0,0,240,140,0,0,252,140,0,0,8,141,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,52,141,0,0,64,141,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,84,141,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,104,141,0,0,116,141,0,0,136,141,0,0,148,141,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,160,141,0,0,172,141,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,12,140,0,0,192,141,0,0,119,0,112,0,135,5,4,0,135,69,9,0,54,0,0,0,135,69,9,0,44,0,0,0,135,69,25,0,43,0,0,0,1,7,12,0,119,0,103,0,135,5,4,0,1,7,13,0,119,0,100,0,135,5,4,0,1,7,12,0,119,0,97,0,1,71,0,0,135,68,18,0,71,0,0,0,135,69,19,0,68,0,0,0,119,0,91,0,135,5,4,0,1,7,25,0,119,0,88,0,135,5,4,0,1,7,28,0,119,0,85,0,135,5,4,0,1,7,28,0,119,0,82,0,135,5,4,0,1,7,46,0,119,0,79,0,135,5,4,0,135,69,9,0,39,0,0,0,1,7,46,0,119,0,74,0,135,5,4,0,1,7,98,0,119,0,71,0,135,5,4,0,1,7,98,0,119,0,68,0,135,5,4,0,1,7,98,0,119,0,65,0,135,5,4,0,1,7,98,0,119,0,62,0,135,5,4,0,1,7,98,0,119,0,59,0,135,5,4,0,1,7,98,0,119,0,56,0,135,5,4,0,1,7,57,0,119,0,53,0,135,5,4,0,1,7,56,0,119,0,50,0,135,5,4,0,135,69,9,0,36,0,0,0,135,69,9,0,37,0,0,0,135,69,9,0,38,0,0,0,135,69,9,0,54,0,0,0,1,7,56,0,119,0,39,0,135,5,4,0,1,7,98,0,119,0,36,0,135,5,4,0,135,69,9,0,40,0,0,0,1,7,98,0,119,0,31,0,135,5,4,0,135,69,9,0,41,0,0,0,1,7,98,0,119,0,26,0,135,5,4,0,1,7,88,0,119,0,23,0,135,5,4,0,135,69,9,0,42,0,0,0,1,7,88,0,119,0,18,0,135,5,4,0,1,7,87,0,119,0,15,0,135,5,4,0,1,7,87,0,119,0,12,0,135,5,4,0,1,7,96,0,119,0,9,0,135,5,4,0,135,69,9,0,54,0,0,0,1,7,96,0,119,0,4,0,137,53,0,0,139,5,0,0,119,0,1,0,32,69,7,12,121,69,6,0,1,68,192,62,135,69,26,0,56,68,0,0,1,7,13,0,119,0,56,0,32,69,7,28,121,69,21,0,1,69,100,62,85,56,69,0,85,55,66,0,85,45,65,0,85,43,67,0,135,69,9,0,44,0,0,0,135,69,25,0,43,0,0,0,1,68,192,62,135,69,26,0,56,68,0,0,135,69,27,0,55,0,0,0,0,59,5,0,135,69,9,0,60,0,0,0,135,69,6,0,59,0,0,0,119,0,34,0,32,69,7,46,121,69,9,0,135,69,9,0,49,0,0,0,0,59,5,0,135,69,9,0,60,0,0,0,135,69,6,0,59,0,0,0,119,0,24,0,32,69,7,56,121,69,5,0,135,69,9,0,50,0,0,0,1,7,57,0,119,0,18,0,32,69,7,87,121,69,11,0,135,69,9,0,46,0,0,0,135,69,9,0,47,0,0,0,135,69,9,0,48,0,0,0,135,69,9,0,51,0,0,0,1,7,88,0,119,0,6,0,32,69,7,96,121,69,4,0,135,69,9,0,52,0,0,0,1,7,98,0,32,69,7,13,121,69,5,0,135,69,27,0,55,0,0,0,1,7,25,0,119,0,10,0,32,69,7,57,121,69,3,0,1,7,98,0,119,0,6,0,32,69,7,88,121,69,4,0,135,69,9,0,54,0,0,0,1,7,98,0,32,69,7,25,121,69,7,0,0,59,5,0,135,69,9,0,60,0,0,0,135,69,6,0,59,0,0,0,119,0,14,0,32,69,7,98,121,69,12,0,135,69,9,0,57,0,0,0,135,69,9,0,58,0,0,0,135,69,9,0,59,0,0,0,0,59,5,0,135,69,9,0,60,0,0,0,135,69,6,0,59,0,0,0,1,69,0,0,139,69,0,0,140,4,33,0,0,0,0,0,2,25,0,0,255,0,0,0,2,26,0,0,255,1,0,0,2,27,0,0,53,137,0,0,136,28,0,0,0,20,28,0,136,28,0,0,1,29,128,1,3,28,28,29,137,28,0,0,0,19,20,0,1,28,116,1,3,22,20,28,1,28,112,1,3,11,20,28,1,28,72,1,3,16,20,28,25,24,20,104,25,23,20,80,25,21,20,52,25,15,20,40,1,28,32,1,3,17,20,28,1,28,16,1,3,18,20,28,25,14,20,96,1,28,224,0,3,7,0,28,1,28,228,0,3,4,0,28,82,28,4,0,82,29,7,0,4,28,28,29,42,28,28,3,0,8,28,0,25,29,0,76,135,28,29,0,29,8,0,0,82,5,4,0,1,28,232,0,94,28,0,28,45,28,5,28,36,144,0,0,135,28,30,0,7,2,0,0,119,0,9,0,0,10,2,0,106,12,10,4,0,13,5,0,116,13,10,0,109,13,4,12,82,28,4,0,25,28,28,8,85,4,28,0,25,10,1,36,1,28,48,1,3,4,0,28,82,5,4,0,1,28,52,1,94,28,0,28,45,28,5,28,120,144,0,0,1,29,44,1,3,29,0,29,135,28,31,0,29,10,0,0,119,0,6,0,135,28,24,0,5,10,0,0,82,28,4,0,25,28,28,12,85,4,28,0,1,29,176,1,3,29,0,29,25,30,0,4,135,28,32,0,19,10,29,30,1,28,60,1,3,4,0,28,82,5,4,0,1,28,64,1,94,28,0,28,48,28,5,28,248,144,0,0,116,5,19,0,106,30,19,4,109,5,4,30,106,28,19,8,109,5,8,28,1,28,0,0,85,19,28,0,1,30,0,0,109,19,4,30,1,28,0,0,109,19,8,28,82,28,4,0,25,28,28,12,85,4,28,0,119,0,19,0,1,28,0,0,132,0,0,28,1,30,25,2,1,29,56,1,3,29,0,29,135,28,3,0,30,29,19,0,130,28,0,0,0,13,28,0,1,28,0,0,132,0,0,28,38,28,13,1,121,28,6,0,135,24,4,0,135,28,9,0,19,0,0,0,135,28,6,0,24,0,0,0,135,28,9,0,19,0,0,0,25,6,10,11,102,29,1,11,34,29,29,0,121,29,4,0,82,29,1,0,0,28,29,0,119,0,2,0,0,28,1,0,78,30,6,0,34,30,30,0,121,30,4,0,82,30,10,0,0,29,30,0,119,0,2,0,0,29,10,0,82,30,2,0,106,31,2,4,135,4,33,0,28,29,30,31,85,11,4,0,1,31,16,1,3,12,0,31,1,31,20,1,3,9,0,31,82,5,9,0,1,31,24,1,94,31,0,31,45,31,5,31,200,145,0,0,135,31,34,0,12,11,0,0,119,0,5,0,85,5,4,0,82,31,9,0,25,31,31,4,85,9,31,0,82,31,7,0,41,30,8,3,94,7,31,30,78,30,6,0,34,30,30,0,121,30,4,0,82,30,10,0,0,31,30,0,119,0,2,0,0,31,10,0,135,4,35,0,31,0,0,0,85,19,4,0,1,31,216,0,3,5,0,31,82,6,5,0,1,31,220,0,94,31,0,31,48,31,6,31,60,146,0,0,85,6,4,0,82,31,5,0,25,4,31,4,85,5,4,0,119,0,6,0,1,30,212,0,3,30,0,30,135,31,36,0,30,19,0,0,82,4,5,0,26,30,4,4,82,30,30,0,135,31,37,0,16,30,7,8,82,6,12,0,82,31,9,0,4,4,31,6,32,31,4,8,121,31,3,0,1,13,18,0,119,0,97,1,82,31,11,0,106,1,31,4,42,31,4,2,26,5,31,2,1,4,0,0,41,30,4,2,94,30,6,30,106,30,30,4,135,31,38,0,30,1,0,0,120,31,2,0,119,0,7,0,25,4,4,1,50,31,5,4,192,146,0,0,1,13,18,0,119,0,80,1,119,0,244,255,1,31,0,0,85,22,31,0,1,30,0,0,109,22,4,30,1,31,0,0,109,22,8,31,2,30,0,0,15,137,0,0,1,29,31,0,135,31,39,0,22,30,29,0,25,9,4,2,1,31,254,255,48,31,4,31,188,150,0,0,25,6,15,11,25,1,15,4,25,7,19,11,25,8,19,4,1,5,1,0,82,31,12,0,41,29,5,2,94,31,31,29,82,0,31,0,1,31,0,0,85,21,31,0,1,29,0,0,109,21,4,29,1,31,0,0,109,21,8,31,135,20,16,0,0,0,0,0,1,31,0,0,132,0,0,31,1,29,74,0,135,31,7,0,29,21,0,20,130,31,0,0,0,20,31,0,1,31,0,0,132,0,0,31,38,31,20,1,121,31,3,0,1,13,31,0,119,0,160,0,1,31,0,0,132,0,0,31,1,31,46,0,1,29,0,0,2,30,0,0,47,137,0,0,135,4,2,0,31,21,29,30,130,30,0,0,0,20,30,0,1,30,0,0,132,0,0,30,38,30,20,1,121,30,3,0,1,13,32,0,119,0,144,0,116,23,4,0,106,29,4,4,109,23,4,29,106,30,4,8,109,23,8,30,1,30,0,0,85,4,30,0,1,29,0,0,109,4,4,29,1,30,0,0,109,4,8,30,1,30,0,0,132,0,0,30,1,30,206,3,135,4,20,0,30,23,27,0,130,30,0,0,0,20,30,0,1,30,0,0,132,0,0,30,38,30,20,1,121,30,3,0,1,13,33,0,119,0,120,0,116,24,4,0,106,29,4,4,109,24,4,29,106,30,4,8,109,24,8,30,1,30,0,0,85,4,30,0,1,29,0,0,109,4,4,29,1,30,0,0,109,4,8,30,25,5,5,1,82,30,12,0,41,29,5,2,94,30,30,29,82,0,30,0,1,30,0,0,85,15,30,0,1,29,0,0,109,15,4,29,1,30,0,0,109,15,8,30,135,20,16,0,0,0,0,0,1,30,0,0,132,0,0,30,1,29,74,0,135,30,7,0,29,15,0,20,130,30,0,0,0,20,30,0,1,30,0,0,132,0,0,30,38,30,20,1,121,30,3,0,1,13,34,0,119,0,83,0,78,4,6,0,41,30,4,24,42,30,30,24,34,20,30,0,1,30,0,0,132,0,0,30,1,30,41,0,121,20,4,0,82,31,15,0,0,29,31,0,119,0,2,0,0,29,15,0,121,20,4,0,82,28,1,0,0,31,28,0,119,0,3,0,19,28,4,25,0,31,28,0,135,4,2,0,30,24,29,31,130,31,0,0,0,20,31,0,1,31,0,0,132,0,0,31,38,31,20,1,121,31,3,0,1,13,35,0,119,0,55,0,116,19,4,0,106,29,4,4,109,19,4,29,106,31,4,8,109,19,8,31,1,31,0,0,85,4,31,0,1,29,0,0,109,4,4,29,1,31,0,0,109,4,8,31,78,20,7,0,41,31,20,24,42,31,31,24,34,0,31,0,1,31,0,0,132,0,0,31,1,29,41,0,121,0,4,0,82,28,19,0,0,30,28,0,119,0,2,0,0,30,19,0,121,0,4,0,82,32,8,0,0,28,32,0,119,0,3,0,19,32,20,25,0,28,32,0,135,31,2,0,29,22,30,28,130,31,0,0,0,20,31,0,1,31,0,0,132,0,0,31,38,31,20,1,121,31,3,0,1,13,36,0,119,0,16,0,135,31,9,0,19,0,0,0,135,31,9,0,15,0,0,0,135,31,9,0,24,0,0,0,135,31,9,0,23,0,0,0,135,31,9,0,21,0,0,0,50,31,9,5,240,149,0,0,1,13,23,0,119,0,53,0,119,0,73,255,32,31,13,31,121,31,3,0,135,4,4,0,119,0,27,0,32,31,13,32,121,31,4,0,135,4,4,0,1,13,40,0,119,0,22,0,32,31,13,33,121,31,4,0,135,4,4,0,1,13,39,0,119,0,17,0,32,31,13,34,121,31,4,0,135,4,4,0,1,13,38,0,119,0,12,0,32,31,13,35,121,31,4,0,135,4,4,0,1,13,37,0,119,0,7,0,32,31,13,36,121,31,5,0,135,4,4,0,135,31,9,0,19,0,0,0,1,13,37,0,32,31,13,37,121,31,4,0,135,31,9,0,15,0,0,0,1,13,38,0,32,31,13,38,121,31,4,0,135,31,9,0,24,0,0,0,1,13,39,0,32,31,13,39,121,31,4,0,135,31,9,0,23,0,0,0,1,13,40,0,32,31,13,40,121,31,5,0,135,31,9,0,21,0,0,0,119,0,2,0,1,13,23,0,32,31,13,23,121,31,76,0,0,1,24,0,125,4,3,3,16,0,0,0,25,5,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,31,1,5,216,150,0,0,1,31,76,0,135,6,40,0,31,0,0,0,0,1,17,0,0,4,24,0,25,5,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,31,1,5,4,151,0,0,1,31,0,0,132,0,0,31,1,28,200,1,135,31,3,0,28,18,22,0,130,31,0,0,0,24,31,0,1,31,0,0,132,0,0,31,38,31,24,1,121,31,4,0,135,4,4,0,1,13,46,0,119,0,38,0,1,31,0,0,132,0,0,31,0,1,19,0,0,4,17,0,25,5,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,31,1,5,100,151,0,0,1,28,17,0,135,31,12,0,28,6,19,18,12,0,0,0,130,31,0,0,0,24,31,0,1,31,0,0,132,0,0,31,38,31,24,1,121,31,3,0,1,5,1,0,119,0,11,0,1,31,0,0,132,0,0,31,1,28,75,0,1,30,72,8,1,29,175,0,135,31,7,0,28,6,30,29,1,31,0,0,132,0,0,31,1,5,0,0,135,4,4,0,135,31,9,0,18,0,0,0,121,5,2,0,1,13,46,0,32,31,13,46,121,31,3,0,135,31,41,0,6,0,0,0,135,31,9,0,22,0,0,0,32,31,13,18,121,31,51,1,0,1,19,0,0,4,16,0,25,5,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,31,1,5,16,152,0,0,1,29,0,0,135,31,42,0,24,7,0,19,29,0,0,0,1,31,0,0,132,0,0,31,1,29,64,1,82,30,11,0,135,31,8,0,29,30,0,0,130,31,0,0,0,18,31,0,1,31,0,0,132,0,0,31,38,31,18,1,121,31,3,0,1,13,73,0,119,0,240,0,1,31,0,0,132,0,0,31,1,30,65,1,82,29,11,0,135,31,8,0,30,29,0,0,130,31,0,0,0,18,31,0,1,31,0,0,132,0,0,31,38,31,18,1,121,31,3,0,1,13,73,0,119,0,226,0,1,31,0,0,132,0,0,31,1,29,26,2,135,31,3,0,29,23,24,0,130,31,0,0,0,18,31,0,1,31,0,0,132,0,0,31,38,31,18,1,121,31,3,0,1,13,73,0,119,0,213,0,1,31,0,0,132,0,0,31,1,29,174,1,82,30,9,0,26,30,30,4,82,30,30,0,135,31,1,0,29,30,0,0,130,31,0,0,0,18,31,0,1,31,0,0,132,0,0,31,38,31,18,1,121,31,5,0,135,4,4,0,128,31,0,0,0,5,31,0,119,0,192,0,82,31,9,0,26,31,31,4,85,9,31,0,1,31,0,0,132,0,0,31,1,30,204,1,106,29,23,4,135,31,3,0,30,14,29,0,130,31,0,0,0,18,31,0,1,31,0,0,132,0,0,31,38,31,18,1,121,31,5,0,135,4,4,0,128,31,0,0,0,5,31,0,119,0,173,0,1,31,212,26,85,14,31,0,0,17,2,0,106,18,17,4,0,4,19,0,116,4,17,0,109,4,4,18,25,4,19,8,1,31,0,0,132,0,0,31,1,29,204,1,106,30,14,4,135,31,3,0,29,4,30,0,130,31,0,0,0,18,31,0,1,31,0,0,132,0,0,31,38,31,18,1,121,31,5,0,135,4,4,0,128,31,0,0,0,5,31,0,119,0,147,0,1,31,212,26,85,4,31,0,1,31,0,0,132,0,0,31,1,30,200,1,135,31,3,0,30,21,10,0,130,31,0,0,0,18,31,0,1,31,0,0,132,0,0,31,38,31,18,1,121,31,5,0,135,4,4,0,128,31,0,0,0,5,31,0,119,0,127,0,0,17,19,0,106,18,17,4,25,4,21,12,116,4,17,0,109,4,4,18,25,4,21,20,1,31,0,0,132,0,0,31,1,30,204,1,106,29,19,12,135,31,3,0,30,4,29,0,130,31,0,0,0,18,31,0,1,31,0,0,132,0,0,31,38,31,18,1,121,31,7,0,135,4,4,0,128,31,0,0,0,5,31,0,135,31,9,0,21,0,0,0,119,0,103,0,1,31,212,26,85,4,31,0,25,29,19,8,135,31,5,0,29,0,0,0,135,31,5,0,14,0,0,0,1,31,236,0,3,6,0,31,135,1,43,0,6,19,21,0,82,31,1,0,120,31,43,0,1,31,0,0,132,0,0,31,1,29,94,0,135,31,7,0,29,22,6,21,130,31,0,0,0,18,31,0,1,31,0,0,132,0,0,31,38,31,18,1,121,31,10,0,135,4,4,0,128,31,0,0,0,5,31,0,25,29,21,20,135,31,5,0,29,0,0,0,135,31,9,0,21,0,0,0,119,0,75,0,82,5,19,0,82,4,22,0,1,31,0,0,85,4,31,0,1,29,0,0,109,4,4,29,109,4,8,5,85,1,4,0,82,29,6,0,82,5,29,0,121,5,3,0,85,6,5,0,82,4,1,0,1,31,240,0,94,31,0,31,135,29,44,0,31,4,0,0,1,29,244,0,3,22,0,29,82,29,22,0,25,29,29,1,85,22,29,0,25,31,21,20,135,29,5,0,31,0,0,0,135,29,9,0,21,0,0,0,135,29,5,0,23,0,0,0,106,4,24,56,0,5,4,0,121,4,14,0,25,6,24,60,82,1,6,0,46,29,1,4,160,155,0,0,26,29,1,4,4,29,29,5,43,29,29,2,11,29,29,0,41,29,29,2,3,29,1,29,85,6,29,0,135,29,10,0,4,0,0,0,25,1,24,44,82,4,1,0,120,4,3,0,137,20,0,0,139,0,0,0,25,6,24,48,82,5,6,0,46,29,5,4,248,155,0,0,26,24,5,8,85,6,24,0,82,31,24,0,82,31,31,0,19,31,31,26,135,29,14,0,31,24,0,0,82,5,6,0,53,29,5,4,204,155,0,0,82,4,1,0,135,29,10,0,4,0,0,0,137,20,0,0,139,0,0,0,25,31,19,8,135,29,5,0,31,0,0,0,135,29,5,0,14,0,0,0,135,29,5,0,23,0,0,0,0,8,5,0,32,29,13,73,121,29,4,0,135,4,4,0,128,29,0,0,0,8,29,0,106,5,24,56,0,6,5,0,121,5,14,0,25,1,24,60,82,7,1,0,46,29,7,5,116,156,0,0,26,29,7,4,4,29,29,6,43,29,29,2,11,29,29,0,41,29,29,2,3,29,7,29,85,1,29,0,135,29,10,0,5,0,0,0,25,7,24,44,82,5,7,0,121,5,18,0,25,1,24,48,82,6,1,0,46,29,6,5,196,156,0,0,26,24,6,8,85,1,24,0,82,31,24,0,82,31,31,0,19,31,31,26,135,29,14,0,31,24,0,0,82,6,1,0,53,29,6,5,152,156,0,0,82,5,7,0,135,29,10,0,5,0,0,0,0,24,4,0,135,29,6,0,24,0,0,0,139,0,0,0,140,3,37,0,0,0,0,0,2,30,0,0,204,1,0,0,2,31,0,0,100,26,0,0,2,32,0,0,168,1,0,0,1,27,0,0,136,33,0,0,0,25,33,0,136,33,0,0,1,34,240,0,3,33,33,34,137,33,0,0,1,33,200,0,3,19,25,33,1,33,160,0,3,3,25,33,1,33,144,0,3,6,25,33,1,33,136,0,3,26,25,33,25,4,25,96,25,10,25,80,25,11,25,72,25,13,25,64,25,12,25,56,25,18,25,88,25,14,25,48,25,15,25,40,25,16,25,32,25,17,25,24,25,22,25,16,25,23,25,8,0,24,25,0,1,33,152,0,3,28,1,33,82,29,28,0,25,21,29,1,85,28,21,0,1,33,0,2,48,33,33,21,176,158,0,0,1,33,76,0,135,5,40,0,33,0,0,0,0,7,3,0,25,8,1,108,25,9,7,40,116,7,8,0,25,7,7,4,25,8,8,4,54,33,7,9,164,157,0,0,1,33,0,0,132,0,0,33,1,34,200,1,2,35,0,0,36,60,1,0,135,33,3,0,34,6,35,0,130,33,0,0,0,27,33,0,1,33,0,0,132,0,0,33,38,33,27,1,121,33,3,0,135,3,4,0,119,0,42,0,1,33,0,0,132,0,0,33,0,7,19,0,0,8,3,0,25,9,7,40,116,7,8,0,25,7,7,4,25,8,8,4,54,33,7,9,8,158,0,0,1,35,24,0,1,34,0,0,135,33,12,0,35,5,19,6,34,0,0,0,130,33,0,0,0,27,33,0,1,33,0,0,132,0,0,33,38,33,27,1,121,33,3,0,1,4,1,0,119,0,11,0,1,33,0,0,132,0,0,33,1,34,75,0,1,35,96,11,1,36,175,0,135,33,7,0,34,5,35,36,1,33,0,0,132,0,0,33,1,4,0,0,135,3,4,0,135,33,9,0,6,0,0,0,120,4,5,0,0,27,3,0,85,28,29,0,135,33,6,0,27,0,0,0,135,33,41,0,5,0,0,0,0,27,3,0,85,28,29,0,135,33,6,0,27,0,0,0,1,33,0,0,132,0,0,33,106,36,1,48,26,36,36,4,82,36,36,0,135,33,3,0,30,26,36,0,130,33,0,0,0,21,33,0,1,33,0,0,132,0,0,33,38,33,21,1,121,33,5,0,135,27,4,0,85,28,29,0,135,33,6,0,27,0,0,0,1,33,212,26,85,26,33,0,106,3,26,4,120,3,3,0,1,20,0,0,119,0,2,0,102,20,3,84,1,33,0,0,132,0,0,33,1,36,137,0,1,35,0,0,1,34,1,0,135,33,2,0,36,1,35,34,130,33,0,0,0,21,33,0,1,33,0,0,132,0,0,33,38,33,21,1,121,33,3,0,1,27,25,0,119,0,21,2,1,33,0,0,132,0,0,33,1,33,59,1,1,34,84,0,135,5,8,0,33,34,0,0,130,34,0,0,0,21,34,0,1,34,0,0,132,0,0,34,38,34,21,1,121,34,3,0,1,27,25,0,119,0,7,2,25,21,1,108,0,7,4,0,0,8,21,0,25,9,7,40,116,7,8,0,25,7,7,4,25,8,8,4,54,34,7,9,148,159,0,0,1,34,0,0,132,0,0,34,1,33,0,0,135,34,3,0,30,10,33,0,130,34,0,0,0,9,34,0,1,34,0,0,132,0,0,34,38,34,9,1,121,34,3,0,135,3,4,0,119,0,239,1,85,10,31,0,1,34,0,0,132,0,0,34,1,33,0,0,135,34,3,0,30,11,33,0,130,34,0,0,0,9,34,0,1,34,0,0],eb+30720);HEAPU8.set([132,0,0,34,38,34,9,1,121,34,5,0,135,3,4,0,135,34,5,0,10,0,0,0,119,0,223,1,1,34,212,26,85,11,34,0,1,34,0,0,132,0,0,34,0,7,19,0,0,8,4,0,25,9,7,40,116,7,8,0,25,7,7,4,25,8,8,4,54,34,7,9,56,160,0,0,1,33,32,0,135,34,12,0,33,5,19,10,11,0,0,0,130,34,0,0,0,9,34,0,1,34,0,0,132,0,0,34,38,34,9,1,121,34,3,0,1,4,1,0,119,0,192,1,1,34,0,0,132,0,0,34,135,34,3,0,30,0,5,0,130,34,0,0,0,9,34,0,1,34,0,0,132,0,0,34,38,34,9,1,121,34,3,0,1,4,0,0,119,0,180,1,1,34,28,67,85,0,34,0,135,34,5,0,11,0,0,0,135,34,5,0,10,0,0,0,102,34,2,12,120,34,200,0,1,34,0,0,132,0,0,34,1,34,59,1,1,33,112,0,135,3,8,0,34,33,0,0,130,33,0,0,0,13,33,0,1,33,0,0,132,0,0,33,38,33,13,1,121,33,3,0,1,27,30,0,119,0,254,0,1,33,0,0,132,0,0,33,0,7,19,0,0,8,21,0,25,9,7,40,116,7,8,0,25,7,7,4,25,8,8,4,54,33,7,9,24,161,0,0,1,34,80,0,1,35,0,0,135,33,7,0,34,3,19,35,130,33,0,0,0,13,33,0,1,33,0,0,132,0,0,33,38,33,13,1,121,33,6,0,135,25,4,0,135,33,10,0,3,0,0,0,0,3,25,0,119,0,229,0,1,33,0,0,132,0,0,33,135,33,3,0,30,18,3,0,130,33,0,0,0,13,33,0,1,33,0,0,132,0,0,33,38,33,13,1,121,33,3,0,1,27,30,0,119,0,217,0,85,18,31,0,25,5,18,4,82,3,5,0,1,33,0,0,132,0,0,33,1,35,29,0,106,34,2,8,1,36,0,0,135,33,12,0,35,15,1,34,36,0,0,0,130,33,0,0,0,13,33,0,1,33,0,0,132,0,0,33,38,33,13,1,121,33,3,0,1,27,47,0,119,0,124,0,25,4,3,92,25,3,3,96,82,33,3,0,120,33,3,0,1,27,38,0,119,0,13,0,1,33,0,0,132,0,0,33,1,36,167,1,135,33,1,0,36,4,0,0,130,33,0,0,0,13,33,0,1,33,0,0,132,0,0,33,38,33,13,1,120,33,2,0,1,27,38,0,32,33,27,38,121,33,101,0,25,33,15,4,116,3,33,0,1,33,0,0,132,0,0,33,135,33,1,0,32,4,0,0,130,33,0,0,0,13,33,0,1,33,0,0,132,0,0,33,38,33,13,1,120,33,89,0,1,33,0,0,132,0,0,33,82,36,3,0,135,33,3,0,30,14,36,0,130,33,0,0,0,13,33,0,1,33,0,0,132,0,0,33,38,33,13,1,120,33,78,0,1,33,12,61,85,14,33,0,135,33,5,0,14,0,0,0,135,33,5,0,15,0,0,0,106,3,0,4,1,33,0,0,132,0,0,33,82,36,5,0,135,33,3,0,30,17,36,0,130,33,0,0,0,15,33,0,1,33,0,0,132,0,0,33,38,33,15,1,121,33,3,0,1,27,47,0,119,0,61,0,85,17,31,0,25,4,3,72,25,3,3,76,82,33,3,0,120,33,3,0,1,27,43,0,119,0,13,0,1,33,0,0,132,0,0,33,1,36,167,1,135,33,1,0,36,4,0,0,130,33,0,0,0,15,33,0,1,33,0,0,132,0,0,33,38,33,15,1,120,33,2,0,1,27,43,0,32,33,27,43,121,33,33,0,25,33,17,4,116,3,33,0,1,33,0,0,132,0,0,33,135,33,1,0,32,4,0,0,130,33,0,0,0,15,33,0,1,33,0,0,132,0,0,33,38,33,15,1,120,33,21,0,1,33,0,0,132,0,0,33,82,36,3,0,135,33,3,0,30,16,36,0,130,33,0,0,0,15,33,0,1,33,0,0,132,0,0,33,38,33,15,1,120,33,10,0,85,16,31,0,135,33,5,0,16,0,0,0,135,33,5,0,17,0,0,0,135,33,5,0,18,0,0,0,1,27,51,0,119,0,82,0,135,3,4,0,135,33,5,0,17,0,0,0,119,0,4,0,135,3,4,0,135,33,5,0,15,0,0,0,32,33,27,47,121,33,2,0,135,3,4,0,135,33,5,0,18,0,0,0,119,0,69,0,106,3,0,4,1,33,0,0,132,0,0,33,1,36,106,0,1,34,0,0,135,33,7,0,36,12,1,34,130,33,0,0,0,18,33,0,1,33,0,0,132,0,0,33,38,33,18,1,121,33,3,0,1,27,30,0,119,0,54,0,25,4,3,72,25,3,3,76,82,33,3,0,120,33,3,0,1,27,21,0,119,0,13,0,1,33,0,0,132,0,0,33,1,34,167,1,135,33,1,0,34,4,0,0,130,33,0,0,0,18,33,0,1,33,0,0,132,0,0,33,38,33,18,1,120,33,2,0,1,27,21,0,32,33,27,21,121,33,31,0,25,33,12,4,116,3,33,0,1,33,0,0,132,0,0,33,135,33,1,0,32,4,0,0,130,33,0,0,0,18,33,0,1,33,0,0,132,0,0,33,38,33,18,1,120,33,19,0,1,33,0,0,132,0,0,33,82,34,3,0,135,33,3,0,30,13,34,0,130,33,0,0,0,18,33,0,1,33,0,0,132,0,0,33,38,33,18,1,120,33,8,0,85,13,31,0,135,33,5,0,13,0,0,0,135,33,5,0,12,0,0,0,1,27,51,0,119,0,4,0,135,3,4,0,135,33,5,0,12,0,0,0,32,33,27,51,121,33,153,0,1,33,6,0,85,19,33,0,25,6,1,60,82,3,6,0,106,33,1,64,48,33,3,33,48,165,0,0,1,33,6,0,85,3,33,0,25,33,3,4,85,6,33,0,119,0,15,0,1,33,0,0,132,0,0,33,1,34,55,2,25,36,1,56,135,33,3,0,34,36,19,0,130,33,0,0,0,19,33,0,1,33,0,0,132,0,0,33,38,33,19,1,121,33,3,0,135,3,4,0,119,0,127,0,25,5,0,4,82,3,5,0,1,33,0,0,132,0,0,33,1,36,121,0,1,34,0,0,135,33,7,0,36,23,1,34,130,33,0,0,0,1,33,0,1,33,0,0,132,0,0,33,38,33,1,1,121,33,3,0,1,27,30,0,119,0,111,0,25,4,3,64,25,3,3,68,82,33,3,0,120,33,3,0,1,27,57,0,119,0,13,0,1,33,0,0,132,0,0,33,1,34,167,1,135,33,1,0,34,4,0,0,130,33,0,0,0,1,33,0,1,33,0,0,132,0,0,33,38,33,1,1,120,33,2,0,1,27,57,0,32,33,27,57,121,33,88,0,25,33,23,4,116,3,33,0,1,33,0,0,132,0,0,33,135,33,1,0,32,4,0,0,130,33,0,0,0,1,33,0,1,33,0,0,132,0,0,33,38,33,1,1,120,33,76,0,1,33,0,0,132,0,0,33,82,34,3,0,135,33,3,0,30,22,34,0,130,33,0,0,0,1,33,0,1,33,0,0,132,0,0,33,38,33,1,1,120,33,65,0,1,33,212,26,85,22,33,0,135,33,5,0,22,0,0,0,135,33,5,0,23,0,0,0,82,33,6,0,26,33,33,4,85,6,33,0,1,33,0,0,132,0,0,33,1,34,56,2,82,36,5,0,135,33,3,0,34,36,21,0,130,33,0,0,0,23,33,0,1,33,0,0,132,0,0,33,38,33,23,1,121,33,3,0,1,27,30,0,119,0,45,0,1,33,0,0,132,0,0,33,82,36,5,0,106,36,36,68,135,33,3,0,30,24,36,0,130,33,0,0,0,23,33,0,1,33,0,0,132,0,0,33,38,33,23,1,121,33,3,0,1,27,30,0,119,0,31,0,1,33,212,26,85,24,33,0,1,33,0,0,132,0,0,33,1,36,56,2,106,34,24,4,135,33,3,0,36,34,21,0,130,33,0,0,0,23,33,0,1,33,0,0,132,0,0,33,38,33,23,1,121,33,5,0,135,3,4,0,135,33,5,0,24,0,0,0,119,0,13,0,135,33,5,0,24,0,0,0,82,33,5,0,107,33,80,20,135,33,5,0,26,0,0,0,85,28,29,0,137,25,0,0,139,0,0,0,135,3,4,0,135,33,5,0,23,0,0,0,32,33,27,30,121,33,2,0,135,3,4,0,135,33,5,0,0,0,0,0,119,0,10,0,135,3,4,0,135,33,5,0,11,0,0,0,135,33,5,0,10,0,0,0,120,4,2,0,119,0,3,0,135,33,10,0,5,0,0,0,32,33,27,25,121,33,2,0,135,3,4,0,135,33,5,0,26,0,0,0,0,27,3,0,85,28,29,0,135,33,6,0,27,0,0,0,139,0,0,0,140,4,29,0,0,0,0,0,2,22,0,0,24,204,0,0,2,23,0,0,255,0,0,0,2,24,0,0,77,194,0,0,1,14,0,0,136,25,0,0,0,15,25,0,136,25,0,0,1,26,224,0,3,25,25,26,137,25,0,0,1,25,184,0,3,12,15,25,1,25,172,0,3,16,15,25,25,11,15,16,1,25,160,0,3,10,15,25,0,13,15,0,135,25,45,0,16,1,2,0,25,17,16,4,82,4,16,0,82,25,17,0,4,5,25,4,1,25,1,0,28,26,5,48,48,25,25,26,104,174,0,0,25,9,11,64,25,4,11,8,1,25,120,62,85,4,25,0,25,8,11,12,1,25,160,62,85,11,25,0,1,25,180,62,85,9,25,0,1,26,0,0,109,11,4,26,1,26,0,0,132,0,0,26,1,25,16,2,25,27,11,64,135,26,3,0,25,27,8,0,130,26,0,0,0,7,26,0,1,26,0,0,132,0,0,26,38,26,7,1,121,26,3,0,135,4,4,0,119,0,108,1,1,26,136,0,1,27,0,0,97,11,26,27,1,27,140,0,1,26,255,255,97,11,27,26,1,26,100,62,85,11,26,0,1,26,140,62,85,9,26,0,1,26,120,62,85,4,26,0,1,26,0,0,132,0,0,26,1,27,177,1,135,26,1,0,27,8,0,0,130,26,0,0,0,7,26,0,1,26,0,0,132,0,0,26,38,26,7,1,121,26,3,0,135,4,4,0,119,0,80,1,1,26,216,61,85,8,26,0,25,6,11,44,1,26,0,0,85,6,26,0,1,27,0,0,109,6,4,27,1,26,0,0,109,6,8,26,1,27,0,0,109,6,12,27,1,26,24,0,109,11,60,26,1,26,0,0,85,12,26,0,1,27,0,0,109,12,4,27,1,26,0,0,109,12,8,26,1,26,0,0,132,0,0,26,1,27,17,2,135,26,3,0,27,8,12,0,130,26,0,0,0,7,26,0,1,26,0,0,132,0,0,26,38,26,7,1,121,26,9,0,135,4,4,0,135,26,9,0,12,0,0,0,135,26,9,0,6,0,0,0,135,26,25,0,8,0,0,0,119,0,42,1,135,26,9,0,12,0,0,0,25,7,11,8,1,26,0,0,132,0,0,26,1,27,47,0,2,25,0,0,147,137,0,0,1,28,40,0,135,26,2,0,27,7,25,28,130,26,0,0,0,1,26,0,1,26,0,0,132,0,0,26,38,26,1,1,121,26,3,0,1,14,22,0,119,0,2,1,1,26,0,0,132,0,0,26,1,26,47,0,2,28,0,0,188,137,0,0,1,25,10,0,135,4,2,0,26,7,28,25,130,25,0,0,0,1,25,0,1,25,0,0,132,0,0,25,38,25,1,1,121,25,3,0,1,14,22,0,119,0,242,0,102,1,2,11,41,25,1,24,42,25,25,24,34,5,25,0,1,25,0,0,132,0,0,25,1,25,47,0,121,5,4,0,82,26,2,0,0,28,26,0,119,0,2,0,0,28,2,0,121,5,4,0,106,27,2,4,0,26,27,0,119,0,3,0,19,27,1,23,0,26,27,0,135,4,2,0,25,4,28,26,130,26,0,0,0,1,26,0,1,26,0,0,132,0,0,26,38,26,1,1,121,26,3,0,1,14,22,0,119,0,214,0,1,26,0,0,132,0,0,26,1,26,47,0,2,28,0,0,199,137,0,0,1,25,3,0,135,4,2,0,26,4,28,25,130,25,0,0,0,1,25,0,1,25,0,0,132,0,0,25,38,25,1,1,121,25,3,0,1,14,22,0,119,0,198,0,1,25,0,0,132,0,0,25,1,28,47,0,1,26,1,0,135,25,2,0,28,4,22,26,130,25,0,0,0,1,25,0,1,25,0,0,132,0,0,25,38,25,1,1,121,25,3,0,1,14,22,0,119,0,184,0,1,25,0,0,132,0,0,25,1,25,47,0,2,26,0,0,203,137,0,0,1,28,11,0,135,4,2,0,25,7,26,28,130,28,0,0,0,1,28,0,1,28,0,0,132,0,0,28,38,28,1,1,121,28,3,0,1,14,22,0,119,0,168,0,1,28,0,0,132,0,0,28,1,26,47,0,1,25,1,0,135,28,2,0,26,4,22,25,130,28,0,0,0,1,28,0,1,28,0,0,132,0,0,28,38,28,1,1,121,28,3,0,1,14,22,0,119,0,154,0,82,28,17,0,82,25,16,0,4,5,28,25,28,1,5,48,121,5,62,0,1,5,0,0,1,25,0,0,132,0,0,25,1,25,47,0,1,28,2,0,135,4,2,0,25,7,24,28,130,28,0,0,0,18,28,0,1,28,0,0,132,0,0,28,38,28,18,1,120,28,47,0,82,19,16,0,27,28,5,48,3,19,19,28,0,21,19,0,102,18,21,11,41,28,18,24,42,28,28,24,34,20,28,0,1,28,0,0,132,0,0,28,1,28,47,0,121,20,4,0,82,26,21,0,0,25,26,0,119,0,2,0,0,25,21,0,121,20,4,0,106,27,19,4,0,26,27,0,119,0,3,0,19,27,18,23,0,26,27,0,135,4,2,0,28,4,25,26,130,26,0,0,0,18,26,0,1,26,0,0,132,0,0,26,38,26,18,1,120,26,17,0,1,26,0,0,132,0,0,26,1,25,47,0,1,28,1,0,135,26,2,0,25,4,22,28,130,26,0,0,0,21,26,0,1,26,0,0,132,0,0,26,38,26,21,1,120,26,5,0,25,5,5,1,57,26,1,5,156,172,0,0,119,0,199,255,135,1,4,0,119,0,88,0,1,26,0,0,132,0,0,26,1,26,47,0,2,28,0,0,215,137,0,0,1,25,51,0,135,4,2,0,26,7,28,25,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,3,0,1,14,22,0,119,0,72,0,1,25,0,0,132,0,0,25,1,28,47,0,1,26,1,0,135,25,2,0,28,4,22,26,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,3,0,1,14,22,0,119,0,58,0,1,25,0,0,132,0,0,25,1,26,18,2,135,25,3,0,26,10,8,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,3,0,1,14,22,0,119,0,45,0,1,25,0,0,132,0,0,25,0,1,12,0,0,4,3,0,25,5,1,40,116,1,4,0,25,1,1,4,25,4,4,4,54,25,1,5,92,173,0,0,1,26,198,1,135,25,3,0,26,10,12,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,5,0,135,1,4,0,135,25,9,0,10,0,0,0,119,0,22,0,135,25,9,0,10,0,0,0,1,25,100,62,85,11,25,0,1,25,140,62,85,9,25,0,1,25,120,62,85,7,25,0,1,25,216,61,85,8,25,0,135,25,9,0,6,0,0,0,135,25,25,0,8,0,0,0,1,26,192,62,135,25,26,0,11,26,0,0,135,25,27,0,9,0,0,0,1,14,45,0,119,0,117,0,32,25,14,22,121,25,2,0,135,1,4,0,1,25,100,62,85,11,25,0,1,25,140,62,85,9,25,0,1,25,120,62,85,7,25,0,1,25,216,61,85,8,25,0,135,25,9,0,6,0,0,0,135,25,25,0,8,0,0,0,1,26,192,62,135,25,26,0,11,26,0,0,135,25,27,0,9,0,0,0,119,0,96,0,1,26,192,62,135,25,26,0,11,26,0,0,135,25,27,0,9,0,0,0,1,14,21,0,119,0,89,0,32,25,5,48,121,25,86,0,1,25,108,1,94,25,1,25,1,26,104,1,94,26,1,26,45,25,25,26,232,174,0,0,1,26,236,0,3,26,1,26,25,28,4,36,135,25,46,0,26,28,0,0,32,21,25,0,82,4,16,0,121,21,3,0,1,14,39,0,119,0,16,0,1,25,0,0,132,0,0,25,1,28,215,1,135,25,3,0,28,0,4,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,120,25,5,0,0,4,16,0,1,14,49,0,119,0,57,0,1,14,39,0,32,25,14,39,121,25,51,0,1,25,0,0,132,0,0,25,1,25,68,1,25,28,4,36,135,4,8,0,25,28,0,0,130,28,0,0,0,21,28,0,1,28,0,0,132,0,0,28,38,28,21,1,120,28,39,0,120,4,3,0,1,14,45,0,119,0,39,0,82,21,16,0,85,12,4,0,1,25,0,0,109,12,4,25,1,25,0,0,132,0,0,25,1,28,16,0,135,25,12,0,28,1,21,12,3,0,0,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,3,0,135,1,4,0,119,0,21,0,1,25,0,0,132,0,0,25,1,28,215,1,82,26,16,0,135,25,3,0,28,0,26,0,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,120,25,4,0,0,4,16,0,1,14,49,0,119,0,6,0,135,1,4,0,119,0,4,0,135,1,4,0,119,0,2,0,1,14,45,0,32,25,14,45,121,25,44,0,1,25,0,0,85,13,25,0,1,26,0,0,109,13,4,26,1,25,0,0,109,13,8,25,1,25,0,0,132,0,0,25,1,26,74,0,2,28,0,0,167,87,1,0,1,27,0,0,135,25,7,0,26,13,28,27,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,4,0,135,4,4,0,1,14,21,0,119,0,21,0,1,25,0,0,132,0,0,25,1,27,93,0,135,25,7,0,27,0,2,13,130,25,0,0,0,21,25,0,1,25,0,0,132,0,0,25,38,25,21,1,121,25,5,0,135,1,4,0,135,25,9,0,13,0,0,0,119,0,6,0,135,25,9,0,13,0,0,0,0,4,16,0,1,14,49,0,119,0,1,0,32,25,14,21,121,25,3,0,0,1,4,0,119,0,31,0,32,25,14,49,121,25,29,0,82,4,4,0,120,4,3,0,137,15,0,0,139,0,0,0,82,5,17,0,46,25,5,4,244,176,0,0,26,21,5,48,85,17,21,0,26,27,5,12,135,25,9,0,27,0,0,0,26,27,5,24,135,25,9,0,27,0,0,0,26,27,5,36,135,25,9,0,27,0,0,0,135,25,9,0,21,0,0,0,82,5,17,0,53,25,5,4,176,176,0,0,82,4,16,0,135,25,10,0,4,0,0,0,137,15,0,0,139,0,0,0,82,4,16,0,120,4,3,0,135,25,6,0,1,0,0,0,82,5,17,0,46,25,5,4,100,177,0,0,26,21,5,48,85,17,21,0,26,27,5,12,135,25,9,0,27,0,0,0,26,27,5,24,135,25,9,0,27,0,0,0,26,27,5,36,135,25,9,0,27,0,0,0,135,25,9,0,21,0,0,0,82,5,17,0,53,25,5,4,32,177,0,0,82,4,16,0,135,25,10,0,4,0,0,0,135,25,6,0,1,0,0,0,139,0,0,0,140,3,27,0,0,0,0,0,2,20,0,0,255,1,0,0,2,21,0,0,36,168,0,0,2,22,0,0,48,168,0,0,136,23,0,0,0,18,23,0,136,23,0,0,1,24,128,0,3,23,23,24,137,23,0,0,25,19,18,104,25,17,18,92,25,13,18,80,25,14,18,40,0,4,18,0,1,23,156,0,3,15,1,23,116,19,15,0,106,24,15,4,109,19,4,24,106,23,15,8,109,19,8,23,25,16,1,76,82,3,16,0,25,10,1,84,116,17,10,0,106,24,10,4,109,17,4,24,106,23,10,8,109,17,8,23,25,11,1,96,116,13,11,0,106,24,11,4,109,13,4,24,106,23,11,8,109,13,8,23,25,12,1,108,0,5,14,0,0,6,12,0,25,7,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,23,5,7,40,178,0,0,1,24,1,0,1,25,0,0,135,23,47,0,1,24,25,0,1,25,1,0,1,24,0,0,135,23,48,0,1,25,24,0,120,23,107,0,0,5,12,0,0,6,14,0,25,7,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,23,5,7,108,178,0,0,116,15,19,0,106,24,19,4,109,15,4,24,106,23,19,8,109,15,8,23,85,16,3,0,116,11,13,0,106,24,13,4,109,11,4,24,106,23,13,8,109,11,8,23,116,10,17,0,106,24,17,4,109,10,4,24,106,23,17,8,109,10,8,23,1,23,0,0,85,19,23,0,1,24,0,0,109,19,4,24,1,23,0,0,109,19,8,23,1,24,11,0,135,23,39,0,19,21,24,0,1,23,0,0,85,17,23,0,1,24,0,0,109,17,4,24,1,23,0,0,109,17,8,23,1,23,0,0,132,0,0,23,1,24,74,0,1,25,7,0,135,23,7,0,24,17,22,25,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,3,0,135,3,4,0,119,0,49,0,1,23,0,0,85,13,23,0,1,25,0,0,109,13,4,25,1,23,0,0,109,13,8,23,1,23,0,0,132,0,0,23,1,25,74,0,2,24,0,0,80,172,0,0,1,26,20,0,135,23,7,0,25,13,24,26,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,3,0,135,3,4,0,119,0,25,0,1,23,0,0,132,0,0,23,1,26,10,0,1,24,1,0,135,23,11,0,26,1,19,17,13,24,0,0,130,23,0,0,0,9,23,0,1,23,0,0,132,0,0,23,38,23,9,1,121,23,5,0,135,3,4,0,135,23,9,0,13,0,0,0,119,0,8,0,135,23,9,0,13,0,0,0,135,23,9,0,17,0,0,0,135,23,9,0,19,0,0,0,119,0,8,0,135,23,9,0,17,0,0,0,135,23,9,0,19,0,0,0,0,19,3,0,135,23,6,0,19,0,0,0,1,23,88,0,135,9,13,0,23,0,0,0,0,5,4,0,0,6,12,0,25,7,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,23,5,7,32,180,0,0,1,23,0,0,132,0,0,23,1,24,166,1,135,23,1,0,24,9,0,0,130,23,0,0,0,8,23,0,1,23,0,0,132,0,0,23,38,23,8,1,121,23,3,0,135,3,4,0,119,0,66,1,25,5,9,12,0,6,4,0,25,7,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,23,5,7,116,180,0,0,1,23,164,25,85,9,23,0,1,24,0,0,109,9,52,24,1,23,0,0,109,9,56,23,1,24,0,0,107,9,60,24,25,3,9,64,1,24,124,25,85,3,24,0,25,7,9,68,25,8,9,72,1,24,0,0,85,7,24,0,1,23,0,0,109,7,4,23,1,24,0,0,109,7,8,24,1,23,0,0,109,7,12,23,1,23,0,0,132,0,0,23,1,24,53,2,1,26,0,0,135,23,3,0,24,7,26,0,130,23,0,0,0,6,23,0,1,23,0,0,132,0,0,23,38,23,6,1,121,23,23,0,135,3,4,0,128,23,0,0,0,6,23,0,82,4,7,0,121,4,20,1,82,5,8,0,46,23,5,4,88,181,0,0,26,19,5,8,85,8,19,0,82,26,19,0,82,26,26,0,19,26,26,20,135,23,14,0,26,19,0,0,82,5,8,0,53,23,5,4,44,181,0,0,82,4,7,0,135,23,10,0,4,0,0,0,119,0,3,1,1,23,224,24,85,9,23,0,1,23,68,25,85,3,23,0,38,26,2,1,107,9,84,26,135,26,0,0,0,9,0,0,1,26,212,26,85,0,26,0,25,8,1,48,82,3,8,0,106,26,1,52,45,26,3,26,224,181,0,0,1,26,0,0,132,0,0,26,1,23,54,2,25,24,1,44,135,26,3,0,23,24,0,0,130,26,0,0,0,9,26,0,1,26,0,0,132,0,0,26,38,26,9,1,121,26,3,0,1,9,27,0,119,0,23,0,1,9,24,0,119,0,21,0,1,26,0,0,132,0,0,26,1,24,204,1,106,23,0,4,135,26,3,0,24,3,23,0,130,26,0,0,0,9,26,0,1,26,0,0,132,0,0,26,38,26,9,1,121,26,3,0,1,9,27,0,119,0,7,0,1,26,212,26,85,3,26,0,82,26,8,0,25,26,26,8,85,8,26,0,1,9,24,0,32,26,9,24,121,26,198,0,1,26,0,0,132,0,0,26,1,23,240,3,135,26,20,0,23,1,2,0,130,26,0,0,0,2,26,0,1,26,0,0,132,0,0,26,38,26,2,1,121,26,3,0,1,9,27,0,119,0,185,0,116,19,15,0,106,23,15,4,109,19,4,23,106,26,15,8,109,19,8,26,82,4,16,0,116,17,10,0,106,23,10,4,109,17,4,23,106,26,10,8,109,17,8,26,116,13,11,0,106,23,11,4,109,13,4,23,106,26,11,8,109,13,8,26,0,5,14,0,0,6,12,0,25,7,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,26,5,7,184,182,0,0,1,26,0,0,132,0,0,26,1,23,53,0,1,24,1,0,1,25,0,0,135,26,2,0,23,1,24,25,130,26,0,0,0,2,26,0,1,26,0,0,132,0,0,26,38,26,2,1,121,26,3,0,1,9,27,0,119,0,146,0,1,26,0,0,132,0,0,26,1,26,142,0,1,25,1,0,1,24,0,0,135,3,2,0,26,1,25,24,130,24,0,0,0,2,24,0,1,24,0,0,132,0,0,24,38,24,2,1,121,24,3,0,1,9,27,0,119,0,131,0,120,3,116,0,0,5,12,0,0,6,14,0,25,7,5,40,116,5,6,0,25,5,5,4,25,6,6,4,54,24,5,7,84,183,0,0,116,15,19,0,106,25,19,4,109,15,4,25,106,24,19,8,109,15,8,24,85,16,4,0,116,11,13,0,106,25,13,4,109,11,4,25,106,24,13,8,109,11,8,24,116,10,17,0,106,25,17,4,109,10,4,25,106,24,17,8,109,10,8,24,1,24,0,0,85,19,24,0,1,25,0,0,109,19,4,25,1,24,0,0,109,19,8,24,1,24,0,0,132,0,0,24,1,25,74,0,1,26,11,0,135,24,7,0,25,19,21,26,130,24,0,0,0,16,24,0,1,24,0,0,132,0,0,24,38,24,16,1,121,24,3,0,135,3,4,0,119,0,86,0,1,24,0,0,85,17,24,0,1,26,0,0,109,17,4,26,1,24,0,0,109,17,8,24,1,24,0,0,132,0,0,24,1,26,74,0,1,25,7,0,135,24,7,0,26,17,22,25,130,24,0,0,0,16,24,0,1,24,0,0,132,0,0,24,38,24,16,1,121,24,3,0,135,3,4,0,119,0,49,0,1,24,0,0,85,13,24,0,1,25,0,0,109,13,4,25,1,24,0,0,109,13,8,24,1,24,0,0,132,0,0,24,1,25,74,0,2,26,0,0,72,170,0,0,1,23,20,0,135,24,7,0,25,13,26,23,130,24,0,0,0,16,24,0,1,24,0,0,132,0,0,24,38,24,16,1,121,24,3,0,135,3,4,0,119,0,25,0,1,24,0,0,132,0,0,24,1,23,10,0,1,26,1,0,135,24,11,0,23,1,19,17,13,26,0,0,130,24,0,0,0,16,24,0,1,24,0,0,132,0,0,24,38,24,16,1,121,24,5,0,135,3,4,0,135,24,9,0,13,0,0,0,119,0,8,0,135,24,9,0,13,0,0,0,135,24,9,0,17,0,0,0,135,24,9,0,19,0,0,0,119,0,6,0,135,24,9,0,17,0,0,0,135,24,9,0,19,0,0,0,119,0,15,0,82,3,8,0,26,4,3,8,26,19,3,8,85,8,19,0,82,26,19,0,82,26,26,0,19,26,26,20,135,24,14,0,26,19,0,0,82,3,8,0,53,24,3,4,28,185,0,0,137,18,0,0,139,0,0,0,32,24,9,27,121,24,2,0,135,3,4,0,135,24,5,0,0,0,0,0,0,19,3,0,135,24,6,0,19,0,0,0,135,24,10,0,9,0,0,0,0,19,3,0,135,24,6,0,19,0,0,0,139,0,0,0,140,2,24,0,0,0,0,0,2,18,0,0,200,1,0,0,2,19,0,0,139,216,0,0,136,20,0,0,0,12,20,0,136,20,0,0,1,21,176,0,3,20,20,21,137,20,0,0,1,20,156,0,3,17,12,20,1,20,144,0,3,7,12,20,1,20,132,0,3,10,12,20,25,11,12,48,25,14,12,8,25,16,12,120,25,15,12,108,25,13,12,96,0,8,12,0,3,9,1,18,82,2,9,0,120,2,8,0,1,21,0,0,135,20,0,0,0,21,0,0,1,20,212,26,85,0,20,0,137,12,0,0,139,0,0,0,106,20,1,16,102,20,20,25,121,20,36,0,1,20,0,0,85,17,20,0,1,21,0,0,109,17,4,21,1,20,0,0,109,17,8,20,135,21,16,0,2,0,0,0,135,20,39,0,17,2,21,0,1,20,0,0,132,0,0,20,1,20,210,3,1,21,33,0,135,2,20,0,20,17,21,0,130,21,0,0,0,6,21,0,1,21,0,0,132,0,0,21,38,21,6,1,120,21,8,0,135,21,9,0,17,0,0,0,82,20,9,0,135,21,49,0,20,0,0,0,85,9,2,0,119,0,7,0,135,16,4,0,135,21,9,0,17,0,0,0,0,17,16,0,135,21,6,0,17,0,0,0,25,5,1,20,1,21,152,1,3,6,1,21,102,2,6,11,41,21,2,24,42,21,21,24,34,21,21,0,121,21,4,0,1,21,156,1,94,2,1,21,119,0,4,0,1,21,255,0,19,21,2,21,0,2,21,0,120,2,13,0,1,21,0,0,85,17,21,0,1,20,0,0,109,17,4,20,1,21,0,0,109,17,8,21,2,20,0,0,126,200,0,0,1,22,5,0,135,21,39,0,17,20,22,0,119,0,3,0,135,21,24,0,17,6,0,0,1,21,0,0,132,0,0,21,1,22,201,3,135,21,20,0,22,5,17,0,130,21,0,0,0,4,21,0,1,21,0,0,132,0,0,21,38,21,4,1,121,21,7,0,135,16,4,0,135,21,9,0,17,0,0,0,0,17,16,0,135,21,6,0,17,0,0,0,135,21,9,0,17,0,0,0,1,21,0,0,85,7,21,0,1,22,0,0,109,7,4,22,1,21,0,0,109,7,8,21,1,22,1,0,135,21,39,0,7,19,22,0,1,21,0,0,132,0,0,21,1,22,180,1,135,21,1,0,22,10,0,0,130,21,0,0,0,4,21,0,1,21,0,0,132,0,0,21,38,21,4,1,121,21,3,0,135,2,4,0,119,0,41,1,1,21,0,0,132,0,0,21,1,22,15,0,135,21,12,0,22,17,5,7,10,0,0,0,130,21,0,0,0,4,21,0,1,21,0,0,132,0,0,21,38,21,4,1,121,21,5,0,135,2,4,0,135,21,9,0,10,0,0,0,119,0,25,1,135,21,9,0,10,0,0,0,135,21,9,0,7,0,0,0,1,21,0,0,132,0,0,21,1,21,66,1,102,20,17,11,34,20,20,0,121,20,4,0,82,20,17,0,0,22,20,0,119,0,2,0,0,22,17,0,135,2,8,0,21,22,0,0,130,22,0,0,0,4,22,0,1,22,0,0,132,0,0,22,38,22,4,1,121,22,3,0,135,2,4,0,119,0,252,0,85,7,2,0,1,22,216,0,3,3,1,22,82,4,3,0,1,22,220,0,94,22,1,22,45,22,4,22,192,188,0,0,1,22,0,0,132,0,0,22,1,21,27,2,1,20,212,0,3,20,1,20,135,22,3,0,21,20,7,0,130,22,0,0,0,4,22,0,1,22,0,0,132,0,0,22,38,22,4,1,121,22,3,0,1,3,40,0,119,0,8,0,1,3,20,0,119,0,6,0,85,4,2,0,82,22,3,0,25,22,22,4,85,3,22,0,1,3,20,0,32,22,3,20,121,22,217,0,102,22,5,11,34,22,22,0,121,22,3,0,82,2,5,0,119,0,2,0,0,2,5,0,1,22,204,1,3,5,1,22,1,22,0,0,132,0,0,22,1,22,6,0,82,20,7,0,82,21,9,0,82,23,5,0,135,2,50,0,22,2,20,21,23,0,0,0,130,23,0,0,0,7,23,0,1,23,0,0,132,0,0,23,38,23,7,1,121,23,3,0,1,3,40,0,119,0,192,0,85,10,2,0,1,23,20,1,3,3,1,23,82,4,3,0,1,23,24,1,94,23,1,23,45,23,4,23,164,189,0,0,1,23,0,0,132,0,0,23,1,21,22,2,1,20,16,1,3,20,1,20,135,23,3,0,21,20,10,0,130,23,0,0,0,10,23,0,1,23,0,0,132,0,0,23,38,23,10,1,121,23,3,0,1,3,41,0,119,0,8,0,1,3,27,0,119,0,6,0,85,4,2,0,82,23,3,0,25,23,23,4,85,3,23,0,1,3,27,0,32,23,3,27,121,23,157,0,1,23,0,0,132,0,0,23,135,23,3,0,18,16,6,0,130,23,0,0,0,10,23,0,1,23,0,0,132,0,0,23,38,23,10,1,121,23,3,0,135,2,4,0,119,0,145,0,1,23,0,0,85,15,23,0,1,20,0,0,109,15,4,20,1,23,0,0,109,15,8,23,1,23,0,0,132,0,0,23,1,20,74,0,1,21,1,0,135,23,7,0,20,15,19,21,130,23,0,0,0,10,23,0,1,23,0,0,132,0,0,23,38,23,10,1,121,23,3,0,135,2,4,0,119,0,123,0,1,23,0,0,132,0,0,23,1,21,92,0,135,23,7,0,21,14,16,15,130,23,0,0,0,10,23,0,1,23,0,0,132,0,0,23,38,23,10,1,121,23,3,0,135,2,4,0,119,0,108,0,1,23,0,0,132,0,0,23,135,23,3,0,18,13,6,0,130,23,0,0,0,10,23,0,1,23,0,0,132,0,0,23,38,23,10,1,121,23,3,0,135,2,4,0,119,0,88,0,1,23,0,0,132,0,0,23,1,21,93,0,135,23,7,0,21,11,14,13,130,23,0,0,0,10,23,0,1,23,0,0,132,0,0,23,38,23,10,1,121,23,3,0,135,2,4,0,119,0,73,0,82,10,5,0,116,8,9,0,109,8,4,10,1,23,0,0,132,0,0,23,1,21,16,0,1,20,0,0,135,23,12,0,21,1,11,8,20,0,0,0,130,23,0,0,0,10,23,0,1,23,0,0,132,0,0,23,38,23,10,1,121,23,14,0,135,2,4,0,25,20,11,36,135,23,9,0,20,0,0,0,25,20,11,24,135,23,9,0,20,0,0,0,25,20,11,12,135,23,9,0,20,0,0,0,135,23,9,0,11,0,0,0,119,0,44,0,25,20,11,36,135,23,9,0,20,0,0,0,25,20,11,24,135,23,9,0,20,0,0,0,25,20,11,12,135,23,9,0,20,0,0,0,135,23,9,0,11,0,0,0,135,23,9,0,13,0,0,0,25,20,14,24,135,23,9,0,20,0,0,0,25,20,14,12,135,23,9,0,20,0,0,0,135,23,9,0,14,0,0,0,135,23,9,0,15,0,0,0,135,23,9,0,16,0,0,0,1,23,0,0,132,0,0,23,82,20,1,0,106,20,20,12,135,23,3,0,20,0,1,0,130,23,0,0,0,16,23,0,1,23,0,0,132,0,0,23,38,23,16,1,121,23,3,0,1,3,41,0,119,0,19,0,135,23,9,0,17,0,0,0,137,12,0,0,139,0,0,0,135,23,9,0,13,0,0,0,25,20,14,24,135,23,9,0,20,0,0,0,25,20,14,12,135,23,9,0,20,0,0,0,135,23,9,0,14,0,0,0,135,23,9,0,15,0,0,0,135,23,9,0,16,0,0,0,32,23,3,41,121,23,2,0,135,2,4,0,32,23,3,40,121,23,2,0,135,2,4,0,135,23,9,0,17,0,0,0,0,17,2,0,135,23,6,0,17,0,0,0,135,23,9,0,7,0,0,0,0,17,2,0,135,23,6,0,17,0,0,0,139,0,0,0,140,1,23,0,0,0,0,0,2,16,0,0,212,26,0,0,2,17,0,0,204,1,0,0,2,18,0,0,148,1,0,0,1,3,0,0,136,19,0,0,0,14,19,0,136,19,0,0,25,19,19,64,137,19,0,0,25,9,14,44,25,8,14,32,25,7,14,24,25,6,14,8,0,13,14,0,120,0,4,0,1,13,1,0,137,14,0,0,139,13,0,0,82,19,0,0,1,21,0,0,1,20,2,0,138,19,21,20,248,192,0,0,92,199,0,0,1,15,255,255,137,14,0,0,139,15,0,0,119,0,158,1,106,10,0,4,120,10,4,0,1,13,1,0,137,14,0,0,139,13,0,0,106,2,0,8,120,2,4,0,1,13,1,0,137,14,0,0,139,13,0,0,106,1,10,84,121,1,4,0,0,13,1,0,137,14,0,0,139,13,0,0,25,11,0,12,1,20,40,1,97,2,20,0,1,20,1,0,85,0,20,0,1,20,0,0,132,0,0,20,1,20,211,3,106,21,10,28,2,22,0,0,167,87,1,0,135,1,20,0,20,21,22,0,130,22,0,0,0,5,22,0,1,22,0,0,132,0,0,22,38,22,5,1,121,22,3,0,1,3,15,0,119,0,226,0,1,22,0,0,85,9,22,0,1,21,0,0,109,9,4,21,1,22,0,0,109,9,8,22,135,5,16,0,1,0,0,0,1,22,0,0,132,0,0,22,1,21,74,0,135,22,7,0,21,9,1,5,130,22,0,0,0,5,22,0,1,22,0,0,132,0,0,22,38,22,5,1,121,22,3,0,1,3,15,0,119,0,205,0,1,22,0,0,132,0,0,22,1,22,211,3,106,21,10,32,2,20,0,0,167,87,1,0,135,1,20,0,22,21,20,0,130,20,0,0,0,5,20,0,1,20,0,0,132,0,0,20,38,20,5,1,121,20,3,0,1,3,16,0,119,0,181,0,1,20,0,0,85,8,20,0,1,21,0,0,109,8,4,21,1,20,0,0,109,8,8,20,135,5,16,0,1,0,0,0,1,20,0,0,132,0,0,20,1,21,74,0,135,20,7,0,21,8,1,5,130,20,0,0,0,5,20,0,1,20,0,0,132,0,0,20,38,20,5,1,121,20,3,0,1,3,16,0,119,0,160,0,106,20,10,72,32,1,20,2,1,20,0,0,132,0,0,20,82,21,2,0,106,21,21,8,135,20,3,0,21,7,2,0,130,20,0,0,0,5,20,0,1,20,0,0,132,0,0,20,38,20,5,1,121,20,5,0,1,20,0,0,135,1,18,0,20,0,0,0,119,0,140,0,25,5,7,4,82,20,5,0,120,20,20,0,1,20,0,0,132,0,0,20,1,21,0,0,135,20,3,0,17,13,21,0,130,20,0,0,0,6,20,0,1,20,0,0,132,0,0,20,38,20,6,1,121,20,6,0,1,20,0,0,135,1,18,0,20,0,0,0,1,3,39,0,119,0,107,0,85,13,16,0,1,3,38,0,119,0,104,0,1,20,0,0,132,0,0,20,1,21,51,0,106,22,2,32,135,20,12,0,21,6,2,1,22,0,0,0,130,20,0,0,0,4,20,0,1,20,0,0,132,0,0,20,38,20,4,1,121,20,5,0,1,20,0,0,135,1,18,0,20,0,0,0,119,0,86,0,1,20,0,0,132,0,0,20,1,20,157,0,25,22,10,116,1,21,0,0,135,1,2,0,20,6,22,21,130,21,0,0,0,4,21,0,1,21,0,0,132,0,0,21,38,21,4,1,121,21,22,0,1,21,0,0,135,1,18,0,21,0,0,0,82,2,6,0,120,2,2,0,119,0,67,0,25,4,6,4,82,3,4,0,46,21,3,2,208,195,0,0,26,5,3,12,85,4,5,0,135,21,9,0,5,0,0,0,82,3,4,0,53,21,3,2,176,195,0,0,82,2,6,0,135,21,10,0,2,0,0,0,119,0,52,0,32,4,1,0,82,1,6,0,121,1,15,0,25,3,6,4,82,2,3,0,46,21,2,1,24,196,0,0,26,15,2,12,85,3,15,0,135,21,9,0,15,0,0,0,82,2,3,0,53,21,2,1,248,195,0,0,82,1,6,0,135,21,10,0,1,0,0,0,121,4,15,0,1,21,4,0,135,15,40,0,21,0,0,0,135,21,51,0,15,0,0,0,1,21,0,0,132,0,0,21,1,22,75,0,1,20,128,22,135,21,7,0,22,15,20,18,1,21,0,0,132,0,0,21,119,0,15,0,1,21,0,0,132,0,0,21,82,20,5,0,135,21,3,0,17,13,20,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,120,21,4,0,85,13,16,0,1,3,38,0,119,0,7,0,1,21,0,0,135,1,18,0,21,0,0,0,1,3,39,0,119,0,2,0,1,3,39,0,32,21,3,38,121,21,8,0,135,21,5,0,7,0,0,0,135,21,9,0,8,0,0,0,135,21,9,0,9,0,0,0,119,0,16,0,32,21,3,39,121,21,4,0,135,21,5,0,7,0,0,0,119,0,1,0,135,21,9,0,8,0,0,0,32,21,3,16,121,21,4,0,1,21,0,0,135,1,18,0,21,0,0,0,135,21,9,0,9,0,0,0,1,3,42,0,32,21,3,15,121,21,5,0,1,21,0,0,135,1,18,0,21,0,0,0,1,3,42,0,32,21,3,42,121,21,110,0,135,21,52,0,1,0,0,0,1,21,0,0,132,0,0,21,1,20,142,1,135,21,8,0,20,10,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,70,0,1,21,0,0,135,15,18,0,21,0,0,0,135,21,52,0,15,0,0,0,1,21,0,0,132,0,0,21,1,20,142,1,135,21,8,0,20,10,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,21,0,135,1,4,0,1,21,0,0,132,0,0,21,1,20,3,0,135,21,53,0,20,0,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,7,0,1,21,0,0,135,15,18,0,21,0,0,0,135,21,19,0,15,0,0,0,119,0,16,0,0,12,1,0,119,0,14,0,1,21,0,0,132,0,0,21,1,20,3,0,135,21,53,0,20,0,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,120,21,2,0,119,0,22,0,135,12,4,0,1,21,0,0,132,0,0,21,1,20,3,0,135,21,53,0,20,0,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,7,0,1,21,0,0,135,15,18,0,21,0,0,0,135,21,19,0,15,0,0,0,119,0,4,0,0,15,12,0,135,21,54,0,15,0,0,0,1,21,0,0,132,0,0,21,1,20,3,0,135,21,53,0,20,0,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,120,21,14,0,1,21,0,0,132,0,0,21,1,20,0,0,135,21,3,0,17,13,20,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,120,21,3,0,85,13,16,0,119,0,4,0,135,15,4,0,135,21,54,0,15,0,0,0,46,21,11,13,68,199,0,0,25,1,0,16,82,21,1,0,121,21,17,0,1,21,0,0,132,0,0,21,1,20,167,1,135,21,1,0,20,11,0,0,130,21,0,0,0,15,21,0,1,21,0,0,132,0,0,21,38,21,15,1,121,21,6,0,135,15,4,0,135,21,5,0,13,0,0,0,135,21,6,0,15,0,0,0,25,15,13,4,116,1,15,0,1,21,0,0,85,15,21,0,135,21,5,0,13,0,0,0,1,15,0,0,137,14,0,0,139,15,0,0,119,0,1,0,1,15,0,0,137,14,0,0,139,15,0,0,119,0,96,254,1,19,0,0,139,19,0,0,140,2,23,0,0,0,0,0,2,16,0,0,255,1,0,0,2,17,0,0,212,26,0,0,2,18,0,0,204,1,0,0,1,15,0,0,136,19,0,0,0,11,19,0,136,19,0,0,25,19,19,80,137,19,0,0,0,14,11,0,25,8,11,64,25,12,11,52,25,9,11,40,135,19,55,0,1,0,0,0,1,19,88,0,135,13,13,0,19,0,0,0,25,10,1,108,0,4,14,0,0,5,10,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,19,4,6,224,199,0,0,1,19,0,0,132,0,0,19,1,20,166,1],eb+40960);HEAPU8.set([135,19,1,0,20,13,0,0,130,19,0,0,0,7,19,0,1,19,0,0,132,0,0,19,38,19,7,1,121,19,3,0,135,2,4,0,119,0,56,1,25,4,13,12,0,5,14,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,19,4,6,52,200,0,0,1,19,164,25,85,13,19,0,1,20,0,0,109,13,52,20,1,19,0,0,109,13,56,19,1,20,0,0,107,13,60,20,25,2,13,64,1,20,124,25,85,2,20,0,25,6,13,68,25,7,13,72,1,20,0,0,85,6,20,0,1,19,0,0,109,6,4,19,1,20,0,0,109,6,8,20,1,19,0,0,109,6,12,19,1,19,0,0,132,0,0,19,1,20,53,2,1,21,0,0,135,19,3,0,20,6,21,0,130,19,0,0,0,5,19,0,1,19,0,0,132,0,0,19,38,19,5,1,121,19,23,0,135,2,4,0,128,19,0,0,0,5,19,0,82,3,6,0,121,3,10,1,82,4,7,0,46,19,4,3,24,201,0,0,26,15,4,8,85,7,15,0,82,21,15,0,82,21,21,0,19,21,21,16,135,19,14,0,21,15,0,0,82,4,7,0,53,19,4,3,236,200,0,0,82,3,6,0,135,19,10,0,3,0,0,0,119,0,249,0,1,19,224,24,85,13,19,0,1,19,68,25,85,2,19,0,1,21,1,0,107,13,84,21,135,21,0,0,0,13,0,0,85,0,17,0,106,2,1,40,1,21,228,0,94,21,2,21,1,19,224,0,94,19,2,19,4,21,21,19,32,21,21,8,121,21,44,0,1,21,0,0,132,0,0,21,106,19,0,4,135,21,3,0,18,8,19,0,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,3,0,1,15,15,0,119,0,32,0,85,8,17,0,106,3,1,12,1,21,0,0,132,0,0,21,0,4,14,0,0,5,10,0,25,6,4,40,116,4,5,0,25,4,4,4,25,5,5,4,54,21,4,6,184,201,0,0,1,19,28,0,135,21,12,0,19,2,8,3,14,0,0,0,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,5,0,135,2,4,0,135,21,5,0,8,0,0,0,119,0,6,0,135,21,5,0,8,0,0,0,1,15,17,0,119,0,2,0,1,15,17,0,32,21,15,17,121,21,178,0,25,4,1,48,82,2,4,0,106,21,1,52,45,21,2,21,108,202,0,0,1,21,0,0,132,0,0,21,1,19,54,2,25,20,1,44,135,21,3,0,19,20,0,0,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,20,0,1,15,15,0,119,0,159,0,1,21,0,0,132,0,0,21,106,20,0,4,135,21,3,0,18,2,20,0,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,3,0,1,15,15,0,119,0,146,0,85,2,17,0,82,21,4,0,25,21,21,8,85,4,21,0,1,21,0,0,132,0,0,21,1,20,240,3,1,19,1,0,135,21,20,0,20,1,19,0,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,3,0,1,15,15,0,119,0,128,0,82,3,4,0,26,2,3,8,26,13,3,8,85,4,13,0,82,19,13,0,82,19,19,0,19,19,19,16,135,21,14,0,19,13,0,0,82,3,4,0,53,21,3,2,240,202,0,0,1,21,0,0,132,0,0,21,1,19,56,2,106,20,0,4,135,21,3,0,19,20,10,0,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,3,0,1,15,15,0,119,0,102,0,106,21,1,76,106,20,1,80,45,21,21,20,104,203,0,0,137,11,0,0,139,0,0,0,1,21,0,0,85,14,21,0,1,20,0,0,109,14,4,20,1,21,0,0,109,14,8,21,1,21,0,0,132,0,0,21,1,20,74,0,2,19,0,0,36,168,0,0,1,22,11,0,135,21,7,0,20,14,19,22,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,3,0,135,2,4,0,119,0,74,0,1,21,0,0,85,12,21,0,1,22,0,0,109,12,4,22,1,21,0,0,109,12,8,21,1,21,0,0,132,0,0,21,1,22,74,0,2,19,0,0,48,168,0,0,1,20,7,0,135,21,7,0,22,12,19,20,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,3,0,135,2,4,0,119,0,50,0,1,21,0,0,85,9,21,0,1,20,0,0,109,9,4,20,1,21,0,0,109,9,8,21,1,21,0,0,132,0,0,21,1,20,74,0,2,19,0,0,4,172,0,0,1,22,36,0,135,21,7,0,20,9,19,22,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,3,0,135,2,4,0,119,0,26,0,1,21,0,0,132,0,0,21,1,22,10,0,1,19,1,0,135,21,11,0,22,1,14,12,9,19,0,0,130,21,0,0,0,13,21,0,1,21,0,0,132,0,0,21,38,21,13,1,121,21,5,0,135,2,4,0,135,21,9,0,9,0,0,0,119,0,9,0,135,21,9,0,9,0,0,0,135,21,9,0,12,0,0,0,135,21,9,0,14,0,0,0,137,11,0,0,139,0,0,0,135,21,9,0,12,0,0,0,135,21,9,0,14,0,0,0,32,21,15,15,121,21,2,0,135,2,4,0,135,21,5,0,0,0,0,0,0,15,2,0,135,21,6,0,15,0,0,0,135,21,10,0,13,0,0,0,0,15,2,0,135,21,6,0,15,0,0,0,139,0,0,0,140,1,9,0,0,0,0,0,120,0,3,0,1,4,1,0,139,4,0,0,106,1,0,84,121,1,3,0,0,4,1,0,139,4,0,0,25,2,0,120,82,5,2,0,121,5,38,0,1,5,208,1,135,1,13,0,5,0,0,0,1,5,0,0,132,0,0,5,1,6,182,2,135,5,3,0,6,1,0,0,130,5,0,0,0,4,5,0,1,5,0,0,132,0,0,5,38,5,4,1,121,5,7,0,135,4,4,0,135,5,10,0,1,0,0,0,135,5,6,0,4,0,0,0,119,0,18,0,1,5,112,63,85,1,5,0,1,5,200,1,82,6,2,0,97,1,5,6,25,4,0,124,1,6,204,1,82,5,4,0,97,1,6,5,1,5,0,0,85,2,5,0,1,5,0,0,85,4,5,0,134,4,0,0,88,209,0,0,0,1,0,0,139,4,0,0,1,5,8,0,135,1,40,0,5,0,0,0,1,5,0,0,132,0,0,5,1,6,239,1,2,7,0,0,9,196,0,0,135,5,3,0,6,1,7,0,130,5,0,0,0,2,5,0,1,5,0,0,132,0,0,5,38,5,2,1,121,5,8,0,1,5,0,0,135,2,18,0,5,0,0,0,135,5,41,0,1,0,0,0,0,1,2,0,119,0,13,0,1,5,0,0,132,0,0,5,1,7,75,0,1,6,160,22,1,8,153,1,135,5,7,0,7,1,6,8,1,5,0,0,132,0,0,5,1,5,0,0,135,1,18,0,5,0,0,0,135,5,52,0,1,0,0,0,1,5,0,0,132,0,0,5,1,5,142,1,135,1,8,0,5,0,0,0,130,5,0,0,0,2,5,0,1,5,0,0,132,0,0,5,38,5,2,1,121,5,71,0,1,5,0,0,135,1,18,0,5,0,0,0,135,5,52,0,1,0,0,0,1,5,0,0,132,0,0,5,1,5,142,1,135,1,8,0,5,0,0,0,130,5,0,0,0,0,5,0,1,5,0,0,132,0,0,5,38,5,0,1,121,5,21,0,135,1,4,0,1,5,0,0,132,0,0,5,1,8,3,0,135,5,53,0,8,0,0,0,130,5,0,0,0,0,5,0,1,5,0,0,132,0,0,5,38,5,0,1,121,5,7,0,1,5,0,0,135,0,18,0,5,0,0,0,135,5,19,0,0,0,0,0,119,0,17,0,0,4,1,0,119,0,15,0,1,5,0,0,132,0,0,5,1,8,3,0,135,5,53,0,8,0,0,0,130,5,0,0,0,4,5,0,1,5,0,0,132,0,0,5,38,5,4,1,120,5,3,0,0,3,1,0,119,0,23,0,135,4,4,0,1,5,0,0,132,0,0,5,1,8,3,0,135,5,53,0,8,0,0,0,130,5,0,0,0,0,5,0,1,5,0,0,132,0,0,5,38,5,0,1,121,5,7,0,1,5,0,0,135,4,18,0,5,0,0,0,135,5,19,0,4,0,0,0,119,0,5,0,135,5,6,0,4,0,0,0,119,0,2,0,0,3,1,0,135,5,56,0,39,5,3,1,0,4,5,0,139,4,0,0,140,17,26,0,0,0,0,0,135,0,57,0,0,0,0,0,121,2,8,0,135,19,58,0,0,0,0,0,1,17,0,0,0,18,19,0,135,19,59,0,19,0,0,0,119,0,7,0,135,19,60,0,0,0,0,0,0,17,19,0,1,18,0,0,135,19,61,0,19,0,0,0,135,0,62,0,19,0,0,0,1,20,255,255,47,20,20,5,48,208,0,0,135,20,63,0,0,5,0,0,135,20,64,0,0,4,0,0,135,20,65,0,0,6,0,0,135,20,66,0,0,9,0,0,135,20,67,0,0,8,0,0,135,20,68,0,0,10,0,0,135,20,69,0,0,7,0,0,135,20,70,0,0,15,0,0,135,20,71,0,0,16,0,0,135,20,72,0,0,13,0,0,135,20,73,0,0,14,0,0,135,20,74,0,0,1,0,0,135,20,75,0,0,12,0,0,135,20,76,0,0,11,0,0,121,3,14,0,1,20,1,0,135,9,77,0,20,0,0,0,1,21,0,0,1,23,158,0,59,24,0,0,1,25,0,0,135,22,78,0,23,24,25,0,135,20,79,0,9,21,22,0,135,20,80,0,0,9,0,0,121,2,4,0,135,0,81,0,18,0,0,0,119,0,4,0,134,0,0,0,28,205,0,0,17,0,0,0,120,0,11,0,135,8,82,0,19,0,0,0,135,9,83,0,19,0,0,0,1,22,0,0,135,21,84,0,19,0,0,0,135,20,85,0,22,8,9,21,119,0,8,0,135,9,86,0,19,0,0,0,1,21,1,0,135,22,87,0,19,0,0,0,135,20,88,0,21,9,22,0,121,2,5,0,135,20,89,0,18,0,0,0,139,0,0,0,119,0,4,0,135,20,90,0,17,0,0,0,139,0,0,0,139,0,0,0,140,2,7,0,0,0,0,0,135,2,91,0,0,1,0,0,1,5,0,0,132,0,0,5,1,6,145,1,135,5,8,0,6,2,0,0,130,5,0,0,0,1,5,0,1,5,0,0,132,0,0,5,38,5,1,1,120,5,17,0,1,5,0,0,132,0,0,5,1,6,146,1,135,5,8,0,6,2,0,0,130,5,0,0,0,1,5,0,1,5,0,0,132,0,0,5,38,5,1,1,120,5,6,0,135,5,92,0,2,0,0,0,25,3,0,84,82,3,3,0,139,3,0,0,1,5,0,0,135,1,18,0,5,0,0,0,135,5,52,0,1,0,0,0,1,5,0,0,132,0,0,5,1,6,142,1,135,5,8,0,6,0,0,0,130,5,0,0,0,1,5,0,1,5,0,0,132,0,0,5,38,5,1,1,121,5,69,0,1,5,0,0,135,1,18,0,5,0,0,0,135,5,52,0,1,0,0,0,1,5,0,0,132,0,0,5,1,6,142,1,135,5,8,0,6,0,0,0,130,5,0,0,0,1,5,0,1,5,0,0,132,0,0,5,38,5,1,1,121,5,21,0,135,1,4,0,1,5,0,0,132,0,0,5,1,6,3,0,135,5,53,0,6,0,0,0,130,5,0,0,0,4,5,0,1,5,0,0,132,0,0,5,38,5,4,1,121,5,7,0,1,5,0,0,135,4,18,0,5,0,0,0,135,5,19,0,4,0,0,0,119,0,16,0,0,3,1,0,119,0,14,0,1,5,0,0,132,0,0,5,1,6,3,0,135,5,53,0,6,0,0,0,130,5,0,0,0,4,5,0,1,5,0,0,132,0,0,5,38,5,4,1,120,5,2,0,119,0,21,0,135,3,4,0,1,5,0,0,132,0,0,5,1,6,3,0,135,5,53,0,6,0,0,0,130,5,0,0,0,4,5,0,1,5,0,0,132,0,0,5,38,5,4,1,121,5,7,0,1,5,0,0,135,4,18,0,5,0,0,0,135,5,19,0,4,0,0,0,119,0,3,0,135,5,6,0,3,0,0,0,135,5,56,0,135,5,92,0,2,0,0,0,25,4,0,84,82,4,4,0,139,4,0,0,140,2,9,0,0,0,0,0,25,2,0,76,25,3,0,80,82,6,3,0,82,7,2,0,50,6,6,7,100,211,0,0,1,6,1,0,139,6,0,0,135,6,93,0,0,0,0,0,1,7,1,0,1,8,0,0,135,6,94,0,0,7,8,0,1,8,1,0,1,7,0,0,135,6,95,0,0,8,7,0,120,6,47,0,82,4,2,0,135,5,96,0,4,0,0,0,125,6,5,5,4,0,0,0,135,4,97,0,6,0,0,0,32,7,4,0,121,7,4,0,1,7,1,0,0,6,7,0,119,0,4,0,82,7,3,0,16,7,7,4,0,6,7,0,120,6,3,0,1,0,7,0,119,0,36,0,82,5,2,0,135,4,96,0,5,0,0,0,125,5,4,4,5,0,0,0,78,7,5,0,32,7,7,125,121,7,4,0,25,7,5,1,0,6,7,0,119,0,3,0,1,7,0,0,0,6,7,0,0,5,6,0,32,7,5,0,121,7,4,0,1,7,1,0,0,6,7,0,119,0,4,0,82,7,3,0,16,7,7,5,0,6,7,0,120,6,3,0,1,0,7,0,119,0,11,0,134,6,0,0,0,0,0,0,0,1,0,0,82,6,3,0,82,7,2,0,50,6,6,7,96,212,0,0,1,0,7,0,119,0,2,0,119,0,193,255,32,6,0,7,121,6,3,0,1,6,1,0,139,6,0,0,1,6,0,0,139,6,0,0,140,5,9,0,0,0,0,0,136,7,0,0,0,6,7,0,136,7,0,0,25,7,7,16,137,7,0,0,0,5,6,0,1,8,104,1,3,8,0,8,135,7,98,0,5,8,0,0,1,7,0,0,132,0,0,7,1,7,87,0,1,8,1,0,135,3,99,0,7,0,1,2,3,4,5,8,130,8,0,0,0,4,8,0,1,8,0,0,132,0,0,8,38,8,4,1,121,8,22,0,135,2,4,0,82,3,5,0,120,3,3,0,135,8,6,0,2,0,0,0,25,0,5,4,82,1,0,0,46,8,1,3,32,213,0,0,26,8,1,4,4,8,8,3,43,8,8,2,11,8,8,0,41,8,8,2,3,8,1,8,85,0,8,0,135,8,10,0,3,0,0,0,135,8,6,0,2,0,0,0,119,0,20,0,82,2,5,0,120,2,3,0,137,6,0,0,139,3,0,0,25,0,5,4,82,1,0,0,46,8,1,2,112,213,0,0,26,8,1,4,4,8,8,2,43,8,8,2,11,8,8,0,41,8,8,2,3,8,1,8,85,0,8,0,135,8,10,0,2,0,0,0,137,6,0,0,139,3,0,0,1,8,0,0,139,8,0,0,140,3,9,0,0,0,0,0,1,6,2,0,135,8,100,0,2,0,0,0,135,7,101,0,8,0,0,0,135,5,88,0,6,0,7,0,1,7,3,0,1,6,0,0,135,5,102,0,7,6,0,0,120,5,9,0,1,6,20,0,135,5,103,0,6,0,0,0,1,6,3,0,1,7,0,0,135,5,102,0,6,7,0,0,121,5,249,255,1,5,4,0,1,7,0,0,135,1,102,0,5,7,0,0,121,1,17,0,1,7,1,0,135,4,104,0,7,0,0,0,1,7,0,0,1,5,0,0,135,0,105,0,0,7,5,0,85,4,0,0,135,7,57,0,1,0,0,0,1,6,0,0,1,8,0,0,135,5,106,0,0,7,6,8,0,0,4,0,139,0,0,0,1,5,5,0,1,8,0,0,135,1,102,0,5,8,0,0,1,8,6,0,1,5,0,0,135,3,102,0,8,5,0,0,20,5,3,1,120,5,3,0,1,0,0,0,139,0,0,0,1,5,1,0,135,4,104,0,5,0,0,0,125,5,1,1,0,0,0,0,135,2,57,0,5,0,0,0,120,3,3,0,1,1,0,0,119,0,3,0,135,1,57,0,3,0,0,0,1,5,0,0,135,0,105,0,2,1,5,0,85,4,0,0,0,0,4,0,139,0,0,0,0,0,0,0],eb+51200);var relocations=[];relocations=relocations.concat([3564,3596,3600,3604,3608,3612,3616,3620,4148,4532,4628,4716,4968,5108,6052,6372,6720,6872,6888,6992,7080,7164,7476,8988,9080,11432,12328,12548,12772,13348,14208,14288,14612,14792,14876,15384,15388,15392,15396,15400,15404,15408,15412,15416,15420,15424,15428,15432,15436,15440,15444,15448,15452,15456,15460,15464,15468,15472,15476,15480,15484,15488,15492,15496,15500,15504,15508,15512,15516,15520,15524,15528,15532,15536,15540,15544,15548,15552,15556,15560,15564,15568,15572,15576,15580,15584,15588,15592,15596,15600,15604,15608,15612,15616,15668,15672,15796,15956,16120,16204,16788,17012,17096,17664,17828,17912,18608,18868,19056,19080,19284,19588,19744,19748,19752,19756,19760,19764,19768,19772,19776,19780,19784,19788,19792,19796,19800,19804,19808,19812,19816,19820,19824,19828,19832,19836,19840,19844,19848,19852,19856,19860,19864,19868,19872,19876,19880,19884,19888,19892,19896,19900,19904,19908,19912,19916,19920,19924,19928,19932,19936,19940,19944,19948,19952,19956,19960,19964,19968,19972,19976,19980,19984,19988,19992,19996,2e4,20004,20008,20012,20016,20020,20024,20028,20032,20036,20040,20044,20048,20052,20056,20060,20064,20068,20072,20076,20080,20084,20088,20092,20096,20100,20104,20108,20112,20116,20120,20124,20128,20132,20136,20140,20144,20148,20152,20156,20160,20164,20168,20172,20176,20180,20184,20188,20192,20196,20200,20204,20208,20212,20216,20220,20224,20228,20232,20236,20240,20244,20248,20252,20256,20260,20264,20268,20272,20276,20280,20284,20288,20292,20296,20300,20304,20308,20312,20316,20320,20324,20328,20332,20336,20340,20344,20348,20352,20356,20360,20364,20368,20372,20376,20380,20384,20388,20392,20396,20400,20404,20408,20412,20416,20420,20424,20428,20432,20436,20440,20444,20448,20452,20456,20460,20464,20468,20472,20476,20480,20484,20488,20492,20496,20500,20504,20508,20728,20772,21796,22016,22020,22024,22028,22032,22036,22040,22044,22048,22052,22056,22060,22064,22068,22072,22076,22080,22084,22088,22092,22096,22100,22104,22108,22112,22116,22120,22124,22128,22132,22136,22140,22144,22148,22152,22156,22160,22164,22168,22172,22176,22180,22184,22188,22192,22196,22200,22204,22208,22212,22216,22220,22224,22228,22232,22236,22240,22244,22248,22252,22256,22260,22264,22268,22272,22276,22280,22576,22760,23416,23584,23612,23616,23620,23624,23628,23632,23636,23640,23644,23648,23652,23656,23660,23664,23668,23672,23676,23680,23684,23688,23692,23696,23700,23704,23708,23712,23716,23720,23724,23728,23732,23736,23740,23744,23748,23752,23756,23760,24012,24032,24060,24072,24128,24168,24224,24228,24232,24236,24240,24244,24248,24252,24256,24260,24264,24268,24272,24276,24280,24284,24288,24292,24296,24300,24304,24308,24312,24316,24320,24324,24328,24332,24336,24340,24344,24348,24352,24356,24360,24364,24368,24372,24376,24380,24384,24388,24392,24396,24400,24404,24408,24412,24416,24420,24424,24428,24432,24436,24440,24444,24448,24452,24456,24460,24464,24468,24472,24476,24480,24484,24488,24492,24496,24500,24504,24508,24512,24516,24520,24524,24528,24532,24536,24540,24544,24548,24552,24556,24560,24564,24568,24572,24576,24580,24584,24588,24592,24596,24600,24604,24608,24612,24616,24620,24624,24628,24632,24636,24640,24644,24648,24652,24656,24660,24664,24668,24672,24676,24680,24684,24688,24692,24696,24700,24704,24708,24712,24716,24720,24724,24728,24732,24736,24740,24744,24748,24752,24756,24760,24764,24768,24772,24776,24780,24784,24788,24792,24796,24800,24804,24808,24812,24816,24820,24824,24828,24832,24836,24840,24844,24848,24852,24856,24860,24864,24868,24872,24876,24880,24884,24888,24892,24896,24900,24904,24908,24912,25164,25184,25316,25444,25516,25540,25564,25588,25620,25660,25992,26312,26516,26540,27276,27592,27692,27776,27992,28172,28260,28616,28700,28872,28916,29256,29432,29516,29808,30380,31008,31120,31152,31172,31304,31624,31716,31852,32304,34388,34956,35312,35448,35476,35480,35484,35488,35492,35496,35500,35504,35508,35512,35516,35520,35524,35528,35532,35536,35540,35544,35548,35552,35556,35560,35564,35568,35572,35576,35580,35584,35588,35592,35596,35600,35604,35608,35612,35616,35620,35624,35628,35632,35636,35640,35644,35648,35652,35656,35660,35664,35668,35672,35676,35680,35684,35688,35692,35696,35700,35704,35708,35712,35716,35720,35724,35728,35732,35736,35740,35744,35748,35752,35756,35760,35764,35768,35772,35776,35780,35784,35788,35792,35796,35800,35804,35808,35812,35816,35820,35824,35828,35832,35836,35840,35844,35848,36884,36960,37048,37304,37412,37556,37628,38372,38632,38676,38772,38944,39808,39880,39920,40020,40084,40124,40328,40372,40472,40868,41032,41256,42264,43076,44172,44396,44676,45228,45292,45340,45404,45624,45692,46128,46212,46376,46416,46492,46792,46948,47424,48248,48476,49376,49380,50092,50120,50164,50192,50916,51184,51268,51432,51472,51656,51760,51988,52060,53284,54104,54356,54528,54608,52692,53476,54336]);for(var i=0;i<relocations.length;i++){HEAPU32[eb+relocations[i]>>2]=HEAPU32[eb+relocations[i]>>2]+eb}}));function _atexit(func,arg){__ATEXIT__.unshift({func:func,arg:arg})}function ___cxa_atexit(){return _atexit.apply(null,arguments)}Module["_i64Subtract"]=_i64Subtract;Module["_i64Add"]=_i64Add;function __ZSt18uncaught_exceptionv(){return!!__ZSt18uncaught_exceptionv.uncaught_exception}var EXCEPTIONS={last:0,caught:[],infos:{},deAdjust:(function(adjusted){if(!adjusted||EXCEPTIONS.infos[adjusted])return adjusted;for(var ptr in EXCEPTIONS.infos){var info=EXCEPTIONS.infos[ptr];if(info.adjusted===adjusted){return ptr}}return adjusted}),addRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount++}),decRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];assert(info.refcount>0);info.refcount--;if(info.refcount===0&&!info.rethrown){if(info.destructor){Runtime.dynCall("vi",info.destructor,[ptr])}delete EXCEPTIONS.infos[ptr];___cxa_free_exception(ptr)}}),clearRef:(function(ptr){if(!ptr)return;var info=EXCEPTIONS.infos[ptr];info.refcount=0})};function ___resumeException(ptr){if(!EXCEPTIONS.last){EXCEPTIONS.last=ptr}throw ptr}function ___cxa_find_matching_catch(){var thrown=EXCEPTIONS.last;if(!thrown){return(asm["setTempRet0"](0),0)|0}var info=EXCEPTIONS.infos[thrown];var throwntype=info.type;if(!throwntype){return(asm["setTempRet0"](0),thrown)|0}var typeArray=Array.prototype.slice.call(arguments);var pointer=Module["___cxa_is_pointer_type"](throwntype);if(!___cxa_find_matching_catch.buffer)___cxa_find_matching_catch.buffer=_malloc(4);HEAP32[___cxa_find_matching_catch.buffer>>2]=thrown;thrown=___cxa_find_matching_catch.buffer;for(var i=0;i<typeArray.length;i++){if(typeArray[i]&&Module["___cxa_can_catch"](typeArray[i],throwntype,thrown)){thrown=HEAP32[thrown>>2];info.adjusted=thrown;return(asm["setTempRet0"](typeArray[i]),thrown)|0}}thrown=HEAP32[thrown>>2];return(asm["setTempRet0"](throwntype),thrown)|0}function ___cxa_throw(ptr,type,destructor){EXCEPTIONS.infos[ptr]={ptr:ptr,adjusted:ptr,type:type,destructor:destructor,refcount:0,caught:false,rethrown:false};EXCEPTIONS.last=ptr;if(!("uncaught_exception"in __ZSt18uncaught_exceptionv)){__ZSt18uncaught_exceptionv.uncaught_exception=1}else{__ZSt18uncaught_exceptionv.uncaught_exception++}throw ptr}Module["_pthread_mutex_lock"]=_pthread_mutex_lock;var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};function ___setErrNo(value){if(Module["___errno_location"])HEAP32[Module["___errno_location"]()>>2]=value;return value}var PATH={splitPath:(function(filename){var splitPathRe=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;return splitPathRe.exec(filename).slice(1)}),normalizeArray:(function(parts,allowAboveRoot){var up=0;for(var i=parts.length-1;i>=0;i--){var last=parts[i];if(last==="."){parts.splice(i,1)}else if(last===".."){parts.splice(i,1);up++}else if(up){parts.splice(i,1);up--}}if(allowAboveRoot){for(;up--;up){parts.unshift("..")}}return parts}),normalize:(function(path){var isAbsolute=path.charAt(0)==="/",trailingSlash=path.substr(-1)==="/";path=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),!isAbsolute).join("/");if(!path&&!isAbsolute){path="."}if(path&&trailingSlash){path+="/"}return(isAbsolute?"/":"")+path}),dirname:(function(path){var result=PATH.splitPath(path),root=result[0],dir=result[1];if(!root&&!dir){return"."}if(dir){dir=dir.substr(0,dir.length-1)}return root+dir}),basename:(function(path){if(path==="/")return"/";var lastSlash=path.lastIndexOf("/");if(lastSlash===-1)return path;return path.substr(lastSlash+1)}),extname:(function(path){return PATH.splitPath(path)[3]}),join:(function(){var paths=Array.prototype.slice.call(arguments,0);return PATH.normalize(paths.join("/"))}),join2:(function(l,r){return PATH.normalize(l+"/"+r)}),resolve:(function(){var resolvedPath="",resolvedAbsolute=false;for(var i=arguments.length-1;i>=-1&&!resolvedAbsolute;i--){var path=i>=0?arguments[i]:FS.cwd();if(typeof path!=="string"){throw new TypeError("Arguments to path.resolve must be strings")}else if(!path){return""}resolvedPath=path+"/"+resolvedPath;resolvedAbsolute=path.charAt(0)==="/"}resolvedPath=PATH.normalizeArray(resolvedPath.split("/").filter((function(p){return!!p})),!resolvedAbsolute).join("/");return(resolvedAbsolute?"/":"")+resolvedPath||"."}),relative:(function(from,to){from=PATH.resolve(from).substr(1);to=PATH.resolve(to).substr(1);function trim(arr){var start=0;for(;start<arr.length;start++){if(arr[start]!=="")break}var end=arr.length-1;for(;end>=0;end--){if(arr[end]!=="")break}if(start>end)return[];return arr.slice(start,end-start+1)}var fromParts=trim(from.split("/"));var toParts=trim(to.split("/"));var length=Math.min(fromParts.length,toParts.length);var samePartsLength=length;for(var i=0;i<length;i++){if(fromParts[i]!==toParts[i]){samePartsLength=i;break}}var outputParts=[];for(var i=samePartsLength;i<fromParts.length;i++){outputParts.push("..")}outputParts=outputParts.concat(toParts.slice(samePartsLength));return outputParts.join("/")})};var TTY={ttys:[],init:(function(){}),shutdown:(function(){}),register:(function(dev,ops){TTY.ttys[dev]={input:[],output:[],ops:ops};FS.registerDevice(dev,TTY.stream_ops)}),stream_ops:{open:(function(stream){var tty=TTY.ttys[stream.node.rdev];if(!tty){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}stream.tty=tty;stream.seekable=false}),close:(function(stream){stream.tty.ops.flush(stream.tty)}),flush:(function(stream){stream.tty.ops.flush(stream.tty)}),read:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.get_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=stream.tty.ops.get_char(stream.tty)}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.put_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}for(var i=0;i<length;i++){try{stream.tty.ops.put_char(stream.tty,buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})},default_tty_ops:{get_char:(function(tty){if(!tty.input.length){var result=null;if(ENVIRONMENT_IS_NODE){var BUFSIZE=256;var buf=new Buffer(BUFSIZE);var bytesRead=0;var isPosixPlatform=process.platform!="win32";var fd=process.stdin.fd;if(isPosixPlatform){var usingDevice=false;try{fd=fs.openSync("/dev/stdin","r");usingDevice=true}catch(e){}}try{bytesRead=fs.readSync(fd,buf,0,BUFSIZE,null)}catch(e){if(e.toString().indexOf("EOF")!=-1)bytesRead=0;else throw e}if(usingDevice){fs.closeSync(fd)}if(bytesRead>0){result=buf.slice(0,bytesRead).toString("utf-8")}else{result=null}}else if(typeof window!="undefined"&&typeof window.prompt=="function"){result=window.prompt("Input: ");if(result!==null){result+="\n"}}else if(typeof readline=="function"){result=readline();if(result!==null){result+="\n"}}if(!result){return null}tty.input=intArrayFromString(result,true)}return tty.input.shift()}),put_char:(function(tty,val){if(val===null||val===10){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}})},default_tty1_ops:{put_char:(function(tty,val){if(val===null||val===10){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}})}};var MEMFS={ops_table:null,mount:(function(mount){return MEMFS.createNode(null,"/",16384|511,0)}),createNode:(function(parent,name,mode,dev){if(FS.isBlkdev(mode)||FS.isFIFO(mode)){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(!MEMFS.ops_table){MEMFS.ops_table={dir:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,lookup:MEMFS.node_ops.lookup,mknod:MEMFS.node_ops.mknod,rename:MEMFS.node_ops.rename,unlink:MEMFS.node_ops.unlink,rmdir:MEMFS.node_ops.rmdir,readdir:MEMFS.node_ops.readdir,symlink:MEMFS.node_ops.symlink},stream:{llseek:MEMFS.stream_ops.llseek}},file:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:{llseek:MEMFS.stream_ops.llseek,read:MEMFS.stream_ops.read,write:MEMFS.stream_ops.write,allocate:MEMFS.stream_ops.allocate,mmap:MEMFS.stream_ops.mmap,msync:MEMFS.stream_ops.msync}},link:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,readlink:MEMFS.node_ops.readlink},stream:{}},chrdev:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:FS.chrdev_stream_ops}}}var node=FS.createNode(parent,name,mode,dev);if(FS.isDir(node.mode)){node.node_ops=MEMFS.ops_table.dir.node;node.stream_ops=MEMFS.ops_table.dir.stream;node.contents={}}else if(FS.isFile(node.mode)){node.node_ops=MEMFS.ops_table.file.node;node.stream_ops=MEMFS.ops_table.file.stream;node.usedBytes=0;node.contents=null}else if(FS.isLink(node.mode)){node.node_ops=MEMFS.ops_table.link.node;node.stream_ops=MEMFS.ops_table.link.stream}else if(FS.isChrdev(node.mode)){node.node_ops=MEMFS.ops_table.chrdev.node;node.stream_ops=MEMFS.ops_table.chrdev.stream}node.timestamp=Date.now();if(parent){parent.contents[name]=node}return node}),getFileDataAsRegularArray:(function(node){if(node.contents&&node.contents.subarray){var arr=[];for(var i=0;i<node.usedBytes;++i)arr.push(node.contents[i]);return arr}return node.contents}),getFileDataAsTypedArray:(function(node){if(!node.contents)return new Uint8Array;if(node.contents.subarray)return node.contents.subarray(0,node.usedBytes);return new Uint8Array(node.contents)}),expandFileStorage:(function(node,newCapacity){if(node.contents&&node.contents.subarray&&newCapacity>node.contents.length){node.contents=MEMFS.getFileDataAsRegularArray(node);node.usedBytes=node.contents.length}if(!node.contents||node.contents.subarray){var prevCapacity=node.contents?node.contents.length:0;if(prevCapacity>=newCapacity)return;var CAPACITY_DOUBLING_MAX=1024*1024;newCapacity=Math.max(newCapacity,prevCapacity*(prevCapacity<CAPACITY_DOUBLING_MAX?2:1.125)|0);if(prevCapacity!=0)newCapacity=Math.max(newCapacity,256);var oldContents=node.contents;node.contents=new Uint8Array(newCapacity);if(node.usedBytes>0)node.contents.set(oldContents.subarray(0,node.usedBytes),0);return}if(!node.contents&&newCapacity>0)node.contents=[];while(node.contents.length<newCapacity)node.contents.push(0)}),resizeFileStorage:(function(node,newSize){if(node.usedBytes==newSize)return;if(newSize==0){node.contents=null;node.usedBytes=0;return}if(!node.contents||node.contents.subarray){var oldContents=node.contents;node.contents=new Uint8Array(new ArrayBuffer(newSize));if(oldContents){node.contents.set(oldContents.subarray(0,Math.min(newSize,node.usedBytes)))}node.usedBytes=newSize;return}if(!node.contents)node.contents=[];if(node.contents.length>newSize)node.contents.length=newSize;else while(node.contents.length<newSize)node.contents.push(0);node.usedBytes=newSize}),node_ops:{getattr:(function(node){var attr={};attr.dev=FS.isChrdev(node.mode)?node.id:1;attr.ino=node.id;attr.mode=node.mode;attr.nlink=1;attr.uid=0;attr.gid=0;attr.rdev=node.rdev;if(FS.isDir(node.mode)){attr.size=4096}else if(FS.isFile(node.mode)){attr.size=node.usedBytes}else if(FS.isLink(node.mode)){attr.size=node.link.length}else{attr.size=0}attr.atime=new Date(node.timestamp);attr.mtime=new Date(node.timestamp);attr.ctime=new Date(node.timestamp);attr.blksize=4096;attr.blocks=Math.ceil(attr.size/attr.blksize);return attr}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}if(attr.size!==undefined){MEMFS.resizeFileStorage(node,attr.size)}}),lookup:(function(parent,name){throw FS.genericErrors[ERRNO_CODES.ENOENT]}),mknod:(function(parent,name,mode,dev){return MEMFS.createNode(parent,name,mode,dev)}),rename:(function(old_node,new_dir,new_name){if(FS.isDir(old_node.mode)){var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(new_node){for(var i in new_node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}}}delete old_node.parent.contents[old_node.name];old_node.name=new_name;new_dir.contents[new_name]=old_node;old_node.parent=new_dir}),unlink:(function(parent,name){delete parent.contents[name]}),rmdir:(function(parent,name){var node=FS.lookupNode(parent,name);for(var i in node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}delete parent.contents[name]}),readdir:(function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries}),symlink:(function(parent,newname,oldpath){var node=MEMFS.createNode(parent,newname,511|40960,0);node.link=oldpath;return node}),readlink:(function(node){if(!FS.isLink(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return node.link})},stream_ops:{read:(function(stream,buffer,offset,length,position){var contents=stream.node.contents;if(position>=stream.node.usedBytes)return 0;var size=Math.min(stream.node.usedBytes-position,length);assert(size>=0);if(size>8&&contents.subarray){buffer.set(contents.subarray(position,position+size),offset)}else{for(var i=0;i<size;i++)buffer[offset+i]=contents[position+i]}return size}),write:(function(stream,buffer,offset,length,position,canOwn){if(!length)return 0;var node=stream.node;node.timestamp=Date.now();if(buffer.subarray&&(!node.contents||node.contents.subarray)){if(canOwn){node.contents=buffer.subarray(offset,offset+length);node.usedBytes=length;return length}else if(node.usedBytes===0&&position===0){node.contents=new Uint8Array(buffer.subarray(offset,offset+length));node.usedBytes=length;return length}else if(position+length<=node.usedBytes){node.contents.set(buffer.subarray(offset,offset+length),position);return length}}MEMFS.expandFileStorage(node,position+length);if(node.contents.subarray&&buffer.subarray)node.contents.set(buffer.subarray(offset,offset+length),position);else{for(var i=0;i<length;i++){node.contents[position+i]=buffer[offset+i]}}node.usedBytes=Math.max(node.usedBytes,position+length);return length}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.usedBytes}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position}),allocate:(function(stream,offset,length){MEMFS.expandFileStorage(stream.node,offset+length);stream.node.usedBytes=Math.max(stream.node.usedBytes,offset+length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}var ptr;var allocated;var contents=stream.node.contents;if(!(flags&2)&&(contents.buffer===buffer||contents.buffer===buffer.buffer)){allocated=false;ptr=contents.byteOffset}else{if(position>0||position+length<stream.node.usedBytes){if(contents.subarray){contents=contents.subarray(position,position+length)}else{contents=Array.prototype.slice.call(contents,position,position+length)}}allocated=true;ptr=_malloc(length);if(!ptr){throw new FS.ErrnoError(ERRNO_CODES.ENOMEM)}buffer.set(contents,ptr)}return{ptr:ptr,allocated:allocated}}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(mmapFlags&2){return 0}var bytesWritten=MEMFS.stream_ops.write(stream,buffer,0,length,offset,false);return 0})}};var IDBFS={dbs:{},indexedDB:(function(){if(typeof indexedDB!=="undefined")return indexedDB;var ret=null;if(typeof window==="object")ret=window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB;assert(ret,"IDBFS used, but indexedDB not supported");return ret}),DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:(function(mount){return MEMFS.mount.apply(null,arguments)}),syncfs:(function(mount,populate,callback){IDBFS.getLocalSet(mount,(function(err,local){if(err)return callback(err);IDBFS.getRemoteSet(mount,(function(err,remote){if(err)return callback(err);var src=populate?remote:local;var dst=populate?local:remote;IDBFS.reconcile(src,dst,callback)}))}))}),getDB:(function(name,callback){var db=IDBFS.dbs[name];if(db){return callback(null,db)}var req;try{req=IDBFS.indexedDB().open(name,IDBFS.DB_VERSION)}catch(e){return callback(e)}if(!req){return callback("Unable to connect to IndexedDB")}req.onupgradeneeded=(function(e){var db=e.target.result;var transaction=e.target.transaction;var fileStore;if(db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)){fileStore=transaction.objectStore(IDBFS.DB_STORE_NAME)}else{fileStore=db.createObjectStore(IDBFS.DB_STORE_NAME)}if(!fileStore.indexNames.contains("timestamp")){fileStore.createIndex("timestamp","timestamp",{unique:false})}});req.onsuccess=(function(){db=req.result;IDBFS.dbs[name]=db;callback(null,db)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),getLocalSet:(function(mount,callback){var entries={};function isRealDir(p){return p!=="."&&p!==".."}function toAbsolute(root){return(function(p){return PATH.join2(root,p)})}var check=FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));while(check.length){var path=check.pop();var stat;try{stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){check.push.apply(check,FS.readdir(path).filter(isRealDir).map(toAbsolute(path)))}entries[path]={timestamp:stat.mtime}}return callback(null,{type:"local",entries:entries})}),getRemoteSet:(function(mount,callback){var entries={};IDBFS.getDB(mount.mountpoint,(function(err,db){if(err)return callback(err);var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readonly");transaction.onerror=(function(e){callback(this.error);e.preventDefault()});var store=transaction.objectStore(IDBFS.DB_STORE_NAME);var index=store.index("timestamp");index.openKeyCursor().onsuccess=(function(event){var cursor=event.target.result;if(!cursor){return callback(null,{type:"remote",db:db,entries:entries})}entries[cursor.primaryKey]={timestamp:cursor.key};cursor.continue()})}))}),loadLocalEntry:(function(path,callback){var stat,node;try{var lookup=FS.lookupPath(path);node=lookup.node;stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){return callback(null,{timestamp:stat.mtime,mode:stat.mode})}else if(FS.isFile(stat.mode)){node.contents=MEMFS.getFileDataAsTypedArray(node);return callback(null,{timestamp:stat.mtime,mode:stat.mode,contents:node.contents})}else{return callback(new Error("node type not supported"))}}),storeLocalEntry:(function(path,entry,callback){try{if(FS.isDir(entry.mode)){FS.mkdir(path,entry.mode)}else if(FS.isFile(entry.mode)){FS.writeFile(path,entry.contents,{encoding:"binary",canOwn:true})}else{return callback(new Error("node type not supported"))}FS.chmod(path,entry.mode);FS.utime(path,entry.timestamp,entry.timestamp)}catch(e){return callback(e)}callback(null)}),removeLocalEntry:(function(path,callback){try{var lookup=FS.lookupPath(path);var stat=FS.stat(path);if(FS.isDir(stat.mode)){FS.rmdir(path)}else if(FS.isFile(stat.mode)){FS.unlink(path)}}catch(e){return callback(e)}callback(null)}),loadRemoteEntry:(function(store,path,callback){var req=store.get(path);req.onsuccess=(function(event){callback(null,event.target.result)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),storeRemoteEntry:(function(store,path,entry,callback){var req=store.put(entry,path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),removeRemoteEntry:(function(store,path,callback){var req=store.delete(path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),reconcile:(function(src,dst,callback){var total=0;var create=[];Object.keys(src.entries).forEach((function(key){var e=src.entries[key];var e2=dst.entries[key];if(!e2||e.timestamp>e2.timestamp){create.push(key);total++}}));var remove=[];Object.keys(dst.entries).forEach((function(key){var e=dst.entries[key];var e2=src.entries[key];if(!e2){remove.push(key);total++}}));if(!total){return callback(null)}var completed=0;var db=src.type==="remote"?src.db:dst.db;var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readwrite");var store=transaction.objectStore(IDBFS.DB_STORE_NAME);function done(err){if(err){if(!done.errored){done.errored=true;return callback(err)}return}if(++completed>=total){return callback(null)}}transaction.onerror=(function(e){done(this.error);e.preventDefault()});create.sort().forEach((function(path){if(dst.type==="local"){IDBFS.loadRemoteEntry(store,path,(function(err,entry){if(err)return done(err);IDBFS.storeLocalEntry(path,entry,done)}))}else{IDBFS.loadLocalEntry(path,(function(err,entry){if(err)return done(err);IDBFS.storeRemoteEntry(store,path,entry,done)}))}}));remove.sort().reverse().forEach((function(path){if(dst.type==="local"){IDBFS.removeLocalEntry(path,done)}else{IDBFS.removeRemoteEntry(store,path,done)}}))})};var NODEFS={isWindows:false,staticInit:(function(){NODEFS.isWindows=!!process.platform.match(/^win/)}),mount:(function(mount){assert(ENVIRONMENT_IS_NODE);return NODEFS.createNode(null,"/",NODEFS.getMode(mount.opts.root),0)}),createNode:(function(parent,name,mode,dev){if(!FS.isDir(mode)&&!FS.isFile(mode)&&!FS.isLink(mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=FS.createNode(parent,name,mode);node.node_ops=NODEFS.node_ops;node.stream_ops=NODEFS.stream_ops;return node}),getMode:(function(path){var stat;try{stat=fs.lstatSync(path);if(NODEFS.isWindows){stat.mode=stat.mode|(stat.mode&146)>>1}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return stat.mode}),realPath:(function(node){var parts=[];while(node.parent!==node){parts.push(node.name);node=node.parent}parts.push(node.mount.opts.root);parts.reverse();return PATH.join.apply(null,parts)}),flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:(function(flags){flags&=~2097152;flags&=~2048;flags&=~32768;flags&=~524288;if(flags in NODEFS.flagsToPermissionStringMap){return NODEFS.flagsToPermissionStringMap[flags]}else{throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}}),node_ops:{getattr:(function(node){var path=NODEFS.realPath(node);var stat;try{stat=fs.lstatSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(NODEFS.isWindows&&!stat.blksize){stat.blksize=4096}if(NODEFS.isWindows&&!stat.blocks){stat.blocks=(stat.size+stat.blksize-1)/stat.blksize|0}return{dev:stat.dev,ino:stat.ino,mode:stat.mode,nlink:stat.nlink,uid:stat.uid,gid:stat.gid,rdev:stat.rdev,size:stat.size,atime:stat.atime,mtime:stat.mtime,ctime:stat.ctime,blksize:stat.blksize,blocks:stat.blocks}}),setattr:(function(node,attr){var path=NODEFS.realPath(node);try{if(attr.mode!==undefined){fs.chmodSync(path,attr.mode);node.mode=attr.mode}if(attr.timestamp!==undefined){var date=new Date(attr.timestamp);fs.utimesSync(path,date,date)}if(attr.size!==undefined){fs.truncateSync(path,attr.size)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),lookup:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);var mode=NODEFS.getMode(path);return NODEFS.createNode(parent,name,mode)}),mknod:(function(parent,name,mode,dev){var node=NODEFS.createNode(parent,name,mode,dev);var path=NODEFS.realPath(node);try{if(FS.isDir(node.mode)){fs.mkdirSync(path,node.mode)}else{fs.writeFileSync(path,"",{mode:node.mode})}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return node}),rename:(function(oldNode,newDir,newName){var oldPath=NODEFS.realPath(oldNode);var newPath=PATH.join2(NODEFS.realPath(newDir),newName);try{fs.renameSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),unlink:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.unlinkSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),rmdir:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.rmdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readdir:(function(node){var path=NODEFS.realPath(node);try{return fs.readdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),symlink:(function(parent,newName,oldPath){var newPath=PATH.join2(NODEFS.realPath(parent),newName);try{fs.symlinkSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readlink:(function(node){var path=NODEFS.realPath(node);try{path=fs.readlinkSync(path);path=NODEJS_PATH.relative(NODEJS_PATH.resolve(node.mount.opts.root),path);return path}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}})},stream_ops:{open:(function(stream){var path=NODEFS.realPath(stream.node);try{if(FS.isFile(stream.node.mode)){stream.nfd=fs.openSync(path,NODEFS.flagsToPermissionString(stream.flags))}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),close:(function(stream){try{if(FS.isFile(stream.node.mode)&&stream.nfd){fs.closeSync(stream.nfd)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),read:(function(stream,buffer,offset,length,position){if(length===0)return 0;var nbuffer=new Buffer(length);var res;try{res=fs.readSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(res>0){for(var i=0;i<res;i++){buffer[offset+i]=nbuffer[i]}}return res}),write:(function(stream,buffer,offset,length,position){var nbuffer=new Buffer(buffer.subarray(offset,offset+length));var res;try{res=fs.writeSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}return res}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){try{var stat=fs.fstatSync(stream.nfd);position+=stat.size}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};var WORKERFS={DIR_MODE:16895,FILE_MODE:33279,reader:null,mount:(function(mount){assert(ENVIRONMENT_IS_WORKER);if(!WORKERFS.reader)WORKERFS.reader=new FileReaderSync;var root=WORKERFS.createNode(null,"/",WORKERFS.DIR_MODE,0);var createdParents={};function ensureParent(path){var parts=path.split("/");var parent=root;for(var i=0;i<parts.length-1;i++){var curr=parts.slice(0,i+1).join("/");if(!createdParents[curr]){createdParents[curr]=WORKERFS.createNode(parent,parts[i],WORKERFS.DIR_MODE,0)}parent=createdParents[curr]}return parent}function base(path){var parts=path.split("/");return parts[parts.length-1]}Array.prototype.forEach.call(mount.opts["files"]||[],(function(file){WORKERFS.createNode(ensureParent(file.name),base(file.name),WORKERFS.FILE_MODE,0,file,file.lastModifiedDate)}));(mount.opts["blobs"]||[]).forEach((function(obj){WORKERFS.createNode(ensureParent(obj["name"]),base(obj["name"]),WORKERFS.FILE_MODE,0,obj["data"])}));(mount.opts["packages"]||[]).forEach((function(pack){pack["metadata"].files.forEach((function(file){var name=file.filename.substr(1);WORKERFS.createNode(ensureParent(name),base(name),WORKERFS.FILE_MODE,0,pack["blob"].slice(file.start,file.end))}))}));return root}),createNode:(function(parent,name,mode,dev,contents,mtime){var node=FS.createNode(parent,name,mode);node.mode=mode;node.node_ops=WORKERFS.node_ops;node.stream_ops=WORKERFS.stream_ops;node.timestamp=(mtime||new Date).getTime();assert(WORKERFS.FILE_MODE!==WORKERFS.DIR_MODE);if(mode===WORKERFS.FILE_MODE){node.size=contents.size;node.contents=contents}else{node.size=4096;node.contents={}}if(parent){parent.contents[name]=node}return node}),node_ops:{getattr:(function(node){return{dev:1,ino:undefined,mode:node.mode,nlink:1,uid:0,gid:0,rdev:undefined,size:node.size,atime:new Date(node.timestamp),mtime:new Date(node.timestamp),ctime:new Date(node.timestamp),blksize:4096,blocks:Math.ceil(node.size/4096)}}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}}),lookup:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}),mknod:(function(parent,name,mode,dev){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rename:(function(oldNode,newDir,newName){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),unlink:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rmdir:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readdir:(function(node){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),symlink:(function(parent,newName,oldPath){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readlink:(function(node){throw new FS.ErrnoError(ERRNO_CODES.EPERM)})},stream_ops:{read:(function(stream,buffer,offset,length,position){if(position>=stream.node.size)return 0;var chunk=stream.node.contents.slice(position,position+length);var ab=WORKERFS.reader.readAsArrayBuffer(chunk);buffer.set(new Uint8Array(ab),offset);return chunk.size}),write:(function(stream,buffer,offset,length,position){throw new FS.ErrnoError(ERRNO_CODES.EIO)}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.size}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};STATICTOP+=16;STATICTOP+=16;STATICTOP+=16;var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,trackingDelegate:{},tracking:{openFlags:{READ:1,WRITE:2}},ErrnoError:null,genericErrors:{},filesystems:null,syncFSRequests:0,handleFSError:(function(e){if(!(e instanceof FS.ErrnoError))throw e+" : "+stackTrace();return ___setErrNo(e.errno)}),lookupPath:(function(path,opts){path=PATH.resolve(FS.cwd(),path);opts=opts||{};if(!path)return{path:"",node:null};var defaults={follow_mount:true,recurse_count:0};for(var key in defaults){if(opts[key]===undefined){opts[key]=defaults[key]}}if(opts.recurse_count>8){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}var parts=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),false);var current=FS.root;var current_path="/";for(var i=0;i<parts.length;i++){var islast=i===parts.length-1;if(islast&&opts.parent){break}current=FS.lookupNode(current,parts[i]);current_path=PATH.join2(current_path,parts[i]);if(FS.isMountpoint(current)){if(!islast||islast&&opts.follow_mount){current=current.mounted.root}}if(!islast||opts.follow){var count=0;while(FS.isLink(current.mode)){var link=FS.readlink(current_path);current_path=PATH.resolve(PATH.dirname(current_path),link);var lookup=FS.lookupPath(current_path,{recurse_count:opts.recurse_count});current=lookup.node;if(count++>40){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}}}}return{path:current_path,node:current}}),getPath:(function(node){var path;while(true){if(FS.isRoot(node)){var mount=node.mount.mountpoint;if(!path)return mount;return mount[mount.length-1]!=="/"?mount+"/"+path:mount+path}path=path?node.name+"/"+path:node.name;node=node.parent}}),hashName:(function(parentid,name){var hash=0;for(var i=0;i<name.length;i++){hash=(hash<<5)-hash+name.charCodeAt(i)|0}return(parentid+hash>>>0)%FS.nameTable.length}),hashAddNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);node.name_next=FS.nameTable[hash];FS.nameTable[hash]=node}),hashRemoveNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);if(FS.nameTable[hash]===node){FS.nameTable[hash]=node.name_next}else{var current=FS.nameTable[hash];while(current){if(current.name_next===node){current.name_next=node.name_next;break}current=current.name_next}}}),lookupNode:(function(parent,name){var err=FS.mayLookup(parent);if(err){throw new FS.ErrnoError(err,parent)}var hash=FS.hashName(parent.id,name);for(var node=FS.nameTable[hash];node;node=node.name_next){var nodeName=node.name;if(node.parent.id===parent.id&&nodeName===name){return node}}return FS.lookup(parent,name)}),createNode:(function(parent,name,mode,rdev){if(!FS.FSNode){FS.FSNode=(function(parent,name,mode,rdev){if(!parent){parent=this}this.parent=parent;this.mount=parent.mount;this.mounted=null;this.id=FS.nextInode++;this.name=name;this.mode=mode;this.node_ops={};this.stream_ops={};this.rdev=rdev});FS.FSNode.prototype={};var readMode=292|73;var writeMode=146;Object.defineProperties(FS.FSNode.prototype,{read:{get:(function(){return(this.mode&readMode)===readMode}),set:(function(val){val?this.mode|=readMode:this.mode&=~readMode})},write:{get:(function(){return(this.mode&writeMode)===writeMode}),set:(function(val){val?this.mode|=writeMode:this.mode&=~writeMode})},isFolder:{get:(function(){return FS.isDir(this.mode)})},isDevice:{get:(function(){return FS.isChrdev(this.mode)})}})}var node=new FS.FSNode(parent,name,mode,rdev);FS.hashAddNode(node);return node}),destroyNode:(function(node){FS.hashRemoveNode(node)}),isRoot:(function(node){return node===node.parent}),isMountpoint:(function(node){return!!node.mounted}),isFile:(function(mode){return(mode&61440)===32768}),isDir:(function(mode){return(mode&61440)===16384}),isLink:(function(mode){return(mode&61440)===40960}),isChrdev:(function(mode){return(mode&61440)===8192}),isBlkdev:(function(mode){return(mode&61440)===24576}),isFIFO:(function(mode){return(mode&61440)===4096}),isSocket:(function(mode){return(mode&49152)===49152}),flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:(function(str){var flags=FS.flagModes[str];if(typeof flags==="undefined"){throw new Error("Unknown file open mode: "+str)}return flags}),flagsToPermissionString:(function(flag){var perms=["r","w","rw"][flag&3];if(flag&512){perms+="w"}return perms}),nodePermissions:(function(node,perms){if(FS.ignorePermissions){return 0}if(perms.indexOf("r")!==-1&&!(node.mode&292)){return ERRNO_CODES.EACCES}else if(perms.indexOf("w")!==-1&&!(node.mode&146)){return ERRNO_CODES.EACCES}else if(perms.indexOf("x")!==-1&&!(node.mode&73)){return ERRNO_CODES.EACCES}return 0}),mayLookup:(function(dir){var err=FS.nodePermissions(dir,"x");if(err)return err;if(!dir.node_ops.lookup)return ERRNO_CODES.EACCES;return 0}),mayCreate:(function(dir,name){try{var node=FS.lookupNode(dir,name);return ERRNO_CODES.EEXIST}catch(e){}return FS.nodePermissions(dir,"wx")}),mayDelete:(function(dir,name,isdir){var node;try{node=FS.lookupNode(dir,name)}catch(e){return e.errno}var err=FS.nodePermissions(dir,"wx");if(err){return err}if(isdir){if(!FS.isDir(node.mode)){return ERRNO_CODES.ENOTDIR}if(FS.isRoot(node)||FS.getPath(node)===FS.cwd()){return ERRNO_CODES.EBUSY}}else{if(FS.isDir(node.mode)){return ERRNO_CODES.EISDIR}}return 0}),mayOpen:(function(node,flags){if(!node){return ERRNO_CODES.ENOENT}if(FS.isLink(node.mode)){return ERRNO_CODES.ELOOP}else if(FS.isDir(node.mode)){if(FS.flagsToPermissionString(flags)!=="r"||flags&512){return ERRNO_CODES.EISDIR}}return FS.nodePermissions(node,FS.flagsToPermissionString(flags))}),MAX_OPEN_FDS:4096,nextfd:(function(fd_start,fd_end){fd_start=fd_start||0;fd_end=fd_end||FS.MAX_OPEN_FDS;for(var fd=fd_start;fd<=fd_end;fd++){if(!FS.streams[fd]){return fd}}throw new FS.ErrnoError(ERRNO_CODES.EMFILE)}),getStream:(function(fd){return FS.streams[fd]}),createStream:(function(stream,fd_start,fd_end){if(!FS.FSStream){FS.FSStream=(function(){});FS.FSStream.prototype={};Object.defineProperties(FS.FSStream.prototype,{object:{get:(function(){return this.node}),set:(function(val){this.node=val})},isRead:{get:(function(){return(this.flags&2097155)!==1})},isWrite:{get:(function(){return(this.flags&2097155)!==0})},isAppend:{get:(function(){return this.flags&1024})}})}var newStream=new FS.FSStream;for(var p in stream){newStream[p]=stream[p]}stream=newStream;var fd=FS.nextfd(fd_start,fd_end);stream.fd=fd;FS.streams[fd]=stream;return stream}),closeStream:(function(fd){FS.streams[fd]=null}),chrdev_stream_ops:{open:(function(stream){var device=FS.getDevice(stream.node.rdev);stream.stream_ops=device.stream_ops;if(stream.stream_ops.open){stream.stream_ops.open(stream)}}),llseek:(function(){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)})},major:(function(dev){return dev>>8}),minor:(function(dev){return dev&255}),makedev:(function(ma,mi){return ma<<8|mi}),registerDevice:(function(dev,ops){FS.devices[dev]={stream_ops:ops}}),getDevice:(function(dev){return FS.devices[dev]}),getMounts:(function(mount){var mounts=[];var check=[mount];while(check.length){var m=check.pop();mounts.push(m);check.push.apply(check,m.mounts)}return mounts}),syncfs:(function(populate,callback){if(typeof populate==="function"){callback=populate;populate=false}FS.syncFSRequests++;if(FS.syncFSRequests>1){console.log("warning: "+FS.syncFSRequests+" FS.syncfs operations in flight at once, probably just doing extra work")}var mounts=FS.getMounts(FS.root.mount);var completed=0;function doCallback(err){assert(FS.syncFSRequests>0);FS.syncFSRequests--;return callback(err)}function done(err){if(err){if(!done.errored){done.errored=true;return doCallback(err)}return}if(++completed>=mounts.length){doCallback(null)}}mounts.forEach((function(mount){if(!mount.type.syncfs){return done(null)}mount.type.syncfs(mount,populate,done)}))}),mount:(function(type,opts,mountpoint){var root=mountpoint==="/";var pseudo=!mountpoint;var node;if(root&&FS.root){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}else if(!root&&!pseudo){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});mountpoint=lookup.path;node=lookup.node;if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}}var mount={type:type,opts:opts,mountpoint:mountpoint,mounts:[]};var mountRoot=type.mount(mount);mountRoot.mount=mount;mount.root=mountRoot;if(root){FS.root=mountRoot}else if(node){node.mounted=mount;if(node.mount){node.mount.mounts.push(mount)}}return mountRoot}),unmount:(function(mountpoint){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});if(!FS.isMountpoint(lookup.node)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=lookup.node;var mount=node.mounted;var mounts=FS.getMounts(mount);Object.keys(FS.nameTable).forEach((function(hash){var current=FS.nameTable[hash];while(current){var next=current.name_next;if(mounts.indexOf(current.mount)!==-1){FS.destroyNode(current)}current=next}}));node.mounted=null;var idx=node.mount.mounts.indexOf(mount);assert(idx!==-1);node.mount.mounts.splice(idx,1)}),lookup:(function(parent,name){return parent.node_ops.lookup(parent,name)}),mknod:(function(path,mode,dev){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);if(!name||name==="."||name===".."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.mayCreate(parent,name);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.mknod){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.mknod(parent,name,mode,dev)}),create:(function(path,mode){mode=mode!==undefined?mode:438;mode&=4095;mode|=32768;return FS.mknod(path,mode,0)}),mkdir:(function(path,mode){mode=mode!==undefined?mode:511;mode&=511|512;mode|=16384;return FS.mknod(path,mode,0)}),mkdirTree:(function(path,mode){var dirs=path.split("/");var d="";for(var i=0;i<dirs.length;++i){if(!dirs[i])continue;d+="/"+dirs[i];try{FS.mkdir(d,mode)}catch(e){if(e.errno!=ERRNO_CODES.EEXIST)throw e}}}),mkdev:(function(path,mode,dev){if(typeof dev==="undefined"){dev=mode;mode=438}mode|=8192;return FS.mknod(path,mode,dev)}),symlink:(function(oldpath,newpath){if(!PATH.resolve(oldpath)){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var lookup=FS.lookupPath(newpath,{parent:true});var parent=lookup.node;if(!parent){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var newname=PATH.basename(newpath);var err=FS.mayCreate(parent,newname);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.symlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.symlink(parent,newname,oldpath)}),rename:(function(old_path,new_path){var old_dirname=PATH.dirname(old_path);var new_dirname=PATH.dirname(new_path);var old_name=PATH.basename(old_path);var new_name=PATH.basename(new_path);var lookup,old_dir,new_dir;try{lookup=FS.lookupPath(old_path,{parent:true});old_dir=lookup.node;lookup=FS.lookupPath(new_path,{parent:true});new_dir=lookup.node}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!old_dir||!new_dir)throw new FS.ErrnoError(ERRNO_CODES.ENOENT);if(old_dir.mount!==new_dir.mount){throw new FS.ErrnoError(ERRNO_CODES.EXDEV)}var old_node=FS.lookupNode(old_dir,old_name);var relative=PATH.relative(old_path,new_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}relative=PATH.relative(new_path,old_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(old_node===new_node){return}var isdir=FS.isDir(old_node.mode);var err=FS.mayDelete(old_dir,old_name,isdir);if(err){throw new FS.ErrnoError(err)}err=new_node?FS.mayDelete(new_dir,new_name,isdir):FS.mayCreate(new_dir,new_name);if(err){throw new FS.ErrnoError(err)}if(!old_dir.node_ops.rename){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(old_node)||new_node&&FS.isMountpoint(new_node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(new_dir!==old_dir){err=FS.nodePermissions(old_dir,"w");if(err){throw new FS.ErrnoError(err)}}try{if(FS.trackingDelegate["willMovePath"]){FS.trackingDelegate["willMovePath"](old_path,new_path)}}catch(e){console.log("FS.trackingDelegate['willMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}FS.hashRemoveNode(old_node);try{old_dir.node_ops.rename(old_node,new_dir,new_name)}catch(e){throw e}finally{FS.hashAddNode(old_node)}try{if(FS.trackingDelegate["onMovePath"])FS.trackingDelegate["onMovePath"](old_path,new_path)}catch(e){console.log("FS.trackingDelegate['onMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}}),rmdir:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,true);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.rmdir){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.rmdir(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;if(!node.node_ops.readdir){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}return node.node_ops.readdir(node)}),unlink:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,false);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.unlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.unlink(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readlink:(function(path){var lookup=FS.lookupPath(path);var link=lookup.node;if(!link){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!link.node_ops.readlink){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return PATH.resolve(FS.getPath(link.parent),link.node_ops.readlink(link))}),stat:(function(path,dontFollow){var lookup=FS.lookupPath(path,{follow:!dontFollow});var node=lookup.node;if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!node.node_ops.getattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return node.node_ops.getattr(node)}),lstat:(function(path){return FS.stat(path,true)}),chmod:(function(path,mode,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{mode:mode&4095|node.mode&~4095,timestamp:Date.now()})}),lchmod:(function(path,mode){FS.chmod(path,mode,true)}),fchmod:(function(fd,mode){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chmod(stream.node,mode)}),chown:(function(path,uid,gid,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{timestamp:Date.now()})}),lchown:(function(path,uid,gid){FS.chown(path,uid,gid,true)}),fchown:(function(fd,uid,gid){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chown(stream.node,uid,gid)}),truncate:(function(path,len){if(len<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:true});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!FS.isFile(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.nodePermissions(node,"w");if(err){throw new FS.ErrnoError(err)}node.node_ops.setattr(node,{size:len,timestamp:Date.now()})}),ftruncate:(function(fd,len){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}FS.truncate(stream.node,len)}),utime:(function(path,atime,mtime){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;node.node_ops.setattr(node,{timestamp:Math.max(atime,mtime)})}),open:(function(path,flags,mode,fd_start,fd_end){if(path===""){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}flags=typeof flags==="string"?FS.modeStringToFlags(flags):flags;mode=typeof mode==="undefined"?438:mode;if(flags&64){mode=mode&4095|32768}else{mode=0}var node;if(typeof path==="object"){node=path}else{path=PATH.normalize(path);try{var lookup=FS.lookupPath(path,{follow:!(flags&131072)});node=lookup.node}catch(e){}}var created=false;if(flags&64){if(node){if(flags&128){throw new FS.ErrnoError(ERRNO_CODES.EEXIST)}}else{node=FS.mknod(path,mode,0);created=true}}if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(FS.isChrdev(node.mode)){flags&=~512}if(flags&65536&&!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}if(!created){var err=FS.mayOpen(node,flags);if(err){throw new FS.ErrnoError(err)}}if(flags&512){FS.truncate(node,0)}flags&=~(128|512);var stream=FS.createStream({node:node,path:FS.getPath(node),flags:flags,seekable:true,position:0,stream_ops:node.stream_ops,ungotten:[],error:false},fd_start,fd_end);if(stream.stream_ops.open){stream.stream_ops.open(stream)}if(Module["logReadFiles"]&&!(flags&1)){if(!FS.readFiles)FS.readFiles={};if(!(path in FS.readFiles)){FS.readFiles[path]=1;Module["printErr"]("read file: "+path)}}try{if(FS.trackingDelegate["onOpenFile"]){var trackingFlags=0;if((flags&2097155)!==1){trackingFlags|=FS.tracking.openFlags.READ}if((flags&2097155)!==0){trackingFlags|=FS.tracking.openFlags.WRITE}FS.trackingDelegate["onOpenFile"](path,trackingFlags)}}catch(e){console.log("FS.trackingDelegate['onOpenFile']('"+path+"', flags) threw an exception: "+e.message)}return stream}),close:(function(stream){if(stream.getdents)stream.getdents=null;try{if(stream.stream_ops.close){stream.stream_ops.close(stream)}}catch(e){throw e}finally{FS.closeStream(stream.fd)}}),llseek:(function(stream,offset,whence){if(!stream.seekable||!stream.stream_ops.llseek){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}stream.position=stream.stream_ops.llseek(stream,offset,whence);stream.ungotten=[];return stream.position}),read:(function(stream,buffer,offset,length,position){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.read){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesRead=stream.stream_ops.read(stream,buffer,offset,length,position);if(!seeking)stream.position+=bytesRead;return bytesRead}),write:(function(stream,buffer,offset,length,position,canOwn){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.write){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if(stream.flags&1024){FS.llseek(stream,0,2)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesWritten=stream.stream_ops.write(stream,buffer,offset,length,position,canOwn);if(!seeking)stream.position+=bytesWritten;try{if(stream.path&&FS.trackingDelegate["onWriteToFile"])FS.trackingDelegate["onWriteToFile"](stream.path)}catch(e){console.log("FS.trackingDelegate['onWriteToFile']('"+path+"') threw an exception: "+e.message)}return bytesWritten}),allocate:(function(stream,offset,length){if(offset<0||length<=0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(!FS.isFile(stream.node.mode)&&!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(!stream.stream_ops.allocate){throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP)}stream.stream_ops.allocate(stream,offset,length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EACCES)}if(!stream.stream_ops.mmap){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}return stream.stream_ops.mmap(stream,buffer,offset,length,position,prot,flags)}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!stream||!stream.stream_ops.msync){return 0}return stream.stream_ops.msync(stream,buffer,offset,length,mmapFlags)}),munmap:(function(stream){return 0}),ioctl:(function(stream,cmd,arg){if(!stream.stream_ops.ioctl){throw new FS.ErrnoError(ERRNO_CODES.ENOTTY)}return stream.stream_ops.ioctl(stream,cmd,arg)}),readFile:(function(path,opts){opts=opts||{};opts.flags=opts.flags||"r";opts.encoding=opts.encoding||"binary";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var ret;var stream=FS.open(path,opts.flags);var stat=FS.stat(path);var length=stat.size;var buf=new Uint8Array(length);FS.read(stream,buf,0,length,0);if(opts.encoding==="utf8"){ret=UTF8ArrayToString(buf,0)}else if(opts.encoding==="binary"){ret=buf}FS.close(stream);return ret}),writeFile:(function(path,data,opts){opts=opts||{};opts.flags=opts.flags||"w";opts.encoding=opts.encoding||"utf8";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var stream=FS.open(path,opts.flags,opts.mode);if(opts.encoding==="utf8"){var buf=new Uint8Array(lengthBytesUTF8(data)+1);var actualNumBytes=stringToUTF8Array(data,buf,0,buf.length);FS.write(stream,buf,0,actualNumBytes,0,opts.canOwn)}else if(opts.encoding==="binary"){FS.write(stream,data,0,data.length,0,opts.canOwn)}FS.close(stream)}),cwd:(function(){return FS.currentPath}),chdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});if(lookup.node===null){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!FS.isDir(lookup.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}var err=FS.nodePermissions(lookup.node,"x");if(err){throw new FS.ErrnoError(err)}FS.currentPath=lookup.path}),createDefaultDirectories:(function(){FS.mkdir("/tmp");FS.mkdir("/home");FS.mkdir("/home/web_user")}),createDefaultDevices:(function(){FS.mkdir("/dev");FS.registerDevice(FS.makedev(1,3),{read:(function(){return 0}),write:(function(stream,buffer,offset,length,pos){return length})});FS.mkdev("/dev/null",FS.makedev(1,3));TTY.register(FS.makedev(5,0),TTY.default_tty_ops);TTY.register(FS.makedev(6,0),TTY.default_tty1_ops);FS.mkdev("/dev/tty",FS.makedev(5,0));FS.mkdev("/dev/tty1",FS.makedev(6,0));var random_device;if(typeof crypto!=="undefined"){var randomBuffer=new Uint8Array(1);random_device=(function(){crypto.getRandomValues(randomBuffer);return randomBuffer[0]})}else if(ENVIRONMENT_IS_NODE){random_device=(function(){return require("crypto").randomBytes(1)[0]})}else{random_device=(function(){return Math.random()*256|0})}FS.createDevice("/dev","random",random_device);FS.createDevice("/dev","urandom",random_device);FS.mkdir("/dev/shm");FS.mkdir("/dev/shm/tmp")}),createSpecialDirectories:(function(){FS.mkdir("/proc");FS.mkdir("/proc/self");FS.mkdir("/proc/self/fd");FS.mount({mount:(function(){var node=FS.createNode("/proc/self","fd",16384|511,73);node.node_ops={lookup:(function(parent,name){var fd=+name;var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);var ret={parent:null,mount:{mountpoint:"fake"},node_ops:{readlink:(function(){return stream.path})}};ret.parent=ret;return ret})};return node})},{},"/proc/self/fd")}),createStandardStreams:(function(){if(Module["stdin"]){FS.createDevice("/dev","stdin",Module["stdin"])}else{FS.symlink("/dev/tty","/dev/stdin")}if(Module["stdout"]){FS.createDevice("/dev","stdout",null,Module["stdout"])}else{FS.symlink("/dev/tty","/dev/stdout")}if(Module["stderr"]){FS.createDevice("/dev","stderr",null,Module["stderr"])}else{FS.symlink("/dev/tty1","/dev/stderr")}var stdin=FS.open("/dev/stdin","r");assert(stdin.fd===0,"invalid handle for stdin ("+stdin.fd+")");var stdout=FS.open("/dev/stdout","w");assert(stdout.fd===1,"invalid handle for stdout ("+stdout.fd+")");var stderr=FS.open("/dev/stderr","w");assert(stderr.fd===2,"invalid handle for stderr ("+stderr.fd+")")}),ensureErrnoError:(function(){if(FS.ErrnoError)return;FS.ErrnoError=function ErrnoError(errno,node){this.node=node;this.setErrno=(function(errno){this.errno=errno;for(var key in ERRNO_CODES){if(ERRNO_CODES[key]===errno){this.code=key;break}}});this.setErrno(errno);this.message=ERRNO_MESSAGES[errno]};FS.ErrnoError.prototype=new Error;FS.ErrnoError.prototype.constructor=FS.ErrnoError;[ERRNO_CODES.ENOENT].forEach((function(code){FS.genericErrors[code]=new FS.ErrnoError(code);FS.genericErrors[code].stack="<generic error, no stack>"}))}),staticInit:(function(){FS.ensureErrnoError();FS.nameTable=new Array(4096);FS.mount(MEMFS,{},"/");FS.createDefaultDirectories();FS.createDefaultDevices();FS.createSpecialDirectories();FS.filesystems={"MEMFS":MEMFS,"IDBFS":IDBFS,"NODEFS":NODEFS,"WORKERFS":WORKERFS}}),init:(function(input,output,error){assert(!FS.init.initialized,"FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)");FS.init.initialized=true;FS.ensureErrnoError();Module["stdin"]=input||Module["stdin"];Module["stdout"]=output||Module["stdout"];Module["stderr"]=error||Module["stderr"];FS.createStandardStreams()}),quit:(function(){FS.init.initialized=false;var fflush=Module["_fflush"];if(fflush)fflush(0);for(var i=0;i<FS.streams.length;i++){var stream=FS.streams[i];if(!stream){continue}FS.close(stream)}}),getMode:(function(canRead,canWrite){var mode=0;if(canRead)mode|=292|73;if(canWrite)mode|=146;return mode}),joinPath:(function(parts,forceRelative){var path=PATH.join.apply(null,parts);if(forceRelative&&path[0]=="/")path=path.substr(1);return path}),absolutePath:(function(relative,base){return PATH.resolve(base,relative)}),standardizePath:(function(path){return PATH.normalize(path)}),findObject:(function(path,dontResolveLastLink){var ret=FS.analyzePath(path,dontResolveLastLink);if(ret.exists){return ret.object}else{___setErrNo(ret.error);return null}}),analyzePath:(function(path,dontResolveLastLink){try{var lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});path=lookup.path}catch(e){}var ret={isRoot:false,exists:false,error:0,name:null,path:null,object:null,parentExists:false,parentPath:null,parentObject:null};try{var lookup=FS.lookupPath(path,{parent:true});ret.parentExists=true;ret.parentPath=lookup.path;ret.parentObject=lookup.node;ret.name=PATH.basename(path);lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});ret.exists=true;ret.path=lookup.path;ret.object=lookup.node;ret.name=lookup.node.name;ret.isRoot=lookup.path==="/"}catch(e){ret.error=e.errno}return ret}),createFolder:(function(parent,name,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.mkdir(path,mode)}),createPath:(function(parent,path,canRead,canWrite){parent=typeof parent==="string"?parent:FS.getPath(parent);var parts=path.split("/").reverse();while(parts.length){var part=parts.pop();if(!part)continue;var current=PATH.join2(parent,part);try{FS.mkdir(current)}catch(e){}parent=current}return current}),createFile:(function(parent,name,properties,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.create(path,mode)}),createDataFile:(function(parent,name,data,canRead,canWrite,canOwn){var path=name?PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name):parent;var mode=FS.getMode(canRead,canWrite);var node=FS.create(path,mode);if(data){if(typeof data==="string"){var arr=new Array(data.length);for(var i=0,len=data.length;i<len;++i)arr[i]=data.charCodeAt(i);data=arr}FS.chmod(node,mode|146);var stream=FS.open(node,"w");FS.write(stream,data,0,data.length,0,canOwn);FS.close(stream);FS.chmod(node,mode)}return node}),createDevice:(function(parent,name,input,output){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(!!input,!!output);if(!FS.createDevice.major)FS.createDevice.major=64;var dev=FS.makedev(FS.createDevice.major++,0);FS.registerDevice(dev,{open:(function(stream){stream.seekable=false}),close:(function(stream){if(output&&output.buffer&&output.buffer.length){output(10)}}),read:(function(stream,buffer,offset,length,pos){var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=input()}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){for(var i=0;i<length;i++){try{output(buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})});return FS.mkdev(path,mode,dev)}),createLink:(function(parent,name,target,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);return FS.symlink(target,path)}),forceLoadFile:(function(obj){if(obj.isDevice||obj.isFolder||obj.link||obj.contents)return true;var success=true;if(typeof XMLHttpRequest!=="undefined"){throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.")}else if(Module["read"]){try{obj.contents=intArrayFromString(Module["read"](obj.url),true);obj.usedBytes=obj.contents.length}catch(e){success=false}}else{throw new Error("Cannot load without read() or XMLHttpRequest.")}if(!success)___setErrNo(ERRNO_CODES.EIO);return success}),createLazyFile:(function(parent,name,url,canRead,canWrite){function LazyUint8Array(){this.lengthKnown=false;this.chunks=[]}LazyUint8Array.prototype.get=function LazyUint8Array_get(idx){if(idx>this.length-1||idx<0){return undefined}var chunkOffset=idx%this.chunkSize;var chunkNum=idx/this.chunkSize|0;return this.getter(chunkNum)[chunkOffset]};LazyUint8Array.prototype.setDataGetter=function LazyUint8Array_setDataGetter(getter){this.getter=getter};LazyUint8Array.prototype.cacheLength=function LazyUint8Array_cacheLength(){var xhr=new XMLHttpRequest;xhr.open("HEAD",url,false);xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);var datalength=Number(xhr.getResponseHeader("Content-length"));var header;var hasByteServing=(header=xhr.getResponseHeader("Accept-Ranges"))&&header==="bytes";var usesGzip=(header=xhr.getResponseHeader("Content-Encoding"))&&header==="gzip";var chunkSize=1024*1024;if(!hasByteServing)chunkSize=datalength;var doXHR=(function(from,to){if(from>to)throw new Error("invalid range ("+from+", "+to+") or no bytes requested!");if(to>datalength-1)throw new Error("only "+datalength+" bytes available! programmer error!");var xhr=new XMLHttpRequest;xhr.open("GET",url,false);if(datalength!==chunkSize)xhr.setRequestHeader("Range","bytes="+from+"-"+to);if(typeof Uint8Array!="undefined")xhr.responseType="arraybuffer";if(xhr.overrideMimeType){xhr.overrideMimeType("text/plain; charset=x-user-defined")}xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);if(xhr.response!==undefined){return new Uint8Array(xhr.response||[])}else{return intArrayFromString(xhr.responseText||"",true)}});var lazyArray=this;lazyArray.setDataGetter((function(chunkNum){var start=chunkNum*chunkSize;var end=(chunkNum+1)*chunkSize-1;end=Math.min(end,datalength-1);if(typeof lazyArray.chunks[chunkNum]==="undefined"){lazyArray.chunks[chunkNum]=doXHR(start,end)}if(typeof lazyArray.chunks[chunkNum]==="undefined")throw new Error("doXHR failed!");return lazyArray.chunks[chunkNum]}));if(usesGzip||!datalength){chunkSize=datalength=1;datalength=this.getter(0).length;chunkSize=datalength;console.log("LazyFiles on gzip forces download of the whole file when length is accessed")}this._length=datalength;this._chunkSize=chunkSize;this.lengthKnown=true};if(typeof XMLHttpRequest!=="undefined"){if(!ENVIRONMENT_IS_WORKER)throw"Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";var lazyArray=new LazyUint8Array;Object.defineProperties(lazyArray,{length:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._length})},chunkSize:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._chunkSize})}});var properties={isDevice:false,contents:lazyArray}}else{var properties={isDevice:false,url:url}}var node=FS.createFile(parent,name,properties,canRead,canWrite);if(properties.contents){node.contents=properties.contents}else if(properties.url){node.contents=null;node.url=properties.url}Object.defineProperties(node,{usedBytes:{get:(function(){return this.contents.length})}});var stream_ops={};var keys=Object.keys(node.stream_ops);keys.forEach((function(key){var fn=node.stream_ops[key];stream_ops[key]=function forceLoadLazyFile(){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}return fn.apply(null,arguments)}}));stream_ops.read=function stream_ops_read(stream,buffer,offset,length,position){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}var contents=stream.node.contents;if(position>=contents.length)return 0;var size=Math.min(contents.length-position,length);assert(size>=0);if(contents.slice){for(var i=0;i<size;i++){buffer[offset+i]=contents[position+i]}}else{for(var i=0;i<size;i++){buffer[offset+i]=contents.get(position+i)}}return size};node.stream_ops=stream_ops;return node}),createPreloadedFile:(function(parent,name,url,canRead,canWrite,onload,onerror,dontCreateFile,canOwn,preFinish){Browser.init();var fullname=name?PATH.resolve(PATH.join2(parent,name)):parent;var dep=getUniqueRunDependency("cp "+fullname);function processData(byteArray){function finish(byteArray){if(preFinish)preFinish();if(!dontCreateFile){FS.createDataFile(parent,name,byteArray,canRead,canWrite,canOwn)}if(onload)onload();removeRunDependency(dep)}var handled=false;Module["preloadPlugins"].forEach((function(plugin){if(handled)return;if(plugin["canHandle"](fullname)){plugin["handle"](byteArray,fullname,finish,(function(){if(onerror)onerror();removeRunDependency(dep)}));handled=true}}));if(!handled)finish(byteArray)}addRunDependency(dep);if(typeof url=="string"){Browser.asyncLoad(url,(function(byteArray){processData(byteArray)}),onerror)}else{processData(url)}}),indexedDB:(function(){return window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB}),DB_NAME:(function(){return"EM_FS_"+window.location.pathname}),DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=function openRequest_onupgradeneeded(){console.log("creating db");var db=openRequest.result;db.createObjectStore(FS.DB_STORE_NAME)};openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;var transaction=db.transaction([FS.DB_STORE_NAME],"readwrite");var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var putRequest=files.put(FS.analyzePath(path).object.contents,path);putRequest.onsuccess=function putRequest_onsuccess(){ok++;if(ok+fail==total)finish()};putRequest.onerror=function putRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror}),loadFilesFromDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=onerror;openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;try{var transaction=db.transaction([FS.DB_STORE_NAME],"readonly")}catch(e){onerror(e);return}var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var getRequest=files.get(path);getRequest.onsuccess=function getRequest_onsuccess(){if(FS.analyzePath(path).exists){FS.unlink(path)}FS.createDataFile(PATH.dirname(path),PATH.basename(path),getRequest.result,true,true,true);ok++;if(ok+fail==total)finish()};getRequest.onerror=function getRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror})};var SYSCALLS={DEFAULT_POLLMASK:5,mappings:{},umask:511,calculateAt:(function(dirfd,path){if(path[0]!=="/"){var dir;if(dirfd===-100){dir=FS.cwd()}else{var dirstream=FS.getStream(dirfd);if(!dirstream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);dir=dirstream.path}path=PATH.join2(dir,path)}return path}),doStat:(function(func,path,buf){try{var stat=func(path)}catch(e){if(e&&e.node&&PATH.normalize(path)!==PATH.normalize(FS.getPath(e.node))){return-ERRNO_CODES.ENOTDIR}throw e}HEAP32[buf>>2]=stat.dev;HEAP32[buf+4>>2]=0;HEAP32[buf+8>>2]=stat.ino;HEAP32[buf+12>>2]=stat.mode;HEAP32[buf+16>>2]=stat.nlink;HEAP32[buf+20>>2]=stat.uid;HEAP32[buf+24>>2]=stat.gid;HEAP32[buf+28>>2]=stat.rdev;HEAP32[buf+32>>2]=0;HEAP32[buf+36>>2]=stat.size;HEAP32[buf+40>>2]=4096;HEAP32[buf+44>>2]=stat.blocks;HEAP32[buf+48>>2]=stat.atime.getTime()/1e3|0;HEAP32[buf+52>>2]=0;HEAP32[buf+56>>2]=stat.mtime.getTime()/1e3|0;HEAP32[buf+60>>2]=0;HEAP32[buf+64>>2]=stat.ctime.getTime()/1e3|0;HEAP32[buf+68>>2]=0;HEAP32[buf+72>>2]=stat.ino;return 0}),doMsync:(function(addr,stream,len,flags){var buffer=new Uint8Array(HEAPU8.subarray(addr,addr+len));FS.msync(stream,buffer,0,len,flags)}),doMkdir:(function(path,mode){path=PATH.normalize(path);if(path[path.length-1]==="/")path=path.substr(0,path.length-1);FS.mkdir(path,mode,0);return 0}),doMknod:(function(path,mode,dev){switch(mode&61440){case 32768:case 8192:case 24576:case 4096:case 49152:break;default:return-ERRNO_CODES.EINVAL}FS.mknod(path,mode,dev);return 0}),doReadlink:(function(path,buf,bufsize){if(bufsize<=0)return-ERRNO_CODES.EINVAL;var ret=FS.readlink(path);var len=Math.min(bufsize,lengthBytesUTF8(ret));var endChar=HEAP8[buf+len];stringToUTF8(ret,buf,bufsize+1);HEAP8[buf+len]=endChar;return len}),doAccess:(function(path,amode){if(amode&~7){return-ERRNO_CODES.EINVAL}var node;var lookup=FS.lookupPath(path,{follow:true});node=lookup.node;var perms="";if(amode&4)perms+="r";if(amode&2)perms+="w";if(amode&1)perms+="x";if(perms&&FS.nodePermissions(node,perms)){return-ERRNO_CODES.EACCES}return 0}),doDup:(function(path,flags,suggestFD){var suggest=FS.getStream(suggestFD);if(suggest)FS.close(suggest);return FS.open(path,flags,0,suggestFD,suggestFD).fd}),doReadv:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.read(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr;if(curr<len)break}return ret}),doWritev:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.write(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr}return ret}),varargs:0,get:(function(varargs){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret}),getStr:(function(){var ret=Pointer_stringify(SYSCALLS.get());return ret}),getStreamFromFD:(function(){var stream=FS.getStream(SYSCALLS.get());if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return stream}),getSocketFromFD:(function(){var socket=SOCKFS.getSocket(SYSCALLS.get());if(!socket)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return socket}),getSocketAddress:(function(allowNull){var addrp=SYSCALLS.get(),addrlen=SYSCALLS.get();if(allowNull&&addrp===0)return null;var info=__read_sockaddr(addrp,addrlen);if(info.errno)throw new FS.ErrnoError(info.errno);info.addr=DNS.lookup_addr(info.addr)||info.addr;return info}),get64:(function(){var low=SYSCALLS.get(),high=SYSCALLS.get();if(low>=0)assert(high===0);else assert(high===-1);return low}),getZero:(function(){assert(SYSCALLS.get()===0)})};function ___syscall195(which,varargs){SYSCALLS.varargs=varargs;try{var path=SYSCALLS.getStr(),buf=SYSCALLS.get();return SYSCALLS.doStat(FS.stat,path,buf)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function _free(){}Module["_free"]=_free;function ___cxa_free_exception(ptr){try{return _free(ptr)}catch(e){}}function ___cxa_end_catch(){asm["setThrew"](0);var ptr=EXCEPTIONS.caught.pop();if(ptr){EXCEPTIONS.decRef(EXCEPTIONS.deAdjust(ptr));EXCEPTIONS.last=0}}var PTHREAD_SPECIFIC={};var PTHREAD_SPECIFIC_NEXT_KEY=1;function _pthread_key_create(key,destructor){if(key==0){return ERRNO_CODES.EINVAL}HEAP32[key>>2]=PTHREAD_SPECIFIC_NEXT_KEY;PTHREAD_SPECIFIC[PTHREAD_SPECIFIC_NEXT_KEY]=0;PTHREAD_SPECIFIC_NEXT_KEY++;return 0}var DLFCN={error:null,errorMsg:null,loadedLibs:{},loadedLibNames:{}};function _dlerror(){if(DLFCN.errorMsg===null){return 0}else{if(DLFCN.error)_free(DLFCN.error);var msgArr=intArrayFromString(DLFCN.errorMsg);DLFCN.error=allocate(msgArr,"i8",ALLOC_NORMAL);DLFCN.errorMsg=null;return DLFCN.error}}function ___syscall54(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),op=SYSCALLS.get();switch(op){case 21505:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21506:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21519:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;var argp=SYSCALLS.get();HEAP32[argp>>2]=0;return 0};case 21520:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return-ERRNO_CODES.EINVAL};case 21531:{var argp=SYSCALLS.get();return FS.ioctl(stream,op,argp)};default:abort("bad ioctl syscall "+op)}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["_bitshift64Lshr"]=_bitshift64Lshr;function _pthread_cleanup_push(routine,arg){__ATEXIT__.push((function(){Runtime.dynCall("vi",routine,[arg])}));_pthread_cleanup_push.level=__ATEXIT__.length}Module["_pthread_cond_broadcast"]=_pthread_cond_broadcast;function ___cxa_find_matching_catch_6(){return ___cxa_find_matching_catch.apply(null,arguments)}function ___cxa_find_matching_catch_4(){return ___cxa_find_matching_catch.apply(null,arguments)}function ___cxa_find_matching_catch_2(){return ___cxa_find_matching_catch.apply(null,arguments)}function ___cxa_find_matching_catch_3(){return ___cxa_find_matching_catch.apply(null,arguments)}Module["_pthread_mutex_unlock"]=_pthread_mutex_unlock;function _dlclose(handle){if(!DLFCN.loadedLibs[handle]){DLFCN.errorMsg="Tried to dlclose() unopened handle: "+handle;return 1}else{var lib_record=DLFCN.loadedLibs[handle];if(--lib_record.refcount==0){if(lib_record.module.cleanups){lib_record.module.cleanups.forEach((function(cleanup){cleanup()}))}delete DLFCN.loadedLibNames[lib_record.name];delete DLFCN.loadedLibs[handle]}return 0}}function _emscripten_memcpy_big(dest,src,num){HEAPU8.set(HEAPU8.subarray(src,src+num),dest);return dest}Module["_memcpy"]=_memcpy;function ___cxa_find_matching_catch_8(){return ___cxa_find_matching_catch.apply(null,arguments)}var _llvm_pow_f64=Math_pow;Module["_sbrk"]=_sbrk;Module["_bitshift64Shl"]=_bitshift64Shl;Module["_memmove"]=_memmove;function ___gxx_personality_v0(){}var cttz_i8=allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0],"i8",ALLOC_STATIC);Module["_llvm_cttz_i32"]=_llvm_cttz_i32;Module["___udivmoddi4"]=___udivmoddi4;Module["___uremdi3"]=___uremdi3;function _pthread_cond_wait(){return 0}function ___cxa_rethrow(){var ptr=EXCEPTIONS.caught.pop();if(!EXCEPTIONS.infos[ptr].rethrown){EXCEPTIONS.caught.push(ptr);EXCEPTIONS.infos[ptr].rethrown=true}EXCEPTIONS.last=ptr;throw ptr}Module["_round"]=_round;function ___assert_fail(condition,filename,line,func){ABORT=true;throw"Assertion failed: "+Pointer_stringify(condition)+", at: "+[filename?Pointer_stringify(filename):"unknown filename",line,func?Pointer_stringify(func):"unknown function"]+" at "+stackTrace()}function _dlsym(handle,symbol){symbol=Pointer_stringify(symbol);if(!DLFCN.loadedLibs[handle]){DLFCN.errorMsg="Tried to dlsym() from an unopened handle: "+handle;return 0}else{var lib=DLFCN.loadedLibs[handle];symbol="_"+symbol;if(lib.cached_functions.hasOwnProperty(symbol)){return lib.cached_functions[symbol]}if(!lib.module.hasOwnProperty(symbol)){DLFCN.errorMsg='Tried to lookup unknown symbol "'+symbol+'" in dynamic lib: '+lib.name;return 0}else{var result=lib.module[symbol];if(typeof result=="function"){result=Runtime.addFunction(result);lib.cached_functions=result}return result}}}Module["_memset"]=_memset;function __isLeapYear(year){return year%4===0&&(year%100!==0||year%400===0)}function __arraySum(array,index){var sum=0;for(var i=0;i<=index;sum+=array[i++]);return sum}var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date,days){var newDate=new Date(date.getTime());while(days>0){var leap=__isLeapYear(newDate.getFullYear());var currentMonth=newDate.getMonth();var daysInCurrentMonth=(leap?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR)[currentMonth];if(days>daysInCurrentMonth-newDate.getDate()){days-=daysInCurrentMonth-newDate.getDate()+1;newDate.setDate(1);if(currentMonth<11){newDate.setMonth(currentMonth+1)}else{newDate.setMonth(0);newDate.setFullYear(newDate.getFullYear()+1)}}else{newDate.setDate(newDate.getDate()+days);return newDate}}return newDate}function _strftime(s,maxsize,format,tm){var tm_zone=HEAP32[tm+40>>2];var date={tm_sec:HEAP32[tm>>2],tm_min:HEAP32[tm+4>>2],tm_hour:HEAP32[tm+8>>2],tm_mday:HEAP32[tm+12>>2],tm_mon:HEAP32[tm+16>>2],tm_year:HEAP32[tm+20>>2],tm_wday:HEAP32[tm+24>>2],tm_yday:HEAP32[tm+28>>2],tm_isdst:HEAP32[tm+32>>2],tm_gmtoff:HEAP32[tm+36>>2],tm_zone:tm_zone?Pointer_stringify(tm_zone):""};var pattern=Pointer_stringify(format);var EXPANSION_RULES_1={"%c":"%a %b %d %H:%M:%S %Y","%D":"%m/%d/%y","%F":"%Y-%m-%d","%h":"%b","%r":"%I:%M:%S %p","%R":"%H:%M","%T":"%H:%M:%S","%x":"%m/%d/%y","%X":"%H:%M:%S"};for(var rule in EXPANSION_RULES_1){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_1[rule])}var WEEKDAYS=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];var MONTHS=["January","February","March","April","May","June","July","August","September","October","November","December"];function leadingSomething(value,digits,character){var str=typeof value==="number"?value.toString():value||"";while(str.length<digits){str=character[0]+str}return str}function leadingNulls(value,digits){return leadingSomething(value,digits,"0")}function compareByDay(date1,date2){function sgn(value){return value<0?-1:value>0?1:0}var compare;if((compare=sgn(date1.getFullYear()-date2.getFullYear()))===0){if((compare=sgn(date1.getMonth()-date2.getMonth()))===0){compare=sgn(date1.getDate()-date2.getDate())}}return compare}function getFirstWeekStartDate(janFourth){switch(janFourth.getDay()){case 0:return new Date(janFourth.getFullYear()-1,11,29);case 1:return janFourth;case 2:return new Date(janFourth.getFullYear(),0,3);case 3:return new Date(janFourth.getFullYear(),0,2);case 4:return new Date(janFourth.getFullYear(),0,1);case 5:return new Date(janFourth.getFullYear()-1,11,31);case 6:return new Date(janFourth.getFullYear()-1,11,30)}}function getWeekBasedYear(date){var thisDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);var janFourthThisYear=new Date(thisDate.getFullYear(),0,4);var janFourthNextYear=new Date(thisDate.getFullYear()+1,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);if(compareByDay(firstWeekStartThisYear,thisDate)<=0){if(compareByDay(firstWeekStartNextYear,thisDate)<=0){return thisDate.getFullYear()+1}else{return thisDate.getFullYear()}}else{return thisDate.getFullYear()-1}}var EXPANSION_RULES_2={"%a":(function(date){return WEEKDAYS[date.tm_wday].substring(0,3)}),"%A":(function(date){return WEEKDAYS[date.tm_wday]}),"%b":(function(date){return MONTHS[date.tm_mon].substring(0,3)}),"%B":(function(date){return MONTHS[date.tm_mon]}),"%C":(function(date){var year=date.tm_year+1900;return leadingNulls(year/100|0,2)}),"%d":(function(date){return leadingNulls(date.tm_mday,2)}),"%e":(function(date){return leadingSomething(date.tm_mday,2," ")}),"%g":(function(date){return getWeekBasedYear(date).toString().substring(2)}),"%G":(function(date){return getWeekBasedYear(date)}),"%H":(function(date){return leadingNulls(date.tm_hour,2)}),"%I":(function(date){var twelveHour=date.tm_hour;if(twelveHour==0)twelveHour=12;else if(twelveHour>12)twelveHour-=12;return leadingNulls(twelveHour,2)}),"%j":(function(date){return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900)?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,date.tm_mon-1),3)}),"%m":(function(date){return leadingNulls(date.tm_mon+1,2)}),"%M":(function(date){return leadingNulls(date.tm_min,2)}),"%n":(function(){return"\n"}),"%p":(function(date){if(date.tm_hour>=0&&date.tm_hour<12){return"AM"}else{return"PM"}}),"%S":(function(date){return leadingNulls(date.tm_sec,2)}),"%t":(function(){return"\t"}),"%u":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()||7}),"%U":(function(date){var janFirst=new Date(date.tm_year+1900,0,1);var firstSunday=janFirst.getDay()===0?janFirst:__addDays(janFirst,7-janFirst.getDay());var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstSunday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstSundayUntilEndJanuary=31-firstSunday.getDate();var days=firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstSunday,janFirst)===0?"01":"00"}),"%V":(function(date){var janFourthThisYear=new Date(date.tm_year+1900,0,4);var janFourthNextYear=new Date(date.tm_year+1901,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);var endDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);if(compareByDay(endDate,firstWeekStartThisYear)<0){return"53"}if(compareByDay(firstWeekStartNextYear,endDate)<=0){return"01"}var daysDifference;if(firstWeekStartThisYear.getFullYear()<date.tm_year+1900){daysDifference=date.tm_yday+32-firstWeekStartThisYear.getDate()}else{daysDifference=date.tm_yday+1-firstWeekStartThisYear.getDate()}return leadingNulls(Math.ceil(daysDifference/7),2)}),"%w":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()}),"%W":(function(date){var janFirst=new Date(date.tm_year,0,1);var firstMonday=janFirst.getDay()===1?janFirst:__addDays(janFirst,janFirst.getDay()===0?1:7-janFirst.getDay()+1);var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstMonday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstMondayUntilEndJanuary=31-firstMonday.getDate();var days=firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstMonday,janFirst)===0?"01":"00"}),"%y":(function(date){return(date.tm_year+1900).toString().substring(2)}),"%Y":(function(date){return date.tm_year+1900}),"%z":(function(date){var off=date.tm_gmtoff;var ahead=off>=0;off=Math.abs(off)/60;off=off/60*100+off%60;return(ahead?"+":"-")+String("0000"+off).slice(-4)}),"%Z":(function(date){return date.tm_zone}),"%%":(function(){return"%"})};for(var rule in EXPANSION_RULES_2){if(pattern.indexOf(rule)>=0){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_2[rule](date))}}var bytes=intArrayFromString(pattern,false);if(bytes.length>maxsize){return 0}writeArrayToMemory(bytes,s);return bytes.length-1}function _strftime_l(s,maxsize,format,tm){return _strftime(s,maxsize,format,tm)}function _abort(){Module["abort"]()}function _emscripten_set_main_loop_timing(mode,value){Browser.mainLoop.timingMode=mode;Browser.mainLoop.timingValue=value;if(!Browser.mainLoop.func){return 1}if(mode==0){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setTimeout(){var timeUntilNextTick=Math.max(0,Browser.mainLoop.tickStartTime+value-_emscripten_get_now())|0;setTimeout(Browser.mainLoop.runner,timeUntilNextTick)};Browser.mainLoop.method="timeout"}else if(mode==1){Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_rAF(){Browser.requestAnimationFrame(Browser.mainLoop.runner)};Browser.mainLoop.method="rAF"}else if(mode==2){if(!window["setImmediate"]){var setImmediates=[];var emscriptenMainLoopMessageId="setimmediate";function Browser_setImmediate_messageHandler(event){if(event.source===window&&event.data===emscriptenMainLoopMessageId){event.stopPropagation();setImmediates.shift()()}}window.addEventListener("message",Browser_setImmediate_messageHandler,true);window["setImmediate"]=function Browser_emulated_setImmediate(func){setImmediates.push(func);if(ENVIRONMENT_IS_WORKER){if(Module["setImmediates"]===undefined)Module["setImmediates"]=[];Module["setImmediates"].push(func);window.postMessage({target:emscriptenMainLoopMessageId})}else window.postMessage(emscriptenMainLoopMessageId,"*")}}Browser.mainLoop.scheduler=function Browser_mainLoop_scheduler_setImmediate(){window["setImmediate"](Browser.mainLoop.runner)};Browser.mainLoop.method="immediate"}return 0}function _emscripten_get_now(){abort()}function _emscripten_set_main_loop(func,fps,simulateInfiniteLoop,arg,noSetTiming){Module["noExitRuntime"]=true;assert(!Browser.mainLoop.func,"emscripten_set_main_loop: there can only be one main loop function at once: call emscripten_cancel_main_loop to cancel the previous one before setting a new one with different parameters.");Browser.mainLoop.func=func;Browser.mainLoop.arg=arg;var browserIterationFunc;if(typeof arg!=="undefined"){var argArray=[arg];browserIterationFunc=(function(){Runtime.dynCall("vi",func,argArray)})}else{browserIterationFunc=(function(){Runtime.dynCall("v",func)})}var thisMainLoopId=Browser.mainLoop.currentlyRunningMainloop;Browser.mainLoop.runner=function Browser_mainLoop_runner(){if(ABORT)return;if(Browser.mainLoop.queue.length>0){var start=Date.now();var blocker=Browser.mainLoop.queue.shift();blocker.func(blocker.arg);if(Browser.mainLoop.remainingBlockers){var remaining=Browser.mainLoop.remainingBlockers;var next=remaining%1==0?remaining-1:Math.floor(remaining);if(blocker.counted){Browser.mainLoop.remainingBlockers=next}else{next=next+.5;Browser.mainLoop.remainingBlockers=(8*remaining+next)/9}}console.log('main loop blocker "'+blocker.name+'" took '+(Date.now()-start)+" ms");Browser.mainLoop.updateStatus();if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;setTimeout(Browser.mainLoop.runner,0);return}if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;Browser.mainLoop.currentFrameNumber=Browser.mainLoop.currentFrameNumber+1|0;if(Browser.mainLoop.timingMode==1&&Browser.mainLoop.timingValue>1&&Browser.mainLoop.currentFrameNumber%Browser.mainLoop.timingValue!=0){Browser.mainLoop.scheduler();return}else if(Browser.mainLoop.timingMode==0){Browser.mainLoop.tickStartTime=_emscripten_get_now()}if(Browser.mainLoop.method==="timeout"&&Module.ctx){Module.printErr("Looks like you are rendering without using requestAnimationFrame for the main loop. You should use 0 for the frame rate in emscripten_set_main_loop in order to use requestAnimationFrame, as that can greatly improve your frame rates!");Browser.mainLoop.method=""}Browser.mainLoop.runIter(browserIterationFunc);if(thisMainLoopId<Browser.mainLoop.currentlyRunningMainloop)return;if(typeof SDL==="object"&&SDL.audio&&SDL.audio.queueNewAudioData)SDL.audio.queueNewAudioData();Browser.mainLoop.scheduler()};if(!noSetTiming){if(fps&&fps>0)_emscripten_set_main_loop_timing(0,1e3/fps);else _emscripten_set_main_loop_timing(1,1);Browser.mainLoop.scheduler()}if(simulateInfiniteLoop){throw"SimulateInfiniteLoop"}}var Browser={mainLoop:{scheduler:null,method:"",currentlyRunningMainloop:0,func:null,arg:0,timingMode:0,timingValue:0,currentFrameNumber:0,queue:[],pause:(function(){Browser.mainLoop.scheduler=null;Browser.mainLoop.currentlyRunningMainloop++}),resume:(function(){Browser.mainLoop.currentlyRunningMainloop++;var timingMode=Browser.mainLoop.timingMode;var timingValue=Browser.mainLoop.timingValue;var func=Browser.mainLoop.func;Browser.mainLoop.func=null;_emscripten_set_main_loop(func,0,false,Browser.mainLoop.arg,true);_emscripten_set_main_loop_timing(timingMode,timingValue);Browser.mainLoop.scheduler()}),updateStatus:(function(){if(Module["setStatus"]){var message=Module["statusMessage"]||"Please wait...";var remaining=Browser.mainLoop.remainingBlockers;var expected=Browser.mainLoop.expectedBlockers;if(remaining){if(remaining<expected){Module["setStatus"](message+" ("+(expected-remaining)+"/"+expected+")")}else{Module["setStatus"](message)}}else{Module["setStatus"]("")}}}),runIter:(function(func){if(ABORT)return;if(Module["preMainLoop"]){var preRet=Module["preMainLoop"]();if(preRet===false){return}}try{func()}catch(e){if(e instanceof ExitStatus){return}else{if(e&&typeof e==="object"&&e.stack)Module.printErr("exception thrown: "+[e,e.stack]);throw e}}if(Module["postMainLoop"])Module["postMainLoop"]()})},isFullscreen:false,pointerLock:false,moduleContextCreatedCallbacks:[],workers:[],init:(function(){if(!Module["preloadPlugins"])Module["preloadPlugins"]=[];if(Browser.initted)return;Browser.initted=true;try{new Blob;Browser.hasBlobConstructor=true}catch(e){Browser.hasBlobConstructor=false;console.log("warning: no blob constructor, cannot create blobs with mimetypes")}Browser.BlobBuilder=typeof MozBlobBuilder!="undefined"?MozBlobBuilder:typeof WebKitBlobBuilder!="undefined"?WebKitBlobBuilder:!Browser.hasBlobConstructor?console.log("warning: no BlobBuilder"):null;Browser.URLObject=typeof window!="undefined"?window.URL?window.URL:window.webkitURL:undefined;if(!Module.noImageDecoding&&typeof Browser.URLObject==="undefined"){console.log("warning: Browser does not support creating object URLs. Built-in browser image decoding will not be available.");Module.noImageDecoding=true}var imagePlugin={};imagePlugin["canHandle"]=function imagePlugin_canHandle(name){return!Module.noImageDecoding&&/\.(jpg|jpeg|png|bmp)$/i.test(name)};imagePlugin["handle"]=function imagePlugin_handle(byteArray,name,onload,onerror){var b=null;if(Browser.hasBlobConstructor){try{b=new Blob([byteArray],{type:Browser.getMimetype(name)});if(b.size!==byteArray.length){b=new Blob([(new Uint8Array(byteArray)).buffer],{type:Browser.getMimetype(name)})}}catch(e){Runtime.warnOnce("Blob constructor present but fails: "+e+"; falling back to blob builder")}}if(!b){var bb=new Browser.BlobBuilder;bb.append((new Uint8Array(byteArray)).buffer);b=bb.getBlob()}var url=Browser.URLObject.createObjectURL(b);var img=new Image;img.onload=function img_onload(){assert(img.complete,"Image "+name+" could not be decoded");var canvas=document.createElement("canvas");canvas.width=img.width;canvas.height=img.height;var ctx=canvas.getContext("2d");ctx.drawImage(img,0,0);Module["preloadedImages"][name]=canvas;Browser.URLObject.revokeObjectURL(url);if(onload)onload(byteArray)};img.onerror=function img_onerror(event){console.log("Image "+url+" could not be decoded");if(onerror)onerror()};img.src=url};Module["preloadPlugins"].push(imagePlugin);var audioPlugin={};audioPlugin["canHandle"]=function audioPlugin_canHandle(name){return!Module.noAudioDecoding&&name.substr(-4)in{".ogg":1,".wav":1,".mp3":1}};audioPlugin["handle"]=function audioPlugin_handle(byteArray,name,onload,onerror){var done=false;function finish(audio){if(done)return;done=true;Module["preloadedAudios"][name]=audio;if(onload)onload(byteArray)}function fail(){if(done)return;done=true;Module["preloadedAudios"][name]=new Audio;if(onerror)onerror()}if(Browser.hasBlobConstructor){try{var b=new Blob([byteArray],{type:Browser.getMimetype(name)})}catch(e){return fail()}var url=Browser.URLObject.createObjectURL(b);var audio=new Audio;audio.addEventListener("canplaythrough",(function(){finish(audio)}),false);audio.onerror=function audio_onerror(event){if(done)return;console.log("warning: browser could not fully decode audio "+name+", trying slower base64 approach");function encode64(data){var BASE="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";var PAD="=";var ret="";var leftchar=0;var leftbits=0;for(var i=0;i<data.length;i++){leftchar=leftchar<<8|data[i];leftbits+=8;while(leftbits>=6){var curr=leftchar>>leftbits-6&63;leftbits-=6;ret+=BASE[curr]}}if(leftbits==2){ret+=BASE[(leftchar&3)<<4];ret+=PAD+PAD}else if(leftbits==4){ret+=BASE[(leftchar&15)<<2];ret+=PAD}return ret}audio.src="data:audio/x-"+name.substr(-3)+";base64,"+encode64(byteArray);finish(audio)};audio.src=url;Browser.safeSetTimeout((function(){finish(audio)}),1e4)}else{return fail()}};Module["preloadPlugins"].push(audioPlugin);var canvas=Module["canvas"];function pointerLockChange(){Browser.pointerLock=document["pointerLockElement"]===canvas||document["mozPointerLockElement"]===canvas||document["webkitPointerLockElement"]===canvas||document["msPointerLockElement"]===canvas}if(canvas){canvas.requestPointerLock=canvas["requestPointerLock"]||canvas["mozRequestPointerLock"]||canvas["webkitRequestPointerLock"]||canvas["msRequestPointerLock"]||(function(){});canvas.exitPointerLock=document["exitPointerLock"]||document["mozExitPointerLock"]||document["webkitExitPointerLock"]||document["msExitPointerLock"]||(function(){});canvas.exitPointerLock=canvas.exitPointerLock.bind(document);document.addEventListener("pointerlockchange",pointerLockChange,false);document.addEventListener("mozpointerlockchange",pointerLockChange,false);document.addEventListener("webkitpointerlockchange",pointerLockChange,false);document.addEventListener("mspointerlockchange",pointerLockChange,false);if(Module["elementPointerLock"]){canvas.addEventListener("click",(function(ev){if(!Browser.pointerLock&&canvas.requestPointerLock){canvas.requestPointerLock();ev.preventDefault()}}),false)}}}),createContext:(function(canvas,useWebGL,setInModule,webGLContextAttributes){if(useWebGL&&Module.ctx&&canvas==Module.canvas)return Module.ctx;var ctx;var contextHandle;if(useWebGL){var contextAttributes={antialias:false,alpha:false};if(webGLContextAttributes){for(var attribute in webGLContextAttributes){contextAttributes[attribute]=webGLContextAttributes[attribute]}}contextHandle=GL.createContext(canvas,contextAttributes);if(contextHandle){ctx=GL.getContext(contextHandle).GLctx}}else{ctx=canvas.getContext("2d")}if(!ctx)return null;if(setInModule){if(!useWebGL)assert(typeof GLctx==="undefined","cannot set in module if GLctx is used, but we are a non-GL context that would replace it");Module.ctx=ctx;if(useWebGL)GL.makeContextCurrent(contextHandle);Module.useWebGL=useWebGL;Browser.moduleContextCreatedCallbacks.forEach((function(callback){callback()}));Browser.init()}return ctx}),destroyContext:(function(canvas,useWebGL,setInModule){}),fullscreenHandlersInstalled:false,lockPointer:undefined,resizeCanvas:undefined,requestFullscreen:(function(lockPointer,resizeCanvas,vrDevice){Browser.lockPointer=lockPointer;Browser.resizeCanvas=resizeCanvas;Browser.vrDevice=vrDevice;if(typeof Browser.lockPointer==="undefined")Browser.lockPointer=true;if(typeof Browser.resizeCanvas==="undefined")Browser.resizeCanvas=false;if(typeof Browser.vrDevice==="undefined")Browser.vrDevice=null;var canvas=Module["canvas"];function fullscreenChange(){Browser.isFullscreen=false;var canvasContainer=canvas.parentNode;if((document["fullscreenElement"]||document["mozFullScreenElement"]||document["msFullscreenElement"]||document["webkitFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvasContainer){canvas.exitFullscreen=document["exitFullscreen"]||document["cancelFullScreen"]||document["mozCancelFullScreen"]||document["msExitFullscreen"]||document["webkitCancelFullScreen"]||(function(){});canvas.exitFullscreen=canvas.exitFullscreen.bind(document);if(Browser.lockPointer)canvas.requestPointerLock();Browser.isFullscreen=true;if(Browser.resizeCanvas)Browser.setFullscreenCanvasSize()}else{canvasContainer.parentNode.insertBefore(canvas,canvasContainer);canvasContainer.parentNode.removeChild(canvasContainer);if(Browser.resizeCanvas)Browser.setWindowedCanvasSize()}if(Module["onFullScreen"])Module["onFullScreen"](Browser.isFullscreen);if(Module["onFullscreen"])Module["onFullscreen"](Browser.isFullscreen);Browser.updateCanvasDimensions(canvas)}if(!Browser.fullscreenHandlersInstalled){Browser.fullscreenHandlersInstalled=true;document.addEventListener("fullscreenchange",fullscreenChange,false);document.addEventListener("mozfullscreenchange",fullscreenChange,false);document.addEventListener("webkitfullscreenchange",fullscreenChange,false);document.addEventListener("MSFullscreenChange",fullscreenChange,false)}var canvasContainer=document.createElement("div");canvas.parentNode.insertBefore(canvasContainer,canvas);canvasContainer.appendChild(canvas);canvasContainer.requestFullscreen=canvasContainer["requestFullscreen"]||canvasContainer["mozRequestFullScreen"]||canvasContainer["msRequestFullscreen"]||(canvasContainer["webkitRequestFullscreen"]?(function(){canvasContainer["webkitRequestFullscreen"](Element["ALLOW_KEYBOARD_INPUT"])}):null)||(canvasContainer["webkitRequestFullScreen"]?(function(){canvasContainer["webkitRequestFullScreen"](Element["ALLOW_KEYBOARD_INPUT"])}):null);if(vrDevice){canvasContainer.requestFullscreen({vrDisplay:vrDevice})}else{canvasContainer.requestFullscreen()}}),requestFullScreen:(function(lockPointer,resizeCanvas,vrDevice){Module.printErr("Browser.requestFullScreen() is deprecated. Please call Browser.requestFullscreen instead.");Browser.requestFullScreen=(function(lockPointer,resizeCanvas,vrDevice){return Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)});return Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)}),nextRAF:0,fakeRequestAnimationFrame:(function(func){var now=Date.now();if(Browser.nextRAF===0){Browser.nextRAF=now+1e3/60}else{while(now+2>=Browser.nextRAF){Browser.nextRAF+=1e3/60}}var delay=Math.max(Browser.nextRAF-now,0);setTimeout(func,delay)}),requestAnimationFrame:function requestAnimationFrame(func){if(typeof window==="undefined"){Browser.fakeRequestAnimationFrame(func)}else{if(!window.requestAnimationFrame){window.requestAnimationFrame=window["requestAnimationFrame"]||window["mozRequestAnimationFrame"]||window["webkitRequestAnimationFrame"]||window["msRequestAnimationFrame"]||window["oRequestAnimationFrame"]||Browser.fakeRequestAnimationFrame}window.requestAnimationFrame(func)}},safeCallback:(function(func){return(function(){if(!ABORT)return func.apply(null,arguments)})}),allowAsyncCallbacks:true,queuedAsyncCallbacks:[],pauseAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=false}),resumeAsyncCallbacks:(function(){Browser.allowAsyncCallbacks=true;if(Browser.queuedAsyncCallbacks.length>0){var callbacks=Browser.queuedAsyncCallbacks;Browser.queuedAsyncCallbacks=[];callbacks.forEach((function(func){func()}))}}),safeRequestAnimationFrame:(function(func){return Browser.requestAnimationFrame((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}))}),safeSetTimeout:(function(func,timeout){Module["noExitRuntime"]=true;return setTimeout((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}else{Browser.queuedAsyncCallbacks.push(func)}}),timeout)}),safeSetInterval:(function(func,timeout){Module["noExitRuntime"]=true;return setInterval((function(){if(ABORT)return;if(Browser.allowAsyncCallbacks){func()}}),timeout)}),getMimetype:(function(name){return{"jpg":"image/jpeg","jpeg":"image/jpeg","png":"image/png","bmp":"image/bmp","ogg":"audio/ogg","wav":"audio/wav","mp3":"audio/mpeg"}[name.substr(name.lastIndexOf(".")+1)]}),getUserMedia:(function(func){if(!window.getUserMedia){window.getUserMedia=navigator["getUserMedia"]||navigator["mozGetUserMedia"]}window.getUserMedia(func)}),getMovementX:(function(event){return event["movementX"]||event["mozMovementX"]||event["webkitMovementX"]||0}),getMovementY:(function(event){return event["movementY"]||event["mozMovementY"]||event["webkitMovementY"]||0}),getMouseWheelDelta:(function(event){var delta=0;switch(event.type){case"DOMMouseScroll":delta=event.detail;break;case"mousewheel":delta=event.wheelDelta;break;case"wheel":delta=event["deltaY"];break;default:throw"unrecognized mouse wheel event: "+event.type}return delta}),mouseX:0,mouseY:0,mouseMovementX:0,mouseMovementY:0,touches:{},lastTouches:{},calculateMouseEvent:(function(event){if(Browser.pointerLock){if(event.type!="mousemove"&&"mozMovementX"in event){Browser.mouseMovementX=Browser.mouseMovementY=0}else{Browser.mouseMovementX=Browser.getMovementX(event);Browser.mouseMovementY=Browser.getMovementY(event)}if(typeof SDL!="undefined"){Browser.mouseX=SDL.mouseX+Browser.mouseMovementX;Browser.mouseY=SDL.mouseY+Browser.mouseMovementY}else{Browser.mouseX+=Browser.mouseMovementX;Browser.mouseY+=Browser.mouseMovementY}}else{var rect=Module["canvas"].getBoundingClientRect();var cw=Module["canvas"].width;var ch=Module["canvas"].height;var scrollX=typeof window.scrollX!=="undefined"?window.scrollX:window.pageXOffset;var scrollY=typeof window.scrollY!=="undefined"?window.scrollY:window.pageYOffset;if(event.type==="touchstart"||event.type==="touchend"||event.type==="touchmove"){var touch=event.touch;if(touch===undefined){return}var adjustedX=touch.pageX-(scrollX+rect.left);var adjustedY=touch.pageY-(scrollY+rect.top);adjustedX=adjustedX*(cw/rect.width);adjustedY=adjustedY*(ch/rect.height);var coords={x:adjustedX,y:adjustedY};if(event.type==="touchstart"){Browser.lastTouches[touch.identifier]=coords;Browser.touches[touch.identifier]=coords}else if(event.type==="touchend"||event.type==="touchmove"){var last=Browser.touches[touch.identifier];if(!last)last=coords;Browser.lastTouches[touch.identifier]=last;Browser.touches[touch.identifier]=coords}return}var x=event.pageX-(scrollX+rect.left);var y=event.pageY-(scrollY+rect.top);x=x*(cw/rect.width);y=y*(ch/rect.height);Browser.mouseMovementX=x-Browser.mouseX;Browser.mouseMovementY=y-Browser.mouseY;Browser.mouseX=x;Browser.mouseY=y}}),asyncLoad:(function(url,onload,onerror,noRunDep){var dep=!noRunDep?getUniqueRunDependency("al "+url):"";Module["readAsync"](url,(function(arrayBuffer){assert(arrayBuffer,'Loading data file "'+url+'" failed (no arrayBuffer).');onload(new Uint8Array(arrayBuffer));if(dep)removeRunDependency(dep)}),(function(event){if(onerror){onerror()}else{throw'Loading data file "'+url+'" failed.'}}));if(dep)addRunDependency(dep)}),resizeListeners:[],updateResizeListeners:(function(){var canvas=Module["canvas"];Browser.resizeListeners.forEach((function(listener){listener(canvas.width,canvas.height)}))}),setCanvasSize:(function(width,height,noUpdates){var canvas=Module["canvas"];Browser.updateCanvasDimensions(canvas,width,height);if(!noUpdates)Browser.updateResizeListeners()}),windowedWidth:0,windowedHeight:0,setFullscreenCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags|8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),setWindowedCanvasSize:(function(){if(typeof SDL!="undefined"){var flags=HEAPU32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2];flags=flags&~8388608;HEAP32[SDL.screen+Runtime.QUANTUM_SIZE*0>>2]=flags}Browser.updateResizeListeners()}),updateCanvasDimensions:(function(canvas,wNative,hNative){if(wNative&&hNative){canvas.widthNative=wNative;canvas.heightNative=hNative}else{wNative=canvas.widthNative;hNative=canvas.heightNative}var w=wNative;var h=hNative;if(Module["forcedAspectRatio"]&&Module["forcedAspectRatio"]>0){if(w/h<Module["forcedAspectRatio"]){w=Math.round(h*Module["forcedAspectRatio"])}else{h=Math.round(w/Module["forcedAspectRatio"])}}if((document["fullscreenElement"]||document["mozFullScreenElement"]||document["msFullscreenElement"]||document["webkitFullscreenElement"]||document["webkitCurrentFullScreenElement"])===canvas.parentNode&&typeof screen!="undefined"){var factor=Math.min(screen.width/w,screen.height/h);w=Math.round(w*factor);h=Math.round(h*factor)}if(Browser.resizeCanvas){if(canvas.width!=w)canvas.width=w;if(canvas.height!=h)canvas.height=h;if(typeof canvas.style!="undefined"){canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}else{if(canvas.width!=wNative)canvas.width=wNative;if(canvas.height!=hNative)canvas.height=hNative;if(typeof canvas.style!="undefined"){if(w!=wNative||h!=hNative){canvas.style.setProperty("width",w+"px","important");canvas.style.setProperty("height",h+"px","important")}else{canvas.style.removeProperty("width");canvas.style.removeProperty("height")}}}}),wgetRequests:{},nextWgetRequestHandle:0,getNextWgetRequestHandle:(function(){var handle=Browser.nextWgetRequestHandle;Browser.nextWgetRequestHandle++;return handle})};var EmterpreterAsync={initted:false,state:0,saveStack:"",yieldCallbacks:[],postAsync:null,asyncFinalizers:[],ensureInit:(function(){if(this.initted)return;this.initted=true}),setState:(function(s){this.ensureInit();this.state=s;asm.setAsyncState(s)}),handle:(function(doAsyncOp,yieldDuring){Module["noExitRuntime"]=true;if(EmterpreterAsync.state===0){var stack=new Int32Array(HEAP32.subarray(EMTSTACKTOP>>2,asm.emtStackSave()>>2));var stacktop=asm.stackSave();var resumedCallbacksForYield=false;function resumeCallbacksForYield(){if(resumedCallbacksForYield)return;resumedCallbacksForYield=true;EmterpreterAsync.yieldCallbacks.forEach((function(func){func()}));Browser.resumeAsyncCallbacks()}var callingDoAsyncOp=1;doAsyncOp(function resume(post){if(callingDoAsyncOp){assert(callingDoAsyncOp===1);callingDoAsyncOp++;setTimeout((function(){resume(post)}),0);return}assert(EmterpreterAsync.state===1||EmterpreterAsync.state===3);EmterpreterAsync.setState(3);if(yieldDuring){resumeCallbacksForYield()}HEAP32.set(stack,EMTSTACKTOP>>2);EmterpreterAsync.setState(2);if(Browser.mainLoop.func){Browser.mainLoop.resume()}assert(!EmterpreterAsync.postAsync);EmterpreterAsync.postAsync=post||null;asm.emterpret(stack[0]);if(!yieldDuring&&EmterpreterAsync.state===0){Browser.resumeAsyncCallbacks()}if(EmterpreterAsync.state===0){EmterpreterAsync.asyncFinalizers.forEach((function(func){func()}));EmterpreterAsync.asyncFinalizers.length=0}});callingDoAsyncOp=0;EmterpreterAsync.setState(1);if(Browser.mainLoop.func){Browser.mainLoop.pause()}if(yieldDuring){setTimeout((function(){resumeCallbacksForYield()}),0)}else{Browser.pauseAsyncCallbacks()}}else{assert(EmterpreterAsync.state===2);EmterpreterAsync.setState(0);if(EmterpreterAsync.postAsync){var ret=EmterpreterAsync.postAsync();EmterpreterAsync.postAsync=null;return ret}}})};function _emscripten_sleep(ms){EmterpreterAsync.handle((function(resume){setTimeout((function(){if(ABORT)return;resume()}),ms)}))}function _pthread_once(ptr,func){if(!_pthread_once.seen)_pthread_once.seen={};if(ptr in _pthread_once.seen)return;Runtime.dynCall("v",func);_pthread_once.seen[ptr]=1}function ___lock(){}function ___unlock(){}function _pthread_getspecific(key){return PTHREAD_SPECIFIC[key]||0}function __exit(status){Module["exit"](status)}function _exit(status){__exit(status)}function _pthread_setspecific(key,value){if(!(key in PTHREAD_SPECIFIC)){return ERRNO_CODES.EINVAL}PTHREAD_SPECIFIC[key]=value;return 0}function _malloc(bytes){var ptr=Runtime.dynamicAlloc(bytes+8);return ptr+8&4294967288}Module["_malloc"]=_malloc;function ___cxa_allocate_exception(size){return _malloc(size)}function ___cxa_pure_virtual(){ABORT=true;throw"Pure virtual function called!"}function ___syscall183(which,varargs){SYSCALLS.varargs=varargs;try{var buf=SYSCALLS.get(),size=SYSCALLS.get();if(size===0)return-ERRNO_CODES.EINVAL;var cwd=FS.cwd();if(size<cwd.length+1)return-ERRNO_CODES.ERANGE;writeAsciiToMemory(cwd,buf);return buf}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___cxa_begin_catch(ptr){var info=EXCEPTIONS.infos[ptr];if(info&&!info.caught){info.caught=true;__ZSt18uncaught_exceptionv.uncaught_exception--}if(info)info.rethrown=false;EXCEPTIONS.caught.push(ptr);EXCEPTIONS.addRef(EXCEPTIONS.deAdjust(ptr));return ptr}function _llvm_eh_typeid_for(type){return type}function ___syscall3(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),buf=SYSCALLS.get(),count=SYSCALLS.get();return FS.read(stream,HEAP8,buf,count)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall5(which,varargs){SYSCALLS.varargs=varargs;try{var pathname=SYSCALLS.getStr(),flags=SYSCALLS.get(),mode=SYSCALLS.get();var stream=FS.open(pathname,flags,mode);return stream.fd}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var _environ=STATICTOP;STATICTOP+=16;function ___buildEnvironment(env){var MAX_ENV_VALUES=64;var TOTAL_ENV_SIZE=1024;var poolPtr;var envPtr;if(!___buildEnvironment.called){___buildEnvironment.called=true;ENV["USER"]=ENV["LOGNAME"]="web_user";ENV["PATH"]="/";ENV["PWD"]="/";ENV["HOME"]="/home/web_user";ENV["LANG"]="C";ENV["_"]=Module["thisProgram"];poolPtr=allocate(TOTAL_ENV_SIZE,"i8",ALLOC_STATIC);envPtr=allocate(MAX_ENV_VALUES*4,"i8*",ALLOC_STATIC);HEAP32[envPtr>>2]=poolPtr;HEAP32[_environ>>2]=envPtr}else{envPtr=HEAP32[_environ>>2];poolPtr=HEAP32[envPtr>>2]}var strings=[];var totalSize=0;for(var key in env){if(typeof env[key]==="string"){var line=key+"="+env[key];strings.push(line);totalSize+=line.length}}if(totalSize>TOTAL_ENV_SIZE){throw new Error("Environment size exceeded TOTAL_ENV_SIZE!")}var ptrSize=4;for(var i=0;i<strings.length;i++){var line=strings[i];writeAsciiToMemory(line,poolPtr);HEAP32[envPtr+i*ptrSize>>2]=poolPtr;poolPtr+=line.length+1}HEAP32[envPtr+strings.length*ptrSize>>2]=0}var ENV={};function _dlopen(filename,flag){abort("To use dlopen, you need to use Emscripten's linking support, see https://github.com/kripken/emscripten/wiki/Linking");var searchpaths=[];if(filename===0){filename="__self__"}else{var strfilename=Pointer_stringify(filename);var isValidFile=(function(filename){var target=FS.findObject(filename);return target&&!target.isFolder&&!target.isDevice});if(isValidFile(strfilename)){filename=strfilename}else{if(ENV["LD_LIBRARY_PATH"]){searchpaths=ENV["LD_LIBRARY_PATH"].split(":")}for(var ident in searchpaths){var searchfile=PATH.join2(searchpaths[ident],strfilename);if(isValidFile(searchfile)){filename=searchfile;break}}}}if(DLFCN.loadedLibNames[filename]){var handle=DLFCN.loadedLibNames[filename];DLFCN.loadedLibs[handle].refcount++;return handle}if(filename==="__self__"){var handle=-1;var lib_module=Module;var cached_functions={}}else{var target=FS.findObject(filename);if(!target||target.isFolder||target.isDevice){DLFCN.errorMsg="Could not find dynamic lib: "+filename;return 0}else{FS.forceLoadFile(target);var lib_data=FS.readFile(filename,{encoding:"utf8"})}try{var lib_module=eval(lib_data)(Runtime.alignFunctionTables(),Module)}catch(e){DLFCN.errorMsg="Could not evaluate dynamic lib: "+filename;return 0}var handle=1;for(var key in DLFCN.loadedLibs){if(DLFCN.loadedLibs.hasOwnProperty(key))handle++}if(flag&256){for(var ident in lib_module){if(lib_module.hasOwnProperty(ident)){if(ident[0]=="_"){Module[ident]=lib_module[ident]}}}}var cached_functions={}}DLFCN.loadedLibs[handle]={refcount:1,name:filename,module:lib_module,cached_functions:cached_functions};DLFCN.loadedLibNames[filename]=handle;return handle}function ___syscall6(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD();FS.close(stream);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}Module["___udivdi3"]=___udivdi3;Module["___muldsi3"]=___muldsi3;Module["___muldi3"]=___muldi3;function ___cxa_call_unexpected(exception){Module.printErr("Unexpected exception thrown, this is not properly supported - aborting");ABORT=true;throw exception}function _pthread_cleanup_pop(){assert(_pthread_cleanup_push.level==__ATEXIT__.length,"cannot pop if something else added meanwhile!");__ATEXIT__.pop();_pthread_cleanup_push.level=__ATEXIT__.length}function ___cxa_get_exception_ptr(ptr){return ptr}Module["_pthread_self"]=_pthread_self;function ___syscall140(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),offset_high=SYSCALLS.get(),offset_low=SYSCALLS.get(),result=SYSCALLS.get(),whence=SYSCALLS.get();var offset=offset_low;assert(offset_high===0);FS.llseek(stream,offset,whence);HEAP32[result>>2]=stream.position;if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall145(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doReadv(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall146(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doWritev(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall221(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),cmd=SYSCALLS.get();switch(cmd){case 0:{var arg=SYSCALLS.get();if(arg<0){return-ERRNO_CODES.EINVAL}var newStream;newStream=FS.open(stream.path,stream.flags,0,arg);return newStream.fd};case 1:case 2:return 0;case 3:return stream.flags;case 4:{var arg=SYSCALLS.get();stream.flags|=arg;return 0};case 12:case 12:{var arg=SYSCALLS.get();var offset=0;HEAP16[arg+offset>>1]=2;return 0};case 13:case 14:case 13:case 14:return 0;case 16:case 8:return-ERRNO_CODES.EINVAL;case 9:___setErrNo(ERRNO_CODES.EINVAL);return-1;default:{return-ERRNO_CODES.EINVAL}}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall220(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),dirp=SYSCALLS.get(),count=SYSCALLS.get();if(!stream.getdents){stream.getdents=FS.readdir(stream.path)}var pos=0;while(stream.getdents.length>0&&pos+268<=count){var id;var type;var name=stream.getdents.pop();assert(name.length<256);if(name[0]==="."){id=1;type=4}else{var child=FS.lookupNode(stream.node,name);id=child.id;type=FS.isChrdev(child.mode)?2:FS.isDir(child.mode)?4:FS.isLink(child.mode)?10:8}HEAP32[dirp+pos>>2]=id;HEAP32[dirp+pos+4>>2]=stream.position;HEAP16[dirp+pos+8>>1]=268;HEAP8[dirp+pos+10>>0]=type;for(var i=0;i<name.length;i++){HEAP8[dirp+pos+(11+i)>>0]=name.charCodeAt(i)}HEAP8[dirp+pos+(11+i)>>0]=0;pos+=268}return pos}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var ___dso_handle=STATICTOP;STATICTOP+=16;FS.staticInit();__ATINIT__.unshift((function(){if(!Module["noFSInit"]&&!FS.init.initialized)FS.init()}));__ATMAIN__.push((function(){FS.ignorePermissions=false}));__ATEXIT__.push((function(){FS.quit()}));Module["FS_createFolder"]=FS.createFolder;Module["FS_createPath"]=FS.createPath;Module["FS_createDataFile"]=FS.createDataFile;Module["FS_createPreloadedFile"]=FS.createPreloadedFile;Module["FS_createLazyFile"]=FS.createLazyFile;Module["FS_createLink"]=FS.createLink;Module["FS_createDevice"]=FS.createDevice;Module["FS_unlink"]=FS.unlink;__ATINIT__.unshift((function(){TTY.init()}));__ATEXIT__.push((function(){TTY.shutdown()}));if(ENVIRONMENT_IS_NODE){var fs=require("fs");var NODEJS_PATH=require("path");NODEFS.staticInit()}Module["requestFullScreen"]=function Module_requestFullScreen(lockPointer,resizeCanvas,vrDevice){Module.printErr("Module.requestFullScreen is deprecated. Please call Module.requestFullscreen instead.");Module["requestFullScreen"]=Module["requestFullscreen"];Browser.requestFullScreen(lockPointer,resizeCanvas,vrDevice)};Module["requestFullscreen"]=function Module_requestFullscreen(lockPointer,resizeCanvas,vrDevice){Browser.requestFullscreen(lockPointer,resizeCanvas,vrDevice)};Module["requestAnimationFrame"]=function Module_requestAnimationFrame(func){Browser.requestAnimationFrame(func)};Module["setCanvasSize"]=function Module_setCanvasSize(width,height,noUpdates){Browser.setCanvasSize(width,height,noUpdates)};Module["pauseMainLoop"]=function Module_pauseMainLoop(){Browser.mainLoop.pause()};Module["resumeMainLoop"]=function Module_resumeMainLoop(){Browser.mainLoop.resume()};Module["getUserMedia"]=function Module_getUserMedia(){Browser.getUserMedia()};Module["createContext"]=function Module_createContext(canvas,useWebGL,setInModule,webGLContextAttributes){return Browser.createContext(canvas,useWebGL,setInModule,webGLContextAttributes)};if(ENVIRONMENT_IS_NODE){_emscripten_get_now=function _emscripten_get_now_actual(){var t=process["hrtime"]();return t[0]*1e3+t[1]/1e6}}else if(typeof dateNow!=="undefined"){_emscripten_get_now=dateNow}else if(typeof self==="object"&&self["performance"]&&typeof self["performance"]["now"]==="function"){_emscripten_get_now=(function(){return self["performance"]["now"]()})}else if(typeof performance==="object"&&typeof performance["now"]==="function"){_emscripten_get_now=(function(){return performance["now"]()})}else{_emscripten_get_now=Date.now}___buildEnvironment(ENV);DYNAMICTOP_PTR=allocate(1,"i32",ALLOC_STATIC);STACK_BASE=STACKTOP=Runtime.alignMemory(STATICTOP);STACK_MAX=STACK_BASE+TOTAL_STACK;DYNAMIC_BASE=Runtime.alignMemory(STACK_MAX);HEAP32[DYNAMICTOP_PTR>>2]=DYNAMIC_BASE;staticSealed=true;function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiid(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiid"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_v(index){try{Module["dynCall_v"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_vi(index,a1){try{Module["dynCall_vi"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_vii(index,a1,a2){try{Module["dynCall_vii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iiiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_ii(index,a1){try{return Module["dynCall_ii"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_id(index,a1){try{return Module["dynCall_id"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiii(index,a1,a2,a3){try{return Module["dynCall_iiii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_ddi(index,a1,a2){try{return Module["dynCall_ddi"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15){try{Module["dynCall_viiiiiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{Module["dynCall_viiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iddddii(index,a1,a2,a3,a4,a5,a6){try{return Module["dynCall_iddddii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiii(index,a1,a2,a3,a4,a5,a6){try{Module["dynCall_viiiiii"](index,a1,a2,a3,a4,a5,a6)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_ddd(index,a1,a2){try{return Module["dynCall_ddd"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_di(index,a1){try{return Module["dynCall_di"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iddd(index,a1,a2,a3){try{return Module["dynCall_iddd"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viidii(index,a1,a2,a3,a4,a5){try{Module["dynCall_viidii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iid(index,a1,a2){try{return Module["dynCall_iid"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{Module["dynCall_viiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11){try{return Module["dynCall_iiiiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10){try{Module["dynCall_viiiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iii(index,a1,a2){try{return Module["dynCall_iii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiddi(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiddi"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_diii(index,a1,a2,a3){try{return Module["dynCall_diii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_dii(index,a1,a2){try{return Module["dynCall_dii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_i(index){try{return Module["dynCall_i"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiii(index,a1,a2,a3,a4){try{return Module["dynCall_iiiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viii(index,a1,a2,a3){try{Module["dynCall_viii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_idi(index,a1,a2){try{return Module["dynCall_idi"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiiiiii(index,a1,a2,a3,a4,a5,a6,a7,a8){try{return Module["dynCall_iiiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7,a8)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_iiiiid(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiid"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}function invoke_viiii(index,a1,a2,a3,a4){try{Module["dynCall_viiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;asm["setThrew"](1,0)}}Module.asmGlobalArg={"Math":Math,"Int8Array":Int8Array,"Int16Array":Int16Array,"Int32Array":Int32Array,"Uint8Array":Uint8Array,"Uint16Array":Uint16Array,"Uint32Array":Uint32Array,"Float32Array":Float32Array,"Float64Array":Float64Array,"NaN":NaN,"Infinity":Infinity,"byteLength":byteLength};Module.asmLibraryArg={"abort":abort,"assert":assert,"enlargeMemory":enlargeMemory,"getTotalMemory":getTotalMemory,"abortOnCannotGrowMemory":abortOnCannotGrowMemory,"invoke_iiiiiiii":invoke_iiiiiiii,"invoke_iiiiiid":invoke_iiiiiid,"invoke_v":invoke_v,"invoke_viiiii":invoke_viiiii,"invoke_vi":invoke_vi,"invoke_vii":invoke_vii,"invoke_iiiiiii":invoke_iiiiiii,"invoke_ii":invoke_ii,"invoke_id":invoke_id,"invoke_iiiiii":invoke_iiiiii,"invoke_iiii":invoke_iiii,"invoke_ddi":invoke_ddi,"invoke_viiiiiiiiiiiiiii":invoke_viiiiiiiiiiiiiii,"invoke_viiiiiiii":invoke_viiiiiiii,"invoke_iddddii":invoke_iddddii,"invoke_viiiiii":invoke_viiiiii,"invoke_ddd":invoke_ddd,"invoke_di":invoke_di,"invoke_iddd":invoke_iddd,"invoke_viidii":invoke_viidii,"invoke_iid":invoke_iid,"invoke_viiiiiii":invoke_viiiiiii,"invoke_iiiiiiiiiiii":invoke_iiiiiiiiiiii,"invoke_viiiiiiiiii":invoke_viiiiiiiiii,"invoke_iii":invoke_iii,"invoke_iiiiiddi":invoke_iiiiiddi,"invoke_diii":invoke_diii,"invoke_dii":invoke_dii,"invoke_i":invoke_i,"invoke_iiiii":invoke_iiiii,"invoke_viii":invoke_viii,"invoke_idi":invoke_idi,"invoke_iiiiiiiii":invoke_iiiiiiiii,"invoke_iiiiid":invoke_iiiiid,"invoke_viiii":invoke_viiii,"___syscall221":___syscall221,"___syscall220":___syscall220,"_pthread_cond_wait":_pthread_cond_wait,"_dlerror":_dlerror,"_llvm_pow_f64":_llvm_pow_f64,"_dlsym":_dlsym,"___syscall54":___syscall54,"_abort":_abort,"___cxa_pure_virtual":___cxa_pure_virtual,"___cxa_find_matching_catch_8":___cxa_find_matching_catch_8,"___setErrNo":___setErrNo,"___gxx_personality_v0":___gxx_personality_v0,"___cxa_find_matching_catch_4":___cxa_find_matching_catch_4,"___cxa_find_matching_catch_6":___cxa_find_matching_catch_6,"___assert_fail":___assert_fail,"___cxa_free_exception":___cxa_free_exception,"___cxa_allocate_exception":___cxa_allocate_exception,"__ZSt18uncaught_exceptionv":__ZSt18uncaught_exceptionv,"___buildEnvironment":___buildEnvironment,"_emscripten_asm_const_ii":_emscripten_asm_const_ii,"__addDays":__addDays,"_strftime_l":_strftime_l,"_pthread_setspecific":_pthread_setspecific,"_emscripten_set_main_loop_timing":_emscripten_set_main_loop_timing,"_llvm_eh_typeid_for":_llvm_eh_typeid_for,"___cxa_find_matching_catch_2":___cxa_find_matching_catch_2,"_emscripten_memcpy_big":_emscripten_memcpy_big,"___cxa_end_catch":___cxa_end_catch,"___resumeException":___resumeException,"___cxa_find_matching_catch_3":___cxa_find_matching_catch_3,"__exit":__exit,"___cxa_begin_catch":___cxa_begin_catch,"_strftime":_strftime,"__arraySum":__arraySum,"___syscall195":___syscall195,"___lock":___lock,"___cxa_call_unexpected":___cxa_call_unexpected,"___cxa_get_exception_ptr":___cxa_get_exception_ptr,"_pthread_once":_pthread_once,"_pthread_getspecific":_pthread_getspecific,"_dlopen":_dlopen,"_pthread_key_create":_pthread_key_create,"___unlock":___unlock,"_dlclose":_dlclose,"_pthread_cleanup_pop":_pthread_cleanup_pop,"__isLeapYear":__isLeapYear,"_emscripten_set_main_loop":_emscripten_set_main_loop,"_emscripten_asm_const_iii":_emscripten_asm_const_iii,"___syscall5":___syscall5,"_emscripten_sleep":_emscripten_sleep,"_emscripten_asm_const_iiii":_emscripten_asm_const_iiii,"___cxa_atexit":___cxa_atexit,"___syscall3":___syscall3,"___cxa_rethrow":___cxa_rethrow,"___syscall6":___syscall6,"_pthread_cleanup_push":_pthread_cleanup_push,"___syscall183":___syscall183,"_emscripten_get_now":_emscripten_get_now,"___cxa_throw":___cxa_throw,"_atexit":_atexit,"___syscall140":___syscall140,"_exit":_exit,"___cxa_find_matching_catch":___cxa_find_matching_catch,"___syscall145":___syscall145,"___syscall146":___syscall146,"STACKTOP":STACKTOP,"STACK_MAX":STACK_MAX,"DYNAMICTOP_PTR":DYNAMICTOP_PTR,"tempDoublePtr":tempDoublePtr,"ABORT":ABORT,"cttz_i8":cttz_i8,"___dso_handle":___dso_handle};Module.asmLibraryArg["EMTSTACKTOP"]=EMTSTACKTOP;Module.asmLibraryArg["EMT_STACK_MAX"]=EMT_STACK_MAX;Module.asmLibraryArg["eb"]=eb;// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer) {
"almost asm";var a=global.Int8Array;var b=global.Int16Array;var c=global.Int32Array;var d=global.Uint8Array;var e=global.Uint16Array;var f=global.Uint32Array;var g=global.Float32Array;var h=global.Float64Array;var i=new a(buffer);var j=new b(buffer);var k=new c(buffer);var l=new d(buffer);var m=new e(buffer);var n=new f(buffer);var o=new g(buffer);var p=new h(buffer);var q=global.byteLength;var r=env.STACKTOP|0;var s=env.STACK_MAX|0;var t=env.DYNAMICTOP_PTR|0;var u=env.tempDoublePtr|0;var v=env.ABORT|0;var w=env.cttz_i8|0;var x=env.___dso_handle|0;var y=0;var z=0;var A=0;var B=0;var C=global.NaN,D=global.Infinity;var E=0,F=0,G=0,H=0,I=0.0,J=0,K=0,L=0,M=0.0;var N=0;var O=global.Math.floor;var P=global.Math.abs;var Q=global.Math.sqrt;var R=global.Math.pow;var S=global.Math.cos;var T=global.Math.sin;var U=global.Math.tan;var V=global.Math.acos;var W=global.Math.asin;var X=global.Math.atan;var Y=global.Math.atan2;var Z=global.Math.exp;var _=global.Math.log;var $=global.Math.ceil;var aa=global.Math.imul;var ba=global.Math.min;var ca=global.Math.max;var da=global.Math.clz32;var ea=env.abort;var fa=env.assert;var ga=env.enlargeMemory;var ha=env.getTotalMemory;var ia=env.abortOnCannotGrowMemory;var ja=env.invoke_iiiiiiii;var ka=env.invoke_iiiiiid;var la=env.invoke_v;var ma=env.invoke_viiiii;var na=env.invoke_vi;var oa=env.invoke_vii;var pa=env.invoke_iiiiiii;var qa=env.invoke_ii;var ra=env.invoke_id;var sa=env.invoke_iiiiii;var ta=env.invoke_iiii;var ua=env.invoke_ddi;var va=env.invoke_viiiiiiiiiiiiiii;var wa=env.invoke_viiiiiiii;var xa=env.invoke_iddddii;var ya=env.invoke_viiiiii;var za=env.invoke_ddd;var Aa=env.invoke_di;var Ba=env.invoke_iddd;var Ca=env.invoke_viidii;var Da=env.invoke_iid;var Ea=env.invoke_viiiiiii;var Fa=env.invoke_iiiiiiiiiiii;var Ga=env.invoke_viiiiiiiiii;var Ha=env.invoke_iii;var Ia=env.invoke_iiiiiddi;var Ja=env.invoke_diii;var Ka=env.invoke_dii;var La=env.invoke_i;var Ma=env.invoke_iiiii;var Na=env.invoke_viii;var Oa=env.invoke_idi;var Pa=env.invoke_iiiiiiiii;var Qa=env.invoke_iiiiid;var Ra=env.invoke_viiii;var Sa=env.___syscall221;var Ta=env.___syscall220;var Ua=env._pthread_cond_wait;var Va=env._dlerror;var Wa=env._llvm_pow_f64;var Xa=env._dlsym;var Ya=env.___syscall54;var Za=env._abort;var _a=env.___cxa_pure_virtual;var $a=env.___cxa_find_matching_catch_8;var ab=env.___setErrNo;var bb=env.___gxx_personality_v0;var cb=env.___cxa_find_matching_catch_4;var db=env.___cxa_find_matching_catch_6;var eb=env.___assert_fail;var fb=env.___cxa_free_exception;var gb=env.___cxa_allocate_exception;var hb=env.__ZSt18uncaught_exceptionv;var ib=env.___buildEnvironment;var jb=env._emscripten_asm_const_ii;var kb=env.__addDays;var lb=env._strftime_l;var mb=env._pthread_setspecific;var nb=env._emscripten_set_main_loop_timing;var ob=env._llvm_eh_typeid_for;var pb=env.___cxa_find_matching_catch_2;var qb=env._emscripten_memcpy_big;var rb=env.___cxa_end_catch;var sb=env.___resumeException;var tb=env.___cxa_find_matching_catch_3;var ub=env.__exit;var vb=env.___cxa_begin_catch;var wb=env._strftime;var xb=env.__arraySum;var yb=env.___syscall195;var zb=env.___lock;var Ab=env.___cxa_call_unexpected;var Bb=env.___cxa_get_exception_ptr;var Cb=env._pthread_once;var Db=env._pthread_getspecific;var Eb=env._dlopen;var Fb=env._pthread_key_create;var Gb=env.___unlock;var Hb=env._dlclose;var Ib=env._pthread_cleanup_pop;var Jb=env.__isLeapYear;var Kb=env._emscripten_set_main_loop;var Lb=env._emscripten_asm_const_iii;var Mb=env.___syscall5;var Nb=env._emscripten_sleep;var Ob=env._emscripten_asm_const_iiii;var Pb=env.___cxa_atexit;var Qb=env.___syscall3;var Rb=env.___cxa_rethrow;var Sb=env.___syscall6;var Tb=env._pthread_cleanup_push;var Ub=env.___syscall183;var Vb=env._emscripten_get_now;var Wb=env.___cxa_throw;var Xb=env._atexit;var Yb=env.___syscall140;var Zb=env._exit;var _b=env.___cxa_find_matching_catch;var $b=env.___syscall145;var ac=env.___syscall146;var bc=0.0;var cc=0;var dc=env.EMTSTACKTOP|0;var ec=env.EMT_STACK_MAX|0;var fc=env.eb|0;function gc(newBuffer){if(q(newBuffer)&16777215||q(newBuffer)<=16777215||q(newBuffer)>2147483648)return false;i=new a(newBuffer);j=new b(newBuffer);k=new c(newBuffer);l=new d(newBuffer);m=new e(newBuffer);n=new f(newBuffer);o=new g(newBuffer);p=new h(newBuffer);buffer=newBuffer;return true}
// EMSCRIPTEN_START_FUNCS
function oA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function pA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function qA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function rA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function sA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function tA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function uA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function vA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=6660;c=a+72|0;y=0;oa(460,c|0,k[b+76>>2]|0);e=y;y=0;if(e&1){b=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(b|0)}else{k[c>>2]=6756;i[a+80>>0]=i[b+80>>0]|0;k[d>>2]=1;return}}function wA(a){a=a|0;var b=0,c=0,d=0;c=i[35542]|0;a:do if(!(c<<24>>24))b=0;else{b=i[a>>0]|0;d=35542;while(1){if(b<<24>>24==c<<24>>24)break a;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);b=b<<24>>24?a+1|0:a;if(b|0){d=oV(b)|0;b=d|0?d:b;if(b|0)if((i[b>>0]|0)==110){b=ls(b+1|0)|0;if(b|0){a=b;return a|0}}}b=ds(a)|0;if(b|0){b=Yx(b)|0;if(b|0){a=b;return a|0}}a=p4(a)|0;return a|0}function xA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;if(!(Jo(a,b)|0)){j=0;return j|0}c=a+84|0;g=b+84|0;d=i[c+11>>0]|0;j=d<<24>>24<0;d=d&255;h=j?k[a+88>>2]|0:d;f=i[g+11>>0]|0;a=f<<24>>24<0;if((h|0)!=((a?k[b+88>>2]|0:f&255)|0)){j=0;return j|0}e=k[c>>2]|0;f=j?e:c;a=a?k[g>>2]|0:g;b=(h|0)==0;if(j){if(b){j=1;return j|0}j=(bN(f,a,h)|0)==0;return j|0}if(b){j=1;return j|0}if((e&255)<<24>>24!=(i[a>>0]|0)){j=0;return j|0}while(1){d=d+-1|0;c=c+1|0;if(!d){c=1;a=10;break}a=a+1|0;if((i[c>>0]|0)!=(i[a>>0]|0)){c=0;a=10;break}}if((a|0)==10)return c|0;return 0}function yA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(c&2048){i[a>>0]=43;a=a+1|0}if(c&1024){i[a>>0]=35;a=a+1|0}g=c&260;d=c>>>14;f=(g|0)==260;if(f)e=0;else{i[a>>0]=46;i[a+1>>0]=42;e=1;a=a+2|0}while(1){c=i[b>>0]|0;if(!(c<<24>>24))break;i[a>>0]=c;b=b+1|0;a=a+1|0}a:do switch(g&511){case 4:if(!(d&1)){i[a>>0]=102;break a}else{i[a>>0]=70;break a}case 256:if(!(d&1)){i[a>>0]=101;break a}else{i[a>>0]=69;break a}default:{c=(d&1|0)!=0;if(f)if(c){i[a>>0]=65;break a}else{i[a>>0]=97;break a}else if(c){i[a>>0]=71;break a}else{i[a>>0]=103;break a}}}while(0);return e|0}function zA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=0;h=r;r=r+16|0;f=h;b=a+-60|0;e=b+80|0;a=k[e>>2]|0;if(a|0){g=a;r=h;return g|0}a=k[b+64>>2]|0;d=k[b+68>>2]|0;if((a|0)==(d|0)){g=0;r=h;return g|0}c=f+4|0;do{LT(f,k[a+4>>2]|0);k[f>>2]=7284;b=k[c>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;i=y;y=0;if(i&1){g=6;break}i=k[e>>2]|0;k[e>>2]=b+-1640531527+(i<<6)+(i>>>2)^i;DO(f);a=a+8|0}while((a|0)!=(d|0));if((g|0)==6){i=pb()|0;DO(f);sb(i|0)}i=k[e>>2]|0;r=h;return i|0}function AA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function BA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;e=f;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){e=0;r=f;return e|0}d=e+4|0;while(1){LT(e,k[b+4>>2]|0);k[e>>2]=13284;a=k[d>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+128>>2]|0,a|0)|0;g=y;y=0;if(g&1){b=6;break}if(a){b=7;break}}DO(e);b=b+8|0;if((b|0)==(c|0)){a=0;b=9;break}}if((b|0)==6){g=pb()|0;DO(e);sb(g|0)}else if((b|0)==7){DO(e);g=1;r=f;return g|0}else if((b|0)==9){r=f;return a|0}return 0}function CA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function DA(a){a=a|0;var b=0,c=0;b=a+4|0;a=k[b>>2]|0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;do if(k[a+24>>2]|0)if(!(k[a+16>>2]|0))if(k[a+4>>2]&8192|0)if(!(hb()|0)){a=k[b>>2]|0;a=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+24>>2]|0,a|0)|0;c=y;y=0;if(!(c&1)){if((a|0)!=-1)break;c=k[b>>2]|0;c=c+(k[(k[c>>2]|0)+-12>>2]|0)|0;y=0;oa(532,c|0,k[c+16>>2]|1|0);c=y;y=0;if(!(c&1))break}c=tb(0)|0;vb(c|0)|0;y=0;la(3);c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}}while(0);return}function EA(a){a=a|0;var b=0,c=0;b=a+4|0;a=k[b>>2]|0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;do if(k[a+24>>2]|0)if(!(k[a+16>>2]|0))if(k[a+4>>2]&8192|0)if(!(hb()|0)){a=k[b>>2]|0;a=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+24>>2]|0,a|0)|0;c=y;y=0;if(!(c&1)){if((a|0)!=-1)break;c=k[b>>2]|0;c=c+(k[(k[c>>2]|0)+-12>>2]|0)|0;y=0;oa(532,c|0,k[c+16>>2]|1|0);c=y;y=0;if(!(c&1))break}c=tb(0)|0;vb(c|0)|0;y=0;la(3);c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}}while(0);return}function FA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function GA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;e=f;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){e=0;r=f;return e|0}d=e+4|0;while(1){LT(e,k[b+4>>2]|0);k[e>>2]=15136;a=k[d>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+128>>2]|0,a|0)|0;g=y;y=0;if(g&1){b=6;break}if(a){b=7;break}}DO(e);b=b+8|0;if((b|0)==(c|0)){a=0;b=9;break}}if((b|0)==6){g=pb()|0;DO(e);sb(g|0)}else if((b|0)==7){DO(e);g=1;r=f;return g|0}else if((b|0)==9){r=f;return a|0}return 0}function HA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;e=f;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){e=0;r=f;return e|0}d=e+4|0;while(1){LT(e,k[b+4>>2]|0);k[e>>2]=13284;a=k[d>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+124>>2]|0,a|0)|0;g=y;y=0;if(g&1){b=6;break}if(a){b=7;break}}DO(e);b=b+8|0;if((b|0)==(c|0)){a=0;b=9;break}}if((b|0)==6){g=pb()|0;DO(e);sb(g|0)}else if((b|0)==7){DO(e);g=1;r=f;return g|0}else if((b|0)==9){r=f;return a|0}return 0}function IA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;e=f;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){e=0;r=f;return e|0}d=e+4|0;while(1){LT(e,k[b+4>>2]|0);k[e>>2]=15136;a=k[d>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+124>>2]|0,a|0)|0;g=y;y=0;if(g&1){b=6;break}if(a){b=7;break}}DO(e);b=b+8|0;if((b|0)==(c|0)){a=0;b=9;break}}if((b|0)==6){g=pb()|0;DO(e);sb(g|0)}else if((b|0)==7){DO(e);g=1;r=f;return g|0}else if((b|0)==9){r=f;return a|0}return 0}function JA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=r;r=r+16|0;f=d+8|0;e=d;k[f>>2]=b;Br(e,a,b,85897,f,d+12|0);b=k[e>>2]|0;a=b+28|0;b=b+32|0;if(!(k[b>>2]|0)){f=c+4|0;f=k[f>>2]|0;k[b>>2]=f;_V(a);r=d;return}QO(a);f=c+4|0;f=k[f>>2]|0;k[b>>2]=f;_V(a);r=d;return}function KA(a){a=a|0;a=a+72|0;if(!(ZN(a,47991)|0)){a=1;return a|0}if(!(ZN(a,48010)|0)){a=1;return a|0}if(!(ZN(a,48026)|0)){a=1;return a|0}if(!(ZN(a,48040)|0)){a=1;return a|0}if(!(ZN(a,30925)|0)){a=1;return a|0}if(!(ZN(a,30940)|0)){a=1;return a|0}if(!(ZN(a,30952)|0)){a=1;return a|0}a=(ZN(a,48801)|0)==0;return a|0}function LA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=11584;c=a+60|0;y=0;oa(460,c|0,k[b+64>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=7284;d=a+68|0;y=0;oa(460,d|0,k[b+72>>2]|0);e=y;y=0;if(!(e&1)){k[d>>2]=7284;i[a+76>>0]=i[b+76>>0]|0;return}b=pb()|0;DO(c);sb(b|0)}function MA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;f=i;if((a|0)==(b|0)){k[c>>2]=4;a=0}else{g=W8()|0;h=k[g>>2]|0;k[g>>2]=0;a=Vca(a,f,d,LN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;a:do if((k[f>>2]|0)==(b|0)){do if((e|0)==34){k[c>>2]=4;if((d|0)>0|(d|0)==0&a>>>0>0){a=2147483647;break a}}else{if((d|0)<-1|(d|0)==-1&a>>>0<2147483648){k[c>>2]=4;break}if((d|0)>0|(d|0)==0&a>>>0>2147483647){k[c>>2]=4;a=2147483647;break a}else break a}while(0);a=-2147483648}else{k[c>>2]=4;a=0}while(0)}r=i;return a|0}function NA(a,b){a=a|0;b=b|0;var c=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30714){b=Fc[k[(k[a>>2]|0)+132>>2]&2047](a,b)|0;return b|0}c=_9(b)|0;if(c|0){b=Fc[k[(k[a>>2]|0)+132>>2]&2047](a,c)|0;return b|0}c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((c|0)==33219){b=Fc[k[(k[a>>2]|0)+132>>2]&2047](a,b)|0;return b|0}if((c|0)==33245){b=Fc[k[(k[a>>2]|0)+160>>2]&2047](a,b)|0;return b|0}c=gb(8)|0;y=0;oa(495,c|0,33272);b=y;y=0;if(b&1){b=pb()|0;fb(c|0);sb(b|0)}else Wb(c|0,5792,409);return 0}function OA(a,b){a=a|0;b=b|0;var c=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30714){b=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,b)|0;return b|0}c=_9(b)|0;if(c|0){b=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,c)|0;return b|0}c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((c|0)==33219){b=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,b)|0;return b|0}if((c|0)==33245){b=Fc[k[(k[a>>2]|0)+164>>2]&2047](a,b)|0;return b|0}c=gb(8)|0;y=0;oa(495,c|0,33272);b=y;y=0;if(b&1){b=pb()|0;fb(c|0);sb(b|0)}else Wb(c|0,5792,409);return 0}function PA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;Cz(a,b);c=a+12|0;y=0;oa(687,c|0,b+12|0);f=y;y=0;if(f&1)d=pb()|0;else{f=a+24|0;e=b+24|0;k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];y=0;oa(456,a+36|0,b+36|0);f=y;y=0;if(!(f&1))return;d=pb()|0;b=k[c>>2]|0;c=b;if(b){e=a+16|0;f=k[e>>2]|0;if((f|0)!=(b|0))k[e>>2]=f+(~(((f+-24-c|0)>>>0)/24|0)*24|0);cra(b)}}e=k[a>>2]|0;if(!e)sb(d|0);b=a+4|0;c=k[b>>2]|0;if((c|0)!=(e|0))k[b>>2]=c+(~((c+-4-e|0)>>>2)<<2);cra(e);sb(d|0)}function QA(a,b){a=a|0;b=b|0;var c=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30714){b=Fc[k[(k[a>>2]|0)+132>>2]&2047](a,b)|0;return b|0}c=_9(b)|0;if(c|0){b=Fc[k[(k[a>>2]|0)+132>>2]&2047](a,c)|0;return b|0}c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((c|0)==33219){b=Fc[k[(k[a>>2]|0)+156>>2]&2047](a,b)|0;return b|0}if((c|0)==33245){b=Fc[k[(k[a>>2]|0)+132>>2]&2047](a,b)|0;return b|0}c=gb(8)|0;y=0;oa(495,c|0,33272);b=y;y=0;if(b&1){b=pb()|0;fb(c|0);sb(b|0)}else Wb(c|0,5792,409);return 0}function RA(a,b){a=a|0;b=b|0;var c=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30714){b=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,b)|0;return b|0}c=_9(b)|0;if(c|0){b=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,c)|0;return b|0}c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((c|0)==33219){b=Fc[k[(k[a>>2]|0)+160>>2]&2047](a,b)|0;return b|0}if((c|0)==33245){b=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,b)|0;return b|0}c=gb(8)|0;y=0;oa(495,c|0,33272);b=y;y=0;if(b&1){b=pb()|0;fb(c|0);sb(b|0)}else Wb(c|0,5792,409);return 0}function SA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=11820;c=a+60|0;y=0;oa(460,c|0,k[b+64>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=11804;d=a+68|0;y=0;oa(460,d|0,k[b+72>>2]|0);e=y;y=0;if(!(e&1)){k[d>>2]=11804;k[a+76>>2]=k[b+76>>2];return}b=pb()|0;DO(c);sb(b|0)}function TA(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;c=d+8|0;b=d;if(i[a+54>>0]|0){c=1;r=d;return c|0}a=a+80|0;LT(c,k[a>>2]|0);k[c>>2]=7284;do if(!(k[c+4>>2]|0))a=0;else{y=0;oa(460,b|0,k[a>>2]|0);a=y;y=0;if(a&1){d=pb()|0;DO(c);sb(d|0)}k[b>>2]=7284;a=k[b+4>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+112>>2]|0,a|0)|0;e=y;y=0;if(!(e&1)){DO(b);break}e=pb()|0;DO(b);DO(c);sb(e|0)}while(0);DO(c);e=a;r=d;return e|0}function UA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=0;cL(a,b);d=a+11|0;b=i[d>>0]|0;e=b<<24>>24<0;if(e){c=k[a>>2]|0;b=k[a+4>>2]|0}else{c=a;b=b&255}b=c+b|0;while(1){if((b|0)==(c|0))break;b=b+-1|0;if(!(aA(51642,l[b>>0]|0,6)|0)){f=7;break}}if((f|0)==7){b=b-c|0;if((b|0)!=-1){y=0;ta(42,a|0,b+1|0,-1)|0;f=y;y=0;if(f&1){f=pb()|0;A9(a);sb(f|0)}else return}}if(e){i[k[a>>2]>>0]=0;k[a+4>>2]=0;return}else{i[a>>0]=0;i[d>>0]=0;return}}function VA(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;c=d+8|0;b=d;if(i[a+54>>0]|0){c=1;r=d;return c|0}a=a+72|0;LT(c,k[a>>2]|0);k[c>>2]=7284;do if(!(k[c+4>>2]|0))a=0;else{y=0;oa(460,b|0,k[a>>2]|0);a=y;y=0;if(a&1){d=pb()|0;DO(c);sb(d|0)}k[b>>2]=7284;a=k[b+4>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+108>>2]|0,a|0)|0;e=y;y=0;if(!(e&1)){DO(b);break}e=pb()|0;DO(b);DO(c);sb(e|0)}while(0);DO(c);e=a;r=d;return e|0}function WA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=a+11|0;e=i[j>>0]|0;f=e<<24>>24<0;if(f)h=k[a+4>>2]|0;else h=e&255;if(h>>>0<b>>>0)lN(a);if(f)e=(k[a+8>>2]&2147483647)+-1|0;else e=10;if((e-h|0)>>>0<d>>>0)KB(a,e,h+d-e|0,h,b,0,d,c);else if(d|0){if(f)g=k[a>>2]|0;else g=a;f=h-b|0;e=g+b|0;if(f){fO(e+d|0,e|0,f|0)|0;c=e>>>0<=c>>>0&(g+h|0)>>>0>c>>>0?c+d|0:c}fO(e|0,c|0,d|0)|0;c=h+d|0;if((i[j>>0]|0)<0)k[a+4>>2]=c;else i[j>>0]=c;i[g+c>>0]=0}return a|0}function XA(a,b){a=a|0;b=b|0;var c=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30714){b=Fc[k[(k[a>>2]|0)+84>>2]&2047](a,b)|0;return b|0}c=_9(b)|0;if(c|0){b=Fc[k[(k[a>>2]|0)+84>>2]&2047](a,c)|0;return b|0}c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((c|0)==33219){b=Fc[k[(k[a>>2]|0)+84>>2]&2047](a,b)|0;return b|0}if((c|0)==33245){b=Fc[k[(k[a>>2]|0)+84>>2]&2047](a,b)|0;return b|0}c=gb(8)|0;y=0;oa(495,c|0,33272);b=y;y=0;if(b&1){b=pb()|0;fb(c|0);sb(b|0)}else Wb(c|0,5792,409);return 0}function YA(a,b){a=a|0;b=b|0;var c=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30714){b=Fc[k[(k[a>>2]|0)+88>>2]&2047](a,b)|0;return b|0}c=_9(b)|0;if(c|0){b=Fc[k[(k[a>>2]|0)+88>>2]&2047](a,c)|0;return b|0}c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((c|0)==33219){b=Fc[k[(k[a>>2]|0)+88>>2]&2047](a,b)|0;return b|0}if((c|0)==33245){b=Fc[k[(k[a>>2]|0)+88>>2]&2047](a,b)|0;return b|0}c=gb(8)|0;y=0;oa(495,c|0,33272);b=y;y=0;if(b&1){b=pb()|0;fb(c|0);sb(b|0)}else Wb(c|0,5792,409);return 0}function ZA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=0;cL(a,b);d=a+11|0;b=i[d>>0]|0;e=b<<24>>24<0;if(e){c=k[a>>2]|0;b=k[a+4>>2]|0}else{c=a;b=b&255}b=c+b|0;while(1){if((b|0)==(c|0))break;b=b+-1|0;if(!(aA(51642,l[b>>0]|0,6)|0)){f=7;break}}if((f|0)==7){b=b-c|0;if((b|0)!=-1){y=0;ta(42,a|0,b+1|0,-1)|0;f=y;y=0;if(f&1){f=pb()|0;A9(a);sb(f|0)}else return}}if(e){i[k[a>>2]>>0]=0;k[a+4>>2]=0;return}else{i[a>>0]=0;i[d>>0]=0;return}}function _A(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=0;h=r;r=r+16|0;e=h;f=a+80|0;b=k[f>>2]|0;if(b|0){g=b;r=h;return g|0}b=k[a+64>>2]|0;d=k[a+68>>2]|0;if((b|0)==(d|0)){g=0;r=h;return g|0}c=e+4|0;do{LT(e,k[b+4>>2]|0);k[e>>2]=7284;a=k[c>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+8>>2]|0,a|0)|0;i=y;y=0;if(i&1){g=6;break}i=k[f>>2]|0;k[f>>2]=a+-1640531527+(i<<6)+(i>>>2)^i;DO(e);b=b+8|0}while((b|0)!=(d|0));if((g|0)==6){i=pb()|0;DO(e);sb(i|0)}i=k[f>>2]|0;r=h;return i|0}function $A(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;c=e;if(i[b+52>>0]|0){r=e;return b|0}d=b+64|0;if(!(yy(d)|0)){r=e;return b|0}a=yy(d)|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;fO(a+12|0,b+12|0,40)|0;cL(c,d);y=0;Ha(969,a+96|0,c|0)|0;b=y;y=0;if(b&1){b=pb()|0;A9(c);sb(b|0)}A9(c);i[a+52>>0]=1;b=a;r=e;return b|0}function aB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;d=k[b+52>>2]|0;i[a+52>>0]=d;i[a+53>>0]=(d&65535)>>>8;i[a+54>>0]=d>>>16;d=a+56|0;k[d>>2]=k[b+56>>2];k[a>>2]=10300;e=a+60|0;y=0;oa(460,e|0,k[b+64>>2]|0);c=y;y=0;if(c&1){b=pb()|0;sb(b|0)}k[e>>2]=7492;c=a+68|0;y=0;oa(460,c|0,k[b+72>>2]|0);b=y;y=0;if(!(b&1)){k[c>>2]=8964;k[d>>2]=4;return}b=pb()|0;DO(e);sb(b|0)}function bB(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(76)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));k[e>>2]=12708;c=e+52|0;y=0;oa(456,c|0,a+52|0);d=y;y=0;do if(d&1)b=pb()|0;else{b=e+64|0;y=0;oa(460,b|0,k[a+68>>2]|0);d=y;y=0;if(d&1){b=pb()|0;A9(c);break}else{k[b>>2]=7284;i[e+72>>0]=i[a+72>>0]|0;return e|0}}while(0);a=b;cra(e);sb(a|0);return 0}function cB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=11708;c=a+72|0;y=0;oa(460,c|0,k[b+76>>2]|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(b|0)}else{k[c>>2]=11804;k[d>>2]=4;return}}function dB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=12472;c=a+72|0;y=0;oa(460,c|0,k[b+76>>2]|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(b|0)}else{k[c>>2]=12568;k[d>>2]=5;return}}function eB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=7300;c=a+72|0;y=0;oa(460,c|0,k[b+76>>2]|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(b|0)}else{k[c>>2]=6756;k[d>>2]=8;return}}function fB(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0;if((1073741807-b|0)>>>0<c>>>0)mN(a);l=a+8|0;if((i[l+3>>0]|0)<0)j=k[a>>2]|0;else j=a;if(b>>>0<536870887){c=c+b|0;h=b<<1;c=c>>>0<h>>>0?h:c;c=c>>>0<2?2:c+4&-4;if(c>>>0>1073741823){l=gb(4)|0;Qoa(l);Wb(l|0,5760,404)}}else c=1073741807;h=IM(c<<2)|0;if(e|0)waa(h,j,e)|0;d=d-f-e|0;if(d|0)waa(h+(e<<2)+(g<<2)|0,j+(e<<2)+(f<<2)|0,d)|0;if((b|0)!=1)cra(j);k[a>>2]=h;k[l>>2]=c|-2147483648;return}function gB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;k[dc+40>>2]=e;if((cc|0)==1)cc=3}Qc(fc+54396|0);return k[dc>>2]|0}function hB(a){a=a|0;var b=0,c=0;b=Ija(a)|0;if(b|0){a=b;return a|0}c=a+1|0;switch(i[a>>0]|0){case 45:case 95:{a=c;return a|0}default:{}}b=zja(a)|0;if(b|0){a=b;return a|0}b=pB(a)|0;if(b|0){a=b;return a|0}if((i[a>>0]|0)!=92){a=0;return a|0}if(!(o4(c)|0)){b=Bka(c)|0;if(!b){a=0;return a|0}}else{b=a+2|0;if(o4(b)|0){b=a+3|0;c=(o4(b)|0)==0;b=c?b:a+4|0}}a=(i[b>>0]|0)==32?b+1|0:b;return a|0}function iB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=7076;c=a+72|0;y=0;oa(460,c|0,k[b+76>>2]|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(b|0)}else{k[c>>2]=7172;k[d>>2]=2;return}}function jB(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=r;r=r+16|0;f=g;pz(f,a+348|0);y=0;d=ja(87,a|0,b|0,c|0,d|0,e|0,f|0,0)|0;e=y;y=0;if(e&1){c=pb()|0;d=k[f>>2]|0;if(!d)sb(c|0);a=f+4|0;b=k[a>>2]|0;if((b|0)!=(d|0))k[a>>2]=b+(~((b+-4-d|0)>>>2)<<2);cra(d);sb(c|0)}else{c=k[f>>2]|0;if(!c){r=g;return d|0}a=f+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);r=g;return d|0}return 0}function kB(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(84)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;b=e+56|0;k[e>>2]=10968;k[b>>2]=4;c=e+60|0;k[c>>2]=9248;y=0;oa(469,e+64|0,a+64|0);d=y;y=0;if(!(d&1)){k[e+76>>2]=k[a+76>>2];k[e>>2]=10796;k[c>>2]=10928;k[e+80>>2]=k[a+80>>2];k[b>>2]=4;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function lB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=8468;c=a+72|0;y=0;oa(460,c|0,k[b+76>>2]|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(b|0)}else{k[c>>2]=7284;k[d>>2]=19;return}}function mB(a){a=a|0;var b=0,c=0,d=0;if(!a)return;switch(k[a>>2]|0){case 8:{Wf(k[a+4>>2]|0);break}case 7:{Wf(k[a+4>>2]|0);break}case 1:{Wf(k[a+16>>2]|0);break}case 5:{d=a+4|0;c=a+8|0;if(k[d>>2]|0){b=0;do{mB(k[(k[c>>2]|0)+(b<<3)>>2]|0);mB(k[(k[c>>2]|0)+(b<<3)+4>>2]|0);b=b+1|0}while(b>>>0<(k[d>>2]|0)>>>0)}Wf(k[c>>2]|0);break}case 3:{Wf(k[a+8>>2]|0);break}case 4:{c=a+8|0;d=a+12|0;if(k[c>>2]|0){b=0;do{mB(k[(k[d>>2]|0)+(b<<2)>>2]|0);b=b+1|0}while(b>>>0<(k[c>>2]|0)>>>0)}Wf(k[d>>2]|0);break}default:{}}Wf(a);return}function nB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;c=h;d=b+4|0;e=k[d>>2]|0;if(!e){r=h;return}k[a+16>>2]=0;f=a+8|0;g=k[f>>2]|0;if((g|0)==(k[a+12>>2]|0))Hp(a+4|0,b);else{LT(g,e);k[g>>2]=11528;k[f>>2]=(k[f>>2]|0)+8}g=k[k[a>>2]>>2]|0;LT(c,k[d>>2]|0);k[c>>2]=11528;y=0;oa(g|0,a|0,c|0);g=y;y=0;if(g&1){h=pb()|0;DO(c);sb(h|0)}DO(c);r=h;return}function oB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;b=a+1|0;if((i[a>>0]|0)!=40){f=0;return f|0}a=i[b>>0]|0;if(!(a<<24>>24)){f=0;return f|0}else{c=0;d=0;e=0}a:while(1){b:do switch(a<<24>>24){case 92:{b=b+1|0;break}case 34:{c=c^1;break}case 39:{d=d^1;break}default:if(c)c=1;else if(d){c=0;d=1}else switch(a<<24>>24){case 40:{c=0;d=0;e=e+1|0;break b}case 41:if(!e)break a;else{c=0;d=0;e=e+-1|0;break b}default:{c=0;d=0;break b}}}while(0);b=b+1|0;a=i[b>>0]|0;if(!(a<<24>>24)){a=0;f=14;break}}if((f|0)==14)return a|0;f=b+1|0;return f|0}function pB(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=92){c=0;return c|0}b=a+1|0;c=_E(b)|0;if(!c){if((i[a>>0]|0)!=92){c=0;return c|0}a=zja(b)|0;if(a|0){c=a;return c|0}c=oca(b)|0;return c|0}a=q1(c)|0;if(!a){b=i[c>>0]|0;a=c+1|0;if((b|4)<<24>>24!=13){b=b<<24>>24|0;a=(b|0)!=10?((b|0)==12?a:0):a;if(!a)return c|0}}while(1){b=q1(a)|0;if(b|0){a=b;continue}b=i[a>>0]|0;c=a+1|0;if((b|4)<<24>>24==13){a=c;continue}b=b<<24>>24|0;b=(b|0)!=10?((b|0)==12?c:0):c;if(!b)break;else a=b}return a|0}function qB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=a+4|0;b=a+12|0;e=a+16|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;y=0;Ra(52,a+24|0,0,0,0);g=y;y=0;if(!(g&1)){g=a+36|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51326,5);g=y;y=0;if(!(g&1))return}g=pb()|0;b=k[b>>2]|0;c=b;if(b|0){d=k[e>>2]|0;if((d|0)!=(b|0))k[e>>2]=d+(~(((d+-24-c|0)>>>0)/24|0)*24|0);cra(b)}b=k[a>>2]|0;if(!b)sb(g|0);c=k[f>>2]|0;if((c|0)!=(b|0))k[f>>2]=c+(~((c+-4-b|0)>>>2)<<2);cra(b);sb(g|0)}function rB(a){a=a|0;var b=0,c=0;b=jr(a)|0;if(b|0){a=b;return a|0}if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){a=b;return a|0}}b=ds(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}if((i[a>>0]|0)==35){b=o4(a+1|0)|0;if(!b)b=0;else while(1){c=o4(b)|0;if(!c)break;else b=c}}else b=0;a=b-a|0;a=(a|0)!=4&(a|0)!=7?0:b;return a|0}function sB(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[50288]|0;a:do if(b<<24>>24){c=50288;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);b=i[a>>0]|0;if(!(b<<24>>24)){d=0;return d|0}b:while(1){if(a|0){c=i[51073]|0;if(!(c<<24>>24)){b=12;break}if(b<<24>>24==c<<24>>24){b=a;c=51073;do{b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){a=b;b=12;break b}}while((i[b>>0]|0)==d<<24>>24)}}a=a+1|0;b=i[a>>0]|0;if(!(b<<24>>24)){a=0;b=12;break}}if((b|0)==12)return a|0;return 0}function tB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;c=h;d=b+4|0;e=k[d>>2]|0;if(!e){r=h;return}k[a+16>>2]=0;f=a+8|0;g=k[f>>2]|0;if((g|0)==(k[a+12>>2]|0))Jp(a+4|0,b);else{LT(g,e);k[g>>2]=15136;k[f>>2]=(k[f>>2]|0)+8}g=k[k[a>>2]>>2]|0;LT(c,k[d>>2]|0);k[c>>2]=15136;y=0;oa(g|0,a|0,c|0);g=y;y=0;if(g&1){h=pb()|0;DO(c);sb(h|0)}DO(c);r=h;return}function uB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;c=h;d=b+4|0;e=k[d>>2]|0;if(!e){r=h;return}k[a+16>>2]=0;f=a+8|0;g=k[f>>2]|0;if((g|0)==(k[a+12>>2]|0))Kp(a+4|0,b);else{LT(g,e);k[g>>2]=13284;k[f>>2]=(k[f>>2]|0)+8}g=k[k[a>>2]>>2]|0;LT(c,k[d>>2]|0);k[c>>2]=13284;y=0;oa(g|0,a|0,c|0);g=y;y=0;if(g&1){h=pb()|0;DO(c);sb(h|0)}DO(c);r=h;return}function vB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=0;d=c+16|0;e=k[d>>2]|0;if(!e)if(!(tM(c)|0)){d=k[d>>2]|0;f=5}else d=0;else{d=e;f=5}a:do if((f|0)==5){g=c+20|0;f=k[g>>2]|0;e=f;if((d-f|0)>>>0<b>>>0){d=rc[k[c+36>>2]&255](c,a,b)|0;break}b:do if((i[c+75>>0]|0)>-1){d=b;while(1){if(!d){f=b;d=0;break b}f=d+-1|0;if((i[a+f>>0]|0)==10)break;else d=f}if((rc[k[c+36>>2]&255](c,a,d)|0)>>>0<d>>>0)break a;f=b-d|0;a=a+d|0;e=k[g>>2]|0}else{f=b;d=0}while(0);wH(e|0,a|0,f|0)|0;k[g>>2]=(k[g>>2]|0)+f;d=d+f|0}while(0);return d|0}function wB(a){a=a|0;a=Ar(a)|0;if(!a){a=0;return a|0}a=ru(a)|0;if(!a){a=0;return a|0}if((i[a>>0]|0)!=61){a=0;return a|0}a=ru(a+1|0)|0;if(!a){a=0;return a|0}a=Ul(a)|0;return a|0}function xB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;d=k[b+52>>2]|0;i[a+52>>0]=d;i[a+53>>0]=(d&65535)>>>8;i[a+54>>0]=d>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=12092;d=a+60|0;y=0;oa(460,d|0,k[b+64>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[d>>2]=7284;c=a+68|0;y=0;oa(460,c|0,k[b+72>>2]|0);b=y;y=0;if(!(b&1)){k[c>>2]=7284;return}b=pb()|0;DO(d);sb(b|0)}function yB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;c=h;d=b+4|0;e=k[d>>2]|0;if(!e){r=h;return}k[a+16>>2]=0;f=a+8|0;g=k[f>>2]|0;if((g|0)==(k[a+12>>2]|0))Qp(a+4|0,b);else{LT(g,e);k[g>>2]=7284;k[f>>2]=(k[f>>2]|0)+8}g=k[k[a>>2]>>2]|0;LT(c,k[d>>2]|0);k[c>>2]=7284;y=0;oa(g|0,a|0,c|0);g=y;y=0;if(g&1){h=pb()|0;DO(c);sb(h|0)}DO(c);r=h;return}function zB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;c=h;d=b+4|0;e=k[d>>2]|0;if(!e){r=h;return}k[a+16>>2]=0;f=a+8|0;g=k[f>>2]|0;if((g|0)==(k[a+12>>2]|0))Pp(a+4|0,b);else{LT(g,e);k[g>>2]=12920;k[f>>2]=(k[f>>2]|0)+8}g=k[k[a>>2]>>2]|0;LT(c,k[d>>2]|0);k[c>>2]=12920;y=0;oa(g|0,a|0,c|0);g=y;y=0;if(g&1){h=pb()|0;DO(c);sb(h|0)}DO(c);r=h;return}function AB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;d=k[b+52>>2]|0;i[a+52>>0]=d;i[a+53>>0]=(d&65535)>>>8;i[a+54>>0]=d>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=12348;d=a+60|0;y=0;oa(460,d|0,k[b+64>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[d>>2]=7284;c=a+68|0;y=0;oa(460,c|0,k[b+72>>2]|0);b=y;y=0;if(!(b&1)){k[c>>2]=7284;return}b=pb()|0;DO(d);sb(b|0)}function BB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;c=h;d=b+4|0;e=k[d>>2]|0;if(!e){r=h;return}k[a+16>>2]=0;f=a+8|0;g=k[f>>2]|0;if((g|0)==(k[a+12>>2]|0))Tp(a+4|0,b);else{LT(g,e);k[g>>2]=6508;k[f>>2]=(k[f>>2]|0)+8}g=k[k[a>>2]>>2]|0;LT(c,k[d>>2]|0);k[c>>2]=6508;y=0;oa(g|0,a|0,c|0);g=y;y=0;if(g&1){h=pb()|0;DO(c);sb(h|0)}DO(c);r=h;return}function CB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;c=h;d=b+4|0;e=k[d>>2]|0;if(!e){r=h;return}k[a+16>>2]=0;f=a+8|0;g=k[f>>2]|0;if((g|0)==(k[a+12>>2]|0))Sp(a+4|0,b);else{LT(g,e);k[g>>2]=10120;k[f>>2]=(k[f>>2]|0)+8}g=k[k[a>>2]>>2]|0;LT(c,k[d>>2]|0);k[c>>2]=10120;y=0;oa(g|0,a|0,c|0);g=y;y=0;if(g&1){h=pb()|0;DO(c);sb(h|0)}DO(c);r=h;return}function DB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+32|0;d=e;b=b+12|0;c=a+24|0;k[d>>2]=k[b>>2];k[d+4>>2]=k[b+4>>2];k[d+8>>2]=k[b+8>>2];b=d+12|0;k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];b=a+16|0;c=k[b>>2]|0;if(c>>>0<(k[a+20>>2]|0)>>>0){k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];k[c+12>>2]=k[d+12>>2];k[c+16>>2]=k[d+16>>2];k[c+20>>2]=k[d+20>>2];k[b>>2]=(k[b>>2]|0)+24;r=e;return}else{gy(a+12|0,d);r=e;return}}function EB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;g=h;c=k[a+64>>2]|0;e=k[a+68>>2]|0;if((c|0)==(e|0)){g=a+52|0;b=b&1;i[g>>0]=b;r=h;return}f=g+4|0;while(1){LT(g,k[c+4>>2]|0);k[g>>2]=10120;d=k[f>>2]|0;if(d|0){y=0;oa(k[(k[d>>2]|0)+100>>2]|0,d|0,b|0);d=y;y=0;if(d&1){c=6;break}}DO(g);c=c+8|0;if((c|0)==(e|0)){c=3;break}}if((c|0)==3){g=a+52|0;b=b&1;i[g>>0]=b;r=h;return}else if((c|0)==6){h=pb()|0;DO(g);sb(h|0)}}function FB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0;l=0;j=aa(c,b)|0;if((k[d+76>>2]|0)>-1)h=kra(d)|0;else h=0;e=d+74|0;g=i[e>>0]|0;i[e>>0]=g+255|g;e=d+4|0;g=k[e>>2]|0;f=(k[d+8>>2]|0)-g|0;if((f|0)>0){f=f>>>0<j>>>0?f:j;wH(a|0,g|0,f|0)|0;k[e>>2]=g+f;e=j-f|0;a=a+f|0}else e=j;a:do if(!e)l=13;else{g=d+32|0;while(1){if(LH(d)|0)break;f=rc[k[g>>2]&255](d,a,e)|0;if((f+1|0)>>>0<2)break;e=e-f|0;if(!e){l=13;break a}else a=a+f|0}if(h|0)jra(d);c=((j-e|0)>>>0)/(b>>>0)|0}while(0);if((l|0)==13)if(h)jra(d);return c|0}function GB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+16|0;c=e+8|0;d=e;LT(c,k[a+80>>2]|0);k[c>>2]=7284;f=k[c+4>>2]|0;y=0;oa(k[(k[f>>2]|0)+100>>2]|0,f|0,b|0);f=y;y=0;if(f&1){f=pb()|0;DO(c);sb(f|0)}DO(c);LT(d,k[a+72>>2]|0);k[d>>2]=7284;f=k[d+4>>2]|0;y=0;oa(k[(k[f>>2]|0)+100>>2]|0,f|0,b|0);f=y;y=0;if(!(f&1)){DO(d);i[a+52>>0]=b&1;r=e;return}f=pb()|0;DO(d);sb(f|0)}function HB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;k[a>>2]=0;e=a+4|0;k[e>>2]=0;k[a+8>>2]=0;if(!b)return;if(b>>>0>1073741823){y=0;na(421,a|0);d=y;y=0;if(!(d&1)){d=gb(4)|0;Qoa(d);y=0;Na(75,d|0,5760,404);y=0}}else{c=b<<2;y=0;d=qa(315,c|0)|0;f=y;y=0;if(!(f&1)){k[a>>2]=d;f=d+(b<<2)|0;k[a+8>>2]=f;kK(d|0,0,c|0)|0;k[e>>2]=f;return}}d=pb()|0;b=k[a>>2]|0;if(!b)sb(d|0);c=k[e>>2]|0;if((c|0)!=(b|0))k[e>>2]=c+(~((c+-4-b|0)>>>2)<<2);cra(b);sb(d|0)}function IB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+16|0;f=m+8|0;h=m+4|0;j=m;l=a+11|0;c=i[l>>0]|0;g=c<<24>>24<0;d=k[a>>2]|0;e=g?d:a;k[j>>2]=e;g=e+(g?k[a+4>>2]|0:c&255)|0;if(!b){h=c;l=d;j=e;h=h<<24>>24<0;l=h?l:a;l=j-l|0;r=m;return l|0}c=0;do{k[h>>2]=g;k[f>>2]=k[h>>2];XB(j,f)|0;c=c+1|0}while((c|0)!=(b|0));h=i[l>>0]|0;l=k[a>>2]|0;j=k[j>>2]|0;h=h<<24>>24<0;l=h?l:a;l=j-l|0;r=m;return l|0}function JB(a){a=a|0;var b=0,c=0,d=0,e=0;b=IM(80)|0;y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b+56>>2]=4;k[b>>2]=11100;e=j[a+60>>1]|0;i[b+60>>0]=e;i[b+61>>0]=(e&65535)>>>8;y=0;oa(456,b+64|0,a+64|0);e=y;y=0;if(!(e&1)){k[b+76>>2]=k[a+76>>2];k[b>>2]=11232;return b|0}e=pb()|0;cra(b);sb(e|0);return 0}function KB(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0;if((-18-b|0)>>>0<c>>>0)mN(a);if((i[a+11>>0]|0)<0)m=k[a>>2]|0;else m=a;if(b>>>0<2147483623){j=c+b|0;l=b<<1;j=j>>>0<l>>>0?l:j;j=j>>>0<11?11:j+16&-16}else j=-17;l=IM(j)|0;if(e|0)wH(l|0,m|0,e|0)|0;if(g|0)wH(l+e|0,h|0,g|0)|0;c=d-f|0;d=c-e|0;if(d|0)wH(l+e+g|0,m+e+f|0,d|0)|0;if((b|0)!=10)cra(m);k[a>>2]=l;k[a+8>>2]=j|-2147483648;g=c+g|0;k[a+4>>2]=g;i[l+g>>0]=0;return}function LB(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(76)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;k[e+56>>2]=k[a+56>>2];k[e>>2]=9704;k[e+60>>2]=k[a+60>>2];b=e+64|0;y=0;oa(460,b|0,k[a+68>>2]|0);d=y;y=0;if(!(d&1)){k[b>>2]=7284;k[e+72>>2]=k[a+72>>2];return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function MB(a){a=a|0;var b=0;if((i[a>>0]|0)!=47){b=0;return b|0}b=a+1|0;if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=hx(a)|0;if(!a)a=0;else{a=gx(a)|0;if(!a)a=0;else a=(i[a>>0]|0)==124?a+1|0:0}a=a|0?a:b;if(!a){b=0;return b|0}if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=hx(a)|0;if(!a){b=0;return b|0}a=gx(a)|0;if(!a){b=0;return b|0}b=(i[a>>0]|0)==47?a+1|0:0;return b|0}function NB(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=0;m=r;r=r+128|0;e=m+112|0;l=m;f=l;g=21912;h=f+112|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));if((b+-1|0)>>>0>2147483646)if(!b){a=e;b=1;j=4}else{b=W8()|0;k[b>>2]=75;b=-1}else j=4;if((j|0)==4){j=-2-a|0;j=b>>>0>j>>>0?j:b;k[l+48>>2]=j;e=l+20|0;k[e>>2]=a;k[l+44>>2]=a;b=a+j|0;a=l+16|0;k[a>>2]=b;k[l+28>>2]=b;b=qx(l,c,d)|0;if(j){l=k[e>>2]|0;i[l+(((l|0)==(k[a>>2]|0))<<31>>31)>>0]=0}}r=m;return b|0}function OB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=0;f=b;e=c-f>>2;if(e>>>0>1073741807){mN(a);d=5}else if(e>>>0<2){i[a+8+3>>0]=e;e=a}else d=5;do if((d|0)==5){d=e+4&-4;if(d>>>0>1073741823){c=gb(4)|0;Qoa(c);Wb(c|0,5760,404)}else{g=IM(d<<2)|0;k[a>>2]=g;k[a+8>>2]=d|-2147483648;k[a+4>>2]=e;e=g;break}}while(0);a=(c-f|0)>>>2;d=e;while(1){if((b|0)==(c|0))break;k[d>>2]=k[b>>2];b=b+4|0;d=d+4|0}k[e+(a<<2)>>2]=0;return}function PB(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;c=d;b=a+432|0;e=i[b+11>>0]|0;if(!((e<<24>>24<0?k[a+436>>2]|0:e&255)|0)){y=0;b=sa(21,b|0,0,-1,87975,0)|0;e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}if(!b){e=0;r=d;return e|0}}Y2(c,a+76|0,a);y=0;b=qa(322,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0)|0;e=y;y=0;if(e&1){e=pb()|0;A9(c);sb(e|0)}A9(c);e=b;r=d;return e|0}function QB(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(88)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));k[e>>2]=6564;k[e+52>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;b=e+64|0;k[b>>2]=6524;y=0;oa(459,e+68|0,a+68|0);d=y;y=0;if(!(d&1)){k[e+80>>2]=k[a+80>>2];k[e>>2]=6368;k[b>>2]=6468;i[e+84>>0]=i[a+84>>0]|0;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function RB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;k[a>>2]=15372;f=a+72|0;k[f>>2]=15548;d=a+100|0;b=k[d>>2]|0;if(b|0){e=a+104|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{g=c+-12|0;k[e>>2]=g;A9(g);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}DO(a+92|0);k[f>>2]=15588;d=a+76|0;b=k[d>>2]|0;if(!b){cra(a);return}e=a+80|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{g=c+-8|0;k[e>>2]=g;lc[k[k[g>>2]>>2]&511](g);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);cra(a);return}function SB(a){a=a|0;var b=0,c=0,d=0,e=0;b=IM(80)|0;y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);sb(e|0)}c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b+56>>2]=4;k[b>>2]=11100;e=j[a+60>>1]|0;i[b+60>>0]=e;i[b+61>>0]=(e&65535)>>>8;y=0;oa(456,b+64|0,a+64|0);e=y;y=0;if(!(e&1)){k[b+76>>2]=k[a+76>>2];return b|0}e=pb()|0;cra(b);sb(e|0);return 0}function TB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+16|0;c=e+8|0;d=e;LT(c,k[b+64>>2]|0);k[c>>2]=7492;f=k[c+4>>2]|0;y=0;oa(k[(k[f>>2]|0)+44>>2]|0,f|0,a|0);f=y;y=0;if(f&1){f=pb()|0;DO(c);sb(f|0)}DO(c);LT(d,k[b+72>>2]|0);k[d>>2]=8964;f=k[d+4>>2]|0;y=0;oa(k[(k[f>>2]|0)+44>>2]|0,f|0,a|0);f=y;y=0;if(!(f&1)){DO(d);r=e;return}f=pb()|0;DO(d);sb(f|0)}function UB(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=a+-72|0;k[f>>2]=15372;e=f+72|0;k[e>>2]=15548;c=f+100|0;a=k[c>>2]|0;if(a|0){d=f+104|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{g=b+-12|0;k[d>>2]=g;A9(g);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}cra(a)}DO(f+92|0);k[e>>2]=15588;d=f+76|0;a=k[d>>2]|0;if(!a)return;c=f+80|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{g=b+-8|0;k[c>>2]=g;lc[k[k[g>>2]>>2]&511](g);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}cra(a);return}function VB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=a+4|0;d=(k[i>>2]|0)!=479;g=k[a>>2]|0;e=(k[c>>2]|0)-g|0;e=e>>>0<2147483647?e<<1:-1;e=(e|0)==0?4:e;f=(k[b>>2]|0)-g>>2;g=tH(d?g:0,e)|0;if(!g)pba();do if(d){k[a>>2]=g;h=g}else{d=k[a>>2]|0;k[a>>2]=g;if(!d)h=g;else{y=0;na(k[i>>2]|0,d|0);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}else{h=k[a>>2]|0;break}}}while(0);k[i>>2]=481;k[b>>2]=h+(f<<2);k[c>>2]=(k[a>>2]|0)+(e>>>2<<2);return}function WB(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=a+4|0;d=(k[i>>2]|0)!=479;g=k[a>>2]|0;e=(k[c>>2]|0)-g|0;e=e>>>0<2147483647?e<<1:-1;e=(e|0)==0?4:e;f=(k[b>>2]|0)-g>>2;g=tH(d?g:0,e)|0;if(!g)pba();do if(d){k[a>>2]=g;h=g}else{d=k[a>>2]|0;k[a>>2]=g;if(!d)h=g;else{y=0;na(k[i>>2]|0,d|0);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}else{h=k[a>>2]|0;break}}}while(0);k[i>>2]=481;k[b>>2]=h+(f<<2);k[c>>2]=(k[a>>2]|0)+(e>>>2<<2);return}function XB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=r;r=r+16|0;e=d+8|0;c=d+4|0;f=d;k[c>>2]=0;k[f>>2]=k[b>>2];k[e>>2]=k[f>>2];switch(fo(a,e,c)|0){case 5:{f=gb(8)|0;e=k[c>>2]|0;k[f>>2]=16680;k[f+4>>2]=e;Wb(f|0,2224,220)}case 1:{f=gb(4)|0;k[f>>2]=16700;Wb(f|0,2240,220)}case 4:case 3:case 2:{f=gb(8)|0;e=i[k[a>>2]>>0]|0;k[f>>2]=16720;i[f+4>>0]=e;Wb(f|0,2256,220)}default:{r=d;return k[c>>2]|0}}return 0}function YB(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=r;r=r+16|0;e=d+8|0;c=d+4|0;f=d;k[c>>2]=0;k[f>>2]=k[b>>2];k[e>>2]=k[f>>2];switch(go(a,e,c)|0){case 5:{f=gb(8)|0;e=k[c>>2]|0;k[f>>2]=16680;k[f+4>>2]=e;Wb(f|0,2224,220)}case 1:{f=gb(4)|0;k[f>>2]=16700;Wb(f|0,2240,220)}case 4:case 3:case 2:{f=gb(8)|0;e=i[k[a>>2]>>0]|0;k[f>>2]=16720;i[f+4>>0]=e;Wb(f|0,2256,220)}default:{r=d;return k[c>>2]|0}}return 0}function ZB(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[47292]|0;a:do if(b<<24>>24){c=47292;while(1){if((i[a>>0]|0)!=b<<24>>24){b=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return b|0}while(0);b:do if((i[a>>0]|0)==45){b=jea(a+1|0)|0;if(!b)b=a;else{while(1){a=jea(b)|0;if(!a)break;else b=a}if((i[b>>0]|0)==45)do{a=jea(b+1|0)|0;if(!a)break b;else b=a;while(1){a=jea(b)|0;if(!a)break;else b=a}}while((i[b>>0]|0)==45)}}else b=a;while(0);c=(i[b>>0]|0)==40?b+1|0:0;return c|0}function _B(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;k[a>>2]=19644;c=a+4|0;k[c>>2]=6352;d=a+8|0;cL(d,b+4|0);y=0;oa(684,a+20|0,b+16|0);e=y;y=0;if(e&1){e=pb()|0;A9(d);sb(e|0)}else{e=a+72|0;d=b+68|0;k[e>>2]=k[d>>2];k[e+4>>2]=k[d+4>>2];k[e+8>>2]=k[d+8>>2];k[e+12>>2]=k[d+12>>2];k[e+16>>2]=k[d+16>>2];k[e+20>>2]=k[d+20>>2];k[e+24>>2]=k[d+24>>2];j[e+28>>1]=j[d+28>>1]|0;k[a>>2]=19344;k[c>>2]=19628;return}}function $B(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;e=f;b=k[a+76>>2]|0;c=k[a+80>>2]|0;if((b|0)==(c|0)){e=0;r=f;return e|0}d=e+4|0;a=b;while(1){LT(e,k[a+4>>2]|0);k[e>>2]=15136;b=k[d>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+152>>2]|0,b|0)|0;g=y;y=0;if(g&1){b=6;break}DO(e);a=a+8|0;if(b){a=1;b=7;break}if((a|0)==(c|0)){a=0;b=7;break}}if((b|0)==6){g=pb()|0;DO(e);sb(g|0)}else if((b|0)==7){r=f;return a|0}return 0}function aC(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=FV(d)|0;k[h>>2]=d;y=0;g=Ha(977,h|0,83992)|0;l=y;y=0;if(l&1){l=pb()|0;RQ(d)|0;sb(l|0)}else{RQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];BE(a,f+16|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function bC(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=FV(d)|0;k[h>>2]=d;y=0;g=Ha(977,h|0,83992)|0;l=y;y=0;if(l&1){l=pb()|0;RQ(d)|0;sb(l|0)}else{RQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];FE(a,f+24|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function cC(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=FV(d)|0;k[h>>2]=d;y=0;g=Ha(977,h|0,83960)|0;l=y;y=0;if(l&1){l=pb()|0;RQ(d)|0;sb(l|0)}else{RQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];CE(a,f+16|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function dC(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=FV(d)|0;k[h>>2]=d;y=0;g=Ha(977,h|0,83960)|0;l=y;y=0;if(l&1){l=pb()|0;RQ(d)|0;sb(l|0)}else{RQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];GE(a,f+24|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function eC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;c=a+104|0;b=k[c>>2]|0;if(!b)g=3;else if((k[a+108>>2]|0)<(b|0))g=3;else g=4;if((g|0)==3){b=WN(a)|0;if((b|0)<0)g=4;else{c=k[c>>2]|0;f=k[a+8>>2]|0;if(!c){d=f;g=9}else{e=k[a+4>>2]|0;c=c-(k[a+108>>2]|0)|0;d=f;if((f-e|0)<(c|0))g=9;else k[a+100>>2]=e+(c+-1)}if((g|0)==9)k[a+100>>2]=f;c=a+4|0;if(!d)c=k[c>>2]|0;else{c=k[c>>2]|0;a=a+108|0;k[a>>2]=d+1-c+(k[a>>2]|0)}c=c+-1|0;if((l[c>>0]|0|0)!=(b|0))i[c>>0]=b}}if((g|0)==4){k[a+100>>2]=0;b=-1}return b|0}function fC(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=FV(d)|0;k[h>>2]=d;y=0;g=Ha(977,h|0,83992)|0;l=y;y=0;if(l&1){l=pb()|0;RQ(d)|0;sb(l|0)}else{RQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];VF(a,f+20|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function gC(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;j=r;r=r+16|0;h=j+4|0;i=j;d=FV(d)|0;k[h>>2]=d;y=0;g=Ha(977,h|0,83960)|0;l=y;y=0;if(l&1){l=pb()|0;RQ(d)|0;sb(l|0)}else{RQ(d)|0;k[i>>2]=k[c>>2];k[h>>2]=k[i>>2];WF(a,f+20|0,b,h,e,g);r=j;return k[b>>2]|0}return 0}function hC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a+52>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=6980;y=0;oa(456,a+72|0,b+72|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(b|0)}else return}function iC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=a+4|0;d=(k[i>>2]|0)!=479;g=k[a>>2]|0;e=(k[c>>2]|0)-g|0;e=e>>>0<2147483647?e<<1:-1;e=(e|0)==0?1:e;f=(k[b>>2]|0)-g|0;g=tH(d?g:0,e)|0;if(!g)pba();do if(d){k[a>>2]=g;h=g}else{d=k[a>>2]|0;k[a>>2]=g;if(!d)h=g;else{y=0;na(k[i>>2]|0,d|0);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}else{h=k[a>>2]|0;break}}}while(0);k[i>>2]=481;k[b>>2]=h+f;k[c>>2]=(k[a>>2]|0)+e;return}function jC(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=r;r=r+16|0;h=g+12|0;j=g+8|0;m=g+4|0;l=g;n=a+8|0;n=oc[k[(k[n>>2]|0)+20>>2]&511](n)|0;k[m>>2]=k[b>>2];k[l>>2]=k[c>>2];c=i[n+8+3>>0]|0;o=c<<24>>24<0;b=o?k[n>>2]|0:n;c=b+((o?k[n+4>>2]|0:c&255)<<2)|0;k[j>>2]=k[m>>2];k[h>>2]=k[l>>2];f=sh(a,j,h,d,e,f,b,c)|0;r=g;return f|0}function kC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;k[a>>2]=15372;f=a+72|0;k[f>>2]=15548;d=a+100|0;b=k[d>>2]|0;if(b|0){e=a+104|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{g=c+-12|0;k[e>>2]=g;A9(g);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}DO(a+92|0);k[f>>2]=15588;e=a+76|0;b=k[e>>2]|0;if(!b)return;d=a+80|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{g=c+-8|0;k[d>>2]=g;lc[k[k[g>>2]>>2]&511](g);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}cra(b);return}function lC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>3;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;LT(f,k[c+(b<<3)+4>>2]|0);k[f>>2]=11528;y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}DO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;DO(f);sb(h|0)}}function mC(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=r;r=r+16|0;h=g+12|0;j=g+8|0;m=g+4|0;l=g;n=a+8|0;n=oc[k[(k[n>>2]|0)+20>>2]&511](n)|0;k[m>>2]=k[b>>2];k[l>>2]=k[c>>2];c=i[n+11>>0]|0;o=c<<24>>24<0;b=o?k[n>>2]|0:n;c=b+(o?k[n+4>>2]|0:c&255)|0;k[j>>2]=k[m>>2];k[h>>2]=k[l>>2];f=Gh(a,j,h,d,e,f,b,c)|0;r=g;return f|0}function nC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>3;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;LT(f,k[c+(b<<3)+4>>2]|0);k[f>>2]=15136;y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}DO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;DO(f);sb(h|0)}}function oC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>3;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;LT(f,k[c+(b<<3)+4>>2]|0);k[f>>2]=13284;y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}DO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;DO(f);sb(h|0)}}function pC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(108)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;b=e+56|0;k[b>>2]=k[a+56>>2];k[e>>2]=9288;c=e+60|0;y=0;oa(478,c|0,a+60|0);a=y;y=0;if(!(a&1)){k[e>>2]=9412;k[c>>2]=9540;k[b>>2]=6;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function qC(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==1)b=2;else if(b+-1&b)b=De(b)|0;d=k[a+4>>2]|0;if(b>>>0>d>>>0){Jj(a,b);return}if(b>>>0>=d>>>0)return;c=~~+$(+(+((k[a+12>>2]|0)>>>0)/+o[a+16>>2]))>>>0;if(d>>>0>2&(d+-1&d|0)==0)c=1<<32-(da(c+-1|0)|0);else c=De(c)|0;b=b>>>0<c>>>0?c:b;if(b>>>0>=d>>>0)return;Jj(a,b);return}function rC(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;h=r;r=r+112|0;c=h+4|0;d=h;k[d>>2]=c+100;HH(a+8|0,c,d,e,f,g);g=k[d>>2]|0;f=c;c=k[b>>2]|0;while(1){if((f|0)==(g|0))break;d=i[f>>0]|0;do if(!c)c=0;else{a=c+24|0;e=k[a>>2]|0;if((e|0)==(k[c+28>>2]|0)){b=(Fc[k[(k[c>>2]|0)+52>>2]&2047](c,d&255)|0)==-1;c=b?0:c;break}else{k[a>>2]=e+1;i[e>>0]=d;break}}while(0);f=f+1|0}r=h;return c|0}function sC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(76)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=e+52|0;k[c>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=8084;b=e+64|0;y=0;oa(460,b|0,k[a+68>>2]|0);d=y;y=0;if(!(d&1)){k[b>>2]=7492;i[e+72>>0]=i[a+72>>0]|0;k[c>>2]=13;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function tC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>3;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;LT(f,k[c+(b<<3)+4>>2]|0);k[f>>2]=7284;y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}DO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;DO(f);sb(h|0)}}function uC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>3;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;LT(f,k[c+(b<<3)+4>>2]|0);k[f>>2]=12920;y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}DO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;DO(f);sb(h|0)}}function vC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>3;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;LT(f,k[c+(b<<3)+4>>2]|0);k[f>>2]=6508;y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}DO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;DO(f);sb(h|0)}}function wC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+16|0;f=g;c=k[b+4>>2]|0;e=(k[b+8>>2]|0)-c>>3;if(!e){r=g;return}d=b+4|0;b=0;while(1){h=k[(k[a>>2]|0)+20>>2]|0;LT(f,k[c+(b<<3)+4>>2]|0);k[f>>2]=10120;y=0;oa(h|0,a|0,f|0);c=y;y=0;if(c&1){b=7;break}DO(f);b=b+1|0;if(b>>>0>=e>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=g;return}else if((b|0)==7){h=pb()|0;DO(f);sb(h|0)}}function xC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;f=g;k[a+64>>2]=b;c=k[a+76>>2]|0;d=k[a+80>>2]|0;if((c|0)==(d|0)){r=g;return}e=f+4|0;a=c;while(1){LT(f,k[a+4>>2]|0);k[f>>2]=15136;c=k[e>>2]|0;y=0;oa(k[(k[c>>2]|0)+120>>2]|0,c|0,b|0);c=y;y=0;if(c&1){a=6;break}DO(f);a=a+8|0;if((a|0)==(d|0)){a=3;break}}if((a|0)==3){r=g;return}else if((a|0)==6){g=pb()|0;DO(f);sb(g|0)}}function yC(a){a=a|0;var b=0;a=(i[a>>0]|0)==45?a+1|0:a;if(!a){b=0;return b|0}b=mE(a)|0;if(!b){b=0;return b|0}a=nE(b)|0;if(!a){if((i[b>>0]|0)==45)a=b;else return b|0;do a=a+1|0;while((i[a>>0]|0)==45);a=mE(a)|0;if(!a)return b|0}while(1){b=nE(a)|0;if(b|0){a=b;continue}if((i[a>>0]|0)==45)b=a;else{b=11;break}do b=b+1|0;while((i[b>>0]|0)==45);b=mE(b)|0;if(!b){b=11;break}else a=b}if((b|0)==11)return a|0;return 0}function zC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d+4|0;e=UL((i[b+11>>0]|0)<0?k[b>>2]|0:b,0,d)|0;k[a>>2]=e;do if((e|0)<0){e=W8()|0;e=k[e>>2]|0;SC(c,58463,b);y=0;oa(740,e|0,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0);e=y;y=0;if(e&1){e=pb()|0;A9(c);sb(e|0)}else{A9(c);break}}while(0);r=d;return}function AC(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;d=b+64|0;if(k[d>>2]|0)if(!(oc[k[(k[b>>2]|0)+24>>2]&511](b)|0))if(!(HQ(k[d>>2]|0,k[c+8>>2]|0,0)|0)){e=c;d=k[e+4>>2]|0;b=b+72|0;k[b>>2]=k[e>>2];k[b+4>>2]=d;k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[a+12>>2]=k[c+12>>2];return}else{e=a;k[e>>2]=0;k[e+4>>2]=0;e=a+8|0;k[e>>2]=-1;k[e+4>>2]=-1;return}e=a;k[e>>2]=0;k[e+4>>2]=0;e=a+8|0;k[e>>2]=-1;k[e+4>>2]=-1;return}function BC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=0;if(!(k[b>>2]|0)){if(k[b+4>>2]|0)c=3}else c=3;if((c|0)==3){c=k[a+12>>2]|0;f=k[a+16>>2]|0;if((c|0)!=(f|0)){g=b+4|0;do{d=c+12|0;e=k[d>>2]|0;if(!e){h=c+16|0;k[h>>2]=(k[h>>2]|0)+(k[g>>2]|0)}k[d>>2]=e+(k[b>>2]|0);c=c+24|0}while((c|0)!=(f|0))}}c=a+24|0;d=k[c>>2]|0;if(d|0){h=k[b>>2]|0;h=d+h|0;k[c>>2]=h;return}h=a+28|0;k[h>>2]=(k[h>>2]|0)+(k[b+4>>2]|0);h=k[b>>2]|0;h=d+h|0;k[c>>2]=h;return}function CC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;c=a+-72|0;e=c+68|0;a=k[e>>2]|0;if(a|0){e=a;return e|0}k[e>>2]=-1640531520;f=k[c+80>>2]|0;a=k[c+76>>2]|0;b=a;d=f;if((f|0)==(a|0)){f=-1640531520;return f|0}c=c+88|0;a=k[c>>2]|0;if(!a)if((b|0)==(d|0)){a=0;b=-1640531520}else{do{f=k[b+4>>2]|0;f=(oc[k[(k[f>>2]|0)+8>>2]&511](f)|0)+-1640531527|0;a=k[c>>2]|0;a=f+(a<<6)+(a>>>2)^a;k[c>>2]=a;b=b+8|0}while((b|0)!=(d|0));b=k[e>>2]|0}else b=-1640531520;f=a+-1640531527+(b<<6)+(b>>>2)^b;k[e>>2]=f;return f|0}function DC(a){a=a|0;var b=0,c=0,d=0,e=0;e=a+11|0;b=(i[e>>0]|0)<0?k[a>>2]|0:a;if(!(i[b>>0]|0))b=0;else if(Tia(b)|0){c=i[e>>0]|0;d=k[a>>2]|0;if(!(i[(c<<24>>24<0?d:a)>>0]|0))b=0;else{b=0;do{if(!(laa((c<<24>>24<0?d:a)+b|0)|0))break;b=b+1|0;c=i[e>>0]|0;d=k[a>>2]|0}while((i[(c<<24>>24<0?d:a)+b>>0]|0)!=0);if(!b)b=0;else b=(i[((i[e>>0]|0)<0?k[a>>2]|0:a)+b>>0]|0)==58?b+1|0:0}}else b=0;return (i[((i[e>>0]|0)<0?k[a>>2]|0:a)+b>>0]|0)==47|0}function EC(a,b){a=a|0;b=b|0;if(!b)return;else{EC(a,k[b>>2]|0);EC(a,k[b+4>>2]|0);DO(b+28|0);A9(b+16|0);cra(b);return}}function FC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(76)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}k[e>>2]=6128;b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=12936;y=0;oa(494,e+56|0,a+56|0);d=y;y=0;if(!(d&1)){k[e+68>>2]=k[a+68>>2];k[e>>2]=12792;k[b>>2]=12880;a=j[a+72>>1]|0;i[e+72>>0]=a;i[e+73>>0]=(a&65535)>>>8;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function GC(a,b){a=a|0;b=b|0;if(!b)return;else{GC(a,k[b>>2]|0);GC(a,k[b+4>>2]|0);DO(b+28|0);A9(b+16|0);cra(b);return}}function HC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(68)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;k[e+56>>2]=k[a+56>>2];k[e>>2]=12220;b=e+60|0;y=0;oa(460,b|0,k[a+64>>2]|0);a=y;y=0;if(!(a&1)){k[b>>2]=7284;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function IC(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=dF(a,b,c,d,f)|0;f=k[e>>2]|0;g=k[d>>2]|0;if(f>>>0<g>>>0){k[d>>2]=f;k[e>>2]=g;f=h+1|0;g=k[d>>2]|0;e=k[c>>2]|0;if(g>>>0<e>>>0){k[c>>2]=g;k[d>>2]=e;f=h+2|0;g=k[c>>2]|0;e=k[b>>2]|0;if(g>>>0<e>>>0){k[b>>2]=g;k[c>>2]=e;f=k[b>>2]|0;g=k[a>>2]|0;if(f>>>0<g>>>0){k[a>>2]=f;k[b>>2]=g;f=h+4|0}else f=h+3|0}}}else f=h;return f|0}function JC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(68)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;k[e+56>>2]=k[a+56>>2];k[e>>2]=11964;b=e+60|0;y=0;oa(460,b|0,k[a+64>>2]|0);a=y;y=0;if(!(a&1)){k[b>>2]=11804;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function KC(){var a=0,b=0,c=0,d=0;c=r;r=r+16|0;b=c+12|0;a=c;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,37991,12);y=0;oa(553,b|0,a|0);d=y;y=0;if(d&1){d=pb()|0;A9(a);sb(d|0)}A9(a);y=0;a=qa(330,b|0)|0;d=y;y=0;if(!(d&1)){CT(b);N=0;r=c;return a|0}d=pb()|0;CT(b);sb(d|0);return 0}function LC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(76)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));k[e+52>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=6884;b=e+64|0;y=0;oa(460,b|0,k[a+68>>2]|0);d=y;y=0;if(!(d&1)){k[b>>2]=6508;i[e+72>>0]=i[a+72>>0]|0;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function MC(a,b,c){a=a|0;b=b|0;c=c|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;if((cc|0)==1)cc=3}Qc(fc+54664|0);return k[dc>>2]|0}function NC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(72)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=e+52|0;k[c>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=8660;b=e+64|0;y=0;oa(460,b|0,k[a+68>>2]|0);a=y;y=0;if(!(a&1)){k[b>>2]=6756;k[c>>2]=16;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function OC(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+68|0;b=k[e>>2]|0;if(b|0){e=b;return e|0}k[e>>2]=-1640531520;f=k[a+80>>2]|0;b=k[a+76>>2]|0;c=b;d=f;if((f|0)==(b|0)){f=-1640531520;return f|0}a=a+88|0;b=k[a>>2]|0;if(!b)if((c|0)==(d|0)){b=0;c=-1640531520}else{do{f=k[c+4>>2]|0;f=(oc[k[(k[f>>2]|0)+8>>2]&511](f)|0)+-1640531527|0;b=k[a>>2]|0;b=f+(b<<6)+(b>>>2)^b;k[a>>2]=b;c=c+8|0}while((c|0)!=(d|0));c=k[e>>2]|0}else c=-1640531520;f=b+-1640531527+(c<<6)+(c>>>2)^c;k[e>>2]=f;return f|0}function PC(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0;h=r;r=r+416|0;c=h+8|0;d=h;k[d>>2]=c+400;Qy(a+8|0,c,d,e,f,g);g=k[d>>2]|0;f=c;c=k[b>>2]|0;while(1){if((f|0)==(g|0))break;d=k[f>>2]|0;if(!c)c=0;else{a=c+24|0;e=k[a>>2]|0;if((e|0)==(k[c+28>>2]|0))d=Fc[k[(k[c>>2]|0)+52>>2]&2047](c,d)|0;else{k[a>>2]=e+4;k[e>>2]=d}c=(d|0)==-1?0:c}f=f+4|0}r=h;return c|0}function QC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(72)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=e+52|0;k[c>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=7796;b=e+64|0;y=0;oa(460,b|0,k[a+68>>2]|0);a=y;y=0;if(!(a&1)){k[b>>2]=7284;k[c>>2]=14;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function RC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(72)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=e+52|0;k[c>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=8564;b=e+64|0;y=0;oa(460,b|0,k[a+68>>2]|0);a=y;y=0;if(!(a&1)){k[b>>2]=7284;k[c>>2]=15;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function SC(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;d=0;while(1){if((d|0)==3)break;k[a+(d<<2)>>2]=0;d=d+1|0}f=IJ(b)|0;e=c+11|0;d=i[e>>0]|0;d=d<<24>>24<0?k[c+4>>2]|0:d&255;y=0;Ra(10,a|0,b|0,f|0,d+f|0);b=y;y=0;if(!(b&1)){y=0;ta(41,a|0,((i[e>>0]|0)<0?k[c>>2]|0:c)|0,d|0)|0;f=y;y=0;if(!(f&1))return}f=pb()|0;A9(a);sb(f|0)}function TC(a){a=a|0;var b=0;do if(!(i[76856]|0))if(Qba(76856)|0){if(!(i[76864]|0))if(Qba(76864)|0){b=84892;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=85180);Pb(476,0,x|0)|0}y=0;Ha(1033,84892,26872)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,84904,26884)|0;b=y;y=0;if(!(b&1)){k[21295]=84892;break}}b=pb()|0;sb(b|0)}while(0);return k[21295]|0}function UC(a){a=a|0;var b=0;do if(!(i[76776]|0))if(Qba(76776)|0){if(!(i[76784]|0))if(Qba(76784)|0){b=84080;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=84368);Pb(473,0,x|0)|0}y=0;Ha(1009,84080,56738)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84092,56741)|0;b=y;y=0;if(!(b&1)){k[21092]=84080;break}}b=pb()|0;sb(b|0)}while(0);return k[21092]|0}function VC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(72)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=e+52|0;k[c>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=7892;b=e+64|0;y=0;oa(460,b|0,k[a+68>>2]|0);a=y;y=0;if(!(a&1)){k[b>>2]=7284;k[c>>2]=17;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function WC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(72)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));c=e+52|0;k[c>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=7988;b=e+64|0;y=0;oa(460,b|0,k[a+68>>2]|0);a=y;y=0;if(!(a&1)){k[b>>2]=7284;k[c>>2]=18;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function XC(a,b){a=a|0;b=b|0;var c=0,d=0;zy(a,b);k[a>>2]=14324;c=a+104|0;y=0;oa(456,c|0,b+104|0);d=y;y=0;do if(d&1)b=pb()|0;else{d=a+116|0;y=0;oa(460,d|0,k[b+120>>2]|0);b=y;y=0;if(b&1){b=pb()|0;A9(c);break}else{k[d>>2]=7492;k[a+96>>2]=1;return}}while(0);k[a>>2]=13112;A9(a+84|0);A9(a+72|0);sb(b|0)}function YC(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(72)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;b=e+56|0;k[b>>2]=k[a+56>>2];k[e>>2]=10424;y=0;oa(456,e+60|0,a+60|0);a=y;y=0;if(!(a&1)){k[b>>2]=12;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function ZC(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;a=k[a+20>>2]|0;c=k[a+4>>2]|0;d=k[a+16>>2]|0;e=c+(((d>>>0)/146|0)<<2)|0;if((k[a+8>>2]|0)==(c|0)){f=0;c=0}else{f=d+(k[a+20>>2]|0)|0;f=(k[c+(((f>>>0)/146|0)<<2)>>2]|0)+(((f>>>0)%146|0)*28|0)|0;c=(k[e>>2]|0)+(((d>>>0)%146|0)*28|0)|0}a=0;a:while(1){do{if((c|0)==(f|0)){c=9;break a}d=Jk(c,b)|0;a=a|d;if(d){c=9;break a}c=c+28|0}while((c-(k[e>>2]|0)|0)!=4088);c=e+4|0;e=c;c=k[c>>2]|0}if((c|0)==9)return a|0;return 0}function _C(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j;do if((a|0)==(b|0)){k[c>>2]=4;a=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;a=0;break}g=W8()|0;h=k[g>>2]|0;k[g>>2]=0;a=wca(a,f,d,LN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;do if((k[f>>2]|0)==(b|0))if(d>>>0>0|(d|0)==0&a>>>0>65535|(e|0)==34){k[c>>2]=4;a=-1;break}else{a=a&65535;break}else{k[c>>2]=4;a=0}while(0)}while(0);r=j;return a|0}function $C(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=6e3;d=a+88|0;b=k[d>>2]|0;if(b|0){e=a+92|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;A9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}d=a+76|0;b=k[d>>2]|0;if(!b){cra(a);return}e=a+80|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;A9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);cra(a);return}function aD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+16|0;f=e+4|0;d=e;nP(a);k[a>>2]=25956;k[a+32>>2]=b;W7(f,a+4|0);k[d>>2]=k[f>>2];y=0;b=Ha(977,d|0,85760)|0;f=y;y=0;if(f&1){f=pb()|0;Hea(d);Waa(a);sb(f|0)}else{Hea(d);k[a+36>>2]=b;k[a+40>>2]=c;f=(oc[k[(k[b>>2]|0)+28>>2]&511](b)|0)&1;i[a+44>>0]=f;r=e;return}}function bD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+16|0;f=e+4|0;d=e;oP(a);k[a>>2]=26020;k[a+32>>2]=b;W7(f,a+4|0);k[d>>2]=k[f>>2];y=0;b=Ha(977,d|0,85752)|0;f=y;y=0;if(f&1){f=pb()|0;Hea(d);Xaa(a);sb(f|0)}else{Hea(d);k[a+36>>2]=b;k[a+40>>2]=c;f=(oc[k[(k[b>>2]|0)+28>>2]&511](b)|0)&1;i[a+44>>0]=f;r=e;return}}function cD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;k[f>>2]=d;d=A8(b)|0;y=0;b=ta(161,a|0,c|0,f|0)|0;c=y;y=0;if(c&1){b=pb()|0;if(d|0){y=0;qa(405,d|0)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}}sb(b|0)}else{if(d|0){y=0;qa(405,d|0)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}}r=e;return b|0}return 0}function dD(a){a=a|0;var b=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){a=b;return a|0}}b=Nk(a)|0;if(b|0){a=b;return a|0}a=Kw(a)|0;return a|0}function eD(a,b){a=a|0;b=b|0;if(!b)return;else{eD(a,k[b>>2]|0);eD(a,k[b+4>>2]|0);DO(b+36|0);A9(b+16|0);cra(b);return}}function fD(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(72)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));k[e>>2]=12976;b=e+52|0;y=0;oa(460,b|0,k[a+56>>2]|0);d=y;y=0;if(!(d&1)){k[b>>2]=7492;i[e+60>>0]=i[a+60>>0]|0;k[e+64>>2]=k[a+64>>2];k[e+68>>2]=k[a+68>>2];return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function gD(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;i[b+53>>0]=1;do if((k[b+4>>2]|0)==(d|0)){i[b+52>>0]=1;a=b+16|0;d=k[a>>2]|0;if(!d){k[a>>2]=c;k[b+24>>2]=e;k[b+36>>2]=1;if(!((e|0)==1?(k[b+48>>2]|0)==1:0))break;i[b+54>>0]=1;break}if((d|0)!=(c|0)){e=b+36|0;k[e>>2]=(k[e>>2]|0)+1;i[b+54>>0]=1;break}d=b+24|0;a=k[d>>2]|0;if((a|0)==2){k[d>>2]=e;a=e}if((a|0)==1?(k[b+48>>2]|0)==1:0)i[b+54>>0]=1}while(0);return}function hD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=b&255;a:do if(!d)a=a+(IJ(a)|0)|0;else{if(a&3){c=b&255;do{e=i[a>>0]|0;if(e<<24>>24==0?1:e<<24>>24==c<<24>>24)break a;a=a+1|0}while((a&3|0)!=0)}d=aa(d,16843009)|0;c=k[a>>2]|0;b:do if(!((c&-2139062144^-2139062144)&c+-16843009))do{e=c^d;if((e&-2139062144^-2139062144)&e+-16843009|0)break b;a=a+4|0;c=k[a>>2]|0}while(!((c&-2139062144^-2139062144)&c+-16843009|0));while(0);c=b&255;while(1){e=i[a>>0]|0;if(e<<24>>24==0?1:e<<24>>24==c<<24>>24)break;else a=a+1|0}}while(0);return a|0}function iD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;d=b+72|0;b=(k[b+80>>2]|0)-(k[b+76>>2]|0)>>3;c=a+72|0;a=(k[a+80>>2]|0)-(k[a+76>>2]|0)>>3;b=a>>>0<b>>>0?a:b;if(!b){d=0;return d|0}a=0;while(1){f=(Fc[k[(k[c>>2]|0)+12>>2]&2047](c,a)|0)+4|0;f=k[f>>2]|0;g=k[(k[f>>2]|0)+156>>2]|0;e=(Fc[k[(k[d>>2]|0)+12>>2]&2047](d,a)|0)+4|0;a=a+1|0;if(Fc[g&2047](f,k[e>>2]|0)|0){b=1;a=5;break}if(a>>>0>=b>>>0){b=0;a=5;break}}if((a|0)==5)return b|0;return 0}function jD(a){a=a|0;var b=0,c=0,d=0,e=0;b=IM(36)|0;k[b+4>>2]=0;k[b+8>>2]=0;k[b>>2]=15692;c=b+12|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;i[a>>0]=0;k[a+4>>2]=2;k[a+8>>2]=0;d=a+12|0;y=0;oa(460,d|0,0);e=y;y=0;if(e&1){e=pb()|0;DY(b);sb(e|0)}else{k[d>>2]=15136;k[a+20>>2]=c;k[a+24>>2]=b;Dba(b);DY(b);return}}function kD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(!a)return;e=k[a>>2]|0;if(e|0){c=k[a+4>>2]|0;d=a+8|0;b=k[d>>2]|0;f=c;if(!c)k[e+24>>2]=b;else{k[c+8>>2]=b;b=k[d>>2]|0}if(!b)k[e+24+4>>2]=f;else k[b+4>>2]=f;Wf(k[a+12>>2]|0);k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0}switch(k[a+16>>2]|0){case 2:{Wf(k[a+24>>2]|0);break}case 5:case 4:{b=k[a+24>>2]|0;if(b|0)do{f=b;b=k[b+8>>2]|0;kD(f)}while((b|0)!=0);break}default:{}}Wf(a);return}function lD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;d=e;c=k[a+80>>2]|0;if(c|0)if(Fc[k[(k[c>>2]|0)+40>>2]&2047](c,b)|0){d=1;r=e;return d|0}c=k[a+88>>2]|0;if(c|0)if(Fc[k[(k[c>>2]|0)+40>>2]&2047](c,b)|0){d=1;r=e;return d|0}LT(d,a);k[d>>2]=6336;y=0;c=qa(b|0,d|0)|0;b=y;y=0;if(b&1){e=pb()|0;DO(d);sb(e|0)}DO(d);d=c;r=e;return d|0}function mD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j;do if((a|0)==(b|0)){k[c>>2]=4;a=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;a=0;break}g=W8()|0;h=k[g>>2]|0;k[g>>2]=0;a=wca(a,f,d,LN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;do if((k[f>>2]|0)==(b|0))if(d>>>0>0|(d|0)==0&a>>>0>4294967295|(e|0)==34){k[c>>2]=4;a=-1;break}else break;else{k[c>>2]=4;a=0}while(0)}while(0);r=j;return a|0}function nD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j;do if((a|0)==(b|0)){k[c>>2]=4;a=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;a=0;break}g=W8()|0;h=k[g>>2]|0;k[g>>2]=0;a=wca(a,f,d,LN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;do if((k[f>>2]|0)==(b|0))if(d>>>0>0|(d|0)==0&a>>>0>4294967295|(e|0)==34){k[c>>2]=4;a=-1;break}else break;else{k[c>>2]=4;a=0}while(0)}while(0);r=j;return a|0}function oD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+32|0;c=e+8|0;d=e;if(!(Qv(b,1,0)|0)){LT(a,0);k[a>>2]=7284;r=e;return}f=b+156|0;k[c>>2]=k[f>>2];k[c+4>>2]=k[f+4>>2];k[c+8>>2]=k[f+8>>2];Ad(d,b,c,1);y=0;oa(460,a|0,k[d+4>>2]|0);b=y;y=0;if(b&1){f=pb()|0;DO(d);sb(f|0)}k[a>>2]=7284;DO(d);r=e;return}function pD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;c=a+-72|0;e=c+68|0;a=k[e>>2]|0;if(a|0){e=a;return e|0}k[e>>2]=-1640531520;d=c+88|0;a=k[d>>2]|0;if(!a){b=k[c+76>>2]|0;c=k[c+80>>2]|0;if((b|0)==(c|0)){a=0;b=-1640531520}else{do{f=k[b+4>>2]|0;f=(oc[k[(k[f>>2]|0)+8>>2]&511](f)|0)+-1640531527|0;a=k[d>>2]|0;a=f+(a<<6)+(a>>>2)^a;k[d>>2]=a;b=b+8|0}while((b|0)!=(c|0));b=k[e>>2]|0}}else b=-1640531520;f=a+-1640531527+(b<<6)+(b>>>2)^b;k[e>>2]=f;return f|0}function qD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=0;g=r;r=r+16|0;c=g;e=a+8|0;b=k[e>>2]|0;d=a+12|0;a:do if((b|0)<(k[d>>2]|0))f=6;else{k[c>>2]=k[a>>2];k[c+4>>2]=a+24;k[c+8>>2]=2048;b=Ta(220,c|0)|0;if((b|0)>=1){k[d>>2]=b;k[e>>2]=0;b=0;f=6;break}switch(b|0){case 0:case -2:{b=0;break a}default:{}}e=W8()|0;k[e>>2]=0-b;b=0}while(0);if((f|0)==6){f=a+24+b|0;k[e>>2]=(m[f+8>>1]|0)+b;k[a+4>>2]=k[f+4>>2];b=f}r=g;return b|0}function rD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;iea(a);f=k[a+12>>2]|0;g=Wqa((f|0)>-1?f:-1)|0;d=Wqa((f|0)<0?-1:f<<1)|0;e=b+4|0;do{ts(b,g,f)|0;h=k[e>>2]|0;Mt(c,d,Us(g,h,d,a)|0)|0}while((h|0)>0?(k[b+(k[(k[b>>2]|0)+-12>>2]|0)+16>>2]|0)==0:0);Mt(c,d,nH(d,a)|0)|0;iea(a);Xqa(d);Xqa(g);return}function sD(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(112)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=e+52|0;k[b>>2]=k[a+52>>2];k[e+56>>2]=k[a+56>>2];i[e+60>>0]=i[a+60>>0]|0;k[e>>2]=7700;y=0;oa(471,e+64|0,a+64|0);a=y;y=0;if(!(a&1)){k[b>>2]=11;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function tD(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;d=e;if(!a){r=e;return}b=a+8|0;c=k[b>>2]|0;if(c|0)lc[k[(k[c>>2]|0)+4>>2]&511](c);k[b>>2]=0;k[a+4>>2]=0;b=a+12|0;LT(d,0);k[d>>2]=6868;if((b|0)!=(d|0)){c=a+16|0;if(k[c>>2]|0){y=0;na(423,b|0);b=y;y=0;if(b&1){e=pb()|0;DO(d);sb(e|0)}}b=d+4|0;k[c>>2]=k[b>>2];k[b>>2]=0}DO(d);Wf(a);r=e;return}function uD(a,b){a=a|0;b=b|0;var c=0,d=0;d=0;c=b;a:do if(!((c^a)&3)){if(c&3)do{c=i[b>>0]|0;i[a>>0]=c;if(!(c<<24>>24))break a;b=b+1|0;a=a+1|0}while((b&3|0)!=0);c=k[b>>2]|0;if(!((c&-2139062144^-2139062144)&c+-16843009)){d=a;while(1){b=b+4|0;a=d+4|0;k[d>>2]=c;c=k[b>>2]|0;if((c&-2139062144^-2139062144)&c+-16843009|0)break;else d=a}}d=8}else d=8;while(0);if((d|0)==8){d=i[b>>0]|0;i[a>>0]=d;if(d<<24>>24)do{b=b+1|0;a=a+1|0;d=i[b>>0]|0;i[a>>0]=d}while(d<<24>>24!=0)}return a|0}function vD(a,b){a=a|0;b=b|0;var c=0,d=0;d=a+12|0;c=k[d>>2]|0;if(!c){b=0;return b|0}while(1){if(!(k[c+12>>2]|0)){a=0;c=5;break}if((tv(a,b)|0)!=(a+4|0)){a=1;c=5;break}a=k[d>>2]|0;d=a+12|0;c=k[d>>2]|0;if(!c){a=0;c=5;break}}if((c|0)==5)return a|0;return 0}function wD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=6e3;d=a+88|0;b=k[d>>2]|0;if(b|0){e=a+92|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;A9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}e=a+76|0;b=k[e>>2]|0;if(!b)return;d=a+80|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[d>>2]=f;A9(f);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}cra(b);return}function xD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j;do if((a|0)==(b|0)){k[c>>2]=4;d=0;a=0}else{if((i[a>>0]|0)==45){k[c>>2]=4;d=0;a=0;break}g=W8()|0;h=k[g>>2]|0;k[g>>2]=0;a=wca(a,f,d,LN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;if((k[f>>2]|0)==(b|0)){if((e|0)==34){k[c>>2]=4;a=-1;d=-1}}else{k[c>>2]=4;a=0;d=0}}while(0);N=d;r=j;return a|0}function yD(a,b){a=a|0;b=b|0;if(!(a>>>0<1114112&(a&-2048|0)!=55296)){b=gb(8)|0;k[b>>2]=16680;k[b+4>>2]=a;Wb(b|0,2224,220)}if(a>>>0<128){i[b>>0]=a;b=b+1|0;return b|0}if(a>>>0<2048){i[b>>0]=a>>>6|192;i[b+1>>0]=a&63|128;b=b+2|0;return b|0}if(a>>>0<65536){i[b>>0]=a>>>12|224;i[b+1>>0]=a>>>6&63|128;i[b+2>>0]=a&63|128;b=b+3|0;return b|0}else{i[b>>0]=a>>>18|240;i[b+1>>0]=a>>>12&63|128;i[b+2>>0]=a>>>6&63|128;i[b+3>>0]=a&63|128;b=b+4|0;return b|0}return 0}function zD(a,b,c){a=+a;b=+b;c=+c;var d=0;if(!(a==255.0|(a==238.0|(a==221.0|(a==204.0|(a==187.0|(a==170.0|(a==153.0|(a==136.0|(a==119.0|(a==102.0|(a==85.0|(a==68.0|(a==51.0|(a==34.0|(a==0.0|a==17.0)))))))))))))))){d=0;return d|0}if(!(b==255.0|(b==238.0|(b==221.0|(b==204.0|(b==187.0|(b==170.0|(b==153.0|(b==136.0|(b==119.0|(b==102.0|(b==85.0|(b==68.0|(b==51.0|(b==34.0|(b==0.0|b==17.0)))))))))))))))){d=0;return d|0}d=c==255.0|(c==238.0|(c==221.0|(c==204.0|(c==187.0|(c==170.0|(c==153.0|(c==136.0|(c==119.0|(c==102.0|(c==85.0|(c==68.0|(c==51.0|(c==34.0|(c==0.0|c==17.0))))))))))))));return d|0}function AD(a){a=a|0;do switch(a|0){case 5:{a=42824;break}case 4:{a=42827;break}case 2:{a=42830;break}case 3:{a=42833;break}case 1:{a=42836;break}case 0:{a=42839;break}case 256:{a=42842;break}case 257:{a=42846;break}case 258:{a=42851;break}case 259:{a=42855;break}case 512:{a=42860;break}case 513:{a=42862;break}case 768:{a=42865;break}case 769:{a=42868;break}case 1024:{a=42872;break}case 1025:{a=42876;break}case 1026:{a=42881;break}default:a=87975}while(0);return a|0}function BD(a){a=a|0;var b=0,c=0,d=0;c=i[35542]|0;a:do if(!(c<<24>>24))b=0;else{b=i[a>>0]|0;d=35542;while(1){if(b<<24>>24==c<<24>>24)break a;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);b=b<<24>>24?a+1|0:a;if(!b){a=0;return a|0}a=oV(b)|0;b=a|0?a:b;if(!b){a=0;return a|0}if((i[b>>0]|0)!=110){a=0;return a|0}a=ls(b+1|0)|0;return a|0}function CD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;c=e;d=i[b+60>>0]|0;a=a+4|0;if(!(d<<24>>24)){QG(a,b+64|0,b);r=e;return}Ei(c,b+64|0,d);y=0;Na(147,a|0,c|0,b|0);d=y;y=0;if(d&1){e=pb()|0;A9(c);sb(e|0)}A9(c);r=e;return}function DD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=a+8|0;h=d+3|0;f=i[h>>0]|0;g=f<<24>>24<0;if(g)e=(k[d>>2]&2147483647)+-1|0;else e=1;do if(e>>>0<c>>>0){if(g)d=k[a+4>>2]|0;else d=f&255;Wy(a,e,c-e|0,d,0,d,c,b)}else{if(g)d=k[a>>2]|0;else d=a;paa(d,b,c)|0;k[d+(c<<2)>>2]=0;if((i[h>>0]|0)<0){k[a+4>>2]=c;break}else{i[h>>0]=c;break}}while(0);return a|0}function ED(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;a:do if((a|0)==(k[b+8>>2]|0))UH(0,b,c,d);else{f=k[a+12>>2]|0;e=a+16+(f<<3)|0;yM(a+16|0,b,c,d);if((f|0)>1){f=b+54|0;a=a+24|0;do{yM(a,b,c,d);if(i[f>>0]|0)break a;a=a+8|0}while(a>>>0<e>>>0)}}while(0);return}function FD(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;do if((a|0)==(k[b+8>>2]|0)){if((k[b+4>>2]|0)==(c|0)){a=b+28|0;if((k[a>>2]|0)!=1)k[a>>2]=d}}else if((a|0)==(k[b>>2]|0)){if((k[b+16>>2]|0)!=(c|0)){a=b+20|0;if((k[a>>2]|0)!=(c|0)){k[b+32>>2]=d;k[a>>2]=c;d=b+40|0;k[d>>2]=(k[d>>2]|0)+1;if((k[b+36>>2]|0)==1)if((k[b+24>>2]|0)==2)i[b+54>>0]=1;k[b+44>>2]=4;break}}if((d|0)==1)k[b+32>>2]=1}while(0);return}function GD(a){a=a|0;var b=0,c=0,d=0;b=q1(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24!=13){d=c<<24>>24|0;b=(d|0)!=10?((d|0)==12?b:0):b;if(!b){d=a;a=c;a=a<<24>>24==41;d=d+1|0;d=a?d:0;return d|0}}}while(1){c=q1(b)|0;if(c|0){b=c;continue}c=i[b>>0]|0;a=b+1|0;if((c|4)<<24>>24==13){b=a;continue}d=c<<24>>24|0;a=(d|0)!=10?((d|0)==12?a:0):a;if(!a)break;else b=a}a=c<<24>>24==41;d=b+1|0;d=a?d:0;return d|0}function HD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;d=e;c=b+4|0;b=k[c>>2]|0;if(!b)b=0;else b=(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==32572?b:0;LT(d,b);k[d>>2]=11948;b=k[d+4>>2]|0;if(b|0){a=(k[b+76>>2]|0)!=(k[a+76>>2]|0);DO(d);d=a;r=e;return d|0}DO(d);b=k[c>>2]|0;if(!b){d=0;r=e;return d|0}d=(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==32599;r=e;return d|0}function ID(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+68|0;b=k[e>>2]|0;if(b|0){e=b;return e|0}k[e>>2]=-1640531520;d=a+88|0;b=k[d>>2]|0;if(!b){c=k[a+76>>2]|0;a=k[a+80>>2]|0;if((c|0)==(a|0)){b=0;c=-1640531520}else{do{f=k[c+4>>2]|0;f=(oc[k[(k[f>>2]|0)+8>>2]&511](f)|0)+-1640531527|0;b=k[d>>2]|0;b=f+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+8|0}while((c|0)!=(a|0));c=k[e>>2]|0}}else c=-1640531520;f=b+-1640531527+(c<<6)+(c>>>2)^c;k[e>>2]=f;return f|0}function JD(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0;if((-17-b|0)>>>0<c>>>0)mN(a);if((i[a+11>>0]|0)<0)l=k[a>>2]|0;else l=a;if(b>>>0<2147483623){h=c+b|0;j=b<<1;h=h>>>0<j>>>0?j:h;h=h>>>0<11?11:h+16&-16}else h=-17;j=IM(h)|0;if(e|0)wH(j|0,l|0,e|0)|0;c=d-f-e|0;if(c|0)wH(j+e+g|0,l+e+f|0,c|0)|0;if((b|0)!=10)cra(l);k[a>>2]=j;k[a+8>>2]=h|-2147483648;return}function KD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=0;j=r;r=r+16|0;c=j+8|0;d=j;e=a+36|0;f=a+40|0;g=c+8|0;h=c;b=a+32|0;a:while(1){a=k[e>>2]|0;a=qc[k[(k[a>>2]|0)+20>>2]&63](a,k[f>>2]|0,c,g,d)|0;l=(k[d>>2]|0)-h|0;if((SN(c,1,l,k[b>>2]|0)|0)!=(l|0)){a=-1;break}switch(a|0){case 1:break;case 2:{a=-1;break a}default:{i=4;break a}}}if((i|0)==4)a=((pF(k[b>>2]|0)|0)!=0)<<31>>31;r=j;return a|0}function LD(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=0;j=r;r=r+16|0;c=j+8|0;d=j;e=a+36|0;f=a+40|0;g=c+8|0;h=c;b=a+32|0;a:while(1){a=k[e>>2]|0;a=qc[k[(k[a>>2]|0)+20>>2]&63](a,k[f>>2]|0,c,g,d)|0;l=(k[d>>2]|0)-h|0;if((SN(c,1,l,k[b>>2]|0)|0)!=(l|0)){a=-1;break}switch(a|0){case 1:break;case 2:{a=-1;break a}default:{i=4;break a}}}if((i|0)==4)a=((pF(k[b>>2]|0)|0)!=0)<<31>>31;r=j;return a|0}function MD(a){a=a|0;var b=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(!b)b=0;else{b=gx(b)|0;if(!b)b=0;else b=(i[b>>0]|0)==124?b+1|0:0}b=b|0?b:a;if(!b){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(!b){a=0;return a|0}a=gx(b)|0;return a|0}function ND(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+64|0;f=g;if((a|0)==(b|0))b=1;else if(!b)b=0;else{b=nx(b,5720,5704,0)|0;if(!b)b=0;else{d=f+4|0;e=d+52|0;do{k[d>>2]=0;d=d+4|0}while((d|0)<(e|0));k[f>>2]=b;k[f+8>>2]=a;k[f+12>>2]=-1;k[f+48>>2]=1;Pc[k[(k[b>>2]|0)+28>>2]&63](b,f,k[c>>2]|0,1);if((k[f+24>>2]|0)==1){k[c>>2]=k[f+16>>2];b=1}else b=0}}r=g;return b|0}function OD(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;f=i;if((a|0)==(b|0)){k[c>>2]=4;d=0;a=0}else{g=W8()|0;h=k[g>>2]|0;k[g>>2]=0;a=Vca(a,f,d,LN()|0)|0;d=N;e=k[g>>2]|0;if(!e)k[g>>2]=h;if((k[f>>2]|0)==(b|0)){if((e|0)==34){k[c>>2]=4;d=(d|0)>0|(d|0)==0&a>>>0>0;a=d?-1:0;d=d?2147483647:-2147483648}}else{k[c>>2]=4;a=0;d=0}}N=d;r=i;return a|0}function PD(a){a=a|0;var b=0,c=0,d=0,e=0;c=r;r=r+16|0;e=c+8|0;b=c;a=a+108|0;LT(e,k[a>>2]|0);k[e>>2]=6756;d=(k[e+4>>2]|0)==0;DO(e);if(d){e=0;r=c;return e|0}LT(b,k[a>>2]|0);k[b>>2]=6756;a=k[b+4>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+128>>2]|0,a|0)|0;e=y;y=0;if(e&1){e=pb()|0;DO(b);sb(e|0)}DO(b);e=a;r=c;return e|0}function QD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;c=e;d=a+4|0;mc[k[(k[b>>2]|0)+140>>2]&1023](c,b);y=0;Na(147,d|0,c|0,b|0);a=y;y=0;if(a&1){e=pb()|0;A9(c);sb(e|0)}A9(c);a=b+61|0;if(!(i[a>>0]|0)){r=e;return}IO(d);if(!(i[a>>0]|0)){r=e;return}Rx(d);r=e;return}function RD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;c=e;d=a+4|0;mc[k[(k[b>>2]|0)+140>>2]&1023](c,b);y=0;Na(147,d|0,c|0,b|0);a=y;y=0;if(a&1){e=pb()|0;A9(c);sb(e|0)}A9(c);a=b+61|0;if(!(i[a>>0]|0)){r=e;return}IO(d);if(!(i[a>>0]|0)){r=e;return}Rx(d);r=e;return}function SD(a){a=a|0;var b=0,c=0,d=0,e=0;c=r;r=r+16|0;e=c+8|0;b=c;a=a+108|0;LT(e,k[a>>2]|0);k[e>>2]=6756;d=(k[e+4>>2]|0)==0;DO(e);if(d){e=0;r=c;return e|0}LT(b,k[a>>2]|0);k[b>>2]=6756;a=k[b+4>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+124>>2]|0,a|0)|0;e=y;y=0;if(e&1){e=pb()|0;DO(b);sb(e|0)}DO(b);e=a;r=c;return e|0}function TD(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;d=k[a>>2]|0;g=a+4|0;f=b+4|0;e=(k[g>>2]|0)-d|0;c=(k[f>>2]|0)+(0-(e>>2)<<2)|0;k[f>>2]=c;if((e|0)>0){wH(c|0,d|0,e|0)|0;d=f;c=k[f>>2]|0}else d=f;f=k[a>>2]|0;k[a>>2]=c;k[d>>2]=f;f=b+8|0;e=k[g>>2]|0;k[g>>2]=k[f>>2];k[f>>2]=e;f=a+8|0;g=b+12|0;a=k[f>>2]|0;k[f>>2]=k[g>>2];k[g>>2]=a;k[b>>2]=k[d>>2];return}function UD(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;k[c>>2]=0;switch(Fo(a,b,c)|0){case 5:{d=gb(8)|0;c=k[c>>2]|0;k[d>>2]=16680;k[d+4>>2]=c;Wb(d|0,2224,220)}case 1:{d=gb(4)|0;k[d>>2]=16700;Wb(d|0,2240,220)}case 4:case 3:case 2:{d=gb(8)|0;c=i[k[a>>2]>>0]|0;k[d>>2]=16720;i[d+4>>0]=c;Wb(d|0,2256,220)}default:{r=d;return k[c>>2]|0}}return 0}function VD(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+16|0;c=e;d=a+72|0;b=k[d>>2]|0;if(b|0){d=b;r=e;return d|0}k[d>>2]=k[a+60>>2];LT(c,k[a+68>>2]|0);k[c>>2]=7284;a=k[c+4>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+8>>2]|0,a|0)|0;b=y;y=0;if(b&1){e=pb()|0;DO(c);sb(e|0)}b=k[d>>2]|0;k[d>>2]=a+-1640531527+(b<<6)+(b>>>2)^b;DO(c);d=k[d>>2]|0;r=e;return d|0}function WD(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+4096|0;b=bK(d,4096)|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,b,IJ(b)|0);b=i[a+11>>0]|0;if(b<<24>>24<0){b=k[a+4>>2]|0;c=k[a>>2]|0}else{b=b&255;c=a}if((i[c+(b+-1)>>0]|0)==47){r=d;return}y=0;oa(458,a|0,47);c=y;y=0;if(c&1){d=pb()|0;A9(a);sb(d|0)}else{r=d;return}}function XD(a,b,c){a=a|0;b=b|0;c=c|0;do if(!a)a=1;else{if(b>>>0<128){i[a>>0]=b;a=1;break}if(b>>>0<2048){i[a>>0]=b>>>6|192;i[a+1>>0]=b&63|128;a=2;break}if(b>>>0<55296|(b&-8192|0)==57344){i[a>>0]=b>>>12|224;i[a+1>>0]=b>>>6&63|128;i[a+2>>0]=b&63|128;a=3;break}if((b+-65536|0)>>>0<1048576){i[a>>0]=b>>>18|240;i[a+1>>0]=b>>>12&63|128;i[a+2>>0]=b>>>6&63|128;i[a+3>>0]=b&63|128;a=4;break}else{a=W8()|0;k[a>>2]=84;a=-1;break}}while(0);return a|0}function YD(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;if(b|0){g=a+11|0;d=i[g>>0]|0;if(d<<24>>24<0){e=(k[a+8>>2]&2147483647)+-1|0;f=k[a+4>>2]|0}else{e=10;f=d&255}if((e-f|0)>>>0<b>>>0){JD(a,e,b-e+f|0,f,f,0,0);d=i[g>>0]|0}if(d<<24>>24<0)e=k[a>>2]|0;else e=a;kK(e+f|0,c|0,b|0)|0;d=f+b|0;if((i[g>>0]|0)<0)k[a+4>>2]=d;else i[g>>0]=d;i[e+d>>0]=0}return a|0}function ZD(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+4>>2]=6352;A9(a+56|0);b=k[a+32>>2]|0;c=b;if(b|0){d=a+36|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);cra(b)}b=k[a+20>>2]|0;if(!b){e=a+8|0;A9(e);cra(a);return}c=a+24|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);cra(b);e=a+8|0;A9(e);cra(a);return}function _D(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=IJ(b)|0;h=a+4|0;d=k[h>>2]|0;c=k[a>>2]|0;if((d-c|0)>=(g|0)){i=c;wH(i|0,b|0,g|0)|0;i=k[a>>2]|0;i=i+g|0;k[a>>2]=i;return}i=a+8|0;e=k[i>>2]|0;f=c-e|0;c=f+g|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=tH(e,d|1)|0;k[i>>2]=c;if(!c){SN(49612,15,1,k[5390]|0)|0;Zb(1)}i=c+f|0;k[a>>2]=i;k[h>>2]=c+d;wH(i|0,b|0,g|0)|0;i=k[a>>2]|0;i=i+g|0;k[a>>2]=i;return}function $D(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=0;if((k[b+76>>2]|0)<0)e=3;else if(!(kra(b)|0))e=3;else{if((i[b+75>>0]|0)==(a|0))e=10;else{c=b+20|0;d=k[c>>2]|0;if(d>>>0<(k[b+16>>2]|0)>>>0){k[c>>2]=d+1;i[d>>0]=a;c=a&255}else e=10}if((e|0)==10)c=ZE(b,a)|0;jra(b)}do if((e|0)==3){if((i[b+75>>0]|0)!=(a|0)){c=b+20|0;d=k[c>>2]|0;if(d>>>0<(k[b+16>>2]|0)>>>0){k[c>>2]=d+1;i[d>>0]=a;c=a&255;break}}c=ZE(b,a)|0}while(0);return c|0}function aE(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;c=d;b=k[a+76>>2]|0;if((k[a+80>>2]|0)==(b|0)){c=0;r=d;return c|0}LT(c,k[b+4>>2]|0);k[c>>2]=13284;a=k[c+4>>2]|0;if(a|0){y=0;a=qa(k[(k[a>>2]|0)+144>>2]|0,a|0)|0;b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}if(a){DO(c);c=1;r=d;return c|0}}DO(c);c=0;r=d;return c|0}function bE(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=6352;A9(a+52|0);b=k[a+28>>2]|0;c=b;if(b|0){d=a+32|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);cra(b)}b=k[a+16>>2]|0;if(!b){e=a+4|0;A9(e);cra(a);return}c=a+20|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);cra(b);e=a+4|0;A9(e);cra(a);return}function cE(a){a=a|0;var b=0,c=0,d=0,e=0;e=a+-4|0;k[e+4>>2]=6352;A9(e+56|0);a=k[e+32>>2]|0;b=a;if(a|0){c=e+36|0;d=k[c>>2]|0;if((d|0)!=(a|0))k[c>>2]=d+(~(((d+-24-b|0)>>>0)/24|0)*24|0);cra(a)}a=k[e+20>>2]|0;if(!a){e=e+8|0;A9(e);return}b=e+24|0;c=k[b>>2]|0;if((c|0)!=(a|0))k[b>>2]=c+(~((c+-4-a|0)>>>2)<<2);cra(a);e=e+8|0;A9(e);return}function dE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=9560;DO(a+40|0);d=a+24|0;b=k[d>>2]|0;if(b|0){e=a+28|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}b=k[a+12>>2]|0;if(b|0)do{f=b;b=k[b>>2]|0;DO(f+16|0);DO(f+8|0);cra(f)}while((b|0)!=0);f=a+4|0;b=k[f>>2]|0;k[f>>2]=0;if(!b)return;cra(b);return}function eE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;e=i[b+11>>0]|0;f=e<<24>>24<0;c=f?k[b>>2]|0:b;e=f?k[b+4>>2]|0:e&255;f=c+e|0;a:do if((e|0)>0){e=0;b=0;d=0;while(1){switch(i[c>>0]|0){case 0:{c=e;break a}case 10:{d=d+1|0;e=d;b=0;break}default:b=b+1|0}c=c+1|0;if(c>>>0>=f>>>0){c=e;break a}}}else{c=0;b=0}while(0);k[a>>2]=c;k[a+4>>2]=b;return}function fE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;d=a+8|0;g=d+3|0;c=i[g>>0]|0;e=c<<24>>24<0;if(e){f=k[a+4>>2]|0;c=(k[d>>2]&2147483647)+-1|0}else{f=c&255;c=1}if((f|0)==(c|0)){fB(a,c,1,c,c,0,0);if((i[g>>0]|0)>-1)c=7;else c=8}else if(e)c=8;else c=7;if((c|0)==7)i[g>>0]=f+1;else if((c|0)==8){g=k[a>>2]|0;k[a+4>>2]=f+1;a=g}g=a+(f<<2)|0;k[g>>2]=b;k[g+4>>2]=0;return}function gE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=r;r=r+16|0;f=d+8|0;c=d;b=b+68|0;LT(f,k[b>>2]|0);k[f>>2]=6868;e=(k[f+4>>2]|0)==0;DO(f);if(e){r=d;return}LT(c,k[b>>2]|0);k[c>>2]=6868;f=k[c+4>>2]|0;y=0;oa(k[(k[f>>2]|0)+44>>2]|0,f|0,a|0);f=y;y=0;if(f&1){f=pb()|0;DO(c);sb(f|0)}DO(c);r=d;return}function hE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=a+11|0;d=i[g>>0]|0;e=d<<24>>24<0;if(e)f=(k[a+8>>2]&2147483647)+-1|0;else f=10;do if(f>>>0<c>>>0){if(e)d=k[a+4>>2]|0;else d=d&255;KB(a,f,c-f|0,d,0,d,c,b)}else{if(e)d=k[a>>2]|0;else d=a;if(c|0)fO(d|0,b|0,c|0)|0;i[d+c>>0]=0;if((i[g>>0]|0)<0){k[a+4>>2]=c;break}else{i[g>>0]=c;break}}while(0);return a|0}function iE(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0;d=k[b>>2]|0;g=k[a>>2]|0;e=k[c>>2]|0;f=e>>>0<d>>>0;do if(d>>>0<g>>>0){if(f){k[a>>2]=e;k[c>>2]=g;d=1;break}k[a>>2]=d;k[b>>2]=g;d=k[c>>2]|0;if(d>>>0<g>>>0){k[b>>2]=d;k[c>>2]=g;d=2}else d=1}else if(f){k[b>>2]=e;k[c>>2]=d;e=k[b>>2]|0;d=k[a>>2]|0;if(e>>>0<d>>>0){k[a>>2]=e;k[b>>2]=d;d=2}else d=1}else d=0;while(0);return d|0}function jE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=a+44|0;c=k[d>>2]|0;e=k[a+24>>2]|0;if(c>>>0<e>>>0){k[d>>2]=e;c=e}f=a+12|0;d=k[f>>2]|0;if((k[a+8>>2]|0)>>>0>=d>>>0){b=-1;return b|0}if((b|0)==-1){k[f>>2]=d+-1;k[a+16>>2]=c;b=0;return b|0}if(!(k[a+48>>2]&16)){e=b&255;d=d+-1|0;if(e<<24>>24!=(i[d>>0]|0)){b=-1;return b|0}}else{e=b&255;d=d+-1|0}k[f>>2]=d;k[a+16>>2]=c;i[d>>0]=e;return b|0}function kE(a,b){a=a|0;b=b|0;var c=0,d=0;k[a>>2]=6352;c=a+4|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,87975,0);y=0;na(463,a+16|0);d=y;y=0;if(d&1){d=pb()|0;A9(c);sb(d|0)}else{k[a+68>>2]=b;c=a+72|0;d=a+88|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;i[c+12>>0]=0;k[d>>2]=0;k[d+4>>2]=0;j[d+8>>1]=0;return}}function lE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=0;e=b;d=c-e|0;if(d>>>0>4294967279){mN(a);f=5}else if(d>>>0<11){i[a+11>>0]=d;g=a}else f=5;if((f|0)==5){f=d+16&-16;g=IM(f)|0;k[a>>2]=g;k[a+8>>2]=f|-2147483648;k[a+4>>2]=d}d=c-e|0;a=g;while(1){if((b|0)==(c|0))break;i[a>>0]=i[b>>0]|0;b=b+1|0;a=a+1|0}i[g+d>>0]=0;return}function mE(a){a=a|0;var b=0,c=0,d=0;b=jea(a)|0;if(b|0){a=b;return a|0}b=Ija(a)|0;if(b|0){a=b;return a|0}c=a+1|0;do if((i[a>>0]|0)==92){if(!(o4(c)|0)){b=Bka(c)|0;if(!b)break}else{b=a+2|0;if(o4(b)|0){b=a+3|0;d=(o4(b)|0)==0;b=d?b:a+4|0}}b=(i[b>>0]|0)==32?b+1|0:b;if(b|0){d=b;return d|0}}while(0);d=(i[a>>0]|0)==95?c:0;return d|0}function nE(a){a=a|0;var b=0,c=0,d=0;b=p4(a)|0;if(b|0){a=b;return a|0}b=Ija(a)|0;if(b|0){a=b;return a|0}c=a+1|0;do if((i[a>>0]|0)==92){if(!(o4(c)|0)){b=Bka(c)|0;if(!b)break}else{b=a+2|0;if(o4(b)|0){b=a+3|0;d=(o4(b)|0)==0;b=d?b:a+4|0}}b=(i[b>>0]|0)==32?b+1|0:b;if(b|0){d=b;return d|0}}while(0);d=(i[a>>0]|0)==95?c:0;return d|0}function oE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=r;r=r+16|0;f=d+8|0;c=d;b=b+68|0;LT(f,k[b>>2]|0);k[f>>2]=6868;e=(k[f+4>>2]|0)==0;DO(f);if(e){r=d;return}LT(c,k[b>>2]|0);k[c>>2]=6868;f=k[c+4>>2]|0;y=0;oa(k[(k[f>>2]|0)+44>>2]|0,f|0,a|0);f=y;y=0;if(f&1){f=pb()|0;DO(c);sb(f|0)}DO(c);r=d;return}function pE(a,b){a=a|0;b=b|0;var c=0,d=0;c=k[a+12>>2]|0;if(c)while(1){d=k[c+12>>2]|0;if(!d)break;else{a=c;c=d}}while(1){if((tv(a,b)|0)!=(a+4|0)){a=1;c=5;break}a=k[a+12>>2]|0;if(!a){a=0;c=5;break}}if((c|0)==5)return a|0;return 0}function qE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=a+11|0;d=i[g>>0]|0;f=d<<24>>24<0;if(f){e=(k[a+8>>2]&2147483647)+-1|0;d=k[a+4>>2]|0}else{e=10;d=d&255}if((e-d|0)>>>0<c>>>0)KB(a,e,c-e+d|0,d,d,0,c,b);else if(c|0){if(f)e=k[a>>2]|0;else e=a;wH(e+d|0,b|0,c|0)|0;d=d+c|0;if((i[g>>0]|0)<0)k[a+4>>2]=d;else i[g>>0]=d;i[e+d>>0]=0}return a|0}function rE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+16|0;f=e+4|0;d=e;nP(a);k[a>>2]=26084;k[a+32>>2]=b;k[a+40>>2]=c;k[a+48>>2]=-1;i[a+52>>0]=0;W7(f,a+4|0);k[d>>2]=k[f>>2];y=0;oa(415,a|0,d|0);c=y;y=0;if(c&1){f=pb()|0;Hea(d);Waa(a);sb(f|0)}else{Hea(d);r=e;return}}function sE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+16|0;f=e+4|0;d=e;oP(a);k[a>>2]=26148;k[a+32>>2]=b;k[a+40>>2]=c;k[a+48>>2]=-1;i[a+52>>0]=0;W7(f,a+4|0);k[d>>2]=k[f>>2];y=0;oa(416,a|0,d|0);c=y;y=0;if(c&1){f=pb()|0;Hea(d);Xaa(a);sb(f|0)}else{Hea(d);r=e;return}}function tE(a){a=a|0;var b=0,c=0,d=0;k[a>>2]=18760;b=k[a+40>>2]|0;if(b|0)do{c=b;b=k[b>>2]|0;d=k[c+40>>2]|0;if(d|0)DY(d);DO(c+28|0);DO(c+8|0);cra(c)}while((b|0)!=0);d=a+32|0;b=k[d>>2]|0;k[d>>2]=0;if(b|0)cra(b);b=k[a+20>>2]|0;if(b|0)do{d=b;b=k[b>>2]|0;DO(d+16|0);DO(d+8|0);cra(d)}while((b|0)!=0);a=a+12|0;b=k[a>>2]|0;k[a>>2]=0;if(!b)return;cra(b);return}function uE(a){a=a|0;var b=0,c=0;b=IM(112)|0;y=0;oa(497,b|0,a|0);c=y;y=0;if(c&1){c=pb()|0;cra(b);sb(c|0)}k[b>>2]=14692;c=b+104|0;y=0;oa(460,c|0,k[a+108>>2]|0);a=y;y=0;if(!(a&1)){k[c>>2]=6756;k[b+96>>2]=3;return b|0}c=pb()|0;k[b>>2]=13112;A9(b+84|0);A9(b+72|0);cra(b);sb(c|0);return 0}function vE(a,b){a=a|0;b=b|0;if(!b)return;else{vE(a,k[b>>2]|0);vE(a,k[b+4>>2]|0);A9(b+16|0);cra(b);return}}function wE(a){a=a|0;var b=0,c=0;b=IM(112)|0;y=0;oa(497,b|0,a|0);c=y;y=0;if(c&1){c=pb()|0;cra(b);sb(c|0)}k[b>>2]=14508;c=b+104|0;y=0;oa(460,c|0,k[a+108>>2]|0);a=y;y=0;if(!(a&1)){k[c>>2]=7492;k[b+96>>2]=2;return b|0}c=pb()|0;k[b>>2]=13112;A9(b+84|0);A9(b+72|0);cra(b);sb(c|0);return 0}function xE(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+4>>2]=6352;A9(a+56|0);b=k[a+32>>2]|0;c=b;if(b|0){d=a+36|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);cra(b)}b=k[a+20>>2]|0;if(!b){a=a+8|0;A9(a);return}c=a+24|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);cra(b);a=a+8|0;A9(a);return}function yE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,87975,0);if((c|0)<0)b=0-c<<1|1;else b=c<<1;while(1){d=b&31;b=b>>5;c=(b|0)>0;y=0;oa(458,a|0,i[(k[5338]|0)+(c?d|32:d)>>0]|0);d=y;y=0;if(d&1){b=6;break}if(!c){b=7;break}}if((b|0)==6){d=pb()|0;A9(a);sb(d|0)}else if((b|0)==7)return}function zE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=15692;e=a+12|0;wy(e);c=a+16|0;b=k[c>>2]|0;f=a+20|0;d=k[f>>2]|0;if((b|0)!=(d|0)){do{cra(k[b>>2]|0);b=b+4|0}while((b|0)!=(d|0));b=k[c>>2]|0;c=k[f>>2]|0;if((c|0)!=(b|0))k[f>>2]=c+(~((c+-4-b|0)>>>2)<<2)}b=k[e>>2]|0;if(!b){tqa(a);cra(a);return}cra(b);tqa(a);cra(a);return}function AE(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=6352;A9(a+52|0);b=k[a+28>>2]|0;c=b;if(b|0){d=a+32|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);cra(b)}b=k[a+16>>2]|0;if(!b){a=a+4|0;A9(a);return}c=a+20|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);cra(b);a=a+4|0;A9(a);return}function BE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=r;r=r+16|0;h=g+4|0;i=g;a=a+8|0;a=oc[k[(k[a>>2]|0)+4>>2]&511](a)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];a=(wh(c,h,a,a+288|0,f,e,0)|0)-a|0;if((a|0)<288)k[b>>2]=((a|0)/12|0|0)%12|0;r=g;return}function CE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=r;r=r+16|0;h=g+4|0;i=g;a=a+8|0;a=oc[k[(k[a>>2]|0)+4>>2]&511](a)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];a=(Jh(c,h,a,a+288|0,f,e,0)|0)-a|0;if((a|0)<288)k[b>>2]=((a|0)/12|0|0)%12|0;r=g;return}function DE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;mca(b);e=a+8|0;d=k[e>>2]|0;do if((k[a+12>>2]|0)-d>>2>>>0>c>>>0)f=e;else{y=0;oa(739,e|0,c+1|0);f=y;y=0;if(!(f&1)){f=e;d=k[e>>2]|0;break}d=pb()|0;if(b|0)RQ(b)|0;sb(d|0)}while(0);a=k[d+(c<<2)>>2]|0;if(a){RQ(a)|0;d=k[f>>2]|0}k[d+(c<<2)>>2]=b;return}function EE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=a+11|0;c=i[f>>0]|0;d=c<<24>>24<0;if(d){e=k[a+4>>2]|0;c=(k[a+8>>2]&2147483647)+-1|0}else{e=c&255;c=10}if((e|0)==(c|0)){JD(a,c,1,c,c,0,0);if((i[f>>0]|0)>-1)c=7;else c=8}else if(d)c=8;else c=7;if((c|0)==7)i[f>>0]=e+1;else if((c|0)==8){f=k[a>>2]|0;k[a+4>>2]=e+1;a=f}f=a+e|0;i[f>>0]=b;i[f+1>>0]=0;return}function FE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=r;r=r+16|0;h=g+4|0;i=g;a=a+8|0;a=oc[k[k[a>>2]>>2]&511](a)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];a=(wh(c,h,a,a+168|0,f,e,0)|0)-a|0;if((a|0)<168)k[b>>2]=((a|0)/12|0|0)%7|0;r=g;return}function GE(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0;g=r;r=r+16|0;h=g+4|0;i=g;a=a+8|0;a=oc[k[k[a>>2]>>2]&511](a)|0;k[i>>2]=k[d>>2];k[h>>2]=k[i>>2];a=(Jh(c,h,a,a+168|0,f,e,0)|0)-a|0;if((a|0)<168)k[b>>2]=((a|0)/12|0|0)%7|0;r=g;return}function HE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-72|0;k[e>>2]=14880;c=e+72|0;k[c>>2]=15056;kH(e+92|0,k[e+96>>2]|0);k[c>>2]=15096;c=e+76|0;a=k[c>>2]|0;if(!a){cra(e);return}d=e+80|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-8|0;k[d>>2]=f;lc[k[k[f>>2]>>2]&511](f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}cra(a);cra(e);return}function IE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+48|0;c=g;f=g+8|0;LT(c,b);k[c>>2]=13284;y=0;oa(118,a+72|0,c|0);e=y;y=0;if(e&1){g=pb()|0;DO(c);sb(g|0)}else{DO(c);d=a+32|0;e=f;a=b+12|0;c=e+40|0;do{k[e>>2]=k[a>>2];e=e+4|0;a=a+4|0}while((e|0)<(c|0));SQ(d,f+20|0);r=g;return}}function JE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;h=a+11|0;e=i[h>>0]|0;d=e<<24>>24<0;if(d)f=k[a+4>>2]|0;else f=e&255;if(f>>>0<b>>>0)lN(a);if(c|0){if(d)g=k[a>>2]|0;else g=a;d=f-b|0;c=d>>>0<c>>>0?d:c;d=d-c|0;if(d){e=g+b|0;fO(e|0,e+c|0,d|0)|0;e=i[h>>0]|0}d=f-c|0;if(e<<24>>24<0)k[a+4>>2]=d;else i[h>>0]=d;i[g+d>>0]=0}return a|0}function KE(a){a=a|0;var b=0,c=0,d=0,e=0;c=r;r=r+16|0;e=c+8|0;b=c;a=a+88|0;LT(e,k[a>>2]|0);k[e>>2]=15136;d=(k[e+4>>2]|0)==0;DO(e);if(d){e=1;r=c;return e|0}LT(b,k[a>>2]|0);k[b>>2]=15136;y=0;a=qa(317,k[b+4>>2]|0)|0;e=y;y=0;if(e&1){e=pb()|0;DO(b);sb(e|0)}DO(b);e=a+1|0;r=c;return e|0}function LE(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;a=a+4|0;Rx(a);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,51064,8);y=0;Na(147,a|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;A9(c);sb(d|0)}else{A9(c);IL(a);r=d;return}}function ME(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=b+64|0;f=b+68|0;e=bP((k[f>>2]|0)-(k[c>>2]|0)>>3,k[b+80>>2]|0)|0;c=k[c>>2]|0;f=(k[f>>2]|0)-c>>3;if(!f)return e|0;d=b+64|0;c=k[c+4>>2]|0;eba(e,0,Fc[k[(k[c>>2]|0)+68>>2]&2047](c,a)|0);if((f|0)==1)return e|0;else b=1;do{c=k[(k[d>>2]|0)+(b<<3)+4>>2]|0;eba(e,b,Fc[k[(k[c>>2]|0)+68>>2]&2047](c,a)|0);b=b+1|0}while((b|0)!=(f|0));return e|0}function NE(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)==45){b=p4(a+1|0)|0;if(!b)b=0;else{while(1){c=p4(b)|0;if(!c)break;else b=c}b=(i[b>>0]|0)==45?b+1|0:0}}else b=0;b=b|0?b:a;if(!b){a=0;return a|0}c=i[48808]|0;a:do if(!(c<<24>>24))c=0;else{a=48808;while(1){if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){c=0;break}}}while(0);a=c<<24>>24==0?b:0;return a|0}function OE(a){a=a|0;var b=0,c=0,d=0,e=0;b=IM(68)|0;y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);sb(e|0)}else{c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b>>2]=10672;i[b+60>>0]=i[a+60>>0]|0;k[b+64>>2]=k[a+64>>2];k[b+56>>2]=1;return b|0}return 0}function PE(a){a=a|0;var b=0,c=0,d=0,e=0;if(!a)return;e=a+76|0;b=k[e>>2]|0;if(b|0)Wf(b);d=a+80|0;b=k[d>>2]|0;if(b|0)Wf(b);b=k[a+96>>2]|0;if(b|0)Wf(b);b=k[a+92>>2]|0;if(b|0)Wf(b);c=a+88|0;b=k[c>>2]|0;if(b|0)Wf(b);b=k[a+100>>2]|0;if(b|0)Wf(b);b=a+116|0;PR(k[b>>2]|0);k[e>>2]=0;k[d>>2]=0;k[b>>2]=0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;Tx(a);return}function QE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;g=a+24|0;h=a+28|0;d=0;while(1){if((d|0)>=(c|0))break;e=k[g>>2]|0;f=k[h>>2]|0;if(e>>>0<f>>>0){f=f-e>>2;i=c-d|0;f=(i|0)<(f|0)?i:f;waa(e,b,f)|0;k[g>>2]=(k[g>>2]|0)+(f<<2);b=b+(f<<2)|0;d=f+d|0;continue}if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,k[b>>2]|0)|0)==-1)break;b=b+4|0;d=d+1|0}return d|0}function RE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c;e=(k[a+24>>2]|0)==0;k[a+16>>2]=e&1|b;if(!((e&1|b)&k[a+20>>2])){r=c;return}a=gb(16)|0;QY()|0;k[d>>2]=1;k[d+4>>2]=82908;y=0;Na(157,a|0,56006,d|0);e=y;y=0;if(e&1){e=pb()|0;fb(a|0);a=e}else{y=0;Na(75,a|0,4376,328);y=0;a=pb()|0}sb(a|0)}function SE(a){a=a|0;var b=0,c=0,d=0;d=a+68|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=(k[a+72>>2]|0)+1403242537^-1640531520;k[d>>2]=c;b=k[a+80>>2]|0;if(b){b=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;c=k[d>>2]|0;c=b+(c<<6)+(c>>>2)^c;k[d>>2]=c}b=k[a+88>>2]|0;if(!b){d=c;return d|0}c=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;a=k[d>>2]|0;a=c+(a<<6)+(a>>>2)^a;k[d>>2]=a;d=a;return d|0}function TE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;d=e;c=i[b+68+11>>0]|0;if(c<<24>>24<0)c=k[b+72>>2]|0;else c=c&255;if(c|0){d=0;r=e;return d|0}LT(d,k[b+64>>2]|0);k[d>>2]=7284;c=k[d+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+72>>2]|0,c|0,a|0)|0;b=y;y=0;if(b&1){e=pb()|0;DO(d);sb(e|0)}DO(d);d=c;r=e;return d|0}function UE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=15692;e=a+12|0;wy(e);c=a+16|0;b=k[c>>2]|0;f=a+20|0;d=k[f>>2]|0;if((b|0)!=(d|0)){do{cra(k[b>>2]|0);b=b+4|0}while((b|0)!=(d|0));b=k[c>>2]|0;c=k[f>>2]|0;if((c|0)!=(b|0))k[f>>2]=c+(~((c+-4-b|0)>>>2)<<2)}b=k[e>>2]|0;if(!b){tqa(a);return}cra(b);tqa(a);return}function VE(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;g=a+24|0;h=a+28|0;f=0;while(1){if((f|0)>=(c|0))break;d=k[g>>2]|0;e=k[h>>2]|0;if(d>>>0>=e>>>0){if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,l[b>>0]|0)|0)==-1)break;b=b+1|0;f=f+1|0;continue}e=e-d|0;i=c-f|0;e=(i|0)<(e|0)?i:e;if(e){wH(d|0,b|0,e|0)|0;d=k[g>>2]|0}k[g>>2]=d+e;b=b+e|0;f=e+f|0}return f|0}function WE(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=14880;d=a+72|0;k[d>>2]=15056;kH(a+92|0,k[a+96>>2]|0);k[d>>2]=15096;d=a+76|0;b=k[d>>2]|0;if(!b){cra(a);return}e=a+80|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);cra(a);return}function XE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=b+64|0;e=b+68|0;f=bP((k[e>>2]|0)-(k[c>>2]|0)>>3,0)|0;c=k[c>>2]|0;e=(k[e>>2]|0)-c>>3;if(!e)return f|0;d=b+64|0;c=k[c+4>>2]|0;eba(f,0,Fc[k[(k[c>>2]|0)+68>>2]&2047](c,a)|0);if((e|0)==1)return f|0;else b=1;do{c=k[(k[d>>2]|0)+(b<<3)+4>>2]|0;eba(f,b,Fc[k[(k[c>>2]|0)+68>>2]&2047](c,a)|0);b=b+1|0}while((b|0)!=(e|0));return f|0}function YE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=k[b+76>>2]|0;e=(k[b+80>>2]|0)-c>>3;if(e|0){d=b+76|0;c=k[c+4>>2]|0;mc[k[(k[c>>2]|0)+44>>2]&1023](c,a);if((e|0)!=1){c=1;do{f=k[(k[d>>2]|0)+(c<<3)+4>>2]|0;mc[k[(k[f>>2]|0)+44>>2]&1023](f,a);c=c+1|0}while((c|0)!=(e|0))}}if(!(i[b+61>>0]|0))return;c=a+4|0;if(($ka(c)|0)==2)return;IO(c);return}function ZE(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;e=0;j=r;r=r+16|0;g=j;h=b&255;i[g>>0]=h;c=a+16|0;d=k[c>>2]|0;if(!d)if(!(tM(a)|0)){d=k[c>>2]|0;e=4}else c=-1;else e=4;do if((e|0)==4){f=a+20|0;e=k[f>>2]|0;if(e>>>0<d>>>0){c=b&255;if((c|0)!=(i[a+75>>0]|0)){k[f>>2]=e+1;i[e>>0]=h;break}}if((rc[k[a+36>>2]&255](a,g,1)|0)==1)c=l[g>>0]|0;else c=-1}while(0);r=j;return c|0}function _E(a){a=a|0;var b=0,c=0;if(!(xja(i[a>>0]|0)|0)){a=0;return a|0}b=a+1|0;if(!(xja(i[b>>0]|0)|0)){a=b;return a|0}b=a+2|0;if(!(xja(i[b>>0]|0)|0)){a=b;return a|0}b=a+3|0;if(!(xja(i[b>>0]|0)|0)){a=b;return a|0}b=a+4|0;if(!(xja(i[b>>0]|0)|0)){a=b;return a|0}b=a+5|0;if(!(xja(i[b>>0]|0)|0)){a=b;return a|0}else{b=a+6|0;c=(xja(i[b>>0]|0)|0)==0;return (c?b:a+7|0)|0}return 0}function $E(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;f=0;if((c|0)==1)b=b-(k[a+8>>2]|0)+(k[a+4>>2]|0)|0;d=a+20|0;e=a+28|0;if((k[d>>2]|0)>>>0>(k[e>>2]|0)>>>0){rc[k[a+36>>2]&255](a,0,0)|0;if(!(k[d>>2]|0))b=-1;else f=5}else f=5;if((f|0)==5){k[a+16>>2]=0;k[e>>2]=0;k[d>>2]=0;if((rc[k[a+40>>2]&255](a,b,c)|0)<0)b=-1;else{k[a+8>>2]=0;k[a+4>>2]=0;k[a>>2]=k[a>>2]&-17;b=0}}return b|0}function aF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;g=a+8|0;iE(a,a+4|0,g,c)|0;f=a+12|0;c=g;while(1){if((f|0)==(b|0))break;g=k[f>>2]|0;e=k[c>>2]|0;if(g>>>0<e>>>0){d=f;while(1){k[d>>2]=e;if((c|0)==(a|0)){c=a;break}d=c+-4|0;e=k[d>>2]|0;if(g>>>0>=e>>>0)break;else{h=c;c=d;d=h}}k[c>>2]=g}c=f;f=f+4|0}return}function bF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d;e=(i[b+60>>0]|0)!=0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,e?58354:58348,e?4:5);y=0;Na(147,a+4|0,c|0,b|0);b=y;y=0;if(b&1){e=pb()|0;A9(c);sb(e|0)}else{A9(c);r=d;return}}function cF(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-72|0;k[b>>2]=14880;d=b+72|0;k[d>>2]=15056;kH(b+92|0,k[b+96>>2]|0);k[d>>2]=15096;d=b+76|0;a=k[d>>2]|0;if(!a)return;c=b+80|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}cra(a);return}function dF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;e=iE(a,b,c,e)|0;f=k[d>>2]|0;g=k[c>>2]|0;if(f>>>0<g>>>0){k[c>>2]=f;k[d>>2]=g;d=e+1|0;f=k[c>>2]|0;g=k[b>>2]|0;if(f>>>0<g>>>0){k[b>>2]=f;k[c>>2]=g;f=k[b>>2]|0;g=k[a>>2]|0;if(f>>>0<g>>>0){k[a>>2]=f;k[b>>2]=g;e=e+3|0}else e=e+2|0}else e=d}return e|0}function eF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=0;g=r;r=r+16|0;e=g;c=4;d=e;while(1){if(!c)break;a:while(1){b=lQ(k[a>>2]|0,d,c)|0;switch(b|0){case 0:{f=4;break a}case -1:break;default:break a}b=W8()|0;b=k[b>>2]|0;if((b|0)==4)continue;hH(b,58515)}if((f|0)==4){f=0;hH(61,58493);b=0}c=c-b|0;d=d+b|0}r=g;return k[e>>2]|0}function fF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;e=d+8|0;c=d;k[e>>2]=b;Br(c,a,b,85897,e,d+12|0);r=d;return (k[c>>2]|0)+28|0}function gF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;d=a+4|0;while(1){f=Mv(b,c)|0;e=(f|0)!=(b+4|0);k[a>>2]=f;i[d>>0]=e&1;if(e){b=4;break}b=k[b+12>>2]|0;if(!b){b=4;break}}if((b|0)==4)return}function hF(a,b){a=a|0;b=b|0;if(!b)return;else{hF(a,k[b>>2]|0);hF(a,k[b+4>>2]|0);DO(b+20|0);cra(b);return}}function iF(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;if(!(i[b+101>>0]|0)){r=d;return}k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48604,1);y=0;oa(679,a+4|0,c|0);b=y;y=0;if(b&1){d=pb()|0;A9(c);sb(d|0)}A9(c);r=d;return}function jF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;f=j+8|0;g=j+4|0;h=j;e=(i[a+11>>0]|0)<0?k[a>>2]|0:a;d=e+c|0;k[h>>2]=e+b;e=d;if((b|0)>=(c|0)){h=0;r=j;return h|0}a=0;do{k[g>>2]=e;k[f>>2]=k[g>>2];XB(h,f)|0;a=a+1|0}while((k[h>>2]|0)>>>0<d>>>0);r=j;return a|0}function kF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if(c>>>0>1073741807)mN(a);do if(c>>>0<2)i[a+8+3>>0]=c;else{d=c+4&-4;if(d>>>0>1073741823){c=gb(4)|0;Qoa(c);Wb(c|0,5760,404)}else{e=IM(d<<2)|0;k[a>>2]=e;k[a+8>>2]=d|-2147483648;k[a+4>>2]=c;a=e;break}}while(0);waa(a,b,c)|0;k[a+(c<<2)>>2]=0;return}function lF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if(b>>>0>1073741807)mN(a);do if(b>>>0<2)i[a+8+3>>0]=b;else{d=b+4&-4;if(d>>>0>1073741823){c=gb(4)|0;Qoa(c);Wb(c|0,5760,404)}else{e=IM(d<<2)|0;k[a>>2]=e;k[a+8>>2]=d|-2147483648;k[a+4>>2]=b;a=e;break}}while(0);vaa(a,b,c)|0;k[a+(b<<2)>>2]=0;return}function mF(a){a=a|0;var b=0,c=0,d=0,e=0;$y(a+12|0,k[a+16>>2]|0);b=k[a>>2]|0;if(!b)return;d=a+4|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{e=c+-16|0;k[d>>2]=e;DO(c+-8|0);DO(e);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[a>>2]|0}cra(b);return}function nF(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(d&2048){i[a>>0]=43;a=a+1|0}if(d&512){i[a>>0]=35;a=a+1|0}while(1){e=i[b>>0]|0;if(!(e<<24>>24))break;i[a>>0]=e;b=b+1|0;a=a+1|0}a:do switch(d&74){case 64:{i[a>>0]=111;break}case 8:if(!(d&16384)){i[a>>0]=120;break a}else{i[a>>0]=88;break a}default:if(c){i[a>>0]=100;break a}else{i[a>>0]=117;break a}}while(0);return}function oF(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;QG(a+4|0,b+60|0,b);LT(c,k[b+76>>2]|0);k[c>>2]=8964;b=k[c+4>>2]|0;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{DO(c);r=d;return}}function pF(a){a=a|0;var b=0,c=0;do if(!a){if(!(k[5477]|0))b=0;else b=pF(k[5477]|0)|0;zb(82376);a=k[20593]|0;if(a)do{if((k[a+76>>2]|0)>-1)c=kra(a)|0;else c=0;if((k[a+20>>2]|0)>>>0>(k[a+28>>2]|0)>>>0)b=fG(a)|0|b;if(c|0)jra(a);a=k[a+56>>2]|0}while((a|0)!=0);Gb(82376)}else{if((k[a+76>>2]|0)<=-1){b=fG(a)|0;break}c=(kra(a)|0)==0;b=fG(a)|0;if(!c)jra(a)}while(0);return b|0}function qF(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;c=d;b=k[a+68>>2]|0;if((k[a+64>>2]|0)==(b|0)){r=d;return}LT(c,k[b+-4>>2]|0);k[c>>2]=7284;y=0;a=qa(316,k[c+4>>2]|0)|0;b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}DO(c);if(!a){r=d;return}lc[k[(k[a>>2]|0)+116>>2]&511](a);r=d;return}function rF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;f=h+4|0;c=h;k[c>>2]=b;g=a+360|0;d=a+364|0;e=k[d>>2]|0;if((e|0)==(k[a+368>>2]|0)){oA(g,c);a=k[d>>2]|0}else{k[e>>2]=b;a=(k[d>>2]|0)+4|0;k[d>>2]=a}g=k[g>>2]|0;k[f>>2]=981;Dg(g,a,f);r=h;return}function sF(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=14880;d=a+72|0;k[d>>2]=15056;kH(a+92|0,k[a+96>>2]|0);k[d>>2]=15096;d=a+76|0;b=k[d>>2]|0;if(!b)return;c=a+80|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}cra(b);return}function tF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;f=h+4|0;c=h;k[c>>2]=b;g=a+348|0;d=a+352|0;e=k[d>>2]|0;if((e|0)==(k[a+356>>2]|0)){oA(g,c);a=k[d>>2]|0}else{k[e>>2]=b;a=(k[d>>2]|0)+4|0;k[d>>2]=a}g=k[g>>2]|0;k[f>>2]=981;Dg(g,a,f);r=h;return}function uF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=r;r=r+256|0;g=h;do if((c|0)>(d|0)&(e&73728|0)==0){e=c-d|0;kK(g|0,b|0,(e>>>0>256?256:e)|0)|0;b=k[a>>2]|0;f=(b&32|0)==0;if(e>>>0>255){c=c-d|0;do{if(f){vB(g,256,a)|0;b=k[a>>2]|0}e=e+-256|0;f=(b&32|0)==0}while(e>>>0>255);if(f)e=c&255;else break}else if(!f)break;vB(g,e,a)|0}while(0);r=h;return}function vF(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;c=d;b=k[a+68>>2]|0;if((b|0)==(k[a+64>>2]|0)){c=0;r=d;return c|0}LT(c,k[b+-4>>2]|0);k[c>>2]=7284;a=k[c+4>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+112>>2]|0,a|0)|0;b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}DO(c);c=a;r=d;return c|0}function wF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;d=e;c=k[a+108>>2]|0;if(c|0)if(Fc[k[(k[c>>2]|0)+40>>2]&2047](c,b)|0){d=1;r=e;return d|0}LT(d,a);k[d>>2]=6336;y=0;a=qa(b|0,d|0)|0;c=y;y=0;if(c&1){e=pb()|0;DO(d);sb(e|0)}DO(d);d=a;r=e;return d|0}function xF(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(!((a|0)!=0&(b|0)!=0&(c|0)!=0))return;if((k[a+16>>2]|0)!=5)eb(42756,42493,620,42783);if(k[c>>2]|0)eb(42802,42493,621,42783);d=ud((IJ(b)|0)+1|0)|0;if(!d){SN(49612,15,1,k[5390]|0)|0;Zb(1)}gna(d,b)|0;k[c+12>>2]=d;k[c>>2]=a;a=a+24|0;b=a+4|0;d=k[b>>2]|0;k[c+4>>2]=d;k[c+8>>2]=0;if(!d)k[a>>2]=c;else k[d+8>>2]=c;k[b>>2]=c;return}function yF(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;c=d;b=k[a+64>>2]|0;if((k[a+68>>2]|0)==(b|0)){c=0;r=d;return c|0}LT(c,k[b+4>>2]|0);k[c>>2]=7284;a=k[c+4>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+108>>2]|0,a|0)|0;b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}DO(c);c=a;r=d;return c|0}function zF(a){a=a|0;var b=0,c=0;b=i0(a)|0;if(!b)b=0;else b=Bz(b)|0;b=b|0?b:a;if(!b){c=0;return c|0}a=i[35514]|0;a:do if(a<<24>>24){c=35514;while(1){if((i[b>>0]|0)!=a<<24>>24){b=0;break}b=b+1|0;c=c+1|0;a=i[c>>0]|0;if(!(a<<24>>24))break a}return b|0}while(0);c=DP(b)|0;return c|0}function AF(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=8372;DO(a+84|0);d=a+72|0;b=k[d>>2]|0;if(!b){k[a>>2]=6772;e=a+64|0;DO(e);cra(a);return}e=a+76|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;A9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);k[a>>2]=6772;f=a+64|0;DO(f);cra(a);return}function BF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=sh(a,i,h,d,e,f,27916,27948)|0;r=g;return f|0}function CF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Gh(a,i,h,d,e,f,56999,57007)|0;r=g;return f|0}function DF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;cL(a,b);e=a+11|0;c=i[e>>0]|0;if(c<<24>>24<0)f=k[a+4>>2]|0;else f=c&255;if(!f)return;b=0;while(1){c=c<<24>>24<0;if(c)d=k[a>>2]|0;else d=a;if((i[d+b>>0]|0)==95){if(c)c=k[a>>2]|0;else c=a;i[c+b>>0]=45}b=b+1|0;if((b|0)==(f|0))break;c=i[e>>0]|0}return}function EF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Ch(a,i,h,d,e,f)|0;r=g;return f|0}function FF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Dh(a,i,h,d,e,f)|0;r=g;return f|0}function GF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Eh(a,i,h,d,e,f)|0;r=g;return f|0}function HF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Yh(a,i,h,d,e,f)|0;r=g;return f|0}function IF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Zh(a,i,h,d,e,f)|0;r=g;return f|0}function JF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=_h(a,i,h,d,e,f)|0;r=g;return f|0}function KF(a,b){a=+a;b=b|0;var c=0;if((b|0)>1023){a=a*8988465674311579538646525.0e283;c=b+-1023|0;b=b+-2046|0;if((c|0)>1023){a=a*8988465674311579538646525.0e283;b=(b|0)>1023?1023:b}else b=c}else if((b|0)<-1022){a=a*2.2250738585072014e-308;c=b+1022|0;b=b+2044|0;if((c|0)<-1022){a=a*2.2250738585072014e-308;b=(b|0)<-1022?-1022:b}else b=c}b=_U(b+1023|0,0,52)|0;c=N;k[u>>2]=b;k[u+4>>2]=c;return +(a*+p[u>>3])}function LF(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=i[a+11>>0]|0;g=f<<24>>24<0;if(g)f=k[a+4>>2]|0;else f=f&255;if((e|0)==-1|f>>>0<b>>>0)lN(a);f=f-b|0;c=f>>>0<c>>>0?f:c;if(g)a=k[a>>2]|0;f=c>>>0>e>>>0;a=P8(a+b|0,d,f?e:c)|0;if(!a)return (c>>>0<e>>>0?-1:f&1)|0;else return a|0;return 0}function MF(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;c=e;d=a+72|0;i[(k[d>>2]|0)+8>>0]=1;LT(c,k[b+56>>2]|0);k[c>>2]=7492;b=k[c+4>>2]|0;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);b=y;y=0;if(b&1){e=pb()|0;DO(c);sb(e|0)}else{DO(c);i[(k[d>>2]|0)+8>>0]=0;r=e;return}}function NF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Th(a,i,h,d,e,f)|0;r=g;return f|0}function OF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=hi(a,i,h,d,e,f)|0;r=g;return f|0}function PF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Lh(a,i,h,d,e,f)|0;r=g;return f|0}function QF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Rh(a,i,h,d,e,f)|0;r=g;return f|0}function RF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Sh(a,i,h,d,e,f)|0;r=g;return f|0}function SF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=ai(a,i,h,d,e,f)|0;r=g;return f|0}function TF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=fi(a,i,h,d,e,f)|0;r=g;return f|0}function UF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=gi(a,i,h,d,e,f)|0;r=g;return f|0}function VF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,4)|0;if(!(k[e>>2]&4)){if((a|0)<69)a=a+2e3|0;else a=(a|0)<100?a+1900|0:a;k[b>>2]=a+-1900}r=g;return}function WF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,4)|0;if(!(k[e>>2]&4)){if((a|0)<69)a=a+2e3|0;else a=(a|0)<100?a+1900|0:a;k[b>>2]=a+-1900}r=g;return}function XF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Nh(a,i,h,d,e,f)|0;r=g;return f|0}function YF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=Uh(a,i,h,d,e,f)|0;r=g;return f|0}function ZF(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=bi(a,i,h,d,e,f)|0;r=g;return f|0}function _F(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+16|0;h=g+12|0;i=g+8|0;l=g+4|0;j=g;k[l>>2]=k[b>>2];k[j>>2]=k[c>>2];k[i>>2]=k[l>>2];k[h>>2]=k[j>>2];f=ii(a,i,h,d,e,f)|0;r=g;return f|0}function $F(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=0;a:do switch((k[c+4>>2]&176)<<24>>24){case 16:{c=i[a>>0]|0;switch(c<<24>>24){case 43:case 45:{a=a+1|0;break a}default:{}}if((b-a|0)>1&c<<24>>24==48){switch(i[a+1>>0]|0){case 88:case 120:break;default:{d=7;break a}}a=a+2|0}else d=7;break}case 32:{a=b;break}default:d=7}while(0);return a|0}function aG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=0;do if((a|0)==-1)a=-1;else{if((k[b+76>>2]|0)>-1)e=kra(b)|0;else e=0;if(!(k[b+8>>2]|0)){if(!(LH(b)|0))c=6}else c=6;if((c|0)==6){c=b+4|0;d=k[c>>2]|0;if(d>>>0>((k[b+44>>2]|0)+-8|0)>>>0){d=d+-1|0;k[c>>2]=d;i[d>>0]=a;k[b>>2]=k[b>>2]&-17;if(!e)break;jra(b);break}}if(!e)a=-1;else{jra(b);a=-1}}while(0);return a|0}function bG(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=33){c=0;return c|0}a=ru(a+1|0)|0;if(!a){c=0;return c|0}b=i[35491]|0;a:do if(b<<24>>24){c=35491;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function cG(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=a+12|0;wy(f);d=a+16|0;b=k[d>>2]|0;e=a+20|0;c=k[e>>2]|0;if((b|0)!=(c|0)){a=b;do{cra(k[a>>2]|0);a=a+4|0}while((a|0)!=(c|0));a=k[d>>2]|0;b=k[e>>2]|0;if((b|0)!=(a|0))k[e>>2]=b+(~((b+-4-a|0)>>>2)<<2)}a=k[f>>2]|0;if(!a)return;cra(a);return}function dG(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=33){c=0;return c|0}a=ru(a+1|0)|0;if(!a){c=0;return c|0}b=i[35474]|0;a:do if(b<<24>>24){c=35474;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function eG(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=33){c=0;return c|0}a=ru(a+1|0)|0;if(!a){c=0;return c|0}b=i[35459]|0;a:do if(b<<24>>24){c=35459;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function fG(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;c=0;f=a+20|0;g=a+28|0;if((k[f>>2]|0)>>>0>(k[g>>2]|0)>>>0){rc[k[a+36>>2]&255](a,0,0)|0;if(!(k[f>>2]|0))b=-1;else c=3}else c=3;if((c|0)==3){b=a+4|0;c=k[b>>2]|0;d=a+8|0;e=k[d>>2]|0;if(c>>>0<e>>>0)rc[k[a+40>>2]&255](a,c-e|0,1)|0;k[a+16>>2]=0;k[g>>2]=0;k[f>>2]=0;k[d>>2]=0;k[b>>2]=0;b=0}return b|0}function gG(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)!=33){c=0;return c|0}a=ru(a+1|0)|0;if(!a){c=0;return c|0}b=i[35467]|0;a:do if(b<<24>>24){c=35467;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function hG(a){a=a|0;var b=0,c=0,d=0,e=0;c=a+68|0;b=k[c>>2]|0;d=(k[a+72>>2]|0)-b>>3;a:do if(d|0){b=k[b+4>>2]|0;if(oc[k[(k[b>>2]|0)+84>>2]&511](b)|0){d=1;return d|0}else b=1;while(1){if(b>>>0>=d>>>0)break a;e=k[(k[c>>2]|0)+(b<<3)+4>>2]|0;if(oc[k[(k[e>>2]|0)+84>>2]&511](e)|0){b=1;break}else b=b+1|0}return b|0}while(0);e=(k[a+52>>2]|0)==7;return e|0}function iG(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[50291]|0;a:do if(b<<24>>24){c=50291;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);while(1){if(C9(a)|0){b=7;break}c=a;a=Bka(a)|0;if((a|0)==(c|0)|(a|0)==0){a=0;b=7;break}}if((b|0)==7)return a|0;return 0}function jG(a){a=a|0;var b=0,c=0,d=0,e=0;b=IM(68)|0;y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);sb(e|0)}else{c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[b+56>>2]=k[a+56>>2];i[b+60>>0]=i[a+60>>0]|0;k[b>>2]=8980;k[b+64>>2]=k[a+64>>2];k[b+52>>2]=7;return b|0}return 0}function kG(a,b){a=a|0;b=b|0;if(!a){b=0;return b|0}while(1){if((tv(a,b)|0)!=(a+4|0)){a=1;b=4;break}a=k[a+12>>2]|0;if(!a){a=0;b=4;break}}if((b|0)==4)return a|0;return 0}function lG(a){a=a|0;var b=0,c=0,d=0,e=0;b=IM(60)|0;y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);sb(e|0)}else{c=b+12|0;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=k[a+52>>2]|0;i[b+52>>0]=e;i[b+53>>0]=(e&65535)>>>8;i[b+54>>0]=e>>>16;k[b>>2]=12584;k[b+56>>2]=8;return b|0}return 0}function mG(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=8372;DO(a+84|0);d=a+72|0;b=k[d>>2]|0;if(!b){k[a>>2]=6772;a=a+64|0;DO(a);return}e=a+76|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-12|0;k[e>>2]=f;A9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);k[a>>2]=6772;f=a+64|0;DO(f);return}function nG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a+-1|0)>>>0<12&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function oG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,2)|0;c=k[e>>2]|0;if((a+-1|0)>>>0<12&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function pG(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48606,4);y=0;Na(147,a+4|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;A9(c);sb(d|0)}else{A9(c);r=d;return}}function qG(a){a=a|0;var b=0,c=0;b=k[a+4>>2]|0;if(!b){b=0;return b|0}if((k[23]|0)!=(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)){b=0;return b|0}a=b+84|0;c=i[a+11>>0]|0;if(((c<<24>>24<0?k[b+88>>2]|0:c&255)|0)!=4){c=0;return c|0}y=0;a=sa(21,a|0,0,-1,50576,4)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}c=(a|0)==0;return c|0}function rG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a+-1|0)>>>0<31&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function sG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,3)|0;c=k[e>>2]|0;if((a|0)<366&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function tG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,2)|0;c=k[e>>2]|0;if((a+-1|0)>>>0<31&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function uG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,3)|0;c=k[e>>2]|0;if((a|0)<366&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function vG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!(k[a+64>>2]|0)){e=-1;return e|0}e=a+12|0;d=k[e>>2]|0;if((k[a+8>>2]|0)>>>0>=d>>>0){e=-1;return e|0}if((b|0)==-1){k[e>>2]=d+-1;e=0;return e|0}if(!(k[a+88>>2]&16)){c=b&255;a=d+-1|0;if(c<<24>>24!=(i[a>>0]|0)){e=-1;return e|0}}else{c=b&255;a=d+-1|0}k[e>>2]=a;i[a>>0]=c;e=b;return e|0}function wG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<13&(c&4|0)==0)k[b>>2]=a+-1;else k[e>>2]=c|4;r=g;return}function xG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<13&(c&4|0)==0)k[b>>2]=a+-1;else k[e>>2]=c|4;r=g;return}function yG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,1)|0;c=k[e>>2]|0;if((a|0)<7&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function zG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<61&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function AG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<60&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function BG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,1)|0;c=k[e>>2]|0;if((a|0)<7&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function CG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<61&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function DG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<60&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function EG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<24&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function FG(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,2)|0;c=k[e>>2]|0;if((a|0)<24&(c&4|0)==0)k[b>>2]=a;else k[e>>2]=c|4;r=g;return}function GG(a,b){a=+a;b=b|0;var c=0,d=0,e=0;p[u>>3]=a;c=k[u>>2]|0;d=k[u+4>>2]|0;e=EV(c|0,d|0,52)|0;switch(e&2047){case 0:{if(a!=0.0){a=+GG(a*18446744073709551616.0,b);c=(k[b>>2]|0)+-64|0}else c=0;k[b>>2]=c;break}case 2047:break;default:{k[b>>2]=(e&2047)+-1022;k[u>>2]=c;k[u+4>>2]=d&-2146435073|1071644672;a=+p[u>>3]}}return +a}function HG(a){a=a|0;var b=0,c=0;b=q1(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24!=13){c=c<<24>>24|0;b=(c|0)!=10?((c|0)==12?b:0):b;if(!b)return a|0}}while(1){c=q1(b)|0;if(c|0){b=c;continue}c=i[b>>0]|0;a=b+1|0;if((c|4)<<24>>24==13){b=a;continue}c=c<<24>>24|0;c=(c|0)!=10?((c|0)==12?a:0):a;if(!c)break;else b=c}return b|0}function IG(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a+76>>2]|0;d=(k[a+80>>2]|0)-b>>3;if(!d){d=0;return d|0}c=a+76|0;a=k[b+4>>2]|0;a=oc[k[(k[a>>2]|0)+116>>2]&511](a)|0;if((d|0)==1){d=a;return d|0}else b=1;do{e=k[(k[c>>2]|0)+(b<<3)+4>>2]|0;e=oc[k[(k[e>>2]|0)+116>>2]&511](e)|0;a=a>>>0<e>>>0?e:a;b=b+1|0}while((b|0)!=(d|0));return a|0}function JG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do if(i[b+82>>0]|0){d=k[b+64>>2]|0;e=k[b+68>>2]|0;if((d|0)!=(e|0)){c=a+4|0;b=d;while(1){LT(a,k[b+4>>2]|0);k[a>>2]=10120;if(i[(k[c>>2]|0)+81>>0]|0)break;DO(a);b=b+8|0;if((b|0)==(e|0))break a}return}}while(0);LT(a,0);k[a>>2]=10120;return}function KG(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;Bk(a,b);LT(c,k[b+68>>2]|0);k[c>>2]=6868;b=k[c+4>>2]|0;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{DO(c);r=d;return}}function LG(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-60|0;k[e>>2]=11364;c=e+60|0;k[c>>2]=11488;DO(e+80|0);k[c>>2]=11544;c=e+64|0;a=k[c>>2]|0;if(!a){cra(e);return}d=e+68|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-8|0;k[d>>2]=f;lc[k[k[f>>2]>>2]&511](f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}cra(a);cra(e);return}function MG(a,b){a=a|0;b=b|0;var c=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;i[a+128>>0]=0;do if(b|0){y=0;oa(738,a|0,b|0);c=y;y=0;if(c&1){c=pb()|0;OL(a);sb(c|0)}else{MO(a,b);break}}while(0);return}function NG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;a:do if(i[b+81>>0]|0){d=k[b+64>>2]|0;e=k[b+68>>2]|0;if((d|0)!=(e|0)){c=a+4|0;b=d;while(1){LT(a,k[b+4>>2]|0);k[a>>2]=10120;if(i[(k[c>>2]|0)+80>>0]|0)break;DO(a);b=b+8|0;if((b|0)==(e|0))break a}return}}while(0);LT(a,0);k[a>>2]=10120;return}function OG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0;d=r;r=r+16|0;c=d;e=+p[b+64>>3];nq(c,b);y=0;a=Oa(1,+e,((i[c+11>>0]|0)<0?k[c>>2]|0:c)|0)|0;b=y;y=0;if(b&1){d=pb()|0;A9(c);sb(d|0)}else{A9(c);r=d;return a|0}return 0}function PG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;c=e;d=a+96|0;i[d>>0]=1;LT(c,k[b+68>>2]|0);k[c>>2]=7492;b=k[c+4>>2]|0;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);b=y;y=0;if(b&1){e=pb()|0;DO(c);sb(e|0)}else{DO(c);i[d>>0]=0;r=e;return}}function QG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;_o(a);d=a+16|0;DB(d,c);e=a+88|0;f=k[e>>2]|0;if(f|0){DB(d,f);k[e>>2]=0}zt(a,b);zx(d,c);return}function RG(a){a=a|0;var b=0;b=0;y=0;qa(381,83088)|0;a=y;y=0;if(a&1)b=6;else{y=0;qa(404,83172)|0;a=y;y=0;if(a&1)b=6;else{y=0;qa(381,83424)|0;a=y;y=0;if(!(a&1)){y=0;qa(404,83508)|0;a=y;y=0;if(!(a&1))return}a=tb(0)|0}}if((b|0)==6)a=tb(0)|0;Sla(a)}function SG(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;e=i[b+11>>0]|0;f=e<<24>>24<0;e=f?k[b+4>>2]|0:e&255;if(e>>>0<c>>>0)lN(a);else{e=e-c|0;aI(a,(f?k[b>>2]|0:b)+c|0,e>>>0<d>>>0?e:d);return}}function TG(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+32|0;d=e+16|0;c=e;if(!(aA(55443,i[b>>0]|0,4)|0)){a=W8()|0;k[a>>2]=22;a=0}else{f=XM(b)|0|32768;k[c>>2]=a;k[c+4>>2]=f;k[c+8>>2]=438;c=O8(Mb(5,c|0)|0)|0;if((c|0)<0)a=0;else{a=cs(c,b)|0;if(!a){k[d>>2]=c;Sb(6,d|0)|0;a=0}}}r=e;return a|0}function UG(a){a=a|0;var b=0;a=Dm(a)|0;if(!a){a=0;return a|0}b=i[a>>0]|0;b=b<<24>>24|0;a=(b|0)==37?0:(b|0)==40?a:0;return a|0}function VG(a,b){a=a|0;b=b|0;if(!b)return;else{VG(a,k[b>>2]|0);VG(a,k[b+4>>2]|0);cra(b);return}}function WG(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a+76>>2]|0;d=(k[a+80>>2]|0)-b>>3;if(!d){d=0;return d|0}c=a+76|0;a=k[b+4>>2]|0;a=oc[k[(k[a>>2]|0)+116>>2]&511](a)|0;if((d|0)==1){d=a;return d|0}else b=1;do{e=k[(k[c>>2]|0)+(b<<3)+4>>2]|0;a=(oc[k[(k[e>>2]|0)+116>>2]&511](e)|0)+a|0;b=b+1|0}while((b|0)!=(d|0));return a|0}function XG(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c+4>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+8|0}while((c|0)!=(a|0));return b|0}function YG(a,b){a=a|0;b=b|0;if(!b)return;else{YG(a,k[b>>2]|0);YG(a,k[b+4>>2]|0);A9(b+16|0);cra(b);return}}function ZG(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;if((a|0)==(b|0)){k[c>>2]=4;d=0.0}else{f=W8()|0;g=k[f>>2]|0;k[f>>2]=0;d=+Hla(a,e,LN()|0);a=k[f>>2]|0;if(!a)k[f>>2]=g;if((k[e>>2]|0)==(b|0)){if((a|0)==34)k[c>>2]=4}else{k[c>>2]=4;d=0.0}}r=h;return +d}function _G(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;if((a|0)==(b|0)){k[c>>2]=4;d=0.0}else{f=W8()|0;g=k[f>>2]|0;k[f>>2]=0;d=+Hla(a,e,LN()|0);a=k[f>>2]|0;if(!a)k[f>>2]=g;if((k[e>>2]|0)==(b|0)){if((a|0)==34)k[c>>2]=4}else{k[c>>2]=4;d=0.0}}r=h;return +d}function $G(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;if((a|0)==(b|0)){k[c>>2]=4;d=0.0}else{f=W8()|0;g=k[f>>2]|0;k[f>>2]=0;d=+Hla(a,e,LN()|0);a=k[f>>2]|0;if(!a)k[f>>2]=g;if((k[e>>2]|0)==(b|0)){if((a|0)==34)k[c>>2]=4}else{k[c>>2]=4;d=0.0}}r=h;return +d}function aH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;a:do if(c>>>0<d>>>0){f=b+4|0;while(1){switch(i[c>>0]|0){case 0:break a;case 10:{k[b>>2]=(k[b>>2]|0)+1;e=0;break}default:e=(k[f>>2]|0)+1|0}k[f>>2]=e;c=c+1|0;if(c>>>0>=d>>>0)break a}}while(0);k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];return}function bH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0;h=r;r=r+112|0;g=h;e=g;f=e+112|0;do{k[e>>2]=0;e=e+4|0}while((e|0)<(f|0));e=g+4|0;k[e>>2]=a;f=g+8|0;k[f>>2]=-1;k[g+44>>2]=a;k[g+76>>2]=-1;_O(g,0);d=+Ld(g,c,1);c=(k[e>>2]|0)-(k[f>>2]|0)+(k[g+108>>2]|0)|0;if(b|0)k[b>>2]=c|0?a+c|0:a;r=h;return +d}function cH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c+4>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+8|0}while((c|0)!=(a|0));return b|0}function dH(a){a=a|0;var b=0;b=r;r=r+16|0;y=0;la(a|0);a=y;y=0;if(!(a&1)){y=0;oa(742,59220,b|0);y=0}a=tb(0)|0;vb(a|0)|0;y=0;oa(742,59260,b+8|0);y=0;a=tb(0)|0;y=0;la(3);b=y;y=0;if(b&1){b=tb(0)|0;Sla(b)}else Sla(a)}function eH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c+4>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+8|0}while((c|0)!=(a|0));return b|0}function fH(a,b){a=a|0;b=b|0;var c=0;c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((c|0)==30714){c=Fc[k[(k[a>>2]|0)+164>>2]&2047](a,b)|0;return c|0}if((c|0)==33219){c=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,b)|0;return c|0}if((c|0)==33245){c=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,b)|0;return c|0}else{c=(a|0)==(b|0);return c|0}return 0}function gH(a,b){a=a|0;b=b|0;if(!b)return;else{gH(a,k[b>>2]|0);gH(a,k[b+4>>2]|0);a=b+16|0;lc[k[k[a>>2]>>2]&511](a);cra(b);return}}function hH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=r;r=r+16|0;d=e+8|0;c=gb(16)|0;xca()|0;k[e>>2]=a;k[e+4>>2]=85880;y=0;k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];Na(163,c|0,d|0,b|0);b=y;y=0;if(b&1){e=pb()|0;fb(c|0);sb(e|0)}else Wb(c|0,5632,395)}function iH(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;k[a>>2]=k[e>>2];k[a+4>>2]=k[e+4>>2];k[a+8>>2]=k[e+8>>2];k[a+12>>2]=b;k[a+16>>2]=c;c=f;e=k[c+4>>2]|0;f=a+20|0;k[f>>2]=k[c>>2];k[f+4>>2]=e;f=a+28|0;k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];return}function jH(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=11364;d=a+60|0;k[d>>2]=11488;DO(a+80|0);k[d>>2]=11544;d=a+64|0;b=k[d>>2]|0;if(!b){cra(a);return}e=a+68|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);cra(a);return}function kH(a,b){a=a|0;b=b|0;if(!b)return;else{kH(a,k[b>>2]|0);kH(a,k[b+4>>2]|0);a=b+16|0;lc[k[k[a>>2]>>2]&511](a);cra(b);return}}function lH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=b+64|0;d=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>3;if(!d){e=0;return e|0}c=0;while(1){b=(Fc[k[(k[e>>2]|0)+16>>2]&2047](e,c)|0)+4|0;b=k[b>>2]|0;b=Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0;c=c+1|0;if(b|0){c=5;break}if(c>>>0>=d>>>0){b=0;c=5;break}}if((c|0)==5)return b|0;return 0}function mH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c+4>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+8|0}while((c|0)!=(a|0));return b|0}function nH(a,b){a=a|0;b=b|0;switch(k[b>>2]|0){case 1:{b=i[b+4>>0]|0;if(b<<24>>24>63)b=61;else b=i[52268+(b<<24>>24)>>0]|0;i[a>>0]=b;i[a+1>>0]=61;i[a+2>>0]=61;b=a+3|0;break}case 2:{b=i[b+4>>0]|0;if(b<<24>>24>63)b=61;else b=i[52268+(b<<24>>24)>>0]|0;i[a>>0]=b;i[a+1>>0]=61;b=a+2|0;break}default:b=a}i[b>>0]=10;return b+1-a|0}function oH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c+4>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+8|0}while((c|0)!=(a|0));return b|0}function pH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c+4>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+8|0}while((c|0)!=(a|0));return b|0}function qH(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+16|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}c=k[a+4>>2]|0;a=k[a+8>>2]|0;if((c|0)==(a|0)){d=0;return d|0}do{e=k[c+4>>2]|0;e=(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)+-1640531527|0;b=k[d>>2]|0;b=e+(b<<6)+(b>>>2)^b;k[d>>2]=b;c=c+8|0}while((c|0)!=(a|0));return b|0}function rH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;f=r;r=r+16|0;d=f;e=ud(240)|0;do if(!e)d=-1;else{k[d>>2]=k[c>>2];d=NB(e,240,b,d)|0;if(d>>>0<240){c=tH(e,d+1|0)|0;k[a>>2]=c|0?c:e;break}Wf(e);if((d|0)<0)d=-1;else{d=d+1|0;e=ud(d)|0;k[a>>2]=e;if(!e)d=-1;else d=NB(e,d,b,c)|0}}while(0);r=f;return d|0}function sH(a){a=a|0;var b=0,c=0,d=0;d=a+68|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}b=($o(a)|0)+-1640531527|0;c=k[d>>2]|0;c=b+(c<<6)+(c>>>2)^c;k[d>>2]=c;b=k[a+108>>2]|0;if(!b){d=c;return d|0}a=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;c=k[d>>2]|0;c=a+(c<<6)+(c>>>2)^c;k[d>>2]=c;d=c;return d|0}function tH(a,b){a=a|0;b=b|0;var c=0,d=0;if(!a){b=ud(b)|0;return b|0}if(b>>>0>4294967231){b=W8()|0;k[b>>2]=12;b=0;return b|0}c=Mj(a+-8|0,b>>>0<11?16:b+11&-8)|0;if(c|0){b=c+8|0;return b|0}c=ud(b)|0;if(!c){b=0;return b|0}d=k[a+-4>>2]|0;d=(d&-8)-((d&3|0)==0?8:4)|0;wH(c|0,a|0,(d>>>0<b>>>0?d:b)|0)|0;Wf(a);b=c;return b|0}function uH(a){a=a|0;var b=0,c=0,d=0;d=a+68|0;b=k[d>>2]|0;if(b|0){d=b;return d|0}b=($o(a)|0)+-1640531527|0;c=k[d>>2]|0;c=b+(c<<6)+(c>>>2)^c;k[d>>2]=c;b=k[a+108>>2]|0;if(!b){d=c;return d|0}a=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;c=k[d>>2]|0;c=a+(c<<6)+(c>>>2)^c;k[d>>2]=c;d=c;return d|0}function vH(a){a=a|0;var b=0,c=0;c=0;b=oV(a)|0;if(!b){if(a|0){b=a;c=4}}else while(1){c=oV(b)|0;if(!c){c=4;break}else b=c}if((c|0)==4)if((i[b>>0]|0)==46){b=oV(b+1|0)|0;if(b|0){while(1){c=oV(b)|0;if(!c)break;else b=c}return b|0}}a=oV(a)|0;return a|0}function wH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((c|0)>=4096)return qb(a|0,b|0,c|0)|0;d=a|0;if((a&3)==(b&3)){while(a&3){if(!c)return d|0;i[a>>0]=i[b>>0]|0;a=a+1|0;b=b+1|0;c=c-1|0}while((c|0)>=4){k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0;c=c-4|0}}while((c|0)>0){i[a>>0]=i[b>>0]|0;a=a+1|0;b=b+1|0;c=c-1|0}return d|0}function xH(a){a=a|0;var b=0,c=0,d=0;d=0;if((k[a+76>>2]|0)<0)d=3;else if(!(kra(a)|0))d=3;else{b=a+4|0;c=k[b>>2]|0;if(c>>>0<(k[a+8>>2]|0)>>>0){k[b>>2]=c+1;b=l[c>>0]|0}else b=WN(a)|0}do if((d|0)==3){b=a+4|0;c=k[b>>2]|0;if(c>>>0<(k[a+8>>2]|0)>>>0){k[b>>2]=c+1;b=l[c>>0]|0;break}else{b=WN(a)|0;break}}while(0);return b|0}function yH(a){a=a|0;var b=0,c=0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[a>>2]=15972;b=a+64|0;k[b>>2]=16012;k[a+8>>2]=15992;c=a+12|0;k[c>>2]=15832;A9(a+44|0);Xaa(c);nla(a,16064);Vja(b);cra(a);return}function zH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d;e=k[(k[a>>2]|0)+12>>2]|0;LT(c,k[b+68>>2]|0);k[c>>2]=6868;y=0;oa(e|0,a|0,k[c+4>>2]|0);b=y;y=0;if(b&1){e=pb()|0;DO(c);sb(e|0)}else{DO(c);r=d;return}}function AH(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-60|0;k[b>>2]=11364;d=b+60|0;k[d>>2]=11488;DO(b+80|0);k[d>>2]=11544;d=b+64|0;a=k[d>>2]|0;if(!a)return;c=b+68|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}cra(a);return}function BH(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=ek(c,a,e,f,4)|0;if(!(k[e>>2]&4))k[b>>2]=a+-1900;r=g;return}function CH(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;g=r;r=r+16|0;a=g+4|0;h=g;k[h>>2]=k[d>>2];k[a>>2]=k[h>>2];a=xk(c,a,e,f,4)|0;if(!(k[e>>2]&4))k[b>>2]=a+-1900;r=g;return}function DH(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d;e=k[(k[a>>2]|0)+12>>2]|0;LT(c,k[b+68>>2]|0);k[c>>2]=6868;y=0;oa(e|0,a|0,k[c+4>>2]|0);b=y;y=0;if(b&1){e=pb()|0;DO(c);sb(e|0)}else{DO(c);r=d;return}}function EH(a){a=+a;var b=0,c=0,d=0,e=0;e=~~a;c=k[20096]|0;if(!c){e=0;return e|0}else{b=80384;d=c}a:while(1){c=d;while(1){if((k[c+16>>2]|0)>=(e|0))break;c=k[c+4>>2]|0;if(!c)break a}d=k[c>>2]|0;if(!d){b=c;break}else b=c}if((b|0)==80384){e=0;return e|0}if((k[b+16>>2]|0)>(e|0)){e=0;return e|0}e=k[b+20>>2]|0;return e|0}function FH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;mc[k[(k[b>>2]|0)+140>>2]&1023](c,b);y=0;Na(147,a+4|0,c|0,b|0);b=y;y=0;if(b&1){d=pb()|0;A9(c);sb(d|0)}else{A9(c);r=d;return}}function GH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;LT(c,k[b+64>>2]|0);k[c>>2]=7284;b=k[c+4>>2]|0;y=0;a=Ha(k[(k[b>>2]|0)+68>>2]|0,b|0,a|0)|0;b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{DO(c);r=d;return a|0}return 0}function HH(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;l=r;r=r+16|0;g=l;i[g>>0]=37;h=g+1|0;i[h>>0]=e;j=g+2|0;i[j>>0]=f;i[g+3>>0]=0;if(f<<24>>24){i[h>>0]=f;i[j>>0]=e}j=b+(lb(b|0,(k[c>>2]|0)-b|0,g|0,d|0,k[a>>2]|0)|0)|0;k[c>>2]=j;r=l;return}function IH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;LT(c,k[b+68>>2]|0);k[c>>2]=6868;b=k[c+4>>2]|0;y=0;a=Ha(k[(k[b>>2]|0)+52>>2]|0,b|0,a|0)|0;b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{DO(c);r=d;return a|0}return 0}function JH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;LT(c,k[b+68>>2]|0);k[c>>2]=7284;b=k[c+4>>2]|0;y=0;a=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,a|0)|0;b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{DO(c);r=d;return a|0}return 0}function KH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=a+11|0;d=i[e>>0]|0;f=d<<24>>24<0;if(f)d=k[a+4>>2]|0;else d=d&255;do if(d>>>0<b>>>0)YD(a,b-d|0,c)|0;else if(f){i[(k[a>>2]|0)+b>>0]=0;k[a+4>>2]=b;break}else{i[a+b>>0]=0;i[e>>0]=b;break}while(0);return}function LH(a){a=a|0;var b=0,c=0;b=a+74|0;c=i[b>>0]|0;i[b>>0]=c+255|c;b=a+20|0;c=a+44|0;if((k[b>>2]|0)>>>0>(k[c>>2]|0)>>>0)rc[k[a+36>>2]&255](a,0,0)|0;k[a+16>>2]=0;k[a+28>>2]=0;k[b>>2]=0;b=k[a>>2]|0;if(!(b&20)){b=k[c>>2]|0;k[a+8>>2]=b;k[a+4>>2]=b;b=0}else if(!(b&4))b=-1;else{k[a>>2]=b|32;b=-1}return b|0}function MH(a){a=a|0;var b=0,c=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=15972;a=b+64|0;k[a>>2]=16012;k[b+8>>2]=15992;c=b+12|0;k[c>>2]=15832;A9(b+44|0);Xaa(c);nla(b,16064);Vja(a);return}function NH(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=a+12|0;g=a+16|0;e=0;while(1){if((e|0)>=(c|0))break;d=k[f>>2]|0;if(d>>>0<(k[g>>2]|0)>>>0){k[f>>2]=d+1;d=i[d>>0]|0}else{d=oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;if((d|0)==-1)break;d=d&255}i[b>>0]=d;e=e+1|0;b=b+1|0}return e|0}function OH(a){a=a|0;var b=0;do if(!(i[76832]|0))if(Qba(76832)|0){k[21214]=0;k[21215]=0;k[21216]=0;y=0;a=qa(406,26704)|0;b=y;y=0;if(!(b&1)){y=0;Na(158,84856,26704,a|0);b=y;y=0;if(!(b&1)){Pb(477,84856,x|0)|0;break}}b=pb()|0;sb(b|0)}while(0);return 84856}function PH(a){a=a|0;var b=0;do if(!(i[76840]|0))if(Qba(76840)|0){k[21217]=0;k[21218]=0;k[21219]=0;y=0;a=qa(406,26740)|0;b=y;y=0;if(!(b&1)){y=0;Na(158,84868,26740,a|0);b=y;y=0;if(!(b&1)){Pb(477,84868,x|0)|0;break}}b=pb()|0;sb(b|0)}while(0);return 84868}function QH(a){a=a|0;var b=0;do if(!(i[76848]|0))if(Qba(76848)|0){k[21220]=0;k[21221]=0;k[21222]=0;y=0;a=qa(406,26788)|0;b=y;y=0;if(!(b&1)){y=0;Na(158,84880,26788,a|0);b=y;y=0;if(!(b&1)){Pb(477,84880,x|0)|0;break}}b=pb()|0;sb(b|0)}while(0);return 84880}function RH(a){a=a|0;var b=0;do if(!(i[76824]|0))if(Qba(76824)|0){k[21211]=0;k[21212]=0;k[21213]=0;y=0;a=qa(406,26668)|0;b=y;y=0;if(!(b&1)){y=0;Na(158,84844,26668,a|0);b=y;y=0;if(!(b&1)){Pb(477,84844,x|0)|0;break}}b=pb()|0;sb(b|0)}while(0);return 84844}function SH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;LT(c,k[b+64>>2]|0);k[c>>2]=7284;b=k[c+4>>2]|0;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{DO(c);r=d;return}}function TH(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;i=r;r=r+112|0;g=i;k[g>>2]=0;h=g+4|0;k[h>>2]=a;k[g+44>>2]=a;f=g+8|0;k[f>>2]=(a|0)<0?-1:a+2147483647|0;k[g+76>>2]=-1;_O(g,0);c=Og(g,c,1,d,e)|0;if(b|0)k[b>>2]=a+((k[h>>2]|0)+(k[g+108>>2]|0)-(k[f>>2]|0));r=i;return c|0}function UH(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;a=b+16|0;e=k[a>>2]|0;do if(!e){k[a>>2]=c;k[b+24>>2]=d;k[b+36>>2]=1}else{if((e|0)!=(c|0)){d=b+36|0;k[d>>2]=(k[d>>2]|0)+1;k[b+24>>2]=2;i[b+54>>0]=1;break}a=b+24|0;if((k[a>>2]|0)==2)k[a>>2]=d}while(0);return}function VH(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=0;a=b;while(1){if((d|0)==(e|0)){g=7;break}if((a|0)==(c|0)){a=-1;break}b=i[a>>0]|0;f=i[d>>0]|0;if(b<<24>>24<f<<24>>24){a=-1;break}if(f<<24>>24<b<<24>>24){a=1;break}d=d+1|0;a=a+1|0}if((g|0)==7)a=(a|0)!=(c|0)&1;return a|0}function WH(a,b){a=a|0;b=b|0;if(!b)return;else{WH(a,k[b>>2]|0);WH(a,k[b+4>>2]|0);cra(b);return}}function XH(a){a=+a;var b=0,c=0,d=0,e=0;p[u>>3]=a;d=k[u>>2]|0;e=k[u+4>>2]|0;b=EV(d|0,e|0,52)|0;b=(b&2047)+-1011|0;if((b|0)<=63){c=(b|0)<12;b=EV(-1,-1,b|0)|0;b=c?-1:b;c=c?2147483647:N;if(!((b&d|0)==0&(c&e|0)==0)){k[u>>2]=d&~b;k[u+4>>2]=e&~c;a=+p[u>>3]}}return +a}function YH(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;LT(c,k[b+68>>2]|0);k[c>>2]=6868;b=k[c+4>>2]|0;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{DO(c);r=d;return}}function ZH(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function _H(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function $H(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(b>>>0>0|(b|0)==0&a>>>0>4294967295){while(1){d=CQ(a|0,b|0,10,0)|0;c=c+-1|0;i[c>>0]=d|48;d=a;a=oda(a|0,b|0,10,0)|0;if(!(b>>>0>9|(b|0)==9&d>>>0>4294967295))break;else b=N}b=a}else b=a;if(b)while(1){c=c+-1|0;i[c>>0]=(b>>>0)%10|0|48;if(b>>>0<10)break;else b=(b>>>0)/10|0}return c|0}function aI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=0;if(c>>>0>4294967279)mN(a);if(c>>>0<11){i[a+11>>0]=c;if(c)d=6}else{e=c+16&-16;d=IM(e)|0;k[a>>2]=d;k[a+8>>2]=e|-2147483648;k[a+4>>2]=c;a=d;d=6}if((d|0)==6)wH(a|0,b|0,c|0)|0;i[a+c>>0]=0;return}function bI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function cI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function dI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function eI(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;LT(c,k[b+68>>2]|0);k[c>>2]=6868;b=k[c+4>>2]|0;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{DO(c);r=d;return}}function fI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=a+12|0;g=a+16|0;e=0;while(1){if((e|0)>=(c|0))break;d=k[f>>2]|0;if(d>>>0<(k[g>>2]|0)>>>0){k[f>>2]=d+4;d=k[d>>2]|0}else{d=oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;if((d|0)==-1)break}k[b>>2]=d;e=e+1|0;b=b+4|0}return e|0}function gI(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=0;if(b>>>0>4294967279)mN(a);if(b>>>0<11){i[a+11>>0]=b;if(b)d=6}else{e=b+16&-16;d=IM(e)|0;k[a>>2]=d;k[a+8>>2]=e|-2147483648;k[a+4>>2]=b;a=d;d=6}if((d|0)==6)kK(a|0,c|0,b|0)|0;i[a+b>>0]=0;return}function hI(a){a=a|0;k[a>>2]=16740;A9(a+100|0);A9(a+88|0);A9(a+76|0);k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function iI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function jI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function kI(a){a=a|0;var b=0,c=0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[a>>2]=15916;b=a+56|0;k[b>>2]=15936;c=a+4|0;k[c>>2]=15832;A9(a+36|0);Xaa(c);yla(a,15948);Vja(b);cra(a);return}function lI(a){a=a|0;var b=0,c=0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[a>>2]=15796;b=a+60|0;k[b>>2]=15816;c=a+8|0;k[c>>2]=15832;A9(a+40|0);Xaa(c);zla(a,15892);Vja(b);cra(a);return}function mI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function nI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function oI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function pI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function qI(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=11364;d=a+60|0;k[d>>2]=11488;DO(a+80|0);k[d>>2]=11544;d=a+64|0;b=k[d>>2]|0;if(!b)return;c=a+68|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}cra(b);return}function rI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function sI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function tI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function uI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function vI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function wI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function xI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function yI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function zI(a){a=a|0;k[a>>2]=16828;A9(a+100|0);A9(a+88|0);A9(a+76|0);k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function AI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function BI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function CI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function DI(a){a=a|0;var b=0,c=0,d=0;b=a+44|0;d=k[b>>2]|0;c=k[a+24>>2]|0;if(d>>>0<c>>>0){k[b>>2]=c;d=c}if(!(k[a+48>>2]&8)){a=-1;return a|0}b=a+16|0;c=k[b>>2]|0;if(c>>>0<d>>>0){k[b>>2]=d;c=d}b=k[a+12>>2]|0;if(b>>>0>=c>>>0){a=-1;return a|0}a=l[b>>0]|0;return a|0}function EI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function FI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function GI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function HI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function II(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function JI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function KI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function LI(a,b){a=a|0;b=b|0;var c=0,d=0;bp(a,b)|0;if(b|0)if((k[195]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0))if(!(k[b+96>>2]|0)){c=a+20|0;d=k[c>>2]|0;k[c>>2]=b;Yf(a,b)|0;k[c>>2]=d;return b|0}Yf(a,b)|0;return b|0}function MI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function NI(a){a=a|0;var b=0,c=0,d=0,e=0;if((k[k[a+68>>2]>>2]|0)==3)return;e=a+4|0;c=i[e+11>>0]|0;d=c<<24>>24<0;if(d)b=k[a+8>>2]|0;else b=c&255;if(!b)return;if(d)b=k[a+8>>2]|0;else b=c&255;e=FN(e,b+-1|0)|0;if(Pma(l[e>>0]|0)|0)if(!(i[a+84>>0]|0))return;k[a+76>>2]=1;return}function OI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function PI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function QI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function RI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function SI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function TI(a){a=a|0;var b=0,c=0;a=k[a+8>>2]|0;if(!a)b=1;else{y=0;a=qa(405,a|0)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!a)b=4;else{y=0;qa(405,a|0)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}else b=4}}return b|0}function UI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function VI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function WI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function XI(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;k[a+12>>2]=0;k[a+16>>2]=d;do if(!b)d=0;else{e=d+112|0;if(b>>>0<29&(i[e>>0]|0)==0){i[e>>0]=1;break}else{d=IM(b<<2)|0;break}}while(0);k[a>>2]=d;c=d+(c<<2)|0;k[a+8>>2]=c;k[a+4>>2]=c;k[a+12>>2]=d+(b<<2);return}function YI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function ZI(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function _I(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function $I(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function aJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function bJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function cJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function dJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;f=r;r=r+16|0;e=f;d=i[a+11>>0]|0;if(d<<24>>24<0){d=k[a+4>>2]|0;a=k[a>>2]|0}else d=d&255;i[e>>0]=b;if(d>>>0>c>>>0){e=C3(a+c|0,d-c|0,e)|0;a=(e|0)==0?-1:e-a|0}else a=-1;r=f;return a|0}function eJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function fJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function gJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function hJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function iJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function jJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function kJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function lJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function mJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function nJ(a){a=a|0;k[a>>2]=16740;A9(a+100|0);A9(a+88|0);A9(a+76|0);k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);return}function oJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function pJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function qJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function rJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function sJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function tJ(a){a=a|0;var b=0,c=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=15916;a=b+56|0;k[a>>2]=15936;c=b+4|0;k[c>>2]=15832;A9(b+36|0);Xaa(c);yla(b,15948);Vja(a);return}function uJ(a){a=a|0;var b=0,c=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=15796;a=b+60|0;k[a>>2]=15816;c=b+8|0;k[c>>2]=15832;A9(b+40|0);Xaa(c);zla(b,15892);Vja(a);return}function vJ(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=0;a=b;while(1){if((d|0)==(e|0)){g=7;break}if((a|0)==(c|0)){a=-1;break}b=k[a>>2]|0;f=k[d>>2]|0;if((b|0)<(f|0)){a=-1;break}if((f|0)<(b|0)){a=1;break}d=d+4|0;a=a+4|0}if((g|0)==7)a=(a|0)!=(c|0)&1;return a|0}function wJ(a,b){a=a|0;b=b|0;var c=0;c=KJ(b,47,-1)|0;if((c|0)==-1){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,87975,0);return}else{SG(a,b,0,c+1|0,b);return}}function xJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function yJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function zJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function AJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function BJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function CJ(a){a=a|0;var b=0,c=0;a=a+-8|0;k[a>>2]=15972;b=a+64|0;k[b>>2]=16012;k[a+8>>2]=15992;c=a+12|0;k[c>>2]=15832;A9(a+44|0);Xaa(c);nla(a,16064);Vja(b);cra(a);return}function DJ(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=28548;d=a+8|0;e=a+12|0;c=0;while(1){b=k[d>>2]|0;if(c>>>0>=(k[e>>2]|0)-b>>2>>>0)break;b=k[b+(c<<2)>>2]|0;if(b|0)RQ(b)|0;c=c+1|0}A9(a+144|0);OL(d);return}function EJ(a,b){a=a|0;b=b|0;var c=0;c=Iaa(b)|0;bp(a,c)|0;if(!c)b=0;else b=(k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);if(!(b|(Jaa(c)|0)!=0)){a=c;return a|0}a=Yf(a,c)|0;return a|0}function FJ(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=a+4|0;c=k[f>>2]|0;e=k[a>>2]|0;d=c-e>>2;a:do if(d>>>0<b>>>0)Ez(a,b-d|0);else if(d>>>0>b>>>0){a=e+(b<<2)|0;while(1){if((c|0)==(a|0))break a;e=c+-4|0;k[f>>2]=e;c=e}}while(0);return}function GJ(a){a=a|0;k[a>>2]=16828;A9(a+100|0);A9(a+88|0);A9(a+76|0);k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);return}function HJ(a){a=a|0;var b=0;b=aP(a)|0;if(!b){b=ct(a)|0;if(!b){a=0;return a|0}}while(1){a=aP(b)|0;if(a|0){b=a;continue}a=ct(b)|0;if(!a)break;else b=a}return b|0}function IJ(a){a=a|0;var b=0,c=0,d=0;c=0;d=a;a:do if(!(d&3))c=4;else{b=d;while(1){if(!(i[a>>0]|0)){a=b;break a}a=a+1|0;b=a;if(!(b&3)){c=4;break}}}while(0);if((c|0)==4){while(1){b=k[a>>2]|0;if(!((b&-2139062144^-2139062144)&b+-16843009))a=a+4|0;else break}if((b&255)<<24>>24)do a=a+1|0;while((i[a>>0]|0)!=0)}return a-d|0}function JJ(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[47917]|0;a:do if(b<<24>>24){d=47917;while(1){c=i[a>>0]|0;if(c<<24>>24!=b<<24>>24)if(((c<<24>>24)+32|0)!=(b<<24>>24|0)){a=0;break}a=a+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);d=DP(a)|0;return d|0}function KJ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=i[a+11>>0]|0;if(d<<24>>24<0){d=k[a+4>>2]|0;a=k[a>>2]|0}else d=d&255;a:do if(!d)d=-1;else{d=a+(d>>>0>c>>>0?c+1|0:d)|0;do{if((d|0)==(a|0)){d=-1;break a}d=d+-1|0}while((i[d>>0]|0)!=b<<24>>24);d=d-a|0}while(0);return d|0}function LJ(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[48628]|0;a:do if(b<<24>>24){d=48628;while(1){c=i[a>>0]|0;if(c<<24>>24!=b<<24>>24)if(((c<<24>>24)+32|0)!=(b<<24>>24|0)){a=0;break}a=a+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);d=DP(a)|0;return d|0}function MJ(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[48632]|0;a:do if(b<<24>>24){d=48632;while(1){c=i[a>>0]|0;if(c<<24>>24!=b<<24>>24)if(((c<<24>>24)+32|0)!=(b<<24>>24|0)){a=0;break}a=a+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);d=DP(a)|0;return d|0}function NJ(a){a=a|0;var b=0,c=0,d=0;if(!a){d=0;return d|0}b=i[48636]|0;a:do if(b<<24>>24){d=48636;while(1){c=i[a>>0]|0;if(c<<24>>24!=b<<24>>24)if(((c<<24>>24)+32|0)!=(b<<24>>24|0)){a=0;break}a=a+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);d=DP(a)|0;return d|0}function OJ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;b=r;r=r+16|0;i=b+4|0;a=b;k[i>>2]=c;k[a>>2]=f;g=ln(c,d,i,f,g,a,1114111,0)|0;k[e>>2]=k[i>>2];k[h>>2]=k[a>>2];r=b;return g|0}function PJ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;b=r;r=r+16|0;i=b+4|0;a=b;k[i>>2]=c;k[a>>2]=f;g=ym(c,d,i,f,g,a,1114111,0)|0;k[e>>2]=k[i>>2];k[h>>2]=k[a>>2];r=b;return g|0}function QJ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;b=r;r=r+16|0;i=b+4|0;a=b;k[i>>2]=c;k[a>>2]=f;g=iq(c,d,i,f,g,a,1114111,0)|0;k[e>>2]=k[i>>2];k[h>>2]=k[a>>2];r=b;return g|0}function RJ(a){a=a|0;var b=0;b=_y(a)|0;if(b|0)return b|0;if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=hx(a)|0;if(!a){b=0;return b|0}b=gx(a)|0;return b|0}function SJ(a){a=a|0;var b=0,c=0,d=0;d=(k[a>>2]&1|0)!=0;if(!d){zb(82376);c=k[a+52>>2]|0;b=a+56|0;if(c|0)k[c+56>>2]=k[b>>2];b=k[b>>2]|0;if(b|0)k[b+52>>2]=c;if((k[20593]|0)==(a|0))k[20593]=b;Gb(82376)}b=pF(a)|0;b=oc[k[a+12>>2]&511](a)|0|b;c=k[a+92>>2]|0;if(c|0)Wf(c);if(!d)Wf(a);return b|0}function TJ(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0;b=r;r=r+16|0;i=b+4|0;a=b;k[i>>2]=c;k[a>>2]=f;g=jn(c,d,i,f,g,a,1114111,0)|0;k[e>>2]=k[i>>2];k[h>>2]=k[a>>2];r=b;return g|0}function UJ(a){a=a|0;var b=0;b=aP(a)|0;if(!b){b=ct(a)|0;if(!b)return a|0}while(1){a=aP(b)|0;if(a|0){b=a;continue}a=ct(b)|0;if(!a)break;else b=a}return b|0}function VJ(a){a=a|0;var b=0,c=0;b=a+-8|0;k[b>>2]=15972;a=b+64|0;k[a>>2]=16012;k[b+8>>2]=15992;c=b+12|0;k[c>>2]=15832;A9(b+44|0);Xaa(c);nla(b,16064);Vja(a);return}function WJ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-60|0;k[e+60>>2]=9248;c=e+64|0;a=k[c>>2]|0;if(!a){cra(e);return}d=e+68|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-8|0;k[d>>2]=f;lc[k[k[f>>2]>>2]&511](f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}cra(a);cra(e);return}function XJ(a,b){a=a|0;b=b|0;var c=0,d=0;d=RY(b,85760)|0;c=a+36|0;k[c>>2]=d;d=oc[k[(k[d>>2]|0)+24>>2]&511](d)|0;b=a+44|0;k[b>>2]=d;c=k[c>>2]|0;c=(oc[k[(k[c>>2]|0)+28>>2]&511](c)|0)&1;i[a+53>>0]=c;if((k[b>>2]|0)>8)CO(56072);return}function YJ(a,b){a=a|0;b=b|0;var c=0,d=0;d=RY(b,85752)|0;c=a+36|0;k[c>>2]=d;d=oc[k[(k[d>>2]|0)+24>>2]&511](d)|0;b=a+44|0;k[b>>2]=d;c=k[c>>2]|0;c=(oc[k[(k[c>>2]|0)+28>>2]&511](c)|0)&1;i[a+53>>0]=c;if((k[b>>2]|0)>8)CO(56072);return}function ZJ(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-52|0;k[e+52>>2]=12936;c=e+56|0;a=k[c>>2]|0;if(!a){cra(e);return}d=e+60|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-8|0;k[d>>2]=f;lc[k[k[f>>2]>>2]&511](f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}cra(a);cra(e);return}function _J(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(d>>>0>4294967279)mN(a);if(d>>>0<11)i[a+11>>0]=c;else{e=d+16&-16;d=IM(e)|0;k[a>>2]=d;k[a+8>>2]=e|-2147483648;k[a+4>>2]=c;a=d}if(c|0)wH(a|0,b|0,c|0)|0;i[a+c>>0]=0;return}function $J(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=18444;b=k[a+20>>2]|0;c=b;if(b|0){d=a+24|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}b=k[a+8>>2]|0;if(!b){cra(a);return}c=a+12|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);cra(b);cra(a);return}function aK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-60|0;k[e+60>>2]=10136;c=e+64|0;a=k[c>>2]|0;if(!a){cra(e);return}d=e+68|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-8|0;k[d>>2]=f;lc[k[k[f>>2]>>2]&511](f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}cra(a);cra(e);return}function bK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=0;f=r;r=r+4112|0;d=f;c=f+8|0;if(!a){b=4096;a=c;e=4}else if(!b){a=W8()|0;k[a>>2]=22;a=0}else e=4;if((e|0)==4){k[d>>2]=a;k[d+4>>2]=b;if((O8(Ub(183,d|0)|0)|0)<0)a=0;else if((a|0)==(c|0))a=B3(c)|0}r=f;return a|0}function cK(a){a=a|0;var b=0,c=0;k[a>>2]=15972;b=a+64|0;k[b>>2]=16012;k[a+8>>2]=15992;c=a+12|0;k[c>>2]=15832;A9(a+44|0);Xaa(c);nla(a,16064);Vja(b);cra(a);return}function dK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;c=f;k[c>>2]=b;d=a+376|0;e=k[d>>2]|0;if((e|0)==(k[a+380>>2]|0)){pA(a+372|0,c);r=f;return}else{k[e>>2]=b;k[d>>2]=(k[d>>2]|0)+4;r=f;return}}function eK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-64|0;k[e+64>>2]=6524;c=e+68|0;a=k[c>>2]|0;if(!a){cra(e);return}d=e+72|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-8|0;k[d>>2]=f;lc[k[k[f>>2]>>2]&511](f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}cra(a);cra(e);return}function fK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=a+-60|0;k[e+60>>2]=9248;c=e+64|0;a=k[c>>2]|0;if(!a){cra(e);return}d=e+68|0;b=k[d>>2]|0;if((b|0)!=(a|0)){do{f=b+-8|0;k[d>>2]=f;lc[k[k[f>>2]>>2]&511](f);b=k[d>>2]|0}while((b|0)!=(a|0));a=k[c>>2]|0}cra(a);cra(e);return}function gK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if(!c)d=0;else{d=i[a>>0]|0;a:do if(!(d<<24>>24))d=0;else while(1){c=c+-1|0;e=i[b>>0]|0;if(!(d<<24>>24==e<<24>>24&((c|0)!=0&e<<24>>24!=0)))break a;a=a+1|0;b=b+1|0;d=i[a>>0]|0;if(!(d<<24>>24)){d=0;break}}while(0);d=(d&255)-(l[b>>0]|0)|0}return d|0}function hK(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=r;r=r+16|0;g=f;k[g>>2]=e;e=A8(c)|0;c=NB(a,b,d,g)|0;if(e|0){y=0;qa(405,e|0)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}}r=f;return c|0}function iK(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=28500;b=a+8|0;c=k[b>>2]|0;y=0;d=La(3)|0;e=y;y=0;do if(!(e&1)){if((c|0)!=(d|0)){y=0;na(478,k[b>>2]|0);e=y;y=0;if(e&1)break}return}while(0);e=tb(0)|0;Cqa(a);Sla(e)}function jK(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];k[a+12>>2]=b;k[a+16>>2]=c;c=e;d=k[c+4>>2]|0;e=a+20|0;k[e>>2]=k[c>>2];k[e+4>>2]=d;k[a+28>>2]=0;k[a+32>>2]=0;k[a+36>>2]=0;return}function kK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=a+c|0;if((c|0)>=20){b=b&255;f=a&3;g=b|b<<8|b<<16|b<<24;e=d&~3;if(f){f=a+4-f|0;while((a|0)<(f|0)){i[a>>0]=b;a=a+1|0}}while((a|0)<(e|0)){k[a>>2]=g;a=a+4|0}}while((a|0)<(d|0)){i[a>>0]=b;a=a+1|0}return a-c|0}function lK(a){a=a|0;var b=0,c=0;k[a>>2]=15972;b=a+64|0;k[b>>2]=16012;k[a+8>>2]=15992;c=a+12|0;k[c>>2]=15832;A9(a+44|0);Xaa(c);nla(a,16064);Vja(b);return}function mK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;c=f;k[c>>2]=b;d=a+120|0;e=k[d>>2]|0;if(e>>>0<(k[a+124>>2]|0)>>>0){k[e>>2]=b;k[d>>2]=(k[d>>2]|0)+4;r=f;return}else{qA(a+116|0,c);r=f;return}}function nK(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=r;r=r+16|0;e=d+8|0;f=d;h=c;g=k[h+4>>2]|0;c=f;k[c>>2]=k[h>>2];k[c+4>>2]=g;k[e>>2]=k[f>>2];k[e+4>>2]=k[f+4>>2];Lz(a,e,b);k[a>>2]=25900;r=d;return}function oK(a,b){a=a|0;b=b|0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=32175){b=0;return b|0}if(!(+p[a+64>>3]==+p[b+64>>3])){b=0;return b|0}if(!(+p[a+72>>3]==+p[b+72>>3])){b=0;return b|0}if(!(+p[a+80>>3]==+p[b+80>>3])){b=0;return b|0}b=+p[a+88>>3]==+p[b+88>>3];return b|0}function pK(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a+4>>2]|0;c=a+8|0;d=k[c>>2]|0;while(1){if((d|0)==(b|0))break;e=d+-4|0;k[c>>2]=e;d=e}c=k[a>>2]|0;do if(c|0){b=k[a+16>>2]|0;if((b|0)==(c|0)){i[b+112>>0]=0;break}else{cra(c);break}}while(0);return}function qK(a,b){a=a|0;b=b|0;var c=0,d=0;d=r;r=r+16|0;c=d;LT(c,a);k[c>>2]=6336;y=0;a=qa(b|0,c|0)|0;b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{DO(c);r=d;return a|0}return 0}function rK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+60>>2]=9248;d=a+64|0;b=k[d>>2]|0;if(!b){cra(a);return}e=a+68|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);cra(a);return}function sK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+52>>2]=12936;d=a+56|0;b=k[d>>2]|0;if(!b){cra(a);return}e=a+60|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);cra(a);return}function tK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+60>>2]=10136;d=a+64|0;b=k[d>>2]|0;if(!b){cra(a);return}e=a+68|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);cra(a);return}function uK(a,b){a=a|0;b=b|0;var c=0,d=0;if(!((a|0)!=0&(b|0)!=0))return;if((k[a+16>>2]|0)!=4)eb(42468,42493,602,42506);if(k[b>>2]|0)eb(42526,42493,603,42506);k[b>>2]=a;d=a+24|0;a=d+4|0;c=k[a>>2]|0;k[b+4>>2]=c;k[b+8>>2]=0;if(!c)k[d>>2]=b;else k[c+8>>2]=b;k[a>>2]=b;return}function vK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;d=f;if(!b)b=0;else{e=d+4|0;while(1){LT(d,k[b+88>>2]|0);k[d>>2]=15136;c=k[e>>2]|0;DO(d);if(!c)break;else b=c}}LT(a,b);k[a>>2]=15136;r=f;return}function wK(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a>>2]|0;if(!b)return;d=a+4|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{e=c+-12|0;k[d>>2]=e;A9(e);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[a>>2]|0}cra(b);return}function xK(a){a=a|0;var b=0;a=mE(a)|0;if(!a){b=0;return b|0}else b=a;while(1){a=mE(b)|0;if(!a)break;else b=a}a=nE(b)|0;if(!a)return b|0;while(1){b=nE(a)|0;if(!b)break;else a=b}return a|0}function yK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+64>>2]=6524;d=a+68|0;b=k[d>>2]|0;if(!b){cra(a);return}e=a+72|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);cra(a);return}function zK(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a+60>>2]=9248;d=a+64|0;b=k[d>>2]|0;if(!b){cra(a);return}e=a+68|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);cra(a);return}function AK(a){a=a|0;var b=0,c=0;k[a>>2]=15916;b=a+56|0;k[b>>2]=15936;c=a+4|0;k[c>>2]=15832;A9(a+36|0);Xaa(c);yla(a,15948);Vja(b);cra(a);return}function BK(a){a=a|0;var b=0,c=0;k[a>>2]=15796;b=a+60|0;k[b>>2]=15816;c=a+8|0;k[c>>2]=15832;A9(a+40|0);Xaa(c);zla(a,15892);Vja(b);cra(a);return}function CK(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;k[f>>2]=d;d=A8(b)|0;b=DM(a,c,f)|0;if(d|0){y=0;qa(405,d|0)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}}r=e;return b|0}function DK(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=18444;b=k[a+20>>2]|0;c=b;if(b|0){d=a+24|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}d=k[a+8>>2]|0;if(!d)return;b=a+12|0;c=k[b>>2]|0;if((c|0)!=(d|0))k[b>>2]=c+(~((c+-4-d|0)>>>2)<<2);cra(d);return}function EK(a){a=a|0;var b=0,c=0;c=0;while(1){if((l[53530+c>>0]|0)==(a|0)){a=2;break}b=c+1|0;if((b|0)==87){b=53618;c=87;a=5;break}else c=b}if((a|0)==2)if(!c)b=53618;else{b=53618;a=5}if((a|0)==5)while(1){do{a=b;b=b+1|0}while((i[a>>0]|0)!=0);c=c+-1|0;if(!c)break;else a=5}return b|0}function FK(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;if((a|0)==(k[b+8>>2]|0))gD(0,b,c,d,e);else{a=k[a+8>>2]|0;wc[k[(k[a>>2]|0)+20>>2]&31](a,b,c,d,e,f)}return}function GK(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-60|0;k[b+60>>2]=9248;d=b+64|0;a=k[d>>2]|0;if(!a)return;c=b+68|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}cra(a);return}function HK(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-52|0;k[b+52>>2]=12936;d=b+56|0;a=k[d>>2]|0;if(!a)return;c=b+60|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}cra(a);return}function IK(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-60|0;k[b+60>>2]=10136;d=b+64|0;a=k[d>>2]|0;if(!a)return;c=b+68|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}cra(a);return}function JK(a){a=a|0;var b=0,c=0,d=0,e=0;a=a+-4|0;k[a>>2]=19044;k[a+4>>2]=19328;b=k[a+116>>2]|0;c=b;if(b|0){d=a+120|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}A9(a+104|0);xE(a);cra(a);return}function KK(a){a=a|0;var b=0,c=0;k[a>>2]=15916;b=a+56|0;k[b>>2]=15936;c=a+4|0;k[c>>2]=15832;A9(a+36|0);Xaa(c);yla(a,15948);Vja(b);return}function LK(a){a=a|0;var b=0,c=0;k[a>>2]=15796;b=a+60|0;k[b>>2]=15816;c=a+8|0;k[c>>2]=15832;A9(a+40|0);Xaa(c);zla(a,15892);Vja(b);return}function MK(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;tc[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0,m|0,n|0,o|0,p|0)}function NK(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-64|0;k[b+64>>2]=6524;d=b+68|0;a=k[d>>2]|0;if(!a)return;c=b+72|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}cra(a);return}function OK(a){a=a|0;var b=0,c=0,d=0,e=0;b=a+-60|0;k[b+60>>2]=9248;d=b+64|0;a=k[d>>2]|0;if(!a)return;c=b+68|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{e=b+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[d>>2]|0}cra(a);return}function PK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+32|0;d=c+12|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=5;k[f+4>>2]=5;i[f+8>>0]=0;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];k[d+8>>2]=k[f+8>>2];Lc[e&255](a,b,d);r=c;return}function QK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+32|0;d=c+12|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=4;k[f+4>>2]=5;i[f+8>>0]=0;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];k[d+8>>2]=k[f+8>>2];Lc[e&255](a,b,d);r=c;return}function RK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+32|0;d=c+12|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=0;k[f+4>>2]=5;i[f+8>>0]=0;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];k[d+8>>2]=k[f+8>>2];Lc[e&255](a,b,d);r=c;return}function SK(a){a=a|0;var b=0,c=0;b=a+84|0;c=i[b+11>>0]|0;if(((c<<24>>24<0?k[a+88>>2]|0:c&255)|0)!=1)return k[4071]|0;y=0;a=sa(21,b|0,0,-1,48696,1)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}else return ((a|0)==0?0:k[4071]|0)|0;return 0}function TK(){var a=0,b=0;y=0;a=La(10)|0;b=y;y=0;if(b&1){b=tb(0)|0;Sla(b)}if(a|0){a=k[a>>2]|0;if(a|0){b=a+48|0;if((k[b>>2]&-256|0)==1126902528?(k[b+4>>2]|0)==1129074247:0)dH(k[a+12>>2]|0)}}dH(Kka()|0)}function UK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+32|0;d=c+12|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=5;k[f+4>>2]=5;i[f+8>>0]=0;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];k[d+8>>2]=k[f+8>>2];Lc[e&255](a,b,d);r=c;return}function VK(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;c=r;r=r+32|0;d=c+12|0;f=c;e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=4;k[f+4>>2]=5;i[f+8>>0]=0;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];k[d+8>>2]=k[f+8>>2];Lc[e&255](a,b,d);r=c;return}function WK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48808]|0;a:do if(b<<24>>24){c=48808;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function XK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35483]|0;a:do if(b<<24>>24){c=35483;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function YK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[51055]|0;a:do if(b<<24>>24){c=51055;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function ZK(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[51064]|0;a:do if(b<<24>>24){c=51064;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function _K(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[50984]|0;a:do if(b<<24>>24){c=50984;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function $K(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[51039]|0;a:do if(b<<24>>24){c=51039;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function aL(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;c=f;k[c>>2]=b;d=a+20|0;e=k[d>>2]|0;if((e|0)==(k[a+24>>2]|0)){FA(a+16|0,c);r=f;return}else{k[e>>2]=b;k[d>>2]=e+4;r=f;return}}function bL(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=b+64|0;c=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>3;if(!c)return;b=0;do{e=(Fc[k[(k[d>>2]|0)+16>>2]&2047](d,b)|0)+4|0;e=k[e>>2]|0;mc[k[(k[e>>2]|0)+44>>2]&1023](e,a);b=b+1|0}while((b|0)!=(c|0));return}function cL(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;if((i[b+11>>0]|0)<0)aI(a,k[b>>2]|0,k[b+4>>2]|0);else{k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2]}return}function dL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48717]|0;a:do if(b<<24>>24){c=48717;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function eL(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a>>2]|0;if(!b)return;d=a+4|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{e=c+-8|0;k[d>>2]=e;lc[k[k[e>>2]>>2]&511](e);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[a>>2]|0}cra(b);return}function fL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[34038]|0;a:do if(b<<24>>24){c=34038;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function gL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[44293]|0;a:do if(b<<24>>24){c=44293;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function hL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48724]|0;a:do if(b<<24>>24){c=48724;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function iL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48735]|0;a:do if(b<<24>>24){c=48735;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function jL(a){a=a|0;var b=0,c=0,d=0,e=0;a=a+-4|0;k[a>>2]=19044;k[a+4>>2]=19328;b=k[a+116>>2]|0;c=b;if(b|0){d=a+120|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}A9(a+104|0);xE(a);return}function kL(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=k[a+4>>2]|0;g=h>>8;if(h&1)g=k[(k[d>>2]|0)+g>>2]|0;a=k[a>>2]|0;wc[k[(k[a>>2]|0)+20>>2]&31](a,b,c,d+g|0,h&2|0?e:2,f);return}function lL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48762]|0;a:do if(b<<24>>24){c=48762;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function mL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+32|0;f=e;d=e+20|0;k[f>>2]=k[a+60>>2];k[f+4>>2]=0;k[f+8>>2]=b;k[f+12>>2]=d;k[f+16>>2]=c;if((O8(Yb(140,f|0)|0)|0)<0){k[d>>2]=-1;a=-1}else a=k[d>>2]|0;r=e;return a|0}function nL(a){a=a|0;var b=0,c=0;c=a+84|0;a=(i[c+11>>0]|0)<0;if(a)b=k[c>>2]|0;else b=c;if((i[b>>0]|0)==58){if(a)a=k[c>>2]|0;else a=c;if((i[a+1>>0]|0)==58){c=1;return c|0}}c=Bt(c)|0;return c|0}function oL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48707]|0;a:do if(b<<24>>24){c=48707;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function pL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35451]|0;a:do if(b<<24>>24){c=35451;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function qL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35436]|0;a:do if(b<<24>>24){c=35436;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function rL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+60>>2]=9248;d=a+64|0;b=k[d>>2]|0;if(!b)return;c=a+68|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}cra(b);return}function sL(a){a=a|0;var b=0;b=i[a>>0]|0;a=a+1|0;if(b<<24>>24==43){b=a;return b|0}if(b<<24>>24!=45){b=0;return b|0}a=ru(a)|0;if(!a){b=0;return b|0}b=(i[a>>0]|0)==45?a+1|0:0;return b|0}function tL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35501]|0;a:do if(b<<24>>24){c=35501;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function uL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[51026]|0;a:do if(b<<24>>24){c=51026;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function vL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[51047]|0;a:do if(b<<24>>24){c=51047;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function wL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+52>>2]=12936;d=a+56|0;b=k[d>>2]|0;if(!b)return;c=a+60|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}cra(b);return}function xL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48700]|0;a:do if(b<<24>>24){c=48700;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function yL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48801]|0;a:do if(b<<24>>24){c=48801;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function zL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[58348]|0;a:do if(b<<24>>24){c=58348;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function AL(a,b){a=a|0;b=b|0;return (tv(a,b)|0)!=(a+4|0)|0}function BL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+60>>2]=10136;d=a+64|0;b=k[d>>2]|0;if(!b)return;c=a+68|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}cra(b);return}function CL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[50964]|0;a:do if(b<<24>>24){c=50964;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function DL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[58354]|0;a:do if(b<<24>>24){c=58354;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function EL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48606]|0;a:do if(b<<24>>24){c=48606;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function FL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[46863]|0;a:do if(b<<24>>24){c=46863;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function GL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[50977]|0;a:do if(b<<24>>24){c=50977;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function HL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[50970]|0;a:do if(b<<24>>24){c=50970;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function IL(a){a=a|0;i[a+84>>0]=1;switch(k[k[a+68>>2]>>2]|0){case 2:if(!(k[a+72>>2]|0)){k[a+80>>2]=1;k[a+76>>2]=0;return}else{k[a+76>>2]=1;return}case 3:return;default:{if(i[a+95>>0]|0)if(i[a+97>>0]|0)return;k[a+80>>2]=1;k[a+76>>2]=0;return}}}function JL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=19044;k[a+4>>2]=19328;b=k[a+116>>2]|0;c=b;if(b|0){d=a+120|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}A9(a+104|0);xE(a);cra(a);return}function KL(a){a=a|0;do if(!(i[76760]|0))if(Qba(76760)|0){k[21014]=0;k[21015]=0;k[21016]=0;y=0;Na(74,84056,56705,11);a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{Pb(427,84056,x|0)|0;break}}while(0);return 84056}function LL(a){a=a|0;do if(!(i[76768]|0))if(Qba(76768)|0){k[21017]=0;k[21018]=0;k[21019]=0;y=0;Na(74,84068,56717,20);a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{Pb(427,84068,x|0)|0;break}}while(0);return 84068}function ML(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35448]|0;a:do if(b<<24>>24){c=35448;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function NL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[42839]|0;a:do if(b<<24>>24){c=42839;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);c=DP(a)|0;return c|0}function OL(a){a=a|0;var b=0,c=0,d=0,e=0;b=k[a>>2]|0;do if(b|0){c=a+4|0;d=k[c>>2]|0;while(1){if((d|0)==(b|0))break;e=d+-4|0;k[c>>2]=e;d=e}if((a+16|0)==(b|0)){i[a+128>>0]=0;break}else{cra(b);break}}while(0);return}function PL(a){a=a|0;do if(!(i[76752]|0))if(Qba(76752)|0){k[21011]=0;k[21012]=0;k[21013]=0;y=0;Na(74,84044,56696,8);a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{Pb(427,84044,x|0)|0;break}}while(0);return 84044}function QL(a){a=a|0;do if(!(i[76744]|0))if(Qba(76744)|0){k[21008]=0;k[21009]=0;k[21010]=0;y=0;Na(74,84032,56687,8);a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{Pb(427,84032,x|0)|0;break}}while(0);return 84032}function RL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+64>>2]=6524;d=a+68|0;b=k[d>>2]|0;if(!b)return;c=a+72|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}cra(b);return}function SL(a){a=a|0;var b=0,c=0,d=0,e=0;k[a+60>>2]=9248;d=a+64|0;b=k[d>>2]|0;if(!b)return;c=a+68|0;a=k[c>>2]|0;if((a|0)!=(b|0)){do{e=a+-8|0;k[c>>2]=e;lc[k[k[e>>2]>>2]&511](e);a=k[c>>2]|0}while((a|0)!=(b|0));b=k[d>>2]|0}cra(b);return}function TL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=(c|0)==0;if(a-b>>2>>>0<c>>>0){if(!d)do{c=c+-1|0;k[a+(c<<2)>>2]=k[b+(c<<2)>>2]}while((c|0)!=0)}else if(!d){d=b;b=a;while(1){c=c+-1|0;k[b>>2]=k[d>>2];if(!c)break;else{d=d+4|0;b=b+4|0}}}return a|0}function UL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=r;r=r+32|0;e=d;f=d+16|0;k[f>>2]=c;g=(k[f>>2]|0)+(4-1)&~(4-1);c=k[g>>2]|0;k[f>>2]=g+4;k[e>>2]=a;k[e+4>>2]=b|32768;k[e+8>>2]=c;c=O8(Mb(5,e|0)|0)|0;r=d;return c|0}function VL(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35539]|0;a:do if(!(b<<24>>24))b=0;else{c=35539;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function WL(a,b){a=a|0;b=b|0;var c=0;if(b>>>0>1073741823)pN(a);c=a+128|0;if(b>>>0<29&(i[c>>0]|0)==0){i[c>>0]=1;c=a+16|0}else c=IM(b<<2)|0;k[a+4>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(b<<2);return}function XL(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)!=46){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(!b){a=0;return a|0}a=gx(b)|0;return a|0}function YL(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)!=64){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(!b){a=0;return a|0}a=gx(b)|0;return a|0}function ZL(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a:do if(!(i[a+44>>0]|0)){d=0;while(1){if((d|0)>=(c|0))break a;if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,k[b>>2]|0)|0)==-1)break a;d=d+1|0;b=b+4|0}}else d=SN(b,4,c,k[a+32>>2]|0)|0;while(0);return d|0}function _L(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a:do if(!(i[a+44>>0]|0)){d=0;while(1){if((d|0)>=(c|0))break a;if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,l[b>>0]|0)|0)==-1)break a;d=d+1|0;b=b+1|0}}else d=SN(b,1,c,k[a+32>>2]|0)|0;while(0);return d|0}function $L(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35536]|0;a:do if(!(b<<24>>24))b=0;else{c=35536;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function aM(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35533]|0;a:do if(!(b<<24>>24))b=0;else{c=35533;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function bM(a,b){a=a|0;b=b|0;var c=0;c=Yaa(b)|0;if(c|0)return Fc[k[(k[a>>2]|0)+92>>2]&2047](a,c)|0;b=Kaa(b)|0;if(!b){a=0;return a|0}a=Fc[k[(k[a>>2]|0)+136>>2]&2047](a,b)|0;return a|0}function cM(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35527]|0;a:do if(!(b<<24>>24))b=0;else{c=35527;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function dM(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)!=36){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(!b){a=0;return a|0}a=gx(b)|0;return a|0}function eM(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[35530]|0;a:do if(!(b<<24>>24))b=0;else{c=35530;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function fM(a){a=a|0;var b=0,c=0,d=0,e=0;k[a>>2]=19044;k[a+4>>2]=19328;b=k[a+116>>2]|0;c=b;if(b|0){d=a+120|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}A9(a+104|0);xE(a);return}function gM(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=k[a+4>>2]|0;f=g>>8;if(g&1)f=k[(k[c>>2]|0)+f>>2]|0;a=k[a>>2]|0;kc[k[(k[a>>2]|0)+24>>2]&31](a,b,c+f|0,g&2|0?d:2,e);return}function hM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=BO(1,28)|0;if(!e){e=0;return e|0}if(!a)a=0;else a=LP(a)|0;k[e>>2]=a;if(!b)a=0;else a=LP(b)|0;k[e+4>>2]=a;k[e+8>>2]=c;k[e+12>>2]=d;k[e+20>>2]=-1;k[e+24>>2]=-1;return e|0}function iM(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48685]|0;a:do if(!(b<<24>>24))b=0;else{c=48685;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function jM(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48693]|0;a:do if(!(b<<24>>24))b=0;else{c=48693;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function kM(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48688]|0;a:do if(!(b<<24>>24))b=0;else{c=48688;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function lM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((a|0)==(k[b+8>>2]|0))UH(0,b,c,d);else{a=k[a+8>>2]|0;Pc[k[(k[a>>2]|0)+28>>2]&63](a,b,c,d)}return}function mM(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48691]|0;a:do if(!(b<<24>>24))b=0;else{c=48691;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function nM(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48587]|0;a:do if(!(b<<24>>24))b=0;else{c=48587;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function oM(a){a=a|0;var b=0,c=0;if(!a){c=0;return c|0}b=i[48682]|0;a:do if(!(b<<24>>24))b=0;else{c=48682;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);c=b<<24>>24==0?a:0;return c|0}function pM(a){a=a|0;var b=0;b=_y(a)|0;if(b|0)return b|0;b=Zw(a)|0;return b|0}function qM(a,b){a=a|0;b=b|0;k[a>>2]=18760;k[a+4>>2]=b;b=a+8|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;o[a+28>>2]=1.0;b=a+32|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;o[a+48>>2]=1.0;return}function rM(a){a=a|0;var b=0,c=0,d=0,e=0;e=r;r=r+32|0;b=e+16|0;c=e+12|0;d=e;k[d>>2]=a;k[d+4>>2]=469;k[d+8>>2]=0;if((k[a>>2]|0)!=-1){k[b>>2]=d;k[c>>2]=b;Uu(a,c,470)}r=e;return (k[a+4>>2]|0)+-1|0}function sM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=BO(1,28)|0;if(!d){d=0;return d|0}if(!a)a=0;else{e=LP(a)|0;k[d>>2]=e;a=LP(a)|0}k[d+4>>2]=a;k[d+8>>2]=b;k[d+12>>2]=c;k[d+20>>2]=-1;k[d+24>>2]=-1;e=d;return e|0}function tM(a){a=a|0;var b=0,c=0;b=a+74|0;c=i[b>>0]|0;i[b>>0]=c+255|c;b=k[a>>2]|0;if(!(b&8)){k[a+8>>2]=0;k[a+4>>2]=0;c=k[a+44>>2]|0;k[a+28>>2]=c;k[a+20>>2]=c;k[a+16>>2]=c+(k[a+48>>2]|0);a=0}else{k[a>>2]=b|32;a=-1}return a|0}function uM(a){a=a|0;var b=0,c=0,d=0;b=i[a+11>>0]|0;d=b<<24>>24<0;c=d?k[a>>2]|0:a;a=d?k[a+4>>2]|0:b&255;b=c+a|0;if(!a)return;else a=c;do{if((i[a>>0]|0)==10)i[a>>0]=32;a=a+1|0}while((a|0)!=(b|0));return}function vM(a){a=a|0;var b=0;b=k[a+68>>2]|0;if(b|0)if(oc[k[(k[b>>2]|0)+84>>2]&511](b)|0){b=1;return b|0}if((k[a+52>>2]|0)==7){b=1;return b|0}a=k[a+84>>2]|0;if(!a){b=0;return b|0}b=oc[k[(k[a>>2]|0)+84>>2]&511](a)|0;return b|0}function wM(a){a=a|0;var b=0;k[a>>2]=25596;y=0;oa(704,a|0,0);b=y;y=0;if(b&1){b=tb(0)|0;Sla(b)}else{Hea(a+28|0);Wf(k[a+32>>2]|0);Wf(k[a+36>>2]|0);Wf(k[a+48>>2]|0);Wf(k[a+60>>2]|0);return}}function xM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function yM(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;f=k[a+4>>2]|0;e=f>>8;if(f&1)e=k[(k[c>>2]|0)+e>>2]|0;a=k[a>>2]|0;Pc[k[(k[a>>2]|0)+28>>2]&63](a,b,c+e|0,f&2|0?d:2);return}function zM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=r;r=r+80|0;d=e;k[a+36>>2]=14;if(!(k[a>>2]&64)){k[d>>2]=k[a+60>>2];k[d+4>>2]=21505;k[d+8>>2]=e+12;if(Ya(54,d|0)|0)i[a+75>>0]=-1}d=Hr(a,b,c)|0;r=e;return d|0}function AM(a,b){a=a|0;b=b|0;var c=0;c=a+4|0;QG(c,b+84|0,b);a=b+61|0;if(!(i[a>>0]|0))return;IO(c);if(!(i[a>>0]|0))return;Rx(c);return}function BM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function CM(a){a=a|0;var b=0,c=0;c=a+15&-16|0;b=k[t>>2]|0;a=b+c|0;if((c|0)>0&(a|0)<(b|0)|(a|0)<0){ia()|0;ab(12);return -1}k[t>>2]=a;if((a|0)>(ha()|0))if(!(ga()|0)){ab(12);k[t>>2]=b;return -1}return b|0}function DM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=r;r=r+112|0;d=f;e=d;g=e+112|0;do{k[e>>2]=0;e=e+4|0}while((e|0)<(g|0));k[d+32>>2]=159;k[d+44>>2]=a;k[d+76>>2]=-1;k[d+84>>2]=a;g=He(d,b,c)|0;r=f;return g|0}function EM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function FM(a){a=a|0;return Ul(a)|0}function GM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function HM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function IM(a){a=a|0;var b=0,c=0;b=(a|0)==0?1:a;while(1){c=ud(b)|0;if(c|0){a=6;break}a=Tja()|0;if(!a){a=5;break}jc[a&7]()}if((a|0)==5){c=gb(4)|0;Qoa(c);Wb(c|0,5760,404)}else if((a|0)==6)return c|0;return 0}function JM(a){a=a|0;var b=0,c=0,d=0;b=k[a>>2]|0;y=0;c=La(3)|0;d=y;y=0;do if(!(d&1)){if((b|0)!=(c|0)){y=0;na(478,k[a>>2]|0);d=y;y=0;if(d&1)break}return}while(0);d=tb(0)|0;Sla(d)}function KM(a){a=a|0;var b=0,c=0;if((i[a+11>>0]|0)<0)a=k[a>>2]|0;b=(IJ(a)|0)+1|0;c=ud(b)|0;if(!c){ST(83256,49612)|0;Zb(1)}else{wH(c|0,a|0,b|0)|0;return c|0}return 0}function LM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function MM(a){a=a|0;var b=0;a=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[a>>2]=16920;b=a+108|0;k[b>>2]=16940;Vz(a+8|0);zla(a,16952);Vja(b);cra(a);return}function NM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function OM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=r;r=r+16|0;d=e;Lc[k[(k[a>>2]|0)+12>>2]&255](d,a,b);if((k[d+4>>2]|0)==(k[c+4>>2]|0))a=(k[d>>2]|0)==(k[c>>2]|0);else a=0;r=e;return a|0}function PM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function QM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function RM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function SM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function TM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function UM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function VM(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;d=a+84|0;f=k[d>>2]|0;g=c+256|0;e=aA(f,0,g)|0;e=(e|0)==0?g:e-f|0;c=e>>>0<c>>>0?e:c;wH(b|0,f|0,c|0)|0;k[a+4>>2]=f+c;b=f+e|0;k[a+8>>2]=b;k[d>>2]=b;return c|0}function WM(a,b){a=a|0;b=b|0;var c=0,d=0;c=a+4|0;d=k[c>>2]|0;if((k[a+8>>2]|0)-d>>3>>>0>b>>>0){d=d+(b<<3)|0;return d|0}else{oN(c);d=k[c>>2]|0;d=d+(b<<3)|0;return d|0}return 0}function XM(a){a=a|0;var b=0,c=0,d=0;c=(Haa(a,43)|0)==0;b=i[a>>0]|0;b=b<<24>>24|0;c=c?(b|0)!=114&1:2;d=(Haa(a,120)|0)==0;c=d?c:c|128;a=(Haa(a,101)|0)==0;a=a?c:c|524288;a=(b|0)==114?a:a|64;a=(b|0)==119?a|512:a;return ((b|0)==97?a|1024:a)|0}function YM(a,b){a=a|0;b=b|0;var c=0;k[a+24>>2]=b;k[a+16>>2]=(b|0)==0&1;k[a+20>>2]=0;k[a+4>>2]=4098;k[a+12>>2]=0;k[a+8>>2]=6;c=a+28|0;b=a+32|0;a=b+40|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(a|0));GO(c);return}function ZM(a){a=a|0;k[a>>2]=7700;A9(a+100|0);A9(a+88|0);A9(a+76|0);A9(a+64|0);cra(a);return}function _M(a){a=a|0;var b=0,c=0;if(!a)return;b=k[a>>2]|0;if(b|0){c=a;do{Wf(k[b>>2]|0);Wf(k[b+4>>2]|0);Wf(k[b+8>>2]|0);Wf(k[b+12>>2]|0);Wf(k[b+16>>2]|0);Wf(b);c=c+4|0;b=k[c>>2]|0}while((b|0)!=0)}Wf(a);return}function $M(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=k[c>>2]|0;d=a;c=b-a>>2;while(1){if(!c)break;b=(c|0)/2|0;f=d+(b<<2)|0;a=(k[f>>2]|0)>>>0<e>>>0;d=a?f+4|0:d;c=a?c+-1-b|0:b}return d|0}function aN(a,b){a=a|0;b=b|0;var c=0,d=0;c=i[a>>0]|0;d=i[b>>0]|0;if(c<<24>>24==0?1:c<<24>>24!=d<<24>>24)a=d;else{do{a=a+1|0;b=b+1|0;c=i[a>>0]|0;d=i[b>>0]|0}while(!(c<<24>>24==0?1:c<<24>>24!=d<<24>>24));a=d}return (c&255)-(a&255)|0}function bN(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a:do if(!c)a=0;else{while(1){d=i[a>>0]|0;e=i[b>>0]|0;if(d<<24>>24!=e<<24>>24)break;c=c+-1|0;if(!c){a=0;break a}else{a=a+1|0;b=b+1|0}}a=(d&255)-(e&255)|0}while(0);return a|0}function cN(a){a=a|0;var b=0;b=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;k[b>>2]=16920;a=b+108|0;k[a>>2]=16940;Vz(b+8|0);zla(b,16952);Vja(a);return}function dN(a){a=a|0;k[a>>2]=14324;DO(a+116|0);A9(a+104|0);k[a>>2]=13112;A9(a+84|0);A9(a+72|0);cra(a);return}function eN(a){a=a|0;k[a>>2]=16852;A9(a+76|0);k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function fN(a){a=a|0;var b=0,c=0,d=0;c=i[35545]|0;a:do if(!(c<<24>>24))b=0;else{b=i[a>>0]|0;d=35545;while(1){if(b<<24>>24==c<<24>>24)break a;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);return (b<<24>>24?a+1|0:0)|0}function gN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;if(!a){f=0;return f|0}f=a+16|0;e=k[f>>2]|0;if(e|0)Wf(e);if(!b)b=0;else b=LP(b)|0;k[f>>2]=b;k[a+20>>2]=c|0?c:-1;k[a+24>>2]=d|0?d:-1;f=a;return f|0}function hN(a){a=a|0;a=ds(a)|0;if(!a)a=0;else{a=NO(a)|0;if(!a)a=0;else if((i[a>>0]|0)==47){a=NO(a+1|0)|0;if(!a)a=0;else a=ds(a)|0}else a=0}return a|0}function iN(a){a=a|0;k[a>>2]=7700;A9(a+100|0);A9(a+88|0);A9(a+76|0);A9(a+64|0);return}function jN(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)==48)if((i[a+1>>0]|0)==120){b=o4(a+2|0)|0;if(!b)b=0;else while(1){c=o4(b)|0;if(!c)break;else b=c}}else b=0;else b=0;a=b-a|0;return ((a|0)!=5&(a|0)!=8?0:b)|0}function kN(a){a=a|0;var b=0;b=k[a+80>>2]|0;if(b|0)if(oc[k[(k[b>>2]|0)+156>>2]&511](b)|0){b=1;return b|0}a=k[a+88>>2]|0;if(a|0)if(oc[k[(k[a>>2]|0)+152>>2]&511](a)|0){b=1;return b|0}b=0;return b|0}function lN(a){a=a|0;var b=0;a=gb(8)|0;y=0;oa(479,a|0,58553);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else{k[a>>2]=29256;Wb(a|0,5824,407)}}function mN(a){a=a|0;var b=0;a=gb(8)|0;y=0;oa(479,a|0,58553);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else{k[a>>2]=29236;Wb(a|0,5808,407)}}function nN(a){a=a|0;k[a>>2]=17804;A9(a+80|0);k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function oN(a){a=a|0;var b=0;a=gb(8)|0;y=0;oa(479,a|0,58401);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else{k[a>>2]=29256;Wb(a|0,5824,407)}}function pN(a){a=a|0;var b=0;a=gb(8)|0;y=0;oa(479,a|0,58401);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else{k[a>>2]=29236;Wb(a|0,5808,407)}}function qN(a,b){a=a|0;b=b|0;a=k[b+4>>2]|0;if(!a){b=0;return b|0}if((k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)==32599){b=1;return b|0}b=(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)==32572;return b|0}function rN(a){a=a|0;return kr(a)|0}function sN(a){a=a|0;var b=0;if(!(k[a>>2]&128))b=1;else b=(k[a+20>>2]|0)>>>0>(k[a+28>>2]|0)>>>0?2:1;b=rc[k[a+40>>2]&255](a,0,b)|0;if((b|0)>=0)b=b-(k[a+8>>2]|0)+(k[a+4>>2]|0)+(k[a+20>>2]|0)-(k[a+28>>2]|0)|0;return b|0}function tN(a){a=a|0;eD(a,k[a+4>>2]|0);return}function uN(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;c=d+8|0;b=UL(a,589824,d)|0;do if((b|0)<0)a=0;else{a=BO(1,2072)|0;if(!a){k[c>>2]=b;Sb(6,c|0)|0;a=0;break}else{k[a>>2]=b;break}}while(0);r=d;return a|0}function vN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((b|0)==(c|0))break;a=k[b>>2]|0;if(a>>>0<128){a=(uR()|0)+(a<<1)|0;a=m[a>>1]|0}else a=0;j[d>>1]=a;d=d+2|0;b=b+4|0}return c|0}function wN(a){a=a|0;k[a>>2]=14324;DO(a+116|0);A9(a+104|0);k[a>>2]=13112;A9(a+84|0);A9(a+72|0);return}function xN(a){a=a|0;k[a>>2]=16852;A9(a+76|0);k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);return}function yN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=a+32|0;e=a+36|0;c=k[a+40>>2]|0;while(1){if(!c)break;f=c+-1|0;Lc[k[(k[d>>2]|0)+(f<<2)>>2]&255](b,a,k[(k[e>>2]|0)+(f<<2)>>2]|0);c=f}return}function zN(a){a=a|0;var b=0,c=0;b=IM(104)|0;y=0;oa(497,b|0,a|0);c=y;y=0;if(c&1){c=pb()|0;cra(b);sb(c|0)}else{k[b>>2]=13300;i[b+101>>0]=i[a+101>>0]|0;return b|0}return 0}function AN(a,b){a=a|0;b=b|0;k[a>>2]=29216;y=0;oa(741,a+4|0,((i[b+11>>0]|0)<0?k[b>>2]|0:b)|0);b=y;y=0;if(b&1){b=pb()|0;sb(b|0)}else return}function BN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((c|0)==(d|0)){c=d;break}a=k[c>>2]|0;if(a>>>0>=128)break;a=(uR()|0)+(a<<1)|0;if(!((j[a>>1]&b)<<16>>16))break;c=c+4|0}return c|0}function CN(a){a=a|0;k[a>>2]=17804;A9(a+80|0);k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);return}function DN(a,b){a=a|0;b=b|0;var c=0;k[a+64>>2]=b;c=k[a+88>>2]|0;if(c|0)mc[k[(k[c>>2]|0)+120>>2]&1023](c,b);a=k[a+80>>2]|0;if(!a)return;mc[k[(k[a>>2]|0)+120>>2]&1023](a,b);return}function EN(a,b){a=a|0;b=b|0;var c=0,d=0;if((a|0)!=(b|0)){c=i[b+11>>0]|0;d=c<<24>>24<0;hE(a,d?k[b>>2]|0:b,d?k[b+4>>2]|0:c&255)|0}return a|0}function FN(a,b){a=a|0;b=b|0;var c=0,d=0;c=i[a+11>>0]|0;d=c<<24>>24<0;if(d)c=k[a+4>>2]|0;else c=c&255;if(c>>>0<=b>>>0)lN(a);if(d)a=k[a>>2]|0;return a+b|0}function GN(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=a&65535;e=b&65535;c=aa(e,f)|0;d=a>>>16;a=(c>>>16)+(aa(e,d)|0)|0;e=b>>>16;b=aa(e,f)|0;return (N=(a>>>16)+(aa(e,d)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|c&65535|0)|0}function HN(a,b){a=a|0;b=b|0;var c=0,d=0;c=i[a+11>>0]|0;d=c<<24>>24<0;if(d)c=k[a+4>>2]|0;else c=c&255;if(c>>>0<=b>>>0)lN(a);if(d)a=k[a>>2]|0;return a+b|0}function IN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((c|0)==(d|0)){c=d;break}a=k[c>>2]|0;if(a>>>0<128){a=(uR()|0)+(a<<1)|0;if((j[a>>1]&b)<<16>>16)break}c=c+4|0}return c|0}function JN(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=(c-b|0)>>>2;a=e;e=b;while(1){if((e|0)==(c|0))break;g=k[e>>2]|0;i[a>>0]=g>>>0<128?g&255:d;a=a+1|0;e=e+4|0}return b+(f<<2)|0}function KN(a,b){a=+a;b=+b;var c=0,d=0;p[u>>3]=a;d=k[u>>2]|0;c=k[u+4>>2]|0;p[u>>3]=b;c=k[u+4>>2]&-2147483648|c&2147483647;k[u>>2]=d;k[u+4>>2]=c;return +(+p[u>>3])}function LN(){var a=0,b=0;do if(!(i[76736]|0))if(Qba(76736)|0){y=0;a=ta(160,2147483647,56256,0)|0;b=y;y=0;if(b&1){b=pb()|0;sb(b|0)}else{k[20992]=a;break}}while(0);return k[20992]|0}function MN(a,b){a=a|0;b=b|0;i[a>>0]=0;k[a+4>>2]=b;b=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;if(!(k[b+16>>2]|0)){b=k[b+72>>2]|0;if(b|0)Gu(b)|0;i[a>>0]=1}return}function NN(a,b){a=a|0;b=b|0;i[a>>0]=0;k[a+4>>2]=b;b=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;if(!(k[b+16>>2]|0)){b=k[b+72>>2]|0;if(b|0)Hu(b)|0;i[a>>0]=1}return}function ON(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=d;k[a+12>>2]=b;k[a+16>>2]=c;d=a+20|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[d+16>>2]=0;return}function PN(a,b,c){a=a|0;b=b|0;c=c|0;a=0;if(!(i[b>>0]|0))a=4;else if(!(aN(b,56256)|0))a=4;else if(!(aN(b,55437)|0))a=4;else c=0;do if((a|0)==4)if(!c)if(!(k[20600]|0)){k[20600]=1;c=82404;break}else{c=BO(1,4)|0;break}while(0);return c|0}function QN(a){a=a|0;var b=0,c=0,d=0.0,e=0;b=xra()|0;b=i[k[b>>2]>>0]|0;if(b<<24>>24!=46){c=Haa(a,46)|0;if(c|0){e=LP(a)|0;i[e+(c-a)>>0]=b;d=+uoa(e,0);Wf(e);return +d}}d=+uoa(a,0);return +d}function RN(a){a=a|0;var b=0;b=ud((IJ(a)|0)+1|0)|0;if(!b){SN(49612,15,1,k[5390]|0)|0;Zb(1)}gna(b,a)|0;a=BO(1,32)|0;if(!a){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{k[a+16>>2]=2;k[a+24>>2]=b;return a|0}return 0}function SN(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=aa(c,b)|0;if((k[d+76>>2]|0)>-1){f=(kra(d)|0)==0;a=vB(a,e,d)|0;if(!f)jra(d)}else a=vB(a,e,d)|0;if((a|0)!=(e|0))c=(a>>>0)/(b>>>0)|0;return c|0}function TN(a,b,c,d,e,f,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;return Dc[a&3](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0,l|0)|0}function UN(a,b){a=a|0;b=b|0;k[a+4>>2]=b+-1;k[a>>2]=28660;k[a+8>>2]=46;k[a+12>>2]=44;b=a+16|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}return}function VN(a){a=a|0;var b=0,c=0;b=a+68|0;c=k[b>>2]|0;if(c|0)return c|0;a=k[a+56>>2]|0;a=(oc[k[(k[a>>2]|0)+8>>2]&511](a)|0)+-1640531527|0;c=k[b>>2]|0;c=a+(c<<6)+(c>>>2)^c;k[b>>2]=c;return c|0}function WN(a){a=a|0;var b=0,c=0,d=0;c=0;d=r;r=r+16|0;b=d;if(!(k[a+8>>2]|0))if(!(LH(a)|0))c=3;else a=-1;else c=3;if((c|0)==3)if((rc[k[a+32>>2]&255](a,b,1)|0)==1)a=l[b>>0]|0;else a=-1;r=d;return a|0}
function op(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;g=0;j=r;r=r+32|0;h=j+24|0;f=j+16|0;l=j+8|0;i=j;b=a+80|0;LT(h,k[b>>2]|0);k[h>>2]=15152;a:do if(!(k[h+4>>2]|0))DO(h);else{y=0;oa(460,f|0,k[b>>2]|0);e=y;y=0;b:do if(e&1)b=pb()|0;else{k[f>>2]=15152;b=k[f+4>>2]|0;c=k[b+76>>2]|0;e=(k[b+80>>2]|0)-c>>3;c:do if(e|0){d=b+76|0;b=0;while(1){c=k[c+(b<<3)+4>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+144>>2]|0,c|0)|0;m=y;y=0;if(m&1){g=12;break}b=b+1|0;if(c)break;if(b>>>0>=e>>>0)break c;c=k[d>>2]|0}if((g|0)==12){b=pb()|0;DO(f);break b}DO(f);DO(h);m=1;r=j;return m|0}while(0);DO(f);DO(h);break a}while(0);DO(h);m=b;sb(m|0)}while(0);b=a+88|0;LT(l,k[b>>2]|0);k[l>>2]=15136;if(!(k[l+4>>2]|0)){DO(l);m=0;r=j;return m|0}y=0;oa(460,i|0,k[b>>2]|0);m=y;y=0;do if(m&1)b=pb()|0;else{k[i>>2]=15136;y=0;b=qa(397,k[i+4>>2]|0)|0;m=y;y=0;if(m&1){b=pb()|0;DO(i);break}else{DO(i);DO(l);r=j;return b|0}}while(0);DO(l);m=b;sb(m|0);return 0}function pp(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;c=a+1|0;do if((i[a>>0]|0)==45){b=jea(c)|0;if(!b){d=i[c>>0]|0;b=a+2|0;d=d<<24>>24|0;b=(d|0)!=43?((d|0)==45?b:0):b;if(!b){b=0;break}}while(1){c=jea(b)|0;if(c|0){b=c;continue}d=i[b>>0]|0;c=b+1|0;d=d<<24>>24|0;c=(d|0)!=43?((d|0)==45?c:0):c;if(!c)break;else b=c}}else b=0;while(0);b=b|0?b:a;if(!b){e=0;return e|0}a=i[47281]|0;a:do if(!(a<<24>>24)){c=b;e=10}else{c=b;d=47281;while(1){if((i[c>>0]|0)!=a<<24>>24)break a;c=c+1|0;d=d+1|0;a=i[d>>0]|0;if(!(a<<24>>24)){e=10;break}}}while(0);if((e|0)==10){c=DP(c)|0;if(c|0){e=c;return e|0}}c=i[35507]|0;b:do if(c<<24>>24){a=35507;while(1){if((i[b>>0]|0)!=c<<24>>24){b=0;break}b=b+1|0;a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24))break b}return b|0}while(0);c=b+1|0;if((i[b>>0]|0)!=58){e=0;return e|0}e=i[c>>0]|0;b=b+2|0;b=(e+-97&255)>25?(e<<24>>24==46?b:0):b;if(!b){e=c;return e|0}while(1){e=i[b>>0]|0;c=b+1|0;c=(e+-97&255)>25?(e<<24>>24==46?c:0):c;if(!c)break;else b=c}return b|0}function qp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=0;l=r;r=r+16|0;j=l+4|0;f=l;a:do if(!(k[c+4>>2]&1)){h=k[(k[a>>2]|0)+24>>2]|0;k[f>>2]=k[b>>2];k[j>>2]=k[f>>2];a=qc[h&63](a,j,c,d,e&1)|0}else{a=FV(c)|0;k[j>>2]=a;y=0;c=Ha(977,j|0,83976)|0;g=y;y=0;do if(g&1){l=pb()|0;RQ(a)|0;a=l}else{RQ(a)|0;a=k[c>>2]|0;if(e)mc[k[a+24>>2]&1023](j,c);else mc[k[a+28>>2]&1023](j,c);g=j+11|0;a=i[g>>0]|0;if(a<<24>>24<0){c=a;a=k[j>>2]|0;h=9}else e=j;b:while(1){if((h|0)==9){e=a;a=c}h=a<<24>>24<0;if((e|0)==((h?k[j>>2]|0:j)+(h?k[j+4>>2]|0:a&255)|0)){h=11;break}a=i[e>>0]|0;c=k[b>>2]|0;do if(c|0){d=c+24|0;f=k[d>>2]|0;if((f|0)!=(k[c+28>>2]|0)){k[d>>2]=f+1;i[f>>0]=a;break}y=0;a=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a&255|0)|0;h=y;y=0;if(h&1){h=20;break b}if((a|0)==-1)k[b>>2]=0}while(0);c=i[g>>0]|0;a=e+1|0;h=9}if((h|0)==11){a=k[b>>2]|0;A9(j);break a}else if((h|0)==20){a=pb()|0;A9(j);break}}while(0);sb(a|0)}while(0);r=l;return a|0}function rp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;if((b|0)==(c|0)){c=d;j=c;j=k[j>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;a=d;k[a>>2]=j;d=d+4|0;k[d>>2]=c;return}i=d+4|0;j=c;do{f=k[i>>2]|0;g=((k[k[d>>2]>>2]|0)+4088-f|0)/28|0;h=(j-b|0)/28|0;l=(h|0)>(g|0);h=l?g:h;e=b;b=l?b+(g*28|0)|0:c;if((e|0)!=(b|0)){g=f;while(1){k[g>>2]=k[e>>2];k[g+4>>2]=k[e+4>>2];k[g+8>>2]=k[e+8>>2];if((g|0)!=(e|0)){f=g+16|0;if(k[f>>2]|0)QO(g+12|0);l=e+16|0;k[f>>2]=k[l>>2];k[l>>2]=0}n=e+20|0;l=k[n>>2]|0;f=e+24|0;m=k[f>>2]|0;k[n>>2]=0;k[f>>2]=0;k[g+20>>2]=l;l=g+24|0;f=k[l>>2]|0;k[l>>2]=m;if(f|0)DY(f);e=e+28|0;if((e|0)==(b|0))break;else g=g+28|0}}do if(h|0){f=k[d>>2]|0;e=(((k[i>>2]|0)-(k[f>>2]|0)|0)/28|0)+h|0;if((e|0)>0){n=f+(((e>>>0)/146|0)<<2)|0;k[d>>2]=n;k[i>>2]=(k[n>>2]|0)+(((e>>>0)%146|0)*28|0);break}else{n=145-e|0;m=f+(((n|0)/-146|0)<<2)|0;k[d>>2]=m;k[i>>2]=(k[m>>2]|0)+((145-((n|0)%146|0)|0)*28|0);break}}while(0)}while((b|0)!=(c|0));m=d;d=m;d=k[d>>2]|0;m=m+4|0;m=k[m>>2]|0;n=a;l=n;k[l>>2]=d;n=n+4|0;k[n>>2]=m;return}function sp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;if(!a){j=0;return j|0}h=i[48639]|0;j=h<<24>>24==0;a:do if(!j){b=48639;c=h;while(1){if((i[a>>0]|0)!=c<<24>>24){a=0;break}a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break a}return a|0}while(0);b=i[a>>0]|0;if(!(b<<24>>24)){j=0;return j|0}else{f=a;a=0;c=0;g=0;e=b}b:while(1){c:do switch(e<<24>>24){case 92:{d=a;a=f+1|0;b=g;break}case 34:{d=a^1;a=f;b=g;break}case 39:{d=a;c=c^1;a=f;b=g;break}default:if(a){d=1;a=f;b=g}else if(c){d=0;c=1;a=f;b=g}else if(!f){d=0;c=0;a=0;b=g}else{d:do if(j)a=f;else{if(e<<24>>24==h<<24>>24){a=f;b=48639;do{a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break d}while((i[a>>0]|0)==c<<24>>24)}a=i[50303]|0;e:do if(!(a<<24>>24))a=f;else{if(e<<24>>24==a<<24>>24){a=f;b=50303}else{d=0;c=0;a=f;b=g;break c}while(1){a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break e;if((i[a>>0]|0)!=c<<24>>24){d=0;c=0;a=f;b=g;break c}}}while(0);if(!g){b=24;break b}else{d=0;c=0;a=a+-1|0;b=g+-1|0;break c}}while(0);d=0;c=0;a=a+-1|0;b=g+1|0}}while(0);f=a+1|0;e=i[f>>0]|0;if(!(e<<24>>24)){a=0;b=24;break}else{a=d;g=b}}if((b|0)==24)return a|0;return 0}function tp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;c=0;if(!a){e=1;return e|0}b=k[a+84>>2]|0;if(b|0){e=b;return e|0}b=k[a+28>>2]|0;do if(!b){b=gb(8)|0;y=0;oa(495,b|0,50219);f=y;y=0;if(f&1){f=tb(0)|0;fb(b|0);b=f;break}else{y=0;Na(75,b|0,5792,409);y=0;c=7;break}}else{if(!(i[b>>0]|0)){b=gb(8)|0;y=0;oa(495,b|0,50250);f=y;y=0;if(f&1){f=tb(0)|0;fb(b|0);b=f;break}else{y=0;Na(75,b|0,5792,409);y=0;c=7;break}}b=IM(456)|0;y=0;oa(694,b|0,a|0);f=y;y=0;if(f&1){f=pb()|0;cra(b);sb(f|0)}else{k[b>>2]=16208;f=px(a,b)|0;return f|0}}while(0);if((c|0)==7)b=tb(0)|0;vb(b|0)|0;y=0;b=qa(398,a|0)|0;f=y;y=0;do if(f&1){b=tb(0)|0;vb(b|0)|0;y=0;b=qa(398,a|0)|0;f=y;y=0;if(f&1){b=pb()|0;y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}else e=b}else{y=0;la(3);f=y;y=0;if(!(f&1)){d=b;break}e=pb()|0}y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}else{f=e;sb(f|0)}}else d=b;while(0);rb();f=d|1;return f|0}function up(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0.0;q=r;r=r+112|0;m=q+64|0;c=q+12|0;n=q+24|0;o=q;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,38272,6);y=0;b=m;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));b=sa(24,c|0,a|0,d|0,m|0,f|0)|0;l=y;y=0;if(l&1){e=pb()|0;A9(c);sb(e|0)}A9(c);j=+p[b+64>>3]/255.0;i=+p[b+72>>3]/255.0;s=+p[b+80>>3]/255.0;h=i<s?s:i;i=s<i?s:i;c=IM(104)|0;b=n;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,48698,1);e=y;y=0;do if(e&1)b=pb()|0;else{h=((j<h?h:j)+(i<j?i:j))*.5*100.0;y=0;b=m;g=n;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));Ca(1,c|0,m|0,+h,o|0,1);e=y;y=0;if(e&1){b=pb()|0;A9(o);break}else{A9(o);r=q;return c|0}}while(0);cra(c);e=b;sb(e|0);return 0}function vp(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;j=r;r=r+48|0;h=j;f=(qu(b,a)|0)+4|0;f=k[f>>2]|0;if(f|0)if((k[229]|0)==(k[(k[(k[f>>2]|0)+-4>>2]|0)+4>>2]|0)){e=f;r=j;return e|0}f=(qu(b,a)|0)+4|0;f=qba(k[f>>2]|0)|0;if(f|0)if((k[f+68>>2]|0)==(k[f+64>>2]|0)){a=IM(108)|0;g=h;f=d;d=g+40|0;do{k[g>>2]=k[f>>2];g=g+4|0;f=f+4|0}while((g|0)<(d|0));y=0;na(422,a|0);e=y;y=0;if(e&1){j=pb()|0;cra(a);sb(j|0)}g=a+12|0;f=h;d=g+40|0;do{k[g>>2]=k[f>>2];g=g+4|0;f=f+4|0}while((g|0)<(d|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;f=a+56|0;k[f>>2]=0;k[a>>2]=9288;d=a+60|0;y=0;oa(556,d|0,0);e=y;y=0;if(e&1){j=pb()|0;cra(a);sb(j|0)}else{k[a>>2]=9412;k[d>>2]=9540;k[f>>2]=6;e=a;r=j;return e|0}}g=h;f=d;d=g+40|0;do{k[g>>2]=k[f>>2];g=g+4|0;f=f+4|0}while((g|0)<(d|0));e=Cm(a,b,c,h,e)|0;r=j;return e|0}function wp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;e=f;fx(b,1,0)|0;LT(a,0);k[a>>2]=11804;y=0;oa(628,e|0,b|0);d=y;y=0;do if(d&1)c=pb()|0;else{d=a+4|0;c=k[d>>2]|0;if((e|0)!=(a|0)){if(c|0){y=0;na(423,a|0);c=y;y=0;if(c&1){c=pb()|0;DO(e);break}}g=e+4|0;c=k[g>>2]|0;k[d>>2]=c;k[g>>2]=0}DO(e);if(c|0){r=f;return}y=0;oa(629,e|0,b|0);g=y;y=0;do if(g&1)c=pb()|0;else{c=k[d>>2]|0;if((e|0)!=(a|0)){if(c|0){y=0;na(423,a|0);g=y;y=0;if(g&1){c=pb()|0;DO(e);break}}g=e+4|0;c=k[g>>2]|0;k[d>>2]=c;k[g>>2]=0}DO(e);if(c|0){r=f;return}y=0;oa(630,e|0,b|0);g=y;y=0;do if(g&1)c=pb()|0;else{if((e|0)!=(a|0)){if(k[d>>2]|0){y=0;na(423,a|0);g=y;y=0;if(g&1){c=pb()|0;DO(e);break}}g=e+4|0;k[d>>2]=k[g>>2];k[g>>2]=0}DO(e);r=f;return}while(0);g=c;DO(a);sb(g|0)}while(0);g=c;DO(a);sb(g|0)}while(0);g=c;DO(a);sb(g|0)}function xp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;s=0;t=r;r=r+32|0;p=t+16|0;q=t+8|0;m=t+4|0;n=t;e=a+52|0;if(!(i[e>>0]|0)){c=k[a+44>>2]|0;c=(c|0)>1?c:1;o=a+32|0;d=0;while(1){if((d|0)>=(c|0)){s=8;break}e=xH(k[o>>2]|0)|0;if((e|0)==-1){c=-1;break}i[p+d>>0]=e;d=d+1|0}if((s|0)==8){do if(!(i[a+53>>0]|0)){g=a+40|0;h=a+36|0;j=q+1|0;a:while(1){u=k[g>>2]|0;e=u;d=k[e>>2]|0;e=k[e+4>>2]|0;v=k[h>>2]|0;f=p+c|0;switch(Nc[k[(k[v>>2]|0)+16>>2]&15](v,u,p,f,m,q,j,n)|0){case 3:{s=15;break a}case 2:{s=17;break a}case 1:break;default:break a}v=k[g>>2]|0;k[v>>2]=d;k[v+4>>2]=e;if((c|0)==8){s=17;break}d=xH(k[o>>2]|0)|0;if((d|0)==-1){s=17;break}i[f>>0]=d;c=c+1|0}if((s|0)==15)i[q>>0]=i[p>>0]|0;else if((s|0)==17){c=-1;break}s=18}else{i[q>>0]=i[p>>0]|0;s=18}while(0);b:do if((s|0)==18){if(b){c=i[q>>0]|0;k[a+48>>2]=c&255}else{while(1){if((c|0)<=0)break;c=c+-1|0;if((aG(l[p+c>>0]|0,k[o>>2]|0)|0)==-1){c=-1;break b}}c=i[q>>0]|0}c=c&255}while(0)}}else{d=a+48|0;c=k[d>>2]|0;if(b){k[d>>2]=-1;i[e>>0]=0}}r=t;return c|0}function yp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=r;r=r+96|0;d=g;j=g+88|0;e=g+48|0;h=g+40|0;if(!(qw(b,1,0)|0)){LT(a,0);k[a>>2]=11804;r=g;return}Tj(j,b);y=0;l=qa(315,68)|0;f=y;y=0;if(f&1){l=pb()|0;DO(j);sb(l|0)}f=e;b=b+108|0;c=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(c|0));y=0;oa(460,h|0,k[j+4>>2]|0);f=y;y=0;do if(f&1)b=pb()|0;else{k[h>>2]=11804;f=d;b=e;c=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(c|0));y=0;na(422,l|0);f=y;y=0;if(f&1)c=1;else{f=l+12|0;b=d;c=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(c|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=11964;b=l+60|0;y=0;oa(460,b|0,k[h+4>>2]|0);f=y;y=0;if(f&1){b=pb()|0;DO(h);break}k[b>>2]=11804;y=0;oa(460,a|0,l|0);f=y;y=0;if(f&1)c=0;else{k[a>>2]=11804;DO(h);DO(j);r=g;return}}b=pb()|0;DO(h);if(!c){l=b;DO(j);sb(l|0)}}while(0);cra(l);l=b;DO(j);sb(l|0)}function zp(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+16|0;i=j;d=a+16|0;yi(a,a+8|0,d,c)|0;c=a+24|0;if((c|0)==(b|0)){r=j;return}h=i+4|0;g=c;c=d;a:while(1){f=g+4|0;d=k[f>>2]|0;if(d|0){e=k[c+4>>2]|0;if(e|0)if(Fc[k[(k[d>>2]|0)+156>>2]&2047](d,e)|0){LT(i,k[f>>2]|0);k[i>>2]=15136;d=g;while(1){e=d+4|0;if(k[e>>2]|0){y=0;na(423,d|0);f=y;y=0;if(f&1){c=20;break a}}f=c+4|0;k[e>>2]=k[f>>2];k[f>>2]=0;if((c|0)==(a|0)){c=a;break}d=k[h>>2]|0;if(!d)break;e=k[c+-4>>2]|0;if(!e)break;y=0;d=Ha(k[(k[d>>2]|0)+156>>2]|0,d|0,e|0)|0;f=y;y=0;if(f&1){c=20;break a}if(d){d=c;c=c+-8|0}else break}if((c|0)!=(i|0)){d=c+4|0;if(k[d>>2]|0){y=0;na(423,c|0);f=y;y=0;if(f&1){c=21;break}}k[d>>2]=k[h>>2];k[h>>2]=0}DO(i)}}c=g+8|0;if((c|0)==(b|0)){c=3;break}else{f=g;g=c;c=f}}if((c|0)==3){r=j;return}else if((c|0)==20){j=pb()|0;DO(i);sb(j|0)}else if((c|0)==21){j=pb()|0;DO(i);sb(j|0)}}function Ap(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+16|0;d=g+8|0;e=g;f=a+4|0;Rx(f);do if(!(k[b+96>>2]|0)){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48700,6);y=0;Na(147,f|0,c|0,b|0);h=y;y=0;if(!(h&1)){A9(c);Bla(f);break}h=pb()|0;A9(c);sb(h|0)}else{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48707,9);y=0;Na(147,f|0,c|0,b|0);h=y;y=0;if(!(h&1)){A9(c);Bla(f);break}h=pb()|0;A9(c);sb(h|0)}while(0);zt(f,b+72|0);LT(d,k[b+88>>2]|0);k[d>>2]=8852;h=k[d+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;DO(d);sb(h|0)}DO(d);LT(e,k[b+68>>2]|0);k[e>>2]=6868;h=k[e+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(!(h&1)){DO(e);r=g;return}h=pb()|0;DO(e);sb(h|0)}function Bp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=r;r=r+16|0;j=q+8|0;l=q;n=a+76|0;m=a+80|0;f=k[m>>2]|0;e=k[n>>2]|0;i=f-e>>3;p=b+76|0;o=b+80|0;d=k[o>>2]|0;c=k[p>>2]|0;h=d-c>>3;i=h>>>0<i>>>0?h:i;do if(i){h=a+76|0;a=b+76|0;b=j+4|0;g=l+4|0;d=0;c=0;while(1){LT(j,k[e+(d<<3)+4>>2]|0);k[j>>2]=13284;y=0;oa(460,l|0,k[(k[a>>2]|0)+(d<<3)+4>>2]|0);f=y;y=0;if(f&1){a=7;break}k[l>>2]=13284;e=k[b>>2]|0;f=k[g>>2]|0;if(!f){e=0;c=0}else if(!e){e=0;c=1}else{y=0;e=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,f|0)|0;f=y;y=0;if(f&1){a=8;break}if(e)e=1;else{y=0;c=Ha(970,k[b>>2]|0,k[g>>2]|0)|0;f=y;y=0;if(f&1){a=8;break}else e=0}}DO(l);DO(j);d=d+1|0;if(!e){a=17;break}if(d>>>0>=i>>>0){a=15;break}e=k[h>>2]|0}if((a|0)==7){q=pb()|0;DO(j);sb(q|0)}else if((a|0)==8){q=pb()|0;DO(l);DO(j);sb(q|0)}else if((a|0)==15){f=k[m>>2]|0;e=k[n>>2]|0;d=k[o>>2]|0;c=k[p>>2]|0;break}else if((a|0)==17){r=q;return c|0}}while(0);p=(f-e|0)>>>0<(d-c|0)>>>0;r=q;return p|0}function Cp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}while(0);f=(a|0)==0;a=k[c>>2]|0;do if(!a)h=11;else{if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[c>>2]=0;h=11;break}if(f){g=a;h=13}else h=12}while(0);if((h|0)==11)if(f)h=12;else{g=0;h=13}a:do if((h|0)==12)k[d>>2]=k[d>>2]|6;else if((h|0)==13){a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=l[f>>0]|0;if((rc[k[(k[e>>2]|0)+36>>2]&255](e,a&255,0)|0)<<24>>24!=37){k[d>>2]=k[d>>2]|4;break}a=k[b>>2]|0;f=a+12|0;e=k[f>>2]|0;if((e|0)==(k[a+16>>2]|0)){oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;a=k[b>>2]|0;if(!a)a=0;else h=21}else{k[f>>2]=e+1;h=21}do if((h|0)==21)if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}while(0);a=(a|0)==0;do if(!g)h=30;else{if((k[g+12>>2]|0)==(k[g+16>>2]|0))if((oc[k[(k[g>>2]|0)+36>>2]&511](g)|0)==-1){k[c>>2]=0;h=30;break}if(a)break a}while(0);if((h|0)==30)if(!a)break;k[d>>2]=k[d>>2]|2}while(0);return}function Dp(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0;n=r;r=r+48|0;j=n;m=n+40|0;LT(m,0);k[m>>2]=6868;l=j;h=l+40|0;do{k[l>>2]=k[b>>2];l=l+4|0;b=b+4|0}while((l|0)<(h|0));y=0;na(422,a|0);l=y;y=0;do if(l&1)b=pb()|0;else{l=a+12|0;b=j;h=l+40|0;do{k[l>>2]=k[b>>2];l=l+4|0;b=b+4|0}while((l|0)<(h|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;b=a+64|0;y=0;oa(460,b|0,k[m+4>>2]|0);l=y;y=0;if(l&1){b=pb()|0;break}k[b>>2]=6868;DO(m);k[a>>2]=8756;h=a+72|0;y=0;oa(456,h|0,d|0);m=y;y=0;do if(m&1)b=pb()|0;else{b=a+84|0;y=0;oa(460,b|0,k[e+4>>2]|0);e=y;y=0;if(e&1){b=pb()|0;A9(h);break}else{k[b>>2]=8852;k[a+92>>2]=0;k[a+96>>2]=1;k[a+100>>2]=f;k[a+104>>2]=0;k[a+108>>2]=0;i[a+112>>0]=g&1;k[a+116>>2]=c;r=n;return}}while(0);k[a>>2]=6772;DO(a+64|0);a=b;sb(a|0)}while(0);DO(m);a=b;sb(a|0)}function Ep(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,87975,0);e=i[b+11>>0]|0;f=e<<24>>24<0;c=f?k[b>>2]|0:b;e=f?k[b+4>>2]|0:e&255;f=c+e|0;if(!e)return;else b=0;a:while(1){e=i[c>>0]|0;d=e<<24>>24!=92;do if(b|d){if(b&e<<24>>24==34){y=0;oa(458,a|0,92);e=y;y=0;if(e&1){b=6;break a}y=0;oa(458,a|0,34);e=y;y=0;if(e&1){b=6;break a}else{b=0;break}}if(b&e<<24>>24==39){y=0;oa(458,a|0,92);e=y;y=0;if(e&1){b=6;break a}y=0;oa(458,a|0,39);e=y;y=0;if(e&1){b=6;break a}else{b=0;break}}if(d|b^1){y=0;oa(458,a|0,e|0);e=y;y=0;if(e&1){b=6;break a}else{b=0;break}}y=0;oa(458,a|0,92);e=y;y=0;if(e&1){b=6;break a}y=0;oa(458,a|0,92);e=y;y=0;if(e&1){b=6;break a}else b=0}else{y=0;oa(458,a|0,92);e=y;y=0;if(e&1){b=6;break a}y=0;oa(458,a|0,92);e=y;y=0;if(e&1){b=6;break a}else b=1}while(0);c=c+1|0;if((c|0)==(f|0)){b=2;break}}if((b|0)==2)return;else if((b|0)==6){f=pb()|0;A9(a);sb(f|0)}}function Fp(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0;m=r;r=r+48|0;j=m;l=m+40|0;LT(l,k[f+4>>2]|0);k[l>>2]=6868;h=j;f=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(f|0));y=0;na(422,a|0);h=y;y=0;do if(h&1)f=pb()|0;else{h=a+12|0;b=j;f=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(f|0));j=a+52|0;k[j>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;f=a+64|0;y=0;oa(460,f|0,k[l+4>>2]|0);h=y;y=0;if(h&1){f=pb()|0;break}k[f>>2]=6868;DO(l);k[a>>2]=8276;h=a+72|0;y=0;oa(456,h|0,c|0);l=y;y=0;if(l&1)f=pb()|0;else{b=a+84|0;y=0;oa(460,b|0,k[d+4>>2]|0);d=y;y=0;do if(d&1)f=pb()|0;else{k[b>>2]=7284;f=a+92|0;y=0;oa(460,f|0,k[e+4>>2]|0);e=y;y=0;if(e&1){f=pb()|0;DO(b);break}else{k[f>>2]=7284;i[a+100>>0]=g&1;k[j>>2]=21;r=m;return}}while(0);A9(h)}k[a>>2]=6772;DO(a+64|0);a=f;sb(a|0)}while(0);DO(l);a=f;sb(a|0)}function Gp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;q=0;s=r;r=r+32|0;o=s+16|0;p=s+8|0;l=s+4|0;m=s;e=a+52|0;if(!(i[e>>0]|0)){c=k[a+44>>2]|0;c=(c|0)>1?c:1;n=a+32|0;d=0;while(1){if((d|0)>=(c|0)){q=8;break}e=xH(k[n>>2]|0)|0;if((e|0)==-1){c=-1;break}i[o+d>>0]=e;d=d+1|0}if((q|0)==8){do if(!(i[a+53>>0]|0)){g=a+40|0;h=a+36|0;j=p+4|0;a:while(1){t=k[g>>2]|0;e=t;d=k[e>>2]|0;e=k[e+4>>2]|0;u=k[h>>2]|0;f=o+c|0;switch(Nc[k[(k[u>>2]|0)+16>>2]&15](u,t,o,f,l,p,j,m)|0){case 3:{q=15;break a}case 2:{q=17;break a}case 1:break;default:break a}u=k[g>>2]|0;k[u>>2]=d;k[u+4>>2]=e;if((c|0)==8){q=17;break}d=xH(k[n>>2]|0)|0;if((d|0)==-1){q=17;break}i[f>>0]=d;c=c+1|0}if((q|0)==15)k[p>>2]=i[o>>0];else if((q|0)==17){c=-1;break}q=18}else{k[p>>2]=i[o>>0];q=18}while(0);b:do if((q|0)==18){if(b){c=k[p>>2]|0;k[a+48>>2]=c;break}while(1){if((c|0)<=0)break;c=c+-1|0;if((aG(i[o+c>>0]|0,k[n>>2]|0)|0)==-1){c=-1;break b}}c=k[p>>2]|0}while(0)}}else{d=a+48|0;c=k[d>>2]|0;if(b){k[d>>2]=-1;i[e>>0]=0}}r=s;return c|0}function Hp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=11528;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=11528;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Ip(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;l=r;r=r+16|0;i=l+8|0;j=l;b=Yaa(b)|0;if(!b){i=0;j=0;j=i&j;r=l;return j|0}h=a+60|0;f=(k[a+68>>2]|0)-(k[a+64>>2]|0)>>3;g=b+60|0;if((f|0)!=((k[b+68>>2]|0)-(k[b+64>>2]|0)>>3|0)){i=1;j=0;j=i&j;r=l;return j|0}if((k[a+80>>2]|0)!=(k[b+80>>2]|0)){i=1;j=0;j=i&j;r=l;return j|0}if(!f){i=1;j=1;j=i&j;r=l;return j|0}d=j+4|0;e=i+4|0;c=0;while(1){b=(Fc[k[(k[g>>2]|0)+12>>2]&2047](g,c)|0)+4|0;LT(i,k[b>>2]|0);k[i>>2]=7284;y=0;b=Ha(k[(k[h>>2]|0)+12>>2]|0,h|0,c|0)|0;a=y;y=0;if(a&1){c=10;break}y=0;oa(460,j|0,k[b+4>>2]|0);a=y;y=0;if(a&1){c=10;break}k[j>>2]=7284;b=k[d>>2]|0;a=k[e>>2]|0;if((b|0)==0|(a|0)==0)b=1;else{y=0;b=Ha(k[(k[b>>2]|0)+92>>2]|0,b|0,a|0)|0;a=y;y=0;if(a&1){c=11;break}b=b&1^1}DO(j);DO(i);c=c+1|0;if(b|0){b=1;a=0;c=16;break}if(c>>>0>=f>>>0){b=1;a=1;c=16;break}}if((c|0)==10){l=pb()|0;DO(i);sb(l|0)}else if((c|0)==11){l=pb()|0;DO(j);DO(i);sb(l|0)}else if((c|0)==16){j=b&a;r=l;return j|0}return 0}function Jp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=15136;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=15136;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Kp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=13284;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=13284;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Lp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=15136;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=15136;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Mp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=13284;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=13284;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Np(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=6756;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=6756;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Op(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=6756;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=6756;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Pp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=12920;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=12920;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Qp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=7284;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=7284;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Rp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;l=r;r=r+16|0;j=l+4|0;f=l;a:do if(!(k[c+4>>2]&1)){h=k[(k[a>>2]|0)+24>>2]|0;k[f>>2]=k[b>>2];k[j>>2]=k[f>>2];a=qc[h&63](a,j,c,d,e&1)|0}else{a=FV(c)|0;k[j>>2]=a;y=0;c=Ha(977,j|0,84e3)|0;h=y;y=0;do if(h&1){l=pb()|0;RQ(a)|0;a=l}else{RQ(a)|0;a=k[c>>2]|0;if(e)mc[k[a+24>>2]&1023](j,c);else mc[k[a+28>>2]&1023](j,c);g=j+8+3|0;a=i[g>>0]|0;c=k[j>>2]|0;h=j+4|0;e=a<<24>>24<0?c:j;while(1){f=a<<24>>24<0;if((e|0)==((f?c:j)+((f?k[h>>2]|0:a&255)<<2)|0)){c=9;break}a=k[e>>2]|0;c=k[b>>2]|0;if(c|0){d=c+24|0;f=k[d>>2]|0;if((f|0)==(k[c+28>>2]|0)){y=0;a=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;f=y;y=0;if(f&1){c=18;break}}else{k[d>>2]=f+4;k[f>>2]=a}if((a|0)==-1)k[b>>2]=0}e=e+4|0;a=i[g>>0]|0;c=k[j>>2]|0}if((c|0)==9){a=k[b>>2]|0;X8(j);break a}else if((c|0)==18){a=pb()|0;X8(j);break}}while(0);sb(a|0)}while(0);r=l;return a|0}function Sp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=10120;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=10120;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Tp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=6508;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=6508;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Up(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=7284;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=7284;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Vp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=6336;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=6336;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Wp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;g=(k[i>>2]|0)-c|0;h=g>>2;e=g>>3>>>0<268435455?(h>>>0<e>>>0?e:h):536870911;c=d-c>>3;do if(!e)h=0;else if(e>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(e<<3)|0;break}while(0);f=h+(c<<3)|0;c=f;g=h+(e<<3)|0;y=0;oa(460,f|0,k[b+4>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[f>>2]=6868;d=f+8|0;b=k[a>>2]|0;e=k[j>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);e=e+-8|0;l=y;y=0;if(l&1){b=18;break}k[f>>2]=6868;f=c+-8|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[j>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[j>>2]=d;k[i>>2]=g;d=f;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{d=d+-8|0;lc[k[k[d>>2]>>2]&511](d)}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function Xp(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;l=r;r=r+48|0;h=l;j=l+40|0;LT(j,k[e+4>>2]|0);k[j>>2]=6868;g=h;e=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(e|0));y=0;na(422,a|0);g=y;y=0;do if(g&1)e=pb()|0;else{g=a+12|0;b=h;e=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(e|0));h=a+52|0;k[h>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;e=a+64|0;y=0;oa(460,e|0,k[j+4>>2]|0);g=y;y=0;if(g&1){e=pb()|0;break}k[e>>2]=6868;DO(j);k[a>>2]=7188;g=a+72|0;y=0;oa(456,g|0,c|0);j=y;y=0;if(j&1)e=pb()|0;else{b=a+84|0;y=0;oa(460,b|0,k[d+4>>2]|0);d=y;y=0;do if(d&1)e=pb()|0;else{k[b>>2]=6756;e=a+92|0;y=0;oa(460,e|0,k[f+4>>2]|0);f=y;y=0;if(f&1){e=pb()|0;DO(b);break}else{k[e>>2]=7284;k[h>>2]=3;r=l;return}}while(0);A9(g)}k[a>>2]=6772;DO(a+64|0);a=e;sb(a|0)}while(0);DO(j);a=e;sb(a|0)}function Yp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;i=r;r=r+32|0;j=i+16|0;g=i+8|0;l=i;f=a+60|0;h=a+96|0;b=k[h>>2]|0;if(b|0){l=b;r=i;return l|0}b=k[a+84>>2]|0;c=k[a+88>>2]|0;if((b|0)==(c|0)){l=0;r=i;return l|0}d=j+4|0;e=g+4|0;a=b;while(1){LT(j,k[a+4>>2]|0);k[j>>2]=7284;b=k[d>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;m=y;y=0;if(m&1){a=9;break}m=k[h>>2]|0;k[h>>2]=b+-1640531527+(m<<6)+(m>>>2)^m;y=0;oa(460,l|0,k[d>>2]|0);m=y;y=0;if(m&1){a=10;break}k[l>>2]=7284;y=0;Na(76,g|0,f|0,l|0);m=y;y=0;if(m&1){a=11;break}b=k[e>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;m=y;y=0;if(m&1){a=12;break}m=k[h>>2]|0;k[h>>2]=b+-1640531527+(m<<6)+(m>>>2)^m;DO(g);DO(l);DO(j);a=a+8|0;if((a|0)==(c|0)){a=15;break}}if((a|0)==9){m=pb()|0;DO(j);sb(m|0)}else if((a|0)==10){m=pb()|0;DO(j);sb(m|0)}else if((a|0)==11)b=pb()|0;else if((a|0)==12){b=pb()|0;DO(g)}else if((a|0)==15){m=k[h>>2]|0;r=i;return m|0}DO(l);m=b;DO(j);sb(m|0);return 0}function Zp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0;if((b|0)==(c|0)){c=d;l=c;l=k[l>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;a=d;k[a>>2]=l;d=d+4|0;k[d>>2]=c;return}j=d+4|0;l=c;do{f=k[j>>2]|0;h=((k[k[d>>2]>>2]|0)+4088-f|0)/28|0;i=(l-b|0)/28|0;g=(i|0)>(h|0);i=g?h:i;e=b;b=g?b+(h*28|0)|0:c;if((e|0)!=(b|0))while(1){k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];g=f+12|0;h=f+16|0;if(k[h>>2]|0)QO(g);k[h>>2]=k[e+16>>2];_V(g);g=k[e+20>>2]|0;h=k[e+24>>2]|0;if(h|0)Dba(h);k[f+20>>2]=g;m=f+24|0;g=k[m>>2]|0;k[m>>2]=h;if(g|0)DY(g);e=e+28|0;if((e|0)==(b|0))break;else f=f+28|0}do if(i|0){f=k[d>>2]|0;e=(((k[j>>2]|0)-(k[f>>2]|0)|0)/28|0)+i|0;if((e|0)>0){m=f+(((e>>>0)/146|0)<<2)|0;k[d>>2]=m;k[j>>2]=(k[m>>2]|0)+(((e>>>0)%146|0)*28|0);break}else{m=145-e|0;i=f+(((m|0)/-146|0)<<2)|0;k[d>>2]=i;k[j>>2]=(k[i>>2]|0)+((145-((m|0)%146|0)|0)*28|0);break}}while(0)}while((b|0)!=(c|0));l=d;l=k[l>>2]|0;d=d+4|0;d=k[d>>2]|0;m=a;c=m;k[c>>2]=l;m=m+4|0;k[m>>2]=d;return}function _p(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=r;r=r+48|0;g=j;h=j+40|0;LT(h,k[e+4>>2]|0);k[h>>2]=6868;f=g;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));y=0;na(422,a|0);f=y;y=0;do if(f&1)e=pb()|0;else{f=a+12|0;b=g;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;e=a+64|0;y=0;oa(460,e|0,k[h+4>>2]|0);g=y;y=0;if(g&1){e=pb()|0;break}k[e>>2]=6868;DO(h);k[a>>2]=8372;h=a+72|0;y=0;oa(455,h|0,c|0);c=y;y=0;if(c&1)e=pb()|0;else{e=a+84|0;y=0;oa(460,e|0,k[d+4>>2]|0);d=y;y=0;if(!(d&1)){k[e>>2]=7284;k[b>>2]=20;r=j;return}e=pb()|0;g=N;b=k[h>>2]|0;if(b){c=a+76|0;f=k[c>>2]|0;if((f|0)!=(b|0)){do{j=f+-12|0;k[c>>2]=j;A9(j);f=k[c>>2]|0}while((f|0)!=(b|0));b=k[h>>2]|0}cra(b)}}k[a>>2]=6772;DO(a+64|0);a=e;sb(a|0)}while(0);DO(h);a=e;sb(a|0)}function $p(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+16|0;i=j;d=a+16|0;Hi(a,a+8|0,d,c)|0;c=a+24|0;if((c|0)==(b|0)){r=j;return}h=i+4|0;g=c;c=d;a:while(1){f=g+4|0;d=k[f>>2]|0;if(d|0){e=k[c+4>>2]|0;if(e|0)if(Cs(d,e)|0){LT(i,k[f>>2]|0);k[i>>2]=13284;d=g;while(1){e=d+4|0;if(k[e>>2]|0){y=0;na(423,d|0);f=y;y=0;if(f&1){c=20;break a}}f=c+4|0;k[e>>2]=k[f>>2];k[f>>2]=0;if((c|0)==(a|0)){c=a;break}d=k[h>>2]|0;if(!d)break;e=k[c+-4>>2]|0;if(!e)break;y=0;d=Ha(970,d|0,e|0)|0;f=y;y=0;if(f&1){c=20;break a}if(d){d=c;c=c+-8|0}else break}if((c|0)!=(i|0)){d=c+4|0;if(k[d>>2]|0){y=0;na(423,c|0);f=y;y=0;if(f&1){c=21;break}}k[d>>2]=k[h>>2];k[h>>2]=0}DO(i)}}c=g+8|0;if((c|0)==(b|0)){c=3;break}else{f=g;g=c;c=f}}if((c|0)==3){r=j;return}else if((c|0)==20){j=pb()|0;DO(i);sb(j|0)}else if((c|0)==21){j=pb()|0;DO(i);sb(j|0)}}function aq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0;l=r;r=r+64|0;f=l+16|0;g=l;Cda(a);k[a>>2]=6128;h=a+12|0;c=h;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;n=k[b+52>>2]|0;i[a+52>>0]=n;i[a+53>>0]=(n&65535)>>>8;i[a+54>>0]=n>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=9828;n=a+60|0;y=0;oa(460,n|0,k[b+64>>2]|0);m=y;y=0;if(m&1){n=pb()|0;sb(n|0)}k[n>>2]=7284;m=a+68|0;y=0;oa(456,m|0,b+68|0);e=y;y=0;if(e&1)c=pb()|0;else{c=j[b+80>>1]|0;d=c&255;i[a+80>>0]=d;i[a+81>>0]=(c&65535)>>>8;k[a+84>>2]=k[b+84>>2];c=i[m+11>>0]|0;if(c<<24>>24<0)c=k[a+72>>2]|0;else c=c&255;if((c|0)==0|d<<24>>24==0){r=l;return}k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,39872,50);a=y;y=0;do if(a&1)c=pb()|0;else{y=0;c=f;d=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(454,g|0,f|0);h=y;y=0;if(h&1){c=pb()|0;A9(g);break}A9(g);r=l;return}while(0);A9(m)}DO(n);n=c;sb(n|0)}function bq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;q=0;m=r;r=r+112|0;i=m+64|0;j=m+24|0;o=m+12|0;l=m;n=IM(104)|0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,38272,6);g=y;y=0;if(g&1){q=pb()|0;cra(n);sb(q|0)}y=0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(24,o|0,a|0,d|0,i|0,f|0)|0;f=y;y=0;do if(f&1)q=7;else{h=+p[b+72>>3];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,87975,0);f=y;y=0;if(f&1)q=7;else{y=0;b=i;c=j;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));Ca(1,n|0,i|0,+h,l|0,1);f=y;y=0;if(f&1){b=pb()|0;A9(l);break}else{A9(l);A9(o);r=m;return n|0}}}while(0);if((q|0)==7)b=pb()|0;A9(o);q=b;cra(n);sb(q|0);return 0}function cq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;q=0;m=r;r=r+112|0;i=m+64|0;j=m+24|0;o=m+12|0;l=m;n=IM(104)|0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,38272,6);g=y;y=0;if(g&1){q=pb()|0;cra(n);sb(q|0)}y=0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(24,o|0,a|0,d|0,i|0,f|0)|0;f=y;y=0;do if(f&1)q=7;else{h=+p[b+80>>3];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,87975,0);f=y;y=0;if(f&1)q=7;else{y=0;b=i;c=j;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));Ca(1,n|0,i|0,+h,l|0,1);f=y;y=0;if(f&1){b=pb()|0;A9(l);break}else{A9(l);A9(o);r=m;return n|0}}}while(0);if((q|0)==7)b=pb()|0;A9(o);q=b;cra(n);sb(q|0);return 0}function dq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0;q=0;m=r;r=r+112|0;i=m+64|0;j=m+24|0;o=m+12|0;l=m;n=IM(104)|0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,38272,6);g=y;y=0;if(g&1){q=pb()|0;cra(n);sb(q|0)}y=0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(24,o|0,a|0,d|0,i|0,f|0)|0;f=y;y=0;do if(f&1)q=7;else{h=+p[b+64>>3];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,87975,0);f=y;y=0;if(f&1)q=7;else{y=0;b=i;c=j;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));Ca(1,n|0,i|0,+h,l|0,1);f=y;y=0;if(f&1){b=pb()|0;A9(l);break}else{A9(l);A9(o);r=m;return n|0}}}while(0);if((q|0)==7)b=pb()|0;A9(o);q=b;cra(n);sb(q|0);return 0}function eq(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=0;g=e+8|0;a:while(1){a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}while(0);a=(a|0)==0;e=k[c>>2]|0;do if(!e)h=12;else{if((k[e+12>>2]|0)!=(k[e+16>>2]|0))if(a)break;else break a;if((oc[k[(k[e>>2]|0)+36>>2]&511](e)|0)==-1){k[c>>2]=0;h=12;break}else if(a)break;else break a}while(0);if((h|0)==12){h=0;if(a){e=0;break}else e=0}a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=l[f>>0]|0;if((a&255)<<24>>24<=-1)break;if(!(j[(k[g>>2]|0)+(a<<24>>24<<1)>>1]&8192))break;a=k[b>>2]|0;e=a+12|0;f=k[e>>2]|0;if((f|0)==(k[a+16>>2]|0)){oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;continue}else{k[e>>2]=f+1;continue}}a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0))if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}while(0);a=(a|0)==0;do if(!e)h=32;else{if((k[e+12>>2]|0)==(k[e+16>>2]|0))if((oc[k[(k[e>>2]|0)+36>>2]&511](e)|0)==-1){k[c>>2]=0;h=32;break}if(!a)h=33}while(0);if((h|0)==32)if(a)h=33;if((h|0)==33)k[d>>2]=k[d>>2]|2;return}function fq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+32|0;m=l+16|0;j=l+8|0;n=l;i=b+60|0;g=b+84|0;e=b+88|0;h=UQ((k[e>>2]|0)-(k[g>>2]|0)>>3)|0;b=k[g>>2]|0;e=k[e>>2]|0;if((b|0)==(e|0)){r=l;return h|0}f=m+4|0;g=j+4|0;d=0;while(1){LT(m,k[b+4>>2]|0);k[m>>2]=7284;c=k[f>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+68>>2]|0,c|0,a|0)|0;o=y;y=0;if(o&1){c=11;break}y=0;Na(153,h|0,d|0,c|0);o=y;y=0;if(o&1){c=11;break}y=0;oa(460,n|0,k[f>>2]|0);o=y;y=0;if(o&1){c=11;break}k[n>>2]=7284;y=0;Na(76,j|0,i|0,n|0);o=y;y=0;if(o&1){c=12;break}c=k[g>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+68>>2]|0,c|0,a|0)|0;o=y;y=0;if(o&1){c=13;break}y=0;Na(154,h|0,d|0,c|0);o=y;y=0;if(o&1){c=13;break}DO(j);DO(n);DO(m);b=b+8|0;if((b|0)==(e|0)){c=3;break}else d=d+1|0}if((c|0)==3){r=l;return h|0}else if((c|0)==11){o=pb()|0;DO(m);sb(o|0)}else if((c|0)==12)b=pb()|0;else if((c|0)==13){b=pb()|0;DO(j)}DO(n);o=b;DO(m);sb(o|0);return 0}function gq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;a:do if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==32255){c=a+64|0;e=b+64|0;d=i[c+11>>0]|0;h=d<<24>>24<0;d=d&255;f=h?k[a+68>>2]|0:d;j=i[e+11>>0]|0;b=j<<24>>24<0;if((f|0)==((b?k[e+4>>2]|0:j&255)|0)){a=k[c>>2]|0;g=h?a:c;b=b?k[e>>2]|0:e;e=(f|0)==0;if(h){if(e){c=1;b=1;break}c=(bN(g,b,f)|0)==0;b=1;break}if(e){c=1;b=1}else if((a&255)<<24>>24==(i[b>>0]|0))while(1){d=d+-1|0;c=c+1|0;if(!d){c=1;b=1;break a}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){c=0;b=1;break}}else{c=0;b=1}}else{c=0;b=1}}else{b=T9(b)|0;if(!b){c=0;b=0}else{c=a+64|0;f=b+64|0;d=i[c+11>>0]|0;j=d<<24>>24<0;d=d&255;h=j?k[a+68>>2]|0:d;g=i[f+11>>0]|0;e=g<<24>>24<0;if((h|0)==((e?k[b+68>>2]|0:g&255)|0)){a=k[c>>2]|0;g=j?a:c;b=e?k[f>>2]|0:f;e=(h|0)==0;if(j){if(e){c=1;b=1;break}c=(bN(g,b,h)|0)==0;b=1;break}if(e){c=1;b=1}else if((a&255)<<24>>24==(i[b>>0]|0))while(1){d=d+-1|0;c=c+1|0;if(!d){c=1;b=1;break a}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){c=0;b=1;break}}else{c=0;b=1}}else{c=0;b=1}}}while(0);return c&b|0}function hq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;a:do if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==32255){c=a+64|0;e=b+64|0;d=i[c+11>>0]|0;h=d<<24>>24<0;d=d&255;f=h?k[a+68>>2]|0:d;j=i[e+11>>0]|0;b=j<<24>>24<0;if((f|0)==((b?k[e+4>>2]|0:j&255)|0)){a=k[c>>2]|0;g=h?a:c;b=b?k[e>>2]|0:e;e=(f|0)==0;if(h){if(e){c=1;b=1;break}c=(bN(g,b,f)|0)==0;b=1;break}if(e){c=1;b=1}else if((a&255)<<24>>24==(i[b>>0]|0))while(1){d=d+-1|0;c=c+1|0;if(!d){c=1;b=1;break a}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){c=0;b=1;break}}else{c=0;b=1}}else{c=0;b=1}}else{b=T9(b)|0;if(!b){c=0;b=0}else{c=a+64|0;f=b+64|0;d=i[c+11>>0]|0;j=d<<24>>24<0;d=d&255;h=j?k[a+68>>2]|0:d;g=i[f+11>>0]|0;e=g<<24>>24<0;if((h|0)==((e?k[b+68>>2]|0:g&255)|0)){a=k[c>>2]|0;g=j?a:c;b=e?k[f>>2]|0:f;e=(h|0)==0;if(j){if(e){c=1;b=1;break}c=(bN(g,b,h)|0)==0;b=1;break}if(e){c=1;b=1}else if((a&255)<<24>>24==(i[b>>0]|0))while(1){d=d+-1|0;c=c+1|0;if(!d){c=1;b=1;break a}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){c=0;b=1;break}}else{c=0;b=1}}else{c=0;b=1}}}while(0);return c&b|0}function iq(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0;j=0;k[c>>2]=a;k[f>>2]=d;l=e;if(!(h&2))j=4;else if((l-d|0)<3)a=1;else{k[f>>2]=d+1;i[d>>0]=-17;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=-69;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=-65;j=4}a:do if((j|0)==4){a=k[c>>2]|0;while(1){if(a>>>0>=b>>>0){a=0;break a}d=k[a>>2]|0;if(d>>>0>g>>>0|(d&-2048|0)==55296){a=2;break a}do if(d>>>0<128){a=k[f>>2]|0;if((l-a|0)<1){a=1;break a}k[f>>2]=a+1;i[a>>0]=d}else{if(d>>>0<2048){a=k[f>>2]|0;if((l-a|0)<2){a=1;break a}k[f>>2]=a+1;i[a>>0]=d>>>6|192;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d&63|128;break}a=k[f>>2]|0;e=l-a|0;if(d>>>0<65536){if((e|0)<3){a=1;break a}k[f>>2]=a+1;i[a>>0]=d>>>12|224;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d>>>6&63|128;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d&63|128;break}else{if((e|0)<4){a=1;break a}k[f>>2]=a+1;i[a>>0]=d>>>18|240;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d>>>12&63|128;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d>>>6&63|128;j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=d&63|128;break}}while(0);a=(k[c>>2]|0)+4|0;k[c>>2]=a}}while(0);return a|0}function jq(a){a=a|0;var b=0,c=0,d=0,e=0;if((i[a>>0]|0)!=39){e=0;return e|0}d=a+1|0;b=i[d>>0]|0;c=a+2|0;if(b<<24>>24==92){a=Bka(c)|0;if(!a){b=i[d>>0]|0;e=5}else e=11}else e=5;a:do if((e|0)==5){a=b<<24>>24==35;b:do if(a)if((i[c>>0]|0)==123)e=10;else{a=c;e=11;break a}else{switch(b<<24>>24){case 0:{a=0;break a}case 39:{a=46030;break b}default:{}}if(b<<24>>24==92)a=46031;else e=10}while(0);if((e|0)==10)a=a?46032:46033;if(!(i[a>>0]|0)){a=c;e=11}else{a=d;e=21}}while(0);if((e|0)==11){c:while(1){e=0;b=i[a>>0]|0;d=a+1|0;if(b<<24>>24==92){b=Bka(d)|0;if(b|0){a=b;e=11;continue}b=i[a>>0]|0}c=b<<24>>24==35;d:do if(c)if((i[d>>0]|0)==123)e=19;else{a=d;e=11;continue c}else{switch(b<<24>>24){case 0:break c;case 39:{c=46030;break d}default:{}}if(b<<24>>24==92)c=46031;else e=19}while(0);if((e|0)==19)c=c?46032:46033;if(!(i[c>>0]|0)){a=d;e=11}else break}if(!a){e=0;return e|0}else e=21}if((e|0)==21)if(b<<24>>24==39){e=a+1|0;return e|0}else{d=a;a=b}b=i[48639]|0;e:do if(!(b<<24>>24)){a=d;b=0}else if(a<<24>>24==b<<24>>24){a=d;c=48639;do{a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break e}}while((i[a>>0]|0)==b<<24>>24)}else a=d;while(0);e=b<<24>>24==0&(a|0)!=0?d:0;return e|0}function kq(a){a=a|0;var b=0,c=0,d=0,e=0;if((i[a>>0]|0)!=34){e=0;return e|0}d=a+1|0;b=i[d>>0]|0;c=a+2|0;if(b<<24>>24==92){a=Bka(c)|0;if(!a){b=i[d>>0]|0;e=5}else e=11}else e=5;a:do if((e|0)==5){a=b<<24>>24==35;b:do if(a)if((i[c>>0]|0)==123)e=10;else{a=c;e=11;break a}else{switch(b<<24>>24){case 0:{a=0;break a}case 34:{a=46026;break b}default:{}}if(b<<24>>24==92)a=46027;else e=10}while(0);if((e|0)==10)a=a?46028:46029;if(!(i[a>>0]|0)){a=c;e=11}else{a=d;e=21}}while(0);if((e|0)==11){c:while(1){e=0;b=i[a>>0]|0;d=a+1|0;if(b<<24>>24==92){b=Bka(d)|0;if(b|0){a=b;e=11;continue}b=i[a>>0]|0}c=b<<24>>24==35;d:do if(c)if((i[d>>0]|0)==123)e=19;else{a=d;e=11;continue c}else{switch(b<<24>>24){case 0:break c;case 34:{c=46026;break d}default:{}}if(b<<24>>24==92)c=46027;else e=19}while(0);if((e|0)==19)c=c?46028:46029;if(!(i[c>>0]|0)){a=d;e=11}else break}if(!a){e=0;return e|0}else e=21}if((e|0)==21)if(b<<24>>24==34){e=a+1|0;return e|0}else{d=a;a=b}b=i[48639]|0;e:do if(!(b<<24>>24)){a=d;b=0}else if(a<<24>>24==b<<24>>24){a=d;c=48639;do{a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break e}}while((i[a>>0]|0)==b<<24>>24)}else a=d;while(0);e=b<<24>>24==0&(a|0)!=0?d:0;return e|0}function lq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+32|0;d=g+8|0;e=g;f=k[b+60>>2]|0;do if(!f){k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;aI(d,51014,1);y=0;oa(679,a+4|0,d|0);f=y;y=0;if(!(f&1)){A9(d);break}g=pb()|0;A9(d);sb(g|0)}else{c=a+4|0;if((f|0)==3){k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;aI(d,48589,1);y=0;oa(679,c|0,d|0);f=y;y=0;if(!(f&1)){A9(d);break}g=pb()|0;A9(d);sb(g|0)}else{k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;aI(d,48674,1);y=0;oa(679,c|0,d|0);f=y;y=0;if(!(f&1)){A9(d);break}g=pb()|0;A9(d);sb(g|0)}}while(0);LT(e,k[b+68>>2]|0);k[e>>2]=7284;f=k[e+4>>2]|0;y=0;oa(k[(k[f>>2]|0)+44>>2]|0,f|0,a|0);f=y;y=0;if(!(f&1)){DO(e);r=g;return}g=pb()|0;DO(e);sb(g|0)}function mq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0;a:do if(b>>>0<=20)do switch(b|0){case 9:{d=(k[c>>2]|0)+(4-1)&~(4-1);b=k[d>>2]|0;k[c>>2]=d+4;k[a>>2]=b;break a}case 10:{d=(k[c>>2]|0)+(4-1)&~(4-1);b=k[d>>2]|0;k[c>>2]=d+4;d=a;k[d>>2]=b;k[d+4>>2]=((b|0)<0)<<31>>31;break a}case 11:{d=(k[c>>2]|0)+(4-1)&~(4-1);b=k[d>>2]|0;k[c>>2]=d+4;d=a;k[d>>2]=b;k[d+4>>2]=0;break a}case 12:{d=(k[c>>2]|0)+(8-1)&~(8-1);b=d;e=k[b>>2]|0;b=k[b+4>>2]|0;k[c>>2]=d+8;d=a;k[d>>2]=e;k[d+4>>2]=b;break a}case 13:{e=(k[c>>2]|0)+(4-1)&~(4-1);d=k[e>>2]|0;k[c>>2]=e+4;d=(d&65535)<<16>>16;e=a;k[e>>2]=d;k[e+4>>2]=((d|0)<0)<<31>>31;break a}case 14:{e=(k[c>>2]|0)+(4-1)&~(4-1);d=k[e>>2]|0;k[c>>2]=e+4;e=a;k[e>>2]=d&65535;k[e+4>>2]=0;break a}case 15:{e=(k[c>>2]|0)+(4-1)&~(4-1);d=k[e>>2]|0;k[c>>2]=e+4;d=(d&255)<<24>>24;e=a;k[e>>2]=d;k[e+4>>2]=((d|0)<0)<<31>>31;break a}case 16:{e=(k[c>>2]|0)+(4-1)&~(4-1);d=k[e>>2]|0;k[c>>2]=e+4;e=a;k[e>>2]=d&255;k[e+4>>2]=0;break a}case 17:{e=(k[c>>2]|0)+(8-1)&~(8-1);f=+p[e>>3];k[c>>2]=e+8;p[a>>3]=f;break a}case 18:{e=(k[c>>2]|0)+(8-1)&~(8-1);f=+p[e>>3];k[c>>2]=e+8;p[a>>3]=f;break a}default:break a}while(0);while(0);return}function nq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;d=b+76|0;f=(k[b+80>>2]|0)-(k[d>>2]|0)|0;e=(f|0)/12|0;a:do if(f|0){c=0;while(1){if(c|0){y=0;oa(458,a|0,42);f=y;y=0;if(f&1)break}h=k[d>>2]|0;h=h+(c*12|0)|0;l=h|0;f=i[l+11>>0]|0;j=f<<24>>24<0;y=0;ta(41,a|0,(j?k[l>>2]|0:l)|0,(j?k[h+4>>2]|0:f&255)|0)|0;f=y;y=0;if(f&1)break;c=c+1|0;if(c>>>0>=e>>>0)break a}l=pb()|0;A9(a);sb(l|0)}while(0);f=b+88|0;c=k[f>>2]|0;d=b+92|0;e=k[d>>2]|0;do if((c|0)!=(e|0)){y=0;oa(458,a|0,47);l=y;y=0;if(!(l&1)){e=k[d>>2]|0;c=k[f>>2]|0;break}l=pb()|0;A9(a);sb(l|0)}while(0);l=e-c|0;d=(l|0)/12|0;if(!l)return;else c=0;while(1){if(c|0){y=0;oa(458,a|0,42);l=y;y=0;if(l&1)break}j=k[f>>2]|0;j=j+(c*12|0)|0;b=j|0;l=i[b+11>>0]|0;h=l<<24>>24<0;y=0;ta(41,a|0,(h?k[b>>2]|0:b)|0,(h?k[j+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1)break;c=c+1|0;if(c>>>0>=d>>>0){g=19;break}}if((g|0)==19)return;l=pb()|0;A9(a);sb(l|0)}function oq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;e=r;r=r+32|0;f=e+8|0;d=e;a=Ci(c,a)|0;k[a+92>>2]=b;g=a+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;c=i[g+11>>0]|0;h=c<<24>>24<0;c=h?k[a+76>>2]|0:c&255;y=0;Ra(10,f|0,(h?k[g>>2]|0:g)|0,c|0,c+3|0);c=y;y=0;if(c&1){h=pb()|0;A9(f);sb(h|0)}y=0;ta(41,f|0,47269,3)|0;h=y;y=0;if(h&1){h=pb()|0;A9(f);sb(h|0)}y=0;c=Ha(975,b|0,f|0)|0;h=y;y=0;if(h&1){h=pb()|0;A9(f);sb(h|0)}y=0;oa(460,d|0,a|0);h=y;y=0;do if(h&1)a=pb()|0;else{k[d>>2]=6336;if((c|0)==(d|0)){DO(d);A9(f);r=e;return}a=c+4|0;if(k[a>>2]|0){y=0;na(423,c|0);h=y;y=0;if(h&1){a=pb()|0;DO(d);break}}h=d+4|0;k[a>>2]=k[h>>2];k[h>>2]=0;DO(d);A9(f);r=e;return}while(0);h=a;A9(f);sb(h|0)}function pq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+96|0;j=o;l=o+56|0;m=o+40|0;n=IM(68)|0;c=l;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,39572,6);h=y;y=0;if(h&1){f=pb()|0;cra(n);sb(f|0)}y=0;c=j;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(27,m|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;b=qa(k[(k[b>>2]|0)+88>>2]|0,b|0)|0;f=y;y=0;if(!(f&1)){c=j;g=l;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));y=0;na(422,n|0);f=y;y=0;if(!(f&1)){c=n+12|0;g=j;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n>>2]=10672;i[n+60>>0]=b&1;k[n+64>>2]=0;k[n+56>>2]=1;A9(m);r=o;return n|0}}}f=pb()|0;A9(m);cra(n);sb(f|0);return 0}function qq(a){a=a|0;var b=0,c=0,d=0;c=0;b=aP(a)|0;if(!b){b=ct(a)|0;if(!b){if(!a){d=0;return d|0}}else c=3}else c=3;if((c|0)==3)while(1){c=0;a=aP(b)|0;if(a|0){b=a;c=3;continue}a=ct(b)|0;if(!a){a=b;break}else{b=a;c=3}}b=a+1|0;switch(i[a>>0]|0){case 33:{c=7;break}case 41:case 40:case 44:{d=b;return d|0}default:{}}a:do if((c|0)==7){b=ru(b)|0;if(b|0){c=i[35474]|0;if(c<<24>>24){d=35474;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=DP(b)|0;if(b|0){d=b;return d|0}}}while(0);b=jr(a)|0;if(b|0){d=b;return d|0}d=qk(a)|0;return d|0}function rq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0;n=0;o=r;r=r+16|0;g=o;h=a+72|0;k[h>>2]=(k[h>>2]|0)+-1;j=a+80|0;k[j>>2]=0;m=a+68|0;a:do switch(k[k[m>>2]>>2]|0){case 3:{i[a+84>>0]=0;break}case 1:{if(!(i[a+95>>0]|0))n=5;else if(!(i[a+97>>0]|0))n=5;if((n|0)==5){k[j>>2]=1;k[a+76>>2]=0}Rx(a);break}default:{f=a+4|0;c=i[f+11>>0]|0;d=c<<24>>24<0;if(d)e=k[a+8>>2]|0;else e=c&255;if(e|0){if(d)c=k[a+8>>2]|0;else c=c&255;f=FN(f,c+-1|0)|0;if(Pma(l[f>>0]|0)|0)if(!(i[a+84>>0]|0))break a;k[a+76>>2]=1}}}while(0);k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,50303,1);y=0;oa(679,a|0,g|0);f=y;y=0;if(f&1){o=pb()|0;A9(g);sb(o|0)}A9(g);if(b|0)zx(a+16|0,b);if(!(i[a+95>>0]|0))n=23;else if(!(i[a+97>>0]|0))n=23;b:do if((n|0)==23)switch(k[k[m>>2]>>2]|0){case 3:break b;case 2:{k[a+76>>2]=1;break b}default:{k[j>>2]=1;k[a+76>>2]=0;break b}}while(0);if(k[h>>2]|0){r=o;return}if((k[k[m>>2]>>2]|0)==3){r=o;return}k[j>>2]=2;r=o;return}function sq(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+64|0;j=n+16|0;l=n;Cda(a);m=a+12|0;h=m;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a+56>>2]=0;k[a>>2]=9828;o=a+60|0;y=0;oa(460,o|0,k[c+4>>2]|0);h=y;y=0;if(h&1){o=pb()|0;sb(o|0)}k[o>>2]=7284;c=a+68|0;y=0;oa(456,c|0,d|0);h=y;y=0;if(h&1)b=pb()|0;else{i[a+80>>0]=e&1;i[a+81>>0]=f&1;k[a+84>>2]=0;b=i[c+11>>0]|0;if(b<<24>>24<0)b=k[a+72>>2]|0;else b=b&255;if((b|0)==0|e^1){r=n;return}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,39872,50);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;h=j;b=m;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));oa(454,l|0,j|0);m=y;y=0;if(m&1){b=pb()|0;A9(l);break}A9(l);r=n;return}while(0);A9(c)}DO(o);o=b;sb(o|0)}function tq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+16|0;f=g;k[a+36>>2]=0;e=b+4|0;LT(c,k[e>>2]|0);k[c>>2]=7284;y=0;d=Ha(986,a+4|0,c|0)|0;h=y;y=0;if(h&1){h=pb()|0;DO(c);sb(h|0)}DO(c);do if(!d){c=a+28|0;d=k[c>>2]|0;if((d|0)==(k[a+32>>2]|0)){Qp(a+24|0,b);break}else{LT(d,k[e>>2]|0);k[d>>2]=7284;k[c>>2]=(k[c>>2]|0)+8;break}}else{c=a+44|0;if(!(k[c>>2]|0)){k[c>>2]=k[e>>2];_V(a+40|0)}}while(0);c=$j(a+4|0,b)|0;d=c+4|0;if(k[d>>2]|0)QO(c);h=b+12|0;k[d>>2]=k[h>>2];_V(c);d=k[k[a>>2]>>2]|0;LT(f,k[e>>2]|0);k[f>>2]=7284;c=f+8|0;y=0;oa(460,c|0,k[h>>2]|0);h=y;y=0;if(h&1){h=pb()|0;DO(f);sb(h|0)}k[c>>2]=7284;y=0;oa(d|0,a|0,f|0);h=y;y=0;if(!(h&1)){DO(f+8|0);DO(f);r=g;return a|0}h=pb()|0;DO(f+8|0);DO(f);sb(h|0);return 0}function uq(a){a=a|0;var b=0;a=ru(a)|0;if(!a){b=0;return b|0}if((i[a>>0]|0)!=44){b=0;return b|0}a=ru(a+1|0)|0;if(!a){b=0;return b|0}a=Ar(a)|0;if(!a){b=0;return b|0}a=ru(a)|0;if(!a){b=0;return b|0}if((i[a>>0]|0)!=61){b=0;return b|0}b=ru(a+1|0)|0;if(!b){b=0;return b|0}a=b+1|0;if((i[b>>0]|0)==36){if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=hx(a)|0;if(a|0){a=gx(a)|0;if(a|0){b=a;return b|0}}}b=Gq(b)|0;return b|0}function vq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>4;if(!d)return;do if(d>>>0>268435455){y=0;na(421,a|0);e=y;y=0;if(e&1)b=13;else{b=gb(4)|0;Qoa(b);y=0;Na(75,b|0,5760,404);y=0;b=13}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)b=13;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<4);b=k[b>>2]|0;e=k[e>>2]|0;if((b|0)==(e|0))return;while(1){y=0;oa(460,c|0,k[b+4>>2]|0);g=y;y=0;if(g&1){b=12;break}k[c>>2]=15136;d=c+8|0;y=0;oa(460,d|0,k[b+12>>2]|0);g=y;y=0;if(g&1){b=10;break}k[d>>2]=15152;b=b+16|0;c=(k[f>>2]|0)+16|0;k[f>>2]=c;if((b|0)==(e|0)){b=20;break}}if((b|0)==10){d=pb()|0;DO(c);break}else if((b|0)==12){d=pb()|0;break}else if((b|0)==20)return}}while(0);if((b|0)==13)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-16|0;k[f>>2]=g;DO(b+-8|0);DO(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function wq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(ly(a)|0){f=a;return f|0}f=i[35548]|0;if(!(f<<24>>24)){while(1){c=pV(a)|0;if(!c){c=zja(a)|0;if(!c)c=pB(a)|0}if((c|0)==(a|0)|(c|0)==0){c=0;a=17;break}if(!(ly(c)|0))a=c;else{a=17;break}}if((a|0)==17)return c|0}else e=a;while(1){d=i[e>>0]|0;a=35548;c=f;while(1){if(d<<24>>24==c<<24>>24){a=11;break}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=13;break}}if((a|0)==11){a=0;if(!(d<<24>>24))a=13;else b=e+1|0}if((a|0)==13){b=pV(e)|0;if(!b){b=zja(e)|0;if(!b)b=pB(e)|0}if((b|0)==(e|0)|(b|0)==0){c=0;a=17;break}}if(!(ly(b)|0))e=b;else{c=b;a=17;break}}if((a|0)==17)return c|0;return 0}function xq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;f=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48580,1);y=0;oa(679,f|0,e|0);g=y;y=0;if(g&1){h=pb()|0;A9(e);sb(h|0)}A9(e);g=b+64|0;c=k[g>>2]|0;d=b+68|0;a:do if((c|0)!=(k[d>>2]|0)){c=k[c+4>>2]|0;mc[k[(k[c>>2]|0)+44>>2]&1023](c,a);c=(k[d>>2]|0)-(k[b+64>>2]|0)>>3;if(c>>>0>1){b=1;while(1){k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48597,2);y=0;oa(679,f|0,e|0);d=y;y=0;if(d&1)break;A9(e);d=k[(k[g>>2]|0)+(b<<3)+4>>2]|0;mc[k[(k[d>>2]|0)+44>>2]&1023](d,a);b=b+1|0;if(b>>>0>=c>>>0)break a}h=pb()|0;A9(e);sb(h|0)}}while(0);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48585,1);y=0;oa(679,f|0,e|0);g=y;y=0;if(!(g&1)){A9(e);r=h;return}h=pb()|0;A9(e);sb(h|0)}function yq(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;l=r;r=r+48|0;h=l;j=l+40|0;LT(j,k[e+4>>2]|0);k[j>>2]=6868;g=h;e=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(e|0));y=0;na(422,a|0);g=y;y=0;do if(g&1)e=pb()|0;else{g=a+12|0;b=h;e=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(e|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;e=a+64|0;y=0;oa(460,e|0,k[j+4>>2]|0);h=y;y=0;if(h&1){e=pb()|0;break}k[e>>2]=6868;DO(j);k[a>>2]=8756;b=a+72|0;y=0;oa(456,b|0,c|0);j=y;y=0;do if(j&1)e=pb()|0;else{e=a+84|0;y=0;oa(460,e|0,k[d+4>>2]|0);d=y;y=0;if(d&1){e=pb()|0;A9(b);break}else{k[e>>2]=8852;k[a+92>>2]=0;k[a+96>>2]=f;f=a+100|0;k[a+116>>2]=0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;i[f+12>>0]=0;r=l;return}}while(0);k[a>>2]=6772;DO(a+64|0);a=e;sb(a|0)}while(0);DO(j);a=e;sb(a|0)}function zq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=0;j=r;r=r+96|0;f=j;c=j+88|0;g=j+48|0;l=j+40|0;LT(c,k[b+64>>2]|0);k[c>>2]=11804;e=k[c+4>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,a|0)|0;h=y;y=0;if(h&1){m=pb()|0;DO(c);sb(m|0)}DO(c);h=IM(68)|0;d=g;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;a=qa(387,e|0)|0;e=y;y=0;if(e&1)m=9;else{y=0;oa(460,l|0,a|0);e=y;y=0;if(e&1)m=9;else{k[l>>2]=11804;d=f;a=g;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;na(422,h|0);g=y;y=0;do if(g&1)a=pb()|0;else{d=h+12|0;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=0;k[h>>2]=11964;a=h+60|0;y=0;oa(460,a|0,k[l+4>>2]|0);g=y;y=0;if(g&1){a=pb()|0;break}else{k[a>>2]=11804;DO(l);r=j;return h|0}}while(0);DO(l)}}if((m|0)==9)a=pb()|0;cra(h);m=a;sb(m|0);return 0}function Aq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;g=r;r=r+96|0;e=g;c=g+56|0;j=g+40|0;f=c;h=b+12|0;i=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(i|0));cL(j,82288);f=e;h=c;i=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(i|0));y=0;oa(533,a|0,j|0);i=y;y=0;if(i&1)c=pb()|0;else{k[a>>2]=15644;d=a+8|0;y=0;oa(456,d|0,j|0);i=y;y=0;do if(i&1)c=pb()|0;else{c=a+20|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,51649,5);i=y;y=0;if(i&1){c=pb()|0;A9(d);break}f=a+32|0;h=e;i=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(i|0));k[a+72>>2]=0;A9(j);k[a>>2]=21256;k[a+76>>2]=b;y=0;Ha(1009,d|0,51916)|0;j=y;y=0;if(!(j&1)){r=g;return}j=pb()|0;k[a>>2]=15644;A9(c);A9(d);Pca(a);sb(j|0)}while(0);Pca(a)}A9(j);j=c;sb(j|0)}function Bq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=0;p=r;r=r+16|0;m=p+8|0;n=p;if(!(Jo(a,b)|0)){o=0;r=p;return o|0}c=a+84|0;f=b+84|0;e=i[c+11>>0]|0;l=e<<24>>24<0;e=e&255;g=l?k[a+88>>2]|0:e;j=i[f+11>>0]|0;d=j<<24>>24<0;if((g|0)!=((d?k[b+88>>2]|0:j&255)|0)){o=0;r=p;return o|0}h=k[c>>2]|0;j=l?h:c;d=d?k[f>>2]|0:f;f=(g|0)==0;a:do if(l){if(!f)if(bN(j,d,g)|0){o=0;r=p;return o|0}}else if(!f){if((h&255)<<24>>24!=(i[d>>0]|0)){o=0;r=p;return o|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}r=p;return c|0}while(0);LT(m,k[a+108>>2]|0);k[m>>2]=7492;y=0;oa(460,n|0,k[b+108>>2]|0);b=y;y=0;if(b&1){p=pb()|0;DO(m);sb(p|0)}k[n>>2]=7492;d=k[n+4>>2]|0;c=m+4|0;if(!d){c=k[c>>2]|0;o=17}else{c=k[c>>2]|0;if(!c)o=17;else{y=0;c=Ha(k[(k[c>>2]|0)+92>>2]|0,c|0,d|0)|0;b=y;y=0;if(b&1){p=pb()|0;DO(n);DO(m);sb(p|0)}}}if((o|0)==17)c=(c|0)==(d|0);DO(n);DO(m);o=c;r=p;return o|0}function Cq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+16|0;d=g+8|0;e=g;f=a+4|0;mc[k[(k[b>>2]|0)+140>>2]&1023](c,b);y=0;Na(147,f|0,c|0,b|0);h=y;y=0;if(h&1){h=pb()|0;A9(c);sb(h|0)}A9(c);b=b+108|0;LT(d,k[b>>2]|0);k[d>>2]=7492;h=(k[d+4>>2]|0)==0;DO(d);if(h){r=g;return}k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48580,1);y=0;oa(679,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;A9(c);sb(h|0)}A9(c);LT(e,k[b>>2]|0);k[e>>2]=7492;h=k[e+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;DO(e);sb(h|0)}DO(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48585,1);y=0;oa(679,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;A9(c);sb(h|0)}else{A9(c);r=g;return}}function Dq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+96|0;j=o;l=o+56|0;m=o+40|0;n=IM(68)|0;c=l;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,39172,7);h=y;y=0;if(h&1){f=pb()|0;cra(n);sb(f|0)}y=0;c=j;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(23,m|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;b=qa(337,b|0)|0;f=y;y=0;if(!(f&1)){c=j;g=l;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));y=0;na(422,n|0);f=y;y=0;if(!(f&1)){c=n+12|0;g=j;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n>>2]=10672;i[n+60>>0]=b&1;k[n+64>>2]=0;k[n+56>>2]=1;A9(m);r=o;return n|0}}}f=pb()|0;A9(m);cra(n);sb(f|0);return 0}function Eq(a){a=a|0;var b=0,c=0.0,d=0,e=0,f=0;e=a+108|0;b=k[e>>2]|0;if(b|0){e=b;return e|0}c=+p[a+88>>3];if(c==0.0)d=0;else{p[u>>3]=c;b=aa(k[u>>2]|0,1540483477)|0;d=aa(k[u+4>>2]|0,1540483477)|0;d=(aa((aa(b>>>24^b,1540483477)|0)^-561034072,1540483477)|0)^(aa(d>>>24^d,1540483477)|0);d=aa(d>>>13^d,1540483477)|0;d=d>>>15^d}k[e>>2]=d;c=+p[a+64>>3];if(c==0.0)b=-1640531527;else{p[u>>3]=c;f=aa(k[u>>2]|0,1540483477)|0;b=aa(k[u+4>>2]|0,1540483477)|0;b=(aa((aa(f>>>24^f,1540483477)|0)^-561034072,1540483477)|0)^(aa(b>>>24^b,1540483477)|0);b=aa(b>>>13^b,1540483477)|0;b=(b>>>15^b)+-1640531527|0}d=(d<<6)+b+(d>>>2)^d;k[e>>2]=d;c=+p[a+72>>3];if(c==0.0)b=-1640531527;else{p[u>>3]=c;f=aa(k[u>>2]|0,1540483477)|0;b=aa(k[u+4>>2]|0,1540483477)|0;b=(aa((aa(f>>>24^f,1540483477)|0)^-561034072,1540483477)|0)^(aa(b>>>24^b,1540483477)|0);b=aa(b>>>13^b,1540483477)|0;b=(b>>>15^b)+-1640531527|0}d=(d<<6)+b+(d>>>2)^d;k[e>>2]=d;c=+p[a+80>>3];if(c==0.0)b=-1640531527;else{p[u>>3]=c;f=aa(k[u>>2]|0,1540483477)|0;b=aa(k[u+4>>2]|0,1540483477)|0;b=(aa((aa(f>>>24^f,1540483477)|0)^-561034072,1540483477)|0)^(aa(b>>>24^b,1540483477)|0);b=aa(b>>>13^b,1540483477)|0;b=(b>>>15^b)+-1640531527|0}f=(d<<6)+b+(d>>>2)^d;k[e>>2]=f;return f|0}function Fq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=vha(e)|0;if(!b){b=cM(e)|0;if(!b){b=eM(e)|0;if(!b){b=aM(e)|0;if(!b){b=$L(e)|0;if(!b)f=VL(e)|0;else f=b}else f=b}else f=b}else f=b}else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Gq(a){a=a|0;var b=0,c=0;b=Hj(a)|0;if(b|0){while(1){c=Hj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)!=37){a=b;return a|0}}if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){a=b;return a|0}}b=jr(a)|0;if(b|0){a=b;return a|0}b=ds(a)|0;if(b|0){a=b;return a|0}if((i[a>>0]|0)==35){b=o4(a+1|0)|0;if(!b)b=0;else while(1){c=o4(b)|0;if(!c)break;else b=c}}else b=0;a=b-a|0;a=(a|0)!=9&((a|0)!=4&(a|0)!=7)?0:b;return a|0}function Hq(a){a=a|0;var b=0,c=0,d=0,e=0;b=i[a>>0]|0;d=a+1|0;if(b<<24>>24==92){b=Bka(d)|0;if(!b){b=i[a>>0]|0;e=4}else{d=b;e=10}}else e=4;a:do if((e|0)==4){c=b<<24>>24==35;b:do if(c)if((i[d>>0]|0)==123)e=9;else{e=10;break a}else{switch(b<<24>>24){case 0:{b=0;break a}case 39:{c=46030;break b}default:{}}if(b<<24>>24==92)c=46031;else e=9}while(0);if((e|0)==9)c=c?46032:46033;if(!(i[c>>0]|0))e=10;else{c=a;e=20}}while(0);if((e|0)==10){c:while(1){e=0;b=i[d>>0]|0;a=d+1|0;if(b<<24>>24==92){b=Bka(a)|0;if(b|0){d=b;e=10;continue}b=i[d>>0]|0}c=b<<24>>24==35;d:do if(c)if((i[a>>0]|0)==123)e=18;else{d=a;e=10;continue c}else{switch(b<<24>>24){case 0:break c;case 39:{c=46030;break d}default:{}}if(b<<24>>24==92)c=46031;else e=18}while(0);if((e|0)==18)c=c?46032:46033;if(!(i[c>>0]|0)){d=a;e=10}else break}if(!d){e=0;return e|0}else{c=d;e=20}}if((e|0)==20)if(b<<24>>24==39){e=c+1|0;return e|0}else a=c;c=i[48639]|0;e:do if(!(c<<24>>24)){b=a;c=0}else if(b<<24>>24==c<<24>>24){b=a;d=48639;do{b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){c=0;break e}}while((i[b>>0]|0)==c<<24>>24)}else b=a;while(0);e=c<<24>>24==0&(b|0)!=0?a:0;return e|0}function Iq(a){a=a|0;var b=0,c=0,d=0,e=0;b=i[a>>0]|0;d=a+1|0;if(b<<24>>24==92){b=Bka(d)|0;if(!b){b=i[a>>0]|0;e=4}else{d=b;e=10}}else e=4;a:do if((e|0)==4){c=b<<24>>24==35;b:do if(c)if((i[d>>0]|0)==123)e=9;else{e=10;break a}else{switch(b<<24>>24){case 0:{b=0;break a}case 34:{c=46026;break b}default:{}}if(b<<24>>24==92)c=46027;else e=9}while(0);if((e|0)==9)c=c?46028:46029;if(!(i[c>>0]|0))e=10;else{c=a;e=20}}while(0);if((e|0)==10){c:while(1){e=0;b=i[d>>0]|0;a=d+1|0;if(b<<24>>24==92){b=Bka(a)|0;if(b|0){d=b;e=10;continue}b=i[d>>0]|0}c=b<<24>>24==35;d:do if(c)if((i[a>>0]|0)==123)e=18;else{d=a;e=10;continue c}else{switch(b<<24>>24){case 0:break c;case 34:{c=46026;break d}default:{}}if(b<<24>>24==92)c=46027;else e=18}while(0);if((e|0)==18)c=c?46028:46029;if(!(i[c>>0]|0)){d=a;e=10}else break}if(!d){e=0;return e|0}else{c=d;e=20}}if((e|0)==20)if(b<<24>>24==34){e=c+1|0;return e|0}else a=c;c=i[48639]|0;e:do if(!(c<<24>>24)){b=a;c=0}else if(b<<24>>24==c<<24>>24){b=a;d=48639;do{b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){c=0;break e}}while((i[b>>0]|0)==c<<24>>24)}else b=a;while(0);e=c<<24>>24==0&(b|0)!=0?a:0;return e|0}function Jq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=7604;h=a+64|0;y=0;oa(469,h|0,b+64|0);g=y;y=0;if(g&1){h=pb()|0;sb(h|0)}g=a+76|0;y=0;oa(470,g|0,b+76|0);f=y;y=0;if(f&1){f=pb()|0;b=N}else{c=a+88|0;y=0;oa(460,c|0,k[b+92>>2]|0);f=y;y=0;if(!(f&1)){k[c>>2]=7172;k[d>>2]=12;return}f=pb()|0;b=N;c=k[g>>2]|0;if(c){e=a+80|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{j=d+-48|0;k[e>>2]=j;A9(d+-12|0);A9(d+-24|0);A9(d+-36|0);A9(j);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[g>>2]|0}cra(c)}}c=k[h>>2]|0;if(!c){j=f;sb(j|0)}e=a+68|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{j=d+-8|0;k[e>>2]=j;lc[k[k[j>>2]>>2]&511](j);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[h>>2]|0}cra(c);j=f;sb(j|0)}function Kq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;h=r;r=r+112|0;d=h;e=h+96|0;f=h+56|0;l=h+40|0;Iv(b,1,0)|0;j=b+156|0;k[e>>2]=k[j>>2];k[e+4>>2]=k[j+4>>2];k[e+8>>2]=k[j+8>>2];j=b+132|0;k[j>>2]=(k[j>>2]|0)+-1;j=e+8|0;k[j>>2]=(k[j>>2]|0)+-1;j=b+76|0;k[j>>2]=(k[j>>2]|0)+-1;j=IM(80)|0;g=f;b=b+108|0;c=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(c|0));y=0;oa(619,l|0,e|0);g=y;y=0;if(g&1){l=pb()|0;cra(j);sb(l|0)}g=d;b=f;c=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(c|0));y=0;na(422,j|0);g=y;y=0;do if(g&1)b=pb()|0;else{g=j+12|0;b=d;c=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(c|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=4;k[j>>2]=11100;i[j+60>>0]=0;i[j+61>>0]=0;y=0;oa(549,j+64|0,l|0);g=y;y=0;if(g&1){b=pb()|0;break}else{k[j+76>>2]=0;A9(l);LT(a,j);k[a>>2]=16780;r=h;return}}while(0);A9(l);l=b;cra(j);sb(l|0)}function Lq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0;j=0;n=r;r=r+16|0;h=n;m=a+76|0;b=k[m>>2]|0;if(b|0){m=b;r=n;return m|0}g=(k[a+80>>2]|0)==1;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;aI(h,g?51792:48597,g?1:2);g=i[h+11>>0]|0;e=g<<24>>24<0;f=e?k[h>>2]|0:h;g=e?k[h+4>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){g=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(g>>>24^g,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;j=8;break}case 2:{j=8;break}case 1:{j=9;break}default:{}}if((j|0)==8){b=(l[d+1>>0]|0)<<8^b;j=9}if((j|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;e=aa(b>>>13^b,1540483477)|0;k[m>>2]=e>>>15^e;A9(h);e=a+64|0;b=k[e>>2]|0;d=(k[a+68>>2]|0)-b>>3;if(!d){m=k[m>>2]|0;r=n;return m|0}c=0;while(1){a=k[b+(c<<3)+4>>2]|0;a=(oc[k[(k[a>>2]|0)+8>>2]&511](a)|0)+-1640531527|0;b=k[m>>2]|0;b=a+(b<<6)+(b>>>2)^b;k[m>>2]=b;c=c+1|0;if((c|0)==(d|0))break;b=k[e>>2]|0}r=n;return b|0}function Mq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;j=0;l=r;r=r+48|0;m=l+32|0;f=l+24|0;g=l+16|0;h=l+8|0;e=l;i=a+88|0;LT(m,k[i>>2]|0);k[m>>2]=15136;d=(k[m+4>>2]|0)==0;DO(m);if(d){LT(g,k[b+4>>2]|0);k[g>>2]=15136;d=a+68|0;k[d>>2]=0;b=a+84|0;if(!(k[i>>2]|0))j=4;else{y=0;na(423,b|0);m=y;y=0;if(!(m&1))j=4}if((j|0)==4){k[i>>2]=k[g+4>>2];y=0;na(424,b|0);m=y;y=0;if(!(m&1)){y=0;oa(460,f|0,k[i>>2]|0);m=y;y=0;if(!(m&1)){k[f>>2]=15136;DO(f);DO(g);k[d>>2]=0;k[a+72>>2]=c;r=l;return}}}m=pb()|0;DO(g);sb(m|0)}else{LT(h,k[i>>2]|0);k[h>>2]=15136;d=k[h+4>>2]|0;y=0;oa(460,e|0,k[b+4>>2]|0);m=y;y=0;do if(m&1)d=pb()|0;else{k[e>>2]=15136;y=0;Na(82,d|0,e|0,c|0);m=y;y=0;if(m&1){d=pb()|0;DO(e);break}DO(e);DO(h);r=l;return}while(0);DO(h);m=d;sb(m|0)}}function Nq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}e=e<<24>>24==42?f+1|0:f;if(!e)g=0;else{b=eO(e)|0;if(!b)g=0;else{e=sB(b)|0;if(!e)e=b;else while(1){b=sB(e)|0;if(!b)break;else e=b}if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Oq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;if(b>>>0>1073741807)mN(a);l=a+8|0;h=l+3|0;e=i[h>>0]|0;f=e<<24>>24<0;if(f){j=k[a+4>>2]|0;d=(k[l>>2]&2147483647)+-1|0}else{j=e&255;d=1}g=j>>>0>b>>>0?j:b;b=g>>>0<2;g=b?1:(g+4&-4)+-1|0;a:do if((g|0)!=(d|0)){do if(b){b=k[a>>2]|0;if(f){c=b;d=0;b=a;e=21}else{waa(a,b,(e&255)+1|0)|0;cra(b);e=23}}else{b=g+1|0;c=b>>>0>1073741823;do if(g>>>0>d>>>0)if(c){l=gb(4)|0;Qoa(l);Wb(l|0,5760,404)}else{b=IM(b<<2)|0;break}else{if(c){l=gb(4)|0;Qoa(l);y=0;Na(75,l|0,5760,404);y=0}else{y=0;b=qa(315,b<<2|0)|0;d=y;y=0;if(!(d&1))break}l=tb(0)|0;vb(l|0)|0;rb();break a}while(0);if(f){c=k[a>>2]|0;d=1;e=21;break}else{waa(b,a,(e&255)+1|0)|0;e=22;break}}while(0);if((e|0)==21){waa(b,c,(k[a+4>>2]|0)+1|0)|0;cra(c);if(d)e=22;else e=23}if((e|0)==22){k[l>>2]=g+1|-2147483648;k[a+4>>2]=j;k[a>>2]=b;break}else if((e|0)==23){i[h>>0]=j;break}}while(0);return}function Pq(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;d=0;f=a+24|0;b=k[f>>2]|0;i=a+28|0;c=k[i>>2]|0;a:do if((b|0)==(c|0))d=2;else{while(1){y=0;na(444,k[b>>2]|0);h=y;y=0;if(h&1)break;b=b+4|0;if((b|0)==(c|0)){d=2;break a}}b=tb(0)|0}while(0);b:do if((d|0)==2){e=a+12|0;b=k[e>>2]|0;h=a+16|0;c=k[h>>2]|0;c:do if((b|0)!=(c|0)){while(1){y=0;na(445,k[b>>2]|0);g=y;y=0;if(g&1)break;b=b+4|0;if((b|0)==(c|0))break c}b=tb(0)|0;break b}while(0);b=k[a>>2]|0;g=a+4|0;c=k[g>>2]|0;d:do if((b|0)!=(c|0)){while(1){y=0;na(445,k[b>>2]|0);d=y;y=0;if(d&1)break;b=b+4|0;if((b|0)==(c|0))break d}b=tb(0)|0;break b}while(0);b=k[f>>2]|0;c=b;if(b|0){d=k[i>>2]|0;if((d|0)!=(b|0))k[i>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}b=k[e>>2]|0;c=b;if(b|0){d=k[h>>2]|0;if((d|0)!=(b|0))k[h>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}b=k[a>>2]|0;if(!b)return;c=k[g>>2]|0;if((c|0)!=(b|0))k[g>>2]=c+(~((c+-4-b|0)>>>2)<<2);cra(b);return}while(0);VP(f);UP(a+12|0);UP(a);Sla(b)}function Qq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=a+4|0;c=k[f>>2]|0;g=a+100|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=eC(a)|0;switch(c|0){case 43:case 45:{d=(c|0)==45&1;c=k[f>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=eC(a)|0;if((b|0)!=0&(c+-48|0)>>>0>9)if(k[g>>2]|0)k[f>>2]=(k[f>>2]|0)+-1;break}default:d=0}if((c+-48|0)>>>0>9)if(!(k[g>>2]|0)){d=-2147483648;c=0}else{k[f>>2]=(k[f>>2]|0)+-1;d=-2147483648;c=0}else{e=0;do{e=c+-48+(e*10|0)|0;c=k[f>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=eC(a)|0}while((c+-48|0)>>>0<10&(e|0)<214748364);b=((e|0)<0)<<31>>31;if((c+-48|0)>>>0<10)do{b=rR(e|0,b|0,10,0)|0;e=N;c=P5(c|0,((c|0)<0)<<31>>31|0,-48,-1)|0;e=P5(c|0,N|0,b|0,e|0)|0;b=N;c=k[f>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=eC(a)|0}while((c+-48|0)>>>0<10&((b|0)<21474836|(b|0)==21474836&e>>>0<2061584302));if((c+-48|0)>>>0<10)do{c=k[f>>2]|0;if(c>>>0<(k[g>>2]|0)>>>0){k[f>>2]=c+1;c=l[c>>0]|0}else c=eC(a)|0}while((c+-48|0)>>>0<10);if(k[g>>2]|0)k[f>>2]=(k[f>>2]|0)+-1;g=(d|0)!=0;c=mU(0,0,e|0,b|0)|0;d=g?N:b;c=g?c:e}N=d;return c|0}function Rq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=bV(e)|0;b=b|0?b:e;if(!b)f=0;else{b=eO(b)|0;if(!b)f=0;else{f=sB(b)|0;b=f|0?f:b;if(!b)f=0;else{b=(i[b>>0]|0)==40?b+1|0:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}}}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Sq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+48|0;c=i+32|0;e=i+24|0;f=i+16|0;g=i+8|0;h=i;d=a+4|0;Rx(d);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48791,9);y=0;Na(147,d|0,c|0,b|0);j=y;y=0;if(j&1){j=pb()|0;A9(c);sb(j|0)}A9(c);Bla(d);c=b+76|0;LT(e,k[c>>2]|0);k[e>>2]=12568;j=(k[e+4>>2]|0)==0;DO(e);do if(!j){LT(f,k[c>>2]|0);k[f>>2]=12568;j=k[f+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){DO(f);break}j=pb()|0;DO(f);sb(j|0)}while(0);c=b+68|0;LT(g,k[c>>2]|0);k[g>>2]=6868;j=(k[g+4>>2]|0)==0;DO(g);if(j){r=i;return}LT(h,k[c>>2]|0);k[h>>2]=6868;j=k[h+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;DO(h);sb(j|0)}else{DO(h);r=i;return}}function Tq(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;o=0;p=r;r=r+48|0;n=p;if(!(oc[k[(k[a>>2]|0)+124>>2]&511](a)|0)){o=a;r=p;return o|0}d=IM(112)|0;y=0;e=n;f=a+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Na(80,d|0,n|0,0);m=y;y=0;if(m&1){p=pb()|0;cra(d);sb(p|0)}j=k[(k[b+4>>2]|0)+-4>>2]|0;j=(k[j+80>>2]|0)-(k[j+76>>2]|0)>>3;if(!j){o=d;r=p;return o|0}l=a+72|0;m=a+76|0;g=a+80|0;a=d+72|0;h=n+4|0;f=0;a:while(1){i=(k[g>>2]|0)-(k[m>>2]|0)>>3;if(i|0){e=0;do{q=(Fc[k[(k[l>>2]|0)+16>>2]&2047](l,e)|0)+4|0;LT(n,Yc(k[q>>2]|0,b,c)|0);k[n>>2]=6756;q=k[h>>2]|0;y=0;oa(k[(k[a>>2]|0)+24>>2]|0,a|0,((q|0)==0?0:q+72|0)|0);q=y;y=0;if(q&1)break a;DO(n);e=e+1|0}while(e>>>0<i>>>0)}f=f+1|0;if(f>>>0>=j>>>0){o=11;break}}if((o|0)==11){r=p;return d|0}q=pb()|0;DO(n);sb(q|0);return 0}function Uq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0;u=r;r=r+64|0;t=u+16|0;b=u;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,38272,6);y=0;c=t;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=sa(24,b|0,a|0,d|0,t|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;A9(b);sb(e|0)}A9(b);l=+p[c+64>>3]/255.0;m=+p[c+72>>3]/255.0;n=+p[c+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){i=0.0;h=0.0}else{h=o/(s<.5?i:2.0-j-h);if(l==j){i=(b?6.0:0.0)+(m-n)/o;break}if(m==j){i=(n-l)/o+2.0;break}if(n==j)i=(l-m)/o+4.0;else i=0.0}while(0);l=h*100.0;j=s*100.0;i=i/6.0*360.0+-180.0;h=+p[c+88>>3];c=t;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=Wm(i,l,j,h,0,t)|0;r=u;return e|0}function Vq(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0;l=r;r=r+112|0;g=l+64|0;c=l+12|0;h=l+24|0;i=l;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,39572,6);y=0;j=g;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));b=sa(27,c|0,a|0,d|0,g|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;A9(c);sb(e|0)}A9(c);c=IM(80)|0;j=h;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));y=0;oa(k[(k[b>>2]|0)+80>>2]|0,i|0,b|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;j=g;m=h;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));Ea(2,c|0,g|0,i|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;A9(i);break}else{A9(i);r=l;return c|0}}while(0);cra(c);e=b;sb(e|0);return 0}function Wq(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;j=r;r=r+16|0;h=j;f=b+4|0;e=k[f>>2]|0;do if(!e){k[h>>2]=f;g=f}else{g=k[c>>2]|0;while(1){c=k[e+16>>2]|0;if(g>>>0<c>>>0){c=k[e>>2]|0;if(!c){c=5;break}else e=c}else{if(c>>>0>=g>>>0){c=10;break}f=e+4|0;c=k[f>>2]|0;if(!c){c=9;break}else e=c}}if((c|0)==5){k[h>>2]=e;g=e;f=e;break}else if((c|0)==9){k[h>>2]=e;g=e;break}else if((c|0)==10){k[h>>2]=e;g=e;f=h;break}}while(0);e=k[f>>2]|0;if(e|0){b=e;d=0;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=j;return}c=IM(28)|0;k[c+16>>2]=k[d>>2];e=c+20|0;y=0;oa(460,e|0,k[d+8>>2]|0);d=y;y=0;if(d&1){j=pb()|0;cra(c);sb(j|0)}k[e>>2]=15136;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=g;k[f>>2]=c;e=k[k[b>>2]>>2]|0;if(!e)e=c;else{k[b>>2]=e;e=k[f>>2]|0}Qn(k[b+4>>2]|0,e);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=c;d=1;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=j;return}function Xq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+112|0;g=f;kE(g,b);y=0;oa(450,a|0,g|0);e=y;y=0;if(e&1){a=pb()|0;k[g>>2]=6352;A9(g+52|0);b=k[g+28>>2]|0;c=b;if(b|0){d=g+32|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);cra(b)}b=k[g+16>>2]|0;c=b;if(b|0){d=g+20|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}A9(g+4|0);g=a;sb(g|0)}k[g>>2]=6352;A9(g+52|0);d=k[g+28>>2]|0;e=d;if(d|0){b=g+32|0;c=k[b>>2]|0;if((c|0)!=(d|0))k[b>>2]=c+(~(((c+-24-e|0)>>>0)/24|0)*24|0);cra(d)}b=k[g+16>>2]|0;c=b;if(b|0){d=g+20|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}A9(g+4|0);k[a>>2]=19044;k[a+4>>2]=19328;g=a+104|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,87975,0);g=y;y=0;if(!(g&1)){k[a+116>>2]=0;k[a+120>>2]=0;k[a+124>>2]=0;r=f;return}g=pb()|0;xE(a);sb(g|0)}function Yq(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0;n=0;o=k[d>>2]|0;p=(o|0)==(c|0);do if(p){m=(i[l+24>>0]|0)==a<<24>>24;if(!m)if((i[l+25>>0]|0)!=a<<24>>24){n=5;break}k[d>>2]=c+1;i[c>>0]=m?43:45;k[e>>2]=0;m=0}else n=5;while(0);a:do if((n|0)==5){n=i[g+11>>0]|0;if(a<<24>>24==f<<24>>24?((n<<24>>24<0?k[g+4>>2]|0:n&255)|0)!=0:0){m=k[j>>2]|0;if((m-h|0)>=160){m=0;break}d=k[e>>2]|0;k[j>>2]=m+4;k[m>>2]=d;k[e>>2]=0;m=0;break}g=l+26|0;f=0;while(1){m=l+f|0;if((f|0)==26){m=g;break}if((i[m>>0]|0)==a<<24>>24)break;else f=f+1|0}m=m-l|0;if((m|0)>23)m=-1;else{switch(b|0){case 10:case 8:{if((m|0)>=(b|0)){m=-1;break a}break}case 16:{if((m|0)>=22){if(p){m=-1;break a}if((o-c|0)>=3){m=-1;break a}if((i[o+-1>>0]|0)!=48){m=-1;break a}k[e>>2]=0;m=i[56220+m>>0]|0;k[d>>2]=o+1;i[o>>0]=m;m=0;break a}break}default:{}}m=i[56220+m>>0]|0;k[d>>2]=o+1;i[o>>0]=m;k[e>>2]=(k[e>>2]|0)+1;m=0}}while(0);return m|0}function Zq(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;k[a>>2]=9560;g=a+4|0;d=a+20|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;o[d>>2]=1.0;y=0;oa(480,g|0,b|0);f=y;y=0;if(f&1){c=pb()|0;b=k[a+12>>2]|0;if(b|0)do{a=b;b=k[b>>2]|0;DO(a+16|0);DO(a+8|0);cra(a)}while((b|0)!=0);b=k[g>>2]|0;k[g>>2]=0;if(!b)sb(c|0);cra(b);sb(c|0)}e=a+24|0;f=a+28|0;c=a+40|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;y=0;oa(460,c|0,0);h=y;y=0;if(h&1)d=pb()|0;else{k[c>>2]=7284;h=~~+$(+(+(b>>>0)/+o[d>>2]))>>>0;y=0;oa(480,g|0,h|0);h=y;y=0;if(!(h&1)){y=0;oa(514,e|0,b|0);h=y;y=0;if(!(h&1))return}d=pb()|0;DO(c)}b=k[e>>2]|0;if(b|0){c=k[f>>2]|0;if((c|0)!=(b|0)){do{h=c+-8|0;k[f>>2]=h;lc[k[k[h>>2]>>2]&511](h);c=k[f>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}cra(b)}b=k[a+12>>2]|0;if(b|0)do{h=b;b=k[b>>2]|0;DO(h+16|0);DO(h+8|0);cra(h)}while((b|0)!=0);b=k[g>>2]|0;k[g>>2]=0;if(!b)sb(d|0);cra(b);sb(d|0)}function _q(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0,p=0;n=0;o=k[d>>2]|0;p=(o|0)==(c|0);do if(p){m=(k[l+96>>2]|0)==(a|0);if(!m)if((k[l+100>>2]|0)!=(a|0)){n=5;break}k[d>>2]=c+1;i[c>>0]=m?43:45;k[e>>2]=0;m=0}else n=5;while(0);a:do if((n|0)==5){n=i[g+11>>0]|0;if((a|0)==(f|0)?((n<<24>>24<0?k[g+4>>2]|0:n&255)|0)!=0:0){m=k[j>>2]|0;if((m-h|0)>=160){m=0;break}d=k[e>>2]|0;k[j>>2]=m+4;k[m>>2]=d;k[e>>2]=0;m=0;break}g=l+104|0;f=0;while(1){m=l+(f<<2)|0;if((f|0)==26){m=g;break}if((k[m>>2]|0)==(a|0))break;else f=f+1|0}m=m-l|0;f=m>>2;if((m|0)>92)m=-1;else{switch(b|0){case 10:case 8:{if((f|0)>=(b|0)){m=-1;break a}break}case 16:{if((m|0)>=88){if(p){m=-1;break a}if((o-c|0)>=3){m=-1;break a}if((i[o+-1>>0]|0)!=48){m=-1;break a}k[e>>2]=0;m=i[56220+f>>0]|0;k[d>>2]=o+1;i[o>>0]=m;m=0;break a}break}default:{}}m=i[56220+f>>0]|0;k[d>>2]=o+1;i[o>>0]=m;k[e>>2]=(k[e>>2]|0)+1;m=0}}while(0);return m|0}function $q(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0;m=r;r=r+16|0;f=m;g=a+80|0;k[g>>2]=0;h=a+68|0;do if((k[k[h>>2]>>2]|0)!=3){j=a+4|0;c=i[j+11>>0]|0;d=c<<24>>24<0;if(d)e=k[a+8>>2]|0;else e=c&255;if(e|0){if(d)c=k[a+8>>2]|0;else c=c&255;j=FN(j,c+-1|0)|0;if(Pma(l[j>>0]|0)|0)if(!(i[a+84>>0]|0))break;k[a+76>>2]=1}}while(0);_o(a);if(b|0)DB(a+16|0,b);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,51083,1);y=0;oa(679,a|0,f|0);j=y;y=0;if(j&1){m=pb()|0;A9(f);sb(m|0)}A9(f);if(i[a+95>>0]|0)if(i[a+97>>0]|0){j=a+72|0;h=k[j>>2]|0;h=h+1|0;k[j>>2]=h;r=m;return}switch(k[k[h>>2]>>2]|0){case 2:{k[a+76>>2]=1;j=a+72|0;h=k[j>>2]|0;h=h+1|0;k[j>>2]=h;r=m;return}case 3:{j=a+72|0;h=k[j>>2]|0;h=h+1|0;k[j>>2]=h;r=m;return}default:{k[g>>2]=1;k[a+76>>2]=0;j=a+72|0;h=k[j>>2]|0;h=h+1|0;k[j>>2]=h;r=m;return}}}function ar(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a:do if(oc[k[(k[a>>2]|0)+152>>2]&511](a)|0){r=b+72|0;n=(k[b+80>>2]|0)-(k[b+76>>2]|0)>>3;if(n|0){o=a+84|0;p=o+11|0;q=a+88|0;m=0;b:while(1){d=(Fc[k[(k[r>>2]|0)+16>>2]&2047](r,m)|0)+4|0;d=k[d>>2]|0;c:do if(d|0){c=k[d>>2]|0;if((k[(k[c+-4>>2]|0)+4>>2]|0)==30192)if(oc[k[c+152>>2]&511](d)|0){c=d+84|0;e=i[c+11>>0]|0;l=e<<24>>24<0;e=e&255;g=l?k[d+88>>2]|0:e;j=i[p>>0]|0;d=j<<24>>24<0;if((g|0)!=((d?k[q>>2]|0:j&255)|0)){c=0;d=17;break b}h=k[c>>2]|0;j=l?h:c;d=d?k[o>>2]|0:o;f=(g|0)==0;if(l){if(f)break;if(!(bN(j,d,g)|0))break;else{c=0;d=17;break b}}if(!f){if((h&255)<<24>>24!=(i[d>>0]|0)){c=0;d=17;break b}while(1){e=e+-1|0;c=c+1|0;if(!e)break c;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;d=17;break b}}}}}while(0);m=m+1|0;if(m>>>0>=n>>>0)break a}if((d|0)==17)return c|0}}while(0);b=Vh(a,b)|0;return b|0}function br(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=(c|0)/48|0;if(!c)return;do if(d>>>0>89478485){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d*48|0);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(471,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+48|0;c=(k[f>>2]|0)+48|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-48|0;k[f>>2]=g;A9(b+-12|0);A9(b+-24|0);A9(b+-36|0);A9(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function cr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+16|0;m=o+8|0;n=o;if(!(Jo(a,b)|0)){n=0;r=o;return n|0}c=a+84|0;f=b+84|0;e=i[c+11>>0]|0;l=e<<24>>24<0;e=e&255;g=l?k[a+88>>2]|0:e;j=i[f+11>>0]|0;d=j<<24>>24<0;if((g|0)!=((d?k[b+88>>2]|0:j&255)|0)){n=0;r=o;return n|0}h=k[c>>2]|0;j=l?h:c;d=d?k[f>>2]|0:f;f=(g|0)==0;a:do if(l){if(!f)if(bN(j,d,g)|0){n=0;r=o;return n|0}}else if(!f){if((h&255)<<24>>24!=(i[d>>0]|0)){n=0;r=o;return n|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}r=o;return c|0}while(0);LT(m,k[a+108>>2]|0);k[m>>2]=6756;c=k[m+4>>2]|0;d=k[(k[c>>2]|0)+164>>2]|0;y=0;oa(460,n|0,k[b+108>>2]|0);b=y;y=0;if(b&1){o=pb()|0;DO(m);sb(o|0)}k[n>>2]=6756;y=0;c=Ha(d|0,c|0,k[n+4>>2]|0)|0;b=y;y=0;if(b&1){o=pb()|0;DO(n);DO(m);sb(o|0)}else{DO(n);DO(m);n=c;r=o;return n|0}return 0}function dr(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;l=r;r=r+48|0;h=l;j=l+40|0;LT(j,k[f+4>>2]|0);k[j>>2]=6868;g=h;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;na(422,a|0);g=y;y=0;do if(g&1)f=pb()|0;else{g=a+12|0;b=h;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));g=a+52|0;k[g>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;f=a+64|0;y=0;oa(460,f|0,k[j+4>>2]|0);h=y;y=0;if(h&1){f=pb()|0;break}k[f>>2]=6868;DO(j);k[a>>2]=7396;b=a+72|0;y=0;oa(460,b|0,k[c+4>>2]|0);j=y;y=0;do if(j&1)f=pb()|0;else{k[b>>2]=7492;f=a+80|0;y=0;oa(460,f|0,k[d+4>>2]|0);d=y;y=0;if(d&1){f=pb()|0;DO(b);break}else{k[f>>2]=7284;i[a+88>>0]=e&1;i[a+89>>0]=0;k[g>>2]=9;r=l;return}}while(0);k[a>>2]=6772;DO(a+64|0);a=f;sb(a|0)}while(0);DO(j);a=f;sb(a|0)}function er(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;i=c;g=b;f=i-g|0;m=f>>2;h=a+8|0;d=k[h>>2]|0;l=k[a>>2]|0;j=l;if(m>>>0<=d-l>>2>>>0){h=a+4|0;a=(k[h>>2]|0)-l>>2;f=m>>>0>a>>>0;a=f?b+(a<<2)|0:c;e=a;d=e-g|0;c=d>>2;if(c|0)fO(l|0,b|0,d|0)|0;c=j+(c<<2)|0;if(f){d=i-e|0;if((d|0)<=0)return;wH(k[h>>2]|0,a|0,d|0)|0;k[h>>2]=(k[h>>2]|0)+(d>>2<<2);return}else{d=k[h>>2]|0;if((d|0)==(c|0))return;k[h>>2]=d+(~((d+-4-c|0)>>>2)<<2);return}}e=l;if(l){d=a+4|0;c=k[d>>2]|0;if((c|0)!=(j|0))k[d>>2]=c+(~((c+-4-l|0)>>>2)<<2);cra(e);k[h>>2]=0;k[d>>2]=0;k[a>>2]=0;d=0}if(m>>>0>1073741823){pN(a);d=k[h>>2]|0;c=k[a>>2]|0}else c=0;l=d-c|0;d=l>>1;d=l>>2>>>0<536870911?(d>>>0<m>>>0?m:d):1073741823;if(d>>>0>1073741823){pN(a);b=gb(4)|0;Qoa(b);Wb(b|0,5760,404)}c=IM(d<<2)|0;e=a+4|0;k[e>>2]=c;k[a>>2]=c;k[h>>2]=c+(d<<2);if((f|0)<=0)return;wH(c|0,b|0,f|0)|0;k[e>>2]=c+(m<<2);return}function fr(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;g=r;r=r+16|0;h=g;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[h+(b<<2)>>2]=0;b=b+1|0}j=i[f+11>>0]|0;l=j<<24>>24<0;b=l?k[f>>2]|0:f;f=b+(l?k[f+4>>2]|0:j&255)|0;while(1){if(b>>>0>=f>>>0){f=8;break}y=0;oa(458,h|0,i[b>>0]|0);l=y;y=0;if(l&1){f=9;break}b=b+1|0}do if((f|0)==8){y=0;b=Ma(24,((c|0)==-1?-1:c<<1)|0,d|0,e|0,((i[h+11>>0]|0)<0?k[h>>2]|0:h)|0)|0;l=y;y=0;if(l&1){b=pb()|0;break}k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;f=0;while(1){if((f|0)==3)break;k[a+(f<<2)>>2]=0;f=f+1|0}f=b+(IJ(b)|0)|0;while(1){if(b>>>0>=f>>>0){f=19;break}y=0;oa(458,a|0,i[b>>0]|0);l=y;y=0;if(l&1){f=18;break}b=b+1|0}if((f|0)==18){b=pb()|0;A9(a);break}else if((f|0)==19){A9(h);r=g;return}}else if((f|0)==9)b=pb()|0;while(0);A9(h);sb(b|0)}function gr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;l=r;r=r+16|0;i=l+8|0;j=l;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=32210){i=0;j=0;j=i&j;r=l;return j|0}g=(k[a+68>>2]|0)-(k[a+64>>2]|0)>>3;h=b+64|0;c=k[h>>2]|0;if((g|0)!=((k[b+68>>2]|0)-c>>3|0)){i=1;j=0;j=i&j;r=l;return j|0}if(!g){i=1;j=1;j=i&j;r=l;return j|0}d=a+64|0;e=j+4|0;f=i+4|0;a=0;b=c;while(1){LT(i,k[b+(a<<3)+4>>2]|0);k[i>>2]=7284;y=0;oa(460,j|0,k[(k[d>>2]|0)+(a<<3)+4>>2]|0);c=y;y=0;if(c&1){c=9;break}k[j>>2]=7284;b=k[e>>2]|0;c=k[f>>2]|0;if((b|0)==0|(c|0)==0)b=1;else{y=0;b=Ha(k[(k[b>>2]|0)+92>>2]|0,b|0,c|0)|0;c=y;y=0;if(c&1){c=10;break}b=b&1^1}DO(j);DO(i);a=a+1|0;if(b|0){a=1;b=0;c=15;break}if(a>>>0>=g>>>0){a=1;b=1;c=15;break}b=k[h>>2]|0}if((c|0)==9){l=pb()|0;DO(i);sb(l|0)}else if((c|0)==10){l=pb()|0;DO(j);DO(i);sb(l|0)}else if((c|0)==15){j=a&b;r=l;return j|0}return 0}function hr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;Cda(a);e=a+12|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a>>2]=13472;i[a+60>>0]=0;i[a+61>>0]=0;i[a+62>>0]=0;k[a+64>>2]=0;k[a+68>>2]=0;k[a+56>>2]=7;d=a+72|0;k[d>>2]=15588;f=a+76|0;g=a+80|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(509,f|0,c|0);c=y;y=0;if(c&1){c=pb()|0;e=N;b=k[f>>2]|0;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0)){do{a=d+-8|0;k[g>>2]=a;lc[k[k[a>>2]>>2]&511](a);d=k[g>>2]|0}while((d|0)!=(b|0));b=k[f>>2]|0}cra(b)}g=c;sb(g|0)}k[a>>2]=15372;k[d>>2]=15548;b=a+92|0;y=0;oa(460,b|0,0);f=y;y=0;if(!(f&1)){k[b>>2]=15628;k[a+100>>2]=0;k[a+104>>2]=0;k[a+108>>2]=0;return}f=pb()|0;c=N;k[d>>2]=15588;e=a+76|0;b=k[e>>2]|0;if(!b){g=f;sb(g|0)}d=k[g>>2]|0;if((d|0)!=(b|0)){do{a=d+-8|0;k[g>>2]=a;lc[k[k[a>>2]>>2]&511](a);d=k[g>>2]|0}while((d|0)!=(b|0));b=k[e>>2]|0}cra(b);g=f;sb(g|0)}function ir(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;d=k[b+52>>2]|0;i[a+52>>0]=d;i[a+53>>0]=(d&65535)>>>8;i[a+54>>0]=d>>>16;d=a+56|0;k[d>>2]=k[b+56>>2];k[a>>2]=13472;g=k[b+60>>2]|0;i[a+60>>0]=g;i[a+61>>0]=(g&65535)>>>8;i[a+62>>0]=g>>>16;k[a+64>>2]=k[b+64>>2];k[a+68>>2]=k[b+68>>2];k[d>>2]=7;d=a+72|0;k[d>>2]=15588;y=0;oa(504,a+76|0,b+76|0);g=y;y=0;if(g&1){a=pb()|0;sb(a|0)}k[a+88>>2]=k[b+88>>2];k[a>>2]=15372;k[d>>2]=15548;c=a+92|0;y=0;oa(460,c|0,k[b+96>>2]|0);g=y;y=0;do if(g&1){g=pb()|0;f=N}else{k[c>>2]=15628;y=0;oa(455,a+100|0,b+100|0);g=y;y=0;if(g&1){g=pb()|0;f=N;DO(c);break}else return}while(0);k[d>>2]=15588;b=a+76|0;c=k[b>>2]|0;if(!c){a=g;sb(a|0)}e=a+80|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{a=d+-8|0;k[e>>2]=a;lc[k[k[a>>2]>>2]&511](a);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[b>>2]|0}cra(c);a=g;sb(a|0)}function jr(a){a=a|0;var b=0,c=0,d=0;b=i[a>>0]|0;d=a+1|0;do if(b<<24>>24==39){if((i[d>>0]|0)==92){b=UO(a+2|0)|0;if(!b)c=4;else c=5}else c=4;if((c|0)==4){b=wl(d)|0;if(!b)b=d;else c=5}if((c|0)==5)while(1){if((i[b>>0]|0)==92){c=UO(b+1|0)|0;if(c|0){b=c;c=5;continue}}c=wl(b)|0;if(!c)break;else{b=c;c=5}}if((i[b>>0]|0)==39){d=b+1|0;return d|0}else{b=i[a>>0]|0;break}}while(0);if(b<<24>>24!=34){d=0;return d|0}if((i[d>>0]|0)==92){b=UO(a+2|0)|0;if(!b)c=13;else c=14}else c=13;if((c|0)==13){b=xl(d)|0;if(!b)b=d;else c=14}if((c|0)==14)while(1){if((i[b>>0]|0)==92){c=UO(b+1|0)|0;if(c|0){b=c;c=14;continue}}c=xl(b)|0;if(!c)break;else{b=c;c=14}}d=(i[b>>0]|0)==34?b+1|0:0;return d|0}function kr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(Iy(a)|0){f=a;return f|0}f=i[35548]|0;if(!(f<<24>>24)){while(1){c=pV(a)|0;if(!c){c=zja(a)|0;if(!c)c=pB(a)|0}if((c|0)==(a|0)|(c|0)==0){c=0;a=17;break}if(!(Iy(c)|0))a=c;else{a=17;break}}if((a|0)==17)return c|0}else e=a;while(1){d=i[e>>0]|0;a=35548;c=f;while(1){if(d<<24>>24==c<<24>>24){a=11;break}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=13;break}}if((a|0)==11){a=0;if(!(d<<24>>24))a=13;else b=e+1|0}if((a|0)==13){b=pV(e)|0;if(!b){b=zja(e)|0;if(!b)b=pB(e)|0}if((b|0)==(e|0)|(b|0)==0){c=0;a=17;break}}if(!(Iy(b)|0))e=b;else{c=b;a=17;break}}if((a|0)==17)return c|0;return 0}function lr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;i=c;g=b;f=i-g|0;m=f>>2;h=a+8|0;d=k[h>>2]|0;l=k[a>>2]|0;j=l;if(m>>>0<=d-l>>2>>>0){h=a+4|0;a=(k[h>>2]|0)-l>>2;f=m>>>0>a>>>0;a=f?b+(a<<2)|0:c;e=a;d=e-g|0;c=d>>2;if(c|0)fO(l|0,b|0,d|0)|0;c=j+(c<<2)|0;if(f){d=i-e|0;if((d|0)<=0)return;wH(k[h>>2]|0,a|0,d|0)|0;k[h>>2]=(k[h>>2]|0)+(d>>2<<2);return}else{d=k[h>>2]|0;if((d|0)==(c|0))return;k[h>>2]=d+(~((d+-4-c|0)>>>2)<<2);return}}e=l;if(l){d=a+4|0;c=k[d>>2]|0;if((c|0)!=(j|0))k[d>>2]=c+(~((c+-4-l|0)>>>2)<<2);cra(e);k[h>>2]=0;k[d>>2]=0;k[a>>2]=0;d=0}if(m>>>0>1073741823){pN(a);d=k[h>>2]|0;c=k[a>>2]|0}else c=0;l=d-c|0;d=l>>1;d=l>>2>>>0<536870911?(d>>>0<m>>>0?m:d):1073741823;if(d>>>0>1073741823){pN(a);b=gb(4)|0;Qoa(b);Wb(b|0,5760,404)}c=IM(d<<2)|0;e=a+4|0;k[e>>2]=c;k[a>>2]=c;k[h>>2]=c+(d<<2);if((f|0)<=0)return;wH(c|0,b|0,f|0)|0;k[e>>2]=c+(m<<2);return}function mr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;j=r;r=r+16|0;h=j+8|0;g=j;f=a+72|0;c=a+80|0;if((k[a+76>>2]|0)==(k[c>>2]|0)){h=b;r=j;return h|0}LT(h,oc[k[(k[b>>2]|0)+12>>2]&511](b)|0);k[h>>2]=15152;c=(k[c>>2]|0)-(k[a+76>>2]|0)>>3;e=h+4|0;a:do if(c|0){d=g+4|0;b=0;while(1){if(!(k[e>>2]|0))break a;y=0;a=Ha(k[(k[f>>2]|0)+16>>2]|0,f|0,b|0)|0;l=y;y=0;if(l&1){a=11;break}a=k[a+4>>2]|0;y=0;a=Ha(k[(k[a>>2]|0)+148>>2]|0,a|0,k[e>>2]|0)|0;l=y;y=0;if(l&1){a=11;break}y=0;oa(460,g|0,a|0);l=y;y=0;if(l&1){a=11;break}k[g>>2]=15152;if(k[e>>2]|0){y=0;na(423,h|0);l=y;y=0;if(l&1){a=12;break}}k[e>>2]=k[d>>2];k[d>>2]=0;DO(g);b=b+1|0;if(b>>>0>=c>>>0)break a}if((a|0)==11){l=pb()|0;DO(h);sb(l|0)}else if((a|0)==12){l=pb()|0;DO(g);DO(h);sb(l|0)}}while(0);a=k[e>>2]|0;if(!a)a=0;else i[a+8>>0]=1;DO(h);l=a;r=j;return l|0}function nr(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;if(!a){e=0;return e|0}c=i[50984]|0;a:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=50984;while(1){if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=DP(b)|0;if(b|0){e=b;return e|0}}c=i[51064]|0;b:do if(!(c<<24>>24)){b=a;e=9}else{b=a;d=51064;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=9;break}}}while(0);if((e|0)==9){b=DP(b)|0;if(b|0){e=b;return e|0}}c=i[35436]|0;c:do if(!(c<<24>>24)){b=a;e=13}else{b=a;d=35436;while(1){if((i[b>>0]|0)!=c<<24>>24)break c;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=13;break}}}while(0);if((e|0)==13){b=DP(b)|0;if(b|0){e=b;return e|0}}b=i[50977]|0;d:do if(b<<24>>24){c=50977;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break d}return a|0}while(0);e=DP(a)|0;return e|0}function or(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}f=CW(e)|0;if(!f)f=0;else{b=f+1|0;if((i[f>>0]|0)==45){m=(q1(b)|0)!=0;b=m?b:0}else b=0;b=b|0?b:f;if(b>>>0>(k[a+80>>2]|0)>>>0){m=0;r=l;return m|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){m=0;r=l;return m|0}m=k[j>>2]|0;k[a+156>>2]=m;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;c=a+96|0;aH(g,c,m,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,c,e,f);m=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,c,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,m,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function pr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;j=r;r=r+96|0;f=j;c=j+88|0;g=j+48|0;l=j+40|0;LT(c,k[b+64>>2]|0);k[c>>2]=7284;e=k[c+4>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,a|0)|0;h=y;y=0;if(h&1){l=pb()|0;DO(c);sb(l|0)}DO(c);h=IM(68)|0;d=g;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;oa(460,l|0,e|0);e=y;y=0;if(e&1)a=pb()|0;else{k[l>>2]=7284;d=f;a=g;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;na(422,h|0);g=y;y=0;do if(g&1)a=pb()|0;else{d=h+12|0;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=0;k[h>>2]=12220;a=h+60|0;y=0;oa(460,a|0,k[l+4>>2]|0);g=y;y=0;if(g&1){a=pb()|0;break}else{k[a>>2]=7284;DO(l);r=j;return h|0}}while(0);DO(l)}cra(h);l=a;sb(l|0);return 0}function qr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+96|0;e=c+56|0;f=c+16|0;h=c;do if(b|0){a=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[195]|0)==(a|0)){if(!((k[b+96>>2]|0)==0|(k[119]|0)==(a|0)|(k[147]|0)==(a|0)|(k[109]|0)==(a|0)|(k[331]|0)==(a|0)|(k[81]|0)==(a|0)|(k[129]|0)==(a|0)|(k[133]|0)==(a|0)|(k[205]|0)==(a|0)))break;r=c;return}else{if(!((k[119]|0)==(a|0)|(k[147]|0)==(a|0)|(k[109]|0)==(a|0)|(k[331]|0)==(a|0)|(k[81]|0)==(a|0)|(k[129]|0)==(a|0)|(k[133]|0)==(a|0)|(k[205]|0)==(a|0)))break;r=c;return}}while(0);g=gb(76)|0;d=f;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,49001,90);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=e;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,g|0,e|0,h|0);f=y;y=0;if(f&1)c=1;else{y=0;Na(75,g|0,2928,175);y=0;c=0}a=pb()|0;A9(h);if(!c){h=a;sb(h|0)}}fb(g|0);h=a;sb(h|0)}function rr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){g=mW(e)|0;e=g|0?g:e}if(!e)f=0;else{b=i[48639]|0;a:do if(!(b<<24>>24)){f=e;b=0}else{f=e;g=48639;while(1){if((i[f>>0]|0)!=b<<24>>24)break a;f=f+1|0;g=g+1|0;b=i[g>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);b=b<<24>>24==0?f:0;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;g=a+96|0;aH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function sr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){g=mW(e)|0;e=g|0?g:e}if(!e)f=0;else{b=i[48600]|0;a:do if(!(b<<24>>24)){f=e;b=0}else{f=e;g=48600;while(1){if((i[f>>0]|0)!=b<<24>>24)break a;f=f+1|0;g=g+1|0;b=i[g>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);b=b<<24>>24==0?f:0;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;g=a+96|0;aH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function tr(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;j=r;r=r+16|0;g=j;h=bt(b,g,c)|0;d=k[h>>2]|0;if(d|0){b=d;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=j;return}c=IM(36)|0;f=c+16|0;d=k[e>>2]|0;k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=c+28|0;y=0;oa(460,d|0,0);e=y;y=0;if(e&1){b=pb()|0;A9(f);cra(c);sb(b|0)}k[d>>2]=6336;d=k[g>>2]|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=d;k[h>>2]=c;d=k[k[b>>2]>>2]|0;if(!d)d=c;else{k[b>>2]=d;d=k[h>>2]|0}Qn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=c;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=j;return}function ur(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){g=mW(e)|0;e=g|0?g:e}if(!e)f=0;else{b=i[50303]|0;a:do if(!(b<<24>>24)){f=e;b=0}else{f=e;g=50303;while(1){if((i[f>>0]|0)!=b<<24>>24)break a;f=f+1|0;g=g+1|0;b=i[g>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);b=b<<24>>24==0?f:0;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;g=a+96|0;aH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function vr(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0;Cda(a);h=a+12|0;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));k[a>>2]=6212;i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a+56>>2]=0;g=a+60|0;k[g>>2]=11544;j=a+64|0;l=a+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(636,j|0,d|0);d=y;y=0;if(d&1){d=pb()|0;h=N;b=k[j>>2]|0;if(b|0){g=k[l>>2]|0;if((g|0)!=(b|0)){do{a=g+-8|0;k[l>>2]=a;lc[k[k[a>>2]>>2]&511](a);g=k[l>>2]|0}while((g|0)!=(b|0));b=k[j>>2]|0}cra(b)}l=d;sb(l|0)}k[a>>2]=11364;k[g>>2]=11488;b=a+80|0;y=0;oa(460,b|0,k[c+4>>2]|0);c=y;y=0;if(!(c&1)){k[b>>2]=7492;i[a+88>>0]=e&1;i[a+89>>0]=f&1;return}j=pb()|0;d=N;k[g>>2]=11544;h=a+64|0;b=k[h>>2]|0;if(!b){l=j;sb(l|0)}g=k[l>>2]|0;if((g|0)!=(b|0)){do{a=g+-8|0;k[l>>2]=a;lc[k[k[a>>2]>>2]&511](a);g=k[l>>2]|0}while((g|0)!=(b|0));b=k[h>>2]|0}cra(b);l=j;sb(l|0)}function wr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=r;r=r+16|0;d=f;cL(d,82300);y=0;oa(533,a|0,d|0);e=y;y=0;do if(e&1)c=pb()|0;else{k[a>>2]=15668;e=a+8|0;y=0;oa(456,e|0,d|0);g=y;y=0;if(g&1){c=pb()|0;Pca(a);break}A9(d);k[a>>2]=21280;y=0;Ha(1009,e|0,51954)|0;g=y;y=0;if(!(g&1)){y=0;c=qa(403,c|0)|0;g=y;y=0;if(!(g&1)){y=0;Ha(974,e|0,c|0)|0;g=y;y=0;if(!(g&1)){y=0;Ha(974,e|0,51976)|0;g=y;y=0;if(!(g&1)){y=0;c=qa(403,b|0)|0;g=y;y=0;if(!(g&1)){y=0;Ha(974,e|0,c|0)|0;g=y;y=0;if(!(g&1)){y=0;Ha(974,e|0,51984)|0;g=y;y=0;if(!(g&1)){r=f;return}}}}}}}g=pb()|0;k[a>>2]=15668;A9(e);Pca(a);sb(g|0)}while(0);A9(d);g=c;sb(g|0)}function xr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+16|0;g=h;a:do if(!a){c=k[b>>2]|0;d=k[c>>2]|0;if(!d)c=0;else{a=c;c=0;do{if(d>>>0>127){d=XD(g,d,0)|0;if((d|0)==-1){c=-1;break a}}else d=1;c=d+c|0;a=a+4|0;d=k[a>>2]|0}while((d|0)!=0)}}else{b:do if(c>>>0>3){d=c;e=k[b>>2]|0;while(1){f=k[e>>2]|0;if((f+-1|0)>>>0>126){if(!f)break;f=XD(a,f,0)|0;if((f|0)==-1){c=-1;break a}a=a+f|0;d=d-f|0}else{i[a>>0]=f;a=a+1|0;d=d+-1|0;e=k[b>>2]|0}e=e+4|0;k[b>>2]=e;if(d>>>0<=3)break b}i[a>>0]=0;k[b>>2]=0;c=c-d|0;break a}else d=c;while(0);if(d){e=k[b>>2]|0;while(1){f=k[e>>2]|0;if((f+-1|0)>>>0>126){if(!f){e=19;break}f=XD(g,f,0)|0;if((f|0)==-1){c=-1;break a}if(d>>>0<f>>>0){e=22;break}XD(a,k[e>>2]|0,0)|0;a=a+f|0;d=d-f|0}else{i[a>>0]=f;a=a+1|0;d=d+-1|0;e=k[b>>2]|0}e=e+4|0;k[b>>2]=e;if(!d)break a}if((e|0)==19){i[a>>0]=0;k[b>>2]=0;c=c-d|0;break}else if((e|0)==22){c=c-d|0;break}}}while(0);r=h;return c|0}function yr(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;j=r;r=r+16|0;g=j;h=at(b,g,c)|0;d=k[h>>2]|0;if(d|0){b=d;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=j;return}c=IM(36)|0;f=c+16|0;y=0;oa(456,f|0,k[e>>2]|0);e=y;y=0;if(e&1){b=pb()|0;cra(c);sb(b|0)}d=c+28|0;y=0;oa(460,d|0,0);e=y;y=0;if(e&1){b=pb()|0;A9(f);cra(c);sb(b|0)}k[d>>2]=12920;d=k[g>>2]|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=d;k[h>>2]=c;d=k[k[b>>2]>>2]|0;if(!d)d=c;else{k[b>>2]=d;d=k[h>>2]|0}Qn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=c;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=j;return}function zr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;d=r;r=r+48|0;e=d+24|0;f=d+12|0;c=d;if(Yv(b,1,0)|0){f=b+28|0;k[a>>2]=k[f>>2];k[a+4>>2]=k[f+4>>2];k[a+8>>2]=k[f+8>>2];r=d;return}k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,43044,11);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,43056,7);g=y;y=0;if(g&1){g=pb()|0;A9(e);sb(g|0)}k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,44693,27);g=y;y=0;do if(g&1)a=pb()|0;else{y=0;ma(10,b|0,e|0,f|0,c|0,1);g=y;y=0;if(g&1){a=pb()|0;A9(c);break}A9(c);A9(f);A9(e);g=b+28|0;k[a>>2]=k[g>>2];k[a+4>>2]=k[g+4>>2];k[a+8>>2]=k[g+8>>2];r=d;return}while(0);A9(f);g=a;A9(e);sb(g|0)}function Ar(a){a=a|0;var b=0,c=0;b=a+1|0;if((i[a>>0]|0)==36){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){c=b;return c|0}}}b=Hj(a)|0;if(b|0){while(1){c=Hj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)!=37){c=b;return c|0}}if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=hx(a)|0;if(!a){c=0;return c|0}c=gx(a)|0;return c|0}function Br(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0;j=r;r=r+16|0;g=j;h=bt(b,g,c)|0;d=k[h>>2]|0;if(d|0){b=d;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=j;return}c=IM(36)|0;f=c+16|0;y=0;oa(456,f|0,k[e>>2]|0);e=y;y=0;if(e&1){b=pb()|0;cra(c);sb(b|0)}d=c+28|0;y=0;oa(460,d|0,0);e=y;y=0;if(e&1){b=pb()|0;A9(f);cra(c);sb(b|0)}k[d>>2]=6336;d=k[g>>2]|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=d;k[h>>2]=c;d=k[k[b>>2]>>2]|0;if(!d)d=c;else{k[b>>2]=d;d=k[h>>2]|0}Qn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=c;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=j;return}function Cr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;if(!c)c=k[b+76>>2]|0;e=mW(c)|0;e=Jw(e|0?e:c)|0;b=b+80|0;d=e>>>0<=(k[b>>2]|0)>>>0?e:0;if((d|0)==0|(c|0)==(d|0))return;a:do if(c>>>0<d>>>0){while(1){f=c;c=c+1|0;if((i[f>>0]|0)==35)if((i[c>>0]|0)==123)break;if(c>>>0>=d>>>0)break a}i[a+13>>0]=1}while(0);k[a+8>>2]=d;f=mW(e)|0;f=f|0?f:e;f=(i[f>>0]|0)==123?f+1|0:0;if(!((f|0)==0?1:f>>>0>(k[b>>2]|0)>>>0)){k[a>>2]=d;return}f=mW(e)|0;f=f|0?f:e;f=(i[f>>0]|0)==59?f+1|0:0;if(!((f|0)==0?1:f>>>0>(k[b>>2]|0)>>>0)){k[a>>2]=d;return}f=mW(e)|0;f=f|0?f:e;f=(i[f>>0]|0)==125?f+1|0:0;if((f|0)==0?1:f>>>0>(k[b>>2]|0)>>>0)return;k[a>>2]=d;return}function Dr(a,b,c,d,e,f,g,h,i,j,l,m,n,o,p,q,r){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;k[dc+40>>2]=e;k[dc+48>>2]=f;k[dc+56>>2]=g;k[dc+64>>2]=h;k[dc+72>>2]=i;k[dc+80>>2]=j;k[dc+88>>2]=l;k[dc+96>>2]=m;k[dc+104>>2]=n;k[dc+112>>2]=o;k[dc+120>>2]=p;k[dc+128>>2]=q;k[dc+136>>2]=r;if((cc|0)==1)cc=3}Qc(fc+53196|0)}function Er(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/12|0)+1|0;if(e>>>0>357913941){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/12|0;f=h<<1;f=h>>>0<178956970?(f>>>0<e>>>0?e:f):357913941;c=(d-c|0)/12|0;do if(!f)g=0;else if(f>>>0>357913941){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{g=IM(f*12|0)|0;break}while(0);d=g+(c*12|0)|0;e=d;h=g+(f*12|0)|0;y=0;oa(456,d|0,b|0);b=y;y=0;if(b&1){c=pb()|0;if(!g)sb(c|0);cra(g);sb(c|0)}g=d+12|0;f=k[a>>2]|0;c=k[j>>2]|0;if((c|0)==(f|0)){d=e;e=f;c=f}else{do{b=d+-12|0;c=c+-12|0;k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;d=e+-12|0;e=d}while((c|0)!=(f|0));d=e;e=k[a>>2]|0;c=k[j>>2]|0}k[a>>2]=d;k[j>>2]=g;k[i>>2]=h;d=e;if((c|0)!=(d|0))do{c=c+-12|0;A9(c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function Fr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=dD(e)|0;if(!b)f=0;else{b=xK(b)|0;if(!b)f=0;else{while(1){f=xK(b)|0;if(!f)break;else b=f}if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Gr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=r;r=r+48|0;g=j;h=j+40|0;LT(h,k[e+4>>2]|0);k[h>>2]=6868;f=g;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));y=0;na(422,a|0);f=y;y=0;do if(f&1)e=pb()|0;else{f=a+12|0;b=g;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;e=a+64|0;y=0;oa(460,e|0,k[h+4>>2]|0);g=y;y=0;if(g&1){e=pb()|0;break}k[e>>2]=6868;DO(h);k[a>>2]=8868;b=a+72|0;y=0;oa(456,b|0,c|0);h=y;y=0;do if(h&1)e=pb()|0;else{e=a+84|0;y=0;oa(460,e|0,k[d+4>>2]|0);d=y;y=0;if(d&1){e=pb()|0;A9(b);break}else{k[e>>2]=8964;r=j;return}}while(0);k[a>>2]=6772;DO(a+64|0);a=e;sb(a|0)}while(0);DO(h);a=e;sb(a|0)}function Hr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;p=r;r=r+48|0;m=p+16|0;l=p;h=p+32|0;n=a+28|0;g=k[n>>2]|0;k[h>>2]=g;o=a+20|0;g=(k[o>>2]|0)-g|0;k[h+4>>2]=g;k[h+8>>2]=b;k[h+12>>2]=c;i=a+60|0;j=a+44|0;f=2;b=g+c|0;while(1){if(!(k[20587]|0)){k[m>>2]=k[i>>2];k[m+4>>2]=h;k[m+8>>2]=f;e=O8(ac(146,m|0)|0)|0}else{Tb(466,a|0);k[l>>2]=k[i>>2];k[l+4>>2]=h;k[l+8>>2]=f;e=O8(ac(146,l|0)|0)|0;Ib(0)}if((b|0)==(e|0)){b=6;break}if((e|0)<0){b=8;break}b=b-e|0;d=k[h+4>>2]|0;if(e>>>0>d>>>0){g=k[j>>2]|0;k[n>>2]=g;k[o>>2]=g;e=e-d|0;f=f+-1|0;g=h+8|0;d=k[h+12>>2]|0}else if((f|0)==2){k[n>>2]=(k[n>>2]|0)+e;f=2;g=h}else g=h;k[g>>2]=(k[g>>2]|0)+e;k[g+4>>2]=d-e;h=g}if((b|0)==6){m=k[j>>2]|0;k[a+16>>2]=m+(k[a+48>>2]|0);a=m;k[n>>2]=a;k[o>>2]=a}else if((b|0)==8){k[a+16>>2]=0;k[n>>2]=0;k[o>>2]=0;k[a>>2]=k[a>>2]|32;if((f|0)==2)c=0;else c=c-(k[h+4>>2]|0)|0}r=p;return c|0}function Ir(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/12|0)+1|0;if(e>>>0>357913941){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/12|0;f=h<<1;f=h>>>0<178956970?(f>>>0<e>>>0?e:f):357913941;c=(d-c|0)/12|0;do if(!f)d=0;else if(f>>>0>357913941){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{d=IM(f*12|0)|0;break}while(0);g=d+(c*12|0)|0;e=g;h=d+(f*12|0)|0;k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=g+12|0;f=k[a>>2]|0;c=k[j>>2]|0;if((c|0)==(f|0)){d=e;e=f;c=f}else{d=g;do{g=d+-12|0;c=c+-12|0;k[g>>2]=k[c>>2];k[g+4>>2]=k[c+4>>2];k[g+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;d=e+-12|0;e=d}while((c|0)!=(f|0));d=e;e=k[a>>2]|0;c=k[j>>2]|0}k[a>>2]=d;k[j>>2]=b;k[i>>2]=h;d=e;if((c|0)!=(d|0))do{c=c+-12|0;A9(c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function Jr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;f=0;g=r;r=r+96|0;h=g+56|0;i=g+16|0;j=g;c=k[a+4>>2]|0;e=k[a+8>>2]|0;if((c|0)==(e|0)){r=g;return}while(1){d=k[c>>2]|0;if(d|0){a=k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[179]|0)==(a|0)|(k[175]|0)==(a|0)|(k[171]|0)==(a|0)|(k[183]|0)==(a|0)|(k[105]|0)==(a|0)|(k[205]|0)==(a|0))break;if((k[195]|0)==(a|0))if(!(k[d+96>>2]|0))break}c=c+4|0;if((c|0)==(e|0)){f=2;break}}if((f|0)==2){r=g;return}e=gb(76)|0;d=i;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,49237,68);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=h;a=i;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,e|0,h|0,j|0);i=y;y=0;if(i&1)c=1;else{y=0;Na(75,e|0,2928,175);y=0;c=0}a=pb()|0;A9(j);if(!c){j=a;sb(j|0)}}fb(e|0);j=a;sb(j|0)}function Kr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;g=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){f=mW(e)|0;e=f|0?f:e}b=pO(e)|0;if(!b){b=jN(e)|0;if(!b)f=0;else g=6}else g=6;if((g|0)==6){b=(i[b>>0]|0)==45?0:b;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;g=a+96|0;aH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function Lr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;f=0;g=r;r=r+96|0;h=g+56|0;i=g+16|0;j=g;c=k[a+4>>2]|0;e=k[a+8>>2]|0;if((c|0)==(e|0)){r=g;return}while(1){d=k[c>>2]|0;if(d|0){a=k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[179]|0)==(a|0)|(k[175]|0)==(a|0)|(k[171]|0)==(a|0)|(k[183]|0)==(a|0)|(k[105]|0)==(a|0)|(k[205]|0)==(a|0))break;if((k[195]|0)==(a|0))if(!(k[d+96>>2]|0))break}c=c+4|0;if((c|0)==(e|0)){f=2;break}}if((f|0)==2){r=g;return}e=gb(76)|0;d=i;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,49165,71);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=h;a=i;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,e|0,h|0,j|0);i=y;y=0;if(i&1)c=1;else{y=0;Na(75,e|0,2928,175);y=0;c=0}a=pb()|0;A9(j);if(!c){j=a;sb(j|0)}}fb(e|0);j=a;sb(j|0)}function Mr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;e=k[l>>2]|0;if(!(i[e>>0]|0)){l=0;r=m;return l|0}if(b){g=mW(e)|0;e=g|0?g:e}f=i[35552]|0;a:do if(!(f<<24>>24))b=0;else{b=i[e>>0]|0;g=35552;while(1){if(b<<24>>24==f<<24>>24)break a;g=g+1|0;f=i[g>>0]|0;if(!(f<<24>>24)){b=0;break}}}while(0);f=b<<24>>24?e+1|0:0;if(f>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((f|0)==0|(f|0)==(e|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;g=a+96|0;aH(h,g,c,e);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,g,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,g,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=f;l=f;r=m;return l|0}function Nr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0;j=r;r=r+48|0;g=j;h=j+40|0;LT(h,k[d+4>>2]|0);k[h>>2]=6868;f=g;d=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(d|0));y=0;na(422,a|0);f=y;y=0;do if(f&1)d=pb()|0;else{f=a+12|0;b=g;d=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(d|0));f=a+52|0;k[f>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;d=a+64|0;y=0;oa(460,d|0,k[h+4>>2]|0);g=y;y=0;if(g&1){d=pb()|0;break}k[d>>2]=6868;DO(h);k[a>>2]=8180;b=a+72|0;y=0;oa(460,b|0,k[c+4>>2]|0);h=y;y=0;do if(h&1)d=pb()|0;else{k[b>>2]=7284;d=a+80|0;y=0;oa(460,d|0,k[e+4>>2]|0);e=y;y=0;if(e&1){d=pb()|0;DO(b);break}else{k[d>>2]=6868;k[f>>2]=22;r=j;return}}while(0);k[a>>2]=6772;DO(a+64|0);a=d;sb(a|0)}while(0);DO(h);a=d;sb(a|0)}function Or(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;i=r;r=r+208|0;g=i+168|0;j=i;h=g;f=h+40|0;do{k[h>>2]=k[d>>2];h=h+4|0;d=d+4|0}while((h|0)<(f|0));Nl(j,b,c,g,e);y=0;Na(106,a|0,j|0,0);h=y;y=0;if(h&1){b=pb()|0;d=k[j+56>>2]|0;f=d;if(d|0){g=j+60|0;a=k[g>>2]|0;if((a|0)!=(d|0))k[g>>2]=a+(~((a+-4-f|0)>>>2)<<2);cra(d)}a=j+44|0;d=k[a>>2]|0;if(!d)sb(b|0);g=j+48|0;f=k[g>>2]|0;if((f|0)!=(d|0)){do{j=f+-8|0;k[g>>2]=j;lc[k[k[j>>2]>>2]&511](j);f=k[g>>2]|0}while((f|0)!=(d|0));d=k[a>>2]|0}cra(d);sb(b|0)}else{a=k[j+56>>2]|0;d=a;if(a|0){f=j+60|0;g=k[f>>2]|0;if((g|0)!=(a|0))k[f>>2]=g+(~((g+-4-d|0)>>>2)<<2);cra(a)}a=j+44|0;d=k[a>>2]|0;if(!d){r=i;return}g=j+48|0;f=k[g>>2]|0;if((f|0)!=(d|0)){do{j=f+-8|0;k[g>>2]=j;lc[k[k[j>>2]>>2]&511](j);f=k[g>>2]|0}while((f|0)!=(d|0));d=k[a>>2]|0}cra(d);r=i;return}}function Pr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=ds(e)|0;if(!b)f=0;else{f=fN(b)|0;if(!f)f=0;else{f=(ds(f)|0)!=0;b=f?b:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Qr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;g=r;r=r+16|0;e=g;eE(e,b);BC(a+16|0,e);f=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;h=i[b+11>>0]|0;j=h<<24>>24<0;h=j?k[b+4>>2]|0:h&255;d=f+11|0;c=i[d>>0]|0;a=a+8|0;c=c<<24>>24<0?k[a>>2]|0:c&255;y=0;Ra(10,e|0,(j?k[b>>2]|0:b)|0,h|0,c+h|0);b=y;y=0;if(b&1){j=pb()|0;A9(e);sb(j|0)}y=0;ta(41,e|0,((i[d>>0]|0)<0?k[f>>2]|0:f)|0,c|0)|0;j=y;y=0;if(j&1){j=pb()|0;A9(e);sb(j|0)}if((i[d>>0]|0)<0){i[k[f>>2]>>0]=0;k[a>>2]=0}else{i[f>>0]=0;i[d>>0]=0}y=0;oa(500,f|0,0);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}else{k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;A9(e);r=g;return}}function Rr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;h=0;j=r;r=r+16|0;g=j;y=0;oa(531,g|0,a|0);f=y;y=0;a:do if(f&1){b=tb(0)|0;c=a;d=a;h=12}else{do if(i[g>>0]|0){c=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;d=c;if(!c)h=8;else{e=d+24|0;f=k[e>>2]|0;if((f|0)!=(k[d+28>>2]|0)){k[e>>2]=f+1;i[f>>0]=b;break}y=0;b=Ha(k[(k[c>>2]|0)+52>>2]|0,d|0,b&255|0)|0;f=y;y=0;if(!(f&1))if((b|0)==-1)h=8;else break}if((h|0)==8){f=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,f|0,k[f+16>>2]|1|0);f=y;y=0;if(!(f&1))break}b=tb(0)|0;EA(g);c=a;d=a;h=12;break a}while(0);EA(g)}while(0);do if((h|0)==12){vb(b|0)|0;y=0;na(435,c+(k[(k[d>>2]|0)+-12>>2]|0)|0);h=y;y=0;if(!(h&1)){rb();break}b=pb()|0;y=0;la(3);h=y;y=0;if(h&1){h=tb(0)|0;Sla(h)}else sb(b|0)}while(0);r=j;return a|0}function Sr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=r;r=r+32|0;h=j+24|0;i=j+16|0;g=j;e=k[b+4>>2]|0;b=k[e+76>>2]|0;e=k[e+80>>2]|0;if((b|0)==(e|0)){i=0;r=j;return i|0}f=h+4|0;while(1){LT(h,k[b+4>>2]|0);k[h>>2]=15136;d=k[(k[a>>2]|0)+148>>2]|0;y=0;oa(460,i|0,k[f>>2]|0);l=y;y=0;if(l&1){d=8;break}k[i>>2]=15136;y=0;oa(456,g|0,c|0);l=y;y=0;if(l&1){d=9;break}y=0;d=ta(d|0,a|0,i|0,g|0)|0;l=y;y=0;if(l&1){d=10;break}A9(g);DO(i);DO(h);b=b+8|0;if(d){b=1;d=13;break}if((b|0)==(e|0)){b=0;d=13;break}}if((d|0)==8){l=pb()|0;DO(h);sb(l|0)}else if((d|0)==9)b=pb()|0;else if((d|0)==10){b=pb()|0;A9(g)}else if((d|0)==13){r=j;return b|0}DO(i);l=b;DO(h);sb(l|0);return 0}function Tr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;f=r;r=r+112|0;c=f+64|0;d=f+24|0;j=f+16|0;l=f+8|0;i=f;m=IM(100)|0;e=d;g=b+12|0;h=e+40|0;do{k[e>>2]=k[g>>2];e=e+4|0;g=g+4|0}while((e|0)<(h|0));y=0;oa(460,j|0,b|0);h=y;y=0;do if(h&1)c=pb()|0;else{k[j>>2]=15152;y=0;oa(460,l|0,0);h=y;y=0;if(h&1){c=pb()|0;DO(j);break}k[l>>2]=15136;y=0;oa(460,i|0,0);h=y;y=0;if(h&1){c=pb()|0;a=1}else{k[i>>2]=7492;y=0;e=c;g=d;h=e+40|0;do{k[e>>2]=k[g>>2];e=e+4|0;g=g+4|0}while((e|0)<(h|0));ya(11,m|0,c|0,0,j|0,l|0,i|0);h=y;y=0;if(h&1)a=1;else{y=0;oa(460,a|0,m|0);h=y;y=0;if(h&1)a=0;else{k[a>>2]=15136;DO(i);DO(l);DO(j);r=f;return}}c=pb()|0;DO(i)}DO(l);DO(j);if(!a){m=c;sb(m|0)}}while(0);cra(m);m=c;sb(m|0)}function Ur(a){a=a|0;var b=0,c=0;c=0;b=qq(a)|0;if(!b){if(!a){c=0;return c|0}}else while(1){a=qq(b)|0;if(!a){a=b;break}else b=a}b=aP(a)|0;if(!b){b=ct(a)|0;if(!b)b=a;else c=6}else c=6;if((c|0)==6)while(1){c=aP(b)|0;if(c|0){b=c;c=6;continue}c=ct(b)|0;if(!c)break;else{b=c;c=6}}switch(i[b>>0]|0){case 59:case 125:{b=b+1|0;break}default:b=eka(b)|0}c=b|0?a:0;return c|0}function Vr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;h=r;r=r+16|0;e=h;g=a;d=c;i=g+40|0;do{k[g>>2]=k[d>>2];g=g+4|0;d=d+4|0}while((g|0)<(i|0));k[a+40>>2]=b;l=a+44|0;m=a+48|0;f=a+56|0;j=a+60|0;b=a+84|0;g=l;i=g+40|0;do{k[g>>2]=0;g=g+4|0}while((g|0)<(i|0));k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];g=a+96|0;k[g>>2]=k[c>>2];k[g+4>>2]=k[c+4>>2];k[g+8>>2]=k[c+8>>2];g=a+108|0;d=c;i=g+40|0;do{k[g>>2]=k[d>>2];g=g+4|0;d=d+4|0}while((g|0)<(i|0));i=a+148|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;k[i+12>>2]=0;k[i+16>>2]=0;k[e>>2]=0;y=0;oa(567,f|0,e|0);i=y;y=0;if(!(i&1)){r=h;return}c=pb()|0;b=k[f>>2]|0;d=b;if(b|0){a=k[j>>2]|0;if((a|0)!=(b|0))k[j>>2]=a+(~((a+-4-d|0)>>>2)<<2);cra(b)}b=k[l>>2]|0;if(!b)sb(c|0);d=k[m>>2]|0;if((d|0)!=(b|0)){do{j=d+-8|0;k[m>>2]=j;lc[k[k[j>>2]>>2]&511](j);d=k[m>>2]|0}while((d|0)!=(b|0));b=k[l>>2]|0}cra(b);sb(c|0)}function Wr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;g=0;h=r;r=r+32|0;e=h+16|0;f=h;j=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,j|0,k[j+16>>2]&-3|0);j=y;y=0;a:do if(j&1)g=7;else{y=0;Na(151,e|0,a|0,1);j=y;y=0;if(j&1)g=7;else do if(i[e>>0]|0){j=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;ya(k[(k[j>>2]|0)+16>>2]|0,f|0,j|0,b|0,c|0,d|0,8);j=y;y=0;if(j&1)b=tb(0)|0;else{j=f+8|0;if(!((k[j>>2]|0)==-1?(k[j+4>>2]|0)==-1:0))break;j=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,j|0,k[j+16>>2]|4|0);j=y;y=0;if(!(j&1))break;b=tb(0)|0}g=12;break a}while(0)}while(0);if((g|0)==7){b=tb(0)|0;g=12}do if((g|0)==12){vb(b|0)|0;y=0;na(435,a+(k[(k[a>>2]|0)+-12>>2]|0)|0);j=y;y=0;if(!(j&1)){rb();break}b=pb()|0;y=0;la(3);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}else sb(b|0)}while(0);r=h;return a|0}function Xr(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0;h=0;n=r;r=r+16|0;j=n;m=a+84|0;b=k[m>>2]|0;if(b|0){m=b;r=n;return m|0}f=a+68|0;g=i[f+11>>0]|0;e=g<<24>>24<0;f=e?k[f>>2]|0:f;g=e?k[a+72>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){g=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(g>>>24^g,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;h=8;break}case 2:{h=8;break}case 1:{h=9;break}default:{}}if((h|0)==8){b=(l[d+1>>0]|0)<<8^b;h=9}if((h|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;b=aa(b>>>13^b,1540483477)|0;k[m>>2]=b>>>15^b;LT(j,k[a+64>>2]|0);k[j>>2]=7284;b=k[j+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;h=y;y=0;if(h&1){n=pb()|0;DO(j);sb(n|0)}h=k[m>>2]|0;k[m>>2]=b+-1640531527+(h<<6)+(h>>>2)^h;DO(j);m=k[m>>2]|0;r=n;return m|0}function Yr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h+8|0;f=h+12|0;g=h;c=k[a+12>>2]|0;if(c){d=c;while(1){c=k[d+12>>2]|0;if(!c)break;else{a=d;d=c}}}c=a;while(1){if((tv(c,b)|0)!=(c+4|0)){d=5;break}c=k[c+12>>2]|0;if(!c){d=7;break}}if((d|0)==5){k[e>>2]=b;Br(g,c,b,85897,e,f);g=k[g>>2]|0;g=g+28|0;r=h;return g|0}else if((d|0)==7){k[e>>2]=b;Br(g,a,b,85897,e,f);g=k[g>>2]|0;g=g+28|0;r=h;return g|0}return 0}function Zr(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;g=h;c=k[b+64>>2]|0;f=(k[b+68>>2]|0)-c>>3;if(!f){r=h;return}d=b+64|0;e=a+4|0;b=0;while(1){if(i[(k[c+(b<<3)+4>>2]|0)+54>>0]|0){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,48639,2);y=0;oa(679,e|0,g|0);c=y;y=0;if(c&1){b=7;break}A9(g);c=k[d>>2]|0}c=k[c+(b<<3)+4>>2]|0;mc[k[(k[c>>2]|0)+44>>2]&1023](c,a);if(i[(k[(k[d>>2]|0)+(b<<3)+4>>2]|0)+54>>0]|0){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,50303,1);y=0;oa(679,e|0,g|0);c=y;y=0;if(c&1){b=11;break}A9(g)}b=b+1|0;if(b>>>0>=f>>>0){b=3;break}c=k[d>>2]|0}if((b|0)==3){r=h;return}else if((b|0)==7){h=pb()|0;A9(g);sb(h|0)}else if((b|0)==11){h=pb()|0;A9(g);sb(h|0)}}function _r(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;j=r;r=r+16|0;h=j;Cda(a);e=a+12|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a+56>>2]=4;k[a>>2]=11100;i[a+60>>0]=0;i[a+61>>0]=0;d=k[c+4>>2]|0;c=k[c+8>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;f=c-d|0;if(f>>>0>4294967279){y=0;na(438,h|0);g=y;y=0;if(g&1)g=12;else g=5}else if(f>>>0<11){i[h+11>>0]=f;b=h}else g=5;if((g|0)==5){e=f+16&-16;y=0;b=qa(315,e|0)|0;l=y;y=0;if(l&1)g=12;else{k[h>>2]=b;k[h+8>>2]=e|-2147483648;k[h+4>>2]=f}}if((g|0)==12){l=pb()|0;sb(l|0)}if((d|0)!=(c|0)){e=b;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(c|0))break;else e=e+1|0}b=b+f|0}i[b>>0]=0;y=0;oa(549,a+64|0,h|0);l=y;y=0;if(!(l&1)){A9(h);k[a+76>>2]=0;r=j;return}l=pb()|0;A9(h);sb(l|0)}function $r(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+16|0;h=m+8|0;j=m+12|0;l=m;e=0;g=a;while(1){if(!g){if(!e){d=12;break}}else{d=k[g+12>>2]|0;if(!d)d=0;else d=(k[d+12>>2]|0)!=0;if(!(e|d)){d=12;break}}f=Mv(g,b)|0;if((f|0)!=(g+4|0)){d=8;break}e=(i[g+16>>0]|0)!=0;g=k[g+12>>2]|0}if((d|0)==8){e=f+28|0;d=f+32|0;if(k[d>>2]|0)QO(e);k[d>>2]=k[c+4>>2];_V(e);r=m;return}else if((d|0)==12){k[h>>2]=b;Br(l,a,b,85897,h,j);e=k[l>>2]|0;d=e+28|0;e=e+32|0;if(k[e>>2]|0)QO(d);k[e>>2]=k[c+4>>2];_V(d);r=m;return}}function as(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=jr(e)|0;if(!b)f=0;else{b=NO(b)|0;if(!b)f=0;else{b=(i[b>>0]|0)==59?b+1|0:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function bs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;f=r;r=r+16|0;g=f+8|0;h=f;e=a+4|0;a=k[e>>2]|0;if(!a)a=0;else a=(k[35]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)?a:0;LT(g,a);k[g>>2]=16664;d=b+4|0;a=k[d>>2]|0;if(!a)a=0;else a=(k[35]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)?a:0;y=0;oa(460,h|0,a|0);b=y;y=0;if(b&1){h=pb()|0;DO(g);sb(h|0)}k[h>>2]=16664;a=k[g+4>>2]|0;if(!a)b=8;else{b=k[h+4>>2]|0;if(!b)b=8;else{y=0;a=Ha(k[(k[a>>2]|0)+116>>2]|0,a|0,b|0)|0;c=y;y=0;if(c&1)b=11;else{DO(h);DO(g);r=f;return a|0}}}do if((b|0)==8){a=gb(40)|0;y=0;Ra(37,a|0,k[e>>2]|0,k[d>>2]|0,c|0);c=y;y=0;if(c&1){c=pb()|0;fb(a|0);a=c;break}else{y=0;Na(75,a|0,3512,266);y=0;b=11;break}}while(0);if((b|0)==11)a=pb()|0;DO(h);h=a;DO(g);sb(h|0);return 0}function cs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+112|0;m=n+40|0;j=n+24|0;h=n+16|0;e=n;l=n+52|0;d=i[b>>0]|0;if(!(aA(55443,d<<24>>24,4)|0)){c=W8()|0;k[c>>2]=22;c=0}else{c=ud(1144)|0;if(!c)c=0;else{f=c;g=f+112|0;do{k[f>>2]=0;f=f+4|0}while((f|0)<(g|0));if(!(Haa(b,43)|0))k[c>>2]=d<<24>>24==114?8:4;if(Haa(b,101)|0){k[e>>2]=a;k[e+4>>2]=2;k[e+8>>2]=1;Sa(221,e|0)|0;d=i[b>>0]|0}if(d<<24>>24==97){k[h>>2]=a;k[h+4>>2]=3;d=Sa(221,h|0)|0;if(!(d&1024)){k[j>>2]=a;k[j+4>>2]=4;k[j+8>>2]=d|1024;Sa(221,j|0)|0}b=k[c>>2]|128;k[c>>2]=b}else b=k[c>>2]|0;k[c+60>>2]=a;k[c+44>>2]=c+120;k[c+48>>2]=1024;d=c+75|0;i[d>>0]=-1;if(!(b&8)){k[m>>2]=a;k[m+4>>2]=21505;k[m+8>>2]=l;if(!(Ya(54,m|0)|0))i[d>>0]=10}k[c+32>>2]=16;k[c+36>>2]=14;k[c+40>>2]=15;k[c+12>>2]=249;if(!(k[20588]|0))k[c+76>>2]=-1;zb(82376);d=k[20593]|0;k[c+56>>2]=d;if(d|0)k[d+52>>2]=c;k[20593]=c;Gb(82376)}}r=n;return c|0}function ds(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;e=0;h=i[35542]|0;g=h<<24>>24==0;a:do if(g)b=0;else{b=i[a>>0]|0;c=35542;d=h;while(1){if(b<<24>>24==d<<24>>24)break a;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){b=0;break}}}while(0);d=b<<24>>24?a+1|0:a;if(!d){h=0;return h|0}b=oV(d)|0;if(!b)b=d;else while(1){c=oV(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)==46){b=oV(b+1|0)|0;if(!b)e=11;else while(1){c=oV(b)|0;if(!c){f=b;break}else b=c}}else e=11;if((e|0)==11){b=oV(d)|0;if(!b){h=0;return h|0}else f=b}a=f+1|0;b:do if((i[f>>0]|0)==101){c:do if(g)b=0;else{b=i[a>>0]|0;d=35542;c=h;while(1){if(b<<24>>24==c<<24>>24)break c;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=0;break}}}while(0);d=b<<24>>24?f+2|0:a;b=oV(d)|0;if(!b)b=d;else while(1){c=oV(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)==46){b=oV(b+1|0)|0;if(b|0)while(1){c=oV(b)|0;if(!c)break b;else b=c}}b=oV(d)|0}else b=0;while(0);h=b|0?b:f;return h|0}function es(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}e=e<<24>>24==42?f+1|0:f;if(!e)g=0;else{e=Kz(e)|0;if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function fs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}b=f+1|0;if(e<<24>>24==37){g=QW(b)|0;b=g|0?g:b;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=b}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;e=a+84|0;n=a+96|0;aH(h,n,c,f);k[e>>2]=k[h>>2];k[e+4>>2]=k[h+4>>2];k[e+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;b=k[a+72>>2]|0;gP(j,n,e);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,b,a+156|0,e,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=g;n=g;r=m;return n|0}function gs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=0;c=k[b+48>>2]|0;if(c&16|0){c=b+44|0;d=k[c>>2]|0;e=k[b+24>>2]|0;if(d>>>0<e>>>0)k[c>>2]=e;else e=d;c=k[b+20>>2]|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=e-c|0;if(b>>>0>4294967279){mN(a);f=8}else if(b>>>0<11)i[a+11>>0]=b;else f=8;if((f|0)==8){d=b+16&-16;f=IM(d)|0;k[a>>2]=f;k[a+8>>2]=d|-2147483648;k[a+4>>2]=b;a=f}if((c|0)!=(e|0)){d=a;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}a=a+b|0}i[a>>0]=0;return}if(!(c&8)){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;return}c=k[b+8>>2]|0;e=k[b+16>>2]|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=e-c|0;if(b>>>0>4294967279){mN(a);f=18}else if(b>>>0<11)i[a+11>>0]=b;else f=18;if((f|0)==18){d=b+16&-16;f=IM(d)|0;k[a>>2]=f;k[a+8>>2]=d|-2147483648;k[a+4>>2]=b;a=f}if((c|0)!=(e|0)){d=a;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}a=a+b|0}i[a>>0]=0;return}function hs(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;e=IM(44)|0;k[a>>2]=e;k[a+4>>2]=b+8;g=a+8|0;i[g>>0]=0;f=e+8|0;y=0;oa(460,f|0,k[d+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;k[a>>2]=0}else{k[f>>2]=15136;b=e+16|0;h=d+8|0;k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];b=e+28|0;y=0;oa(460,b|0,k[d+24>>2]|0);h=y;y=0;if(!(h&1)){k[b>>2]=15136;f=d+28|0;k[e+36>>2]=k[f>>2];h=d+32|0;k[e+40>>2]=k[h>>2];k[f>>2]=0;k[h>>2]=0;i[g>>0]=1;h=k[a>>2]|0;k[h+4>>2]=c;k[h>>2]=0;return}c=pb()|0;DO(f);b=k[a>>2]|0;k[a>>2]=0;if(!b){h=c;sb(h|0)}else e=b}if(i[g>>0]|0){b=k[e+40>>2]|0;if(b|0)DY(b);DO(e+28|0);DO(e+8|0)}cra(e);h=c;sb(h|0)}function is(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}b=f+1|0;if(e<<24>>24==37)g=b;else{g=e<<24>>24|0;g=(g|0)!=45?((g|0)==43?b:0):b}if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;e=a+84|0;n=a+96|0;aH(h,n,c,f);k[e>>2]=k[h>>2];k[e+4>>2]=k[h+4>>2];k[e+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;b=k[a+72>>2]|0;gP(j,n,e);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,b,a+156|0,e,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=g;n=g;r=m;return n|0}function js(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;h=0;l=r;r=r+16|0;f=l+8|0;g=l;y=0;j=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;e=y;y=0;if(e&1){l=pb()|0;sb(l|0)}y=0;oa(460,g|0,0);e=y;y=0;if(e&1){l=pb()|0;sb(l|0)}k[g>>2]=15136;c=j+68|0;k[c>>2]=0;d=j+84|0;e=j+88|0;if(!(k[e>>2]|0))h=5;else{y=0;na(423,d|0);m=y;y=0;if(!(m&1))h=5}if((h|0)==5){k[e>>2]=k[g+4>>2];y=0;na(424,d|0);m=y;y=0;if(!(m&1)){y=0;oa(460,f|0,k[e>>2]|0);m=y;y=0;if(!(m&1)){k[f>>2]=15136;DO(f);DO(g);k[c>>2]=0;k[j+72>>2]=0;i[a>>0]=0;k[a+4>>2]=0;k[a+8>>2]=0;c=a+12|0;y=0;oa(460,c|0,j|0);m=y;y=0;if(!(m&1)){k[c>>2]=15136;k[a+20>>2]=0;k[a+24>>2]=0;i[a>>0]=i[b+60>>0]|0;r=l;return}m=pb()|0;sb(m|0)}}}m=pb()|0;DO(g);sb(m|0)}function ks(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;e=k[a>>2]|0;n=(((k[a+4>>2]|0)-e|0)/12|0)-c|0;o=BO(n+1|0,4)|0;if(!o){k[b>>2]=0;o=0;return o|0}a:do if((n|0)>0){d=0;while(1){m=d+c|0;f=i[e+(m*12|0)+11>>0]|0;if(f<<24>>24<0)f=k[e+(m*12|0)+4>>2]|0;else f=f&255;g=ud(f+1|0)|0;l=o+(d<<2)|0;k[l>>2]=g;if(!g)break;f=e+(m*12|0)|0;if((i[f+11>>0]|0)<0)f=k[f>>2]|0;h=e+(m*12|0)|0;j=i[h+11>>0]|0;if(j<<24>>24<0){h=k[h>>2]|0;j=k[e+(m*12|0)+4>>2]|0}else j=j&255;h=h+j|0;if((f|0)!=(h|0)){e=f;while(1){i[g>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(h|0))break;else g=g+1|0}e=k[a>>2]|0}f=i[e+(m*12|0)+11>>0]|0;if(f<<24>>24<0)e=k[e+(m*12|0)+4>>2]|0;else e=f&255;i[(k[l>>2]|0)+e>>0]=0;d=d+1|0;if((d|0)>=(n|0))break a;e=k[a>>2]|0}d=k[o>>2]|0;if(d|0){e=o;do{Wf(d);e=e+4|0;d=k[e>>2]|0}while((d|0)!=0)}Wf(o);k[b>>2]=0;o=0;return o|0}while(0);k[o+(n<<2)>>2]=0;k[b>>2]=o;return o|0}function ls(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;g=0;e=ru(a)|0;if(!e)return a|0;c=i[35542]|0;if(!(c<<24>>24))return a|0;f=i[e>>0]|0;d=35542;while(1){if(f<<24>>24==c<<24>>24)break;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){b=a;g=17;break}}if((g|0)==17)return b|0;if(!(f<<24>>24))return a|0;b=ru(e+1|0)|0;if(!b)return a|0;b=oV(b)|0;if(!b)return a|0;a:while(1){e=ru(b)|0;if(!e){g=17;break}c=i[35542]|0;if(!(c<<24>>24)){g=17;break}f=i[e>>0]|0;d=35542;while(1){if(f<<24>>24==c<<24>>24)break;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){g=17;break a}}if(!(f<<24>>24)){g=17;break}c=ru(e+1|0)|0;if(!c){g=17;break}c=oV(c)|0;if(!c){g=17;break}else b=c}if((g|0)==17)return b|0;return 0}function ms(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+16|0;l=n;m=k[a>>2]|0;if(!m){m=0;r=n;return m|0}o=b;g=d-o|0;j=e+12|0;h=k[j>>2]|0;g=(h|0)>(g|0)?h-g|0:0;h=c;e=h-o|0;if((e|0)>0)if((rc[k[(k[m>>2]|0)+48>>2]&255](m,b,e)|0)!=(e|0)){k[a>>2]=0;o=0;r=n;return o|0}do if((g|0)>0){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;gI(l,g,f);y=0;e=ta(k[(k[m>>2]|0)+48>>2]|0,m|0,((i[l+11>>0]|0)<0?k[l>>2]|0:l)|0,g|0)|0;o=y;y=0;if(o&1){o=pb()|0;A9(l);sb(o|0)}if((e|0)==(g|0)){A9(l);break}k[a>>2]=0;A9(l);o=0;r=n;return o|0}while(0);d=d-h|0;if((d|0)>0)if((rc[k[(k[m>>2]|0)+48>>2]&255](m,c,d)|0)!=(d|0)){k[a>>2]=0;o=0;r=n;return o|0}k[j>>2]=0;o=m;r=n;return o|0}function ns(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=dM(e)|0;if(!b){b=ds(e)|0;if(!b)f=MB(e)|0;else f=b}else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function os(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>3;if(!d)return;do if(d>>>0>536870911){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<3);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(460,c|0,k[b+4>>2]|0);g=y;y=0;if(g&1){c=10;break}k[c>>2]=11528;b=b+8|0;c=(k[f>>2]|0)+8|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function ps(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+16|0;m=n;g=k[a>>2]|0;a:do if(!g)g=0;else{o=b;h=d-o>>2;l=e+12|0;j=k[l>>2]|0;h=(j|0)>(h|0)?j-h|0:0;j=c;o=j-o|0;e=o>>2;if((o|0)>0)if((rc[k[(k[g>>2]|0)+48>>2]&255](g,b,e)|0)!=(e|0)){k[a>>2]=0;g=0;break}do if((h|0)>0){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;lF(m,h,f);y=0;e=ta(k[(k[g>>2]|0)+48>>2]|0,g|0,((i[m+8+3>>0]|0)<0?k[m>>2]|0:m)|0,h|0)|0;o=y;y=0;if(o&1){o=pb()|0;X8(m);sb(o|0)}if((e|0)==(h|0)){X8(m);break}else{k[a>>2]=0;X8(m);g=0;break a}}while(0);o=d-j|0;d=o>>2;if((o|0)>0)if((rc[k[(k[g>>2]|0)+48>>2]&255](g,c,d)|0)!=(d|0)){k[a>>2]=0;g=0;break}k[l>>2]=0}while(0);r=n;return g|0}function qs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>3;if(!d)return;do if(d>>>0>536870911){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<3);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(460,c|0,k[b+4>>2]|0);g=y;y=0;if(g&1){c=10;break}k[c>>2]=15136;b=b+8|0;c=(k[f>>2]|0)+8|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function rs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>3;if(!d)return;do if(d>>>0>536870911){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<3);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(460,c|0,k[b+4>>2]|0);g=y;y=0;if(g&1){c=10;break}k[c>>2]=13284;b=b+8|0;c=(k[f>>2]|0)+8|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function ss(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>3;if(!d)return;do if(d>>>0>536870911){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<3);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(460,c|0,k[b+4>>2]|0);g=y;y=0;if(g&1){c=10;break}k[c>>2]=6756;b=b+8|0;c=(k[f>>2]|0)+8|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function ts(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+16|0;e=g;f=a+4|0;k[f>>2]=0;y=0;Na(151,e|0,a|0,1);d=y;y=0;do if(d&1){b=tb(0)|0;d=a;e=a;c=8}else{d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;if(!(i[e>>0]|0)){y=0;oa(532,d|0,k[d+16>>2]|4|0);f=y;y=0;if(f&1)c=7;else c=12}else{e=k[d+24>>2]|0;y=0;b=ta(k[(k[e>>2]|0)+32>>2]|0,e|0,b|0,c|0)|0;e=y;y=0;if(e&1)c=7;else{k[f>>2]=b;if((b|0)==(c|0))c=12;else{f=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,f|0,k[f+16>>2]|6|0);f=y;y=0;if(f&1)c=7;else c=12}}}if((c|0)==7){b=tb(0)|0;d=a;e=a;c=8;break}else if((c|0)==12)break}while(0);do if((c|0)==8){vb(b|0)|0;y=0;na(435,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);f=y;y=0;if(!(f&1)){rb();break}b=pb()|0;y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}else sb(b|0)}while(0);r=g;return a|0}function us(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}b=f+1|0;if(e<<24>>24==47){b=(i[b>>0]|0)==42?0:b;if(b>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=b}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;e=a+84|0;n=a+96|0;aH(h,n,c,f);k[e>>2]=k[h>>2];k[e+4>>2]=k[h+4>>2];k[e+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;b=k[a+72>>2]|0;gP(j,n,e);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,b,a+156|0,e,h);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[l>>2]=g;n=g;r=m;return n|0}function vs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>3;if(!d)return;do if(d>>>0>536870911){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<3);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(460,c|0,k[b+4>>2]|0);g=y;y=0;if(g&1){c=10;break}k[c>>2]=7284;b=b+8|0;c=(k[f>>2]|0)+8|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function ws(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>3;if(!d)return;do if(d>>>0>536870911){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<3);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(460,c|0,k[b+4>>2]|0);g=y;y=0;if(g&1){c=10;break}k[c>>2]=12920;b=b+8|0;c=(k[f>>2]|0)+8|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function xs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=(c|0)/12|0;if(!c)return;do if(d>>>0>357913941){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d*12|0);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(456,c|0,b|0);g=y;y=0;if(g&1){c=10;break}b=b+12|0;c=(k[f>>2]|0)+12|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-12|0;k[f>>2]=g;A9(g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function ys(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>3;if(!d)return;do if(d>>>0>536870911){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<3);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(460,c|0,k[b+4>>2]|0);g=y;y=0;if(g&1){c=10;break}k[c>>2]=6508;b=b+8|0;c=(k[f>>2]|0)+8|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function zs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;f=a+4|0;k[f>>2]=0;k[a+8>>2]=0;e=b+4|0;c=(k[e>>2]|0)-(k[b>>2]|0)|0;d=c>>3;if(!d)return;do if(d>>>0>536870911){y=0;na(421,a|0);e=y;y=0;if(e&1)c=11;else{c=gb(4)|0;Qoa(c);y=0;Na(75,c|0,5760,404);y=0;c=11}}else{y=0;c=qa(315,c|0)|0;g=y;y=0;if(g&1)c=11;else{k[f>>2]=c;k[a>>2]=c;k[a+8>>2]=c+(d<<3);b=k[b>>2]|0;d=k[e>>2]|0;if((b|0)==(d|0))return;while(1){y=0;oa(460,c|0,k[b+4>>2]|0);g=y;y=0;if(g&1){c=10;break}k[c>>2]=10120;b=b+8|0;c=(k[f>>2]|0)+8|0;k[f>>2]=c;if((b|0)==(d|0)){c=18;break}}if((c|0)==10){d=pb()|0;break}else if((c|0)==18)return}}while(0);if((c|0)==11)d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[f>>2]|0;if((b|0)!=(c|0)){do{g=b+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[a>>2]|0}cra(c);sb(d|0)}function As(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;q=b+72|0;r=(k[b+80>>2]|0)-(k[b+76>>2]|0)>>3;a:do if(r|0){n=a+84|0;o=n+11|0;p=a+88|0;m=0;b:while(1){d=(Fc[k[(k[q>>2]|0)+16>>2]&2047](q,m)|0)+4|0;d=k[d>>2]|0;c:do if(d|0)if((k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)==33555){c=d+84|0;e=i[c+11>>0]|0;l=e<<24>>24<0;e=e&255;g=l?k[d+88>>2]|0:e;j=i[o>>0]|0;d=j<<24>>24<0;if((g|0)!=((d?k[p>>2]|0:j&255)|0)){c=0;d=15;break b}h=k[c>>2]|0;j=l?h:c;d=d?k[n>>2]|0:n;f=(g|0)==0;if(l){if(f)break;if(!(bN(j,d,g)|0))break;else{c=0;d=15;break b}}if(!f){if((h&255)<<24>>24!=(i[d>>0]|0)){c=0;d=15;break b}while(1){e=e+-1|0;c=c+1|0;if(!e)break c;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;d=15;break b}}}}while(0);m=m+1|0;if(m>>>0>=r>>>0)break a}if((d|0)==15)return c|0}while(0);i[b+61>>0]=i[a+61>>0]|0;b=Vh(a,b)|0;return b|0}function Bs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=a+52|0;k[d>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);g=y;y=0;if(g&1){a=pb()|0;sb(a|0)}k[c>>2]=6868;k[a>>2]=8372;g=a+72|0;y=0;oa(455,g|0,b+72|0);f=y;y=0;if(f&1){g=pb()|0;k[a>>2]=6772;a=a+64|0;DO(a);sb(g|0)}c=a+84|0;y=0;oa(460,c|0,k[b+88>>2]|0);f=y;y=0;if(!(f&1)){k[c>>2]=7284;k[d>>2]=20;return}f=pb()|0;e=N;c=k[g>>2]|0;if(!c){g=f;k[a>>2]=6772;a=a+64|0;DO(a);sb(g|0)}b=a+76|0;d=k[b>>2]|0;if((d|0)!=(c|0)){do{h=d+-12|0;k[b>>2]=h;A9(h);d=k[b>>2]|0}while((d|0)!=(c|0));c=k[g>>2]|0}cra(c);h=f;k[a>>2]=6772;a=a+64|0;DO(a);sb(h|0)}function Cs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=0;if(a|0){c=k[a>>2]|0;d=k[(k[c+-4>>2]|0)+4>>2]|0;if((d|0)==30192){j=Fc[k[c+168>>2]&2047](a,b)|0;return j|0}if((d|0)==30296){j=Fc[k[c+172>>2]&2047](a,b)|0;return j|0}if((d|0)==30350){j=Fc[k[c+172>>2]&2047](a,b)|0;return j|0}if((d|0)==30322){j=Fc[k[c+168>>2]&2047](a,b)|0;return j|0}}if(Jo(a,b)|0){e=a+84|0;f=b+84|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+88>>2]|0:h&255;a=i[f+11>>0]|0;d=a<<24>>24<0;a=d?k[b+88>>2]|0:a&255;b=a>>>0<h>>>0;c=b?a:h;if(!c)j=13;else{c=bN(g?k[e>>2]|0:e,d?k[f>>2]|0:f,c)|0;if(!c)j=13}if((j|0)==13)c=h>>>0<a>>>0?-1:b&1;j=(c|0)<0;return j|0}else{e=a+72|0;f=b+72|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+76>>2]|0:h&255;a=i[f+11>>0]|0;d=a<<24>>24<0;a=d?k[b+76>>2]|0:a&255;b=a>>>0<h>>>0;c=b?a:h;if(!c)j=17;else{c=bN(g?k[e>>2]|0:e,d?k[f>>2]|0:f,c)|0;if(!c)j=17}if((j|0)==17)c=h>>>0<a>>>0?-1:b&1;j=(c|0)<0;return j|0}return 0}function Ds(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;if(!c){c=k[b+76>>2]|0;f=a+4|0;k[f>>2]=c}else{f=a+4|0;k[f>>2]=c}e=mW(c)|0;e=nm(e|0?e:c)|0;d=b+80|0;if((e|0)==0?1:e>>>0>(k[d>>2]|0)>>>0){e=a+13|0;e=i[e>>0]|0;f=a+12|0;a=e^1;i[f>>0]=a;return}a:do if(c>>>0<e>>>0){while(1){b=c+1|0;if((i[c>>0]|0)==35)if((i[b>>0]|0)==123)break;if(b>>>0<e>>>0)c=b;else{c=b;break a}}i[a+13>>0]=1;c=e}while(0);k[f>>2]=e;k[a+8>>2]=e;b=mW(e)|0;b=b|0?b:e;b=(i[b>>0]|0)==123?b+1|0:0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0){b=mW(e)|0;b=b|0?b:e;b=(i[b>>0]|0)==40?b+1|0:0;if((b|0)==0?1:b>>>0>(k[d>>2]|0)>>>0)b=15;else{k[a>>2]=e;b=14}}else{k[a>>2]=e;b=14}if((b|0)==14)if(!e)b=15;if((b|0)==15)if(i[c>>0]|0){e=a+13|0;e=i[e>>0]|0;f=a+12|0;a=e^1;i[f>>0]=a;return}k[f>>2]=0;e=a+13|0;e=i[e>>0]|0;f=a+12|0;a=e^1;i[f>>0]=a;return}function Es(a){a=a|0;var b=0,c=0;c=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(!b)c=5;else{b=gx(b)|0;if(!b)c=5}if((c|0)==5){b=Nk(a)|0;if(!b){b=Kw(a)|0;if(!b){c=0;return c|0}}}if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=hx(a)|0;if(!a){c=b;return c|0}a=gx(a)|0;if(!a){c=b;return c|0}else b=a;while(1){if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=hx(a)|0;if(!a){c=15;break}a=gx(a)|0;if(!a){c=15;break}else b=a}if((c|0)==15)return b|0;return 0}function Fs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=bV(e)|0;b=b|0?b:e;if(!b)f=0;else{b=eO(b)|0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Gs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}if(e<<24>>24==36){e=eO(f+1|0)|0;if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Hs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}if(e<<24>>24==35){e=eO(f+1|0)|0;if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Is(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+16|0;f=n;SG(f,b,0,3,b);m=i[f+11>>0]|0;if(((m<<24>>24<0?k[f+4>>2]|0:m&255)|0)==3){y=0;e=sa(21,f|0,0,-1,42316,3)|0;m=y;y=0;if(m&1){m=tb(0)|0;Sla(m)}A9(f);if(!e){cL(a,d);r=n;return}}else A9(f);g=i[c+11>>0]|0;h=g<<24>>24<0;g=g&255;j=h?k[c+4>>2]|0:g;m=i[d+11>>0]|0;e=m<<24>>24<0;a:do if((j|0)==((e?k[d+4>>2]|0:m&255)|0)){l=k[c>>2]|0;m=h?l:c;e=e?k[d>>2]|0:d;f=(j|0)==0;b:do if(h){if(!f)if(bN(m,e,j)|0)break a}else if(!f){if((l&255)<<24>>24==(i[e>>0]|0))f=c;else break a;while(1){g=g+-1|0;f=f+1|0;if(!g)break b;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0))break a}}while(0);b=c}while(0);cL(a,b);r=n;return}function Js(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+64|0;f=g;h=g+40|0;cL(h,c);e=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;oa(533,a|0,h|0);e=y;y=0;if(e&1){a=pb()|0;A9(h);sb(a|0)}k[a>>2]=15644;c=a+8|0;y=0;oa(456,c|0,h|0);e=y;y=0;do if(e&1)c=pb()|0;else{e=a+20|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51649,5);e=y;y=0;if(e&1){g=pb()|0;A9(c);c=g;break}else{e=a+32|0;b=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));k[a+72>>2]=d;A9(h);k[a>>2]=21136;r=g;return}}while(0);Pca(a);a=c;A9(h);sb(a|0)}function Ks(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+64|0;f=g;h=g+40|0;cL(h,c);e=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;oa(533,a|0,h|0);e=y;y=0;if(e&1){a=pb()|0;A9(h);sb(a|0)}k[a>>2]=15644;c=a+8|0;y=0;oa(456,c|0,h|0);e=y;y=0;do if(e&1)c=pb()|0;else{e=a+20|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51649,5);e=y;y=0;if(e&1){g=pb()|0;A9(c);c=g;break}else{e=a+32|0;b=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));k[a+72>>2]=d;A9(h);k[a>>2]=21112;r=g;return}}while(0);Pca(a);a=c;A9(h);sb(a|0)}function Ls(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=QW(e)|0;if(!b)f=0;else{f=(ds(b)|0)!=0;b=f?b:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Ms(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;Cda(a);d=a+12|0;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));c=a+52|0;k[c>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=7604;f=a+64|0;g=a+68|0;d=a+76|0;e=a+80|0;b=a+88|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[f+16>>2]=0;k[f+20>>2]=0;y=0;oa(460,b|0,0);a=y;y=0;if(!(a&1)){k[b>>2]=7172;k[c>>2]=12;return}a=pb()|0;b=k[d>>2]|0;if(b|0){c=k[e>>2]|0;if((c|0)!=(b|0)){do{h=c+-48|0;k[e>>2]=h;A9(c+-12|0);A9(c+-24|0);A9(c+-36|0);A9(h);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}b=k[f>>2]|0;if(!b)sb(a|0);c=k[g>>2]|0;if((c|0)!=(b|0)){do{h=c+-8|0;k[g>>2]=h;lc[k[k[h>>2]>>2]&511](h);c=k[g>>2]|0}while((c|0)!=(b|0));b=k[f>>2]|0}cra(b);sb(a|0)}function Ns(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;f=g;LT(a,b);k[a>>2]=15136;y=0;oa(460,f|0,0);e=y;y=0;if(e&1){g=pb()|0;DO(a);sb(g|0)}k[f>>2]=15152;d=a+4|0;e=f+4|0;while(1){b=k[d>>2]|0;if(!b){b=16;break}if(k[e>>2]|0){y=0;na(423,f|0);c=y;y=0;if(c&1){b=12;break}}k[e>>2]=k[b+80>>2];y=0;na(424,f|0);c=y;y=0;if(c&1){b=12;break}b=k[e>>2]|0;if(!b){b=16;break}c=k[b+76>>2]|0;if(((k[b+80>>2]|0)-c|0)!=8){b=16;break}b=k[c+4>>2]|0;if(!b){b=16;break}if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=33313){b=16;break}b=k[d>>2]|0;if(b|0){y=0;na(423,a|0);c=y;y=0;if(c&1){b=12;break}}k[d>>2]=k[b+88>>2];y=0;na(424,a|0);c=y;y=0;if(c&1){b=12;break}}if((b|0)==12){g=pb()|0;DO(f);DO(a);sb(g|0)}else if((b|0)==16){DO(f);r=g;return}}function Os(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=r;r=r+32|0;d=f+12|0;e=f;sf(d,c,b+420|0,b+4|0);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;c=d+11|0;b=i[c>>0]|0;b=b<<24>>24<0?k[d+4>>2]|0:b&255;y=0;Ra(10,e|0,34700,21,b+21|0);g=y;y=0;if(!(g&1)){y=0;ta(41,e|0,((i[c>>0]|0)<0?k[d>>2]|0:d)|0,b|0)|0;g=y;y=0;if(!(g&1)){y=0;b=Ha(974,e|0,50284)|0;g=y;y=0;if(!(g&1)){k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;A9(e);A9(d);r=f;return}g=pb()|0;A9(e);A9(d);sb(g|0)}}g=pb()|0;A9(e);A9(d);sb(g|0)}function Ps(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}if(e<<24>>24==58){e=f;do e=e+1|0;while((i[e>>0]|0)==58);if(e>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}else g=e}else g=0;if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Qs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=f+1|0;b=e<<24>>24|0;g=(b|0)!=93?((b|0)==47?g:0):g;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Rs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=jr(e)|0;if(!b)f=0;else{b=(i[b>>0]|0)==45?b:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Ss(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}if((e|0)==0|(Iea(e)|0)!=0)f=0;else{b=(i[e>>0]|0)==45?e+1|0:0;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function Ts(a){a=a|0;var b=0,c=0,d=0;a:do if(!a)b=0;else{d=0;b=a;while(1){c=rB(b)|0;if(c|0){d=0;b=c;continue}if(d)break a;if((i[b>>0]|0)==43)break a;c=ds(b)|0;if(c|0){c=Yx(c)|0;if(c|0){d=1;b=c;continue}}c=ds(b)|0;if(!c)break;else{d=1;b=c}}}while(0);b=b|0?b:a;if(!b){a=0;return a|0}b=jm(b)|0;if(!b){a=0;return a|0}while(1){d=0;a=b;while(1){c=rB(a)|0;if(c|0){d=0;a=c;continue}if(d)break;if((i[a>>0]|0)==43)break;c=ds(a)|0;if(c|0){c=Yx(c)|0;if(c|0){d=1;a=c;continue}}c=ds(a)|0;if(!c)break;else{d=1;a=c}}c=jm(a)|0;if(!c)break;else b=c}return b|0}function Us(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;h=a+b|0;j=d+4|0;b=i[j>>0]|0;switch(k[d>>2]|0){case 0:{e=c;g=2;break}case 1:{f=c;g=5;break}case 2:{f=c;g=10;break}default:{d=0;return d|0}}while(1)if((g|0)==2){if((a|0)==(h|0)){g=3;break}b=i[a>>0]|0;i[e>>0]=i[52268+(b>>>2&63)>>0]|0;b=b<<4&48;f=e+1|0;a=a+1|0;g=5;continue}else if((g|0)==5){if((a|0)==(h|0)){g=6;break}e=i[a>>0]|0;b=e>>>4&15|b&255;if((b&255)<<24>>24>63)b=61;else b=i[52268+(b<<24>>24)>>0]|0;i[f>>0]=b;b=e<<2&60;f=f+1|0;a=a+1|0;g=10;continue}else if((g|0)==10){if((a|0)==(h|0)){g=11;break}e=i[a>>0]|0;b=e>>>6&3|b&255;if((b&255)<<24>>24>63)b=61;else b=i[52268+(b<<24>>24)>>0]|0;i[f>>0]=b;b=e&63;i[f+1>>0]=i[52268+b>>0]|0;e=d+8|0;k[e>>2]=(k[e>>2]|0)+1;b=b&255;e=f+2|0;a=a+1|0;g=2;continue}if((g|0)==3){i[j>>0]=b;k[d>>2]=0;d=e-c|0;return d|0}else if((g|0)==6){i[j>>0]=b;k[d>>2]=1;d=f-c|0;return d|0}else if((g|0)==11){i[j>>0]=b;k[d>>2]=2;d=f-c|0;return d|0}return 0}function Vs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=r;r=r+112|0;a=g+64|0;c=g+24|0;d=g+12|0;e=g;l=IM(80)|0;f=c;h=b+12|0;j=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(j|0));k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;Na(74,d|0,87975,0);j=y;y=0;do if(j&1)a=pb()|0;else{y=0;f=a;h=c;j=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(j|0));Ea(2,l|0,a|0,d|0,0,0,0,1);j=y;y=0;if(j&1){a=pb()|0;A9(d);break}A9(d);cL(e,b+64|0);k[l+76>>2]=0;y=0;Ha(969,l+64|0,e|0)|0;j=y;y=0;if(!(j&1)){A9(e);i[l+60>>0]=i[b+60>>0]|0;i[l+54>>0]=i[b+54>>0]|0;r=g;return l|0}l=pb()|0;A9(e);sb(l|0)}while(0);cra(l);l=a;sb(l|0);return 0}function Ws(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0;j=0;m=a+68|0;b=k[m>>2]|0;if(b|0){m=b;return m|0}f=($o(a)|0)+-1640531527|0;h=k[m>>2]|0;h=f+(h<<6)+(h>>>2)^h;k[m>>2]=h;f=a+104|0;g=i[f+11>>0]|0;e=g<<24>>24<0;f=e?k[f>>2]|0:f;g=e?k[a+108>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){g=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(g>>>24^g,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;j=8;break}case 2:{j=8;break}case 1:{j=9;break}default:{}}if((j|0)==8){b=(l[d+1>>0]|0)<<8^b;j=9}if((j|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;c=aa(b>>>13^b,1540483477)|0;c=(h<<6)+-1640531527+(h>>>2)+(c>>>15^c)^h;k[m>>2]=c;b=k[a+120>>2]|0;if(!b){m=c;return m|0}j=(oc[k[(k[b>>2]|0)+8>>2]&511](b)|0)+-1640531527|0;a=k[m>>2]|0;a=j+(a<<6)+(a>>>2)^a;k[m>>2]=a;m=a;return m|0}function Xs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;g=r;r=r+16|0;e=g;lo(a+16|0,b);f=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;h=i[b+11>>0]|0;j=h<<24>>24<0;h=j?k[b+4>>2]|0:h&255;d=f+11|0;c=i[d>>0]|0;a=a+8|0;c=c<<24>>24<0?k[a>>2]|0:c&255;y=0;Ra(10,e|0,(j?k[b>>2]|0:b)|0,h|0,c+h|0);b=y;y=0;if(b&1){j=pb()|0;A9(e);sb(j|0)}y=0;ta(41,e|0,((i[d>>0]|0)<0?k[f>>2]|0:f)|0,c|0)|0;j=y;y=0;if(j&1){j=pb()|0;A9(e);sb(j|0)}if((i[d>>0]|0)<0){i[k[f>>2]>>0]=0;k[a>>2]=0}else{i[f>>0]=0;i[d>>0]=0}y=0;oa(500,f|0,0);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}else{k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;A9(e);r=g;return}}function Ys(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;k[a>>2]=0;h=a+4|0;k[h>>2]=0;k[a+8>>2]=0;if(!b)return;do if(b>>>0>357913941){y=0;na(421,a|0);g=y;y=0;if(g&1)b=10;else{b=gb(4)|0;Qoa(b);y=0;Na(75,b|0,5760,404);y=0;b=10}}else{y=0;d=qa(315,b*12|0)|0;g=y;y=0;if(g&1)b=10;else{k[h>>2]=d;k[a>>2]=d;k[a+8>>2]=d+(b*12|0);while(1){y=0;oa(675,d|0,c|0);g=y;y=0;if(g&1){b=9;break}d=(k[h>>2]|0)+12|0;k[h>>2]=d;b=b+-1|0;if(!b){b=21;break}}if((b|0)==9){g=pb()|0;break}else if((b|0)==21)return}}while(0);if((b|0)==10)g=pb()|0;b=k[a>>2]|0;if(!b)sb(g|0);d=k[h>>2]|0;if((d|0)!=(b|0)){do{c=d+-12|0;k[h>>2]=c;e=k[c>>2]|0;f=e;if(!e)d=c;else{d=d+-8|0;c=k[d>>2]|0;if((c|0)!=(e|0))k[d>>2]=c+(~((c+-4-f|0)>>>2)<<2);cra(e);d=k[h>>2]|0}}while((d|0)!=(b|0));b=k[a>>2]|0}cra(b);sb(g|0)}function Zs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+64|0;d=g+24|0;e=g;f=g+12|0;c=k[(k[b>>2]|0)+28>>2]|0;a=k[a+72>>2]|0;k[d>>2]=k[a>>2];k[d+4>>2]=k[a+4>>2];k[d+8>>2]=k[a+8>>2];Lc[c&255](e,b,d);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;c=i[e+11>>0]|0;a=c<<24>>24<0;c=a?k[e+4>>2]|0:c&255;y=0;Ra(10,f|0,(a?k[e>>2]|0:e)|0,c|0,c+25|0);c=y;y=0;if(!(c&1)){y=0;ta(41,f|0,51890,25)|0;c=y;y=0;if(!(c&1)){y=0;c=d;a=b+12|0;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));oa(454,f|0,d|0);d=y;y=0;if(!(d&1)){A9(f);A9(e);r=g;return}g=pb()|0;A9(f);A9(e);sb(g|0)}}g=pb()|0;A9(f);A9(e);sb(g|0)}function _s(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=a+11|0;if((i[c>>0]|0)<0){i[k[a>>2]>>0]=0;k[a+4>>2]=0}else{i[a>>0]=0;i[c>>0]=0}y=0;oa(500,a|0,0);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;c=a+12|0;d=b+12|0;e=c+11|0;if((i[e>>0]|0)<0){i[k[c>>2]>>0]=0;k[a+16>>2]=0}else{i[c>>0]=0;i[e>>0]=0}y=0;oa(500,c|0,0);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;e=a+24|0;c=b+24|0;d=e+11|0;if((i[d>>0]|0)<0){i[k[e>>2]>>0]=0;k[a+28>>2]=0}else{i[e>>0]=0;i[d>>0]=0}y=0;oa(500,e|0,0);b=y;y=0;if(b&1){a=tb(0)|0;Sla(a)}else{k[e>>2]=k[c>>2];k[e+4>>2]=k[c+4>>2];k[e+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;return a|0}return 0}function $s(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=pO(e)|0;if(!b)f=0;else{b=(i[b>>0]|0)==45?0:b;if(b>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}else f=b}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function at(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=bN(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=bN(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function bt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=bN(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=bN(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function ct(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;if(!a){e=0;return e|0}b=i[50291]|0;a:do if(!(b<<24>>24)){c=a;e=5}else{c=a;d=50291;while(1){if((i[c>>0]|0)!=b<<24>>24)break a;c=c+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24)){e=5;break}}}while(0);b:do if((e|0)==5){while(1){if(C9(c)|0)break;b=Bka(c)|0;if((b|0)==(c|0)|(b|0)==0)break b;else{c=b;e=5}}if(c|0){e=c;return e|0}}while(0);b=i[50288]|0;c:do if(b<<24>>24){c=50288;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break c}return a|0}while(0);b=i[a>>0]|0;if(!(b<<24>>24)){e=0;return e|0}else d=a;d:while(1){if(d|0){a=i[51073]|0;if(!(a<<24>>24)){a=d;e=18;break}if(b<<24>>24==a<<24>>24){a=d;b=51073;do{a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24)){e=18;break d}}while((i[a>>0]|0)==c<<24>>24)}}d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24)){a=0;e=18;break}}if((e|0)==18)return a|0;return 0}function dt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));f=a+52|0;k[f>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){a=pb()|0;sb(a|0)}k[c>>2]=6868;k[a>>2]=8276;e=a+72|0;y=0;oa(456,e|0,b+72|0);d=y;y=0;if(d&1){b=pb()|0;k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}c=a+84|0;y=0;oa(460,c|0,k[b+88>>2]|0);d=y;y=0;do if(d&1)c=pb()|0;else{k[c>>2]=7284;d=a+92|0;y=0;oa(460,d|0,k[b+96>>2]|0);g=y;y=0;if(g&1){g=pb()|0;DO(c);c=g;break}else{k[d>>2]=7284;i[a+100>>0]=i[b+100>>0]|0;k[f>>2]=21;return}}while(0);A9(e);g=c;k[a>>2]=6772;a=a+64|0;DO(a);sb(g|0)}function et(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+128|0;a=l;m=l+112|0;n=l+100|0;g=l+16|0;h=l+12|0;j=l+8|0;f=l+4|0;i[m>>0]=i[56474]|0;i[m+1>>0]=i[56475]|0;i[m+2>>0]=i[56476]|0;i[m+3>>0]=i[56477]|0;i[m+4>>0]=i[56478]|0;i[m+5>>0]=i[56479]|0;nF(m+1|0,56480,0,k[c+4>>2]|0);o=LN()|0;k[a>>2]=e;e=n+(hK(n,12,o,m,a)|0)|0;m=$F(n,e,c)|0;o=FV(c)|0;k[a>>2]=o;y=0;Ea(11,n|0,m|0,e|0,g|0,h|0,j|0,a|0);e=y;y=0;if(e&1){o=pb()|0;RQ(k[a>>2]|0)|0;sb(o|0)}else{RQ(k[a>>2]|0)|0;k[f>>2]=k[b>>2];n=k[h>>2]|0;o=k[j>>2]|0;k[a>>2]=k[f>>2];o=ps(a,g,n,o,c,d)|0;r=l;return o|0}return 0}function ft(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+128|0;a=l;m=l+122|0;n=l+108|0;g=l+16|0;h=l+12|0;j=l+8|0;f=l+4|0;i[m>>0]=i[56474]|0;i[m+1>>0]=i[56475]|0;i[m+2>>0]=i[56476]|0;i[m+3>>0]=i[56477]|0;i[m+4>>0]=i[56478]|0;i[m+5>>0]=i[56479]|0;nF(m+1|0,56480,1,k[c+4>>2]|0);o=LN()|0;k[a>>2]=e;e=n+(hK(n,13,o,m,a)|0)|0;m=$F(n,e,c)|0;o=FV(c)|0;k[a>>2]=o;y=0;Ea(11,n|0,m|0,e|0,g|0,h|0,j|0,a|0);e=y;y=0;if(e&1){o=pb()|0;RQ(k[a>>2]|0)|0;sb(o|0)}else{RQ(k[a>>2]|0)|0;k[f>>2]=k[b>>2];n=k[h>>2]|0;o=k[j>>2]|0;k[a>>2]=k[f>>2];o=ps(a,g,n,o,c,d)|0;r=l;return o|0}return 0}function gt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=0;e=b+76|0;d=k[e>>2]|0;c=(k[b+80>>2]|0)-d|0;f=(c|0)/12|0;a:do if(c|0){c=0;while(1){cL(a,d+(c*12|0)|0);y=0;d=qa(314,a|0)|0;h=y;y=0;if(h&1)break;if((d|0)!=1280){g=16;break}A9(a);c=c+1|0;if(c>>>0>=f>>>0)break a;d=k[e>>2]|0}if((g|0)==16)return;h=pb()|0;A9(a);sb(h|0)}while(0);f=b+88|0;d=k[f>>2]|0;h=(k[b+92>>2]|0)-d|0;e=(h|0)/12|0;b:do if(h|0){c=0;while(1){cL(a,d+(c*12|0)|0);y=0;d=qa(314,a|0)|0;h=y;y=0;if(h&1)break;if((d|0)!=1280){g=16;break}A9(a);c=c+1|0;if(c>>>0>=e>>>0)break b;d=k[f>>2]|0}if((g|0)==16)return;h=pb()|0;A9(a);sb(h|0)}while(0);k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;return}function ht(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+64|0;a=l;m=l+52|0;n=l+40|0;g=l+16|0;h=l+12|0;j=l+8|0;f=l+4|0;i[m>>0]=i[56474]|0;i[m+1>>0]=i[56475]|0;i[m+2>>0]=i[56476]|0;i[m+3>>0]=i[56477]|0;i[m+4>>0]=i[56478]|0;i[m+5>>0]=i[56479]|0;nF(m+1|0,56480,0,k[c+4>>2]|0);o=LN()|0;k[a>>2]=e;e=n+(hK(n,12,o,m,a)|0)|0;m=$F(n,e,c)|0;o=FV(c)|0;k[a>>2]=o;y=0;Ea(9,n|0,m|0,e|0,g|0,h|0,j|0,a|0);e=y;y=0;if(e&1){o=pb()|0;RQ(k[a>>2]|0)|0;sb(o|0)}else{RQ(k[a>>2]|0)|0;k[f>>2]=k[b>>2];n=k[h>>2]|0;o=k[j>>2]|0;k[a>>2]=k[f>>2];o=ms(a,g,n,o,c,d)|0;r=l;return o|0}return 0}function it(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+64|0;a=l;m=l+52|0;n=l+39|0;g=l+16|0;h=l+12|0;j=l+8|0;f=l+4|0;i[m>>0]=i[56474]|0;i[m+1>>0]=i[56475]|0;i[m+2>>0]=i[56476]|0;i[m+3>>0]=i[56477]|0;i[m+4>>0]=i[56478]|0;i[m+5>>0]=i[56479]|0;nF(m+1|0,56480,1,k[c+4>>2]|0);o=LN()|0;k[a>>2]=e;e=n+(hK(n,13,o,m,a)|0)|0;m=$F(n,e,c)|0;o=FV(c)|0;k[a>>2]=o;y=0;Ea(9,n|0,m|0,e|0,g|0,h|0,j|0,a|0);e=y;y=0;if(e&1){o=pb()|0;RQ(k[a>>2]|0)|0;sb(o|0)}else{RQ(k[a>>2]|0)|0;k[f>>2]=k[b>>2];n=k[h>>2]|0;o=k[j>>2]|0;k[a>>2]=k[f>>2];o=ms(a,g,n,o,c,d)|0;r=l;return o|0}return 0}function jt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=bN(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=bN(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function kt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=Kz(e)|0;if(!b)f=eO(e)|0;else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function lt(a){a=a|0;var b=0,c=0,d=0,e=0;a:do if((i[a>>0]|0)==45){b=NO(a+1|0)|0;if(b){a=b;while(1){if((i[a>>0]|0)!=45)break a;b=NO(a+1|0)|0;if(!b)break;else a=b}}}while(0);b=i[a>>0]|0;e=a+1|0;if(b<<24>>24==33){b=ru(e)|0;b:do if(b|0){c=i[35474]|0;if(c<<24>>24){d=35474;do{if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=DP(b)|0;if(b|0){e=b;return e|0}}while(0);b=i[a>>0]|0}if(b<<24>>24==42)return e|0;e=Ek(a)|0;return e|0}function mt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=r;r=r+64|0;e=f;g=f+40|0;cL(g,c);d=e;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));y=0;oa(533,a|0,g|0);d=y;y=0;if(d&1){a=pb()|0;A9(g);sb(a|0)}k[a>>2]=15644;c=a+8|0;y=0;oa(456,c|0,g|0);d=y;y=0;do if(d&1)c=pb()|0;else{d=a+20|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;Na(74,d|0,51649,5);d=y;y=0;if(d&1){f=pb()|0;A9(c);c=f;break}else{d=a+32|0;b=e;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));k[a+72>>2]=0;A9(g);k[a>>2]=21064;r=f;return}}while(0);Pca(a);a=c;A9(g);sb(a|0)}function nt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+32|0;e=i+8|0;g=i+16|0;h=i;f=a+68|0;LT(e,k[f>>2]|0);k[e>>2]=6868;c=k[e+4>>2]|0;c=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>3;DO(e);if(!c){h=1;r=i;return h|0}d=h+4|0;e=g+4|0;b=0;while(1){LT(h,k[f>>2]|0);k[h>>2]=6868;a=(k[d>>2]|0)+64|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,b|0)|0;j=y;y=0;if(j&1){b=8;break}y=0;oa(460,g|0,k[a+4>>2]|0);j=y;y=0;if(j&1){b=8;break}k[g>>2]=6508;DO(h);a=k[e>>2]|0;y=0;a=qa(k[(k[a>>2]|0)+76>>2]|0,a|0)|0;j=y;y=0;if(j&1){b=9;break}DO(g);b=b+1|0;if(!a){a=0;b=10;break}if(b>>>0>=c>>>0){a=1;b=10;break}}if((b|0)==8){j=pb()|0;DO(h);sb(j|0)}else if((b|0)==9){j=pb()|0;DO(g);sb(j|0)}else if((b|0)==10){r=i;return a|0}return 0}function ot(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;a=r;r=r+96|0;d=a+56|0;e=a+16|0;f=a;if(b|0){g=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[179]|0)==(g|0)|(k[175]|0)==(g|0)|(k[171]|0)==(g|0)|(k[183]|0)==(g|0)|(k[105]|0)==(g|0)|(k[167]|0)==(g|0)|(k[163]|0)==(g|0)|(k[187]|0)==(g|0)|(k[279]|0)==(g|0)|(k[143]|0)==(g|0)|(k[155]|0)==(g|0)|(k[159]|0)==(g|0)){r=a;return}}g=gb(76)|0;c=e;a=b+12|0;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,49092,72);c=y;y=0;if(c&1)a=pb()|0;else{y=0;c=d;a=e;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));Na(110,g|0,d|0,f|0);e=y;y=0;if(e&1)b=1;else{y=0;Na(75,g|0,2928,175);y=0;b=0}a=pb()|0;A9(f);if(!b){g=a;sb(g|0)}}fb(g|0);g=a;sb(g|0)}function pt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,l=0;l=r;r=r+16|0;e=l+4|0;f=l;oP(a);k[a>>2]=16972;k[a+32>>2]=0;k[a+36>>2]=0;k[a+40>>2]=0;b=a+52|0;g=a+68|0;h=a+98|0;c=b;d=c+44|0;do{k[c>>2]=0;c=c+4|0}while((c|0)<(d|0));j[b+44>>1]=0;i[b+46>>0]=0;c=a+4|0;W7(e,c);k[f>>2]=k[e>>2];y=0;b=Ha(995,f|0,85752)|0;d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}Hea(f);do if(b){W7(e,c);k[f>>2]=k[e>>2];y=0;b=Ha(977,f|0,85752)|0;e=y;y=0;if(!(e&1)){k[g>>2]=b;Hea(f);g=k[g>>2]|0;g=(oc[k[(k[g>>2]|0)+28>>2]&511](g)|0)&1;i[h>>0]=g;break}l=pb()|0;Hea(f);Xaa(a);sb(l|0)}while(0);y=0;ta(k[(k[a>>2]|0)+12>>2]|0,a|0,0,4096)|0;h=y;y=0;if(!(h&1)){r=l;return}l=pb()|0;Xaa(a);sb(l|0)}function qt(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;a:do if(a|0){c=i[48700]|0;b:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=48700;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[51055]|0;if(!(c<<24>>24))b=a;else{b=a;d=51055;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=DP(b)|0;if(b|0){a=b;return a|0}}while(0);a=an(a)|0;return a|0}function rt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=Ry(e)|0;if(!b)f=BD(e)|0;else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function st(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;f=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48580,1);y=0;oa(679,f|0,e|0);g=y;y=0;if(g&1){h=pb()|0;A9(e);sb(h|0)}A9(e);g=b+56|0;c=k[g>>2]|0;d=b+60|0;if((c|0)!=(k[d>>2]|0)){c=k[c+4>>2]|0;mc[k[(k[c>>2]|0)+44>>2]&1023](c,a);c=(k[d>>2]|0)-(k[b+56>>2]|0)>>3;if(c>>>0>1){b=1;do{Sz(f);d=k[(k[g>>2]|0)+(b<<3)+4>>2]|0;mc[k[(k[d>>2]|0)+44>>2]&1023](d,a);b=b+1|0}while((b|0)!=(c|0))}}k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48585,1);y=0;oa(679,f|0,e|0);g=y;y=0;if(!(g&1)){A9(e);r=h;return}h=pb()|0;A9(e);sb(h|0)}function tt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;g=l+48|0;d=l;h=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){f=mW(e)|0;e=f|0?f:e}b=aP(e)|0;if(!b)f=sB(e)|0;else f=b;if(f>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((f|0)==0|(f|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;m=a+96|0;aH(g,m,c,e);k[b>>2]=k[g>>2];k[b+4>>2]=k[g+4>>2];k[b+8>>2]=k[g+8>>2];aH(g,m,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(h,m,b);k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];iH(d,c,e,a+156|0,b,g);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[j>>2]=f;m=f;r=l;return m|0}function ut(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=bN(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=bN(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function vt(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=17844;b=k[a+108>>2]|0;c=b;if(b|0){d=a+112|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}b=k[a+96>>2]|0;c=b;if(b|0){d=a+100|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}d=a+84|0;b=k[d>>2]|0;if(b|0){e=a+88|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}d=a+72|0;b=k[d>>2]|0;if(b|0){e=a+76|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[e>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}b=k[a+60>>2]|0;c=b;if(b|0){d=a+64|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}b=k[a+48>>2]|0;if(!b){f=a+8|0;qaa(f);return}c=a+52|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);cra(b);f=a+8|0;qaa(f);return}function wt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+32|0;h=j+16|0;i=j;d=k[a+76>>2]|0;g=(k[a+80>>2]|0)-d>>3;if(!g){i=0;r=j;return i|0}f=a+76|0;e=b+4|0;c=0;a=d;while(1){a=k[a+(c<<3)+4>>2]|0;b=k[(k[a>>2]|0)+144>>2]|0;LT(h,k[e>>2]|0);k[h>>2]=15136;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(74,i|0,87975,0);d=y;y=0;if(d&1){a=8;break}y=0;a=ta(b|0,a|0,h|0,i|0)|0;d=y;y=0;if(d&1){a=9;break}A9(i);DO(h);c=c+1|0;if(a){c=1;a=11;break}if(c>>>0>=g>>>0){c=0;a=11;break}a=k[f>>2]|0}if((a|0)==8){j=pb()|0;DO(h);sb(j|0)}else if((a|0)==9){j=pb()|0;A9(i);DO(h);sb(j|0)}else if((a|0)==11){r=j;return c|0}return 0}function xt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;c=k[a+20>>2]|0;a=k[a+24>>2]|0;if(a|0){Dba(a);DY(a)}h=k[b+20>>2]|0;a=k[b+24>>2]|0;if(a|0){Dba(a);DY(a)}e=c+16|0;f=c+20|0;a=k[f>>2]|0;if(!a)return;g=c+4|0;d=c+8|0;while(1){b=a+-1+(k[e>>2]|0)|0;a=k[(k[g>>2]|0)+(((b>>>0)/146|0)<<2)>>2]|0;b=(b>>>0)%146|0;if((k[a+(b*28|0)+4>>2]|0)!=1){a=13;break}ny(h,a+(b*28|0)|0);b=(k[f>>2]|0)+-1+(k[e>>2]|0)|0;a=k[(k[g>>2]|0)+(((b>>>0)/146|0)<<2)>>2]|0;b=(b>>>0)%146|0;c=k[a+(b*28|0)+24>>2]|0;if(c|0)DY(c);DO(a+(b*28|0)+12|0);i=k[f>>2]|0;a=i+-1|0;k[f>>2]=a;b=k[d>>2]|0;c=b-(k[g>>2]|0)>>2;if((1-i-(k[e>>2]|0)+((c|0)==0?0:(c*146|0)+-1|0)|0)>>>0>291){cra(k[b+-4>>2]|0);k[d>>2]=(k[d>>2]|0)+-4;a=k[f>>2]|0}if(!a){a=13;break}}if((a|0)==13)return}function yt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;j=a+8|0;e=k[a>>2]|0;c=e;if((k[j>>2]|0)-e>>3>>>0>=b>>>0)return;m=a+4|0;f=k[m>>2]|0;d=f-e>>3;do if(!b)l=0;else if(b>>>0>536870911){m=gb(4)|0;Qoa(m);Wb(m|0,5760,404)}else{l=IM(b<<3)|0;break}while(0);h=l+(d<<3)|0;i=h;b=l+(b<<3)|0;do if((f|0)==(c|0))d=i;else{d=i;e=h;while(1){e=e+-8|0;y=0;oa(460,e|0,k[f+-4>>2]|0);f=f+-8|0;n=y;y=0;if(n&1)break;k[e>>2]=11528;e=d+-8|0;d=e;if((f|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[m>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0))}if(!l)sb(e|0);cra(l);sb(e|0)}while(0);k[a>>2]=d;k[m>>2]=i;k[j>>2]=b;d=e;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function zt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=r;r=r+32|0;c=e+8|0;d=e;_o(a);if(i[a+92>>0]|0)if((k[k[a+68>>2]>>2]|0)==2){Pn(c,b);b=i[c+11>>0]|0;f=b<<24>>24<0;y=0;ta(41,a+4|0,(f?k[c>>2]|0:c)|0,(f?k[c+4>>2]|0:b&255)|0)|0;b=y;y=0;if(b&1){f=pb()|0;A9(c);sb(f|0)}y=0;oa(615,d|0,c|0);f=y;y=0;if(!(f&1)){y=0;oa(689,a+16|0,d|0);f=y;y=0;if(!(f&1)){A9(c);r=e;return}}f=pb()|0;A9(c);sb(f|0)}f=i[b+11>>0]|0;d=f<<24>>24<0;qE(a+4|0,d?k[b>>2]|0:b,d?k[b+4>>2]|0:f&255)|0;eE(c,b);xba(a+16|0,c);r=e;return}function At(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;j=a+8|0;e=k[a>>2]|0;c=e;if((k[j>>2]|0)-e>>3>>>0>=b>>>0)return;m=a+4|0;f=k[m>>2]|0;d=f-e>>3;do if(!b)l=0;else if(b>>>0>536870911){m=gb(4)|0;Qoa(m);Wb(m|0,5760,404)}else{l=IM(b<<3)|0;break}while(0);h=l+(d<<3)|0;i=h;b=l+(b<<3)|0;do if((f|0)==(c|0))d=i;else{d=i;e=h;while(1){e=e+-8|0;y=0;oa(460,e|0,k[f+-4>>2]|0);f=f+-8|0;n=y;y=0;if(n&1)break;k[e>>2]=15136;e=d+-8|0;d=e;if((f|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[m>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0))}if(!l)sb(e|0);cra(l);sb(e|0)}while(0);k[a>>2]=d;k[m>>2]=i;k[j>>2]=b;d=e;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function Bt(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+11|0;c=i[d>>0]|0;e=a+4|0;b=k[e>>2]|0;do if(((c<<24>>24<0?b:c&255)|0)==7){y=0;b=sa(21,a|0,0,-1,33576,7)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=1;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==6){y=0;b=sa(21,a|0,0,-1,33584,6)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=1;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==11){y=0;b=sa(21,a|0,0,-1,33591,11)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=1;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);if(((c<<24>>24<0?b:c&255)|0)!=13){a=0;return a|0}y=0;b=sa(21,a|0,0,-1,33603,13)|0;a=y;y=0;if(a&1){a=tb(0)|0;Sla(a)}a=(b|0)==0;return a|0}function Ct(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;j=a+8|0;e=k[a>>2]|0;c=e;if((k[j>>2]|0)-e>>3>>>0>=b>>>0)return;m=a+4|0;f=k[m>>2]|0;d=f-e>>3;do if(!b)l=0;else if(b>>>0>536870911){m=gb(4)|0;Qoa(m);Wb(m|0,5760,404)}else{l=IM(b<<3)|0;break}while(0);h=l+(d<<3)|0;i=h;b=l+(b<<3)|0;do if((f|0)==(c|0))d=i;else{d=i;e=h;while(1){e=e+-8|0;y=0;oa(460,e|0,k[f+-4>>2]|0);f=f+-8|0;n=y;y=0;if(n&1)break;k[e>>2]=13284;e=d+-8|0;d=e;if((f|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[m>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0))}if(!l)sb(e|0);cra(l);sb(e|0)}while(0);k[a>>2]=d;k[m>>2]=i;k[j>>2]=b;d=e;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function Dt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;if(b>>>0>4294967279)mN(a);m=a+11|0;h=i[m>>0]|0;d=h<<24>>24<0;if(d){l=k[a+4>>2]|0;c=(k[a+8>>2]&2147483647)+-1|0}else{l=h&255;c=10}j=l>>>0>b>>>0?l:b;b=j>>>0<11;j=b?10:(j+16&-16)+-1|0;a:do if((j|0)!=(c|0)){do if(b){b=k[a>>2]|0;if(d){c=b;d=0;b=a;g=16}else{c=b;d=0;e=1;b=a;g=17}}else{b=j+1|0;if(j>>>0>c>>>0)b=IM(b)|0;else{y=0;b=qa(315,b|0)|0;g=y;y=0;if(g&1){m=tb(0)|0;vb(m|0)|0;rb();break a}}if(d){c=k[a>>2]|0;d=1;g=16;break}else{c=a;d=1;e=0;g=17;break}}while(0);if((g|0)==16){f=d;e=1;d=k[a+4>>2]|0}else if((g|0)==17){f=d;d=h&255}d=d+1|0;if(d|0)wH(b|0,c|0,d|0)|0;if(e)cra(c);if(f){k[a+8>>2]=j+1|-2147483648;k[a+4>>2]=l;k[a>>2]=b;break}else{i[m>>0]=l;break}}while(0);return}function Et(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;switch(b-a>>2|0){case 1:case 0:{c=1;break}case 2:{c=b+-4|0;d=k[c>>2]|0;e=k[a>>2]|0;if(d>>>0<e>>>0){k[a>>2]=d;k[c>>2]=e;c=1}else c=1;break}case 3:{iE(a,a+4|0,b+-4|0,c)|0;c=1;break}case 4:{dF(a,a+4|0,a+8|0,b+-4|0,c)|0;c=1;break}case 5:{IC(a,a+4|0,a+8|0,a+12|0,b+-4|0,c)|0;c=1;break}default:{d=a+8|0;iE(a,a+4|0,d,c)|0;h=a+12|0;c=0;while(1){if((h|0)==(b|0)){d=1;c=0;break}g=k[h>>2]|0;f=k[d>>2]|0;if(g>>>0<f>>>0){e=h;while(1){k[e>>2]=f;if((d|0)==(a|0)){d=a;break}e=d+-4|0;f=k[e>>2]|0;if(g>>>0>=f>>>0)break;else{i=d;d=e;e=i}}k[d>>2]=g;c=c+1|0;if((c|0)==8){d=0;c=(h+4|0)==(b|0);break}}d=h;h=h+4|0}c=c|d}}return c|0}function Ft(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));f=a+52|0;k[f>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){a=pb()|0;sb(a|0)}k[c>>2]=6868;k[a>>2]=7188;e=a+72|0;y=0;oa(456,e|0,b+72|0);d=y;y=0;if(d&1){b=pb()|0;k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}c=a+84|0;y=0;oa(460,c|0,k[b+88>>2]|0);d=y;y=0;do if(d&1)c=pb()|0;else{k[c>>2]=6756;d=a+92|0;y=0;oa(460,d|0,k[b+96>>2]|0);b=y;y=0;if(b&1){b=pb()|0;DO(c);c=b;break}else{k[d>>2]=7284;k[f>>2]=3;return}}while(0);A9(e);b=c;k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}function Gt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=bN(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=bN(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function Ht(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;j=a+8|0;e=k[a>>2]|0;c=e;if((k[j>>2]|0)-e>>3>>>0>=b>>>0)return;m=a+4|0;f=k[m>>2]|0;d=f-e>>3;do if(!b)l=0;else if(b>>>0>536870911){m=gb(4)|0;Qoa(m);Wb(m|0,5760,404)}else{l=IM(b<<3)|0;break}while(0);h=l+(d<<3)|0;i=h;b=l+(b<<3)|0;do if((f|0)==(c|0))d=i;else{d=i;e=h;while(1){e=e+-8|0;y=0;oa(460,e|0,k[f+-4>>2]|0);f=f+-8|0;n=y;y=0;if(n&1)break;k[e>>2]=7284;e=d+-8|0;d=e;if((f|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[m>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0))}if(!l)sb(e|0);cra(l);sb(e|0)}while(0);k[a>>2]=d;k[m>>2]=i;k[j>>2]=b;d=e;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function It(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;j=a+8|0;e=k[a>>2]|0;c=e;if((k[j>>2]|0)-e>>3>>>0>=b>>>0)return;m=a+4|0;f=k[m>>2]|0;d=f-e>>3;do if(!b)l=0;else if(b>>>0>536870911){m=gb(4)|0;Qoa(m);Wb(m|0,5760,404)}else{l=IM(b<<3)|0;break}while(0);h=l+(d<<3)|0;i=h;b=l+(b<<3)|0;do if((f|0)==(c|0))d=i;else{d=i;e=h;while(1){e=e+-8|0;y=0;oa(460,e|0,k[f+-4>>2]|0);f=f+-8|0;n=y;y=0;if(n&1)break;k[e>>2]=12920;e=d+-8|0;d=e;if((f|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[m>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0))}if(!l)sb(e|0);cra(l);sb(e|0)}while(0);k[a>>2]=d;k[m>>2]=i;k[j>>2]=b;d=e;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function Jt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;j=a+8|0;e=k[a>>2]|0;c=e;if((k[j>>2]|0)-e>>3>>>0>=b>>>0)return;m=a+4|0;f=k[m>>2]|0;d=f-e>>3;do if(!b)l=0;else if(b>>>0>536870911){m=gb(4)|0;Qoa(m);Wb(m|0,5760,404)}else{l=IM(b<<3)|0;break}while(0);h=l+(d<<3)|0;i=h;b=l+(b<<3)|0;do if((f|0)==(c|0))d=i;else{d=i;e=h;while(1){e=e+-8|0;y=0;oa(460,e|0,k[f+-4>>2]|0);f=f+-8|0;n=y;y=0;if(n&1)break;k[e>>2]=6508;e=d+-8|0;d=e;if((f|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[m>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0))}if(!l)sb(e|0);cra(l);sb(e|0)}while(0);k[a>>2]=d;k[m>>2]=i;k[j>>2]=b;d=e;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function Kt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;g=0;j=a+8|0;e=k[a>>2]|0;c=e;if((k[j>>2]|0)-e>>3>>>0>=b>>>0)return;m=a+4|0;f=k[m>>2]|0;d=f-e>>3;do if(!b)l=0;else if(b>>>0>536870911){m=gb(4)|0;Qoa(m);Wb(m|0,5760,404)}else{l=IM(b<<3)|0;break}while(0);h=l+(d<<3)|0;i=h;b=l+(b<<3)|0;do if((f|0)==(c|0))d=i;else{d=i;e=h;while(1){e=e+-8|0;y=0;oa(460,e|0,k[f+-4>>2]|0);f=f+-8|0;n=y;y=0;if(n&1)break;k[e>>2]=10120;e=d+-8|0;d=e;if((f|0)==(c|0)){g=9;break}}if((g|0)==9){e=k[a>>2]|0;c=k[m>>2]|0;break}e=pb()|0;if((h|0)!=(d|0)){c=h;do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0))}if(!l)sb(e|0);cra(l);sb(e|0)}while(0);k[a>>2]=d;k[m>>2]=i;k[j>>2]=b;d=e;if((c|0)!=(d|0))do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function Lt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a+52>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=8756;c=a+72|0;y=0;oa(456,c|0,b+72|0);e=y;y=0;if(e&1){b=pb()|0;k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}d=a+84|0;y=0;oa(460,d|0,k[b+88>>2]|0);e=y;y=0;if(!(e&1)){k[d>>2]=8852;k[a+92>>2]=k[b+92>>2];k[a+96>>2]=k[b+96>>2];k[a+100>>2]=k[b+100>>2];k[a+104>>2]=k[b+104>>2];k[a+108>>2]=k[b+108>>2];i[a+112>>0]=i[b+112>>0]|0;k[a+116>>2]=k[b+116>>2];return}b=pb()|0;A9(c);k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}function Mt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;e=0;f=r;r=r+16|0;d=f;y=0;oa(531,d|0,a|0);g=y;y=0;a:do if(g&1){b=tb(0)|0;c=a;d=a;e=8}else{do if((c|0)!=0&(i[d>>0]|0)!=0){g=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;b=ta(k[(k[g>>2]|0)+48>>2]|0,g|0,b|0,c|0)|0;g=y;y=0;if(!(g&1)){if((b|0)==(c|0))break;g=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,g|0,k[g+16>>2]|1|0);g=y;y=0;if(!(g&1))break}b=tb(0)|0;EA(d);c=a;d=a;e=8;break a}while(0);EA(d)}while(0);do if((e|0)==8){vb(b|0)|0;y=0;na(435,c+(k[(k[d>>2]|0)+-12>>2]|0)|0);g=y;y=0;if(!(g&1)){rb();break}b=pb()|0;y=0;la(3);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}else sb(b|0)}while(0);r=f;return a|0}function Nt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==126?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Ot(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==125?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Pt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==123?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Qt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==91?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Rt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==62?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function St(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==61?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Tt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==59?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Ut(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==58?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Vt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==47?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Wt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==45?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}
function Xt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==44?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Yt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==43?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function Zt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==41?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function _t(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==40?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function $t(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==38?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function au(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;h=m+48|0;d=m;j=m+40|0;l=a+76|0;f=k[l>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){l=0;r=m;return l|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}g=e<<24>>24==36?f+1|0:0;if(g>>>0>(k[a+80>>2]|0)>>>0){l=0;r=m;return l|0}if(!c)if((g|0)==0|(g|0)==(f|0)){l=0;r=m;return l|0}c=k[l>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;n=a+96|0;aH(h,n,c,f);k[b>>2]=k[h>>2];k[b+4>>2]=k[h+4>>2];k[b+8>>2]=k[h+8>>2];aH(h,n,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(j,n,b);k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];iH(d,c,e,a+156|0,b,h);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[l>>2]=g;n=g;r=m;return n|0}function bu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){fO(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}h=IM(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){cra(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function cu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;a=a+4|0;d=k[a>>2]|0;if(!d){k[b>>2]=a;b=a;return b|0}l=i[c+11>>0]|0;j=l<<24>>24<0;l=j?k[c+4>>2]|0:l&255;j=j?k[c>>2]|0:c;a=d;while(1){e=a+16|0;d=i[e+11>>0]|0;f=d<<24>>24<0;d=f?k[a+20>>2]|0:d&255;g=d>>>0<l>>>0;c=g?d:l;if(!c)h=5;else{c=bN(j,f?k[e>>2]|0:e,c)|0;if(!c)h=5;else if((c|0)<0)h=7;else h=9}if((h|0)==5)if(l>>>0<d>>>0)h=7;else h=9;if((h|0)==7){c=k[a>>2]|0;if(!c){h=8;break}else a=c}else if((h|0)==9){h=0;c=l>>>0<d>>>0?l:d;if(!c)h=11;else{c=bN(f?k[e>>2]|0:e,j,c)|0;if(!c)h=11;else if((c|0)>=0){h=16;break}}if((h|0)==11)if(!g){h=16;break}d=a+4|0;c=k[d>>2]|0;if(!c){h=15;break}else a=c}}if((h|0)==8){k[b>>2]=a;b=a;return b|0}else if((h|0)==15){k[b>>2]=a;b=d;return b|0}else if((h|0)==16){k[b>>2]=a;return b|0}return 0}function du(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){fO(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}h=IM(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){cra(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function eu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=r;r=r+192|0;j=o;a=o+176|0;l=o+156|0;m=o+4|0;n=o+152|0;i[a>>0]=i[56463]|0;i[a+1>>0]=i[56464]|0;i[a+2>>0]=i[56465]|0;i[a+3>>0]=i[56466]|0;i[a+4>>0]=i[56467]|0;i[a+5>>0]=i[56468]|0;f=LN()|0;k[j>>2]=e;a=hK(l,20,f,a,j)|0;e=l+a|0;f=$F(l,e,c)|0;g=FV(c)|0;k[j>>2]=g;y=0;h=Ha(977,j|0,83992)|0;p=y;y=0;if(p&1){p=pb()|0;RQ(g)|0;sb(p|0)}else{RQ(g)|0;Kc[k[(k[h>>2]|0)+48>>2]&31](h,l,e,m)|0;p=m+(a<<2)|0;k[n>>2]=k[b>>2];k[j>>2]=k[n>>2];p=ps(j,m,(f|0)==(e|0)?p:m+(f-l<<2)|0,p,c,d)|0;r=o;return p|0}return 0}function fu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){fO(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}h=IM(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){cra(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function gu(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=r;r=r+32|0;c=e+16|0;b=e;d=e+8|0;LT(b,k[a+56>>2]|0);k[b>>2]=7492;a=k[b+4>>2]|0;if(!a)a=0;else a=(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)==32210?a:0;y=0;oa(460,c|0,a|0);a=y;y=0;if(a&1){e=pb()|0;DO(b);sb(e|0)}k[c>>2]=13080;DO(b);b=c+4|0;a=k[b>>2]|0;if(!a){DO(c);d=0;r=e;return d|0}a=a+60|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,0)|0;f=y;y=0;if(!(f&1)){a=k[a+4>>2]|0;if(!a)a=0;else a=(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)==33313?a:0;y=0;oa(460,d|0,a|0);f=y;y=0;if(!(f&1)){k[d>>2]=13096;f=k[b>>2]|0;if((k[f+68>>2]|0)==(k[f+64>>2]|0))a=0;else{a=k[d+4>>2]|0;if(!a)a=0;else a=(i[a+101>>0]|0)!=0}DO(d);DO(c);f=a;r=e;return f|0}}f=pb()|0;DO(c);sb(f|0);return 0}function hu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){fO(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}h=IM(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){cra(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function iu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){fO(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}h=IM(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){cra(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function ju(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0;l=r;r=r+64|0;h=l+24|0;m=l+16|0;i=l;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;aI(i,40420,9);y=0;j=h;b=e;g=j+40|0;do{k[j>>2]=k[b>>2];j=j+4|0;b=b+4|0}while((j|0)<(g|0));Ea(3,m|0,i|0,a|0,d|0,h|0,f|0,c|0);f=y;y=0;if(f&1){m=pb()|0;A9(i);sb(m|0)}A9(i);y=0;na(440,h|0);f=y;y=0;do if(f&1)b=pb()|0;else{b=k[m+4>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,h|0)|0;f=y;y=0;if(f&1){b=pb()|0;break}else{DO(m);r=l;return b|0}}while(0);DO(m);m=b;sb(m|0);return 0}function ku(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;f=IM(24)|0;k[a>>2]=f;k[a+4>>2]=b+8;b=a+8|0;i[b>>0]=0;e=f+8|0;y=0;oa(460,e|0,k[c+4>>2]|0);d=y;y=0;if(d&1){c=pb()|0;k[a>>2]=0;a=c;cra(f);sb(a|0)}k[e>>2]=7284;d=f+16|0;y=0;oa(460,d|0,k[c+12>>2]|0);c=y;y=0;if(c&1){c=pb()|0;DO(e);k[a>>2]=0;a=c;cra(f);sb(a|0)}k[d>>2]=7284;i[b>>0]=1;b=k[f+12>>2]|0;if(!b){c=0;a=f+4|0;k[a>>2]=c;k[f>>2]=0;return}y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;c=y;y=0;if(!(c&1)){c=b;a=f+4|0;k[a>>2]=c;k[f>>2]=0;return}c=pb()|0;k[a>>2]=0;DO(f+16|0);DO(f+8|0);a=c;cra(f);sb(a|0)}function lu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=0;j=r;r=r+112|0;i=j+64|0;d=j+24|0;g=j+16|0;l=gb(76)|0;h=k[a+12>>2]|0;e=k[a+72>>2]|0;f=k[c>>2]|0;y=0;Na(97,g|0,0,0);n=y;y=0;if(n&1)m=6;else{y=0;k[i>>2]=k[g>>2];k[i+4>>2]=k[g+4>>2];ma(7,d|0,h|0,e|0,(f|0?c:a+84|0)|0,i|0);n=y;y=0;if(n&1)m=6;else{y=0;oa(456,j|0,b|0);n=y;y=0;if(n&1)m=6;else{y=0;b=i;a=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(a|0));Na(110,l|0,i|0,j|0);n=y;y=0;if(n&1)a=1;else{y=0;Na(75,l|0,2928,175);y=0;a=0}d=pb()|0;A9(j);if(!a){n=d;sb(n|0)}}}}if((m|0)==6)d=pb()|0;fb(l|0);n=d;sb(n|0)}function mu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+16|0;e=g+8|0;f=g;d=a+4|0;Rx(d);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48801,6);y=0;Na(147,d|0,c|0,b|0);h=y;y=0;if(h&1){h=pb()|0;A9(c);sb(h|0)}A9(c);Bla(d);c=a+98|0;i[c>>0]=1;LT(e,k[b+76>>2]|0);k[e>>2]=7172;h=k[e+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;DO(e);sb(h|0)}DO(e);i[c>>0]=0;LT(f,k[b+68>>2]|0);k[f>>2]=6868;h=k[f+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(!(h&1)){DO(f);r=g;return}h=pb()|0;DO(f);sb(h|0)}function nu(a){a=a|0;var b=0,c=0,d=0;d=0;b=NO(a)|0;do if(!b)d=5;else{c=i[b>>0]|0;b=b+1|0;if(c<<24>>24!=47){c=c<<24>>24|0;b=(c|0)!=44?((c|0)==32?b:0):b;if(!b){d=5;break}}b=NO(b)|0;if(!b)d=5}while(0);if((d|0)==5){b=aP(a)|0;if(!b){d=0;return d|0}}if((i[b>>0]|0)==45){c=b;do c=c+1|0;while((i[c>>0]|0)==45)}else c=b;c=hx(c)|0;if(c|0){c=gx(c)|0;if(c|0){d=c;return d|0}}c=Nk(b)|0;if(c|0){d=c;return d|0}d=Kw(b)|0;return d|0}function ou(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=r;r=r+32|0;h=j+16|0;i=j;d=k[a+76>>2]|0;g=(k[a+80>>2]|0)-d>>3;if(!g){i=0;r=j;return i|0}f=a+76|0;e=b+4|0;a=0;b=d;while(1){b=k[b+(a<<3)+4>>2]|0;d=k[(k[b>>2]|0)+140>>2]|0;LT(h,k[e>>2]|0);k[h>>2]=15152;y=0;oa(456,i|0,c|0);l=y;y=0;if(l&1){b=8;break}y=0;b=ta(d|0,b|0,h|0,i|0)|0;l=y;y=0;if(l&1){b=9;break}A9(i);DO(h);a=a+1|0;if(b){a=1;b=11;break}if(a>>>0>=g>>>0){a=0;b=11;break}b=k[f>>2]|0}if((b|0)==8){l=pb()|0;DO(h);sb(l|0)}else if((b|0)==9){l=pb()|0;A9(i);DO(h);sb(l|0)}else if((b|0)==11){r=j;return a|0}return 0}function pu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=r;r=r+80|0;j=o;a=o+68|0;l=o+48|0;m=o+8|0;n=o+4|0;i[a>>0]=i[56463]|0;i[a+1>>0]=i[56464]|0;i[a+2>>0]=i[56465]|0;i[a+3>>0]=i[56466]|0;i[a+4>>0]=i[56467]|0;i[a+5>>0]=i[56468]|0;f=LN()|0;k[j>>2]=e;a=hK(l,20,f,a,j)|0;e=l+a|0;f=$F(l,e,c)|0;g=FV(c)|0;k[j>>2]=g;y=0;h=Ha(977,j|0,83960)|0;p=y;y=0;if(p&1){p=pb()|0;RQ(g)|0;sb(p|0)}else{RQ(g)|0;Kc[k[(k[h>>2]|0)+32>>2]&31](h,l,e,m)|0;p=m+a|0;k[n>>2]=k[b>>2];k[j>>2]=k[n>>2];p=ms(j,m,(f|0)==(e|0)?p:m+(f-l)|0,p,c,d)|0;r=o;return p|0}return 0}function qu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;d=g+8|0;e=g+12|0;f=g;a:do if(a|0){c=a;while(1){if((tv(c,b)|0)!=(c+4|0))break;c=k[c+12>>2]|0;if(!c)break a}k[d>>2]=b;Br(f,c,b,85897,d,e);f=k[f>>2]|0;f=f+28|0;r=g;return f|0}while(0);k[d>>2]=b;Br(f,a,b,85897,d,e);f=k[f>>2]|0;f=f+28|0;r=g;return f|0}function ru(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;b=aP(a)|0;if(!b){if(!a){f=0;return f|0}c=i[50291]|0;a:do if(!(c<<24>>24))b=a;else{b=a;d=50291;while(1){if((i[b>>0]|0)!=c<<24>>24){e=a;break}b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24))break a}return e|0}while(0);while(1){if(C9(b)|0)break;c=Bka(b)|0;if((c|0)==(b|0)|(c|0)==0){e=a;f=16;break}else b=c}if((f|0)==16)return e|0;if(!b){f=a;return f|0}else e=b}else e=b;b:while(1){b=aP(e)|0;if(b|0){e=b;continue}c=i[50291]|0;if(!(c<<24>>24))b=e;else{b=e;d=50291;do{if((i[b>>0]|0)!=c<<24>>24){f=16;break b}b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}while(1){if(C9(b)|0)break;c=Bka(b)|0;if((c|0)==(b|0)|(c|0)==0){f=16;break b}else b=c}if(!b){f=16;break}else e=b}if((f|0)==16)return e|0;return 0}function su(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;i=r;r=r+64|0;g=i+16|0;h=i;cL(h,c);y=0;f=g;c=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(c|0));Na(85,a|0,g|0,h|0);g=y;y=0;if(g&1){a=pb()|0;A9(h);sb(a|0)}A9(h);k[a>>2]=14324;b=a+104|0;y=0;oa(456,b|0,d|0);d=y;y=0;do if(d&1)c=pb()|0;else{c=a+116|0;y=0;oa(460,c|0,k[e+4>>2]|0);e=y;y=0;if(e&1){c=pb()|0;A9(b);break}else{k[c>>2]=7492;k[a+96>>2]=1;r=i;return}}while(0);k[a>>2]=13112;A9(a+84|0);A9(a+72|0);a=c;sb(a|0)}function tu(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+96|0;e=l+56|0;f=l+16|0;g=l;h=IM(104)|0;j=f;d=j+40|0;do{k[j>>2]=k[a>>2];j=j+4|0;a=a+4|0}while((j|0)<(d|0));y=0;c=+Aa(1,((i[b+11>>0]|0)<0?k[b>>2]|0:b)|0);j=y;y=0;if(!(j&1)){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,87975,0);j=y;y=0;if(!(j&1)){y=0;b=qa(372,b|0)|0;j=y;y=0;if(!(j&1)){y=0;j=e;a=f;d=j+40|0;do{k[j>>2]=k[a>>2];j=j+4|0;a=a+4|0}while((j|0)<(d|0));Ca(1,h|0,e|0,+c,g|0,b|0);j=y;y=0;if(!(j&1)){A9(g);i[h+54>>0]=0;i[h+52>>0]=1;r=l;return h|0}}l=pb()|0;A9(g);cra(h);sb(l|0)}}l=pb()|0;cra(h);sb(l|0);return 0}function uu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+32|0;d=f+16|0;c=f+8|0;e=f;LT(d,k[a+84>>2]|0);k[d>>2]=7284;a=d+4|0;b=k[a>>2]|0;if(!b)b=0;else b=(k[307]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;oa(460,c|0,b|0);b=y;y=0;if(b&1){f=pb()|0;DO(d);sb(f|0)}k[c>>2]=17036;b=(k[c+4>>2]|0)==0;DO(c);if(!b){e=1;DO(d);r=f;return e|0}y=0;b=qa(332,k[a>>2]|0)|0;c=y;y=0;if(c&1){f=pb()|0;DO(d);sb(f|0)}y=0;oa(460,e|0,b|0);c=y;y=0;if(c&1){f=pb()|0;DO(d);sb(f|0)}k[e>>2]=16780;b=k[e+4>>2]|0;if(!b){DO(e);e=1;DO(d);r=f;return e|0}a=i[b+64+11>>0]|0;if(a<<24>>24<0)b=k[b+68>>2]|0;else b=a&255;DO(e);e=(b|0)!=0;DO(d);r=f;return e|0}function vu(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;l=r;r=r+224|0;a=l+8|0;n=l;m=l+200|0;i=l+28|0;j=l+24|0;g=l+16|0;h=l+20|0;o=n;k[o>>2]=37;k[o+4>>2]=0;nF(n+1|0,56471,0,k[c+4>>2]|0);o=LN()|0;p=a;k[p>>2]=e;k[p+4>>2]=f;f=m+(hK(m,23,o,n,a)|0)|0;e=$F(m,f,c)|0;n=FV(c)|0;k[a>>2]=n;y=0;Ea(11,m|0,e|0,f|0,i|0,j|0,g|0,a|0);f=y;y=0;if(f&1){p=pb()|0;RQ(k[a>>2]|0)|0;sb(p|0)}else{RQ(k[a>>2]|0)|0;k[h>>2]=k[b>>2];o=k[j>>2]|0;p=k[g>>2]|0;k[a>>2]=k[h>>2];p=ps(a,i,o,p,c,d)|0;r=l;return p|0}return 0}function wu(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;l=r;r=r+224|0;a=l+8|0;n=l;m=l+200|0;i=l+28|0;j=l+24|0;g=l+16|0;h=l+20|0;o=n;k[o>>2]=37;k[o+4>>2]=0;nF(n+1|0,56471,1,k[c+4>>2]|0);o=LN()|0;p=a;k[p>>2]=e;k[p+4>>2]=f;f=m+(hK(m,23,o,n,a)|0)|0;e=$F(m,f,c)|0;n=FV(c)|0;k[a>>2]=n;y=0;Ea(11,m|0,e|0,f|0,i|0,j|0,g|0,a|0);f=y;y=0;if(f&1){p=pb()|0;RQ(k[a>>2]|0)|0;sb(p|0)}else{RQ(k[a>>2]|0)|0;k[h>>2]=k[b>>2];o=k[j>>2]|0;p=k[g>>2]|0;k[a>>2]=k[h>>2];p=ps(a,i,o,p,c,d)|0;r=l;return p|0}return 0}function xu(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;l=r;r=r+96|0;a=l+8|0;n=l;m=l+71|0;i=l+28|0;j=l+24|0;g=l+16|0;h=l+20|0;o=n;k[o>>2]=37;k[o+4>>2]=0;nF(n+1|0,56471,0,k[c+4>>2]|0);o=LN()|0;p=a;k[p>>2]=e;k[p+4>>2]=f;f=m+(hK(m,23,o,n,a)|0)|0;e=$F(m,f,c)|0;n=FV(c)|0;k[a>>2]=n;y=0;Ea(9,m|0,e|0,f|0,i|0,j|0,g|0,a|0);f=y;y=0;if(f&1){p=pb()|0;RQ(k[a>>2]|0)|0;sb(p|0)}else{RQ(k[a>>2]|0)|0;k[h>>2]=k[b>>2];o=k[j>>2]|0;p=k[g>>2]|0;k[a>>2]=k[h>>2];p=ms(a,i,o,p,c,d)|0;r=l;return p|0}return 0}function yu(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;l=r;r=r+96|0;a=l+8|0;n=l;m=l+71|0;i=l+28|0;j=l+24|0;g=l+16|0;h=l+20|0;o=n;k[o>>2]=37;k[o+4>>2]=0;nF(n+1|0,56471,1,k[c+4>>2]|0);o=LN()|0;p=a;k[p>>2]=e;k[p+4>>2]=f;f=m+(hK(m,23,o,n,a)|0)|0;e=$F(m,f,c)|0;n=FV(c)|0;k[a>>2]=n;y=0;Ea(9,m|0,e|0,f|0,i|0,j|0,g|0,a|0);f=y;y=0;if(f&1){p=pb()|0;RQ(k[a>>2]|0)|0;sb(p|0)}else{RQ(k[a>>2]|0)|0;k[h>>2]=k[b>>2];o=k[j>>2]|0;p=k[g>>2]|0;k[a>>2]=k[h>>2];p=ms(a,i,o,p,c,d)|0;r=l;return p|0}return 0}function zu(a){a=a|0;var b=0,c=0,d=0,e=0;d=0;if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=hx(a)|0;if(!a){e=0;return e|0}e=gx(a)|0;if(!e){e=0;return e|0}b=i[50288]|0;a:do if(!(b<<24>>24)){a=e;d=8}else{a=e;c=50288;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break a}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){d=8;break}}}while(0);b:do if((d|0)==8){b=i[a>>0]|0;if(!(b<<24>>24))a=0;else{d=a;while(1){if(d|0){a=i[51073]|0;if(!(a<<24>>24)){a=d;break b}if(b<<24>>24==a<<24>>24){a=d;b=51073;do{a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break b}while((i[a>>0]|0)==c<<24>>24)}}d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24)){a=0;break}}}}while(0);a=a|0?a:e;if(!a){e=0;return e|0}e=(i[a>>0]|0)==40?a+1|0:0;return e|0}function Au(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;e=k[b+52>>2]|0;i[a+52>>0]=e;i[a+53>>0]=(e&65535)>>>8;i[a+54>>0]=e>>>16;e=a+56|0;k[e>>2]=k[b+56>>2];k[a>>2]=13472;d=k[b+60>>2]|0;i[a+60>>0]=d;i[a+61>>0]=(d&65535)>>>8;i[a+62>>0]=d>>>16;k[a+64>>2]=k[b+64>>2];k[a+68>>2]=k[b+68>>2];k[e>>2]=7;k[a>>2]=15200;k[a+72>>2]=k[b+72>>2];e=a+76|0;y=0;oa(460,e|0,k[b+80>>2]|0);d=y;y=0;if(d&1){b=pb()|0;sb(b|0)}k[e>>2]=15152;d=a+84|0;y=0;oa(460,d|0,k[b+88>>2]|0);c=y;y=0;do if(c&1)c=pb()|0;else{k[d>>2]=15136;c=a+92|0;y=0;oa(460,c|0,k[b+96>>2]|0);b=y;y=0;if(b&1){c=pb()|0;DO(d);break}else{k[c>>2]=7492;return}}while(0);DO(e);b=c;sb(b|0)}function Bu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){fO(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}h=IM(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){cra(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function Cu(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;do if((a|0)==(k[b+8>>2]|0)){if((k[b+4>>2]|0)==(c|0)){f=b+28|0;if((k[f>>2]|0)!=1)k[f>>2]=d}}else{if((a|0)!=(k[b>>2]|0)){h=k[a+8>>2]|0;kc[k[(k[h>>2]|0)+24>>2]&31](h,b,c,d,e);break}if((k[b+16>>2]|0)!=(c|0)){g=b+20|0;if((k[g>>2]|0)!=(c|0)){k[b+32>>2]=d;h=b+44|0;if((k[h>>2]|0)==4)break;f=b+52|0;i[f>>0]=0;d=b+53|0;i[d>>0]=0;a=k[a+8>>2]|0;wc[k[(k[a>>2]|0)+20>>2]&31](a,b,c,c,1,e);if(!(i[d>>0]|0)){f=0;d=13}else if(!(i[f>>0]|0)){f=1;d=13}else d=17;do if((d|0)==13){k[g>>2]=c;c=b+40|0;k[c>>2]=(k[c>>2]|0)+1;if((k[b+36>>2]|0)==1)if((k[b+24>>2]|0)==2){i[b+54>>0]=1;if(f){d=17;break}else{f=4;break}}if(f)d=17;else f=4}while(0);if((d|0)==17)f=3;k[h>>2]=f;break}}if((d|0)==1)k[b+32>>2]=1}while(0);return}function Du(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){fO(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}h=IM(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){cra(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function Eu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=a+4|0;m=k[o>>2]|0;n=k[a>>2]|0;e=n;do if((m|0)==(n|0)){n=a+8|0;d=k[n>>2]|0;l=a+12|0;j=k[l>>2]|0;c=j;if(d>>>0<j>>>0){e=d;g=((c-e>>2)+1|0)/2|0;c=d+(g<<2)|0;e=e-m|0;l=e>>2;f=c+(0-l<<2)|0;if(l){fO(f|0,m|0,e|0)|0;c=f;d=k[n>>2]|0}k[o>>2]=c;k[n>>2]=d+(g<<2);break}e=c-e>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}h=IM(e<<2)|0;i=h;c=h+((e+3|0)>>>2<<2)|0;j=c;h=h+(e<<2)|0;if((m|0)==(d|0)){e=j;d=m}else{g=c;e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(d|0));d=k[a>>2]|0}k[a>>2]=i;k[o>>2]=j;k[n>>2]=e;k[l>>2]=h;if(d){cra(d);c=k[o>>2]|0}}else c=m;while(0);k[c+-4>>2]=k[b>>2];k[o>>2]=(k[o>>2]|0)+-4;return}function Fu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+48|0;f=h;g=h+40|0;LT(g,k[d+4>>2]|0);k[g>>2]=6868;e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(422,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;d=a+64|0;y=0;oa(460,d|0,k[g+4>>2]|0);f=y;y=0;if(f&1){d=pb()|0;break}k[d>>2]=6868;DO(g);k[a>>2]=6660;d=a+72|0;y=0;oa(460,d|0,k[c+4>>2]|0);g=y;y=0;if(!(g&1)){k[d>>2]=6756;i[a+80>>0]=0;k[b>>2]=1;r=h;return}h=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(h|0)}while(0);DO(g);h=d;sb(h|0)}function Gu(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;b=d;a:do if(k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0){y=0;oa(705,b|0,a|0);c=y;y=0;b:do if(c&1)b=tb(0)|0;else{do if(i[b>>0]|0){c=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+24>>2]|0,c|0)|0;e=y;y=0;if(!(e&1)){if((c|0)!=-1)break;e=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,e|0,k[e+16>>2]|1|0);e=y;y=0;if(!(e&1))break}e=tb(0)|0;DA(b);b=e;break b}while(0);DA(b);break a}while(0);vb(b|0)|0;y=0;na(435,a+(k[(k[a>>2]|0)+-12>>2]|0)|0);e=y;y=0;if(!(e&1)){rb();break}b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}else sb(b|0)}while(0);r=d;return a|0}function Hu(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;b=d;a:do if(k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0){y=0;oa(531,b|0,a|0);c=y;y=0;b:do if(c&1)b=tb(0)|0;else{do if(i[b>>0]|0){c=k[a+(k[(k[a>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+24>>2]|0,c|0)|0;e=y;y=0;if(!(e&1)){if((c|0)!=-1)break;e=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,e|0,k[e+16>>2]|1|0);e=y;y=0;if(!(e&1))break}e=tb(0)|0;EA(b);b=e;break b}while(0);EA(b);break a}while(0);vb(b|0)|0;y=0;na(435,a+(k[(k[a>>2]|0)+-12>>2]|0)|0);e=y;y=0;if(!(e&1)){rb();break}b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}else sb(b|0)}while(0);r=d;return a|0}function Iu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{fO(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;Qoa(n);Wb(n|0,5760,404)}f=IM(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){cra(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function Ju(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{fO(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;Qoa(n);Wb(n|0,5760,404)}f=IM(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){cra(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function Ku(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+32|0;h=j+16|0;i=j;g=b+4|0;d=k[g>>2]|0;f=(k[d+80>>2]|0)-(k[d+76>>2]|0)>>3;if(!f){i=1;r=j;return i|0}b=0;while(1){e=k[(k[a>>2]|0)+144>>2]|0;LT(h,k[(k[d+76>>2]|0)+(b<<3)+4>>2]|0);k[h>>2]=15136;y=0;oa(456,i|0,c|0);d=y;y=0;if(d&1){d=8;break}y=0;d=ta(e|0,a|0,h|0,i|0)|0;e=y;y=0;if(e&1){d=9;break}A9(i);DO(h);b=b+1|0;if(!d){b=0;d=11;break}if(b>>>0>=f>>>0){b=1;d=11;break}d=k[g>>2]|0}if((d|0)==8){j=pb()|0;DO(h);sb(j|0)}else if((d|0)==9){j=pb()|0;A9(i);DO(h);sb(j|0)}else if((d|0)==11){r=j;return b|0}return 0}function Lu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=eO(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Mu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{fO(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;Qoa(n);Wb(n|0,5760,404)}f=IM(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){cra(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function Nu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{fO(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;Qoa(n);Wb(n|0,5760,404)}f=IM(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){cra(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function Ou(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=MD(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Pu(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=r;r=r+16|0;g=h;c=ut(b,g,c)|0;d=k[c>>2]|0;if(d|0){b=d;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}f=IM(32)|0;y=0;oa(456,f+16|0,k[e>>2]|0);e=y;y=0;if(e&1){b=pb()|0;cra(f);sb(b|0)}k[f+28>>2]=0;d=k[g>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=d;k[c>>2]=f;d=k[k[b>>2]>>2]|0;if(!d)d=f;else{k[b>>2]=d;d=k[c>>2]|0}Qn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=f;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=h;return}function Qu(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+48|0;f=h;g=h+40|0;LT(g,k[d+4>>2]|0);k[g>>2]=6868;e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(422,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;d=a+64|0;y=0;oa(460,d|0,k[g+4>>2]|0);f=y;y=0;if(f&1){d=pb()|0;break}k[d>>2]=6868;DO(g);k[a>>2]=11708;d=a+72|0;y=0;oa(460,d|0,k[c+4>>2]|0);g=y;y=0;if(!(g&1)){k[d>>2]=11804;k[b>>2]=4;r=h;return}h=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(h|0)}while(0);DO(g);h=d;sb(h|0)}function Ru(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=Hq(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Su(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=Iq(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Tu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=WK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Uu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;Uqa(85800)|0;while(1){if((k[a>>2]|0)!=1)break;Ua(85828,85800)|0}do if(!(k[a>>2]|0)){k[a>>2]=1;y=0;qa(407,85800)|0;d=y;y=0;if(!(d&1)){y=0;na(c|0,b|0);d=y;y=0;if(!(d&1)){y=0;qa(408,85800)|0;d=y;y=0;if(!(d&1)){k[a>>2]=-1;y=0;qa(407,85800)|0;d=y;y=0;if(!(d&1)){y=0;qa(409,85828)|0;d=y;y=0;if(!(d&1))break}}}}d=tb(0)|0;vb(d|0)|0;y=0;qa(408,85800)|0;d=y;y=0;if(!(d&1)){k[a>>2]=0;y=0;qa(407,85800)|0;d=y;y=0;if(!(d&1)){y=0;qa(409,85828)|0;d=y;y=0;if(!(d&1)){y=0;la(4);y=0}}}a=pb()|0;y=0;la(3);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}else sb(a|0)}else Oqa(85800)|0;while(0);return}function Vu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=LJ(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Wu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=jq(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Xu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=kq(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Yu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=NE(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Zu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=YK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function _u(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=ZK(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function $u(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=_K(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function av(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=hN(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function bv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=qt(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function cv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=$K(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function dv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+48|0;f=h;g=h+40|0;LT(g,k[c+4>>2]|0);k[g>>2]=6868;e=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;na(422,a|0);e=y;y=0;do if(e&1)c=pb()|0;else{e=a+12|0;b=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[g+4>>2]|0);f=y;y=0;if(f&1){c=pb()|0;break}k[c>>2]=6868;DO(g);k[a>>2]=12472;c=a+72|0;y=0;oa(460,c|0,k[d+4>>2]|0);g=y;y=0;if(!(g&1)){k[c>>2]=12568;k[b>>2]=5;r=h;return}h=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(h|0)}while(0);DO(g);h=c;sb(h|0)}function ev(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=fy(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function fv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=dL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function gv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=Qw(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function hv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=gL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function iv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=hL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function jv(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;b=aP(a)|0;if(!b){if(!a){e=0;return e|0}b=i[50291]|0;a:do if(b<<24>>24){c=50291;while(1){if((i[a>>0]|0)!=b<<24>>24){d=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return d|0}while(0);while(1){if(C9(a)|0)break;b=Bka(a)|0;if((b|0)==(a|0)|(b|0)==0){d=0;e=16;break}else a=b}if((e|0)==16)return d|0;if(!a){e=0;return e|0}else d=a}else d=b;b:while(1){a=aP(d)|0;if(a|0){d=a;continue}b=i[50291]|0;if(!(b<<24>>24))a=d;else{a=d;c=50291;do{if((i[a>>0]|0)!=b<<24>>24){e=16;break b}a=a+1|0;c=c+1|0;b=i[c>>0]|0}while(b<<24>>24!=0)}while(1){if(C9(a)|0)break;b=Bka(a)|0;if((b|0)==(a|0)|(b|0)==0){e=16;break b}else a=b}if(!a){e=16;break}else d=a}if((e|0)==16)return d|0;return 0}function kv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=iL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function lv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=Kz(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function mv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=UG(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function nv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+32|0;h=j+16|0;i=j;g=b+4|0;d=k[g>>2]|0;f=(k[d+80>>2]|0)-(k[d+76>>2]|0)>>3;if(!f){i=1;r=j;return i|0}b=0;while(1){e=k[(k[a>>2]|0)+148>>2]|0;LT(h,k[(k[d+76>>2]|0)+(b<<3)+4>>2]|0);k[h>>2]=15136;y=0;oa(456,i|0,c|0);d=y;y=0;if(d&1){d=8;break}y=0;d=ta(e|0,a|0,h|0,i|0)|0;e=y;y=0;if(e&1){d=9;break}A9(i);DO(h);b=b+1|0;if(!d){b=0;d=11;break}if(b>>>0>=f>>>0){b=1;d=11;break}d=k[g>>2]|0}if((d|0)==8){j=pb()|0;DO(h);sb(j|0)}else if((d|0)==9){j=pb()|0;A9(i);DO(h);sb(j|0)}else if((d|0)==11){r=j;return b|0}return 0}function ov(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=pM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function pv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=lL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function qv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=dy(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function rv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;a=r;r=r+96|0;d=a+56|0;e=a+16|0;g=a;if(b|0){f=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[179]|0)==(f|0)|(k[175]|0)==(f|0)|(k[171]|0)==(f|0)|(k[183]|0)==(f|0)|(k[105]|0)==(f|0)|(k[167]|0)==(f|0)|(k[133]|0)==(f|0)|(k[205]|0)==(f|0)){r=a;return}}f=gb(76)|0;c=e;a=b+12|0;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,48934,66);c=y;y=0;if(c&1)a=pb()|0;else{y=0;c=d;a=e;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));Na(110,f|0,d|0,g|0);e=y;y=0;if(e&1)b=1;else{y=0;Na(75,f|0,2928,175);y=0;b=0}a=pb()|0;A9(g);if(!b){g=a;sb(g|0)}}fb(f|0);g=a;sb(g|0)}function sv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;d=k[b+52>>2]|0;i[a+52>>0]=d;i[a+53>>0]=(d&65535)>>>8;i[a+54>>0]=d>>>16;k[a+56>>2]=k[b+56>>2];d=a+60|0;k[d>>2]=11544;y=0;oa(487,a+64|0,b+64|0);g=y;y=0;if(g&1){a=pb()|0;sb(a|0)}k[a+76>>2]=k[b+76>>2];k[a>>2]=11364;k[d>>2]=11488;c=a+80|0;y=0;oa(460,c|0,k[b+84>>2]|0);g=y;y=0;if(!(g&1)){k[c>>2]=7492;g=j[b+88>>1]|0;i[a+88>>0]=g;i[a+89>>0]=(g&65535)>>>8;return}g=pb()|0;f=N;k[d>>2]=11544;b=a+64|0;c=k[b>>2]|0;if(!c){a=g;sb(a|0)}e=a+68|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{a=d+-8|0;k[e>>2]=a;lc[k[k[a>>2]>>2]&511](a);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[b>>2]|0}cra(c);a=g;sb(a|0)}function tv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;l=a+4|0;c=k[l>>2]|0;do if(c|0){j=i[b+11>>0]|0;h=j<<24>>24<0;j=h?k[b+4>>2]|0:j&255;h=h?k[b>>2]|0:b;a=l;a:while(1){b=c;while(1){d=b+16|0;f=i[d+11>>0]|0;e=f<<24>>24<0;f=e?k[b+20>>2]|0:f&255;c=j>>>0<f>>>0?j:f;if(!c)g=6;else{c=bN(e?k[d>>2]|0:d,h,c)|0;if(!c)g=6;else if((c|0)>=0)break}if((g|0)==6){g=0;if(f>>>0>=j>>>0)break}b=k[b+4>>2]|0;if(!b)break a}c=k[b>>2]|0;if(!c){a=b;break}else a=b}if((a|0)!=(l|0)){c=a+16|0;e=i[c+11>>0]|0;d=e<<24>>24<0;e=d?k[a+20>>2]|0:e&255;b=e>>>0<j>>>0?e:j;if(b|0){b=bN(h,d?k[c>>2]|0:c,b)|0;if(b|0){if((b|0)<0)break;return a|0}}if(j>>>0>=e>>>0){l=a;return l|0}}}while(0);return l|0}function uv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=Ur(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function vv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=GD(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function wv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=rN(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function xv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=RJ(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function yv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+16|0;d=g+8|0;e=g;f=a+4|0;Rx(f);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48808,9);y=0;Na(147,f|0,c|0,b|0);h=y;y=0;if(h&1){h=pb()|0;A9(c);sb(h|0)}A9(c);Bla(f);LT(d,k[b+76>>2]|0);k[d>>2]=11804;h=k[d+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;DO(d);sb(h|0)}DO(d);LT(e,k[b+68>>2]|0);k[e>>2]=6868;h=k[e+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(!(h&1)){DO(e);r=g;return}h=pb()|0;DO(e);sb(h|0)}function zv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;g=r;r=r+32|0;j=g+8|0;c=g;d=g+16|0;e=a+4|0;QG(e,b+52|0,b);f=b+68|0;LT(j,k[f>>2]|0);k[j>>2]=7284;h=(k[j+4>>2]|0)==0;DO(j);if(!h){zz(e);LT(c,k[f>>2]|0);k[c>>2]=7284;j=k[c+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;DO(c);sb(j|0)}else{DO(c);r=g;return}}if(!(i[b+72>>0]|0)){r=g;return}k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;aI(d,48600,3);y=0;oa(679,e|0,d|0);j=y;y=0;if(j&1){j=pb()|0;A9(d);sb(j|0)}else{A9(d);r=g;return}}function Av(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=jr(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Bv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=bV(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Cv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=sL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Dv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=bG(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ev(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=sB(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Fv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+48|0;f=h;g=h+40|0;LT(g,k[d+4>>2]|0);k[g>>2]=6868;e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(422,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;d=a+64|0;y=0;oa(460,d|0,k[g+4>>2]|0);f=y;y=0;if(f&1){d=pb()|0;break}k[d>>2]=6868;DO(g);k[a>>2]=8468;d=a+72|0;y=0;oa(460,d|0,k[c+4>>2]|0);g=y;y=0;if(!(g&1)){k[d>>2]=7284;k[b>>2]=19;r=h;return}h=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(h|0)}while(0);DO(g);h=d;sb(h|0)}function Gv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+48|0;f=h;g=h+40|0;LT(g,k[d+4>>2]|0);k[g>>2]=6868;e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(422,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;d=a+64|0;y=0;oa(460,d|0,k[g+4>>2]|0);f=y;y=0;if(f&1){d=pb()|0;break}k[d>>2]=6868;DO(g);k[a>>2]=7076;d=a+72|0;y=0;oa(460,d|0,k[c+4>>2]|0);g=y;y=0;if(!(g&1)){k[d>>2]=7172;k[b>>2]=2;r=h;return}h=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(h|0)}while(0);DO(g);h=d;sb(h|0)}function Hv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;c=k[a+20>>2]|0;a=k[a+24>>2]|0;if(a|0){Dba(a);DY(a)}g=k[b+20>>2]|0;a=k[b+24>>2]|0;if(a|0){Dba(a);DY(a)}e=c+4|0;f=c+20|0;if(!(k[f>>2]|0))return;d=c+16|0;a=k[d>>2]|0;while(1){b=k[(k[e>>2]|0)+(((a>>>0)/146|0)<<2)>>2]|0;a=(a>>>0)%146|0;if((k[b+(a*28|0)+4>>2]|0)!=1){a=13;break}ny(g,b+(a*28|0)|0);b=k[d>>2]|0;a=k[(k[e>>2]|0)+(((b>>>0)/146|0)<<2)>>2]|0;b=(b>>>0)%146|0;c=k[a+(b*28|0)+24>>2]|0;if(c|0)DY(c);DO(a+(b*28|0)+12|0);b=(k[f>>2]|0)+-1|0;k[f>>2]=b;a=(k[d>>2]|0)+1|0;k[d>>2]=a;if(a>>>0>291){cra(k[k[e>>2]>>2]|0);k[e>>2]=(k[e>>2]|0)+4;a=(k[d>>2]|0)+-146|0;k[d>>2]=a;b=k[f>>2]|0}if(!b){a=13;break}}if((a|0)==13)return}function Iv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=Ry(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Jv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=dG(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Kv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=oL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Lv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=eG(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Mv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;l=a+4|0;c=k[l>>2]|0;do if(c|0){j=i[b+11>>0]|0;h=j<<24>>24<0;j=h?k[b+4>>2]|0:j&255;h=h?k[b>>2]|0:b;a=l;a:while(1){b=c;while(1){d=b+16|0;f=i[d+11>>0]|0;e=f<<24>>24<0;f=e?k[b+20>>2]|0:f&255;c=j>>>0<f>>>0?j:f;if(!c)g=6;else{c=bN(e?k[d>>2]|0:d,h,c)|0;if(!c)g=6;else if((c|0)>=0)break}if((g|0)==6){g=0;if(f>>>0>=j>>>0)break}b=k[b+4>>2]|0;if(!b)break a}c=k[b>>2]|0;if(!c){a=b;break}else a=b}if((a|0)!=(l|0)){c=a+16|0;e=i[c+11>>0]|0;d=e<<24>>24<0;e=d?k[a+20>>2]|0:e&255;b=e>>>0<j>>>0?e:j;if(b|0){b=bN(h,d?k[c>>2]|0:c,b)|0;if(b|0){if((b|0)<0)break;return a|0}}if(j>>>0>=e>>>0){l=a;return l|0}}}while(0);return l|0}function Nv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=jU(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ov(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=pL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Pv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=qL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Qv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=sp(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Rv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=E7(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Sv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=gG(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Tv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=ZB(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Uv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=tL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Vv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=QW(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Wv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=uL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Xv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=vL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Yv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=eO(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Zv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=XL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function _v(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=YL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function $v(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;h=a+4|0;b=k[h>>2]|0;g=a+16|0;c=k[g>>2]|0;d=b+(c>>>9<<2)|0;i=a+8|0;if((k[i>>2]|0)==(b|0)){e=0;f=a+20|0;b=0}else{f=a+20|0;e=(k[f>>2]|0)+c|0;e=(k[b+(e>>>9<<2)>>2]|0)+((e&511)<<3)|0;b=(k[d>>2]|0)+((c&511)<<3)|0}a:while(1){do{c=b;if((c|0)==(e|0))break a;lc[k[k[b>>2]>>2]&511](c);b=c+8|0}while((b-(k[d>>2]|0)|0)!=4096);b=d+4|0;d=b;b=k[b>>2]|0}k[f>>2]=0;c=k[i>>2]|0;d=k[h>>2]|0;e=c-d>>2;b=d;if(e>>>0>2)do{cra(k[d>>2]|0);b=(k[h>>2]|0)+4|0;k[h>>2]=b;c=k[i>>2]|0;d=b;e=c-d>>2}while(e>>>0>2);switch(e|0){case 1:{k[g>>2]=256;break}case 2:{k[g>>2]=512;break}default:{}}if((b|0)!=(c|0)){do{cra(k[b>>2]|0);b=b+4|0}while((b|0)!=(c|0));c=k[i>>2]|0;b=k[h>>2]|0}if((c|0)!=(b|0))k[i>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[a>>2]|0;if(!b)return;cra(b);return}function aw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{fO(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;Qoa(n);Wb(n|0,5760,404)}f=IM(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){cra(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function bw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+16|0;d=g+8|0;e=g;f=a+4|0;Rx(f);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48717,6);y=0;Na(147,f|0,c|0,b|0);h=y;y=0;if(h&1){h=pb()|0;A9(c);sb(h|0)}A9(c);Bla(f);LT(d,k[b+76>>2]|0);k[d>>2]=7284;h=k[d+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;DO(d);sb(h|0)}DO(d);LT(e,k[b+68>>2]|0);k[e>>2]=6868;h=k[e+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(!(h&1)){DO(e);r=g;return}h=pb()|0;DO(e);sb(h|0)}function cw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=xL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function dw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=yL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function ew(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=zL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function fw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=CW(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function gw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=Dia(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function hw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=a+8|0;i=k[n>>2]|0;j=a+12|0;m=k[j>>2]|0;e=m;g=i;do if((i|0)==(m|0)){m=a+4|0;l=k[m>>2]|0;d=k[a>>2]|0;c=d;if(l>>>0>d>>>0){d=l;e=((d-c>>2)+1|0)/-2|0;f=l+(e<<2)|0;c=g-d|0;d=c>>2;if(!d)c=l;else{fO(f|0,l|0,c|0)|0;c=k[m>>2]|0}l=f+(d<<2)|0;k[n>>2]=l;k[m>>2]=c+(e<<2);c=l;break}c=e-c>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=gb(4)|0;Qoa(n);Wb(n|0,5760,404)}f=IM(c<<2)|0;g=f;e=f+(c>>>2<<2)|0;h=e;f=f+(c<<2)|0;if((l|0)==(i|0))c=h;else{c=h;d=l;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(i|0));d=k[a>>2]|0}k[a>>2]=g;k[m>>2]=h;k[n>>2]=c;k[j>>2]=f;if(d){cra(d);c=k[n>>2]|0}}else c=i;while(0);k[c>>2]=k[b>>2];k[n>>2]=(k[n>>2]|0)+4;return}function iw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=dM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function jw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=CL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function kw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=DL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function lw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=JJ(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function mw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=EL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function nw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=FL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function ow(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;d=r;r=r+96|0;e=d+56|0;f=d+16|0;h=d;i=b+152|0;j=k[i>>2]|0;g=j+1|0;k[i>>2]=g;if(g>>>0<=512){y=0;Na(112,a|0,b|0,c|0);h=y;y=0;if(!(h&1)){k[i>>2]=j;r=d;return}h=pb()|0;k[i>>2]=j;sb(h|0)}g=gb(76)|0;d=f;a=b+108|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;oa(456,h|0,80932);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=e;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Ra(24,g|0,e|0,h|0,0);f=y;y=0;if(f&1)c=1;else{y=0;Na(75,g|0,2912,175);y=0;c=0}a=pb()|0;A9(h);if(!c){h=a;k[i>>2]=j;sb(h|0)}}fb(g|0);h=a;k[i>>2]=j;sb(h|0)}function pw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;if(a|0){c=k[a>>2]|0;d=k[(k[c+-4>>2]|0)+4>>2]|0;if((d|0)==30192){b=Fc[k[c+160>>2]&2047](a,b)|0;return b|0}if((d|0)==30296){b=Fc[k[c+160>>2]&2047](a,b)|0;return b|0}if((d|0)==30350){b=Fc[k[c+160>>2]&2047](a,b)|0;return b|0}if((d|0)==30322){b=Fc[k[c+160>>2]&2047](a,b)|0;return b|0}}c=a+84|0;d=b+84|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[a+88>>2]|0:e;l=i[d+11>>0]|0;f=l<<24>>24<0;if((h|0)!=((f?k[b+88>>2]|0:l&255)|0)){b=0;return b|0}j=k[c>>2]|0;l=g?j:c;d=f?k[d>>2]|0:d;f=(h|0)==0;a:do if(g){if(!f)if(bN(l,d,h)|0){b=0;return b|0}}else if(!f){if((j&255)<<24>>24!=(i[d>>0]|0)){b=0;return b|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}return c|0}while(0);b=Jo(a,b)|0;return b|0}function qw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=LJ(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function rw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=iM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function sw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=jM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function tw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=kM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function uw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=GL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function vw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=HL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function ww(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=MJ(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function xw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=HU(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function yw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;e=0;f=r;r=r+32|0;c=f+16|0;d=f;g=a;k[g>>2]=0;k[g+4>>2]=0;g=a+8|0;k[g>>2]=-1;k[g+4>>2]=-1;y=0;Na(151,c|0,b|0,1);g=y;y=0;a:do if(g&1){c=tb(0)|0;d=b;a=b;e=8}else do if(i[c>>0]|0){g=k[b+(k[(k[b>>2]|0)+-12>>2]|0)+24>>2]|0;y=0;ya(k[(k[g>>2]|0)+16>>2]|0,d|0,g|0,0,0,1,8);g=y;y=0;if(g&1){c=tb(0)|0;d=b;a=b;e=8;break a}else{k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];k[a+12>>2]=k[d+12>>2];break}}while(0);while(0);do if((e|0)==8){vb(c|0)|0;y=0;na(435,d+(k[(k[a>>2]|0)+-12>>2]|0)|0);g=y;y=0;if(!(g&1)){rb();break}a=pb()|0;y=0;la(3);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}else sb(a|0)}while(0);r=f;return}function zw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=ds(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Aw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=ML(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Bw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=NJ(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Cw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=mM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Dw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=NL(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Ew(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=nM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Fw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+64|0;f=l+48|0;d=l;g=l+40|0;j=a+76|0;e=k[j>>2]|0;if(!(i[e>>0]|0)){j=0;r=l;return j|0}if(b){h=mW(e)|0;e=h|0?h:e}h=oM(e)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){j=0;r=l;return j|0}if(!c)if((h|0)==0|(h|0)==(e|0)){j=0;r=l;return j|0}c=k[j>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=h;b=a+84|0;m=a+96|0;aH(f,m,c,e);k[b>>2]=k[f>>2];k[b+4>>2]=k[f+4>>2];k[b+8>>2]=k[f+8>>2];aH(f,m,e,h);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(g,m,b);k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];iH(d,c,e,a+156|0,b,f);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[j>>2]=h;m=h;r=l;return m|0}function Gw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;d=g+4|0;f=g;c=ud(17)|0;e=d+8|0;k[e>>2]=c;if(!c){SN(49612,15,1,k[5390]|0)|0;Zb(1)}k[d>>2]=c;k[d+4>>2]=c+16;if(!b){y=0;oa(564,d|0,a|0);c=y;y=0;if(c&1)a=5;else a=8}else{y=0;Ra(23,d|0,a|0,b|0,0);c=y;y=0;if(c&1)a=5;else a=8}if((a|0)==5){a=tb(5696)|0;g=N;if((g|0)!=(ob(5696)|0)){g=a;sb(g|0)}Bb(a|0)|0;k[f>>2]=29176;vb(a|0)|0;Wf(k[e>>2]|0);y=0;la(4);y=0;a=pb()|0;$qa(f);y=0;la(3);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}else{g=a;sb(g|0)}}else if((a|0)==8){i[k[d>>2]>>0]=0;b=k[e>>2]|0;a=k[d>>2]|0;if(b>>>0>a>>>0)eb(42550,42493,125,42625);if((IJ(b)|0)==(a-b|0)){r=g;return b|0}else eb(42550,42493,125,42625)}return 0}function Hw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;h=0;i=r;r=r+48|0;a=i+8|0;f=i;g=IM(112)|0;y=0;c=a;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Na(80,g|0,a|0,0);e=y;y=0;if(e&1){i=pb()|0;cra(g);sb(i|0)}e=b+72|0;c=(k[b+80>>2]|0)-(k[b+76>>2]|0)>>3;if(!c){r=i;return g|0}d=g+72|0;a=0;while(1){b=(Fc[k[(k[e>>2]|0)+16>>2]&2047](e,a)|0)+4|0;if(!(op(k[b>>2]|0)|0)){b=k[(k[d>>2]|0)+20>>2]|0;j=(Fc[k[(k[e>>2]|0)+16>>2]&2047](e,a)|0)+4|0;LT(f,k[j>>2]|0);k[f>>2]=15136;y=0;oa(b|0,d|0,f|0);b=y;y=0;if(b&1)break;DO(f)}a=a+1|0;if(a>>>0>=c>>>0){h=4;break}}if((h|0)==4){r=i;return g|0}j=pb()|0;DO(f);sb(j|0);return 0}function Iw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;h=i;d=a+8|0;f=a+4|0;e=Fc[k[c>>2]&2047](f,a)|0;g=Fc[k[c>>2]&2047](d,f)|0;do if(e){e=k[a>>2]|0;if(g){k[a>>2]=k[d>>2];k[d>>2]=e;break}k[a>>2]=k[f>>2];k[f>>2]=e;if(Fc[k[c>>2]&2047](d,f)|0){g=k[f>>2]|0;k[f>>2]=k[d>>2];k[d>>2]=g}}else if(g){g=k[f>>2]|0;k[f>>2]=k[d>>2];k[d>>2]=g;if(Fc[k[c>>2]&2047](f,a)|0){g=k[a>>2]|0;k[a>>2]=k[f>>2];k[f>>2]=g}}while(0);e=a+12|0;if((e|0)==(b|0)){r=i;return}while(1){if(Fc[k[c>>2]&2047](e,d)|0){k[h>>2]=k[e>>2];f=e;while(1){k[f>>2]=k[d>>2];if((d|0)==(a|0))break;f=d+-4|0;if(Fc[k[c>>2]&2047](h,f)|0){g=d;d=f;f=g}else break}k[d>>2]=k[h>>2]}d=e+4|0;if((d|0)==(b|0))break;else{g=e;e=d;d=g}}r=i;return}function Jw(a){a=a|0;var b=0,c=0;while(1){b=i[a>>0]|0;c=a+1|0;if(b<<24>>24==123){b=13;break}if((b<<24>>24!=125?(b<<24>>24==59?c:0):c)|0){b=13;break}b=sB(a)|0;do if(!b){b=sp(a)|0;if(b|0){c=jr(b)|0;b=c|0?c:b;break}b=eO(a)|0;if(!b){b=dM(a)|0;if(!b){b=oB(a)|0;if(!b)b=0;else{b=sp(b)|0;if(!b)b=0;else{c=jr(b)|0;b=c|0?c:b}}}}}while(0);if((b|0)==(a|0)|(b|0)==0){a=0;b=13;break}else a=b}if((b|0)==13)return a|0;return 0}function Kw(a){a=a|0;var b=0,c=0;b=ds(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}if((i[a>>0]|0)==35){b=o4(a+1|0)|0;if(!b)b=0;else while(1){c=o4(b)|0;if(!c)break;else b=c}}else b=0;c=b-a|0;b=(c|0)!=4&(c|0)!=7?0:b;if(b|0){a=b;return a|0}b=a+1|0;if((i[a>>0]|0)==124){a=b;return a|0}c=ds(a)|0;if(c|0){c=Yx(c)|0;if(c|0){a=c;return a|0}}c=ds(a)|0;if(c|0){a=c;return a|0}if((i[a>>0]|0)!=33){a=0;return a|0}c=i[35491]|0;a:do if(c<<24>>24){a=35491;while(1){if((i[b>>0]|0)!=c<<24>>24){b=0;break}b=b+1|0;a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24))break a}return b|0}while(0);a=DP(b)|0;return a|0}function Lw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0;i=0;h=r;r=r+16|0;f=h;g=FV(b)|0;k[f>>2]=g;y=0;b=Ha(977,f|0,83992)|0;j=y;y=0;if(j&1)i=8;else{y=0;Ma(k[(k[b>>2]|0)+48>>2]|0,b|0,56220,56252,c|0)|0;j=y;y=0;if(j&1)i=8;else{y=0;c=Ha(977,f|0,84e3)|0;j=y;y=0;if(j&1)i=8;else{y=0;b=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;j=y;y=0;if(!(j&1)){k[d>>2]=b;y=0;b=qa(k[(k[c>>2]|0)+16>>2]|0,c|0)|0;j=y;y=0;if(!(j&1)){k[e>>2]=b;y=0;oa(k[(k[c>>2]|0)+20>>2]|0,a|0,c|0);j=y;y=0;if(!(j&1)){RQ(g)|0;r=h;return}}}b=pb()|0}}}if((i|0)==8)b=pb()|0;RQ(g)|0;sb(b|0)}function Mw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;n=r;r=r+1040|0;j=n+8|0;l=n;i=k[b>>2]|0;k[l>>2]=i;m=(a|0)!=0;g=m?d:256;a=m?a:j;f=i;a:do if((g|0)!=0&(i|0)!=0){d=0;i=c;while(1){h=i>>>2;c=h>>>0>=g>>>0;if(!(i>>>0>131|c)){c=i;break a}f=c?g:h;c=i-f|0;f=Ck(a,l,f,e)|0;if((f|0)==-1)break;i=(a|0)==(j|0);g=g-(i?0:f)|0;a=i?a:a+(f<<2)|0;d=f+d|0;f=k[l>>2]|0;if((g|0)!=0&(f|0)!=0)i=c;else break a}d=-1;g=0;f=k[l>>2]|0}else d=0;while(0);b:do if(f)if((g|0)!=0&(c|0)!=0){h=a;while(1){a=tx(h,f,c,e)|0;if((a+2|0)>>>0<3)break;f=(k[l>>2]|0)+a|0;k[l>>2]=f;c=c-a|0;g=g+-1|0;d=d+1|0;if(!((g|0)!=0&(c|0)!=0))break b;else h=h+4|0}switch(a|0){case -1:{d=-1;break b}case 0:{k[l>>2]=0;break b}default:{k[e>>2]=0;break b}}}while(0);if(m)k[b>>2]=k[l>>2];r=n;return d|0}function Nw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;j=0;h=r;r=r+16|0;f=h;g=FV(b)|0;k[f>>2]=g;y=0;b=Ha(977,f|0,83960)|0;l=y;y=0;if(l&1)j=8;else{y=0;Ma(k[(k[b>>2]|0)+32>>2]|0,b|0,56220,56252,c|0)|0;l=y;y=0;if(l&1)j=8;else{y=0;c=Ha(977,f|0,83976)|0;l=y;y=0;if(l&1)j=8;else{y=0;b=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;l=y;y=0;if(!(l&1)){i[d>>0]=b;y=0;b=qa(k[(k[c>>2]|0)+16>>2]|0,c|0)|0;l=y;y=0;if(!(l&1)){i[e>>0]=b;y=0;oa(k[(k[c>>2]|0)+20>>2]|0,a|0,c|0);l=y;y=0;if(!(l&1)){RQ(g)|0;r=h;return}}}b=pb()|0}}}if((j|0)==8)b=pb()|0;RQ(g)|0;sb(b|0)}function Ow(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;h=r;r=r+32|0;j=h+24|0;d=h+16|0;f=h+8|0;g=h;e=b+76|0;LT(j,k[e>>2]|0);k[j>>2]=6756;c=(k[j+4>>2]|0)==0;DO(j);do if(!c){c=a+72|0;i[(k[c>>2]|0)+8>>0]=1;LT(d,k[e>>2]|0);k[d>>2]=6756;j=k[d+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){DO(d);i[(k[c>>2]|0)+8>>0]=0;break}j=pb()|0;DO(d);sb(j|0)}while(0);b=b+68|0;LT(f,k[b>>2]|0);k[f>>2]=6868;j=(k[f+4>>2]|0)==0;DO(f);if(j){r=h;return}LT(g,k[b>>2]|0);k[g>>2]=6868;j=k[g+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;DO(g);sb(j|0)}else{DO(g);r=h;return}}function Pw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;e=f;LT(a,0);k[a>>2]=7284;y=0;oa(624,e|0,b|0);d=y;y=0;do if(d&1)c=pb()|0;else{d=a+4|0;c=k[d>>2]|0;if((e|0)!=(a|0)){if(c|0){y=0;na(423,a|0);c=y;y=0;if(c&1){c=pb()|0;DO(e);break}}g=e+4|0;c=k[g>>2]|0;k[d>>2]=c;k[g>>2]=0}DO(e);if(c|0){r=f;return}y=0;oa(625,e|0,b|0);g=y;y=0;do if(g&1)c=pb()|0;else{if((e|0)!=(a|0)){if(k[d>>2]|0){y=0;na(423,a|0);g=y;y=0;if(g&1){c=pb()|0;DO(e);break}}g=e+4|0;k[d>>2]=k[g>>2];k[g>>2]=0}DO(e);r=f;return}while(0);g=c;DO(a);sb(g|0)}while(0);g=c;DO(a);sb(g|0)}function Qw(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;if((i[a>>0]|0)!=117){e=0;return e|0}if((i[a+1>>0]|0)!=114){e=0;return e|0}if((i[a+2>>0]|0)!=108){e=0;return e|0}if((i[a+3>>0]|0)!=40){e=0;return e|0}d=a+4|0;b=q1(d)|0;if(!b){c=i[d>>0]|0;b=a+5|0;if((c|4)<<24>>24==13)e=8;else{a=c<<24>>24|0;a=(a|0)!=10?((a|0)==12?b:0):b;if(!a)b=d;else{b=a;e=8}}}else e=8;if((e|0)==8)while(1){a=q1(b)|0;if(a|0){b=a;e=8;continue}a=i[b>>0]|0;c=b+1|0;if((a|4)<<24>>24==13){b=c;e=8;continue}a=a<<24>>24|0;a=(a|0)!=10?((a|0)==12?c:0):c;if(!a)break;else{b=a;e=8}}a=jr(b)|0;if(a|0){e=a;return e|0}e=wq(b)|0;return e|0}function Rw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;l=r;r=r+16|0;j=l;f=b+72|0;g=b+76|0;h=b+80|0;if((k[h>>2]|0)==(k[g>>2]|0)){r=l;return b|0}i=j+4|0;d=0;while(1){c=(Fc[k[(k[f>>2]|0)+16>>2]&2047](f,d)|0)+4|0;c=k[c>>2]|0;if(c|0)if((k[427]|0)!=(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){e=Fc[k[(k[f>>2]|0)+16>>2]&2047](f,d)|0;LT(j,eaa(Fc[k[(k[c>>2]|0)+56>>2]&2047](c,a)|0)|0);k[j>>2]=13284;if((e|0)!=(j|0)){c=e+4|0;if(k[c>>2]|0){y=0;na(423,e|0);e=y;y=0;if(e&1){c=12;break}}k[c>>2]=k[i>>2];k[i>>2]=0}DO(j)}d=d+1|0;if(d>>>0>=(k[h>>2]|0)-(k[g>>2]|0)>>3>>>0){c=3;break}}if((c|0)==3){r=l;return b|0}else if((c|0)==12){l=pb()|0;DO(j);sb(l|0)}return 0}function Sw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+48|0;e=g;f=g+40|0;LT(f,k[c+4>>2]|0);k[f>>2]=6868;d=e;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));y=0;na(422,a|0);d=y;y=0;do if(d&1)c=pb()|0;else{d=a+12|0;b=e;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));b=a+52|0;k[b>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[f+4>>2]|0);e=y;y=0;if(e&1){c=pb()|0;break}k[c>>2]=6868;DO(f);k[a>>2]=7300;c=a+72|0;y=0;oa(460,c|0,0);f=y;y=0;if(!(f&1)){k[c>>2]=6756;k[b>>2]=8;r=g;return}g=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(g|0)}while(0);DO(f);g=c;sb(g|0)}function Tw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;oc[k[(k[a>>2]|0)+24>>2]&511](a)|0;c=RY(b,85752)|0;k[a+68>>2]=c;e=a+98|0;f=i[e>>0]|0;c=oc[k[(k[c>>2]|0)+28>>2]&511](c)|0;i[e>>0]=c&1;if((f&255|0)==(c&1|0))return;b=a+8|0;f=a+96|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;b=j[f>>1]|0;d=(b&255)<<24>>24!=0;b=(b&65535)>>>8&255;if(c){e=a+32|0;if(d){c=k[e>>2]|0;if(c){Xqa(c);b=i[a+97>>0]|0}}i[f>>0]=b;d=a+60|0;k[a+52>>2]=k[d>>2];f=a+56|0;k[e>>2]=k[f>>2];k[d>>2]=0;k[f>>2]=0;i[a+97>>0]=0;return}if(!d){b=a+32|0;c=k[b>>2]|0;if((c|0)!=(a+44|0)){e=k[a+52>>2]|0;k[a+60>>2]=e;k[a+56>>2]=c;i[a+97>>0]=0;a=Wqa(e)|0;k[b>>2]=a;i[f>>0]=1;return}}f=k[a+52>>2]|0;k[a+60>>2]=f;f=Wqa(f)|0;k[a+56>>2]=f;i[a+97>>0]=1;return}function Uw(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+48|0;f=g;h=g+40|0;LT(h,k[d+4>>2]|0);k[h>>2]=6868;e=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));y=0;na(422,a|0);e=y;y=0;do if(e&1)d=pb()|0;else{e=a+12|0;b=f;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;d=a+64|0;y=0;oa(460,d|0,k[h+4>>2]|0);f=y;y=0;if(f&1){d=pb()|0;break}k[d>>2]=6868;DO(h);k[a>>2]=6980;y=0;oa(456,a+72|0,c|0);h=y;y=0;if(!(h&1)){r=g;return}h=pb()|0;k[a>>2]=6772;DO(a+64|0);sb(h|0)}while(0);DO(h);h=d;sb(h|0)}function Vw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;e=0;f=r;r=r+32|0;c=f+12|0;d=f;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48660,1);y=0;oa(456,d|0,b|0);b=y;y=0;if(b&1){f=pb()|0;A9(c);sb(f|0)}if((i[((i[d+11>>0]|0)<0?k[d>>2]|0:d)>>0]|0)==46){b=i[c+11>>0]|0;g=b<<24>>24<0;y=0;b=Ma(9,d|0,0,(g?k[c>>2]|0:c)|0,(g?k[c+4>>2]|0:b&255)|0)|0;g=y;y=0;if(!(g&1))e=4}else{b=d;e=4}if((e|0)==4){y=0;oa(456,a|0,b|0);g=y;y=0;if(!(g&1)){A9(d);A9(c);r=f;return}}g=pb()|0;A9(d);A9(c);sb(g|0)}function Ww(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;f=Fc[k[e>>2]&2047](b,a)|0;g=Fc[k[e>>2]&2047](c,b)|0;do if(f){f=k[a>>2]|0;if(g){k[a>>2]=k[c>>2];k[c>>2]=f;f=1;break}k[a>>2]=k[b>>2];k[b>>2]=f;if(Fc[k[e>>2]&2047](c,b)|0){f=k[b>>2]|0;k[b>>2]=k[c>>2];k[c>>2]=f;f=2}else f=1}else if(g){g=k[b>>2]|0;k[b>>2]=k[c>>2];k[c>>2]=g;if(Fc[k[e>>2]&2047](b,a)|0){f=k[a>>2]|0;k[a>>2]=k[b>>2];k[b>>2]=f;f=2}else f=1}else f=0;while(0);if(!(Fc[k[e>>2]&2047](d,c)|0)){e=f;return e|0}g=k[c>>2]|0;k[c>>2]=k[d>>2];k[d>>2]=g;if(!(Fc[k[e>>2]&2047](c,b)|0)){e=f+1|0;return e|0}d=k[b>>2]|0;k[b>>2]=k[c>>2];k[c>>2]=d;if(!(Fc[k[e>>2]&2047](b,a)|0)){e=f+2|0;return e|0}e=k[a>>2]|0;k[a>>2]=k[b>>2];k[b>>2]=e;e=f+3|0;return e|0}function Xw(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;f=r;r=r+32|0;h=f+24|0;c=f+16|0;d=f+8|0;e=f;b=a+80|0;LT(h,k[b>>2]|0);k[h>>2]=15152;g=(k[h+4>>2]|0)==0;DO(h);do if(g)c=0;else{LT(c,k[b>>2]|0);k[c>>2]=15152;b=k[c+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+116>>2]|0,b|0)|0;h=y;y=0;if(!(h&1)){DO(c);c=b;break}h=pb()|0;DO(c);sb(h|0)}while(0);b=a+88|0;LT(d,k[b>>2]|0);k[d>>2]=15136;h=(k[d+4>>2]|0)==0;DO(d);if(h){h=c;r=f;return h|0}LT(e,k[b>>2]|0);k[e>>2]=15136;b=k[e+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+116>>2]|0,b|0)|0;h=y;y=0;if(h&1){h=pb()|0;DO(e);sb(h|0)}else{DO(e);h=b+c|0;r=f;return h|0}return 0}function Yw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+96|0;e=c+56|0;f=c+16|0;h=c;if(b|0){a=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[81]|0)==(a|0)|(k[205]|0)==(a|0)){r=c;return}if((k[195]|0)==(a|0))if(!(k[b+96>>2]|0)){r=c;return}}g=gb(76)|0;d=f;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,49306,48);b=y;y=0;if(b&1)a=pb()|0;else{y=0;d=e;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,g|0,e|0,h|0);f=y;y=0;if(f&1)c=1;else{y=0;Na(75,g|0,2928,175);y=0;c=0}a=pb()|0;A9(h);if(!c){h=a;sb(h|0)}}fb(g|0);h=a;sb(h|0)}function Zw(a){a=a|0;var b=0,c=0;c=0;switch(i[a>>0]|0){case 42:{b=a+1|0;break}case 45:{b=a;do b=b+1|0;while((i[b>>0]|0)==45);c=3;break}default:{b=a;c=3}}do if((c|0)==3){c=hx(b)|0;if(c|0){c=gx(c)|0;if(c|0){b=c;break}}b=Rn(b)|0}while(0);b=b|0?b:a;if(!b)b=0;else{c=b+1|0;if((i[b>>0]|0)==124)b=(i[c>>0]|0)==61?0:c;else b=0}b=b|0?b:a;if(b|0)if((i[b>>0]|0)==42){a=b+1|0;return a|0}b=ds(a)|0;if(b|0){b=Yx(b)|0;if(b|0){a=b;return a|0}}b=ds(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}b=ds(a)|0;if(b|0){a=b;return a|0}a=ix(a)|0;return a|0}function _w(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=mW(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+156>>2]=l;k[a+160>>2]=f;k[a+164>>2]=h;c=a+84|0;m=a+96|0;aH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];aH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;gP(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];iH(b,l,f,a+156|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function $w(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+16|0;e=g+8|0;f=g+4|0;h=g;k[h>>2]=k[b>>2];k[e>>2]=k[h>>2];e=vj(a,e,f,c)|0;b=k[e>>2]|0;if(b|0){h=b;r=g;return h|0}c=IM(24)|0;b=c+16|0;y=0;oa(460,b|0,k[d+4>>2]|0);h=y;y=0;if(h&1){h=pb()|0;cra(c);sb(h|0)}k[b>>2]=15152;b=k[f>>2]|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=b;k[e>>2]=c;b=k[k[a>>2]>>2]|0;if(!b)b=c;else{k[a>>2]=b;b=k[e>>2]|0}Qn(k[a+4>>2]|0,b);h=a+8|0;k[h>>2]=(k[h>>2]|0)+1;h=c;r=g;return h|0}function ax(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+16|0;e=g+8|0;f=g+4|0;h=g;k[h>>2]=k[b>>2];k[e>>2]=k[h>>2];e=wj(a,e,f,c)|0;b=k[e>>2]|0;if(b|0){h=b;r=g;return h|0}c=IM(24)|0;b=c+16|0;y=0;oa(460,b|0,k[d+4>>2]|0);h=y;y=0;if(h&1){h=pb()|0;cra(c);sb(h|0)}k[b>>2]=15136;b=k[f>>2]|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=b;k[e>>2]=c;b=k[k[a>>2]>>2]|0;if(!b)b=c;else{k[a>>2]=b;b=k[e>>2]|0}Qn(k[a+4>>2]|0,b);h=a+8|0;k[h>>2]=(k[h>>2]|0)+1;h=c;r=g;return h|0}function bx(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+96|0;e=l+56|0;f=l+16|0;g=l;h=IM(104)|0;j=f;d=j+40|0;do{k[j>>2]=k[a>>2];j=j+4|0;a=a+4|0}while((j|0)<(d|0));y=0;c=+Aa(1,((i[b+11>>0]|0)<0?k[b>>2]|0:b)|0);j=y;y=0;if(!(j&1)){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,48698,1);j=y;y=0;if(!(j&1)){y=0;j=e;a=f;d=j+40|0;do{k[j>>2]=k[a>>2];j=j+4|0;a=a+4|0}while((j|0)<(d|0));Ca(1,h|0,e|0,+c,g|0,1);j=y;y=0;if(!(j&1)){A9(g);i[h+54>>0]=0;i[h+52>>0]=1;r=l;return h|0}l=pb()|0;A9(g);cra(h);sb(l|0)}}l=pb()|0;cra(h);sb(l|0);return 0}function cx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=0;h=r;r=r+32|0;c=h+16|0;d=h+8|0;e=h;f=a+108|0;LT(e,k[f>>2]|0);k[e>>2]=6756;b=k[e+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+16>>2]|0,b|0)|0;i=y;y=0;if(!(i&1)){y=0;oa(460,d|0,b|0);i=y;y=0;if(!(i&1)){k[d>>2]=6756;a=a+104|0;if(!(k[f>>2]|0))g=5;else{y=0;na(423,a|0);i=y;y=0;if(!(i&1))g=5}if((g|0)==5){k[f>>2]=k[d+4>>2];y=0;na(424,a|0);i=y;y=0;if(!(i&1)){y=0;oa(460,c|0,k[f>>2]|0);i=y;y=0;if(!(i&1)){k[c>>2]=6756;DO(c);DO(d);DO(e);r=h;return}}}i=pb()|0;DO(d);DO(e);sb(i|0)}}i=pb()|0;DO(e);sb(i|0)}function dx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;l=a+4|0;c=k[l>>2]|0;do if(c|0){j=i[b+11>>0]|0;h=j<<24>>24<0;j=h?k[b+4>>2]|0:j&255;h=h?k[b>>2]|0:b;a=l;a:while(1){b=c;while(1){d=b+16|0;f=i[d+11>>0]|0;e=f<<24>>24<0;f=e?k[b+20>>2]|0:f&255;c=j>>>0<f>>>0?j:f;if(!c)g=6;else{c=bN(e?k[d>>2]|0:d,h,c)|0;if(!c)g=6;else if((c|0)>=0)break}if((g|0)==6){g=0;if(f>>>0>=j>>>0)break}b=k[b+4>>2]|0;if(!b)break a}c=k[b>>2]|0;if(!c){a=b;break}else a=b}if((a|0)!=(l|0)){c=a+16|0;e=i[c+11>>0]|0;d=e<<24>>24<0;e=d?k[a+20>>2]|0:e&255;b=e>>>0<j>>>0?e:j;if(b|0){b=bN(h,d?k[c>>2]|0:c,b)|0;if(b|0){if((b|0)<0)break;return a|0}}if(j>>>0>=e>>>0){l=a;return l|0}}}while(0);return l|0}function ex(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=NO(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+156>>2]=l;k[a+160>>2]=f;k[a+164>>2]=h;c=a+84|0;m=a+96|0;aH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];aH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;gP(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];iH(b,l,f,a+156|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function fx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=mX(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+156>>2]=l;k[a+160>>2]=f;k[a+164>>2]=h;c=a+84|0;m=a+96|0;aH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];aH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;gP(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];iH(b,l,f,a+156|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function gx(a){a=a|0;var b=0,c=0,d=0;c=0;d=i[a>>0]|0;b=a+1|0;d=d<<24>>24|0;b=(d|0)!=85?((d|0)==117?b:0):b;if(!b)c=4;else if((i[b>>0]|0)==43){b=dA(b+1|0)|0;if(!b)c=4}else c=4;if((c|0)==4){b=p4(a)|0;if(!b){b=hB(a)|0;if(!b){d=a;return d|0}}}while(1){d=i[b>>0]|0;c=b+1|0;d=d<<24>>24|0;c=(d|0)!=85?((d|0)==117?c:0):c;if(c|0)if((i[c>>0]|0)==43){c=dA(c+1|0)|0;if(c|0){b=c;continue}}c=p4(b)|0;if(c|0){b=c;continue}c=hB(b)|0;if(!c)break;else b=c}return b|0}function hx(a){a=a|0;var b=0,c=0,d=0;c=0;d=i[a>>0]|0;b=a+1|0;d=d<<24>>24|0;b=(d|0)!=85?((d|0)==117?b:0):b;if(!b)c=4;else if((i[b>>0]|0)==43){b=dA(b+1|0)|0;if(!b)c=4}else c=4;if((c|0)==4){b=jea(a)|0;if(!b){b=hB(a)|0;if(!b){d=0;return d|0}}}while(1){d=i[b>>0]|0;a=b+1|0;d=d<<24>>24|0;a=(d|0)!=85?((d|0)==117?a:0):a;if(a|0)if((i[a>>0]|0)==43){a=dA(a+1|0)|0;if(a|0){b=a;continue}}a=jea(b)|0;if(a|0){b=a;continue}a=hB(b)|0;if(!a)break;else b=a}return b|0}function ix(a){a=a|0;var b=0,c=0,d=0;c=0;d=i[a>>0]|0;b=a+1|0;d=d<<24>>24|0;b=(d|0)!=85?((d|0)==117?b:0):b;if(!b)c=4;else if((i[b>>0]|0)==43){b=dA(b+1|0)|0;if(!b)c=4}else c=4;if((c|0)==4){b=p4(a)|0;if(!b){b=hB(a)|0;if(!b){d=0;return d|0}}}while(1){d=i[b>>0]|0;a=b+1|0;d=d<<24>>24|0;a=(d|0)!=85?((d|0)==117?a:0):a;if(a|0)if((i[a>>0]|0)==43){a=dA(a+1|0)|0;if(a|0){b=a;continue}}a=p4(b)|0;if(a|0){b=a;continue}a=hB(b)|0;if(!a)break;else b=a}return b|0}function jx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=HJ(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+156>>2]=l;k[a+160>>2]=f;k[a+164>>2]=h;c=a+84|0;m=a+96|0;aH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];aH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;gP(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];iH(b,l,f,a+156|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function kx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=a+52|0;k[e>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);d=y;y=0;if(d&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=7396;c=a+72|0;y=0;oa(460,c|0,k[b+76>>2]|0);d=y;y=0;if(d&1){b=pb()|0;k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}k[c>>2]=7492;d=a+80|0;y=0;oa(460,d|0,k[b+84>>2]|0);f=y;y=0;if(!(f&1)){k[d>>2]=7284;f=j[b+88>>1]|0;i[a+88>>0]=f;i[a+89>>0]=(f&65535)>>>8;k[e>>2]=9;return}f=pb()|0;DO(c);k[a>>2]=6772;b=a+64|0;DO(b);sb(f|0)}function lx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=6e3;p[a+64>>3]=+p[b+64>>3];i[a+72>>0]=i[b+72>>0]|0;g=a+76|0;y=0;oa(455,g|0,b+76|0);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}y=0;oa(455,a+88|0,b+88|0);f=y;y=0;if(!(f&1)){k[a+100>>2]=k[b+100>>2];k[c>>2]=2;return}f=pb()|0;b=N;c=k[g>>2]|0;if(!c){g=f;sb(g|0)}e=a+80|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{a=d+-12|0;k[e>>2]=a;A9(a);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[g>>2]|0}cra(c);g=f;sb(g|0)}function mx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;f=r;r=r+32|0;d=f+12|0;e=f;cL(d,b);y=0;oa(535,a|0,d|0);b=y;y=0;if(b&1){a=pb()|0;A9(d);sb(a|0)}A9(d);b=a+12|0;y=0;oa(456,e|0,c|0);d=y;y=0;do if(d&1)b=pb()|0;else{y=0;oa(535,b|0,e|0);d=y;y=0;if(d&1){b=pb()|0;A9(e);break}A9(e);y=0;oa(536,a+24|0,c|0);e=y;y=0;if(e&1){f=pb()|0;A9(b);b=f;break}else{r=f;return}}while(0);A9(a);a=b;sb(a|0)}function nx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0;q=r;r=r+64|0;o=q;n=k[a>>2]|0;p=a+(k[n+-8>>2]|0)|0;n=k[n+-4>>2]|0;k[o>>2]=c;k[o+4>>2]=a;k[o+8>>2]=b;k[o+12>>2]=d;a=o+16|0;b=o+20|0;d=o+24|0;e=o+28|0;f=o+32|0;g=o+40|0;h=(n|0)==(c|0);l=a;m=l+36|0;do{k[l>>2]=0;l=l+4|0}while((l|0)<(m|0));j[a+36>>1]=0;i[a+38>>0]=0;a:do if(h){k[o+48>>2]=1;wc[k[(k[c>>2]|0)+20>>2]&31](c,o,p,p,1,0);a=(k[d>>2]|0)==1?p:0}else{kc[k[(k[n>>2]|0)+24>>2]&31](n,o,p,1,0);switch(k[o+36>>2]|0){case 0:{a=(k[g>>2]|0)==1&(k[e>>2]|0)==1&(k[f>>2]|0)==1?k[b>>2]|0:0;break a}case 1:break;default:{a=0;break a}}if((k[d>>2]|0)!=1)if(!((k[g>>2]|0)==0&(k[e>>2]|0)==1&(k[f>>2]|0)==1)){a=0;break}a=k[a>>2]|0}while(0);r=q;return a|0}function ox(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,87975,0);g=i[b+11>>0]|0;e=g<<24>>24<0;c=e?k[b>>2]|0:b;g=e?k[b+4>>2]|0:g&255;e=c+g|0;if(!g)return;f=a+11|0;g=a+4|0;b=0;while(1){d=i[c>>0]|0;if(d<<24>>24==92){b=b&1^1;h=13}else if(b&d<<24>>24==13)b=1;else if(b&d<<24>>24==10){b=i[f>>0]|0;if(b<<24>>24<0)b=k[g>>2]|0;else b=b&255;y=0;Na(90,a|0,b+-1|0,0);d=y;y=0;if(d&1){h=12;break}else b=0}else{b=0;h=13}if((h|0)==13){h=0;y=0;oa(458,a|0,d|0);d=y;y=0;if(d&1){h=12;break}b=b<<24>>24!=0}c=c+1|0;if((c|0)==(e|0)){h=3;break}}if((h|0)==3)return;else if((h|0)==12){h=pb()|0;A9(a);sb(h|0)}}function px(a,b){a=a|0;b=b|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;if((cc|0)==1)cc=3}Qc(fc+53592|0);return k[dc>>2]|0}function qx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=r;r=r+224|0;m=s+120|0;n=s+80|0;p=s;q=s+136|0;d=n;e=d+40|0;do{k[d>>2]=0;d=d+4|0}while((d|0)<(e|0));k[m>>2]=k[c>>2];if((Jd(0,b,m,p,n)|0)<0)c=-1;else{if((k[a+76>>2]|0)>-1)o=kra(a)|0;else o=0;c=k[a>>2]|0;l=c&32;if((i[a+74>>0]|0)<1)k[a>>2]=c&-33;d=a+48|0;if(!(k[d>>2]|0)){e=a+44|0;f=k[e>>2]|0;k[e>>2]=q;g=a+28|0;k[g>>2]=q;h=a+20|0;k[h>>2]=q;k[d>>2]=80;j=a+16|0;k[j>>2]=q+80;c=Jd(a,b,m,p,n)|0;if(f){rc[k[a+36>>2]&255](a,0,0)|0;c=(k[h>>2]|0)==0?-1:c;k[e>>2]=f;k[d>>2]=0;k[j>>2]=0;k[g>>2]=0;k[h>>2]=0}}else c=Jd(a,b,m,p,n)|0;d=k[a>>2]|0;k[a>>2]=d|l;if(o|0)jra(a);c=(d&32|0)==0?c:-1}r=s;return c|0}function rx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;c=0;p=r;r=r+32|0;l=p+16|0;d=p+8|0;m=p+4|0;n=p;o=(b|0)==-1;do if(o)c=14;else{k[d>>2]=b;if(i[a+44>>0]|0)if((SN(d,4,1,k[a+32>>2]|0)|0)==1){c=14;break}else{a=-1;break}k[m>>2]=l;c=d+4|0;e=a+36|0;f=a+40|0;g=l+8|0;h=l;j=a+32|0;while(1){a=k[e>>2]|0;a=Nc[k[(k[a>>2]|0)+12>>2]&15](a,k[f>>2]|0,d,c,n,l,g,m)|0;if((k[n>>2]|0)==(d|0)){c=13;break}if((a|0)==3){c=7;break}if((a|1|0)!=1){c=13;break}d=(k[m>>2]|0)-h|0;if((SN(l,1,d,k[j>>2]|0)|0)!=(d|0)){c=13;break}if((a|0)==1)d=k[n>>2]|0;else{c=12;break}}if((c|0)==7)if((SN(d,1,1,k[j>>2]|0)|0)==1)c=12;else c=13;if((c|0)==12){c=14;break}else if((c|0)==13){a=-1;break}}while(0);if((c|0)==14)a=o?0:b;r=p;return a|0}function sx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;c=0;p=r;r=r+32|0;l=p+16|0;d=p+8|0;m=p+4|0;n=p;o=(b|0)==-1;do if(o)c=14;else{i[d>>0]=b;if(i[a+44>>0]|0)if((SN(d,1,1,k[a+32>>2]|0)|0)==1){c=14;break}else{a=-1;break}k[m>>2]=l;c=d+1|0;e=a+36|0;f=a+40|0;g=l+8|0;h=l;j=a+32|0;while(1){a=k[e>>2]|0;a=Nc[k[(k[a>>2]|0)+12>>2]&15](a,k[f>>2]|0,d,c,n,l,g,m)|0;if((k[n>>2]|0)==(d|0)){c=13;break}if((a|0)==3){c=7;break}if((a|1|0)!=1){c=13;break}d=(k[m>>2]|0)-h|0;if((SN(l,1,d,k[j>>2]|0)|0)!=(d|0)){c=13;break}if((a|0)==1)d=k[n>>2]|0;else{c=12;break}}if((c|0)==7)if((SN(d,1,1,k[j>>2]|0)|0)==1)c=12;else c=13;if((c|0)==12){c=14;break}else if((c|0)==13){a=-1;break}}while(0);if((c|0)==14)a=o?0:b;r=p;return a|0}function tx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0;h=0;j=r;r=r+16|0;e=j;g=(d|0)==0?82396:d;d=k[g>>2]|0;a:do if(!b)if(!d)d=0;else h=15;else{f=(a|0)==0?e:a;if(!c)d=-2;else{if(!d){d=i[b>>0]|0;a=d&255;if(d<<24>>24>-1){k[f>>2]=a;d=d<<24>>24!=0&1;break}d=a+-194|0;if(d>>>0>50){h=15;break}d=k[21356+(d<<2)>>2]|0;e=c+-1|0;if(e){b=b+1|0;h=9}}else{e=c;h=9}b:do if((h|0)==9){a=i[b>>0]|0;l=(a&255)>>>3;if((l+-16|l+(d>>26))>>>0>7){h=15;break a}while(1){b=b+1|0;d=(a&255)+-128|d<<6;e=e+-1|0;if((d|0)>=0)break;if(!e)break b;a=i[b>>0]|0;if((a&-64)<<24>>24!=-128){h=15;break a}}k[g>>2]=0;k[f>>2]=d;d=c-e|0;break a}while(0);k[g>>2]=d;d=-2}}while(0);if((h|0)==15){k[g>>2]=0;d=W8()|0;k[d>>2]=84;d=-1}r=j;return d|0}function ux(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;f=k[b+68>>2]|0;if(!f){e=gb(4)|0;Soa(e);Wb(e|0,5856,414)}f=oc[k[(k[f>>2]|0)+24>>2]&511](f)|0;g=b+64|0;if(k[g>>2]|0)if(!(((c|0)!=0|(d|0)!=0)&(f|0)<1))if(!(oc[k[(k[b>>2]|0)+24>>2]&511](b)|0)){if(e>>>0>=3){e=a;k[e>>2]=0;k[e+4>>2]=0;e=a+8|0;k[e>>2]=-1;k[e+4>>2]=-1;return}h=k[g>>2]|0;d=rR(f|0,((f|0)<0)<<31>>31|0,c|0,d|0)|0;if(!(HQ(h,(f|0)>0?d:0,e)|0)){e=EW(k[g>>2]|0)|0;c=b+72|0;d=k[c+4>>2]|0;h=a;k[h>>2]=k[c>>2];k[h+4>>2]=d;h=a+8|0;k[h>>2]=e;k[h+4>>2]=((e|0)<0)<<31>>31;return}else{h=a;k[h>>2]=0;k[h+4>>2]=0;h=a+8|0;k[h>>2]=-1;k[h+4>>2]=-1;return}}h=a;k[h>>2]=0;k[h+4>>2]=0;h=a+8|0;k[h>>2]=-1;k[h+4>>2]=-1;return}function vx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;d=j+48|0;b=j;e=j+40|0;g=a+76|0;f=k[g>>2]|0;if(!(i[f>>0]|0)){h=0;r=j;return h|0}h=aP(f)|0;if(h>>>0>(k[a+80>>2]|0)>>>0){h=0;r=j;return h|0}if(!c)if((h|0)==0|(h|0)==(f|0)){h=0;r=j;return h|0}l=k[g>>2]|0;k[a+156>>2]=l;k[a+160>>2]=f;k[a+164>>2]=h;c=a+84|0;m=a+96|0;aH(d,m,l,f);k[c>>2]=k[d>>2];k[c+4>>2]=k[d+4>>2];k[c+8>>2]=k[d+8>>2];aH(d,m,f,h);l=k[a+12>>2]|0;f=k[a+72>>2]|0;gP(e,m,c);k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];iH(b,l,f,a+156|0,c,d);e=a+108|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));k[g>>2]=h;m=h;r=j;return m|0}function wx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if((a|0)==(k[b+8>>2]|0))gD(0,b,c,d,e);else{r=b+52|0;m=j[r>>1]|0;h=m&255;l=b+53|0;m=(m&65535)>>>8&255;q=k[a+12>>2]|0;n=a+16+(q<<3)|0;i[r>>0]=0;i[l>>0]=0;kL(a+16|0,b,c,d,e,f);a:do if((q|0)>1){o=b+24|0;p=a+8|0;q=b+54|0;a=a+24|0;do{if(i[q>>0]|0)break a;g=j[r>>1]|0;if(!((g&255)<<24>>24)){if((g&65535)>=256)if(!(k[p>>2]&1))break a}else{if((k[o>>2]|0)==1)break a;if(!(k[p>>2]&2))break a}i[r>>0]=0;i[l>>0]=0;kL(a,b,c,d,e,f);a=a+8|0}while(a>>>0<n>>>0)}while(0);i[r>>0]=h;i[l>>0]=m}return}function xx(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;Cda(a);h=a+12|0;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;i[a+60>>0]=0;i[a+61>>0]=0;i[a+62>>0]=0;k[a+64>>2]=0;k[a+68>>2]=0;k[a+56>>2]=7;k[a>>2]=15200;k[a+72>>2]=c;c=a+76|0;y=0;oa(460,c|0,k[d+4>>2]|0);d=y;y=0;if(d&1){f=pb()|0;sb(f|0)}k[c>>2]=15152;g=a+84|0;y=0;oa(460,g|0,k[e+4>>2]|0);e=y;y=0;do if(e&1)b=pb()|0;else{k[g>>2]=15136;b=a+92|0;y=0;oa(460,b|0,k[f+4>>2]|0);f=y;y=0;if(f&1){b=pb()|0;DO(g);break}else{k[b>>2]=7492;return}}while(0);DO(c);f=b;sb(f|0)}function yx(a){a=a|0;var b=0,c=0,d=0;d=0;b=q1(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24==13)d=4;else{c=c<<24>>24|0;b=(c|0)!=10?((c|0)==12?b:0):b;if(!b)b=a;else d=4}}else d=4;if((d|0)==4)while(1){c=q1(b)|0;if(c|0){b=c;d=4;continue}c=i[b>>0]|0;d=b+1|0;if((c|4)<<24>>24==13){b=d;d=4;continue}c=c<<24>>24|0;c=(c|0)!=10?((c|0)==12?d:0):d;if(!c)break;else{b=c;d=4}}b=b|0?b:a;if(b|0)if((i[b>>0]|0)==41){a=b+1|0;return a|0}if(!a){a=0;return a|0}b=i[48639]|0;a:do if(!(b<<24>>24)){c=a;b=0}else{c=a;d=48639;while(1){if((i[c>>0]|0)!=b<<24>>24)break a;c=c+1|0;d=d+1|0;b=i[d>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);a=b<<24>>24==0&(c|0)!=0?a:0;return a|0}function zx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+128|0;i=j+96|0;f=j+80|0;g=j;h=j+40|0;b=b+12|0;c=g;d=b;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=h;d=b;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));tO(f,g,h+20|0);c=a+24|0;k[i>>2]=k[f>>2];k[i+4>>2]=k[f+4>>2];k[i+8>>2]=k[f+8>>2];b=i+12|0;k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];b=a+16|0;c=k[b>>2]|0;if(c>>>0<(k[a+20>>2]|0)>>>0){k[c>>2]=k[i>>2];k[c+4>>2]=k[i+4>>2];k[c+8>>2]=k[i+8>>2];k[c+12>>2]=k[i+12>>2];k[c+16>>2]=k[i+16>>2];k[c+20>>2]=k[i+20>>2];k[b>>2]=(k[b>>2]|0)+24;r=j;return}else{gy(a+12|0,i);r=j;return}}function Ax(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+32|0;c=f;d=f+8|0;e=a+4|0;QG(e,b+64|0,b);zz(e);LT(c,k[b+80>>2]|0);k[c>>2]=7284;g=k[c+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);a=y;y=0;if(a&1){g=pb()|0;DO(c);sb(g|0)}DO(c);if(!(i[b+84>>0]|0)){IL(e);r=f;return}NI(e);k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;aI(d,48771,8);y=0;oa(679,e|0,d|0);g=y;y=0;if(g&1){g=pb()|0;A9(d);sb(g|0)}else{A9(d);IL(e);r=f;return}}function Bx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30322){j=Fc[k[(k[a>>2]|0)+172>>2]&2047](a,b)|0;return j|0}if(Jo(a,b)|0){e=a+84|0;f=b+84|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+88>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+88>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=6;else{a=bN(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=6}if((j|0)==6)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}else{e=a+72|0;f=b+72|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+76>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+76>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=10;else{a=bN(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=10}if((j|0)==10)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}return 0}function Cx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=r;r=r+32|0;i=g+24|0;c=g+16|0;e=g+8|0;f=g;d=b+76|0;LT(i,k[d>>2]|0);k[i>>2]=6756;h=(k[i+4>>2]|0)==0;DO(i);do if(!h){LT(c,k[d>>2]|0);k[c>>2]=6756;i=k[c+4>>2]|0;y=0;oa(k[(k[i>>2]|0)+44>>2]|0,i|0,a|0);i=y;y=0;if(!(i&1)){DO(c);break}i=pb()|0;DO(c);sb(i|0)}while(0);b=b+68|0;LT(e,k[b>>2]|0);k[e>>2]=6868;i=(k[e+4>>2]|0)==0;DO(e);if(i){r=g;return}LT(f,k[b>>2]|0);k[f>>2]=6868;i=k[f+4>>2]|0;y=0;oa(k[(k[i>>2]|0)+44>>2]|0,i|0,a|0);i=y;y=0;if(i&1){i=pb()|0;DO(f);sb(i|0)}else{DO(f);r=g;return}}function Dx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;g=r;r=r+16|0;e=g+8|0;f=g+4|0;h=g;k[h>>2]=k[b>>2];k[e>>2]=k[h>>2];e=lm(a,e,f,c)|0;b=k[e>>2]|0;if(b|0){h=b;r=g;return h|0}c=IM(28)|0;y=0;oa(456,c+16|0,d|0);h=y;y=0;if(h&1){h=pb()|0;cra(c);sb(h|0)}b=k[f>>2]|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=b;k[e>>2]=c;b=k[k[a>>2]>>2]|0;if(!b)b=c;else{k[a>>2]=b;b=k[e>>2]|0}Qn(k[a+4>>2]|0,b);h=a+8|0;k[h>>2]=(k[h>>2]|0)+1;h=c;r=g;return h|0}function Ex(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30296){j=Fc[k[(k[a>>2]|0)+176>>2]&2047](a,b)|0;return j|0}if(Jo(a,b)|0){e=a+84|0;f=b+84|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+88>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+88>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=6;else{a=bN(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=6}if((j|0)==6)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}else{e=a+72|0;f=b+72|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+76>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+76>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=10;else{a=bN(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=10}if((j|0)==10)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}return 0}function Fx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30350){j=Fc[k[(k[a>>2]|0)+176>>2]&2047](a,b)|0;return j|0}if(Jo(a,b)|0){e=a+84|0;f=b+84|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+88>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+88>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=6;else{a=bN(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=6}if((j|0)==6)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}else{e=a+72|0;f=b+72|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+76>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+76>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=10;else{a=bN(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=10}if((j|0)==10)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}return 0}function Gx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30192){j=Fc[k[(k[a>>2]|0)+172>>2]&2047](a,b)|0;return j|0}if(Jo(a,b)|0){e=a+84|0;f=b+84|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+88>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+88>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=6;else{a=bN(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=6}if((j|0)==6)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}else{e=a+72|0;f=b+72|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+76>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+76>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(!a)j=10;else{a=bN(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(!a)j=10}if((j|0)==10)a=h>>>0<b>>>0?-1:d&1;j=(a|0)<0;return j|0}return 0}function Hx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;a=r;r=r+96|0;d=a+56|0;e=a+16|0;g=a;if(b|0){f=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[81]|0)!=(f|0)&(k[61]|0)==(f|0))if(i[b+84>>0]|0){r=a;return}}f=gb(76)|0;c=e;a=b+12|0;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,49355,52);c=y;y=0;if(c&1)a=pb()|0;else{y=0;c=d;a=e;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));Na(110,f|0,d|0,g|0);e=y;y=0;if(e&1)b=1;else{y=0;Na(75,f|0,2928,175);y=0;b=0}a=pb()|0;A9(g);if(!b){g=a;sb(g|0)}}fb(f|0);g=a;sb(g|0)}function Ix(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=a+32|0;EN(g,b)|0;f=a+44|0;k[f>>2]=0;h=a+48|0;e=k[h>>2]|0;if(e&8|0){b=i[g+11>>0]|0;if(b<<24>>24<0){b=k[g>>2]|0;c=b;d=b;b=b+(k[a+36>>2]|0)|0}else{c=g;d=g;b=g+(b&255)|0}k[f>>2]=b;k[a+8>>2]=c;k[a+12>>2]=d;k[a+16>>2]=b}if(!(e&16))return;c=g+11|0;b=i[c>>0]|0;if(b<<24>>24<0){e=k[a+36>>2]|0;k[f>>2]=(k[g>>2]|0)+e;b=(k[a+40>>2]&2147483647)+-1|0;f=e}else{e=b&255;k[f>>2]=g+e;b=10;f=e}KH(g,b,0);b=i[c>>0]|0;if(b<<24>>24<0){c=k[g>>2]|0;e=c;d=k[a+36>>2]|0}else{e=g;d=b&255;c=g}b=a+24|0;k[b>>2]=c;k[a+20>>2]=c;k[a+28>>2]=e+d;if(!(k[h>>2]&3))return;k[b>>2]=c+f;return}function Jx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;d=IM(44)|0;k[a>>2]=d;k[a+4>>2]=b+4;f=a+8|0;i[f>>0]=0;e=d+16|0;y=0;oa(456,e|0,c|0);b=y;y=0;if(b&1){b=pb()|0;k[a>>2]=0}else{h=c+12|0;g=k[h+4>>2]|0;b=d+28|0;k[b>>2]=k[h>>2];k[b+4>>2]=g;b=d+36|0;y=0;oa(460,b|0,k[c+24>>2]|0);c=y;y=0;if(!(c&1)){k[b>>2]=6868;i[f>>0]=1;return}b=pb()|0;A9(e);d=k[a>>2]|0;k[a>>2]=0;if(!d){h=b;sb(h|0)}}if(i[f>>0]|0){DO(d+36|0);A9(d+16|0)}cra(d);h=b;sb(h|0)}function Kx(a){a=a|0;var b=0,c=0,d=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;c=hx(b)|0;if(!c)d=5;else{c=gx(c)|0;if(!c)d=5;else{b=c;d=6}}if((d|0)==5){b=Rn(b)|0;if(!b)b=0;else d=6}if((d|0)==6)b=(i[b>>0]|0)==124?b+1|0:0;b=b|0?b:a;if(!b){d=0;return d|0}if((i[b>>0]|0)==45){do b=b+1|0;while((i[b>>0]|0)==45);c=b}else c=b;b=hx(c)|0;if(!b)d=12;else{b=gx(b)|0;if(!b)d=12}if((d|0)==12){b=Rn(c)|0;if(!b){d=0;return d|0}}d=(i[b>>0]|0)==47?b+1|0:0;return d|0}function Lx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;k[a>>2]=9560;h=a+4|0;Yg(h,b+4|0);g=a+24|0;y=0;oa(469,g|0,b+24|0);f=y;y=0;if(f&1)c=pb()|0;else{k[a+36>>2]=k[b+36>>2];c=a+40|0;y=0;oa(460,c|0,k[b+44>>2]|0);f=y;y=0;if(!(f&1)){k[c>>2]=7284;return}c=pb()|0;e=N;b=k[g>>2]|0;if(b){f=a+28|0;d=k[f>>2]|0;if((d|0)!=(b|0)){do{i=d+-8|0;k[f>>2]=i;lc[k[k[i>>2]>>2]&511](i);d=k[f>>2]|0}while((d|0)!=(b|0));b=k[g>>2]|0}cra(b)}}b=k[a+12>>2]|0;if(b|0)do{i=b;b=k[b>>2]|0;DO(i+16|0);DO(i+8|0);cra(i)}while((b|0)!=0);b=k[h>>2]|0;k[h>>2]=0;if(!b)sb(c|0);cra(b);sb(c|0)}function Mx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=0;n=r;r=r+16|0;f=n;h=a+60|0;l=a+64|0;j=a+68|0;c=k[j>>2]|0;b=k[l>>2]|0;g=c-b>>3;if(!(i[a+84>>0]|0)){m=g;r=n;return m|0}do if(g){e=f+4|0;d=0;b=0;while(1){c=(Fc[k[(k[h>>2]|0)+12>>2]&2047](h,d)|0)+4|0;LT(f,k[c>>2]|0);k[f>>2]=7284;c=k[e>>2]|0;if(!c)m=11;else if((k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)==31480){c=c+68|0;a=i[c+11>>0]|0;if(a<<24>>24<0)c=k[c+4>>2]|0;else c=a&255;if(!c)m=11;else{c=0;b=d}}else m=11;if((m|0)==11){m=0;c=1}DO(f);d=d+1|0;if(!c){m=15;break}if(d>>>0>=g>>>0){m=13;break}}if((m|0)==13){c=k[j>>2]|0;b=k[l>>2]|0;break}else if((m|0)==15){r=n;return b|0}}while(0);m=c-b>>3;r=n;return m|0}function Nx(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0.0;l=r;r=r+64|0;b=l+16|0;j=l;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,39172,7);y=0;g=b;h=e;i=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(i|0));b=sa(23,j|0,a|0,d|0,b|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;A9(j);sb(e|0)}else{A9(j);f=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;fO(f+12|0,e|0,40)|0;e=f+64|0;m=+VO(+p[e>>3],k[(k[c+16>>2]|0)+4>>2]|0);k[f+100>>2]=0;p[e>>3]=m;r=l;return f|0}return 0}function Ox(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;e=a+8|0;f=a+96|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[e+16>>2]=0;k[e+20>>2]=0;e=k[f>>2]|0;d=(e&65535)>>>8&255;if((e&255)<<24>>24){e=k[a+32>>2]|0;if(e){Xqa(e);d=i[a+97>>0]|0}}e=a+97|0;if(d<<24>>24){d=k[a+56>>2]|0;if(d|0)Xqa(d)}d=a+52|0;k[d>>2]=c;do if(c>>>0>8){d=i[a+98>>0]|0;if((b|0)!=0&d<<24>>24!=0){k[a+32>>2]=b;i[f>>0]=0;break}else{g=Wqa(c)|0;k[a+32>>2]=g;i[f>>0]=1;break}}else{k[a+32>>2]=a+44;k[d>>2]=8;i[f>>0]=0;d=i[a+98>>0]|0}while(0);if(d<<24>>24){k[a+60>>2]=0;k[a+56>>2]=0;i[e>>0]=0;return a|0}d=(c|0)<8?8:c;k[a+60>>2]=d;if((b|0)!=0&d>>>0>7){k[a+56>>2]=b;i[e>>0]=0;return a|0}else{g=Wqa(d)|0;k[a+56>>2]=g;i[e>>0]=1;return a|0}return 0}function Px(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;e=0;b=a+8|0;y=0;c=qa(405,k[b>>2]|0)|0;d=y;y=0;do if(d&1)e=16;else{y=0;d=ta(165,0,0,4)|0;a=y;y=0;if(a&1){a=tb(0)|0;if(!c)break;y=0;qa(405,c|0)|0;g=y;y=0;if(!(g&1))break;g=tb(0)|0;Sla(g)}if(c|0){y=0;qa(405,c|0)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}}if(!d){a=k[b>>2]|0;if(!a)f=1;else{y=0;a=qa(405,a|0)|0;g=y;y=0;if(g&1){e=16;break}if(!a)f=0;else{y=0;qa(405,a|0)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}else f=0}}}else f=-1;return f|0}while(0);if((e|0)==16)a=tb(0)|0;Sla(a);return 0}function Qx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;a=r;r=r+96|0;d=a+56|0;e=a+16|0;g=a;if(b|0)if((k[195]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0))if((k[b+96>>2]|0)==1){r=a;return}f=gb(76)|0;c=e;a=b+12|0;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,48890,43);c=y;y=0;if(c&1)a=pb()|0;else{y=0;c=d;a=e;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));Na(110,f|0,d|0,g|0);e=y;y=0;if(e&1)b=1;else{y=0;Na(75,f|0,2928,175);y=0;b=0}a=pb()|0;A9(g);if(!b){g=a;sb(g|0)}}fb(f|0);g=a;sb(g|0)}function Rx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;d=f;e=a+68|0;if((k[k[e>>2]>>2]&-2|0)==2){r=f;return}if(i[a+95>>0]|0)if(i[a+97>>0]|0){r=f;return}b=a+80|0;c=a+72|0;if(k[b>>2]|0)if(k[c>>2]|0)k[b>>2]=1;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;aI(d,87975,0);a:do if(k[c>>2]|0){b=0;while(1){y=0;Ha(974,d|0,k[(k[e>>2]|0)+12>>2]|0)|0;g=y;y=0;if(g&1)break;b=b+1|0;if(b>>>0>=(k[c>>2]|0)>>>0)break a}g=pb()|0;A9(d);sb(g|0)}while(0);y=0;oa(679,a|0,d|0);g=y;y=0;if(g&1){g=pb()|0;A9(d);sb(g|0)}else{A9(d);r=f;return}}function Sx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+16|0;e=h;f=cu(b,e,c)|0;c=k[f>>2]|0;if(c|0){b=c;g=0;k[a>>2]=b;b=a+4|0;i[b>>0]=g;r=h;return}g=IM(28)|0;y=0;oa(456,g+16|0,d|0);d=y;y=0;if(d&1){h=pb()|0;cra(g);sb(h|0)}c=k[e>>2]|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=c;k[f>>2]=g;c=k[k[b>>2]>>2]|0;if(!c)c=g;else{k[b>>2]=c;c=k[f>>2]|0}Qn(k[b+4>>2]|0,c);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=g;g=1;k[a>>2]=b;b=a+4|0;i[b>>0]=g;r=h;return}function Tx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(!a)return;f=a+60|0;b=k[f>>2]|0;if(b|0){c=k[b>>2]|0;if(c|0)do{Wf(c);b=b+4|0;c=k[b>>2]|0}while((c|0)!=0)}e=a+68|0;b=k[e>>2]|0;if(b|0){c=k[b>>2]|0;if(c|0)do{Wf(c);b=b+4|0;c=k[b>>2]|0}while((c|0)!=0)}d=a+64|0;b=k[d>>2]|0;if(b|0){c=k[b>>2]|0;if(c|0)do{Wf(c);b=b+4|0;c=k[b>>2]|0}while((c|0)!=0)}b=k[a+48>>2]|0;if(b|0)do{c=b;b=k[b>>2]|0;Wf(k[c+4>>2]|0);Wf(c)}while((b|0)!=0);b=k[a+44>>2]|0;if(b|0)do{c=b;b=k[b>>2]|0;Wf(k[c+4>>2]|0);Wf(c)}while((b|0)!=0);b=a+28|0;Wf(k[b>>2]|0);Wf(k[a+32>>2]|0);Wf(k[a+40>>2]|0);Wf(k[a+36>>2]|0);Wf(k[a+52>>2]|0);Wf(k[a+56>>2]|0);Wf(k[f>>2]|0);Wf(k[d>>2]|0);Wf(k[e>>2]|0);c=b+44|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(c|0));return}function Ux(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;e=0;f=r;r=r+16|0;d=f;g=b+60|0;c=(Fc[k[(k[g>>2]|0)+16>>2]&2047](g,c)|0)+4|0;LT(d,k[c>>2]|0);k[d>>2]=7284;if(!(i[b+84>>0]|0)){y=0;oa(460,a|0,k[d+4>>2]|0);g=y;y=0;if(g&1){g=pb()|0;DO(d);sb(g|0)}else{k[a>>2]=7284;DO(d);r=f;return}}b=k[d+4>>2]|0;if(!b)e=8;else if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==31480){y=0;oa(460,a|0,k[b+64>>2]|0);g=y;y=0;if(!(g&1)){k[a>>2]=7284;DO(d);r=f;return}}else e=8;if((e|0)==8){y=0;oa(460,a|0,b|0);g=y;y=0;if(!(g&1)){k[a>>2]=7284;DO(d);r=f;return}}g=pb()|0;DO(d);sb(g|0)}function Vx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+64|0;f=g;k[c>>2]=k[k[c>>2]>>2];if((a|0)==(b|0)|(b|0)==5944)b=1;else if(!b)b=0;else{d=nx(b,5720,5904,0)|0;if(!d)b=0;else if(!(k[d+8>>2]&~k[a+8>>2])){b=k[a+12>>2]|0;a=d+12|0;if((b|0)==5936?1:(b|0)==(k[a>>2]|0))b=1;else if(!b)b=0;else{e=nx(b,5720,5704,0)|0;if(!e)b=0;else{b=k[a>>2]|0;if(!b)b=0;else{b=nx(b,5720,5704,0)|0;if(!b)b=0;else{a=f+4|0;d=a+52|0;do{k[a>>2]=0;a=a+4|0}while((a|0)<(d|0));k[f>>2]=b;k[f+8>>2]=e;k[f+12>>2]=-1;k[f+48>>2]=1;Pc[k[(k[b>>2]|0)+28>>2]&63](b,f,k[c>>2]|0,1);if((k[f+24>>2]|0)==1){k[c>>2]=k[f+16>>2];b=1}else b=0}}}}}else b=0}r=g;return b|0}function Wx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;h=g+24|0;e=g+16|0;f=g;d=b+4|0;LT(h,k[(k[d>>2]|0)+80>>2]|0);k[h>>2]=15152;b=(k[h+4>>2]|0)==0;DO(h);if(b){h=0;r=g;return h|0}b=k[(k[a>>2]|0)+144>>2]|0;LT(e,k[(k[d>>2]|0)+80>>2]|0);k[e>>2]=15152;y=0;oa(456,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;DO(e);sb(h|0)}y=0;b=ta(b|0,a|0,e|0,f|0)|0;h=y;y=0;if(h&1){h=pb()|0;A9(f);DO(e);sb(h|0)}else{A9(f);DO(e);h=b;r=g;return h|0}return 0}function Xx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;a=k[a+4>>2]|0;if(!a){j=0;return j|0}j=i[b+11>>0]|0;h=j<<24>>24<0;j=h?k[b+4>>2]|0:j&255;h=h?k[b>>2]|0:b;while(1){d=a+16|0;c=i[d+11>>0]|0;e=c<<24>>24<0;c=e?k[a+20>>2]|0:c&255;f=c>>>0<j>>>0;b=f?c:j;if(!b)g=5;else{b=bN(h,e?k[d>>2]|0:d,b)|0;if(!b)g=5;else if((b|0)<0)g=7;else g=8}if((g|0)==5)if(j>>>0<c>>>0)g=7;else g=8;if((g|0)!=7)if((g|0)==8){g=0;b=j>>>0<c>>>0?j:c;if(!b)g=10;else{b=bN(e?k[d>>2]|0:d,h,b)|0;if(!b)g=10;else if((b|0)>=0){a=1;g=14;break}}if((g|0)==10)if(!f){a=1;g=14;break}a=a+4|0}a=k[a>>2]|0;if(!a){a=0;g=14;break}}if((g|0)==14)return a|0;return 0}function Yx(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;b=yC(a)|0;if(!b){f=0;return f|0}a:do if((i[b>>0]|0)==42){a=yC(b+1|0)|0;if(a)while(1){if((i[a>>0]|0)!=42){b=a;break a}b=yC(a+1|0)|0;if(!b){b=a;break}else a=b}}while(0);e=b+1|0;b:do if((i[b>>0]|0)==47){c=i[35514]|0;c:do if(!(c<<24>>24)){a=e;f=10}else{a=e;d=35514;while(1){if((i[a>>0]|0)!=c<<24>>24)break c;a=a+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){f=10;break}}}while(0);if((f|0)==10)if((i[a>>0]|0)==40){a=0;break}c=yC(e)|0;if(!c)a=0;else if((i[c>>0]|0)==42){a=yC(c+1|0)|0;if(!a)a=c;else while(1){if((i[a>>0]|0)!=42)break b;c=yC(a+1|0)|0;if(!c)break;else a=c}}else a=c}else a=0;while(0);f=a|0?a:b;return f|0}function Zx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0;l=r;r=r+272|0;h=l+8|0;i=l;g=k[b>>2]|0;k[i>>2]=g;j=(a|0)!=0;f=j?d:256;a=j?a:h;d=g;a:do if((f|0)!=0&(g|0)!=0){e=0;g=d;while(1){d=c>>>0>=f>>>0;if(!(d|c>>>0>32)){d=g;break a}d=d?f:c;c=c-d|0;d=xr(a,i,d,0)|0;if((d|0)==-1)break;g=(a|0)==(h|0);f=f-(g?0:d)|0;a=g?a:a+d|0;e=d+e|0;d=k[i>>2]|0;if((f|0)!=0&(d|0)!=0)g=d;else break a}e=-1;f=0;d=k[i>>2]|0}else e=0;while(0);b:do if(d)if((f|0)!=0&(c|0)!=0){g=a;while(1){a=XD(g,k[d>>2]|0,0)|0;if((a+1|0)>>>0<2)break;d=(k[i>>2]|0)+4|0;k[i>>2]=d;c=c+-1|0;f=f-a|0;e=e+1|0;if(!((f|0)!=0&(c|0)!=0))break b;else g=g+a|0}if(!a)k[i>>2]=0;else e=-1}while(0);if(j)k[b>>2]=k[i>>2];r=l;return e|0}function _x(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=a+52|0;k[e>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);d=y;y=0;if(d&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=8180;c=a+72|0;y=0;oa(460,c|0,k[b+76>>2]|0);d=y;y=0;if(d&1){b=pb()|0;k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}k[c>>2]=7284;d=a+80|0;y=0;oa(460,d|0,k[b+84>>2]|0);b=y;y=0;if(!(b&1)){k[d>>2]=6868;k[e>>2]=22;return}b=pb()|0;DO(c);k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}function $x(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;c=i[a>>0]|0;d=a+1|0;b=c<<24>>24==36?d:a;do if(!b){b=c;e=7}else{if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0)break}b=i[a>>0]|0;e=7}while(0);if((e|0)==7)if(b<<24>>24==45)b=d;else{e=a;return e|0}while(1){a=i[b>>0]|0;d=b+1|0;c=a<<24>>24==36?d:b;if(!c)c=a;else{if((i[c>>0]|0)==45)do c=c+1|0;while((i[c>>0]|0)==45);c=hx(c)|0;if(c|0){c=gx(c)|0;if(c|0){b=c;continue}}c=i[b>>0]|0}if(c<<24>>24==45)b=d;else break}return b|0}function ay(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;a=k[a+4>>2]|0;if(!a){j=0;return j|0}j=i[b+11>>0]|0;h=j<<24>>24<0;j=h?k[b+4>>2]|0:j&255;h=h?k[b>>2]|0:b;while(1){d=a+16|0;c=i[d+11>>0]|0;e=c<<24>>24<0;c=e?k[a+20>>2]|0:c&255;f=c>>>0<j>>>0;b=f?c:j;if(!b)g=5;else{b=bN(h,e?k[d>>2]|0:d,b)|0;if(!b)g=5;else if((b|0)<0)g=7;else g=8}if((g|0)==5)if(j>>>0<c>>>0)g=7;else g=8;if((g|0)!=7)if((g|0)==8){g=0;b=j>>>0<c>>>0?j:c;if(!b)g=10;else{b=bN(e?k[d>>2]|0:d,h,b)|0;if(!b)g=10;else if((b|0)>=0){a=1;g=14;break}}if((g|0)==10)if(!f){a=1;g=14;break}a=a+4|0}a=k[a>>2]|0;if(!a){a=0;g=14;break}}if((g|0)==14)return a|0;return 0}function by(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;h=r;r=r+96|0;c=h+56|0;d=h+16|0;e=h;f=IM(80)|0;g=d;i=b+12|0;j=g+40|0;do{k[g>>2]=k[i>>2];g=g+4|0;i=i+4|0}while((g|0)<(j|0));j=k[(k[b>>2]|0)+28>>2]|0;i=k[(k[a+4>>2]|0)+16>>2]|0;y=0;k[c>>2]=k[i>>2];k[c+4>>2]=k[i+4>>2];k[c+8>>2]=k[i+8>>2];Na(j|0,e|0,b|0,c|0);j=y;y=0;if(j&1){j=pb()|0;cra(f);sb(j|0)}y=0;g=c;i=d;j=g+40|0;do{k[g>>2]=k[i>>2];g=g+4|0;i=i+4|0}while((g|0)<(j|0));Ea(2,f|0,c|0,e|0,0,0,0,1);j=y;y=0;if(!(j&1)){A9(e);r=h;return f|0}j=pb()|0;A9(e);cra(f);sb(j|0);return 0}function cy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;h=r;r=r+96|0;c=h+56|0;d=h+16|0;e=h;f=IM(80)|0;g=d;i=b+12|0;j=g+40|0;do{k[g>>2]=k[i>>2];g=g+4|0;i=i+4|0}while((g|0)<(j|0));j=k[(k[b>>2]|0)+28>>2]|0;i=k[(k[a+4>>2]|0)+16>>2]|0;y=0;k[c>>2]=k[i>>2];k[c+4>>2]=k[i+4>>2];k[c+8>>2]=k[i+8>>2];Na(j|0,e|0,b|0,c|0);j=y;y=0;if(j&1){j=pb()|0;cra(f);sb(j|0)}y=0;g=c;i=d;j=g+40|0;do{k[g>>2]=k[i>>2];g=g+4|0;i=i+4|0}while((g|0)<(j|0));Ea(2,f|0,c|0,e|0,0,0,0,1);j=y;y=0;if(!(j&1)){A9(e);r=h;return f|0}j=pb()|0;A9(e);cra(f);sb(j|0);return 0}function dy(a){a=a|0;var b=0,c=0,d=0;d=0;if(!a){d=0;return d|0}b=i[44293]|0;a:do if(b<<24>>24){c=44293;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break a}return a|0}while(0);b=aP(a)|0;if(!b){b=ct(a)|0;if(!b){if(!a){d=0;return d|0}}else{a=b;d=7}}else{a=b;d=7}if((d|0)==7)while(1){b=aP(a)|0;if(b|0){a=b;d=7;continue}b=ct(a)|0;if(!b)break;else{a=b;d=7}}b=i[35445]|0;b:do if(b<<24>>24){c=35445;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break b}return a|0}while(0);d=DP(a)|0;return d|0}function ey(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+16|0;f=g;d=k[b>>2]|0;do if(d|0){e=i[c+11>>0]|0;if(e<<24>>24<0)e=k[c+4>>2]|0;else e=e&255;if(e){tU(c,58790)|0;d=k[b>>2]|0}b=k[b+4>>2]|0;Lc[k[(k[b>>2]|0)+24>>2]&255](f,b,d);b=i[f+11>>0]|0;e=b<<24>>24<0;y=0;ta(41,c|0,(e?k[f>>2]|0:f)|0,(e?k[f+4>>2]|0:b&255)|0)|0;b=y;y=0;if(b&1){g=pb()|0;A9(f);sb(g|0)}else{A9(f);break}}while(0);k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];d=0;while(1){if((d|0)==3)break;k[c+(d<<2)>>2]=0;d=d+1|0}r=g;return}function fy(a){a=a|0;var b=0,c=0,d=0;c=0;d=hp(a)|0;if(!d){d=0;return d|0}a=q1(d)|0;if(!a){b=i[d>>0]|0;a=d+1|0;if((b|4)<<24>>24==13)c=5;else{b=b<<24>>24|0;a=(b|0)!=10?((b|0)==12?a:0):a;if(!a)a=d;else c=5}}else c=5;if((c|0)==5)while(1){b=q1(a)|0;if(b|0){a=b;c=5;continue}b=i[a>>0]|0;c=a+1|0;if((b|4)<<24>>24==13){a=c;c=5;continue}b=b<<24>>24|0;b=(b|0)!=10?((b|0)==12?c:0):c;if(!b)break;else{a=b;c=5}}a=a|0?a:d;if(!a)a=0;else a=(i[a>>0]|0)==41?a+1|0:0;d=a|0?a:d;return d|0}function gy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/24|0)+1|0;if(e>>>0>178956970){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/24|0;g=h<<1;g=h>>>0<89478485?(g>>>0<e>>>0?e:g):178956970;e=(d-c|0)/24|0;do if(!g)h=0;else if(g>>>0>178956970){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g*24|0)|0;break}while(0);f=h+(e*24|0)|0;k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[f+12>>2]=k[b+12>>2];k[f+16>>2]=k[b+16>>2];k[f+20>>2]=k[b+20>>2];d=d-c|0;e=f+(((d|0)/-24|0)*24|0)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+24;k[i>>2]=h+(g*24|0);if(!c)return;cra(c);return}function hy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=r;r=r+32|0;g=j+12|0;h=j;mc[k[(k[a>>2]|0)+32>>2]&1023](g,a);y=0;oa(k[(k[b>>2]|0)+32>>2]|0,h|0,b|0);f=y;y=0;if(f&1){j=pb()|0;A9(g);sb(j|0)}d=i[g+11>>0]|0;b=d<<24>>24<0;d=b?k[g+4>>2]|0:d&255;e=i[h+11>>0]|0;c=e<<24>>24<0;e=c?k[h+4>>2]|0:e&255;f=e>>>0<d>>>0;a=f?e:d;if(a|0){a=bN(b?k[g>>2]|0:g,c?k[h>>2]|0:h,a)|0;if(a|0){f=a;f=(f|0)<0;A9(h);A9(g);r=j;return f|0}}f=d>>>0<e>>>0?-1:f&1;f=(f|0)<0;A9(h);A9(g);r=j;return f|0}function iy(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0;e=0;g=r;r=r+80|0;c=g;f=g+8|0;p[c>>3]=b;iU(f,42670,c)|0;c=(i[f>>0]|0)==45?f+1|0:f;d=i[c>>0]|0;if(d<<24>>24==48){d=c+1|0;c=d;d=i[d>>0]|0;e=5}else if((d+-48&255)<10){do{c=c+1|0;d=i[c>>0]|0}while((d+-48&255)<10);e=5}a:do if((e|0)==5){if(d<<24>>24==46){c=c+1|0;if(((i[c>>0]|0)+-48&255)>=10)break;do{c=c+1|0;d=i[c>>0]|0}while((d+-48&255)<10)}switch(d<<24>>24){case 101:case 69:{d=c+1|0;e=i[d>>0]|0;switch(e<<24>>24){case 45:case 43:{c=c+2|0;d=c;c=i[c>>0]|0;break}default:c=e}if((c+-48&255)>=10)break a;do{d=d+1|0;c=i[d>>0]|0}while((c+-48&255)<10);break}default:c=d}if(!(c<<24>>24)){_D(a,f);r=g;return}}while(0);_D(a,48606);r=g;return}function jy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/24|0)+1|0;if(e>>>0>178956970){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/24|0;g=h<<1;g=h>>>0<89478485?(g>>>0<e>>>0?e:g):178956970;e=(d-c|0)/24|0;do if(!g)h=0;else if(g>>>0>178956970){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g*24|0)|0;break}while(0);f=h+(e*24|0)|0;k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[f+12>>2]=k[b+12>>2];k[f+16>>2]=k[b+16>>2];k[f+20>>2]=k[b+20>>2];d=d-c|0;e=f+(((d|0)/-24|0)*24|0)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+24;k[i>>2]=h+(g*24|0);if(!c)return;cra(c);return}function ky(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=r;r=r+16|0;c=f;d=i[b+60>>0]|0;e=a+4|0;if(d<<24>>24){Ei(c,b+64|0,d);y=0;Na(147,e|0,c|0,b|0);e=y;y=0;if(e&1){f=pb()|0;A9(c);sb(f|0)}else{A9(c);r=f;return}}if(i[a+96>>0]|0){QG(e,b+64|0,b);r=f;return}iz(c,b+64|0);y=0;Na(147,e|0,c|0,b|0);e=y;y=0;if(e&1){f=pb()|0;A9(c);sb(f|0)}else{A9(c);r=f;return}}function ly(a){a=a|0;var b=0,c=0,d=0,e=0;d=0;b=q1(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24==13)d=4;else{e=c<<24>>24|0;b=(e|0)!=10?((e|0)==12?b:0):b;if(!b)b=a;else d=4}}else d=4;if((d|0)==4)while(1){c=q1(b)|0;if(c|0){b=c;d=4;continue}d=i[b>>0]|0;c=b+1|0;if((d|4)<<24>>24==13){b=c;d=4;continue}e=d<<24>>24|0;c=(e|0)!=10?((e|0)==12?c:0):c;if(!c){c=d;break}else{b=c;d=4}}if(c<<24>>24==41){e=b+1|0;return e|0}if(!a){e=0;return e|0}b=i[48639]|0;a:do if(!(b<<24>>24))b=0;else{c=48639;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);e=b<<24>>24==0?a:0;return e|0}function my(a){a=a|0;var b=0,c=0,d=0;d=r;r=r+16|0;c=d+8|0;b=d;LT(b,k[a+56>>2]|0);k[b>>2]=7492;a=k[b+4>>2]|0;if(!a)a=0;else a=(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)==32210?a:0;y=0;oa(460,c|0,a|0);a=y;y=0;if(a&1){d=pb()|0;DO(b);sb(d|0)}k[c>>2]=13080;DO(b);a=k[c+4>>2]|0;if(!a){DO(c);c=0;r=d;return c|0}b=a+60|0;do if((k[a+68>>2]|0)==(k[a+64>>2]|0))a=0;else{y=0;a=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,0)|0;b=y;y=0;if(b&1){d=pb()|0;DO(c);sb(d|0)}else{a=k[a+4>>2]|0;if(!a){a=0;break}a=(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)==33313;break}}while(0);DO(c);c=a;r=d;return c|0}function ny(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;h=a+8|0;d=k[h>>2]|0;i=a+4|0;c=k[i>>2]|0;l=d-c>>2;e=a+16|0;f=k[e>>2]|0;j=a+20|0;g=k[j>>2]|0;if((((l|0)==0?0:(l*146|0)+-1|0)|0)==(g+f|0)){qi(a);f=k[e>>2]|0;a=k[j>>2]|0;d=k[h>>2]|0;c=k[i>>2]|0}else a=g;a=f+a|0;if((d|0)==(c|0))c=0;else c=(k[c+(((a>>>0)/146|0)<<2)>>2]|0)+(((a>>>0)%146|0)*28|0)|0;k[c>>2]=k[b>>2];k[c+4>>2]=k[b+4>>2];k[c+8>>2]=k[b+8>>2];a=c+12|0;LT(a,k[b+16>>2]|0);k[a>>2]=15136;k[c+20>>2]=k[b+20>>2];a=k[b+24>>2]|0;k[c+24>>2]=a;if(!a){l=k[j>>2]|0;l=l+1|0;k[j>>2]=l;return}Dba(a);l=k[j>>2]|0;l=l+1|0;k[j>>2]=l;return}function oy(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0.0;j=r;r=r+64|0;b=j+16|0;i=j;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;aI(i,39172,7);y=0;c=b;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(23,i|0,a|0,d|0,b|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;A9(i);sb(e|0)}else{A9(i);f=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;fO(f+12|0,e|0,40)|0;e=f+64|0;l=+O(+(+p[e>>3]));k[f+100>>2]=0;p[e>>3]=l;r=j;return f|0}return 0}function py(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a+52>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=6772;c=a+64|0;y=0;oa(460,c|0,k[b+68>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=6868;k[a>>2]=8868;c=a+72|0;y=0;oa(456,c|0,b+72|0);e=y;y=0;if(e&1){b=pb()|0;k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}d=a+84|0;y=0;oa(460,d|0,k[b+88>>2]|0);b=y;y=0;if(!(b&1)){k[d>>2]=8964;return}b=pb()|0;A9(c);k[a>>2]=6772;a=a+64|0;DO(a);sb(b|0)}function qy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=0;j=r;r=r+16|0;e=j+8|0;h=j;c=k[a+76>>2]|0;f=k[a+80>>2]|0;a:do if((c|0)!=(f|0)){g=e+4|0;while(1){LT(e,k[c+4>>2]|0);k[e>>2]=13284;d=k[g>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+40>>2]|0,d|0,b|0)|0;l=y;y=0;if(l&1)break;DO(e);c=c+8|0;if(d){c=1;i=10;break}if((c|0)==(f|0))break a}if((i|0)==10){r=j;return c|0}l=pb()|0;DO(e);sb(l|0)}while(0);LT(h,a);k[h>>2]=6336;y=0;c=qa(b|0,h|0)|0;l=y;y=0;if(l&1){l=pb()|0;DO(h);sb(l|0)}else{DO(h);l=c;r=j;return l|0}return 0}function ry(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0.0;j=r;r=r+64|0;b=j+16|0;i=j;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;aI(i,39172,7);y=0;c=b;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(23,i|0,a|0,d|0,b|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;A9(i);sb(e|0)}else{A9(i);f=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;fO(f+12|0,e|0,40)|0;e=f+64|0;l=+$(+(+p[e>>3]));k[f+100>>2]=0;p[e>>3]=l;r=j;return f|0}return 0}function sy(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0.0;j=r;r=r+64|0;b=j+16|0;i=j;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;aI(i,39172,7);y=0;c=b;g=e;h=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(h|0));b=sa(23,i|0,a|0,d|0,b|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;A9(i);sb(e|0)}else{A9(i);f=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;fO(f+12|0,e|0,40)|0;e=f+64|0;l=+P(+(+p[e>>3]));k[f+100>>2]=0;p[e>>3]=l;r=j;return f|0}return 0}function ty(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=0;j=r;r=r+16|0;e=j+8|0;h=j;c=k[a+76>>2]|0;f=k[a+80>>2]|0;a:do if((c|0)!=(f|0)){g=e+4|0;while(1){LT(e,k[c+4>>2]|0);k[e>>2]=15136;d=k[g>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+40>>2]|0,d|0,b|0)|0;l=y;y=0;if(l&1)break;DO(e);c=c+8|0;if(d){c=1;i=10;break}if((c|0)==(f|0))break a}if((i|0)==10){r=j;return c|0}l=pb()|0;DO(e);sb(l|0)}while(0);LT(h,a);k[h>>2]=6336;y=0;c=qa(b|0,h|0)|0;l=y;y=0;if(l&1){l=pb()|0;DO(h);sb(l|0)}else{DO(h);l=c;r=j;return l|0}return 0}function uy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=r;r=r+16|0;c=f+8|0;d=f;e=a+84|0;b=k[e>>2]|0;if(b|0){e=b;r=f;return e|0}k[e>>2]=k[a+60>>2];LT(c,k[a+72>>2]|0);k[c>>2]=7284;b=k[c+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;g=y;y=0;if(g&1){g=pb()|0;DO(c);sb(g|0)}g=k[e>>2]|0;k[e>>2]=b+-1640531527+(g<<6)+(g>>>2)^g;DO(c);LT(d,k[a+80>>2]|0);k[d>>2]=7284;b=k[d+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;g=y;y=0;if(g&1){g=pb()|0;DO(d);sb(g|0)}else{g=k[e>>2]|0;k[e>>2]=b+-1640531527+(g<<6)+(g>>>2)^g;DO(d);g=k[e>>2]|0;r=f;return g|0}return 0}function vy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+64|0;f=h+16|0;g=h;cL(g,c);y=0;e=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));Na(85,a|0,f|0,g|0);f=y;y=0;if(f&1){h=pb()|0;A9(g);sb(h|0)}A9(g);k[a>>2]=14692;c=a+104|0;y=0;oa(460,c|0,k[d+4>>2]|0);d=y;y=0;if(!(d&1)){k[c>>2]=6756;k[a+96>>2]=3;r=h;return}h=pb()|0;k[a>>2]=13112;A9(a+84|0);A9(a+72|0);sb(h|0)}function wy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=a+4|0;b=k[g>>2]|0;i=a+16|0;c=k[i>>2]|0;d=b+(((c>>>0)/146|0)<<2)|0;h=a+8|0;if((k[h>>2]|0)==(b|0)){f=0;e=a+20|0;b=0}else{e=a+20|0;f=c+(k[e>>2]|0)|0;f=(k[b+(((f>>>0)/146|0)<<2)>>2]|0)+(((f>>>0)%146|0)*28|0)|0;b=(k[d>>2]|0)+(((c>>>0)%146|0)*28|0)|0}a:while(1){do{if((b|0)==(f|0))break a;a=k[b+24>>2]|0;if(a|0)DY(a);DO(b+12|0);b=b+28|0}while((b-(k[d>>2]|0)|0)!=4088);b=d+4|0;d=b;b=k[b>>2]|0}k[e>>2]=0;a=k[g>>2]|0;b=(k[h>>2]|0)-a>>2;if(b>>>0>2)do{cra(k[a>>2]|0);a=(k[g>>2]|0)+4|0;k[g>>2]=a;b=(k[h>>2]|0)-a>>2}while(b>>>0>2);switch(b|0){case 1:{k[i>>2]=73;return}case 2:{k[i>>2]=146;return}default:return}}function xy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=r;r=r+64|0;f=h+16|0;g=h;cL(g,c);y=0;e=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));Na(85,a|0,f|0,g|0);f=y;y=0;if(f&1){h=pb()|0;A9(g);sb(h|0)}A9(g);k[a>>2]=14508;c=a+104|0;y=0;oa(460,c|0,k[d+4>>2]|0);d=y;y=0;if(!(d&1)){k[c>>2]=7492;k[a+96>>2]=2;r=h;return}h=pb()|0;k[a>>2]=13112;A9(a+84|0);A9(a+72|0);sb(h|0)}function yy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;h=r;r=r+16|0;g=h;cL(g,a);f=g+11|0;b=i[f>>0]|0;d=b<<24>>24<0;a=k[g>>2]|0;c=d?a:g;j=d?k[g+4>>2]|0:b&255;e=c+j|0;if(j){b=c;a=d?a:g;while(1){j=(cka(i[b>>0]|0)|0)&255;i[a>>0]=j;b=b+1|0;if((b|0)==(e|0))break;else a=a+1|0}b=i[f>>0]|0;a=k[g>>2]|0}d=b<<24>>24<0?a:g;b=k[20099]|0;if(!b)a=0;else{a=80396;a:while(1){c=b;while(1){if((aN(k[c+16>>2]|0,d)|0)>=0)break;b=k[c+4>>2]|0;if(!b)break a;else c=b}b=k[c>>2]|0;if(!b){a=c;break}else a=c}if((a|0)==80396)a=0;else if((aN(d,k[a+16>>2]|0)|0)<0)a=0;else a=k[a+20>>2]|0}A9(g);r=h;return a|0}function zy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=13472;e=k[b+60>>2]|0;i[a+60>>0]=e;i[a+61>>0]=(e&65535)>>>8;i[a+62>>0]=e>>>16;k[a+64>>2]=k[b+64>>2];k[a+68>>2]=k[b+68>>2];k[c>>2]=7;k[a>>2]=13112;c=a+72|0;y=0;oa(456,c|0,b+72|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}y=0;oa(456,a+84|0,b+84|0);e=y;y=0;if(!(e&1)){i[a+100>>0]=i[b+100>>0]|0;k[a+96>>2]=0;return}b=pb()|0;A9(c);sb(b|0)}function Ay(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0;h=0;g=r;r=r+16|0;e=g;f=FV(b)|0;k[e>>2]=f;y=0;b=Ha(977,e|0,83992)|0;i=y;y=0;if(i&1)h=7;else{y=0;Ma(k[(k[b>>2]|0)+48>>2]|0,b|0,56220,56246,c|0)|0;i=y;y=0;if(i&1)h=7;else{y=0;b=Ha(977,e|0,84e3)|0;i=y;y=0;if(i&1)h=7;else{y=0;c=qa(k[(k[b>>2]|0)+16>>2]|0,b|0)|0;i=y;y=0;if(!(i&1)){k[d>>2]=c;y=0;oa(k[(k[b>>2]|0)+20>>2]|0,a|0,b|0);i=y;y=0;if(!(i&1)){RQ(f)|0;r=g;return}}b=pb()|0}}}if((h|0)==7)b=pb()|0;RQ(f)|0;sb(b|0)}function By(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;h=0;g=r;r=r+16|0;e=g;f=FV(b)|0;k[e>>2]=f;y=0;b=Ha(977,e|0,83960)|0;j=y;y=0;if(j&1)h=7;else{y=0;Ma(k[(k[b>>2]|0)+32>>2]|0,b|0,56220,56246,c|0)|0;j=y;y=0;if(j&1)h=7;else{y=0;b=Ha(977,e|0,83976)|0;j=y;y=0;if(j&1)h=7;else{y=0;c=qa(k[(k[b>>2]|0)+16>>2]|0,b|0)|0;j=y;y=0;if(!(j&1)){i[d>>0]=c;y=0;oa(k[(k[b>>2]|0)+20>>2]|0,a|0,b|0);j=y;y=0;if(!(j&1)){RQ(f)|0;r=g;return}}b=pb()|0}}}if((h|0)==7)b=pb()|0;RQ(f)|0;sb(b|0)}function Cy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;f=0;l=r;r=r+32|0;g=l+16|0;h=l+8|0;d=l+4|0;e=l;j=a+52|0;c=(i[j>>0]|0)!=0;a:do if((b|0)==-1)if(c)b=-1;else{b=k[a+48>>2]|0;i[j>>0]=(b|0)!=-1&1}else{b:do if(c){c=a+48|0;k[d>>2]=k[c>>2];m=k[a+36>>2]|0;switch(Nc[k[(k[m>>2]|0)+12>>2]&15](m,k[a+40>>2]|0,d,d+4|0,e,g,g+8|0,h)|0){case 1:case 2:break;case 3:{i[g>>0]=k[c>>2];k[h>>2]=g+1;f=8;break}default:f=8}c:do if((f|0)==8){a=a+32|0;while(1){d=k[h>>2]|0;if(d>>>0<=g>>>0)break;m=d+-1|0;k[h>>2]=m;if((aG(i[m>>0]|0,k[a>>2]|0)|0)==-1)break c}break b}while(0);b=-1;break a}else c=a+48|0;while(0);k[c>>2]=b;i[j>>0]=1}while(0);r=l;return b|0}function Dy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0;j=d;h=a+8|0;g=0;i=0;a:while(1){if((c|0)==(d|0)|g>>>0>=e>>>0){a=15;break}f=A8(k[h>>2]|0)|0;y=0;a=ta(166,c|0,j-c|0,b|0)|0;l=y;y=0;if(l&1){a=7;break}if(f|0){y=0;qa(405,f|0)|0;l=y;y=0;if(l&1){a=6;break}}switch(a|0){case -2:case -1:{a=15;break a}case 0:{c=c+1|0;a=1;break}default:c=c+a|0}g=g+1|0;i=a+i|0}if((a|0)==6){l=tb(0)|0;Sla(l)}else if((a|0)==7){a=pb()|0;if(f|0){y=0;qa(405,f|0)|0;l=y;y=0;if(l&1){l=tb(0)|0;Sla(l)}}sb(a|0)}else if((a|0)==15)return i|0;return 0}function Ey(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;f=0;l=r;r=r+32|0;g=l+16|0;h=l+4|0;d=l+8|0;e=l;j=a+52|0;c=(i[j>>0]|0)!=0;a:do if((b|0)==-1)if(c)b=-1;else{b=k[a+48>>2]|0;i[j>>0]=(b|0)!=-1&1}else{b:do if(c){c=a+48|0;i[d>>0]=k[c>>2];m=k[a+36>>2]|0;switch(Nc[k[(k[m>>2]|0)+12>>2]&15](m,k[a+40>>2]|0,d,d+1|0,e,g,g+8|0,h)|0){case 1:case 2:break;case 3:{i[g>>0]=k[c>>2];k[h>>2]=g+1;f=8;break}default:f=8}c:do if((f|0)==8){a=a+32|0;while(1){d=k[h>>2]|0;if(d>>>0<=g>>>0)break;m=d+-1|0;k[h>>2]=m;if((aG(i[m>>0]|0,k[a>>2]|0)|0)==-1)break c}break b}while(0);b=-1;break a}else c=a+48|0;while(0);k[c>>2]=b;i[j>>0]=1}while(0);r=l;return b|0}function Fy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;d=r;r=r+32|0;f=d+12|0;e=d;g=k[(k[b>>2]|0)+28>>2]|0;c=a+4|0;a=k[a+72>>2]|0;k[f>>2]=k[a>>2];k[f+4>>2]=k[a+4>>2];k[f+8>>2]=k[a+8>>2];Lc[g&255](e,b,f);y=0;a=qa(395,b|0)|0;f=y;y=0;do if(!(f&1)){if(a){y=0;Na(147,c|0,e|0,b|0);g=y;y=0;if(g&1)break;A9(e);r=d;return}a=gb(80)|0;y=0;oa(640,a|0,b|0);g=y;y=0;if(!(g&1)){y=0;Na(75,a|0,3464,175);y=0;break}g=pb()|0;fb(a|0);A9(e);sb(g|0)}while(0);g=pb()|0;A9(e);sb(g|0)}function Gy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=r;r=r+48|0;f=l+16|0;e=l;d=l+32|0;k[d>>2]=b;g=d+4|0;j=a+48|0;m=k[j>>2]|0;k[g>>2]=c-((m|0)!=0&1);h=a+44|0;k[d+8>>2]=k[h>>2];k[d+12>>2]=m;if(!(k[20587]|0)){k[f>>2]=k[a+60>>2];k[f+4>>2]=d;k[f+8>>2]=2;d=O8($b(145,f|0)|0)|0}else{Tb(467,a|0);k[e>>2]=k[a+60>>2];k[e+4>>2]=d;k[e+8>>2]=2;d=O8($b(145,e|0)|0)|0;Ib(0)}if((d|0)<1){k[a>>2]=k[a>>2]|d&48^16;k[a+8>>2]=0;k[a+4>>2]=0}else{g=k[g>>2]|0;if(d>>>0>g>>>0){e=k[h>>2]|0;f=a+4|0;k[f>>2]=e;k[a+8>>2]=e+(d-g);if(!(k[j>>2]|0))d=c;else{k[f>>2]=e+1;i[b+(c+-1)>>0]=i[e>>0]|0;d=c}}}r=l;return d|0}function Hy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=13472;e=k[b+60>>2]|0;i[a+60>>0]=e;i[a+61>>0]=(e&65535)>>>8;i[a+62>>0]=e>>>16;k[a+64>>2]=k[b+64>>2];k[a+68>>2]=k[b+68>>2];k[c>>2]=7;c=a+72|0;k[c>>2]=15096;y=0;oa(501,a+76|0,b+76|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}else{k[a+88>>2]=k[b+88>>2];k[a>>2]=14880;k[c>>2]=15056;k[a+96>>2]=0;k[a+100>>2]=0;k[a+92>>2]=a+96;b=j[b+104>>1]|0;i[a+104>>0]=b;i[a+105>>0]=(b&65535)>>>8;return}}function Iy(a){a=a|0;var b=0,c=0,d=0,e=0;d=0;b=q1(a)|0;if(!b){c=i[a>>0]|0;b=a+1|0;if((c|4)<<24>>24==13)d=4;else{e=c<<24>>24|0;b=(e|0)!=10?((e|0)==12?b:0):b;if(!b)b=a;else d=4}}else d=4;if((d|0)==4)while(1){c=q1(b)|0;if(c|0){b=c;d=4;continue}d=i[b>>0]|0;c=b+1|0;if((d|4)<<24>>24==13){b=c;d=4;continue}e=d<<24>>24|0;c=(e|0)!=10?((e|0)==12?c:0):c;if(!c){c=d;break}else{b=c;d=4}}if(c<<24>>24==41){e=b+1|0;return e|0}if(!a){e=0;return e|0}b=i[48639]|0;a:do if(!(b<<24>>24))b=0;else{c=48639;while(1){if((i[a>>0]|0)!=b<<24>>24)break a;a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){b=0;break}}}while(0);e=b<<24>>24==0?a:0;return e|0}function Jy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;c=r;r=r+96|0;e=c+56|0;f=c+16|0;h=c;if(k[a+20>>2]|0){r=c;return}g=gb(76)|0;d=f;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,49408,41);d=y;y=0;if(d&1)a=pb()|0;else{y=0;d=e;a=f;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(110,g|0,e|0,h|0);f=y;y=0;if(f&1)c=1;else{y=0;Na(75,g|0,2928,175);y=0;c=0}a=pb()|0;A9(h);if(!c){h=a;sb(h|0)}}fb(g|0);h=a;sb(h|0)}function Ky(){var a=0.0;p[9569]=3.141592653589793;k[20191]=0;k[20192]=0;k[20193]=0;aI(80764,51553,21);Pb(427,80764,x|0)|0;k[20194]=0;k[20195]=0;k[20196]=0;aI(80776,51575,19);Pb(427,80776,x|0)|0;k[20197]=0;k[20198]=0;k[20199]=0;aI(80788,51595,22);Pb(427,80788,x|0)|0;k[20200]=0;k[20201]=0;k[20202]=0;aI(80800,51618,23);Pb(427,80800,x|0)|0;p[9553]=1.0;p[9554]=1.1111111111111112;a=+p[9569];p[9555]=a/180.0;p[9556]=.002777777777777778;p[9557]=.9;p[9558]=1.0;p[9559]=a/200.0;p[9560]=.0025;p[9561]=180.0/a;p[9562]=200.0/a;p[9563]=1.0;p[9564]=.5/a;p[9565]=360.0;p[9566]=400.0;p[9567]=a*2.0;p[9568]=1.0;return}function Ly(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30296){j=Fc[k[(k[a>>2]|0)+168>>2]&2047](a,b)|0;return j|0}if(!(Jo(a,b)|0)){j=0;return j|0}c=a+84|0;e=b+84|0;d=i[c+11>>0]|0;j=d<<24>>24<0;d=d&255;h=j?k[a+88>>2]|0:d;g=i[e+11>>0]|0;a=g<<24>>24<0;if((h|0)!=((a?k[b+88>>2]|0:g&255)|0)){j=0;return j|0}f=k[c>>2]|0;g=j?f:c;a=a?k[e>>2]|0:e;b=(h|0)==0;if(j){if(b){j=1;return j|0}j=(bN(g,a,h)|0)==0;return j|0}if(b){j=1;return j|0}if((f&255)<<24>>24!=(i[a>>0]|0)){j=0;return j|0}while(1){d=d+-1|0;c=c+1|0;if(!d){c=1;a=12;break}a=a+1|0;if((i[c>>0]|0)!=(i[a>>0]|0)){c=0;a=12;break}}if((a|0)==12)return c|0;return 0}function My(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30192){j=Fc[k[(k[a>>2]|0)+164>>2]&2047](a,b)|0;return j|0}if(!(Jo(a,b)|0)){j=0;return j|0}c=a+84|0;e=b+84|0;d=i[c+11>>0]|0;j=d<<24>>24<0;d=d&255;h=j?k[a+88>>2]|0:d;g=i[e+11>>0]|0;a=g<<24>>24<0;if((h|0)!=((a?k[b+88>>2]|0:g&255)|0)){j=0;return j|0}f=k[c>>2]|0;g=j?f:c;a=a?k[e>>2]|0:e;b=(h|0)==0;if(j){if(b){j=1;return j|0}j=(bN(g,a,h)|0)==0;return j|0}if(b){j=1;return j|0}if((f&255)<<24>>24!=(i[a>>0]|0)){j=0;return j|0}while(1){d=d+-1|0;c=c+1|0;if(!d){c=1;a=12;break}a=a+1|0;if((i[c>>0]|0)!=(i[a>>0]|0)){c=0;a=12;break}}if((a|0)==12)return c|0;return 0}function Ny(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;if(Jo(a,b)|0){f=a+84|0;g=b+84|0;e=i[f+11>>0]|0;h=e<<24>>24<0;e=h?k[a+88>>2]|0:e&255;d=i[g+11>>0]|0;c=d<<24>>24<0;b=c?k[b+88>>2]|0:d&255;d=b>>>0<e>>>0;a=d?b:e;if(a|0){a=bN(h?k[f>>2]|0:f,c?k[g>>2]|0:g,a)|0;if(a|0){h=a;h=(h|0)<0;return h|0}}h=e>>>0<b>>>0?-1:d&1;h=(h|0)<0;return h|0}else{e=a+72|0;f=b+72|0;h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[a+76>>2]|0:h&255;d=i[f+11>>0]|0;c=d<<24>>24<0;b=c?k[b+76>>2]|0:d&255;d=b>>>0<h>>>0;a=d?b:h;if(a|0){a=bN(g?k[e>>2]|0:e,c?k[f>>2]|0:f,a)|0;if(a|0){h=a;h=(h|0)<0;return h|0}}h=h>>>0<b>>>0?-1:d&1;h=(h|0)<0;return h|0}return 0}function Oy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;h=0;j=r;r=r+16|0;f=j;g=a+64|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,32248,6);b=i[g+11>>0]|0;d=b<<24>>24<0;e=d?k[g>>2]|0:g;b=d?k[a+68>>2]|0:b&255;d=i[f+11>>0]|0;a=d<<24>>24<0;c=a?k[f>>2]|0:f;d=a?k[f+4>>2]|0:d&255;a=e+b|0;a:do if(!d)if(!b)a=0;else{a=a+-1|0;h=6}else while(1){if((a|0)==(e|0)){a=0;break a}a=a+-1|0;if(!(aA(c,l[a>>0]|0,d)|0)){h=6;break}}while(0);if((h|0)==6)a=1-e+a|0;y=0;ta(42,g|0,a|0,-1)|0;h=y;y=0;if(h&1){j=pb()|0;A9(f);sb(j|0)}else{A9(f);r=j;return}}function Py(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=r;r=r+16|0;f=g;k[e>>2]=c;c=A8(k[a+8>>2]|0)|0;y=0;a=ta(164,f|0,0,b|0)|0;b=y;y=0;if(b&1){a=pb()|0;if(c|0){y=0;qa(405,c|0)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}}sb(a|0)}if(c|0){y=0;qa(405,c|0)|0;b=y;y=0;if(b&1){b=tb(0)|0;Sla(b)}}a:do switch(a|0){case 0:case -1:{a=2;break}default:{a=a+-1|0;if(a>>>0>(d-(k[e>>2]|0)|0)>>>0)a=1;else while(1){if(!a){a=0;break a}b=i[f>>0]|0;d=k[e>>2]|0;k[e>>2]=d+1;i[d>>0]=b;f=f+1|0;a=a+-1|0}}}while(0);r=g;return a|0}function Qy(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0;g=r;r=r+128|0;j=g+16|0;l=g+12|0;h=g;i=g+8|0;k[l>>2]=j+100;HH(a,j,l,d,e,f);f=h;k[f>>2]=0;k[f+4>>2]=0;k[i>>2]=j;f=(k[c>>2]|0)-b>>2;d=A8(k[a>>2]|0)|0;y=0;a=Ma(23,b|0,i|0,f|0,h|0)|0;f=y;y=0;if(f&1){a=pb()|0;if(d|0){y=0;qa(405,d|0)|0;l=y;y=0;if(l&1){l=tb(0)|0;Sla(l)}}sb(a|0)}if(d|0){y=0;qa(405,d|0)|0;l=y;y=0;if(l&1){l=tb(0)|0;Sla(l)}}if((a|0)==-1)CO(57322);else{k[c>>2]=b+(a<<2);r=g;return}}function Ry(a){a=a|0;var b=0,c=0;b=Es(a)|0;if(!b){b=0;return b|0}a=nu(b)|0;if(!a)a=b;else while(1){b=nu(a)|0;if(!b)break;else a=b}b=aP(a)|0;if(b){a=b;while(1){b=aP(a)|0;if(!b)break;else a=b}}c=i[a>>0]|0;b=a+1|0;a=c<<24>>24|0;b=(a|0)!=59?((a|0)==125?b:0):b;return b|0}function Sy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;e=r;r=r+16|0;f=e;cL(f,82300);y=0;oa(533,a|0,f|0);d=y;y=0;do if(d&1)a=pb()|0;else{k[a>>2]=15668;d=a+8|0;y=0;oa(456,d|0,f|0);g=y;y=0;if(g&1){g=pb()|0;Pca(a);a=g;break}A9(f);k[a>>2]=21184;k[a+20>>2]=b;k[a+24>>2]=c;y=0;Ha(1009,d|0,51819)|0;g=y;y=0;if(!(g&1)){r=e;return}g=pb()|0;k[a>>2]=15668;A9(d);Pca(a);sb(g|0)}while(0);A9(f);g=a;sb(g|0)}function Ty(a){a=a|0;var b=0,c=0,d=0;b=i0(a)|0;if(!b)b=0;else b=Bz(b)|0;b=b|0?b:a;a:do if(b|0){c=i[35514]|0;if(c<<24>>24){d=35514;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=DP(b)|0;if(b|0){a=b;return a|0}}while(0);a=pp(a)|0;return a|0}function Uy(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;h=0;g=a+76|0;b=k[g>>2]|0;if(b|0){h=b;return h|0}f=a+64|0;e=i[f+11>>0]|0;d=e<<24>>24<0;f=d?k[f>>2]|0:f;e=d?k[a+68>>2]|0:e&255;if(e>>>0>3){d=e+-4|0;c=f;b=e;a=e;while(1){e=aa(l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24,1540483477)|0;b=(aa(e>>>24^e,1540483477)|0)^(aa(b,1540483477)|0);a=a+-4|0;if(a>>>0<=3)break;else c=c+4|0}c=d&-4;a=d-c|0;c=f+(c+4)|0}else{a=e;c=f;b=e}switch(a|0){case 3:{b=(l[c+2>>0]|0)<<16^b;h=8;break}case 2:{h=8;break}case 1:{h=9;break}default:{}}if((h|0)==8){b=(l[c+1>>0]|0)<<8^b;h=9}if((h|0)==9)b=aa((l[c>>0]|0)^b,1540483477)|0;h=aa(b>>>13^b,1540483477)|0;h=h>>>15^h;k[g>>2]=h;return h|0}function Vy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=(c|0)/24|0;if(!c)return;if(d>>>0>178956970){y=0;na(421,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;Qoa(f);y=0;Na(75,f|0,5760,404);y=0}}else{y=0;e=qa(315,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d*24|0);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;wH(e|0,b|0,c|0)|0;k[g>>2]=e+(((c>>>0)/24|0)*24|0);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~(((b+-24-c|0)>>>0)/24|0)*24|0);cra(c);sb(d|0)}function Wy(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0;if((1073741806-b|0)>>>0<c>>>0)mN(a);l=a+8|0;if((i[l+3>>0]|0)<0)m=k[a>>2]|0;else m=a;if(b>>>0<536870887){c=c+b|0;j=b<<1;c=c>>>0<j>>>0?j:c;c=c>>>0<2?2:c+4&-4;if(c>>>0>1073741823){g=gb(4)|0;Qoa(g);Wb(g|0,5760,404)}}else c=1073741807;j=IM(c<<2)|0;if(e|0)waa(j,m,e)|0;if(g|0)waa(j+(e<<2)|0,h,g)|0;d=d-f|0;h=d-e|0;if(h|0)waa(j+(e<<2)+(g<<2)|0,m+(e<<2)+(f<<2)|0,h)|0;if((b|0)!=1)cra(m);k[a>>2]=j;k[l>>2]=c|-2147483648;g=d+g|0;k[a+4>>2]=g;k[j+(g<<2)>>2]=0;return}function Xy(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==1)b=2;else if(b+-1&b)b=De(b)|0;d=k[a+4>>2]|0;if(b>>>0>d>>>0){Aj(a,b);return}if(b>>>0>=d>>>0)return;c=~~+$(+(+((k[a+12>>2]|0)>>>0)/+o[a+16>>2]))>>>0;if(d>>>0>2&(d+-1&d|0)==0)c=1<<32-(da(c+-1|0)|0);else c=De(c)|0;b=b>>>0<c>>>0?c:b;if(b>>>0>=d>>>0)return;Aj(a,b);return}function Yy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=30322){b=0;return b|0}if(!(Jo(a,b)|0)){b=0;return b|0}c=a+84|0;f=b+84|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[a+88>>2]|0:e;l=i[f+11>>0]|0;d=l<<24>>24<0;if((h|0)!=((d?k[b+88>>2]|0:l&255)|0)){b=0;return b|0}j=k[c>>2]|0;l=g?j:c;d=d?k[f>>2]|0:f;f=(h|0)==0;a:do if(g){if(!f)if(bN(l,d,h)|0){b=0;return b|0}}else if(!f){if((j&255)<<24>>24!=(i[d>>0]|0)){b=0;return b|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}return c|0}while(0);b=Fc[k[(k[a>>2]|0)+164>>2]&2047](a,b)|0;return b|0}function Zy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=30350){b=0;return b|0}if(!(Jo(a,b)|0)){b=0;return b|0}c=a+84|0;f=b+84|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[a+88>>2]|0:e;l=i[f+11>>0]|0;d=l<<24>>24<0;if((h|0)!=((d?k[b+88>>2]|0:l&255)|0)){b=0;return b|0}j=k[c>>2]|0;l=g?j:c;d=d?k[f>>2]|0:f;f=(h|0)==0;a:do if(g){if(!f)if(bN(l,d,h)|0){b=0;return b|0}}else if(!f){if((j&255)<<24>>24!=(i[d>>0]|0)){b=0;return b|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}return c|0}while(0);b=Fc[k[(k[a>>2]|0)+168>>2]&2047](a,b)|0;return b|0}function _y(a){a=a|0;var b=0,c=0;c=0;switch(i[a>>0]|0){case 42:{b=a+1|0;break}case 45:{b=a;do b=b+1|0;while((i[b>>0]|0)==45);c=3;break}default:{b=a;c=3}}do if((c|0)==3){c=hx(b)|0;if(c|0){c=gx(c)|0;if(c|0){b=c;break}}b=Rn(b)|0}while(0);b=b|0?b:a;if(!b)b=0;else{c=b+1|0;if((i[b>>0]|0)==124)b=(i[c>>0]|0)==61?0:c;else b=0}b=b|0?b:a;if(!b){a=0;return a|0}if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(!b){a=0;return a|0}a=gx(b)|0;return a|0}function $y(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;if(!b)return;$y(a,k[b>>2]|0);$y(a,k[b+4>>2]|0);d=b+24|0;a=k[d>>2]|0;if(a|0){e=b+28|0;c=k[e>>2]|0;if((c|0)!=(a|0)){do{f=c+-12|0;k[e>>2]=f;DO(f);c=k[e>>2]|0}while((c|0)!=(a|0));a=k[d>>2]|0}cra(a)}DO(b+16|0);cra(b);return}function az(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;g=0;f=a+60|0;e=i[f+11>>0]|0;d=e<<24>>24<0;f=d?k[f>>2]|0:f;e=d?k[a+64>>2]|0:e&255;if(e>>>0>3){d=e+-4|0;c=f;a=e;b=e;while(1){e=aa(l[c>>0]|l[c+1>>0]<<8|l[c+2>>0]<<16|l[c+3>>0]<<24,1540483477)|0;a=(aa(e>>>24^e,1540483477)|0)^(aa(a,1540483477)|0);b=b+-4|0;if(b>>>0<=3)break;else c=c+4|0}c=d&-4;b=d-c|0;c=f+(c+4)|0}else{b=e;c=f;a=e}switch(b|0){case 3:{a=(l[c+2>>0]|0)<<16^a;g=7;break}case 2:{g=7;break}case 1:break;default:{g=a;f=g>>>13;g=f^g;g=aa(g,1540483477)|0;f=g>>>15;g=f^g;return g|0}}if((g|0)==7)a=(l[c+1>>0]|0)<<8^a;g=aa((l[c>>0]|0)^a,1540483477)|0;f=g>>>13;g=f^g;g=aa(g,1540483477)|0;f=g>>>15;g=f^g;return g|0}function bz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=b+4|0;b=k[e>>2]|0;c=c+4|0;if(Fc[k[(k[b>>2]|0)+160>>2]&2047](b,k[c>>2]|0)|0){a=d+4|0;if(k[a>>2]|0)QO(d);k[a>>2]=k[e>>2];_V(d);d=1;return d|0}a=k[e>>2]|0;if(k[a+72>>2]|0){d=0;return d|0}b=k[c>>2]|0;if(k[b+72>>2]|0){d=0;return d|0}if(cf(a,b)|0){a=d+4|0;if(k[a>>2]|0)QO(d);k[a>>2]=k[c>>2];_V(d);d=1;return d|0}if(!(cf(k[c>>2]|0,k[e>>2]|0)|0)){d=0;return d|0}a=d+4|0;if(k[a>>2]|0)QO(d);k[a>>2]=k[e>>2];_V(d);d=1;return d|0}function cz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;g=r;r=r+16|0;d=g;a:do if(!b)a=0;else{do if(c|0){f=(a|0)==0?d:a;a=i[b>>0]|0;d=a&255;if(a<<24>>24>-1){k[f>>2]=d;a=a<<24>>24!=0&1;break a}a=d+-194|0;if(a>>>0<=50){d=b+1|0;e=k[21356+(a<<2)>>2]|0;if(c>>>0<4)if(e&-2147483648>>>((c*6|0)+-6|0)|0)break;a=l[d>>0]|0;c=a>>>3;if((c+-16|c+(e>>26))>>>0<=7){a=a+-128|e<<6;if((a|0)>=0){k[f>>2]=a;a=2;break a}d=(l[b+2>>0]|0)+-128|0;if(d>>>0<=63){d=d|a<<6;if((d|0)>=0){k[f>>2]=d;a=3;break a}a=(l[b+3>>0]|0)+-128|0;if(a>>>0<=63){k[f>>2]=a|d<<6;a=4;break a}}}}}while(0);a=W8()|0;k[a>>2]=84;a=-1}while(0);r=g;return a|0}function dz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+32|0;c=f+8|0;d=f;e=a+4|0;Rx(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48818,8);y=0;Na(147,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;A9(c);sb(g|0)}A9(c);$q(e,0);LT(d,k[b+68>>2]|0);k[d>>2]=6508;g=k[d+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){DO(d);rq(e,0);r=f;return}g=pb()|0;DO(d);sb(g|0)}function ez(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;if(!b)return;ez(a,k[b>>2]|0);ez(a,k[b+4>>2]|0);d=b+20|0;a=k[d>>2]|0;if(a|0){e=b+24|0;c=k[e>>2]|0;if((c|0)!=(a|0)){do{f=c+-16|0;k[e>>2]=f;DO(c+-8|0);DO(f);c=k[e>>2]|0}while((c|0)!=(a|0));a=k[d>>2]|0}cra(a)}cra(b);return}function fz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;i=r;r=r+16|0;f=i+8|0;g=i+12|0;h=i;d=k[a+12>>2]|0;if(d)while(1){e=k[d+12>>2]|0;if(!e)break;else{a=d;d=e}}k[f>>2]=b;Br(h,a,b,85897,f,g);d=k[h>>2]|0;a=d+28|0;d=d+32|0;if(!(k[d>>2]|0)){c=c+4|0;c=k[c>>2]|0;k[d>>2]=c;_V(a);r=i;return}QO(a);c=c+4|0;c=k[c>>2]|0;k[d>>2]=c;_V(a);r=i;return}function gz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;cL(a,b);d=a+12|0;y=0;oa(456,d|0,b+12|0);e=y;y=0;if(e&1){e=pb()|0;A9(a);sb(e|0)}e=a+24|0;y=0;oa(456,e|0,b+24|0);b=y;y=0;if(b&1){e=pb()|0;A9(d);A9(a);sb(e|0)}y=0;oa(456,a+36|0,c|0);c=y;y=0;if(c&1){c=pb()|0;A9(e);A9(d);A9(a);sb(c|0)}else return}function hz(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==1)b=2;else if(b+-1&b)b=De(b)|0;d=k[a+4>>2]|0;if(b>>>0>d>>>0){Cj(a,b);return}if(b>>>0>=d>>>0)return;c=~~+$(+(+((k[a+12>>2]|0)>>>0)/+o[a+16>>2]))>>>0;if(d>>>0>2&(d+-1&d|0)==0)c=1<<32-(da(c+-1|0)|0);else c=De(c)|0;b=b>>>0<c>>>0?c:b;if(b>>>0>=d>>>0)return;Cj(a,b);return}function iz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,87975,0);e=i[b+11>>0]|0;f=e<<24>>24<0;c=f?k[b>>2]|0:b;e=f?k[b+4>>2]|0:e&255;f=c+e|0;if(!e)return;else b=0;a:while(1){d=i[c>>0]|0;e=d<<24>>24;do if(d<<24>>24==10){y=0;oa(458,a|0,32);e=y;y=0;if(e&1){b=5;break a}else b=1}else{if(b)if(Pma(e)|0){b=1;break}y=0;oa(458,a|0,d|0);e=y;y=0;if(e&1){b=5;break a}else b=0}while(0);c=c+1|0;if((c|0)==(f|0)){b=2;break}}if((b|0)==2)return;else if((b|0)==5){f=pb()|0;A9(a);sb(f|0)}}function jz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;f=0;g=r;r=r+32|0;b=g+12|0;d=g;e=tra()|0;if(!(aN(a,43035)|0)){f=0;r=g;return f|0}if(!(aN(e,43035)|0)){f=0;r=g;return f|0}k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,e,IJ(e)|0);c=dJ(b,46,0)|0;A9(b);if((c|0)==-1)f=5;else{k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;aI(d,e,IJ(e)|0);b=dJ(d,46,c+1|0)|0;A9(d);if((b|0)==-1)f=5;else b=gK(a,e,b)|0}if((f|0)==5)b=aN(a,e)|0;f=(b|0)==0;r=g;return f|0}function kz(a,b){a=a|0;b=b|0;var c=0,d=0;if((b|0)==1)b=2;else if(b+-1&b)b=De(b)|0;d=k[a+4>>2]|0;if(b>>>0>d>>>0){Fj(a,b);return}if(b>>>0>=d>>>0)return;c=~~+$(+(+((k[a+12>>2]|0)>>>0)/+o[a+16>>2]))>>>0;if(d>>>0>2&(d+-1&d|0)==0)c=1<<32-(da(c+-1|0)|0);else c=De(c)|0;b=b>>>0<c>>>0?c:b;if(b>>>0>=d>>>0)return;Fj(a,b);return}function lz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=a+8|0;d=k[i>>2]|0;j=a+4|0;e=k[j>>2]|0;if(d-e>>2>>>0>=b>>>0){kK(e|0,0,b<<2|0)|0;k[j>>2]=e+(b<<2);return}c=k[a>>2]|0;f=(e-c>>2)+b|0;if(f>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[i>>2]|0;e=k[j>>2]|0}d=d-c|0;g=d>>1;g=d>>2>>>0<536870911?(g>>>0<f>>>0?f:g):1073741823;d=e-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(d<<2)|0;kK(f|0,0,b<<2|0)|0;d=e-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+(b<<2);k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function mz(a,b,c){a=a|0;b=b|0;c=c|0;b=b+4|0;if(!(Go(b,c)|0)){LT(a,0);k[a>>2]=7284;return}b=Go(b,c)|0;if(b|0){LT(a,k[b+20>>2]|0);k[a>>2]=7284;return}b=gb(8)|0;y=0;oa(479,b|0,31545);a=y;y=0;if(a&1){a=pb()|0;fb(b|0);sb(a|0)}else{k[b>>2]=29256;Wb(b|0,5824,407)}}function nz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(421,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;Qoa(f);y=0;Na(75,f|0,5760,404);y=0}}else{y=0;e=qa(315,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;wH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);sb(d|0)}function oz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;g=h;f=a+72|0;e=(k[a+80>>2]|0)-(k[a+76>>2]|0)>>3;if(!e){r=h;return}b=g+4|0;a=0;while(1){c=Fc[k[(k[f>>2]|0)+16>>2]&2047](f,a)|0;d=(Fc[k[(k[f>>2]|0)+16>>2]&2047](f,a)|0)+4|0;d=k[d>>2]|0;LT(g,oc[k[(k[d>>2]|0)+16>>2]&511](d)|0);k[g>>2]=13284;if((c|0)!=(g|0)){d=c+4|0;if(k[d>>2]|0){y=0;na(423,c|0);c=y;y=0;if(c&1){a=9;break}}k[d>>2]=k[b>>2];k[b>>2]=0}DO(g);a=a+1|0;if(a>>>0>=e>>>0){a=3;break}}if((a|0)==3){r=h;return}else if((a|0)==9){h=pb()|0;DO(g);sb(h|0)}}function pz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(421,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;Qoa(f);y=0;Na(75,f|0,5760,404);y=0}}else{y=0;e=qa(315,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;wH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);sb(d|0)}function qz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(421,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;Qoa(f);y=0;Na(75,f|0,5760,404);y=0}}else{y=0;e=qa(315,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;wH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);sb(d|0)}function rz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;g=h;f=a+72|0;e=(k[a+80>>2]|0)-(k[a+76>>2]|0)>>3;if(!e){r=h;return}b=g+4|0;a=0;while(1){c=Fc[k[(k[f>>2]|0)+16>>2]&2047](f,a)|0;d=(Fc[k[(k[f>>2]|0)+16>>2]&2047](f,a)|0)+4|0;d=k[d>>2]|0;LT(g,oc[k[(k[d>>2]|0)+16>>2]&511](d)|0);k[g>>2]=15136;if((c|0)!=(g|0)){d=c+4|0;if(k[d>>2]|0){y=0;na(423,c|0);c=y;y=0;if(c&1){a=9;break}}k[d>>2]=k[b>>2];k[b>>2]=0}DO(g);a=a+1|0;if(a>>>0>=e>>>0){a=3;break}}if((a|0)==3){r=h;return}else if((a|0)==9){h=pb()|0;DO(g);sb(h|0)}}function sz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+32|0;c=f+8|0;d=f;e=a+4|0;Rx(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,51047,7);y=0;Na(147,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;A9(c);sb(g|0)}A9(c);Bla(e);LT(d,k[b+68>>2]|0);k[d>>2]=6756;g=k[d+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){DO(d);IL(e);r=f;return}g=pb()|0;DO(d);sb(g|0)}function tz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;f=b;d=a+8|0;m=d+3|0;e=i[m>>0]|0;if(e<<24>>24<0){d=(k[d>>2]&2147483647)+-1|0;l=k[a+4>>2]|0}else{d=1;l=e&255}j=c-f>>2;do if(j|0){if((d-l|0)>>>0<j>>>0){fB(a,d,l+j-d|0,l,l,0,0);d=i[m>>0]|0}else d=e;h=d<<24>>24<0;if(h)g=k[a>>2]|0;else g=a;f=l+((c-f|0)>>>2)|0;e=g+(l<<2)|0;d=b;while(1){if((d|0)==(c|0))break;k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}k[g+(f<<2)>>2]=0;d=l+j|0;if(h){k[a+4>>2]=d;break}else{i[m>>0]=d;break}}while(0);return a|0}function uz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+32|0;c=f+8|0;d=f;e=a+4|0;Rx(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,50964,5);y=0;Na(147,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;A9(c);sb(g|0)}A9(c);Bla(e);LT(d,k[b+68>>2]|0);k[d>>2]=7284;g=k[d+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){DO(d);IL(e);r=f;return}g=pb()|0;DO(d);sb(g|0)}function vz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;e=g+8|0;f=g;c=k[b>>2]|0;d=b+4|0;if((c|0)==(d|0)){r=g;return}a=a+92|0;while(1){b=k[c+20>>2]|0;LT(f,oc[k[(k[b>>2]|0)+16>>2]&511](b)|0);k[f>>2]=15136;y=0;Ra(13,e|0,a|0,f|0,f|0);b=y;y=0;if(b&1){b=10;break}DO(f);b=k[c+4>>2]|0;if(!b)while(1){b=k[c+8>>2]|0;if((k[b>>2]|0)==(c|0))break;else c=b}else while(1){c=k[b>>2]|0;if(!c)break;else b=c}if((b|0)==(d|0)){b=3;break}else c=b}if((b|0)==3){r=g;return}else if((b|0)==10){g=pb()|0;DO(f);sb(g|0)}}function wz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+32|0;c=f+8|0;d=f;e=a+4|0;Rx(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,51039,7);y=0;Na(147,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;A9(c);sb(g|0)}A9(c);Bla(e);LT(d,k[b+68>>2]|0);k[d>>2]=7284;g=k[d+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){DO(d);IL(e);r=f;return}g=pb()|0;DO(d);sb(g|0)}function xz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+32|0;c=f+8|0;d=f;e=a+4|0;Rx(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,50977,6);y=0;Na(147,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;A9(c);sb(g|0)}A9(c);Bla(e);LT(d,k[b+68>>2]|0);k[d>>2]=7284;g=k[d+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){DO(d);IL(e);r=f;return}g=pb()|0;DO(d);sb(g|0)}function yz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;f=r;r=r+32|0;c=f+8|0;d=f;e=a+4|0;Rx(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,50970,6);y=0;Na(147,e|0,c|0,b|0);g=y;y=0;if(g&1){g=pb()|0;A9(c);sb(g|0)}A9(c);Bla(e);LT(d,k[b+68>>2]|0);k[d>>2]=7284;g=k[d+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){DO(d);IL(e);r=f;return}g=pb()|0;DO(d);sb(g|0)}function zz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;b=g;f=a+76|0;k[f>>2]=0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,52136,1);y=0;oa(679,a|0,b|0);e=y;y=0;if(e&1){g=pb()|0;A9(b);sb(g|0)}A9(b);if((k[k[a+68>>2]>>2]|0)==3){r=g;return}e=a+4|0;b=i[e+11>>0]|0;c=b<<24>>24<0;if(c)d=k[a+8>>2]|0;else d=b&255;if(!d){r=g;return}if(c)b=k[a+8>>2]|0;else b=b&255;e=FN(e,b+-1|0)|0;if(Pma(l[e>>0]|0)|0)if(!(i[a+84>>0]|0)){r=g;return}k[f>>2]=1;r=g;return}function Az(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=0;j=i[a+11>>0]|0;h=j<<24>>24<0;g=a+4|0;e=k[g>>2]|0;j=j&255;do if((h?e:j)|0){if((b|0)!=(c|0)){e=c;f=b;while(1){e=e+-4|0;if(f>>>0>=e>>>0)break;m=k[f>>2]|0;k[f>>2]=k[e>>2];k[e>>2]=m;f=f+4|0}e=k[g>>2]|0}m=h?k[a>>2]|0:a;c=c+-4|0;a=m+(h?e:j)|0;e=m;while(1){f=i[e>>0]|0;g=f<<24>>24|0;g=(g|0)>0&(g|0)!=127;if(b>>>0>=c>>>0)break;if(g)if((f<<24>>24|0)!=(k[b>>2]|0)){l=10;break}b=b+4|0;e=(a-e|0)>1?e+1|0:e}if((l|0)==10){k[d>>2]=4;break}if(g)if(((k[c>>2]|0)+-1|0)>>>0>=f<<24>>24>>>0)k[d>>2]=4}while(0);return}function Bz(a){a=a|0;var b=0,c=0;a=mE(a)|0;if(!a){c=0;return c|0}while(1){b=mE(a)|0;if(!b)break;else a=b}b=nE(a)|0;if(b){a=b;while(1){b=nE(a)|0;if(!b)break;else a=b}}a=i0(a)|0;if(!a){c=0;return c|0}while(1){b=mE(a)|0;if(!b){b=11;break}while(1){c=mE(b)|0;if(!c)break;else b=c}c=nE(b)|0;if(c){b=c;while(1){c=nE(b)|0;if(!c)break;else b=c}}b=i0(b)|0;if(!b){b=11;break}else a=b}if((b|0)==11)return a|0;return 0}function Cz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(421,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;Qoa(f);y=0;Na(75,f|0,5760,404);y=0}}else{y=0;e=qa(315,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;wH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);sb(d|0)}function Dz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;k[a>>2]=0;g=a+4|0;k[g>>2]=0;k[a+8>>2]=0;f=b+4|0;c=(k[f>>2]|0)-(k[b>>2]|0)|0;d=c>>2;if(!d)return;if(d>>>0>1073741823){y=0;na(421,a|0);f=y;y=0;if(!(f&1)){f=gb(4)|0;Qoa(f);y=0;Na(75,f|0,5760,404);y=0}}else{y=0;e=qa(315,c|0)|0;c=y;y=0;if(!(c&1)){k[g>>2]=e;k[a>>2]=e;k[a+8>>2]=e+(d<<2);b=k[b>>2]|0;c=(k[f>>2]|0)-b|0;if((c|0)<=0)return;wH(e|0,b|0,c|0)|0;k[g>>2]=e+(c>>2<<2);return}}d=pb()|0;c=k[a>>2]|0;if(!c)sb(d|0);b=k[g>>2]|0;if((b|0)!=(c|0))k[g>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);sb(d|0)}function Ez(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;h=r;r=r+32|0;g=h;f=k[a+8>>2]|0;c=k[a+4>>2]|0;if(f-c>>2>>>0<b>>>0){e=k[a>>2]|0;c=c-e>>2;d=c+b|0;if(d>>>0>1073741823)pN(a);e=f-e|0;f=e>>1;XI(g,e>>2>>>0<536870911?(f>>>0<d>>>0?d:f):1073741823,c,a+16|0);d=g+8|0;c=k[d>>2]|0;do{k[c>>2]=0;c=(k[d>>2]|0)+4|0;k[d>>2]=c;b=b+-1|0}while((b|0)!=0);TD(a,g);pK(g)}else MO(a,b);r=h;return}function Fz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d;a=a+4|0;Rx(a);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,51026,7);y=0;Na(147,a|0,c|0,b|0);e=y;y=0;if(e&1){e=pb()|0;A9(c);sb(e|0)}A9(c);Bla(a);cL(c,b+64|0);y=0;oa(679,a|0,c|0);e=y;y=0;if(!(e&1)){A9(c);IL(a);r=d;return}e=pb()|0;A9(c);sb(e|0)}function Gz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;c=k[b+52>>2]|0;i[a+52>>0]=c;i[a+53>>0]=(c&65535)>>>8;i[a+54>>0]=c>>>16;c=a+56|0;k[c>>2]=k[b+56>>2];k[a>>2]=10176;d=a+60|0;y=0;oa(456,d|0,b+60|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}e=a+72|0;y=0;oa(460,e|0,k[b+76>>2]|0);f=y;y=0;if(!(f&1)){k[e>>2]=8964;i[a+80>>0]=i[b+80>>0]|0;k[a+84>>2]=k[b+84>>2];k[a+88>>2]=k[b+88>>2];k[c>>2]=11;return}f=pb()|0;A9(d);sb(f|0)}function Hz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;f=r;r=r+32|0;d=f+20|0;g=f+8|0;e=f;i[d>>0]=0;k[g+4>>2]=0;k[g+8>>2]=0;h=g+4|0;k[g>>2]=h;y=0;oa(460,e|0,k[b+4>>2]|0);b=y;y=0;do if(b&1)a=pb()|0;else{k[e>>2]=6756;y=0;a=sa(28,a|0,e|0,c|0,d|0,g|0)|0;d=y;y=0;if(d&1){a=pb()|0;DO(e);break}else{DO(e);gH(g,k[h>>2]|0);r=f;return a|0}}while(0);gH(g,k[h>>2]|0);sb(a|0);return 0}function Iz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;e=b+84|0;g=a+4|0;if(!(i[e>>0]|0)){v8(g,b);$q(g,0)}if(!($ka(g)|0)){f=a+76|0;k[f>>2]=(k[f>>2]|0)+(k[b+56>>2]|0)}c=k[b+68>>2]|0;d=(k[b+72>>2]|0)-c>>3;if(d|0){f=b+68|0;c=k[c+4>>2]|0;mc[k[(k[c>>2]|0)+44>>2]&1023](c,a);if((d|0)!=1){c=1;do{h=k[(k[f>>2]|0)+(c<<3)+4>>2]|0;mc[k[(k[h>>2]|0)+44>>2]&1023](h,a);c=c+1|0}while((c|0)!=(d|0))}}if(!($ka(g)|0)){h=a+76|0;k[h>>2]=(k[h>>2]|0)-(k[b+56>>2]|0)}if(i[e>>0]|0)return;rq(g,0);d8(g,b);return}function Jz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[a>>2]=6212;d=k[b+52>>2]|0;i[a+52>>0]=d;i[a+53>>0]=(d&65535)>>>8;i[a+54>>0]=d>>>16;k[a+56>>2]=k[b+56>>2];k[a>>2]=9580;d=b+60|0;e=k[d+4>>2]|0;c=a+60|0;k[c>>2]=k[d>>2];k[c+4>>2]=e;c=a+68|0;y=0;oa(460,c|0,k[b+72>>2]|0);e=y;y=0;if(e&1){b=pb()|0;sb(b|0)}k[c>>2]=7284;d=a+76|0;y=0;oa(460,d|0,k[b+80>>2]|0);e=y;y=0;if(!(e&1)){k[d>>2]=7284;k[a+84>>2]=k[b+84>>2];return}b=pb()|0;DO(c);sb(b|0)}function Kz(a){a=a|0;var b=0;a=Hj(a)|0;if(!a){b=0;return b|0}while(1){b=Hj(a)|0;if(!b)break;else a=b}b=(i[a>>0]|0)==37?0:a;return b|0}function Lz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0;e=r;r=r+32|0;d=e+12|0;f=e;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,c,IJ(c)|0);y=0;Na(162,d|0,b|0,f|0);c=y;y=0;do if(c&1)a=pb()|0;else{y=0;oa(533,a|0,d|0);c=y;y=0;if(c&1){a=pb()|0;A9(d);break}else{A9(d);A9(f);k[a>>2]=28976;c=b;d=k[c+4>>2]|0;f=a+8|0;k[f>>2]=k[c>>2];k[f+4>>2]=d;r=e;return}}while(0);A9(f);sb(a|0)}function Mz(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;e=r;r=r+48|0;g=e+32|0;d=e+24|0;h=e+16|0;f=e;e=e+36|0;a=HR()|0;if(a|0){c=k[a>>2]|0;if(c|0){a=c+48|0;b=k[a>>2]|0;a=k[a+4>>2]|0;if(!((b&-256|0)==1126902528&(a|0)==1129074247)){k[d>>2]=k[7266];sV(58879,d)}if((b|0)==1126902529&(a|0)==1129074247)a=k[c+44>>2]|0;else a=c+80|0;k[e>>2]=a;d=k[c>>2]|0;a=k[d+4>>2]|0;if(rc[k[(k[1424]|0)+16>>2]&255](5696,d,e)|0){h=k[e>>2]|0;e=k[7266]|0;h=oc[k[(k[h>>2]|0)+8>>2]&511](h)|0;k[f>>2]=e;k[f+4>>2]=a;k[f+8>>2]=h;sV(58793,f)}else{k[h>>2]=k[7266];k[h+4>>2]=a;sV(58838,h)}}}sV(58917,g)}function Nz(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0;m=r;r=r+16|0;j=m+4|0;l=m;h=a+8|0;h=oc[k[(k[h>>2]|0)+8>>2]&511](h)|0;a=i[h+8+3>>0]|0;if(a<<24>>24<0)g=k[h+4>>2]|0;else g=a&255;a=i[h+20+3>>0]|0;if(a<<24>>24<0)a=k[h+16>>2]|0;else a=a&255;do if((g|0)==(0-a|0))k[e>>2]=k[e>>2]|4;else{k[l>>2]=k[d>>2];k[j>>2]=k[l>>2];a=(wh(c,j,h,h+24|0,f,e,0)|0)-h|0;g=k[b>>2]|0;if((g|0)==12&(a|0)==0){k[b>>2]=0;break}if((g|0)<12&(a|0)==12)k[b>>2]=g+12}while(0);r=m;return}function Oz(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0;m=r;r=r+16|0;j=m+4|0;l=m;h=a+8|0;h=oc[k[(k[h>>2]|0)+8>>2]&511](h)|0;a=i[h+11>>0]|0;if(a<<24>>24<0)g=k[h+4>>2]|0;else g=a&255;a=i[h+12+11>>0]|0;if(a<<24>>24<0)a=k[h+16>>2]|0;else a=a&255;do if((g|0)==(0-a|0))k[e>>2]=k[e>>2]|4;else{k[l>>2]=k[d>>2];k[j>>2]=k[l>>2];a=(Jh(c,j,h,h+24|0,f,e,0)|0)-h|0;g=k[b>>2]|0;if((g|0)==12&(a|0)==0){k[b>>2]=0;break}if((g|0)<12&(a|0)==12)k[b>>2]=g+12}while(0);r=m;return}function Pz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>2;g=h>>3>>>0<268435455?(g>>>0<e>>>0?e:g):536870911;e=d-c>>3;do if(!g)h=0;else if(g>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<3)|0;break}while(0);f=h+(e<<3)|0;l=b;b=k[l+4>>2]|0;e=f;k[e>>2]=k[l>>2];k[e+4>>2]=b;d=d-c|0;e=f+(0-(d>>3)<<3)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+8;k[i>>2]=h+(g<<3);if(!c)return;cra(c);return}function Qz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>3)+1|0;if(e>>>0>536870911){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>2;g=h>>3>>>0<268435455?(g>>>0<e>>>0?e:g):536870911;e=d-c>>3;do if(!g)h=0;else if(g>>>0>536870911){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<3)|0;break}while(0);f=h+(e<<3)|0;l=b;b=k[l+4>>2]|0;e=f;k[e>>2]=k[l>>2];k[e+4>>2]=b;d=d-c|0;e=f+(0-(d>>3)<<3)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+8;k[i>>2]=h+(g<<3);if(!c)return;cra(c);return}function Rz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+96|0;d=g+56|0;e=g+16|0;h=gb(76)|0;f=e;c=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(c|0));y=0;oa(456,g|0,a|0);f=y;y=0;if(f&1)b=pb()|0;else{y=0;f=d;b=e;c=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(c|0));Ra(17,h|0,d|0,g|0,0);f=y;y=0;if(f&1)c=1;else{y=0;Na(75,h|0,2120,175);y=0;c=0}b=pb()|0;A9(g);if(!c){h=b;sb(h|0)}}fb(h|0);h=b;sb(h|0)}function Sz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=r;r=r+16|0;b=f;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,51413,1);y=0;oa(679,a|0,b|0);e=y;y=0;if(e&1){f=pb()|0;A9(b);sb(f|0)}A9(b);if((k[k[a+68>>2]>>2]|0)==3){r=f;return}e=a+4|0;b=i[e+11>>0]|0;c=b<<24>>24<0;if(c)d=k[a+8>>2]|0;else d=b&255;if(!d){r=f;return}if(c)b=k[a+8>>2]|0;else b=b&255;e=FN(e,b+-1|0)|0;if(Pma(l[e>>0]|0)|0)if(!(i[a+84>>0]|0)){r=f;return}k[a+76>>2]=1;r=f;return}function Tz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;cL(a,b);c=a+12|0;y=0;oa(456,c|0,b+12|0);d=y;y=0;if(d&1){d=pb()|0;A9(a);sb(d|0)}d=a+24|0;y=0;oa(456,d|0,b+24|0);e=y;y=0;if(e&1){e=pb()|0;A9(c);A9(a);sb(e|0)}y=0;oa(456,a+36|0,b+36|0);e=y;y=0;if(e&1){e=pb()|0;A9(d);A9(c);A9(a);sb(e|0)}else return}function Uz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;f=b;l=a+11|0;d=i[l>>0]|0;if(d<<24>>24<0){e=(k[a+8>>2]&2147483647)+-1|0;j=k[a+4>>2]|0}else{e=10;j=d&255}h=c-f|0;do if(h|0){if((e-j|0)>>>0<h>>>0){JD(a,e,j+h-e|0,j,j,0,0);d=i[l>>0]|0}if(d<<24>>24<0)g=k[a>>2]|0;else g=a;f=c+(j-f)|0;e=g+j|0;d=b;while(1){if((d|0)==(c|0))break;i[e>>0]=i[d>>0]|0;e=e+1|0;d=d+1|0}i[g+f>>0]=0;d=j+h|0;if((i[l>>0]|0)<0){k[a+4>>2]=d;break}else{i[l>>0]=d;break}}while(0);return a|0}function Vz(a){a=a|0;var b=0,c=0,d=0;k[a>>2]=16972;b=a+64|0;c=k[b>>2]|0;do if(c|0){y=0;qa(242,a|0)|0;d=y;y=0;if(d&1){d=tb(0)|0;SJ(c)|0;vb(d|0)|0;y=0;la(3);d=y;y=0;if(!(d&1))break;d=tb(0)|0;Xaa(a);Sla(d)}else{if(SJ(c)|0)break;k[b>>2]=0;break}}while(0);d=j[a+96>>1]|0;b=(d&65535)>>>8&255;if((d&255)<<24>>24){c=k[a+32>>2]|0;if(c){Xqa(c);b=i[a+97>>0]|0}}if(!(b<<24>>24)){Xaa(a);return}b=k[a+56>>2]|0;if(!b){Xaa(a);return}Xqa(b);Xaa(a);return}function Wz(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(88)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;b=e+56|0;k[b>>2]=k[a+56>>2];k[e>>2]=9288;c=e+60|0;k[c>>2]=9248;y=0;oa(469,e+64|0,a+64|0);d=y;y=0;if(!(d&1)){k[e+76>>2]=k[a+76>>2];k[e>>2]=9076;k[c>>2]=9208;k[e+80>>2]=k[a+80>>2];a=j[a+84>>1]|0;i[e+84>>0]=a;i[e+85>>0]=(a&65535)>>>8;k[b>>2]=5;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function Xz(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0;g=r;r=r+16|0;f=g;d=a+68|0;c=k[d>>2]|0;if((k[c>>2]|0)!=2){r=g;return}k[a+80>>2]=1;k[a+76>>2]=0;e=a+72|0;if(!(k[e>>2]|0)){r=g;return}b=0;while(1){c=k[c+12>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,c,IJ(c)|0);y=0;oa(679,a|0,f|0);c=y;y=0;if(c&1){b=7;break}A9(f);b=b+1|0;if(b>>>0>=(k[e>>2]|0)>>>0){b=8;break}c=k[d>>2]|0}if((b|0)==7){g=pb()|0;A9(f);sb(g|0)}else if((b|0)==8){r=g;return}}function Yz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;i=r;r=r+96|0;f=i+56|0;g=i+40|0;h=i;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,47486,42);e=h;c=b+12|0;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));b=k[a+112>>2]|0;if((b|0)==(k[a+108>>2]|0))b=0;else b=k[b+-4>>2]|0;y=0;e=f;c=h;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));Na(98,g|0,f|0,b|0);h=y;y=0;if(h&1){i=pb()|0;A9(g);sb(i|0)}else{A9(g);r=i;return 0}return 0}function Zz(a,b){a=a|0;b=b|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;if((cc|0)==1)cc=3}Qc(fc+54076|0);return k[dc>>2]|0}function _z(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function $z(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function aA(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;f=b&255;d=(c|0)!=0;a:do if(d&(a&3|0)!=0){e=b&255;while(1){if((i[a>>0]|0)==e<<24>>24){g=6;break a}a=a+1|0;c=c+-1|0;d=(c|0)!=0;if(!(d&(a&3|0)!=0)){g=5;break}}}else g=5;while(0);if((g|0)==5)if(d)g=6;else c=0;b:do if((g|0)==6){e=b&255;if((i[a>>0]|0)!=e<<24>>24){d=aa(f,16843009)|0;c:do if(c>>>0>3)while(1){f=k[a>>2]^d;if((f&-2139062144^-2139062144)&f+-16843009|0)break;a=a+4|0;c=c+-4|0;if(c>>>0<=3){g=11;break c}}else g=11;while(0);if((g|0)==11)if(!c){c=0;break}while(1){if((i[a>>0]|0)==e<<24>>24)break b;a=a+1|0;c=c+-1|0;if(!c){c=0;break}}}}while(0);return (c|0?a:0)|0}function bA(a){a=a|0;var b=0,c=0,d=0,e=0;d=r;r=r+16|0;c=d;LT(c,k[a+76>>2]|0);k[c>>2]=6756;b=k[c+4>>2]|0;if(b|0)if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30714){DO(c);a=k[b+76>>2]|0;c=(k[b+80>>2]|0)-a>>3;if(!c){c=1;r=d;return c|0}b=b+76|0;a=k[a+4>>2]|0;if(oc[k[(k[a>>2]|0)+152>>2]&511](a)|0)a=1;else{c=0;r=d;return c|0}while(1){if(a>>>0>=c>>>0){a=1;b=8;break}e=k[(k[b>>2]|0)+(a<<3)+4>>2]|0;if(oc[k[(k[e>>2]|0)+152>>2]&511](e)|0)a=a+1|0;else{a=0;b=8;break}}if((b|0)==8){r=d;return a|0}}DO(c);e=1;r=d;return e|0}function cA(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(84)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));k[e>>2]=6212;b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;k[e+56>>2]=k[a+56>>2];b=e+60|0;k[b>>2]=10136;y=0;oa(483,e+64|0,a+64|0);d=y;y=0;if(!(d&1)){k[e+76>>2]=k[a+76>>2];k[e>>2]=9952;k[b>>2]=10080;a=k[a+80>>2]|0;i[e+80>>0]=a;i[e+81>>0]=(a&65535)>>>8;i[e+82>>0]=a>>>16;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function dA(a){a=a|0;var b=0,c=0;if(!(o4(a)|0))b=0;else{c=a+1|0;if(!(o4(c)|0)){b=1;a=c}else{c=a+2|0;if(!(o4(c)|0)){b=2;a=c}else{c=a+3|0;if(!(o4(c)|0)){b=3;a=c}else{c=a+4|0;if(!(o4(c)|0)){b=4;a=c}else{c=a+5|0;if(!(o4(c)|0)){b=5;a=c}else{c=a+6|0;b=6;b=(b|0)!=0;c=b?c:0;return c|0}}}}}}while(1){if((i[a>>0]|0)!=63){c=6;break}a=a+1|0;b=b+1|0;if(b>>>0>=6){c=6;break}}if((c|0)==6){c=(b|0)!=0;c=c?a:0;return c|0}return 0}function eA(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;k[a>>2]=7604;DO(a+88|0);d=a+76|0;b=k[d>>2]|0;if(b|0){e=a+80|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{f=c+-48|0;k[e>>2]=f;A9(c+-12|0);A9(c+-24|0);A9(c+-36|0);A9(f);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}e=a+64|0;b=k[e>>2]|0;if(!b)return;d=a+68|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{f=c+-8|0;k[d>>2]=f;lc[k[k[f>>2]>>2]&511](f);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}cra(b);return}function fA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=32158){j=0;return j|0}c=a+60|0;g=b+60|0;d=i[c+11>>0]|0;j=d<<24>>24<0;d=d&255;h=j?k[a+64>>2]|0:d;f=i[g+11>>0]|0;a=f<<24>>24<0;if((h|0)!=((a?k[b+64>>2]|0:f&255)|0)){j=0;return j|0}e=k[c>>2]|0;f=j?e:c;a=a?k[g>>2]|0:g;b=(h|0)==0;if(j){if(b){j=1;return j|0}j=(bN(f,a,h)|0)==0;return j|0}if(b){j=1;return j|0}if((e&255)<<24>>24!=(i[a>>0]|0)){j=0;return j|0}while(1){d=d+-1|0;c=c+1|0;if(!d){c=1;a=10;break}a=a+1|0;if((i[c>>0]|0)!=(i[a>>0]|0)){c=0;a=10;break}}if((a|0)==10)return c|0;return 0}function gA(a){a=a|0;var b=0,c=0,d=0,e=0;e=IM(112)|0;y=0;na(422,e|0);d=y;y=0;if(d&1){a=pb()|0;cra(e);sb(a|0)}b=e+12|0;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=k[a+52>>2]|0;i[e+52>>0]=b;i[e+53>>0]=(b&65535)>>>8;i[e+54>>0]=b>>>16;b=e+56|0;k[b>>2]=k[a+56>>2];k[e>>2]=10548;p[e+64>>3]=+p[a+64>>3];p[e+72>>3]=+p[a+72>>3];p[e+80>>3]=+p[a+80>>3];p[e+88>>3]=+p[a+88>>3];y=0;oa(456,e+96|0,a+96|0);d=y;y=0;if(!(d&1)){k[e+108>>2]=k[a+108>>2];k[b>>2]=3;return e|0}a=pb()|0;cra(e);sb(a|0);return 0}function hA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function iA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function jA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function kA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function lA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;Cda(a);k[a>>2]=6128;c=a+12|0;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));e=a+52|0;k[e>>2]=k[b+52>>2];k[a+56>>2]=k[b+56>>2];i[a+60>>0]=i[b+60>>0]|0;k[a>>2]=7508;c=a+64|0;y=0;oa(456,c|0,b+64|0);d=y;y=0;if(d&1){b=pb()|0;sb(b|0)}d=a+76|0;y=0;oa(460,d|0,k[b+80>>2]|0);f=y;y=0;if(!(f&1)){k[d>>2]=7284;f=j[b+84>>1]|0;i[a+84>>0]=f;i[a+85>>0]=(f&65535)>>>8;k[e>>2]=10;return}f=pb()|0;A9(c);sb(f|0)}function mA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}function nA(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=(d-c>>2)+1|0;if(e>>>0>1073741823){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=(k[i>>2]|0)-c|0;g=h>>1;g=h>>2>>>0<536870911?(g>>>0<e>>>0?e:g):1073741823;e=d-c>>2;do if(!g)h=0;else if(g>>>0>1073741823){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{h=IM(g<<2)|0;break}while(0);f=h+(e<<2)|0;k[f>>2]=k[b>>2];d=d-c|0;e=f+(0-(d>>2)<<2)|0;if((d|0)>0)wH(e|0,c|0,d|0)|0;k[a>>2]=e;k[j>>2]=f+4;k[i>>2]=h+(g<<2);if(!c)return;cra(c);return}
function fm(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;d=a+1|0;if((i[a>>0]|0)!=46){e=a;return e|0}b=Hj(d)|0;if(!b)e=5;else{while(1){c=Hj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)==37)e=5}if((e|0)==5){if((i[d>>0]|0)==45){b=d;do b=b+1|0;while((i[b>>0]|0)==45)}else b=d;b=hx(b)|0;if(!b){e=a;return e|0}b=gx(b)|0;if(!b){e=a;return e|0}}if((i[b>>0]|0)==46)a=b;else{e=b;return e|0}while(1){d=a+1|0;b=Hj(d)|0;if(!b)e=15;else{while(1){c=Hj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)==37)e=15}if((e|0)==15){e=0;if((i[d>>0]|0)==45){b=d;do b=b+1|0;while((i[b>>0]|0)==45)}else b=d;b=hx(b)|0;if(!b){b=a;e=18;break}b=gx(b)|0;if(!b){b=a;e=18;break}}if((i[b>>0]|0)==46)a=b;else{e=18;break}}if((e|0)==18)return b|0;return 0}function gm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;y=0;z=r;r=r+80|0;c=z+72|0;d=z+64|0;s=z+56|0;t=z+48|0;u=z+40|0;v=z+32|0;w=z+24|0;x=z+16|0;p=z+8|0;q=z;if(!a)c=0;else{LT(c,k[a+80>>2]|0);k[c>>2]=15152;o=k[c+4>>2]|0;DO(c);c=o}LT(d,k[b+80>>2]|0);k[d>>2]=15152;e=k[d+4>>2]|0;DO(d);g=w+4|0;h=x+4|0;i=q+4|0;j=p+4|0;l=s+4|0;m=t+4|0;n=v+4|0;o=u+4|0;if(!a){y=0;r=z;return y|0}else f=e;a:while(1){d=(c|0)!=0;e=(f|0)!=0;if(d|e){if(d)y=14;else if((k[f+76>>2]|0)!=(k[f+80>>2]|0))y=14;do if((y|0)==14){y=0;if(!e)if((k[c+76>>2]|0)==(k[c+80>>2]|0))break;else{a=0;y=24;break a}if(!d){a=0;y=24;break a}if(!(Fc[k[(k[c>>2]|0)+164>>2]&2047](c,f)|0)){a=0;y=24;break a}}while(0);if((k[a+72>>2]|0)!=(k[b+72>>2]|0)){a=0;y=24;break}LT(w,k[a+88>>2]|0);k[w>>2]=15136;a=k[g>>2]|0;DO(w);LT(x,k[b+88>>2]|0);k[x>>2]=15136;c=k[h>>2]|0;DO(x);if(!a)d=0;else{LT(p,k[a+80>>2]|0);k[p>>2]=15152;d=k[j>>2]|0;DO(p)}if(!c){y=4;break}LT(q,k[c+80>>2]|0);k[q>>2]=15152;f=k[i>>2]|0;DO(q)}else{c=k[a+72>>2]|0;d=k[b+72>>2]|0;if((c|0)!=(d|0)){y=7;break}LT(s,k[a+88>>2]|0);k[s>>2]=15136;a=k[l>>2]|0;DO(s);LT(t,k[b+88>>2]|0);k[t>>2]=15136;c=k[m>>2]|0;DO(t);if(!a)d=0;else{LT(u,k[a+80>>2]|0);k[u>>2]=15152;d=k[o>>2]|0;DO(u)}if(!c){y=4;break}LT(v,k[c+80>>2]|0);k[v>>2]=15152;f=k[n>>2]|0;DO(v)}if(!a){a=0;y=24;break}else{b=c;c=d}}if((y|0)==4){y=(a|0)==0;r=z;return y|0}else if((y|0)==7){y=(c|0)<(d|0);r=z;return y|0}else if((y|0)==24){r=z;return a|0}return 0}function hm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;e=0;if(!a){f=0;return f|0}c=i[47281]|0;a:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=47281;while(1){if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);b:do if((e|0)==5){b=DP(b)|0;if(b|0){c=b+1|0;if((i[b>>0]|0)==40){b=i[c>>0]|0;if(b<<24>>24){d=0;e=0;f=0;c:while(1){d:do switch(b<<24>>24){case 92:{c=c+1|0;break}case 34:{d=d^1;break}case 39:{e=e^1;break}default:if(d)d=1;else if(e){d=0;e=1}else switch(b<<24>>24){case 40:{d=0;e=0;f=f+1|0;break d}case 41:if(!f)break c;else{d=0;e=0;f=f+-1|0;break d}default:{d=0;e=0;break d}}}while(0);c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break b}f=c+1|0;return f|0}}}}while(0);b=i[35507]|0;e:do if(b<<24>>24){c=35507;while(1){if((i[a>>0]|0)!=b<<24>>24){a=0;break}a=a+1|0;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24))break e}return a|0}while(0);a=DP(a)|0;if(!a){f=0;return f|0}if((i[a>>0]|0)!=58){f=0;return f|0}f=Qf(a+1|0)|0;return f|0}function im(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=0;j=r;r=r+96|0;h=j;d=j+56|0;l=j+40|0;e=d;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));cL(l,82288);e=h;f=d;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(533,a|0,l|0);n=y;y=0;if(n&1)d=pb()|0;else{k[a>>2]=15644;n=a+8|0;y=0;oa(456,n|0,l|0);m=y;y=0;do if(m&1)d=pb()|0;else{m=a+20|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,51649,5);g=y;y=0;if(g&1){d=pb()|0;A9(n);break}e=a+32|0;f=h;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[a+72>>2]=0;A9(l);k[a>>2]=17804;k[a+76>>2]=b;e=a+80|0;y=0;oa(456,e|0,c|0);l=y;y=0;if(l&1)d=pb()|0;else{y=0;oa(k[(k[b>>2]|0)+32>>2]|0,h|0,b|0);l=y;y=0;do if(l&1){d=pb()|0;o=19}else{y=0;Ha(969,n|0,h|0)|0;l=y;y=0;if(l&1){d=pb()|0;A9(h);o=19;break}A9(h);y=0;Ha(974,n|0,51878)|0;l=y;y=0;if(!(l&1)){l=i[c+11>>0]|0;h=l<<24>>24<0;y=0;ta(41,n|0,(h?k[c>>2]|0:c)|0,(h?k[c+4>>2]|0:l&255)|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(974,n|0,55435)|0;l=y;y=0;if(!(l&1)){r=j;return}}}d=pb()|0}while(0);A9(e)}k[a>>2]=15644;A9(m);A9(n);Pca(a);a=d;sb(a|0)}while(0);Pca(a)}A9(l);a=d;sb(a|0)}function jm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;k=0;if(!a){l=0;return l|0}j=i[48639]|0;e=j<<24>>24==0;a:do if(!e){b=48639;d=j;while(1){if((i[a>>0]|0)!=d<<24>>24){c=0;break}a=a+1|0;b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a}return c|0}while(0);f=i[a>>0]|0;if(!(f<<24>>24)){l=0;return l|0}if(e){b=0;d=0;c=f;while(1){switch(c<<24>>24){case 92:{e=d;a=a+1|0;break}case 34:{b=b^1;e=d;break}case 39:{e=d^1;break}default:if(b){b=1;e=d}else{b=0;e=d;a=d?a:a+-1|0}}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){c=0;break}else d=e}return c|0}else{b=0;d=0;h=0;g=f}b:while(1){c:do switch(g<<24>>24){case 92:{a=a+1|0;e=h;break}case 34:{b=b^1;e=h;break}case 39:{d=d^1;e=h;break}default:if(b){b=1;e=h}else if(d){b=0;d=1;e=h}else if(!a){b=0;d=0;a=0;e=h}else{d:do if(g<<24>>24==j<<24>>24){f=a;b=48639;while(1){d=f+1|0;b=b+1|0;e=i[b>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break d;else f=d}b=0;d=0;a=f;e=h+1|0;break c}while(0);b=i[50303]|0;e:do if(!(b<<24>>24))l=a;else{if(g<<24>>24==b<<24>>24){b=a;d=50303}else{b=0;d=0;e=h;break c}while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){l=b;break e}if((i[b>>0]|0)!=e<<24>>24){b=0;d=0;e=h;break c}}}while(0);if(!h)break b;else{b=0;d=0;a=l+-1|0;e=h+-1|0}}}while(0);a=a+1|0;g=i[a>>0]|0;if(!(g<<24>>24)){c=0;k=38;break}else h=e}if((k|0)==38)return c|0;if(!l){l=0;return l|0}else{b=0;c=l}while(1){a=rB(c)|0;if(a|0){b=0;c=a;continue}if(b){k=38;break}if((i[c>>0]|0)==43){k=38;break}a=ds(c)|0;if(a|0){a=Yx(a)|0;if(a|0){b=1;c=a;continue}}a=ds(c)|0;if(!a){k=38;break}else{b=1;c=a}}if((k|0)==38)return c|0;return 0}function km(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=k[b+16>>2]|0;if(e>>>0>=6)eb(42635,42493,1051,42724);switch(e|0){case 0:{_D(a,48606);return}case 1:{_D(a,i[b+24>>0]|0?58354:58348);return}case 2:{mg(a,k[b+24>>2]|0);return}case 3:{iy(a,+p[b+24>>3]);return}case 4:{b=k[b+24>>2]|0;if(!b){_D(a,42744);return}_D(a,42747);f=d+1|0;if((d|0)<0){do{km(a,b,c,f);b=k[b+8>>2]|0;_D(a,b|0?42750:52248)}while((b|0)!=0)}else do{e=0;do{_D(a,c);e=e+1|0}while((e|0)!=(f|0));km(a,b,c,f);b=k[b+8>>2]|0;_D(a,b|0?42750:52248)}while((b|0)!=0);if((d|0)>0){b=0;do{_D(a,c);b=b+1|0}while((b|0)!=(d|0))}b=k[a>>2]|0;d=a+4|0;e=k[d>>2]|0;do if(b>>>0<e>>>0)h=b;else{g=a+8|0;f=k[g>>2]|0;c=b-f|0;b=c+1|0;e=e-f|0;do e=e<<1;while(e>>>0<b>>>0);b=tH(f,e|1)|0;k[g>>2]=b;if(!b){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{h=b+c|0;k[a>>2]=h;k[d>>2]=b+e;break}}while(0);k[a>>2]=h+1;i[h>>0]=93;return}case 5:{b=k[b+24>>2]|0;if(!b){_D(a,48517);return}_D(a,42753);f=d+1|0;if((d|0)<0){do{mg(a,k[b+12>>2]|0);_D(a,58790);km(a,b,c,f);b=k[b+8>>2]|0;_D(a,b|0?42750:52248)}while((b|0)!=0)}else do{e=0;do{_D(a,c);e=e+1|0}while((e|0)!=(f|0));mg(a,k[b+12>>2]|0);_D(a,58790);km(a,b,c,f);b=k[b+8>>2]|0;_D(a,b|0?42750:52248)}while((b|0)!=0);if((d|0)>0){b=0;do{_D(a,c);b=b+1|0}while((b|0)!=(d|0))}b=k[a>>2]|0;d=a+4|0;e=k[d>>2]|0;do if(b>>>0<e>>>0)j=b;else{g=a+8|0;f=k[g>>2]|0;c=b-f|0;b=c+1|0;e=e-f|0;do e=e<<1;while(e>>>0<b>>>0);b=tH(f,e|1)|0;k[g>>2]=b;if(!b){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{j=b+c|0;k[a>>2]=j;k[d>>2]=b+e;break}}while(0);k[a>>2]=j+1;i[j>>0]=125;return}default:eb(58348,42493,1072,42724)}}function lm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;m=a+4|0;p=k[b>>2]|0;b=p;do if((p|0)!=(m|0)){h=p+16|0;o=i[d+11>>0]|0;n=o<<24>>24<0;o=n?k[d+4>>2]|0:o&255;f=i[h+11>>0]|0;g=f<<24>>24<0;f=g?k[p+20>>2]|0:f&255;j=f>>>0<o>>>0;e=j?f:o;if(!e)q=4;else{e=bN(n?k[d>>2]|0:d,g?k[h>>2]|0:h,e)|0;if(!e)q=4;else if((e|0)<0)break}if((q|0)==4)if(o>>>0<f>>>0)break;e=o>>>0<f>>>0?o:f;if(!e)q=20;else{e=bN(g?k[h>>2]|0:h,n?k[d>>2]|0:d,e)|0;if(!e)q=20;else if((e|0)>=0)q=34}if((q|0)==20)if(!j)q=34;if((q|0)==34){k[c>>2]=b;return c|0}j=p+4|0;b=k[j>>2]|0;l=(b|0)==0;if(l){b=p;while(1){e=k[b+8>>2]|0;if((k[e>>2]|0)==(b|0))break;else b=e}}else while(1){e=k[b>>2]|0;if(!e){e=b;break}else b=e}do if((e|0)!=(m|0)){f=e+16|0;h=i[f+11>>0]|0;g=h<<24>>24<0;h=g?k[e+20>>2]|0:h&255;b=h>>>0<o>>>0?h:o;if(!b)q=28;else{b=bN(n?k[d>>2]|0:d,g?k[f>>2]|0:f,b)|0;if(!b)q=28;else if((b|0)<0)break}if((q|0)==28)if(o>>>0<h>>>0)break;c=cu(a,c,d)|0;return c|0}while(0);if(l){k[c>>2]=p;c=j;return c|0}else{k[c>>2]=e;c=e;return c|0}}while(0);do if((p|0)!=(k[a>>2]|0)){b=k[p>>2]|0;if(!b){b=p;while(1){e=k[b+8>>2]|0;if((k[e>>2]|0)==(b|0))b=e;else break}}else while(1){e=k[b+4>>2]|0;if(!e){e=b;break}else b=e}b=e;g=e+16|0;j=i[g+11>>0]|0;h=j<<24>>24<0;j=h?k[e+20>>2]|0:j&255;l=i[d+11>>0]|0;f=l<<24>>24<0;l=f?k[d+4>>2]|0:l&255;e=l>>>0<j>>>0?l:j;if(!e)q=12;else{e=bN(h?k[g>>2]|0:g,f?k[d>>2]|0:d,e)|0;if(!e)q=12;else if((e|0)<0)break}if((q|0)==12)if(j>>>0<l>>>0)break;c=cu(a,c,d)|0;return c|0}while(0);if(!(k[p>>2]|0)){k[c>>2]=p;c=p;return c|0}else{q=b;k[c>>2]=q;c=q+4|0;return c|0}return 0}function mm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;a:do if((a|0)==(k[b+8>>2]|0)){if((k[b+4>>2]|0)==(c|0)){f=b+28|0;if((k[f>>2]|0)!=1)k[f>>2]=d}}else{if((a|0)!=(k[b>>2]|0)){q=k[a+12>>2]|0;j=a+16+(q<<3)|0;gM(a+16|0,b,c,d,e);f=a+24|0;if((q|0)<=1)break;a=k[a+8>>2]|0;if(!(a&2)){h=b+36|0;if((k[h>>2]|0)!=1){if(!(a&1)){a=b+54|0;while(1){if(i[a>>0]|0)break a;if((k[h>>2]|0)==1)break a;gM(f,b,c,d,e);f=f+8|0;if(f>>>0>=j>>>0)break a}}a=b+24|0;g=b+54|0;while(1){if(i[g>>0]|0)break a;if((k[h>>2]|0)==1)if((k[a>>2]|0)==1)break a;gM(f,b,c,d,e);f=f+8|0;if(f>>>0>=j>>>0)break a}}}a=b+54|0;while(1){if(i[a>>0]|0)break a;gM(f,b,c,d,e);f=f+8|0;if(f>>>0>=j>>>0)break a}}if((k[b+16>>2]|0)!=(c|0)){p=b+20|0;if((k[p>>2]|0)!=(c|0)){k[b+32>>2]=d;q=b+44|0;if((k[q>>2]|0)==4)break;j=a+16+(k[a+12>>2]<<3)|0;d=b+52|0;l=b+53|0;n=b+54|0;m=a+8|0;o=b+24|0;f=0;g=a+16|0;h=0;b:while(1){if(g>>>0>=j>>>0){a=20;break}i[d>>0]=0;i[l>>0]=0;kL(g,b,c,c,1,e);if(i[n>>0]|0){a=20;break}do if(!(i[l>>0]|0))a=h;else{if(!(i[d>>0]|0))if(!(k[m>>2]&1)){f=1;a=20;break b}else{f=1;a=h;break}if((k[o>>2]|0)==1){a=25;break b}if(!(k[m>>2]&2)){a=25;break b}else{f=1;a=1}}while(0);g=g+8|0;h=a}do if((a|0)==20){if(!h){k[p>>2]=c;c=b+40|0;k[c>>2]=(k[c>>2]|0)+1;if((k[b+36>>2]|0)==1)if((k[o>>2]|0)==2){i[n>>0]=1;if(f){a=25;break}else{f=4;break}}}if(f)a=25;else f=4}while(0);if((a|0)==25)f=3;k[q>>2]=f;break}}if((d|0)==1)k[b+32>>2]=1}while(0);return}function nm(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)==38)if((i[b>>0]|0)==45){do b=b+1|0;while((i[b>>0]|0)==45);b=DP(b)|0;if(b|0){b=NO(b)|0;if(b|0){a=b;return a|0}}}b=oj(a)|0;if(!b){a=0;return a|0}while(1){a=oj(b)|0;if(!a)break;else b=a}return b|0}function om(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;p=0;l=r;r=r+112|0;h=l;c=l+104|0;d=l+96|0;j=l+56|0;o=l+48|0;n=l+40|0;LT(c,k[b+64>>2]|0);k[c>>2]=11804;g=k[c+4>>2]|0;y=0;g=Ha(k[(k[g>>2]|0)+56>>2]|0,g|0,a|0)|0;m=y;y=0;if(m&1){p=pb()|0;DO(c);sb(p|0)}DO(c);LT(d,k[b+72>>2]|0);k[d>>2]=11804;f=k[d+4>>2]|0;y=0;f=Ha(k[(k[f>>2]|0)+56>>2]|0,f|0,a|0)|0;m=y;y=0;if(m&1){p=pb()|0;DO(d);sb(p|0)}DO(d);m=IM(80)|0;a=j;c=b+12|0;e=a+40|0;do{k[a>>2]=k[c>>2];a=a+4|0;c=c+4|0}while((a|0)<(e|0));y=0;a=qa(387,g|0)|0;g=y;y=0;if(g&1)p=16;else{y=0;oa(460,o|0,a|0);g=y;y=0;if(g&1)p=16;else{k[o>>2]=11804;y=0;a=qa(387,f|0)|0;g=y;y=0;if(g&1)p=17;else{y=0;oa(460,n|0,a|0);g=y;y=0;if(g&1)p=17;else{k[n>>2]=11804;d=k[b+76>>2]|0;a=h;c=j;e=a+40|0;do{k[a>>2]=k[c>>2];a=a+4|0;c=c+4|0}while((a|0)<(e|0));y=0;na(422,m|0);j=y;y=0;if(j&1)a=pb()|0;else{a=m+12|0;c=h;e=a+40|0;do{k[a>>2]=k[c>>2];a=a+4|0;c=c+4|0}while((a|0)<(e|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m+56>>2]=0;k[m>>2]=11820;a=m+60|0;y=0;oa(460,a|0,k[o+4>>2]|0);j=y;y=0;do if(j&1)a=pb()|0;else{k[a>>2]=11804;c=m+68|0;y=0;oa(460,c|0,k[n+4>>2]|0);j=y;y=0;if(j&1){l=pb()|0;DO(a);a=l;break}else{k[c>>2]=11804;k[m+76>>2]=d;DO(n);DO(o);r=l;return m|0}}while(0)}DO(n)}}if((p|0)==17)a=pb()|0;DO(o)}}if((p|0)==16)a=pb()|0;cra(m);p=a;sb(p|0);return 0}function pm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;p=r;r=r+48|0;o=p+28|0;n=p+16|0;m=p+8|0;l=p;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=31622){o=0;r=p;return o|0}y=0;oa(k[(k[a>>2]|0)+80>>2]|0,o|0,a|0);j=y;y=0;if(j&1){c=cb(5856,0)|0;d=N}else{y=0;oa(k[(k[b>>2]|0)+80>>2]|0,n|0,b|0);j=y;y=0;a:do if(j&1){c=cb(5856,0)|0;d=N}else{e=i[o+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[o+4>>2]|0:e;j=i[n+11>>0]|0;c=j<<24>>24<0;b:do if((g|0)==((c?k[n+4>>2]|0:j&255)|0)){h=k[o>>2]|0;j=f?h:o;c=c?k[n>>2]|0:n;d=(g|0)==0;c:do if(f){if(!d)if(bN(j,c,g)|0){c=0;break b}}else if(!d){if((h&255)<<24>>24==(i[c>>0]|0))d=o;else{c=0;break b}while(1){e=e+-1|0;d=d+1|0;if(!e)break c;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break b}}}while(0);y=0;oa(460,m|0,k[a+68>>2]|0);a=y;y=0;if(a&1){c=cb(5856,0)|0;d=N}else{k[m>>2]=7284;c=k[m+4>>2]|0;d=k[(k[c>>2]|0)+92>>2]|0;y=0;oa(460,l|0,k[b+68>>2]|0);b=y;y=0;do if(b&1){c=cb(5856,0)|0;d=N}else{k[l>>2]=7284;y=0;c=Ha(d|0,c|0,k[l+4>>2]|0)|0;b=y;y=0;if(b&1){c=cb(5856,0)|0;d=N;DO(l);break}else{DO(l);DO(m);break b}}while(0);DO(m)}A9(n);break a}else c=0;while(0);A9(n);A9(o);o=c;r=p;return o|0}while(0);A9(o)}o=(d|0)==(ob(5856)|0);vb(c|0)|0;if(o){rb();o=0;r=p;return o|0}y=0;la(4);y=0;c=pb()|0;y=0;la(3);p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}else sb(c|0);return 0}function qm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;k=0;if(!a){k=0;return k|0}j=i[48639]|0;d=j<<24>>24==0;a:do if(!d){b=48639;c=j;while(1){if((i[a>>0]|0)!=c<<24>>24){a=0;break}a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break a}return a|0}while(0);c=i[a>>0]|0;if(!(c<<24>>24)){k=0;return k|0}if(d){b=0;d=0;while(1){switch(c<<24>>24){case 92:{e=d;a=a+1|0;break}case 34:{b=b^1;e=d;break}case 39:{e=d^1;break}default:if(b){b=1;e=d}else{b=0;e=d;a=d?a:a+-1|0}}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;break}else d=e}return a|0}else{b=0;d=0;h=0}b:while(1){c:do switch(c<<24>>24){case 92:{g=b;a=a+1|0;e=h;break}case 34:{g=b^1;e=h;break}case 39:{g=b;d=d^1;e=h;break}default:if(b){g=1;e=h}else if(d){g=0;d=1;e=h}else if(!a){g=0;d=0;a=0;e=h}else{d:do if(c<<24>>24==j<<24>>24){f=a;b=48639;while(1){d=f+1|0;b=b+1|0;e=i[b>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break d;else f=d}g=0;d=0;a=f;e=h+1|0;break c}while(0);b=i[50303]|0;e:do if(!(b<<24>>24))b=a;else{if(c<<24>>24==b<<24>>24){b=a;c=50303}else{g=0;d=0;e=h;break c}while(1){b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break e;if((i[b>>0]|0)!=d<<24>>24){g=0;d=0;e=h;break c}}}while(0);if(!h)break b;else{g=0;d=0;a=b+-1|0;e=h+-1|0}}}while(0);a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;k=38;break}else{b=g;h=e}}if((k|0)==38)return a|0;if(!b){k=0;return k|0}a=oV(b)|0;if(a|0){k=a;return k|0}if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=hx(a)|0;if(a|0){a=gx(a)|0;if(a|0){k=a;return k|0}}j=i[b>>0]|0;k=b+1|0;j=j<<24>>24|0;k=(j|0)!=43?((j|0)==45?k:0):k;return k|0}function rm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;j=0;l=r;r=r+112|0;n=l+72|0;a=l+32|0;g=l+8|0;e=l;h=l+24|0;m=IM(120)|0;y=0;Ra(14,a|0,38004,0,-1);f=y;y=0;if(f&1)j=15;else{y=0;oa(456,g|0,b|0);f=y;y=0;if(f&1)j=15;else{y=0;oa(460,e|0,0);f=y;y=0;do if(f&1)a=pb()|0;else{k[e>>2]=8852;y=0;f=n;d=f+40|0;do{k[f>>2]=k[a>>2];f=f+4|0;a=a+4|0}while((f|0)<(d|0));Ea(1,m|0,n|0,0,g|0,e|0,0,1);f=y;y=0;if(f&1){a=pb()|0;DO(e);break}DO(e);A9(g);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;j=i[b+11>>0]|0;g=j<<24>>24<0;j=g?k[b+4>>2]|0:j&255;y=0;Ra(10,n|0,(g?k[b>>2]|0:b)|0,j|0,j+3|0);j=y;y=0;if(j&1){m=pb()|0;A9(n);sb(m|0)}y=0;ta(41,n|0,47269,3)|0;j=y;y=0;if(j&1){m=pb()|0;A9(n);sb(m|0)}y=0;d=Ha(975,c|0,n|0)|0;j=y;y=0;if(j&1)a=pb()|0;else{y=0;oa(460,h|0,m|0);m=y;y=0;do if(m&1)a=pb()|0;else{k[h>>2]=6336;if((d|0)==(h|0)){DO(h);A9(n);r=l;return}a=d+4|0;if(k[a>>2]|0){y=0;na(423,d|0);m=y;y=0;if(m&1){a=pb()|0;DO(h);break}}m=h+4|0;k[a>>2]=k[m>>2];k[m>>2]=0;DO(h);A9(n);r=l;return}while(0)}A9(n);n=a;sb(n|0)}while(0);A9(g)}}if((j|0)==15)a=pb()|0;cra(m);n=a;sb(n|0)}function sm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=0;t=r;r=r+16|0;q=t;p=Zj(a,b,c,e)|0;h=i[d+11>>0]|0;g=h<<24>>24<0;h=g?k[d+4>>2]|0:h&255;l=c+11|0;j=i[l>>0]|0;f=j<<24>>24<0;m=c+4|0;j=f?k[m>>2]|0:j&255;e=j>>>0<h>>>0?j:h;if(!e)s=3;else{e=bN(g?k[d>>2]|0:d,f?k[c>>2]|0:c,e)|0;if(!e)s=3;else if((e|0)<0){e=d;o=c}else{s=p;r=t;return s|0}}do if((s|0)==3)if(h>>>0<j>>>0){e=d;o=c;break}else{s=p;r=t;return s|0}while(0);k[q>>2]=k[o>>2];k[q+4>>2]=k[o+4>>2];k[q+8>>2]=k[o+8>>2];k[o>>2]=k[e>>2];k[o+4>>2]=k[e+4>>2];k[o+8>>2]=k[e+8>>2];k[e>>2]=k[q>>2];k[e+4>>2]=k[q+4>>2];k[e+8>>2]=k[q+8>>2];d=p+1|0;h=i[l>>0]|0;g=h<<24>>24<0;h=g?k[m>>2]|0:h&255;m=b+11|0;j=i[m>>0]|0;f=j<<24>>24<0;n=b+4|0;j=f?k[n>>2]|0:j&255;e=j>>>0<h>>>0?j:h;if(!e)s=8;else{e=bN(g?k[c>>2]|0:o,f?k[b>>2]|0:b,e)|0;if(!e)s=8;else if((e|0)<0)l=b;else{s=d;r=t;return s|0}}do if((s|0)==8)if(h>>>0<j>>>0){l=b;break}else{s=d;r=t;return s|0}while(0);k[q>>2]=k[l>>2];k[q+4>>2]=k[l+4>>2];k[q+8>>2]=k[l+8>>2];k[l>>2]=k[o>>2];k[l+4>>2]=k[o+4>>2];k[l+8>>2]=k[o+8>>2];k[o>>2]=k[q>>2];k[o+4>>2]=k[q+4>>2];k[o+8>>2]=k[q+8>>2];d=p+2|0;h=i[m>>0]|0;g=h<<24>>24<0;h=g?k[n>>2]|0:h&255;j=i[a+11>>0]|0;f=j<<24>>24<0;j=f?k[a+4>>2]|0:j&255;e=j>>>0<h>>>0?j:h;if(!e)s=13;else{e=bN(g?k[b>>2]|0:l,f?k[a>>2]|0:a,e)|0;if(!e)s=13;else if((e|0)>=0){s=d;r=t;return s|0}}do if((s|0)==13)if(h>>>0<j>>>0)break;else{s=d;r=t;return s|0}while(0);k[q>>2]=k[a>>2];k[q+4>>2]=k[a+4>>2];k[q+8>>2]=k[a+8>>2];k[a>>2]=k[l>>2];k[a+4>>2]=k[l+4>>2];k[a+8>>2]=k[l+8>>2];k[l>>2]=k[q>>2];k[l+4>>2]=k[q+4>>2];k[l+8>>2]=k[q+8>>2];s=p+3|0;r=t;return s|0}function tm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+64|0;e=s;t=s+48|0;q=s+40|0;p=IM(88)|0;n=b+64|0;o=b+68|0;d=k[o>>2]|0;c=k[n>>2]|0;l=k[b+80>>2]|0;m=i[b+84>>0]|0;f=e;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(422,p|0);j=y;y=0;do if(j&1)c=pb()|0;else{j=d-c>>3;f=p+12|0;g=e;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[p+52>>0]=0;i[p+53>>0]=0;i[p+54>>0]=0;c=p+56|0;k[c>>2]=0;k[p>>2]=9288;d=p+60|0;k[d>>2]=9248;g=p+64|0;h=p+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,j|0);j=y;y=0;if(j&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{t=e+-8|0;k[h>>2]=t;lc[k[k[t>>2]>>2]&511](t);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[p>>2]=9076;k[d>>2]=9208;k[p+80>>2]=l;i[p+84>>0]=m;i[p+85>>0]=0;k[c>>2]=5;LT(t,p);k[t>>2]=7172;d=k[n>>2]|0;h=(k[o>>2]|0)-d>>3;j=t+4|0;a:do if(h|0){g=b+64|0;c=0;while(1){e=(k[j>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;d=k[d+(c<<3)+4>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+72>>2]|0,d|0,a|0)|0;p=y;y=0;if(p&1){d=20;break}y=0;oa(460,q|0,d|0);p=y;y=0;if(p&1){d=20;break}k[q>>2]=7284;y=0;oa(f|0,e|0,q|0);p=y;y=0;if(p&1){d=21;break}DO(q);c=c+1|0;if(c>>>0>=h>>>0)break a;d=k[g>>2]|0}if((d|0)==20)c=pb()|0;else if((d|0)==21){c=pb()|0;DO(q)}DO(t);t=c;sb(t|0)}while(0);c=k[j>>2]|0;if(!c){q=0;DO(t);r=s;return q|0}i[c+8>>0]=1;q=c;DO(t);r=s;return q|0}while(0);cra(p);t=c;sb(t|0);return 0}function um(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=r;r=r+80|0;q=p+32|0;l=p+24|0;m=p+16|0;n=p+8|0;f=p;o=IM(112)|0;y=0;c=q;d=a+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Na(80,o|0,q|0,0);j=y;y=0;if(j&1){q=pb()|0;cra(o);sb(q|0)}if(b|0){j=b+72|0;i=(k[b+80>>2]|0)-(k[b+76>>2]|0)>>3;if(i|0){f=q+4|0;g=m+4|0;h=o+72|0;b=0;while(1){LT(q,oc[k[(k[a>>2]|0)+16>>2]&511](a)|0);k[q>>2]=15136;d=k[f>>2]|0;y=0;c=Ha(k[(k[j>>2]|0)+16>>2]|0,j|0,b|0)|0;e=y;y=0;if(e&1){d=15;break}y=0;oa(460,m|0,k[c+4>>2]|0);e=y;y=0;if(e&1){d=15;break}k[m>>2]=15136;k[d+68>>2]=0;e=d+84|0;c=d+88|0;if(k[c>>2]|0){y=0;na(423,e|0);d=y;y=0;if(d&1){d=16;break}}k[c>>2]=k[g>>2];y=0;na(424,e|0);e=y;y=0;if(e&1){d=16;break}y=0;oa(460,l|0,k[c>>2]|0);e=y;y=0;if(e&1){d=16;break}k[l>>2]=15136;DO(l);DO(m);c=k[(k[h>>2]|0)+20>>2]|0;y=0;oa(460,n|0,k[f>>2]|0);e=y;y=0;if(e&1){d=15;break}k[n>>2]=15136;y=0;oa(c|0,h|0,n|0);e=y;y=0;if(e&1){d=17;break}DO(n);DO(q);b=b+1|0;if(b>>>0>=i>>>0){d=22;break}}if((d|0)==15)c=pb()|0;else if((d|0)==16){c=pb()|0;DO(m)}else if((d|0)==17){c=pb()|0;DO(n)}else if((d|0)==22){r=p;return o|0}DO(q);q=c;sb(q|0)}}q=o+72|0;n=k[(k[q>>2]|0)+20>>2]|0;LT(f,a);k[f>>2]=15136;y=0;oa(n|0,q|0,f|0);q=y;y=0;if(q&1){q=pb()|0;DO(f);sb(q|0)}else{DO(f);r=p;return o|0}return 0}function vm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;u=r;r=r+16|0;t=u+4|0;p=u;o=a+64|0;if(!(k[o>>2]|0)){t=-1;r=u;return t|0}c=a+92|0;if(!(k[c>>2]&8)){k[a+24>>2]=0;k[a+20>>2]=0;k[a+28>>2]=0;if(!(i[a+98>>0]|0)){b=k[a+56>>2]|0;d=b+(k[a+60>>2]|0)|0}else{b=k[a+32>>2]|0;d=b+(k[a+52>>2]|0)|0}k[a+8>>2]=b;s=a+12|0;k[s>>2]=d;k[a+16>>2]=d;k[c>>2]=8;c=1;b=d}else{b=a+12|0;c=0;s=b;b=k[b>>2]|0}if(!b){b=t+1|0;k[a+8>>2]=t;k[s>>2]=b;k[a+16>>2]=b}q=a+16|0;if(c){c=k[q>>2]|0;n=0}else{c=k[q>>2]|0;n=(c-(k[a+8>>2]|0)|0)/2|0;n=n>>>0>4?4:n}do if((b|0)==(c|0)){c=a+8|0;fO(k[c>>2]|0,b+(0-n)|0,n|0)|0;if(i[a+98>>0]|0){b=k[c>>2]|0;b=FB(b+n|0,1,(k[q>>2]|0)-n-b|0,k[o>>2]|0)|0;if(!b){b=-1;break}p=(k[c>>2]|0)+n|0;k[s>>2]=p;k[q>>2]=p+b;b=l[p>>0]|0;break}h=a+32|0;j=a+36|0;b=k[j>>2]|0;m=a+40|0;fO(k[h>>2]|0,b|0,(k[m>>2]|0)-b|0)|0;b=k[h>>2]|0;e=b+((k[m>>2]|0)-(k[j>>2]|0))|0;k[j>>2]=e;if((b|0)==(a+44|0))d=8;else d=k[a+52>>2]|0;b=b+d|0;k[m>>2]=b;f=a+60|0;d=(k[f>>2]|0)-n|0;b=b-e|0;g=a+72|0;x=g;w=k[x+4>>2]|0;v=a+80|0;k[v>>2]=k[x>>2];k[v+4>>2]=w;d=FB(e,1,b>>>0<d>>>0?b:d,k[o>>2]|0)|0;if(!d)b=-1;else{b=k[a+68>>2]|0;if(!b){x=gb(4)|0;Soa(x);Wb(x|0,5856,414)}w=(k[j>>2]|0)+d|0;k[m>>2]=w;x=k[c>>2]|0;if((Nc[k[(k[b>>2]|0)+16>>2]&15](b,g,k[h>>2]|0,w,j,x+n|0,x+(k[f>>2]|0)|0,p)|0)==3){b=k[h>>2]|0;x=k[m>>2]|0;k[c>>2]=b;k[s>>2]=b;k[q>>2]=x;b=l[b>>0]|0}else{d=k[p>>2]|0;b=(k[c>>2]|0)+n|0;if((d|0)==(b|0))b=-1;else{k[s>>2]=b;k[q>>2]=d;b=l[b>>0]|0}}}}else{b=l[b>>0]|0;c=a+8|0}while(0);if((k[c>>2]|0)==(t|0)){k[c>>2]=0;k[s>>2]=0;k[q>>2]=0}x=b;r=u;return x|0}function wm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=0;q=r;r=r+16|0;o=q;d=a+24|0;Zj(a,a+12|0,d,c)|0;c=a+36|0;if((c|0)==(b|0)){r=q;return}m=o+11|0;n=o+4|0;j=d;a:while(1){g=i[c+11>>0]|0;e=g<<24>>24<0;g=e?k[c+4>>2]|0:g&255;h=i[j+11>>0]|0;f=h<<24>>24<0;h=f?k[j+4>>2]|0:h&255;d=h>>>0<g>>>0?h:g;if(!d)p=6;else{d=bN(e?k[c>>2]|0:c,f?k[j>>2]|0:j,d)|0;if(!d)p=6;else if((d|0)<0){d=c;p=9}}if((p|0)==6){p=0;if(g>>>0<h>>>0){d=c;p=9}}if((p|0)==9){p=0;k[o>>2]=k[d>>2];k[o+4>>2]=k[d+4>>2];k[o+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=c;while(1){i[d>>0]=0;i[d+11>>0]=0;y=0;oa(500,d|0,0);l=y;y=0;if(l&1){p=11;break a}k[d>>2]=k[j>>2];k[d+4>>2]=k[j+4>>2];k[d+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;if((j|0)==(a|0)){d=a;break}g=j+-12|0;h=i[m>>0]|0;e=h<<24>>24<0;h=e?k[n>>2]|0:h&255;l=i[g+11>>0]|0;f=l<<24>>24<0;l=f?k[j+-8>>2]|0:l&255;d=l>>>0<h>>>0?l:h;if(d|0){d=bN(e?k[o>>2]|0:o,f?k[g>>2]|0:g,d)|0;if(d|0)if((d|0)<0){d=j;j=g;continue}else{d=j;break}}if(h>>>0<l>>>0){d=j;j=g}else{d=j;break}}e=d+11|0;if((i[e>>0]|0)<0){i[k[d>>2]>>0]=0;k[d+4>>2]=0}else{i[j>>0]=0;i[e>>0]=0}y=0;oa(500,d|0,0);l=y;y=0;if(l&1){p=21;break}k[j>>2]=k[o>>2];k[j+4>>2]=k[o+4>>2];k[j+8>>2]=k[o+8>>2];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;A9(o)}d=c+12|0;if((d|0)==(b|0)){p=3;break}else{j=c;c=d}}if((p|0)==3){r=q;return}else if((p|0)==11){q=tb(0)|0;Sla(q)}else if((p|0)==21){q=tb(0)|0;Sla(q)}}function xm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=0;h=r;r=r+112|0;d=h;o=h+56|0;f=h+64|0;j=h+48|0;l=h+40|0;if(!(Qv(b,1,0)|0)){LT(a,0);k[a>>2]=11804;r=h;return}e=b+156|0;k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];k[d+8>>2]=k[e+8>>2];Ad(o,b,d,0);e=k[o+4>>2]|0;a:do if(!e){y=0;oa(460,a|0,0);n=y;y=0;if(n&1)m=6;else{k[a>>2]=11804;m=20}}else{y=0;n=qa(315,68)|0;g=y;y=0;if(g&1)m=6;else{g=f;b=b+108|0;c=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(c|0));y=0;oa(460,l|0,e|0);g=y;y=0;do if(g&1)b=pb()|0;else{k[l>>2]=7492;y=0;oa(460,j|0,k[l+4>>2]|0);g=y;y=0;if(g&1){b=pb()|0;DO(l);break}k[j>>2]=7284;g=d;b=f;c=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(c|0));y=0;na(422,n|0);g=y;y=0;do if(g&1){b=1;m=17}else{g=n+12|0;b=d;c=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(c|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n+56>>2]=0;k[n>>2]=12220;b=n+60|0;y=0;oa(460,b|0,k[j+4>>2]|0);g=y;y=0;if(g&1){b=pb()|0;c=1;break}k[b>>2]=7284;y=0;oa(460,a|0,n|0);m=y;y=0;if(m&1){b=0;m=17}else{k[a>>2]=11804;DO(j);DO(l);m=20;break a}}while(0);if((m|0)==17){m=pb()|0;c=b;b=m}DO(j);DO(l);if(!c){n=b;DO(o);sb(n|0)}}while(0);cra(n);n=b;DO(o);sb(n|0)}}while(0);if((m|0)==6){n=pb()|0;DO(o);sb(n|0)}else if((m|0)==20){DO(o);r=h;return}}function ym(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=0;k[c>>2]=a;k[f>>2]=d;if(!(h&4))d=b;else{a=k[c>>2]|0;d=b;if((d-a|0)>2)if((i[a>>0]|0)==-17)if((i[a+1>>0]|0)==-69)if((i[a+2>>0]|0)==-65)k[c>>2]=a+3}r=e;a:while(1){n=k[c>>2]|0;a=n>>>0<b>>>0;if(!a){t=41;break}s=k[f>>2]|0;if(s>>>0>=e>>>0){t=41;break}m=i[n>>0]|0;q=m&255;if(q>>>0>g>>>0){a=2;break}do if(m<<24>>24>-1){j[s>>1]=m&255;k[c>>2]=n+1}else{if((m&255)<194){a=2;break a}if((m&255)<224){if((d-n|0)<2){a=1;break a}a=l[n+1>>0]|0;if((a&192|0)!=128){a=2;break a}a=a&63|q<<6&1984;if(a>>>0>g>>>0){a=2;break a}j[s>>1]=a;k[c>>2]=n+2;break}if((m&255)<240){if((d-n|0)<3){a=1;break a}h=i[n+1>>0]|0;a=i[n+2>>0]|0;switch(m<<24>>24){case -32:{if((h&-32)<<24>>24!=-96){a=2;break a}break}case -19:{if((h&-32)<<24>>24!=-128){a=2;break a}break}default:if((h&-64)<<24>>24!=-128){a=2;break a}}a=a&255;if((a&192|0)!=128){a=2;break a}a=(h&255)<<6&4032|q<<12|a&63;if((a&65535)>>>0>g>>>0){a=2;break a}j[s>>1]=a;k[c>>2]=n+3;break}if((m&255)>=245){a=2;break a}if((d-n|0)<4){a=1;break a}o=i[n+1>>0]|0;a=i[n+2>>0]|0;h=i[n+3>>0]|0;switch(m<<24>>24){case -16:{if((o+112&255)>=48){a=2;break a}break}case -12:{if((o&-16)<<24>>24!=-128){a=2;break a}break}default:if((o&-64)<<24>>24!=-128){a=2;break a}}p=a&255;if((p&192|0)!=128){a=2;break a}a=h&255;if((a&192|0)!=128){a=2;break a}if((r-s|0)<4){a=1;break a}n=q&7;h=o&255;m=p<<6;a=a&63;if((h<<12&258048|n<<18|m&4032|a)>>>0>g>>>0){a=2;break a}j[s>>1]=h<<2&60|p>>>4&3|((h>>>4&3|n<<2)<<6)+16320|55296;s=s+2|0;k[f>>2]=s;j[s>>1]=a|m&960|56320;k[c>>2]=(k[c>>2]|0)+4}while(0);k[f>>2]=(k[f>>2]|0)+2}if((t|0)==41)a=a&1;return a|0}function zm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=0;j=r;r=r+64|0;n=j+56|0;c=j+48|0;d=j+40|0;f=j+32|0;g=j+24|0;h=j+16|0;i=j+8|0;l=j;e=a+80|0;LT(n,k[e>>2]|0);k[n>>2]=15152;b=(k[n+4>>2]|0)==0;DO(n);do if(!b){LT(f,k[e>>2]|0);k[f>>2]=15152;b=k[f+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+16>>2]|0,b|0)|0;n=y;y=0;if(n&1)m=9;else{y=0;oa(460,d|0,b|0);n=y;y=0;if(n&1)m=9;else{k[d>>2]=15152;k[a+68>>2]=0;b=a+76|0;if(!(k[e>>2]|0))m=6;else{y=0;na(423,b|0);n=y;y=0;if(!(n&1))m=6}if((m|0)==6){k[e>>2]=k[d+4>>2];y=0;na(424,b|0);n=y;y=0;if(!(n&1)){y=0;oa(460,c|0,k[e>>2]|0);n=y;y=0;if(!(n&1)){k[c>>2]=15152;DO(c);DO(d);DO(f);break}}}b=pb()|0;DO(d)}}if((m|0)==9)b=pb()|0;DO(f);n=b;sb(n|0)}while(0);c=a+88|0;LT(g,k[c>>2]|0);k[g>>2]=15136;n=(k[g+4>>2]|0)==0;DO(g);if(n){r=j;return}LT(l,k[c>>2]|0);k[l>>2]=15136;b=k[l+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+16>>2]|0,b|0)|0;n=y;y=0;if(n&1)m=20;else{y=0;oa(460,i|0,b|0);n=y;y=0;if(n&1)m=20;else{k[i>>2]=15136;k[a+68>>2]=0;b=a+84|0;if(!(k[c>>2]|0))m=17;else{y=0;na(423,b|0);n=y;y=0;if(!(n&1))m=17}if((m|0)==17){k[c>>2]=k[i+4>>2];y=0;na(424,b|0);n=y;y=0;if(!(n&1)){y=0;oa(460,h|0,k[c>>2]|0);n=y;y=0;if(!(n&1)){k[h>>2]=15136;DO(h);DO(i);DO(l);r=j;return}}}b=pb()|0;DO(i)}}if((m|0)==20)b=pb()|0;DO(l);n=b;sb(n|0)}function Am(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=r;r=r+64|0;f=h+24|0;j=h+12|0;g=h;b=(qu(b,a)|0)+4|0;b=k[b>>2]|0;if(b|0)if((k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)){j=b;r=h;return j|0}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,38037,10);b=i[a+11>>0]|0;l=b<<24>>24<0;y=0;ta(41,j|0,(l?k[a>>2]|0:a)|0,(l?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(974,j|0,38048)|0;l=y;y=0;if(!(l&1)){y=0;Ha(974,j|0,c|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(974,j|0,38055)|0;l=y;y=0;if(!(l&1)){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,38091,6);l=y;y=0;do if(l&1)d=pb()|0;else{l=i[f+11>>0]|0;c=l<<24>>24<0;y=0;ta(41,j|0,(c?k[f>>2]|0:f)|0,(c?k[f+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){d=pb()|0;A9(f);break}A9(f);y=0;oa(456,g|0,j|0);l=y;y=0;if(l&1)break a;y=0;a=f;b=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(b|0));Na(98,g|0,f|0,e|0);l=y;y=0;if(l&1){l=pb()|0;A9(g);A9(j);sb(l|0)}else{A9(g);A9(j);l=0;r=h;return l|0}}while(0);l=d;A9(j);sb(l|0)}}}}while(0);l=pb()|0;A9(j);sb(l|0);return 0}function Bm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=r;r=r+64|0;f=h+24|0;j=h+12|0;g=h;b=(qu(b,a)|0)+4|0;b=k[b>>2]|0;if(b|0)if((k[283]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)){j=b;r=h;return j|0}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,38037,10);b=i[a+11>>0]|0;l=b<<24>>24<0;y=0;ta(41,j|0,(l?k[a>>2]|0:a)|0,(l?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(974,j|0,38048)|0;l=y;y=0;if(!(l&1)){y=0;Ha(974,j|0,c|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(974,j|0,38055)|0;l=y;y=0;if(!(l&1)){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,38279,5);l=y;y=0;do if(l&1)d=pb()|0;else{l=i[f+11>>0]|0;c=l<<24>>24<0;y=0;ta(41,j|0,(c?k[f>>2]|0:f)|0,(c?k[f+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){d=pb()|0;A9(f);break}A9(f);y=0;oa(456,g|0,j|0);l=y;y=0;if(l&1)break a;y=0;a=f;b=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(b|0));Na(98,g|0,f|0,e|0);l=y;y=0;if(l&1){l=pb()|0;A9(g);A9(j);sb(l|0)}else{A9(g);A9(j);l=0;r=h;return l|0}}while(0);l=d;A9(j);sb(l|0)}}}}while(0);l=pb()|0;A9(j);sb(l|0);return 0}function Cm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0;h=r;r=r+64|0;f=h+24|0;j=h+12|0;g=h;b=(qu(b,a)|0)+4|0;b=k[b>>2]|0;if(b|0)if((k[229]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)){j=b;r=h;return j|0}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,38037,10);b=i[a+11>>0]|0;l=b<<24>>24<0;y=0;ta(41,j|0,(l?k[a>>2]|0:a)|0,(l?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(974,j|0,38048)|0;l=y;y=0;if(!(l&1)){y=0;Ha(974,j|0,c|0)|0;l=y;y=0;if(!(l&1)){y=0;Ha(974,j|0,38055)|0;l=y;y=0;if(!(l&1)){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,38068,3);l=y;y=0;do if(l&1)d=pb()|0;else{l=i[f+11>>0]|0;c=l<<24>>24<0;y=0;ta(41,j|0,(c?k[f>>2]|0:f)|0,(c?k[f+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){d=pb()|0;A9(f);break}A9(f);y=0;oa(456,g|0,j|0);l=y;y=0;if(l&1)break a;y=0;a=f;b=a+40|0;do{k[a>>2]=k[d>>2];a=a+4|0;d=d+4|0}while((a|0)<(b|0));Na(98,g|0,f|0,e|0);l=y;y=0;if(l&1){l=pb()|0;A9(g);A9(j);sb(l|0)}else{A9(g);A9(j);l=0;r=h;return l|0}}while(0);l=d;A9(j);sb(l|0)}}}}while(0);l=pb()|0;A9(j);sb(l|0);return 0}function Dm(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(!b)c=5;else{b=gx(b)|0;if(!b)c=5;else c=6}if((c|0)==5)if((i[a>>0]|0)==45){b=a+1|0;c=6}else b=a;if((c|0)==6)while(1){if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=hx(a)|0;if(a|0){a=gx(a)|0;if(a|0){b=a;c=6;continue}}if((i[b>>0]|0)==45){b=b+1|0;c=6}else break}b=qm(b)|0;if(!b){c=0;return c|0}while(1){a=qm(b)|0;if(!a)break;else b=a}a:while(1){if((i[b>>0]|0)==45){a=b;do a=a+1|0;while((i[a>>0]|0)==45)}else a=b;a=hx(a)|0;if(!a)c=17;else{a=gx(a)|0;if(!a)c=17;else c=18}if((c|0)==17){c=0;if((i[b>>0]|0)==45){a=b+1|0;c=18}else a=b}if((c|0)==18)while(1){if((i[a>>0]|0)==45){c=a;do c=c+1|0;while((i[c>>0]|0)==45)}else c=a;c=hx(c)|0;if(c|0){c=gx(c)|0;if(c|0){a=c;c=18;continue}}if((i[a>>0]|0)==45){a=a+1|0;c=18}else break}a=qm(a)|0;if(!a)break;else b=a;while(1){a=qm(b)|0;if(!a)continue a;else b=a}}return b|0}function Em(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0;l=r;r=r+32|0;m=l+16|0;j=l+8|0;i=l;if((d|0)==0|(e|0)==0){r=l;return}LT(m,0);k[m>>2]=15136;h=(k[b+16>>2]|0)+d|0;y=0;oa(460,j|0,k[(k[(k[b+4>>2]|0)+(h>>>9<<2)>>2]|0)+((h&511)<<3)+4>>2]|0);h=y;y=0;a:do if(!(h&1)){k[j>>2]=15136;h=(k[c+16>>2]|0)+e|0;y=0;oa(460,i|0,k[(k[(k[c+4>>2]|0)+(h>>>9<<2)>>2]|0)+((h&511)<<3)+4>>2]|0);h=y;y=0;do if(h&1)h=pb()|0;else{k[i>>2]=15136;y=0;h=Ma(14,f|0,j|0,i|0,m|0)|0;n=y;y=0;if(n&1){h=pb()|0;DO(i);break}DO(i);DO(j);do if(h){y=0;Ea(8,a|0,b|0,c|0,d+-1|0,e+-1|0,f|0,g|0);n=y;y=0;if(n&1)break a;c=g+8|0;j=k[c>>2]|0;d=g+4|0;i=k[d>>2]|0;n=j-i|0;b=g+16|0;a=k[b>>2]|0;e=g+20|0;h=k[e>>2]|0;if((((n|0)==0?0:(n<<7)+-1|0)|0)==(h+a|0)){y=0;na(452,g|0);n=y;y=0;if(n&1)break a;h=k[e>>2]|0;a=k[b>>2]|0;j=k[c>>2]|0;i=k[d>>2]|0}h=h+a|0;if((j|0)==(i|0))h=0;else h=(k[i+(h>>>9<<2)>>2]|0)+((h&511)<<3)|0;y=0;oa(460,h|0,k[m+4>>2]|0);n=y;y=0;if(n&1)break a;k[h>>2]=15136;k[e>>2]=(k[e>>2]|0)+1}else{n=k[a>>2]|0;h=e+-1|0;i=d+-1|0;if((k[(k[n+(d*12|0)>>2]|0)+(h<<2)>>2]|0)>(k[(k[n+(i*12|0)>>2]|0)+(e<<2)>>2]|0)){y=0;Ea(8,a|0,b|0,c|0,d|0,h|0,f|0,g|0);n=y;y=0;if(n&1)break a;else break}else{y=0;Ea(8,a|0,b|0,c|0,i|0,e|0,f|0,g|0);n=y;y=0;if(n&1)break a;else break}}while(0);DO(m);r=l;return}while(0);DO(j);n=h;DO(m);sb(n|0)}while(0);n=pb()|0;DO(m);sb(n|0)}function Fm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;g=j+24|0;l=j+12|0;h=j;f=(qu(b,a)|0)+4|0;f=Z9(k[f>>2]|0)|0;if(f|0){r=j;return f|0}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;aI(l,38037,10);b=i[a+11>>0]|0;m=b<<24>>24<0;y=0;ta(41,l|0,(m?k[a>>2]|0:a)|0,(m?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(974,l|0,38048)|0;m=y;y=0;if(!(m&1)){y=0;Ha(974,l|0,c|0)|0;m=y;y=0;if(!(m&1)){y=0;Ha(974,l|0,38055)|0;m=y;y=0;if(!(m&1)){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,39121,6);m=y;y=0;do if(m&1)b=pb()|0;else{m=i[g+11>>0]|0;c=m<<24>>24<0;y=0;ta(41,l|0,(c?k[g>>2]|0:g)|0,(c?k[g+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){b=pb()|0;A9(g);break}A9(g);y=0;oa(456,h|0,l|0);m=y;y=0;if(m&1)break a;y=0;c=g;b=d;a=c+40|0;do{k[c>>2]=k[b>>2];c=c+4|0;b=b+4|0}while((c|0)<(a|0));Na(98,h|0,g|0,e|0);m=y;y=0;if(m&1){m=pb()|0;A9(h);A9(l);sb(m|0)}else{A9(h);A9(l);r=j;return f|0}}while(0);m=b;A9(l);sb(m|0)}}}}while(0);m=pb()|0;A9(l);sb(m|0);return 0}function Gm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;o=0;j=r;r=r+160|0;c=j;p=j+144|0;d=j+104|0;q=j+96|0;e=j+56|0;m=j+48|0;n=j+40|0;be(p,b);f=d;g=b+108|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(591,q|0,b|0);l=y;y=0;if(l&1){q=pb()|0;DO(p);sb(q|0)}y=0;l=qa(315,76)|0;h=y;y=0;a:do if(h&1)b=pb()|0;else{f=e;g=d;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(460,m|0,k[p+4>>2]|0);h=y;y=0;do if(h&1)b=pb()|0;else{k[m>>2]=7492;y=0;oa(460,n|0,k[q+4>>2]|0);h=y;y=0;if(h&1){b=pb()|0;DO(m);break}k[n>>2]=8964;f=c;g=e;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(422,l|0);h=y;y=0;b:do if(h&1){b=1;o=17}else{f=l+12|0;g=c;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;b=l+56|0;k[b>>2]=0;k[l>>2]=10300;c=l+60|0;y=0;oa(460,c|0,k[m+4>>2]|0);h=y;y=0;do if(h&1)b=pb()|0;else{k[c>>2]=7492;d=l+68|0;y=0;oa(460,d|0,k[n+4>>2]|0);h=y;y=0;if(h&1){b=pb()|0;DO(c);break}k[d>>2]=8964;k[b>>2]=4;y=0;oa(460,a|0,l|0);o=y;y=0;if(o&1){b=0;o=17;break b}k[a>>2]=17068;DO(n);DO(m);DO(q);DO(p);r=j;return}while(0);c=1}while(0);if((o|0)==17){o=pb()|0;c=b;b=o}DO(n);DO(m);if(!c)break a}while(0);cra(l)}while(0);DO(q);q=b;DO(p);sb(q|0)}function Hm(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;g=j+24|0;l=j+12|0;h=j;f=(qu(b,a)|0)+4|0;f=Baa(k[f>>2]|0)|0;if(f|0){r=j;return f|0}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;aI(l,38037,10);b=i[a+11>>0]|0;m=b<<24>>24<0;y=0;ta(41,l|0,(m?k[a>>2]|0:a)|0,(m?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(974,l|0,38048)|0;m=y;y=0;if(!(m&1)){y=0;Ha(974,l|0,c|0)|0;m=y;y=0;if(!(m&1)){y=0;Ha(974,l|0,38055)|0;m=y;y=0;if(!(m&1)){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,87975,0);m=y;y=0;do if(m&1)b=pb()|0;else{m=i[g+11>>0]|0;c=m<<24>>24<0;y=0;ta(41,l|0,(c?k[g>>2]|0:g)|0,(c?k[g+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){b=pb()|0;A9(g);break}A9(g);y=0;oa(456,h|0,l|0);m=y;y=0;if(m&1)break a;y=0;c=g;b=d;a=c+40|0;do{k[c>>2]=k[b>>2];c=c+4|0;b=b+4|0}while((c|0)<(a|0));Na(98,h|0,g|0,e|0);m=y;y=0;if(m&1){m=pb()|0;A9(h);A9(l);sb(m|0)}else{A9(h);A9(l);r=j;return f|0}}while(0);m=b;A9(l);sb(m|0)}}}}while(0);m=pb()|0;A9(l);sb(m|0);return 0}function Im(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+64|0;g=j+24|0;l=j+12|0;h=j;f=(qu(b,a)|0)+4|0;f=qba(k[f>>2]|0)|0;if(f|0){r=j;return f|0}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;aI(l,38037,10);b=i[a+11>>0]|0;m=b<<24>>24<0;y=0;ta(41,l|0,(m?k[a>>2]|0:a)|0,(m?k[a+4>>2]|0:b&255)|0)|0;a=y;y=0;a:do if(!(a&1)){y=0;Ha(974,l|0,38048)|0;m=y;y=0;if(!(m&1)){y=0;Ha(974,l|0,c|0)|0;m=y;y=0;if(!(m&1)){y=0;Ha(974,l|0,38055)|0;m=y;y=0;if(!(m&1)){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,39258,4);m=y;y=0;do if(m&1)b=pb()|0;else{m=i[g+11>>0]|0;c=m<<24>>24<0;y=0;ta(41,l|0,(c?k[g>>2]|0:g)|0,(c?k[g+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){b=pb()|0;A9(g);break}A9(g);y=0;oa(456,h|0,l|0);m=y;y=0;if(m&1)break a;y=0;c=g;b=d;a=c+40|0;do{k[c>>2]=k[b>>2];c=c+4|0;b=b+4|0}while((c|0)<(a|0));Na(98,h|0,g|0,e|0);m=y;y=0;if(m&1){m=pb()|0;A9(h);A9(l);sb(m|0)}else{A9(h);A9(l);r=j;return f|0}}while(0);m=b;A9(l);sb(m|0)}}}}while(0);m=pb()|0;A9(l);sb(m|0);return 0}function Jm(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0,l=0,m=0,n=0,o=0,q=0;o=0;q=r;r=r+64|0;j=q+24|0;m=q;n=q+12|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,38272,6);y=0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(24,m|0,a|0,d|0,j|0,f|0)|0;l=y;y=0;if(l&1){q=pb()|0;A9(m);sb(q|0)}A9(m);l=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,38265,6);y=0;b=j;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,m|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(453,j|0,b|0);f=y;y=0;if(!(f&1)){f=i[j+11>>0]|0;if(((f<<24>>24<0?k[j+4>>2]|0:f&255)|0)==1){y=0;c=sa(21,j|0,0,-1,48698,1)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}A9(j);if(!c){h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>100.0?100.0:h}else o=10}else{A9(j);o=10}if((o|0)==10){h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>1.0?1.0:h}k[l+108>>2]=0;p[l+88>>3]=h;A9(m);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;aI(n,87975,0);y=0;Ha(969,l+96|0,n|0)|0;o=y;y=0;if(!(o&1)){A9(n);r=q;return l|0}q=pb()|0;A9(n);sb(q|0)}}q=pb()|0;A9(m);sb(q|0);return 0}function Km(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;n=0;l=r;r=r+32|0;o=l+24|0;m=l+16|0;j=l+8|0;i=l;if(!a){o=0;r=l;return o|0}LT(o,k[a+68>>2]|0);k[o>>2]=6868;h=o+4|0;a=k[h>>2]|0;e=(k[a+72>>2]|0)-(k[a+68>>2]|0)>>3;a:do if(!e)a=0;else{f=m+4|0;g=j+4|0;c=0;while(1){a=a+64|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,c|0)|0;d=y;y=0;if(d&1){n=11;break}y=0;oa(460,m|0,k[a+4>>2]|0);d=y;y=0;if(d&1){n=11;break}k[m>>2]=6508;a=k[f>>2]|0;if(!a)n=13;else if((k[133]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)){d=1;a=0}else if((k[119]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)){d=1;a=0}else n=13;if((n|0)==13){n=0;y=0;a=qa(342,a|0)|0;d=y;y=0;if(d&1){n=12;break}if(!a){d=0;a=0}else{y=0;oa(460,j|0,k[a+68>>2]|0);d=y;y=0;if(d&1){n=21;break}k[j>>2]=6868;y=0;a=qa(k[(k[a>>2]|0)+76>>2]|0,a|0)|0;d=y;y=0;if(d&1){n=22;break}if(a)a=0;else{y=0;oa(460,i|0,k[g>>2]|0);d=y;y=0;if(d&1){n=22;break}k[i>>2]=6868;y=0;a=Ha(999,i|0,b|0)|0;d=y;y=0;if(d&1){n=23;break}DO(i)}DO(j);d=0}}DO(m);c=c+1|0;if(a|d){a=1;break a}if(c>>>0>=e>>>0){a=0;break a}a=k[h>>2]|0}if((n|0)==11){n=pb()|0;DO(o);sb(n|0)}else if((n|0)==12)a=pb()|0;else if((n|0)==21)a=pb()|0;else if((n|0)==22){a=pb()|0;n=25}else if((n|0)==23){a=pb()|0;DO(i);n=25}if((n|0)==25)DO(j);DO(m);n=a;DO(o);sb(n|0)}while(0);DO(o);o=a;r=l;return o|0}function Lm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=r;r=r+64|0;n=v+48|0;m=v+40|0;l=v+32|0;q=v+16|0;s=v+8|0;t=v;u=v+24|0;if((k[a+4>>2]|0)!=2){v=gb(4)|0;k[v>>2]=34492;Wb(v|0,5960,0)}if((k[b+4>>2]|0)!=2){v=gb(4)|0;k[v>>2]=34492;Wb(v|0,5960,0)}d=a+20|0;c=k[d>>2]|0;a=a+24|0;o=k[a>>2]|0;p=(o|0)==0;if(p){a=c;e=0;j=1}else{Dba(o);e=k[a>>2]|0;a=k[d>>2]|0;if(!e){e=0;j=1}else{Dba(e);j=0}}h=a;a=(k[h+16>>2]|0)+(k[h+20>>2]|0)|0;i=k[h+4>>2]|0;d=i+(((a>>>0)/146|0)<<2)|0;if((k[h+8>>2]|0)==(i|0))a=0;else a=(k[d>>2]|0)+(((a>>>0)%146|0)*28|0)|0;k[q>>2]=d;k[q+4>>2]=a;f=b+20|0;d=k[f>>2]|0;g=b+24|0;h=k[g>>2]|0;i=(h|0)==0;if(!i)Dba(h);w=k[d+4>>2]|0;a=k[d+16>>2]|0;b=w+(((a>>>0)/146|0)<<2)|0;if((k[d+8>>2]|0)==(w|0))a=0;else a=(k[b>>2]|0)+(((a>>>0)%146|0)*28|0)|0;k[s>>2]=b;k[s+4>>2]=a;d=k[f>>2]|0;f=k[g>>2]|0;g=(f|0)==0;if(!g)Dba(f);a=(k[d+16>>2]|0)+(k[d+20>>2]|0)|0;w=k[d+4>>2]|0;b=w+(((a>>>0)/146|0)<<2)|0;if((k[d+8>>2]|0)==(w|0))a=0;else a=(k[b>>2]|0)+(((a>>>0)%146|0)*28|0)|0;k[t>>2]=b;k[t+4>>2]=a;y=0;k[l>>2]=k[q>>2];k[l+4>>2]=k[q+4>>2];k[m>>2]=k[s>>2];k[m+4>>2]=k[s+4>>2];k[n>>2]=k[t>>2];k[n+4>>2]=k[t+4>>2];ya(12,u|0,c|0,l|0,m|0,n|0,0);w=y;y=0;if(w&1){a=pb()|0;if(!g)DY(f);if(!i)DY(h);if(!j)DY(e);if(p)sb(a|0);DY(o);sb(a|0)}else{if(!g)DY(f);if(!i)DY(h);if(!j)DY(e);if(p){r=v;return}DY(o);r=v;return}}function Mm(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;j=r;r=r+64|0;h=j+56|0;o=j+48|0;p=j+40|0;m=j+32|0;n=j+24|0;l=j+16|0;i=j;g=(a|0)==0;if(g)d=0;else{e=h+4|0;d=a;while(1){LT(h,k[d+88>>2]|0);k[h>>2]=15136;f=k[e>>2]|0;DO(h);if(!f)break;else d=f}}LT(p,d);k[p>>2]=15136;y=0;oa(460,o|0,k[(k[p+4>>2]|0)+80>>2]|0);f=y;y=0;if(f&1){o=pb()|0;DO(p);sb(o|0)}k[o>>2]=15152;if(!(k[o+4>>2]|0)){n=0;DO(o);DO(p);r=j;return n|0}a:do if(g){a=0;e=10}else{e=h+4|0;while(1){y=0;oa(460,h|0,k[a+88>>2]|0);g=y;y=0;if(g&1)break;k[h>>2]=15136;d=k[e>>2]|0;DO(h);if(!d){e=10;break a}else a=d}a=pb()|0;e=20}while(0);do if((e|0)==10){y=0;oa(460,n|0,a|0);h=y;y=0;if(h&1){a=pb()|0;e=20;break}k[n>>2]=15136;y=0;oa(460,m|0,k[(k[n+4>>2]|0)+80>>2]|0);h=y;y=0;if(h&1)a=pb()|0;else{k[m>>2]=15152;a=k[m+4>>2]|0;d=k[(k[a>>2]|0)+144>>2]|0;y=0;oa(460,l|0,k[b+4>>2]|0);b=y;y=0;if(b&1)a=pb()|0;else{k[l>>2]=15152;y=0;oa(456,i|0,c|0);c=y;y=0;do if(c&1)a=pb()|0;else{y=0;a=ta(d|0,a|0,l|0,i|0)|0;c=y;y=0;if(c&1){a=pb()|0;A9(i);break}A9(i);DO(l);DO(m);DO(n);n=a;DO(o);DO(p);r=j;return n|0}while(0);DO(l)}DO(m)}DO(n)}while(0);DO(o);o=a;DO(p);sb(o|0);return 0}function Nm(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+16|0;i=j+8|0;d=j;if(!a){i=1;r=j;return i|0}switch(k[a>>2]|0){case 1:{f=a+4|0;b=k[f>>2]|0;if(!b){i=1;r=j;return i|0}e=k[a+8>>2]|0;if(!e){i=1;r=j;return i|0}c=k[a+16>>2]|0;if(!c){i=1;r=j;return i|0}b=k[b+84>>2]|0;if(b|0){i=b;r=j;return i|0}k[a>>2]=2;LT(i,c);k[i>>2]=6868;b=k[(k[e>>2]|0)+16>>2]|0;y=0;oa(460,d|0,k[i+4>>2]|0);c=y;y=0;do if(c&1){b=tb(0)|0;a=13}else{k[d>>2]=6868;y=0;b=Ha(b|0,e|0,d|0)|0;c=y;y=0;if(c&1){b=tb(0)|0;DO(d);a=13;break}k[(k[f>>2]|0)+76>>2]=b;DO(d);y=0;b=qa(k[(k[e>>2]|0)+20>>2]|0,e|0)|0;h=y;y=0;if(h&1)a=21;else{k[(k[f>>2]|0)+80>>2]=b;b=0;a=23}}while(0);if((a|0)==13){vb(b|0)|0;b=k[f>>2]|0;y=0;a=qa(398,b|0)|0;f=y;y=0;do if(f&1){f=tb(0)|0;vb(f|0)|0;y=0;b=qa(398,b|0)|0;f=y;y=0;if(f&1){b=pb()|0;y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}else h=b}else{y=0;la(3);h=y;y=0;if(!(h&1)){g=b;break}h=pb()|0}y=0;la(3);f=y;y=0;if(f&1){h=tb(0)|0;Sla(h)}else{j=h;DO(i);sb(j|0)}}else g=a;while(0);y=0;la(3);h=y;y=0;if(h&1)a=21;else{b=g|1;a=23}}if((a|0)==21){j=pb()|0;DO(i);sb(j|0)}else if((a|0)==23){DO(i);i=b;r=j;return i|0}break}case 2:{i=0;r=j;return i|0}default:{i=-1;r=j;return i|0}}return 0}function Om(a){a=a|0;var b=0,c=0,d=0;d=0;switch(i[a>>0]|0){case 42:{b=a+1|0;break}case 45:{b=a;do b=b+1|0;while((i[b>>0]|0)==45);d=3;break}default:{b=a;d=3}}do if((d|0)==3){c=hx(b)|0;if(c|0){c=gx(c)|0;if(c|0){b=c;break}}b=Rn(b)|0}while(0);b=b|0?b:a;if(!b)b=0;else{c=b+1|0;if((i[b>>0]|0)==124)b=(i[c>>0]|0)==61?0:c;else b=0}c=b|0?b:a;if(!c){d=0;return d|0}b=c+1|0;switch(i[c>>0]|0){case 35:{if((i[b>>0]|0)==123){b=0;d=13}break}case 46:break;case 58:{b=(i[b>>0]|0)==58?c+2|0:b;d=13;break}default:{b=0;d=13}}if((d|0)==13){b=b|0?b:c;if(!b){d=0;return d|0}if(ZB(b)|0){d=0;return d|0}}b=lt(b)|0;if(!b){d=0;return d|0}while(1){c=lt(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)!=45){d=b;return d|0}do b=b+1|0;while((i[b>>0]|0)==45);return b|0}function Pm(a,b){a=+a;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=0;p[u>>3]=a;g=k[u>>2]|0;i=k[u+4>>2]|0;p[u>>3]=b;l=k[u>>2]|0;m=k[u+4>>2]|0;d=EV(g|0,i|0,52)|0;d=d&2047;j=EV(l|0,m|0,52)|0;j=j&2047;n=i&-2147483648;f=_U(l|0,m|0,1)|0;h=N;a:do if((f|0)==0&(h|0)==0)o=3;else{e=m&2147483647;if(e>>>0>2146435072|(e|0)==2146435072&l>>>0>0|(d|0)==2047)o=3;else{c=_U(g|0,i|0,1)|0;e=N;if(!(e>>>0>h>>>0|(e|0)==(h|0)&c>>>0>f>>>0))return +((c|0)==(f|0)&(e|0)==(h|0)?a*0.0:a);if(!d){c=_U(g|0,i|0,12)|0;e=N;if((e|0)>-1|(e|0)==-1&c>>>0>4294967295){d=0;do{d=d+-1|0;c=_U(c|0,e|0,1)|0;e=N}while((e|0)>-1|(e|0)==-1&c>>>0>4294967295)}else d=0;g=_U(g|0,i|0,1-d|0)|0;f=N}else f=i&1048575|1048576;if(!j){e=_U(l|0,m|0,12)|0;h=N;if((h|0)>-1|(h|0)==-1&e>>>0>4294967295){c=0;do{c=c+-1|0;e=_U(e|0,h|0,1)|0;h=N}while((h|0)>-1|(h|0)==-1&e>>>0>4294967295)}else c=0;l=_U(l|0,m|0,1-c|0)|0;j=c;i=N}else i=m&1048575|1048576;e=mU(g|0,f|0,l|0,i|0)|0;c=N;h=(c|0)>-1|(c|0)==-1&e>>>0>4294967295;b:do if((d|0)>(j|0)){while(1){if(h){if((e|0)==0&(c|0)==0)break}else{e=g;c=f}g=_U(e|0,c|0,1)|0;f=N;d=d+-1|0;e=mU(g|0,f|0,l|0,i|0)|0;c=N;h=(c|0)>-1|(c|0)==-1&e>>>0>4294967295;if((d|0)<=(j|0))break b}b=a*0.0;break a}while(0);if(h){if((e|0)==0&(c|0)==0){b=a*0.0;break}}else{c=f;e=g}if(c>>>0<1048576|(c|0)==1048576&e>>>0<0)do{e=_U(e|0,c|0,1)|0;c=N;d=d+-1|0}while(c>>>0<1048576|(c|0)==1048576&e>>>0<0);if((d|0)>0){m=P5(e|0,c|0,0,-1048576)|0;c=N;d=_U(d|0,0,52)|0;c=c|N;d=m|d}else{d=EV(e|0,c|0,1-d|0)|0;c=N}k[u>>2]=d;k[u+4>>2]=c|n;b=+p[u>>3]}}while(0);if((o|0)==3){b=a*b;b=b/b}return +b}function Qm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;j=r;r=r+32|0;l=j+24|0;m=j+16|0;c=j;i=j+8|0;LT(l,k[b+68>>2]|0);k[l>>2]=6868;y=0;oa(460,c|0,k[b+76>>2]|0);h=y;y=0;if(h&1){m=pb()|0;DO(l);sb(m|0)}k[c>>2]=6756;y=0;oa(460,m|0,k[c+4>>2]|0);h=y;y=0;if(h&1){m=pb()|0;DO(c);DO(l);sb(m|0)}k[m>>2]=15168;DO(c);b=k[m+4>>2]|0;if(!b)c=8;else{y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);h=y;y=0;if(h&1)c=7;else c=8}a:do if((c|0)==8){d=l+4|0;h=a+4|0;if(!(k[d>>2]|0)){y=0;na(460,h|0);i=y;y=0;if(i&1){c=7;break}DO(m);DO(l);r=j;return}y=0;oa(680,h|0,0);g=y;y=0;if(g&1)c=7;else{c=k[d>>2]|0;e=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>3;b:do if(e|0){f=i+4|0;g=e+-1|0;b=0;while(1){c=c+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,b|0)|0;n=y;y=0;if(n&1){c=19;break}y=0;oa(460,i|0,k[c+4>>2]|0);n=y;y=0;if(n&1){c=19;break}k[i>>2]=6508;n=k[f>>2]|0;y=0;oa(k[(k[n>>2]|0)+44>>2]|0,n|0,a|0);n=y;y=0;if(n&1){c=20;break}if(b>>>0<g>>>0){y=0;na(457,h|0);n=y;y=0;if(n&1){c=20;break}}DO(i);b=b+1|0;if(b>>>0>=e>>>0)break b;c=k[d>>2]|0}if((c|0)==19){b=pb()|0;break a}else if((c|0)==20){b=pb()|0;DO(i);break a}}while(0);y=0;oa(681,h|0,0);n=y;y=0;if(n&1)c=7;else{DO(m);DO(l);r=j;return}}}while(0);if((c|0)==7)b=pb()|0;DO(m);n=b;DO(l);sb(n|0)}function Rm(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;f=r;r=r+64|0;e=f+48|0;h=f+36|0;j=f+24|0;l=f+12|0;g=f;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;m=i[d+11>>0]|0;n=m<<24>>24<0;m=n?k[d+4>>2]|0:m&255;y=0;Ra(10,j|0,(n?k[d>>2]|0:d)|0,m|0,m+1|0);d=y;y=0;if(d&1){n=pb()|0;A9(j);sb(n|0)}y=0;ta(41,j|0,48589,1)|0;n=y;y=0;if(n&1){n=pb()|0;A9(j);sb(n|0)}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;n=i[c+11>>0]|0;m=n<<24>>24<0;n=m?k[c+4>>2]|0:n&255;y=0;Ra(10,l|0,(m?k[c>>2]|0:c)|0,n|0,n+1|0);n=y;y=0;if(!(n&1)){y=0;ta(41,l|0,48589,1)|0;n=y;y=0;if(!(n&1)){y=0;Na(104,h|0,j|0,l|0);n=y;y=0;if(n&1)a=pb()|0;else{y=0;oa(456,g|0,b|0);n=y;y=0;if(n&1)a=pb()|0;else{y=0;Na(104,e|0,h|0,g|0);n=y;y=0;do if(n&1)a=pb()|0;else{y=0;oa(535,a|0,e|0);n=y;y=0;if(n&1){a=pb()|0;A9(e);break}else{A9(e);A9(g);A9(h);A9(l);A9(j);r=f;return}}while(0);A9(g)}A9(h)}A9(l);n=a;A9(j);sb(n|0)}}n=pb()|0;A9(l);A9(j);sb(n|0)}function Sm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=0;p=r;r=r+16|0;m=p+8|0;n=p;a:do if(Jo(a,b)|0){c=a+84|0;f=b+84|0;e=i[c+11>>0]|0;l=e<<24>>24<0;e=e&255;g=l?k[a+88>>2]|0:e;j=i[f+11>>0]|0;d=j<<24>>24<0;if((g|0)==((d?k[b+88>>2]|0:j&255)|0)){h=k[c>>2]|0;j=l?h:c;d=d?k[f>>2]|0:f;f=(g|0)==0;b:do if(l){if(!f)if(bN(j,d,g)|0)break a}else if(!f){if((h&255)<<24>>24!=(i[d>>0]|0))break a;while(1){e=e+-1|0;c=c+1|0;if(!e)break b;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0))break a}}while(0);LT(m,k[a+108>>2]|0);k[m>>2]=7492;y=0;oa(460,n|0,k[b+108>>2]|0);b=y;y=0;if(b&1){p=pb()|0;DO(m);sb(p|0)}k[n>>2]=7492;d=k[n+4>>2]|0;c=m+4|0;if(!d){c=k[c>>2]|0;o=17}else{c=k[c>>2]|0;if(!c)o=17;else{y=0;c=Ha(k[(k[c>>2]|0)+120>>2]|0,c|0,d|0)|0;b=y;y=0;if(b&1){p=pb()|0;DO(n);DO(m);sb(p|0)}}}if((o|0)==17)c=c>>>0<d>>>0;DO(n);DO(m);o=c;r=p;return o|0}}while(0);if(Jo(a,b)|0){g=a+84|0;h=b+84|0;l=i[g+11>>0]|0;j=l<<24>>24<0;l=j?k[a+88>>2]|0:l&255;e=i[h+11>>0]|0;d=e<<24>>24<0;e=d?k[b+88>>2]|0:e&255;f=e>>>0<l>>>0;c=f?e:l;if(!c)o=23;else{c=bN(j?k[g>>2]|0:g,d?k[h>>2]|0:h,c)|0;if(!c)o=23}if((o|0)==23)c=l>>>0<e>>>0?-1:f&1;o=(c|0)<0;r=p;return o|0}else{g=a+72|0;h=b+72|0;l=i[g+11>>0]|0;j=l<<24>>24<0;l=j?k[a+76>>2]|0:l&255;e=i[h+11>>0]|0;d=e<<24>>24<0;e=d?k[b+76>>2]|0:e&255;f=e>>>0<l>>>0;c=f?e:l;if(!c)o=27;else{c=bN(j?k[g>>2]|0:g,d?k[h>>2]|0:h,c)|0;if(!c)o=27}if((o|0)==27)c=l>>>0<e>>>0?-1:f&1;o=(c|0)<0;r=p;return o|0}return 0}function Tm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;j=r;r=r+48|0;e=j+24|0;l=j+16|0;f=j+8|0;g=j;h=a+4|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48593,1);y=0;oa(679,h|0,e|0);d=y;y=0;if(d&1){l=pb()|0;A9(e);sb(l|0)}A9(e);v8(h,b);mc[k[(k[b>>2]|0)+140>>2]&1023](e,b);y=0;Na(147,h|0,e|0,b|0);d=y;y=0;if(d&1){l=pb()|0;A9(e);sb(l|0)}A9(e);d=b+104|0;c=i[d+11>>0]|0;if(c<<24>>24<0)c=k[b+108>>2]|0;else c=c&255;a:do if(c|0){zt(h,d);c=b+120|0;LT(l,k[c>>2]|0);k[l>>2]=7492;if(!(k[l+4>>2]|0)){DO(l);break}y=0;oa(460,f|0,k[c>>2]|0);d=y;y=0;do if(d&1)c=pb()|0;else{k[f>>2]=7492;d=k[f+4>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+76>>2]|0,d|0)|0;m=y;y=0;if(m&1){c=pb()|0;DO(f);break}DO(f);DO(l);if(!d)break a;LT(g,k[c>>2]|0);k[g>>2]=7492;m=k[g+4>>2]|0;y=0;oa(k[(k[m>>2]|0)+44>>2]|0,m|0,a|0);m=y;y=0;if(!(m&1)){DO(g);break a}m=pb()|0;DO(g);sb(m|0)}while(0);DO(l);m=c;sb(m|0)}while(0);d8(h,b);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48595,1);y=0;oa(679,h|0,e|0);m=y;y=0;if(!(m&1)){A9(e);r=j;return}m=pb()|0;A9(e);sb(m|0)}function Um(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=30494){b=0;return b|0}e=k[a+80>>2]|0;d=k[a+76>>2]|0;f=e-d|0;r=k[a+92>>2]|0;c=k[a+88>>2]|0;s=r-c|0;g=b+76|0;h=k[g>>2]|0;g=(k[g+4>>2]|0)-h|0;t=b+88|0;l=k[t>>2]|0;t=(k[t+4>>2]|0)-l|0;if(!(((f|0)/12|0|0)!=((s|0)/-12|0|0)?((g|0)/12|0|0)!=((t|0)/-12|0|0):0)){b=+P(+(+p[a+64>>3]-+p[b+64>>3]))<1.0e-14;return b|0}q=e;if((f|0)!=(g|0)){b=0;return b|0}a:do if((d|0)!=(q|0)){b:while(1){g=i[d+11>>0]|0;j=g<<24>>24<0;g=g&255;m=j?k[d+4>>2]|0:g;o=i[h+11>>0]|0;e=o<<24>>24<0;if((m|0)!=((e?k[h+4>>2]|0:o&255)|0)){d=0;e=29;break}n=k[d>>2]|0;o=j?n:d;e=e?k[h>>2]|0:h;f=(m|0)==0;c:do if(j){if(!f)if(bN(o,e,m)|0){d=0;e=29;break b}}else if(!f){if((n&255)<<24>>24==(i[e>>0]|0))f=d;else{d=0;e=29;break b}while(1){g=g+-1|0;f=f+1|0;if(!g)break c;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0)){d=0;e=29;break b}}}while(0);d=d+12|0;if((d|0)==(q|0))break a;else h=h+12|0}if((e|0)==29)return d|0}while(0);n=r;if((s|0)!=(t|0)){b=0;return b|0}d:do if((c|0)!=(n|0)){m=c;e:while(1){e=i[m+11>>0]|0;h=e<<24>>24<0;e=e&255;j=h?k[m+4>>2]|0:e;t=i[l+11>>0]|0;c=t<<24>>24<0;if((j|0)!=((c?k[l+4>>2]|0:t&255)|0)){d=0;e=29;break}f=k[m>>2]|0;g=h?f:m;c=c?k[l>>2]|0:l;d=(j|0)==0;f:do if(h){if(!d)if(bN(g,c,j)|0){d=0;e=29;break e}}else if(!d){if((f&255)<<24>>24==(i[c>>0]|0))d=m;else{d=0;e=29;break e}while(1){e=e+-1|0;d=d+1|0;if(!e)break f;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){d=0;e=29;break e}}}while(0);m=m+12|0;if((m|0)==(n|0))break d;else l=l+12|0}if((e|0)==29)return d|0}while(0);b=+P(+(+p[a+64>>3]-+p[b+64>>3]))<1.0e-14;return b|0}function Vm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=r;r=r+112|0;n=m+72|0;o=m+56|0;j=m+16|0;l=m;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;d=k[b+76>>2]|0;e=(k[b+80>>2]|0)-d>>3;a:do if(e|0){f=b+76|0;g=n+11|0;h=n+4|0;c=0;while(1){d=k[d+(c<<3)+4>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;p=y;y=0;if(p&1){d=9;break}if(d|0){y=0;oa(k[(k[d>>2]|0)+32>>2]|0,n|0,d|0);p=y;y=0;if(p&1){d=10;break}p=i[g>>0]|0;d=p<<24>>24<0;y=0;ta(41,o|0,(d?k[n>>2]|0:n)|0,(d?k[h>>2]|0:p&255)|0)|0;p=y;y=0;if(p&1){d=11;break}A9(n)}c=c+1|0;if(c>>>0>=e>>>0)break a;d=k[f>>2]|0}if((d|0)==9){p=pb()|0;A9(o);sb(p|0)}else if((d|0)==10)c=pb()|0;else if((d|0)==11){c=pb()|0;A9(n)}p=c;A9(o);sb(p|0)}while(0);y=0;e=qa(315,80)|0;p=y;y=0;if(p&1){p=pb()|0;A9(o);sb(p|0)}a=j;c=b+12|0;d=a+40|0;do{k[a>>2]=k[c>>2];a=a+4|0;c=c+4|0}while((a|0)<(d|0));y=0;oa(456,l|0,o|0);p=y;y=0;do if(p&1)c=pb()|0;else{y=0;a=n;c=j;d=a+40|0;do{k[a>>2]=k[c>>2];a=a+4|0;c=c+4|0}while((a|0)<(d|0));Ea(2,e|0,n|0,l|0,0,0,0,1);p=y;y=0;if(p&1){c=pb()|0;A9(l);break}else{A9(l);A9(o);r=m;return e|0}}while(0);cra(e);p=c;A9(o);sb(p|0);return 0}function Wm(a,b,c,d,e,f){a=+a;b=+b;c=+c;d=+d;e=e|0;f=f|0;var g=0,h=0,j=0.0,l=0.0,m=0,n=0,o=0,q=0;o=r;r=r+96|0;n=o;m=o+56|0;q=o+40|0;a=a/360.0;b=b/100.0;c=c/100.0;c=c<0.0?0.0:c;b=b<0.0?0.0:b;c=c>1.0?1.0:c;b=b>1.0?1.0:b;if(a<0.0)do a=a+1.0;while(a<0.0);if(a>1.0)do a=a+-1.0;while(a>1.0);b=b==0.0?1.0e-10:b;if(!(c<=.5))l=c+b-c*b;else l=c*(b+1.0);j=c*2.0-l;b=a+.3333333333333333;if(b<0.0)do b=b+1.0;while(b<0.0);if(b>1.0)do b=b+-1.0;while(b>1.0);if(b*6.0<1.0)c=j+(l-j)*b*6.0;else if(b*2.0<1.0)c=l;else if(b*3.0<2.0)c=j+(l-j)*(.6666666666666666-b)*6.0;else c=j;if(a<0.0){b=a;do b=b+1.0;while(b<0.0)}else b=a;if(b>1.0)do b=b+-1.0;while(b>1.0);if(b*6.0<1.0)b=j+(l-j)*b*6.0;else if(b*2.0<1.0)b=l;else if(b*3.0<2.0)b=j+(l-j)*(.6666666666666666-b)*6.0;else b=j;a=a+-.3333333333333333;if(a<0.0)do a=a+1.0;while(a<0.0);if(a>1.0)do a=a+-1.0;while(a>1.0);if(a*6.0<1.0)a=j+(l-j)*a*6.0;else if(a*2.0<1.0)a=l;else if(a*3.0<2.0)a=j+(l-j)*(.6666666666666666-a)*6.0;else a=j;h=IM(112)|0;g=m;e=f;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,87975,0);g=y;y=0;if(g&1){q=pb()|0;cra(h);sb(q|0)}g=n;e=m;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(422,h|0);m=y;y=0;do if(m&1)e=pb()|0;else{c=c*255.0;b=b*255.0;a=a*255.0;g=h+12|0;e=n;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;e=h+56|0;k[e>>2]=0;k[h>>2]=10548;p[h+64>>3]=c;p[h+72>>3]=b;p[h+80>>3]=a;p[h+88>>3]=d;y=0;oa(456,h+96|0,q|0);n=y;y=0;if(n&1){e=pb()|0;break}else{k[h+108>>2]=0;k[e>>2]=3;A9(q);r=o;return h|0}}while(0);A9(q);q=e;cra(h);sb(q|0);return 0}function Xm(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0;n=r;r=r+80|0;l=n+40|0;q=n+24|0;o=n+12|0;m=n;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;aI(q,38376,4);y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,q|0,a|0,d|0,l|0,f|0)|0;g=y;y=0;if(g&1){o=pb()|0;A9(q);sb(o|0)}j=+p[b+64>>3];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,38381,11);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,o|0,a|0,d|0,l|0,f|0)|0;g=y;y=0;if(g&1)b=pb()|0;else{i=+p[b+64>>3];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,38393,10);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,m|0,a|0,d|0,l|0,f|0)|0;f=y;y=0;if(!(f&1)){h=+p[b+64>>3];y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=xa(1,+j,+i,+h,1.0,0,l|0)|0;e=y;y=0;if(!(e&1)){A9(m);A9(o);A9(q);r=n;return b|0}}b=pb()|0;A9(m)}}A9(o)}o=b;A9(q);sb(o|0);return 0}function Ym(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,m=0,n=0,o=0;o=b;if(!(e&4)){e=0;n=a}else if((o-a|0)>2)if((i[a>>0]|0)==-17)if((i[a+1>>0]|0)==-69){e=0;n=(i[a+2>>0]|0)==-65?a+3|0:a}else{e=0;n=a}else{e=0;n=a}else{e=0;n=a}a:while(1){if(!(e>>>0<c>>>0&n>>>0<b>>>0)){f=39;break}k=i[n>>0]|0;m=k&255;if(m>>>0>d>>>0){f=39;break}do if(k<<24>>24>-1)f=n+1|0;else{if((k&255)<194){f=39;break a}if((k&255)<224){if((o-n|0)<2){f=39;break a}f=l[n+1>>0]|0;if((f&192|0)!=128){f=39;break a}if((f&63|m<<6&1984)>>>0>d>>>0){f=39;break a}else{f=n+2|0;break}}if((k&255)<240){g=n;if((o-g|0)<3){f=39;break a}h=i[n+1>>0]|0;f=i[n+2>>0]|0;switch(k<<24>>24){case -32:{if((h&-32)<<24>>24!=-96){f=19;break a}break}case -19:{if((h&-32)<<24>>24!=-128){f=21;break a}break}default:if((h&-64)<<24>>24!=-128){f=23;break a}}f=f&255;if((f&192|0)!=128){f=39;break a}if(((h&255)<<6&4032|m<<12&61440|f&63)>>>0>d>>>0){f=39;break a}else{f=n+3|0;break}}if((k&255)>=245){f=39;break a}g=n;if((c-e|0)>>>0<2|(o-g|0)<4){f=39;break a}j=i[n+1>>0]|0;f=i[n+2>>0]|0;h=i[n+3>>0]|0;switch(k<<24>>24){case -16:{if((j+112&255)>=48){f=30;break a}break}case -12:{if((j&-16)<<24>>24!=-128){f=32;break a}break}default:if((j&-64)<<24>>24!=-128){f=34;break a}}g=f&255;if((g&192|0)!=128){f=39;break a}f=h&255;if((f&192|0)!=128){f=39;break a}if(((j&255)<<12&258048|m<<18&1835008|g<<6&4032|f&63)>>>0>d>>>0){f=39;break a}else{e=e+1|0;f=n+4|0}}while(0);e=e+1|0;n=f}if((f|0)==19)e=g-a|0;else if((f|0)==21)e=g-a|0;else if((f|0)==23)e=g-a|0;else if((f|0)==30)e=g-a|0;else if((f|0)==32)e=g-a|0;else if((f|0)==34)e=g-a|0;else if((f|0)==39)e=n-a|0;return e|0}function Zm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=r;r=r+48|0;c=j+24|0;f=j+32|0;e=j+16|0;g=j+8|0;h=j;if(i[b+76>>0]|0){LT(c,k[b+64>>2]|0);k[c>>2]=7284;h=k[c+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){j=pb()|0;DO(c);sb(j|0)}else{DO(c);r=j;return}}d=a+4|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,48580,1);y=0;oa(679,d|0,f|0);c=y;y=0;if(c&1){j=pb()|0;A9(f);sb(j|0)}A9(f);LT(e,k[b+64>>2]|0);k[e>>2]=7284;c=k[e+4>>2]|0;y=0;oa(k[(k[c>>2]|0)+44>>2]|0,c|0,a|0);c=y;y=0;if(c&1){j=pb()|0;DO(e);sb(j|0)}DO(e);c=b+72|0;LT(g,k[c>>2]|0);k[g>>2]=7284;e=(k[g+4>>2]|0)==0;DO(g);do if(!e){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,58790,2);y=0;oa(679,d|0,f|0);g=y;y=0;if(g&1){j=pb()|0;A9(f);sb(j|0)}A9(f);LT(h,k[c>>2]|0);k[h>>2]=7284;g=k[h+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){DO(h);break}j=pb()|0;DO(h);sb(j|0)}while(0);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,48585,1);y=0;oa(679,d|0,f|0);h=y;y=0;if(h&1){j=pb()|0;A9(f);sb(j|0)}else{A9(f);r=j;return}}function _m(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=a+4|0;d=k[m>>2]|0;c=k[a>>2]|0;e=((d-c|0)/20|0)+1|0;if(e>>>0>214748364){pN(a);c=k[a>>2]|0;d=k[m>>2]|0}l=a+8|0;i=((k[l>>2]|0)-c|0)/20|0;j=i<<1;e=i>>>0<107374182?(j>>>0<e>>>0?e:j):214748364;c=(d-c|0)/20|0;do if(!e)j=0;else if(e>>>0>214748364){m=gb(4)|0;Qoa(m);Wb(m|0,5760,404)}else{j=IM(e*20|0)|0;break}while(0);d=j+(c*20|0)|0;f=d|0;c=f;i=j+(e*20|0)|0;k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;d=d+12|0;y=0;oa(460,d|0,k[b+16>>2]|0);h=y;y=0;a:do if(h&1){e=pb()|0;A9(f);d=c}else{k[d>>2]=16796;d=f+20|0;h=k[a>>2]|0;e=k[m>>2]|0;do if((e|0)==(h|0)){e=c;f=h;c=h}else{while(1){b=e;e=e+-20|0;g=f+-20|0;y=0;oa(456,g|0,e|0);n=y;y=0;if(n&1){b=21;break}f=f+-8|0;y=0;oa(460,f|0,k[b+-4>>2]|0);n=y;y=0;if(n&1){b=13;break}k[f>>2]=16796;f=c+-20|0;c=f;if((e|0)==(h|0)){b=15;break}}if((b|0)==13){e=pb()|0;A9(g);break a}else if((b|0)==15){e=c;f=k[a>>2]|0;c=k[m>>2]|0;break}else if((b|0)==21){e=pb()|0;break a}}while(0);k[a>>2]=e;k[m>>2]=d;k[l>>2]=i;d=f;if((c|0)!=(d|0))do{DO(c+-8|0);c=c+-20|0;A9(c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{DO(d+-8|0);d=d+-20|0;A9(d)}while((d|0)!=(c|0));if(!j)sb(e|0);cra(j);sb(e|0)}function $m(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0;h=r;r=r+16|0;g=h;Cda(a);e=a+12|0;d=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(d|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;i[a+60>>0]=0;i[a+61>>0]=0;i[a+62>>0]=0;k[a+64>>2]=0;k[a+68>>2]=0;k[a+56>>2]=7;k[a>>2]=13112;e=a+72|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,87975,0);f=y;y=0;if(f&1){h=pb()|0;sb(h|0)}f=a+84|0;y=0;oa(456,f|0,c|0);d=y;y=0;if(d&1)b=pb()|0;else{b=a+100|0;i[b>>0]=0;k[a+96>>2]=0;d=dJ(c,124,0)|0;if((d|0)==-1){r=h;return}i[b>>0]=1;y=0;ma(4,g|0,c|0,0,d|0,c|0);b=y;y=0;do if(b&1)b=pb()|0;else{b=e+11|0;if((i[b>>0]|0)<0){i[k[e>>2]>>0]=0;k[a+76>>2]=0}else{i[e>>0]=0;i[b>>0]=0}y=0;oa(500,e|0,0);b=y;y=0;if(b&1){b=tb(0)|0;Sla(b)}k[e>>2]=k[g>>2];k[e+4>>2]=k[g+4>>2];k[e+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;A9(g);y=0;ma(4,g|0,c|0,d+1|0,-1,c|0);c=y;y=0;if(c&1){b=pb()|0;break}b=f+11|0;if((i[b>>0]|0)<0){i[k[f>>2]>>0]=0;k[a+88>>2]=0}else{i[f>>0]=0;i[b>>0]=0}y=0;oa(500,f|0,0);a=y;y=0;if(a&1){a=tb(0)|0;Sla(a)}k[f>>2]=k[g>>2];k[f+4>>2]=k[g+4>>2];k[f+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;A9(g);r=h;return}while(0);A9(f)}A9(e);h=b;sb(h|0)}function an(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;a:do if(a|0){c=i[48707]|0;b:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=48707;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[51039]|0;c:do if(!(c<<24>>24)){b=a;e=9}else{b=a;d=51039;while(1){if((i[b>>0]|0)!=c<<24>>24)break c;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=9;break}}}while(0);if((e|0)==9){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[50970]|0;d:do if(!(c<<24>>24)){b=a;e=13}else{b=a;d=50970;while(1){if((i[b>>0]|0)!=c<<24>>24)break d;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=13;break}}}while(0);if((e|0)==13){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[50964]|0;if(!(c<<24>>24))b=a;else{b=a;d=50964;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=DP(b)|0;if(b|0){a=b;return a|0}}while(0);a=Vn(a)|0;return a|0}function bn(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=a+4|0;g=k[b>>2]|0;b=g;if((g|0)!=(h|0)){f=k[d>>2]|0;e=k[g+16>>2]|0;if((aN(f,e)|0)>=0){if((aN(e,f)|0)>=0){k[c>>2]=b;return c|0}a=g+4|0;b=k[a>>2]|0;d=(b|0)==0;if(d){e=g;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))break;else e=b}}else while(1){e=k[b>>2]|0;if(!e)break;else b=e}if((b|0)!=(h|0))if((aN(f,k[b+16>>2]|0)|0)>=0){b=k[h>>2]|0;if(!b){k[c>>2]=h;c=h;return c|0}while(1){e=k[b+16>>2]|0;if((aN(f,e)|0)<0){e=k[b>>2]|0;if(!e){e=33;break}else b=e}else{if((aN(e,f)|0)>=0){e=38;break}a=b+4|0;e=k[a>>2]|0;if(!e){e=37;break}else b=e}}if((e|0)==33){k[c>>2]=b;c=b;return c|0}else if((e|0)==37){k[c>>2]=b;c=a;return c|0}else if((e|0)==38){k[c>>2]=b;return c|0}}if(d){k[c>>2]=g;c=a;return c|0}else{k[c>>2]=b;c=b;return c|0}}}if((g|0)!=(k[a>>2]|0)){b=k[g>>2]|0;if(!b){e=g;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))e=b;else break}}else while(1){e=k[b+4>>2]|0;if(!e)break;else b=e}d=k[d>>2]|0;if((aN(k[b+16>>2]|0,d)|0)>=0){b=k[h>>2]|0;if(!b){k[c>>2]=h;c=h;return c|0}while(1){e=k[b+16>>2]|0;if((aN(d,e)|0)<0){e=k[b>>2]|0;if(!e){e=14;break}else b=e}else{if((aN(e,d)|0)>=0){e=19;break}a=b+4|0;e=k[a>>2]|0;if(!e){e=18;break}else b=e}}if((e|0)==14){k[c>>2]=b;c=b;return c|0}else if((e|0)==18){k[c>>2]=b;c=a;return c|0}else if((e|0)==19){k[c>>2]=b;return c|0}}}if(!(k[g>>2]|0)){k[c>>2]=g;c=g;return c|0}else{h=b;k[c>>2]=h;c=h+4|0;return c|0}return 0}function cn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=0;j=r;r=r+48|0;h=j+28|0;l=j+16|0;c=j+8|0;f=j;g=b+68|0;LT(c,k[g>>2]|0);k[c>>2]=7492;d=k[c+4>>2]|0;n=k[(k[d>>2]|0)+28>>2]|0;e=a+4|0;o=k[a+72>>2]|0;y=0;k[h>>2]=k[o>>2];k[h+4>>2]=k[o+4>>2];k[h+8>>2]=k[o+8>>2];Na(n|0,l|0,d|0,h|0);d=y;y=0;if(d&1){o=pb()|0;DO(c);sb(o|0)}DO(c);c=i[b+72>>0]|0;y=0;d=qa(394,e|0)|0;o=y;y=0;do if(o&1)m=13;else{if(!(c<<24>>24!=0|(d|0)!=3)){A9(l);r=j;return}c=i[a+8+11>>0]|0;if(c<<24>>24<0)c=k[a+12>>2]|0;else c=c&255;if(!c){k[h>>2]=b;c=a+120|0;d=k[c>>2]|0;if(d>>>0<(k[a+124>>2]|0)>>>0){k[d>>2]=b;k[c>>2]=(k[c>>2]|0)+4}else{y=0;oa(682,a+116|0,h|0);o=y;y=0;if(o&1){c=pb()|0;break}}A9(l);r=j;return}c=a+96|0;i[c>>0]=1;y=0;na(454,e|0);o=y;y=0;if(o&1)m=13;else{y=0;oa(460,f|0,k[g>>2]|0);o=y;y=0;if(o&1)m=13;else{k[f>>2]=7492;o=k[f+4>>2]|0;y=0;oa(k[(k[o>>2]|0)+44>>2]|0,o|0,a|0);o=y;y=0;if(o&1){c=pb()|0;DO(f);break}DO(f);i[c>>0]=0;if(!(k[a+76>>2]|0)){y=0;na(461,e|0);o=y;y=0;if(o&1){m=13;break}A9(l);r=j;return}else{y=0;na(455,e|0);o=y;y=0;if(o&1){m=13;break}A9(l);r=j;return}}}}while(0);if((m|0)==13)c=pb()|0;A9(l);o=c;sb(o|0)}function dn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;l=0;n=r;r=r+16|0;m=n;if(!b){r=n;return}else c=b;a:while(1){switch(i[c>>0]|0){case 0:break a;case 58:{l=4;break a}default:{}}c=c+1|0}b:do if((l|0)==4)if(c){g=m+11|0;h=m+4|0;j=a+340|0;e=a+344|0;f=a+336|0;c:while(1){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,b,c-b|0);d=i[g>>0]|0;b=d<<24>>24<0;d=b?k[h>>2]|0:d&255;do if(d|0){if((i[(b?k[m>>2]|0:m)+d+-1>>0]|0)!=47){y=0;oa(458,m|0,47);d=y;y=0;if(d&1)break c}b=k[j>>2]|0;if((b|0)==(k[e>>2]|0)){y=0;oa(457,f|0,m|0);d=y;y=0;if(d&1)break c;else break}y=0;oa(456,b|0,m|0);d=y;y=0;if(d&1)break c;k[j>>2]=(k[j>>2]|0)+12}while(0);b=c+1|0;c=b;d:while(1){d=i[c>>0]|0;switch(d<<24>>24){case 0:case 58:break d;default:{}}c=c+1|0}A9(m);if(!(d<<24>>24))break b}n=pb()|0;A9(m);sb(n|0)}while(0);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,b,IJ(b)|0);c=i[m+11>>0]|0;b=c<<24>>24<0;c=b?k[m+4>>2]|0:c&255;e:do if(c|0){if((i[(b?k[m>>2]|0:m)+c+-1>>0]|0)==47)l=22;else{y=0;oa(458,m|0,47);j=y;y=0;if(!(j&1))l=22}do if((l|0)==22){b=a+340|0;c=k[b>>2]|0;if((c|0)==(k[a+344>>2]|0)){y=0;oa(457,a+336|0,m|0);a=y;y=0;if(a&1)break;else break e}y=0;oa(456,c|0,m|0);a=y;y=0;if(!(a&1)){k[b>>2]=(k[b>>2]|0)+12;break e}}while(0);n=pb()|0;A9(m);sb(n|0)}while(0);A9(m);r=n;return}function en(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;l=0;n=r;r=r+16|0;m=n;if(!b){r=n;return}else c=b;a:while(1){switch(i[c>>0]|0){case 0:break a;case 58:{l=4;break a}default:{}}c=c+1|0}b:do if((l|0)==4)if(c){g=m+11|0;h=m+4|0;j=a+328|0;e=a+332|0;f=a+324|0;c:while(1){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,b,c-b|0);d=i[g>>0]|0;b=d<<24>>24<0;d=b?k[h>>2]|0:d&255;do if(d|0){if((i[(b?k[m>>2]|0:m)+d+-1>>0]|0)!=47){y=0;oa(458,m|0,47);d=y;y=0;if(d&1)break c}b=k[j>>2]|0;if((b|0)==(k[e>>2]|0)){y=0;oa(457,f|0,m|0);d=y;y=0;if(d&1)break c;else break}y=0;oa(456,b|0,m|0);d=y;y=0;if(d&1)break c;k[j>>2]=(k[j>>2]|0)+12}while(0);b=c+1|0;c=b;d:while(1){d=i[c>>0]|0;switch(d<<24>>24){case 0:case 58:break d;default:{}}c=c+1|0}A9(m);if(!(d<<24>>24))break b}n=pb()|0;A9(m);sb(n|0)}while(0);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,b,IJ(b)|0);c=i[m+11>>0]|0;b=c<<24>>24<0;c=b?k[m+4>>2]|0:c&255;e:do if(c|0){if((i[(b?k[m>>2]|0:m)+c+-1>>0]|0)==47)l=22;else{y=0;oa(458,m|0,47);j=y;y=0;if(!(j&1))l=22}do if((l|0)==22){b=a+328|0;c=k[b>>2]|0;if((c|0)==(k[a+332>>2]|0)){y=0;oa(457,a+324|0,m|0);a=y;y=0;if(a&1)break;else break e}y=0;oa(456,c|0,m|0);a=y;y=0;if(!(a&1)){k[b>>2]=(k[b>>2]|0)+12;break e}}while(0);n=pb()|0;A9(m);sb(n|0)}while(0);A9(m);r=n;return}function fn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=0;f=r;r=r+16|0;c=f;i[85901]=1;d=BO(1,120)|0;if(!d){b=co(83256,49744,40)|0;a=FV(b+(k[(k[b>>2]|0)+-12>>2]|0)|0)|0;k[c>>2]=a;y=0;a=Ha(977,c|0,83960)|0;e=y;y=0;if(e&1){f=pb()|0;Hea(c);sb(f|0)}y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;e=y;y=0;if(e&1){f=pb()|0;Hea(c);sb(f|0)}Hea(c);Rr(b,a)|0;Hu(b)|0;e=0;r=f;return e|0}k[d+72>>2]=1;k[d+4>>2]=5;k[d+12>>2]=49741;k[d+16>>2]=52248;do if(!a){a=gb(8)|0;y=0;oa(495,a|0,49785);c=y;y=0;if(c&1){c=tb(0)|0;fb(a|0);a=c;break}else{y=0;Na(75,a|0,5792,409);y=0;b=10;break}}else if(!(i[a>>0]|0)){a=gb(8)|0;y=0;oa(495,a|0,49828);c=y;y=0;if(c&1){c=tb(0)|0;fb(a|0);a=c;break}else{y=0;Na(75,a|0,5792,409);y=0;b=10;break}}else{y=0;a=qa(322,a|0)|0;c=y;y=0;if(c&1){b=10;break}k[d+28>>2]=a;e=d;r=f;return e|0}while(0);if((b|0)==10)a=tb(0)|0;vb(a|0)|0;y=0;qa(398,d|0)|0;c=y;y=0;do if(c&1){c=tb(0)|0;vb(c|0)|0;y=0;qa(398,d|0)|0;c=y;y=0;if(c&1){a=pb()|0;y=0;la(3);c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}else e=a}else{y=0;la(3);e=y;y=0;if(!(e&1))break;e=pb()|0}y=0;la(3);c=y;y=0;if(c&1){e=tb(0)|0;Sla(e)}else sb(e|0)}while(0);rb();e=d;r=f;return e|0}function gn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=(c-b|0)/12|0;l=a+8|0;d=k[l>>2]|0;f=k[a>>2]|0;e=f;if(j>>>0>((d-f|0)/12|0)>>>0){if(f){i=a+4|0;d=k[i>>2]|0;if((d|0)==(e|0))d=f;else{f=d;while(1){d=f+-12|0;k[i>>2]=d;g=k[d>>2]|0;h=g;if(g){d=f+-8|0;f=k[d>>2]|0;if((f|0)!=(g|0))k[d>>2]=f+(~((f+-4-h|0)>>>2)<<2);cra(g);d=k[i>>2]|0}if((d|0)==(e|0))break;else f=d}d=k[a>>2]|0}cra(d);k[l>>2]=0;k[i>>2]=0;k[a>>2]=0;d=0}if(j>>>0>357913941){pN(a);d=k[l>>2]|0;e=k[a>>2]|0}else e=0;i=(d-e|0)/12|0;e=i<<1;e=i>>>0<178956970?(e>>>0<j>>>0?j:e):357913941;if(e>>>0>357913941){pN(a);c=gb(4)|0;Qoa(c);Wb(c|0,5760,404)}d=IM(e*12|0)|0;f=a+4|0;k[f>>2]=d;k[a>>2]=d;k[l>>2]=d+(e*12|0);if((b|0)==(c|0))return;do{Dz(d,b);b=b+12|0;d=(k[f>>2]|0)+12|0;k[f>>2]=d}while((b|0)!=(c|0));return}else{h=a+4|0;d=((k[h>>2]|0)-f|0)/12|0;g=j>>>0>d>>>0;d=b+(d*12|0)|0;f=g?d:c;if((f|0)!=(b|0))do{if((e|0)!=(b|0))lr(e,k[b>>2]|0,k[b+4>>2]|0);b=b+12|0;e=e+12|0}while((b|0)!=(f|0));if(g){if((f|0)==(c|0))return;b=k[h>>2]|0;do{Dz(b,d);d=d+12|0;b=(k[h>>2]|0)+12|0;k[h>>2]=b}while((d|0)!=(c|0));return}d=k[h>>2]|0;if((d|0)==(e|0))return;do{b=d+-12|0;k[h>>2]=b;f=k[b>>2]|0;g=f;if(!f)d=b;else{d=d+-8|0;b=k[d>>2]|0;if((b|0)!=(f|0))k[d>>2]=b+(~((b+-4-g|0)>>>2)<<2);cra(f);d=k[h>>2]|0}}while((d|0)!=(e|0));return}}function hn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,k=0,m=0,n=0,o=0;o=b;if(!(e&4)){n=0;e=a}else if((o-a|0)>2)if((i[a>>0]|0)==-17)if((i[a+1>>0]|0)==-69){n=0;e=(i[a+2>>0]|0)==-65?a+3|0:a}else{n=0;e=a}else{n=0;e=a}else{n=0;e=a}a:while(1){if(!(n>>>0<c>>>0&e>>>0<b>>>0)){f=40;break}k=i[e>>0]|0;m=k&255;do if(k<<24>>24>-1){if(m>>>0>d>>>0){f=40;break a}e=e+1|0}else{if((k&255)<194){f=40;break a}if((k&255)<224){if((o-e|0)<2){f=40;break a}f=l[e+1>>0]|0;if((f&192|0)!=128){f=40;break a}if((f&63|m<<6&1984)>>>0>d>>>0){f=40;break a}e=e+2|0;break}if((k&255)<240){g=e;if((o-g|0)<3){f=40;break a}h=i[e+1>>0]|0;f=i[e+2>>0]|0;switch(k<<24>>24){case -32:{if((h&-32)<<24>>24!=-96){f=20;break a}break}case -19:{if((h&-32)<<24>>24!=-128){f=22;break a}break}default:if((h&-64)<<24>>24!=-128){f=24;break a}}f=f&255;if((f&192|0)!=128){f=40;break a}if(((h&255)<<6&4032|m<<12&61440|f&63)>>>0>d>>>0){f=40;break a}else{e=e+3|0;break}}if((k&255)>=245){f=40;break a}g=e;if((o-g|0)<4){f=40;break a}j=i[e+1>>0]|0;f=i[e+2>>0]|0;h=i[e+3>>0]|0;switch(k<<24>>24){case -16:{if((j+112&255)>=48){f=31;break a}break}case -12:{if((j&-16)<<24>>24!=-128){f=33;break a}break}default:if((j&-64)<<24>>24!=-128){f=35;break a}}g=f&255;if((g&192|0)!=128){f=40;break a}f=h&255;if((f&192|0)!=128){f=40;break a}if(((j&255)<<12&258048|m<<18&1835008|g<<6&4032|f&63)>>>0>d>>>0){f=40;break a}else e=e+4|0}while(0);n=n+1|0}if((f|0)==20)e=g-a|0;else if((f|0)==22)e=g-a|0;else if((f|0)==24)e=g-a|0;else if((f|0)==31)e=g-a|0;else if((f|0)==33)e=g-a|0;else if((f|0)==35)e=g-a|0;else if((f|0)==40)e=e-a|0;return e|0}function jn(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,m=0,n=0,o=0,p=0,q=0,r=0;r=0;k[c>>2]=a;k[f>>2]=d;if(!(h&4))d=b;else{a=k[c>>2]|0;d=b;if((d-a|0)>2)if((i[a>>0]|0)==-17)if((i[a+1>>0]|0)==-69)if((i[a+2>>0]|0)==-65)k[c>>2]=a+3}a:while(1){p=k[c>>2]|0;a=p>>>0<b>>>0;if(!a){r=40;break}q=k[f>>2]|0;if(q>>>0>=e>>>0){r=40;break}m=i[p>>0]|0;o=m&255;do if(m<<24>>24>-1){if(o>>>0>g>>>0){a=2;break a}k[q>>2]=o;k[c>>2]=p+1}else{if((m&255)<194){a=2;break a}if((m&255)<224){if((d-p|0)<2){a=1;break a}a=l[p+1>>0]|0;if((a&192|0)!=128){a=2;break a}a=a&63|o<<6&1984;if(a>>>0>g>>>0){a=2;break a}k[q>>2]=a;k[c>>2]=p+2;break}if((m&255)<240){if((d-p|0)<3){a=1;break a}h=i[p+1>>0]|0;a=i[p+2>>0]|0;switch(m<<24>>24){case -32:{if((h&-32)<<24>>24!=-96){a=2;break a}break}case -19:{if((h&-32)<<24>>24!=-128){a=2;break a}break}default:if((h&-64)<<24>>24!=-128){a=2;break a}}a=a&255;if((a&192|0)!=128){a=2;break a}a=(h&255)<<6&4032|o<<12&61440|a&63;if(a>>>0>g>>>0){a=2;break a}k[q>>2]=a;k[c>>2]=p+3;break}if((m&255)>=245){a=2;break a}if((d-p|0)<4){a=1;break a}n=i[p+1>>0]|0;a=i[p+2>>0]|0;j=i[p+3>>0]|0;switch(m<<24>>24){case -16:{if((n+112&255)>=48){a=2;break a}break}case -12:{if((n&-16)<<24>>24!=-128){a=2;break a}break}default:if((n&-64)<<24>>24!=-128){a=2;break a}}h=a&255;if((h&192|0)!=128){a=2;break a}a=j&255;if((a&192|0)!=128){a=2;break a}a=(n&255)<<12&258048|o<<18&1835008|h<<6&4032|a&63;if(a>>>0>g>>>0){a=2;break a}k[q>>2]=a;k[c>>2]=p+4}while(0);k[f>>2]=(k[f>>2]|0)+4}if((r|0)==40)a=a&1;return a|0}function kn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0.0;l=0;p=r;r=r+112|0;m=p+64|0;b=p+12|0;n=p+24|0;o=p;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;Na(74,b|0,38830,7);j=y;y=0;do if(j&1){b=tb(0)|0;l=10}else{y=0;g=m;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));c=sa(25,b|0,a|0,d|0,m|0,f|0)|0;d=y;y=0;if(d&1){l=tb(0)|0;A9(b);b=l;l=10;break}A9(b);g=c+64|0;b=i[g+11>>0]|0;if(b<<24>>24<0)b=k[c+68>>2]|0;else b=b&255;y=0;b=ta(50,g|0,0,b|0)|0;d=y;y=0;if(d&1){b=tb(0)|0;l=12;break}else{q=+(b>>>0);break}}while(0);if((l|0)==10)l=12;do if((l|0)==12){vb(b|0)|0;y=0;oa(558,e|0,f|0);f=y;y=0;if(!(f&1)){rb();q=4294967295.0;break}b=pb()|0;y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}else{e=b;sb(e|0)}}while(0);c=IM(104)|0;g=n;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;g=m;h=n;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));Ca(1,c|0,m|0,+q,o|0,1);e=y;y=0;if(e&1){b=pb()|0;A9(o);break}else{A9(o);r=p;return c|0}}while(0);cra(c);e=b;sb(e|0);return 0}function ln(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var l=0,n=0;l=0;k[c>>2]=a;k[f>>2]=d;if(!(h&2))l=4;else if((e-d|0)<3)a=1;else{k[f>>2]=d+1;i[d>>0]=-17;l=k[f>>2]|0;k[f>>2]=l+1;i[l>>0]=-69;l=k[f>>2]|0;k[f>>2]=l+1;i[l>>0]=-65;l=4}a:do if((l|0)==4){n=b;a=k[c>>2]|0;while(1){if(a>>>0>=b>>>0){a=0;break a}d=j[a>>1]|0;l=d&65535;if(l>>>0>g>>>0){a=2;break a}do if((d&65535)<128){a=k[f>>2]|0;if((e-a|0)<1){a=1;break a}k[f>>2]=a+1;i[a>>0]=d}else{if((d&65535)<2048){a=k[f>>2]|0;if((e-a|0)<2){a=1;break a}k[f>>2]=a+1;i[a>>0]=l>>>6|192;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l&63|128;break}if((d&65535)<55296){a=k[f>>2]|0;if((e-a|0)<3){a=1;break a}k[f>>2]=a+1;i[a>>0]=l>>>12|224;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l>>>6&63|128;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l&63|128;break}if((d&65535)>=56320){if((d&65535)<57344){a=2;break a}a=k[f>>2]|0;if((e-a|0)<3){a=1;break a}k[f>>2]=a+1;i[a>>0]=l>>>12|224;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l>>>6&63|128;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l&63|128;break}if((n-a|0)<4){a=1;break a}a=a+2|0;d=m[a>>1]|0;if((d&64512|0)!=56320){a=2;break a}if((e-(k[f>>2]|0)|0)<4){a=1;break a}h=l&960;if(((h<<10)+65536|l<<10&64512|d&1023)>>>0>g>>>0){a=2;break a}k[c>>2]=a;a=(h>>>6)+1|0;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=a>>>2|240;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l>>>2&15|a<<4&48|128;h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=l<<4&48|d>>>6&15|128;l=k[f>>2]|0;k[f>>2]=l+1;i[l>>0]=d&63|128}while(0);a=(k[c>>2]|0)+2|0;k[c>>2]=a}}while(0);return a|0}function mn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;h=r;r=r+48|0;c=h+24|0;d=h+16|0;e=h+8|0;f=h;g=a+4|0;Rx(g);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48735,4);y=0;Na(147,g|0,c|0,b|0);j=y;y=0;if(j&1){j=pb()|0;A9(c);sb(j|0)}A9(c);Bla(g);zt(g,b+72|0);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48740,6);y=0;oa(679,g|0,c|0);j=y;y=0;if(j&1){j=pb()|0;A9(c);sb(j|0)}A9(c);LT(d,k[b+88>>2]|0);k[d>>2]=7284;j=k[d+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;DO(d);sb(j|0)}DO(d);j=(i[b+100>>0]|0)!=0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,j?48747:48757,j?9:4);y=0;oa(679,g|0,c|0);j=y;y=0;if(j&1){j=pb()|0;A9(c);sb(j|0)}A9(c);LT(e,k[b+96>>2]|0);k[e>>2]=7284;j=k[e+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;DO(e);sb(j|0)}DO(e);LT(f,k[b+68>>2]|0);k[f>>2]=6868;j=k[f+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){DO(f);r=h;return}j=pb()|0;DO(f);sb(j|0)}function nn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=0;p=r;r=r+16|0;m=p+8|0;n=p;a:do if(Jo(a,b)|0){c=a+84|0;f=b+84|0;e=i[c+11>>0]|0;l=e<<24>>24<0;e=e&255;g=l?k[a+88>>2]|0:e;j=i[f+11>>0]|0;d=j<<24>>24<0;if((g|0)==((d?k[b+88>>2]|0:j&255)|0)){h=k[c>>2]|0;j=l?h:c;d=d?k[f>>2]|0:f;f=(g|0)==0;b:do if(l){if(!f)if(bN(j,d,g)|0)break a}else if(!f){if((h&255)<<24>>24!=(i[d>>0]|0))break a;while(1){e=e+-1|0;c=c+1|0;if(!e)break b;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0))break a}}while(0);LT(m,k[a+108>>2]|0);k[m>>2]=6756;c=k[m+4>>2]|0;d=k[(k[c>>2]|0)+160>>2]|0;y=0;oa(460,n|0,k[b+108>>2]|0);o=y;y=0;if(o&1){p=pb()|0;DO(m);sb(p|0)}k[n>>2]=6756;y=0;c=Ha(d|0,c|0,k[n+4>>2]|0)|0;o=y;y=0;if(o&1){p=pb()|0;DO(n);DO(m);sb(p|0)}else{DO(n);DO(m);o=c;r=p;return o|0}}}while(0);if(Jo(a,b)|0){g=a+84|0;h=b+84|0;l=i[g+11>>0]|0;j=l<<24>>24<0;l=j?k[a+88>>2]|0:l&255;e=i[h+11>>0]|0;d=e<<24>>24<0;e=d?k[b+88>>2]|0:e&255;f=e>>>0<l>>>0;c=f?e:l;if(!c)o=19;else{c=bN(j?k[g>>2]|0:g,d?k[h>>2]|0:h,c)|0;if(!c)o=19}if((o|0)==19)c=l>>>0<e>>>0?-1:f&1;o=(c|0)<0;r=p;return o|0}else{g=a+72|0;h=b+72|0;l=i[g+11>>0]|0;j=l<<24>>24<0;l=j?k[a+76>>2]|0:l&255;d=i[h+11>>0]|0;f=d<<24>>24<0;d=f?k[b+76>>2]|0:d&255;e=d>>>0<l>>>0;c=e?d:l;if(!c)o=23;else{c=bN(j?k[g>>2]|0:g,f?k[h>>2]|0:h,c)|0;if(!c)o=23}if((o|0)==23)c=l>>>0<d>>>0?-1:e&1;o=(c|0)<0;r=p;return o|0}return 0}function on(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=a+4|0;g=k[b>>2]|0;b=g;if((g|0)!=(h|0)){f=k[d>>2]|0;e=k[g+16>>2]|0;if((f|0)>=(e|0)){if((e|0)>=(f|0)){k[c>>2]=b;return c|0}a=g+4|0;b=k[a>>2]|0;d=(b|0)==0;if(d){e=g;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))break;else e=b}}else while(1){e=k[b>>2]|0;if(!e)break;else b=e}if((b|0)!=(h|0))if((f|0)>=(k[b+16>>2]|0)){b=k[h>>2]|0;if(!b){k[c>>2]=h;c=h;return c|0}while(1){e=k[b+16>>2]|0;if((f|0)<(e|0)){e=k[b>>2]|0;if(!e){e=33;break}else b=e}else{if((e|0)>=(f|0)){e=38;break}a=b+4|0;e=k[a>>2]|0;if(!e){e=37;break}else b=e}}if((e|0)==33){k[c>>2]=b;c=b;return c|0}else if((e|0)==37){k[c>>2]=b;c=a;return c|0}else if((e|0)==38){k[c>>2]=b;return c|0}}if(d){k[c>>2]=g;c=a;return c|0}else{k[c>>2]=b;c=b;return c|0}}}if((g|0)!=(k[a>>2]|0)){b=k[g>>2]|0;if(!b){e=g;while(1){b=k[e+8>>2]|0;if((k[b>>2]|0)==(e|0))e=b;else break}}else while(1){e=k[b+4>>2]|0;if(!e)break;else b=e}d=k[d>>2]|0;if((k[b+16>>2]|0)>=(d|0)){b=k[h>>2]|0;if(!b){k[c>>2]=h;c=h;return c|0}while(1){e=k[b+16>>2]|0;if((d|0)<(e|0)){e=k[b>>2]|0;if(!e){e=14;break}else b=e}else{if((e|0)>=(d|0)){e=19;break}a=b+4|0;e=k[a>>2]|0;if(!e){e=18;break}else b=e}}if((e|0)==14){k[c>>2]=b;c=b;return c|0}else if((e|0)==18){k[c>>2]=b;c=a;return c|0}else if((e|0)==19){k[c>>2]=b;return c|0}}}if(!(k[g>>2]|0)){k[c>>2]=g;c=g;return c|0}else{h=b;k[c>>2]=h;c=h+4|0;return c|0}return 0}function pn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0,h=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0;s=0;n=r;r=r+96|0;l=n;m=n+56|0;q=n+40|0;f=+p[c+64>>3];if(!((a|0)!=11|f!=0.0)){d=gb(28)|0;y=0;Na(133,d|0,b|0,c|0);s=y;y=0;if(!(s&1))Wb(d|0,3552,177);s=pb()|0;fb(d|0);sb(s|0)}o=IM(112)|0;c=m;d=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(d|0));d=17380+(a<<2)|0;y=0;h=+za(k[d>>2]|0,+(+p[b+64>>3]),+f);a=y;y=0;if(a&1)s=13;else{y=0;j=+za(k[d>>2]|0,+(+p[b+72>>3]),+f);a=y;y=0;if(a&1)s=13;else{y=0;g=+za(k[d>>2]|0,+(+p[b+80>>3]),+f);a=y;y=0;if(a&1)s=13;else{f=+p[b+88>>3];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,87975,0);b=y;y=0;if(b&1)s=13;else{c=l;e=m;d=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(d|0));y=0;na(422,o|0);b=y;y=0;do if(b&1)d=pb()|0;else{c=o+12|0;e=l;d=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(d|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;d=o+56|0;k[d>>2]=0;k[o>>2]=10548;p[o+64>>3]=h;p[o+72>>3]=j;p[o+80>>3]=g;p[o+88>>3]=f;y=0;oa(456,o+96|0,q|0);b=y;y=0;if(b&1){d=pb()|0;break}else{k[o+108>>2]=0;k[d>>2]=3;A9(q);r=n;return o|0}}while(0);A9(q)}}}}if((s|0)==13)d=pb()|0;cra(o);s=d;sb(s|0);return 0}function qn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;o=0;p=r;r=r+32|0;l=p+8|0;m=p+20|0;n=p;j=b+4|0;i=k[j>>2]|0;if((k[i+76>>2]|0)==(k[i+80>>2]|0)){b=gb(8)|0;y=0;oa(495,b|0,51487);p=y;y=0;if(!(p&1))Wb(b|0,5792,409);p=pb()|0;fb(b|0);sb(p|0)}d=a+4|0;b=k[d>>2]|0;i=b-(k[a>>2]|0)>>4;do if((b|0)==(k[a+8>>2]|0))Dn(a,c);else{LT(b,k[c+4>>2]|0);k[b>>2]=15136;e=b+8|0;y=0;oa(460,e|0,k[c+12>>2]|0);h=y;y=0;if(h&1){p=pb()|0;DO(b);sb(p|0)}else{k[e>>2]=15152;k[d>>2]=(k[d>>2]|0)+16;break}}while(0);d=k[j>>2]|0;h=(k[d+80>>2]|0)-(k[d+76>>2]|0)>>3;if(!h){r=p;return}a=a+12|0;f=l+8|0;g=l+4|0;b=0;while(1){d=(k[d+76>>2]|0)+(b<<3)|0;k[l>>2]=d;uo(n,a,d,85900,l,m);d=k[n>>2]|0;LT(l,k[j>>2]|0);k[l>>2]=15152;k[f>>2]=i;e=d+28|0;c=k[e>>2]|0;if(c>>>0<(k[d+32>>2]|0)>>>0){y=0;oa(460,c|0,k[g>>2]|0);d=y;y=0;if(d&1)break;k[c>>2]=15152;k[c+8>>2]=k[f>>2];k[e>>2]=(k[e>>2]|0)+12}else{y=0;oa(700,d+24|0,l|0);c=y;y=0;if(c&1)break}DO(l);b=b+1|0;if(b>>>0>=h>>>0){o=12;break}d=k[j>>2]|0}if((o|0)==12){r=p;return}p=pb()|0;DO(l);sb(p|0)}function rn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;h=0;i=r;r=r+32|0;c=i+8|0;g=i+16|0;d=i;e=b+84|0;LT(c,k[e>>2]|0);k[c>>2]=7492;f=(k[c+4>>2]|0)==0;DO(c);do if(f){c=k[(k[b+64>>2]|0)+4>>2]|0;mc[k[(k[c>>2]|0)+44>>2]&1023](c,a);c=1}else{c=j[b+88>>1]|0;do if(!((c&255)<<24>>24)){if((c&65535)>=256){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,48616,5);y=0;oa(679,a+4|0,g|0);f=y;y=0;if(!(f&1)){A9(g);break}i=pb()|0;A9(g);sb(i|0)}}else{k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,48611,4);y=0;oa(679,a+4|0,g|0);f=y;y=0;if(!(f&1)){A9(g);break}i=pb()|0;A9(g);sb(i|0)}while(0);LT(d,k[e>>2]|0);k[d>>2]=7492;f=k[d+4>>2]|0;y=0;oa(k[(k[f>>2]|0)+44>>2]|0,f|0,a|0);f=y;y=0;if(!(f&1)){DO(d);c=0;break}i=pb()|0;DO(d);sb(i|0)}while(0);e=(k[b+68>>2]|0)-(k[b+64>>2]|0)>>3;if(c>>>0>=e>>>0){r=i;return}f=a+4|0;d=b+64|0;while(1){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,48622,5);y=0;oa(679,f|0,g|0);b=y;y=0;if(b&1)break;A9(g);b=k[(k[d>>2]|0)+(c<<3)+4>>2]|0;mc[k[(k[b>>2]|0)+44>>2]&1023](b,a);c=c+1|0;if(c>>>0>=e>>>0){h=16;break}}if((h|0)==16){r=i;return}i=pb()|0;A9(g);sb(i|0)}function sn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+64|0;j=n+48|0;d=n;l=n+40|0;m=a+76|0;e=k[m>>2]|0;if(!(i[e>>0]|0)){m=0;r=n;return m|0}if(b){h=mW(e)|0;e=h|0?h:e}b=eO(e)|0;a:do if(!b){h=i[e>>0]|0;if(h<<24>>24==42)f=e+1|0;else{b=i[50964]|0;if(!(b<<24>>24))f=e;else{if(h<<24>>24==b<<24>>24){f=e;b=50964;do{f=f+1|0;b=b+1|0;g=i[b>>0]|0;if(!(g<<24>>24))break a}while((i[f>>0]|0)==g<<24>>24)}b=i[50977]|0;if(!(b<<24>>24))f=e;else{if(h<<24>>24==b<<24>>24){f=e;b=50977;do{f=f+1|0;b=b+1|0;g=i[b>>0]|0;if(!(g<<24>>24))break a}while((i[f>>0]|0)==g<<24>>24)}f=i[50970]|0;b:do if(!(f<<24>>24)){b=e;f=0}else if(h<<24>>24==f<<24>>24){b=e;g=50970;do{b=b+1|0;g=g+1|0;f=i[g>>0]|0;if(!(f<<24>>24)){f=0;break b}}while((i[b>>0]|0)==f<<24>>24)}else b=e;while(0);f=f<<24>>24==0?b:0}}}}else f=b;while(0);if(f>>>0>(k[a+80>>2]|0)>>>0){m=0;r=n;return m|0}if(!c)if((f|0)==0|(f|0)==(e|0)){m=0;r=n;return m|0}c=k[m>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;h=a+96|0;aH(j,h,c,e);k[b>>2]=k[j>>2];k[b+4>>2]=k[j+4>>2];k[b+8>>2]=k[j+8>>2];aH(j,h,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(l,h,b);k[j>>2]=k[l>>2];k[j+4>>2]=k[l+4>>2];iH(d,c,e,a+156|0,b,j);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[m>>2]=f;m=f;r=n;return m|0}function tn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=r;r=r+48|0;g=j+24|0;e=j+16|0;f=j+8|0;h=j;i=a+4|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,48628,3);y=0;Na(147,i|0,g|0,b|0);d=y;y=0;if(d&1){j=pb()|0;A9(g);sb(j|0)}A9(g);Bla(i);d=k[(k[b>>2]|0)+116>>2]|0;c=b+64|0;LT(e,k[c>>2]|0);k[e>>2]=11804;y=0;d=Ha(d|0,b|0,e|0)|0;l=y;y=0;if(l&1){l=pb()|0;DO(e);sb(l|0)}DO(e);do if(d){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,48580,1);y=0;oa(679,i|0,g|0);l=y;y=0;if(!(l&1)){A9(g);break}l=pb()|0;A9(g);sb(l|0)}while(0);LT(f,k[c>>2]|0);k[f>>2]=11804;l=k[f+4>>2]|0;y=0;oa(k[(k[l>>2]|0)+44>>2]|0,l|0,a|0);l=y;y=0;if(l&1){l=pb()|0;DO(f);sb(l|0)}DO(f);a=k[(k[b>>2]|0)+116>>2]|0;LT(h,k[c>>2]|0);k[h>>2]=11804;y=0;a=Ha(a|0,b|0,h|0)|0;l=y;y=0;if(l&1){l=pb()|0;DO(h);sb(l|0)}DO(h);if(!a){r=j;return}k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,48585,1);y=0;oa(679,i|0,g|0);l=y;y=0;if(l&1){l=pb()|0;A9(g);sb(l|0)}else{A9(g);r=j;return}}function un(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+16|0;j=m;l=a+64|0;if(!(k[l>>2]|0)){l=0;r=m;return l|0}h=a+68|0;c=k[h>>2]|0;if(!c){m=gb(4)|0;Soa(m);Wb(m|0,5856,414)}g=a+92|0;b=k[g>>2]|0;do if(!(b&16)){if(b&8|0){d=a+80|0;e=k[d+4>>2]|0;f=j;k[f>>2]=k[d>>2];k[f+4>>2]=e;do if(!(i[a+98>>0]|0)){d=oc[k[(k[c>>2]|0)+24>>2]&511](c)|0;f=a+36|0;e=k[f>>2]|0;b=(k[a+40>>2]|0)-e|0;if((d|0)>0){c=0;b=(aa((k[a+16>>2]|0)-(k[a+12>>2]|0)|0,d)|0)+b|0;break}c=k[a+12>>2]|0;if((c|0)==(k[a+16>>2]|0))c=0;else{d=k[h>>2]|0;h=a+32|0;e=qc[k[(k[d>>2]|0)+32>>2]&63](d,j,k[h>>2]|0,e,c-(k[a+8>>2]|0)|0)|0;c=1;b=b-e+(k[f>>2]|0)-(k[h>>2]|0)|0}}else{c=0;b=(k[a+16>>2]|0)-(k[a+12>>2]|0)|0}while(0);if(HQ(k[l>>2]|0,0-b|0,1)|0){l=-1;r=m;return l|0}if(c){h=j;j=k[h+4>>2]|0;l=a+72|0;k[l>>2]=k[h>>2];k[l+4>>2]=j}l=k[a+32>>2]|0;k[a+40>>2]=l;k[a+36>>2]=l;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[g>>2]=0}}else{if((k[a+24>>2]|0)!=(k[a+20>>2]|0))if((Fc[k[(k[a>>2]|0)+52>>2]&2047](a,-1)|0)==-1){l=-1;r=m;return l|0}d=a+72|0;e=a+32|0;b=a+52|0;a:while(1){g=k[h>>2]|0;c=k[e>>2]|0;c=qc[k[(k[g>>2]|0)+20>>2]&63](g,d,c,c+(k[b>>2]|0)|0,j)|0;g=k[e>>2]|0;a=(k[j>>2]|0)-g|0;if((SN(g,1,a,k[l>>2]|0)|0)!=(a|0)){b=-1;c=24;break}switch(c|0){case 1:break;case 2:{b=-1;c=24;break a}default:{c=10;break a}}}if((c|0)==10){if(!(pF(k[l>>2]|0)|0))break;else b=-1;r=m;return b|0}else if((c|0)==24){r=m;return b|0}}while(0);l=0;r=m;return l|0}function vn(a,b){a=a|0;b=b|0;do switch(k[b+60>>2]|0){case 0:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48676,2);return}case 1:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48679,2);return}case 2:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48682,2);return}case 3:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48685,2);return}case 4:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48587,1);return}case 5:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48688,2);return}case 6:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48691,1);return}case 7:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48693,2);return}case 8:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,51014,1);return}case 9:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48674,1);return}case 10:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48696,1);return}case 11:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48589,1);return}case 12:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48698,1);return}case 13:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46526,5);return}default:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46532,7);return}}while(0)}function wn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;j=r;r=r+112|0;g=j;c=j+104|0;d=j+96|0;h=j+56|0;n=j+48|0;m=j+40|0;LT(c,k[b+64>>2]|0);k[c>>2]=7284;f=k[c+4>>2]|0;y=0;f=Ha(k[(k[f>>2]|0)+56>>2]|0,f|0,a|0)|0;l=y;y=0;if(l&1){n=pb()|0;DO(c);sb(n|0)}DO(c);LT(d,k[b+72>>2]|0);k[d>>2]=7284;e=k[d+4>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,a|0)|0;l=y;y=0;if(l&1){n=pb()|0;DO(d);sb(n|0)}DO(d);l=IM(76)|0;d=h;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;oa(460,n|0,f|0);f=y;y=0;if(f&1)a=pb()|0;else{k[n>>2]=7284;y=0;oa(460,m|0,e|0);f=y;y=0;if(f&1)a=pb()|0;else{k[m>>2]=7284;d=g;a=h;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));y=0;na(422,l|0);h=y;y=0;if(h&1)a=pb()|0;else{d=l+12|0;a=g;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=12092;a=l+60|0;y=0;oa(460,a|0,k[n+4>>2]|0);h=y;y=0;do if(h&1)a=pb()|0;else{k[a>>2]=7284;c=l+68|0;y=0;oa(460,c|0,k[m+4>>2]|0);h=y;y=0;if(h&1){j=pb()|0;DO(a);a=j;break}else{k[c>>2]=7284;DO(m);DO(n);r=j;return l|0}}while(0)}DO(m)}DO(n)}cra(l);n=a;sb(n|0);return 0}function xn(a,b){a=a|0;b=b|0;do switch(b|0){case 0:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48632,3);return}case 1:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48636,2);return}case 2:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46496,2);return}case 3:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46499,3);return}case 4:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46404,2);return}case 5:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46407,3);return}case 6:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46411,2);return}case 7:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46414,3);return}case 8:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46503,4);return}case 9:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46508,3);return}case 10:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46512,5);return}case 11:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46518,3);return}case 12:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46522,3);return}case 13:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46526,5);return}default:{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,46532,7);return}}while(0)}function yn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0;o=0;j=r;r=r+80|0;l=j+32|0;n=j+24|0;m=j+12|0;i=j;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,40398,10);y=0;b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(3,n|0,m|0,a|0,d|0,l|0,f|0,c|0);h=y;y=0;if(h&1){o=pb()|0;A9(m);sb(o|0)}A9(m);k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(74,i|0,40409,10);h=y;y=0;do if(h&1){b=pb()|0;o=12}else{y=0;b=l;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(3,m|0,i|0,a|0,d|0,l|0,f|0,c|0);f=y;y=0;if(f&1){b=pb()|0;A9(i);o=12;break}A9(i);y=0;b=Ha(992,k[n+4>>2]|0,k[m+4>>2]|0)|0;f=y;y=0;if(f&1)o=13;else{y=0;oa(460,l|0,b|0);f=y;y=0;if(f&1)o=13;else{k[l>>2]=6756;y=0;na(440,i|0);f=y;y=0;do if(f&1)b=pb()|0;else{b=k[l+4>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,i|0)|0;f=y;y=0;if(f&1){b=pb()|0;break}else{DO(l);DO(m);DO(n);r=j;return b|0}}while(0);DO(l)}}if((o|0)==13)b=pb()|0;DO(m)}while(0);DO(n);o=b;sb(o|0);return 0}function zn(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+48|0;l=n+40|0;o=n+16|0;g=n+8|0;h=n+12|0;j=n+4|0;m=n;a:do if(!(k[d+4>>2]&1)){k[g>>2]=-1;m=k[(k[a>>2]|0)+16>>2]|0;k[h>>2]=k[b>>2];k[j>>2]=k[c>>2];k[o>>2]=k[h>>2];k[l>>2]=k[j>>2];o=nc[m&63](a,o,l,d,e,g)|0;k[b>>2]=o;switch(k[g>>2]|0){case 0:{i[f>>0]=0;break}case 1:{i[f>>0]=1;break}default:{i[f>>0]=1;k[e>>2]=4}}a=k[b>>2]|0}else{a=FV(d)|0;k[l>>2]=a;y=0;h=Ha(977,l|0,83960)|0;j=y;y=0;do if(j&1){o=pb()|0;RQ(a)|0;a=o}else{RQ(a)|0;a=FV(d)|0;k[l>>2]=a;y=0;g=Ha(977,l|0,83976)|0;d=y;y=0;if(d&1){o=pb()|0;RQ(a)|0;a=o;break}RQ(a)|0;y=0;oa(k[(k[g>>2]|0)+24>>2]|0,o|0,g|0);d=y;y=0;if(d&1){a=pb()|0;break}y=0;oa(k[(k[g>>2]|0)+28>>2]|0,o+12|0,g|0);d=y;y=0;if(d&1){a=pb()|0;A9(o);break}k[m>>2]=k[c>>2];g=o+24|0;y=0;k[l>>2]=k[m>>2];a=ja(88,b|0,l|0,o|0,g|0,h|0,e|0,1)|0;m=y;y=0;if(m&1){a=pb()|0;h=N;do{g=g+-12|0;A9(g)}while((g|0)!=(o|0));break}else{i[f>>0]=(a|0)==(o|0)&1;a=k[b>>2]|0;do{g=g+-12|0;A9(g)}while((g|0)!=(o|0));break a}}while(0);sb(a|0)}while(0);r=n;return a|0}function An(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=r;r=r+48|0;l=n+40|0;o=n+16|0;g=n+8|0;h=n+12|0;j=n+4|0;m=n;a:do if(!(k[d+4>>2]&1)){k[g>>2]=-1;m=k[(k[a>>2]|0)+16>>2]|0;k[h>>2]=k[b>>2];k[j>>2]=k[c>>2];k[o>>2]=k[h>>2];k[l>>2]=k[j>>2];o=nc[m&63](a,o,l,d,e,g)|0;k[b>>2]=o;switch(k[g>>2]|0){case 0:{i[f>>0]=0;break}case 1:{i[f>>0]=1;break}default:{i[f>>0]=1;k[e>>2]=4}}a=k[b>>2]|0}else{a=FV(d)|0;k[l>>2]=a;y=0;h=Ha(977,l|0,83992)|0;j=y;y=0;do if(j&1){o=pb()|0;RQ(a)|0;a=o}else{RQ(a)|0;a=FV(d)|0;k[l>>2]=a;y=0;g=Ha(977,l|0,84e3)|0;d=y;y=0;if(d&1){o=pb()|0;RQ(a)|0;a=o;break}RQ(a)|0;y=0;oa(k[(k[g>>2]|0)+24>>2]|0,o|0,g|0);d=y;y=0;if(d&1){a=pb()|0;break}y=0;oa(k[(k[g>>2]|0)+28>>2]|0,o+12|0,g|0);d=y;y=0;if(d&1){a=pb()|0;X8(o);break}k[m>>2]=k[c>>2];g=o+24|0;y=0;k[l>>2]=k[m>>2];a=ja(89,b|0,l|0,o|0,g|0,h|0,e|0,1)|0;m=y;y=0;if(m&1){a=pb()|0;h=N;do{g=g+-12|0;X8(g)}while((g|0)!=(o|0));break}else{i[f>>0]=(a|0)==(o|0)&1;a=k[b>>2]|0;do{g=g+-12|0;X8(g)}while((g|0)!=(o|0));break a}}while(0);sb(a|0)}while(0);r=n;return a|0}function Bn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;l=r;r=r+32|0;h=l+12|0;j=l;c=k[a+4>>2]|0;f=k[a+8>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;e=f-c|0;if(e>>>0>4294967279){mN(h);g=5}else if(e>>>0<11){i[h+11>>0]=e;a=h}else g=5;if((g|0)==5){d=e+16&-16;a=IM(d)|0;k[h>>2]=a;k[h+8>>2]=d|-2147483648;k[h+4>>2]=e}if((c|0)!=(f|0)){d=a;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}a=a+e|0}i[a>>0]=0;c=k[b+4>>2]|0;e=k[b+8>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;f=e-c|0;if(f>>>0>4294967279){y=0;na(438,j|0);g=y;y=0;if(g&1){l=pb()|0;A9(h);sb(l|0)}else g=13}else if(f>>>0<11){i[j+11>>0]=f;a=j}else g=13;do if((g|0)==13){d=f+16&-16;y=0;a=qa(315,d|0)|0;g=y;y=0;if(g&1){l=pb()|0;A9(h);sb(l|0)}else{k[j>>2]=a;k[j+8>>2]=d|-2147483648;k[j+4>>2]=f;break}}while(0);if((c|0)!=(e|0)){d=a;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}a=a+f|0}i[a>>0]=0;d=i[h+11>>0]|0;e=d<<24>>24<0;d=d&255;f=e?k[h+4>>2]|0:d;g=i[j+11>>0]|0;a=g<<24>>24<0;a:do if((f|0)==((a?k[j+4>>2]|0:g&255)|0)){b=k[h>>2]|0;g=e?b:h;a=a?k[j>>2]|0:j;c=(f|0)==0;if(e){if(c){a=1;break}a=(bN(g,a,f)|0)==0;break}if(c)a=1;else if((b&255)<<24>>24==(i[a>>0]|0)){c=h;while(1){d=d+-1|0;c=c+1|0;if(!d){a=1;break a}a=a+1|0;if((i[c>>0]|0)!=(i[a>>0]|0)){a=0;break}}}else a=0}else a=0;while(0);A9(j);A9(h);r=l;return a|0}function Cn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;b=0;f=r;r=r+16|0;c=f;d=BO(1,128)|0;if(!d){b=co(83256,50017,40)|0;a=FV(b+(k[(k[b>>2]|0)+-12>>2]|0)|0)|0;k[c>>2]=a;y=0;a=Ha(977,c|0,83960)|0;e=y;y=0;if(e&1){f=pb()|0;Hea(c);sb(f|0)}y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;e=y;y=0;if(e&1){f=pb()|0;Hea(c);sb(f|0)}Hea(c);Rr(b,a)|0;Hu(b)|0;e=0;r=f;return e|0}k[d+72>>2]=2;k[d+4>>2]=5;k[d+12>>2]=49741;k[d+16>>2]=52248;do if(!a){a=gb(8)|0;y=0;oa(495,a|0,50058);c=y;y=0;if(c&1){c=tb(0)|0;fb(a|0);a=c;break}else{y=0;Na(75,a|0,5792,409);y=0;b=10;break}}else{if(i[a>>0]|0){k[d+120>>2]=a;e=d;r=f;return e|0}a=gb(8)|0;y=0;oa(495,a|0,50103);c=y;y=0;if(c&1){c=tb(0)|0;fb(a|0);a=c;break}else{y=0;Na(75,a|0,5792,409);y=0;b=10;break}}while(0);if((b|0)==10)a=tb(0)|0;vb(a|0)|0;y=0;qa(398,d|0)|0;c=y;y=0;do if(c&1){c=tb(0)|0;vb(c|0)|0;y=0;qa(398,d|0)|0;c=y;y=0;if(c&1){a=pb()|0;y=0;la(3);c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}else e=a}else{y=0;la(3);e=y;y=0;if(!(e&1))break;e=pb()|0}y=0;la(3);c=y;y=0;if(c&1){e=tb(0)|0;Sla(e)}else sb(e|0)}while(0);rb();e=d;r=f;return e|0}function Dn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;l=a+4|0;d=k[l>>2]|0;c=k[a>>2]|0;e=(d-c>>4)+1|0;if(e>>>0>268435455){pN(a);c=k[a>>2]|0;d=k[l>>2]|0}j=a+8|0;h=(k[j>>2]|0)-c|0;i=h>>3;e=h>>4>>>0<134217727?(i>>>0<e>>>0?e:i):268435455;d=d-c>>4;do if(!e)i=0;else if(e>>>0>268435455){l=gb(4)|0;Qoa(l);Wb(l|0,5760,404)}else{i=IM(e<<4)|0;break}while(0);f=i+(d<<4)|0;c=f;h=i+(e<<4)|0;y=0;oa(460,f|0,k[b+4>>2]|0);g=y;y=0;a:do if(g&1){e=pb()|0;d=c}else{k[f>>2]=15136;d=i+(d<<4)+8|0;y=0;oa(460,d|0,k[b+12>>2]|0);g=y;y=0;if(g&1){e=pb()|0;DO(f);d=c;break}k[d>>2]=15152;d=f+16|0;g=k[a>>2]|0;e=k[l>>2]|0;do if((e|0)==(g|0)){e=c;f=g;c=g}else{while(1){b=f+-16|0;y=0;oa(460,b|0,k[e+-12>>2]|0);m=y;y=0;if(m&1){g=22;break}k[b>>2]=15136;f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);m=y;y=0;if(m&1){g=14;break}e=e+-16|0;k[f>>2]=15152;f=c+-16|0;c=f;if((e|0)==(g|0)){g=16;break}}if((g|0)==14){e=pb()|0;DO(b);break a}else if((g|0)==16){e=c;f=k[a>>2]|0;c=k[l>>2]|0;break}else if((g|0)==22){e=pb()|0;break a}}while(0);k[a>>2]=e;k[l>>2]=d;k[j>>2]=h;d=f;if((c|0)!=(d|0))do{DO(c+-8|0);c=c+-16|0;DO(c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{DO(d+-8|0);d=d+-16|0;DO(d)}while((d|0)!=(c|0));if(!i)sb(e|0);cra(i);sb(e|0)}function En(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;l=a+4|0;d=k[l>>2]|0;c=k[a>>2]|0;e=(d-c>>4)+1|0;if(e>>>0>268435455){pN(a);c=k[a>>2]|0;d=k[l>>2]|0}j=a+8|0;h=(k[j>>2]|0)-c|0;i=h>>3;e=h>>4>>>0<134217727?(i>>>0<e>>>0?e:i):268435455;d=d-c>>4;do if(!e)i=0;else if(e>>>0>268435455){l=gb(4)|0;Qoa(l);Wb(l|0,5760,404)}else{i=IM(e<<4)|0;break}while(0);f=i+(d<<4)|0;c=f;h=i+(e<<4)|0;y=0;oa(460,f|0,k[b+4>>2]|0);g=y;y=0;a:do if(g&1){e=pb()|0;d=c}else{k[f>>2]=15152;d=i+(d<<4)+8|0;y=0;oa(460,d|0,k[b+12>>2]|0);g=y;y=0;if(g&1){e=pb()|0;DO(f);d=c;break}k[d>>2]=15136;d=f+16|0;g=k[a>>2]|0;e=k[l>>2]|0;do if((e|0)==(g|0)){e=c;f=g;c=g}else{while(1){b=f+-16|0;y=0;oa(460,b|0,k[e+-12>>2]|0);m=y;y=0;if(m&1){g=22;break}k[b>>2]=15152;f=f+-8|0;y=0;oa(460,f|0,k[e+-4>>2]|0);m=y;y=0;if(m&1){g=14;break}e=e+-16|0;k[f>>2]=15136;f=c+-16|0;c=f;if((e|0)==(g|0)){g=16;break}}if((g|0)==14){e=pb()|0;DO(b);break a}else if((g|0)==16){e=c;f=k[a>>2]|0;c=k[l>>2]|0;break}else if((g|0)==22){e=pb()|0;break a}}while(0);k[a>>2]=e;k[l>>2]=d;k[j>>2]=h;d=f;if((c|0)!=(d|0))do{DO(c+-8|0);c=c+-16|0;DO(c)}while((c|0)!=(d|0));if(!f)return;cra(f);return}while(0);if((d|0)!=(c|0))do{DO(d+-8|0);d=d+-16|0;DO(d)}while((d|0)!=(c|0));if(!i)sb(e|0);cra(i);sb(e|0)}function Fn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;p=r;r=r+48|0;n=p+32|0;o=p+24|0;j=p+8|0;l=p+16|0;m=p;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=31533){o=0;n=0;o=n&o;r=p;return o|0}i=a+60|0;e=k[a+88>>2]|0;f=k[a+84>>2]|0;g=b+60|0;a=f;h=e;if((e-f|0)!=((k[b+88>>2]|0)-(k[b+84>>2]|0)|0)){o=0;n=1;o=n&o;r=p;return o|0}if((a|0)==(h|0)){o=1;n=1;o=n&o;r=p;return o|0}d=n+4|0;e=l+4|0;f=o+4|0;c=a;while(1){LT(n,k[c+4>>2]|0);k[n>>2]=7284;y=0;oa(460,j|0,k[d>>2]|0);b=y;y=0;if(b&1){c=11;break}k[j>>2]=7284;y=0;Na(76,o|0,i|0,j|0);b=y;y=0;if(b&1){c=12;break}DO(j);y=0;oa(460,m|0,k[d>>2]|0);b=y;y=0;if(b&1){c=13;break}k[m>>2]=7284;y=0;Na(76,l|0,g|0,m|0);b=y;y=0;if(b&1){c=14;break}DO(m);a=k[e>>2]|0;b=k[f>>2]|0;if((a|0)==0|(b|0)==0)a=1;else{y=0;a=Ha(k[(k[b>>2]|0)+92>>2]|0,b|0,a|0)|0;b=y;y=0;if(b&1){c=15;break}a=a&1^1}DO(l);DO(o);DO(n);c=c+8|0;if(a|0){a=0;b=1;c=21;break}if((c|0)==(h|0)){a=1;b=1;c=21;break}}if((c|0)==11){p=pb()|0;DO(n);sb(p|0)}else if((c|0)==12){p=pb()|0;DO(j);DO(n);sb(p|0)}else if((c|0)==13)a=pb()|0;else if((c|0)==14){a=pb()|0;DO(m)}else if((c|0)==15){a=pb()|0;DO(l)}else if((c|0)==21){o=b&a;r=p;return o|0}DO(o);p=a;DO(n);sb(p|0);return 0}function Gn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=0;n=r;r=r+16|0;f=n+12|0;h=n+8|0;l=n;y=0;oa(531,l|0,a|0);j=y;y=0;a:do if(j&1){c=tb(0)|0;d=a;e=a;m=19}else{do if(i[l>>0]|0){g=FV(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[f>>2]=g;y=0;g=Ha(977,f|0,84016)|0;j=y;y=0;if(j&1){c=tb(0)|0;Hea(f)}else{Hea(f);d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;j=k[d+24>>2]|0;e=d+76|0;c=k[e>>2]|0;do if((c|0)==-1){c=FV(d)|0;k[f>>2]=c;y=0;c=Ha(977,f|0,83960)|0;o=y;y=0;if(!(o&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,32)|0;o=y;y=0;if(!(o&1)){Hea(f);c=c<<24>>24;k[e>>2]=c;m=10;break}}c=tb(0)|0;Hea(f)}else m=10;while(0);if((m|0)==10){o=k[(k[g>>2]|0)+24>>2]|0;k[h>>2]=j;y=0;k[f>>2]=k[h>>2];c=sa(o|0,g|0,f|0,d|0,c&255|0,b|0)|0;o=y;y=0;if(!(o&1)){if(c|0)break;o=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,o|0,k[o+16>>2]|5|0);o=y;y=0;if(!(o&1))break}c=tb(0)|0}}EA(l);d=a;e=a;m=19;break a}while(0);EA(l)}while(0);do if((m|0)==19){vb(c|0)|0;y=0;na(435,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);o=y;y=0;if(!(o&1)){rb();break}c=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;Sla(o)}else sb(c|0)}while(0);r=n;return a|0}function Hn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=0;n=r;r=r+16|0;f=n+12|0;h=n+8|0;l=n;y=0;oa(531,l|0,a|0);j=y;y=0;a:do if(j&1){c=tb(0)|0;d=a;e=a;m=19}else{do if(i[l>>0]|0){g=FV(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[f>>2]=g;y=0;g=Ha(977,f|0,84016)|0;j=y;y=0;if(j&1){c=tb(0)|0;Hea(f)}else{Hea(f);d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;j=k[d+24>>2]|0;e=d+76|0;c=k[e>>2]|0;do if((c|0)==-1){c=FV(d)|0;k[f>>2]=c;y=0;c=Ha(977,f|0,83960)|0;o=y;y=0;if(!(o&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,32)|0;o=y;y=0;if(!(o&1)){Hea(f);c=c<<24>>24;k[e>>2]=c;m=10;break}}c=tb(0)|0;Hea(f)}else m=10;while(0);if((m|0)==10){o=k[(k[g>>2]|0)+24>>2]|0;k[h>>2]=j;y=0;k[f>>2]=k[h>>2];c=sa(o|0,g|0,f|0,d|0,c&255|0,b|0)|0;o=y;y=0;if(!(o&1)){if(c|0)break;o=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,o|0,k[o+16>>2]|5|0);o=y;y=0;if(!(o&1))break}c=tb(0)|0}}EA(l);d=a;e=a;m=19;break a}while(0);EA(l)}while(0);do if((m|0)==19){vb(c|0)|0;y=0;na(435,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);o=y;y=0;if(!(o&1)){rb();break}c=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;Sla(o)}else sb(c|0)}while(0);r=n;return a|0}function In(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/48|0)+1|0;if(e>>>0>89478485){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/48|0;f=h<<1;f=h>>>0<44739242?(f>>>0<e>>>0?e:f):89478485;c=(d-c|0)/48|0;do if(!f)g=0;else if(f>>>0>89478485){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{g=IM(f*48|0)|0;break}while(0);d=g+(c*48|0)|0;e=d;h=g+(f*48|0)|0;y=0;oa(471,d|0,b|0);b=y;y=0;if(b&1){c=pb()|0;if(!g)sb(c|0);cra(g);sb(c|0)}g=d+48|0;f=k[a>>2]|0;c=k[j>>2]|0;if((c|0)==(f|0)){d=e;e=f;c=f}else{do{l=d+-48|0;b=c;c=c+-48|0;k[l>>2]=k[c>>2];k[l+4>>2]=k[c+4>>2];k[l+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;l=d+-36|0;m=b+-36|0;k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];k[l+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;m=d+-24|0;l=b+-24|0;k[m>>2]=k[l>>2];k[m+4>>2]=k[l+4>>2];k[m+8>>2]=k[l+8>>2];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;l=d+-12|0;b=b+-12|0;k[l>>2]=k[b>>2];k[l+4>>2]=k[b+4>>2];k[l+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;d=e+-48|0;e=d}while((c|0)!=(f|0));d=e;e=k[a>>2]|0;c=k[j>>2]|0}k[a>>2]=d;k[j>>2]=g;k[i>>2]=h;d=e;if((c|0)!=(d|0))do{A9(c+-12|0);A9(c+-24|0);A9(c+-36|0);c=c+-48|0;A9(c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}function Jn(a,b){a=a|0;b=+b;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=0;n=r;r=r+16|0;f=n+12|0;h=n+8|0;l=n;y=0;oa(531,l|0,a|0);j=y;y=0;a:do if(j&1){c=tb(0)|0;d=a;e=a;m=19}else{do if(i[l>>0]|0){g=FV(a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;k[f>>2]=g;y=0;g=Ha(977,f|0,84016)|0;j=y;y=0;if(j&1){c=tb(0)|0;Hea(f)}else{Hea(f);d=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;j=k[d+24>>2]|0;e=d+76|0;c=k[e>>2]|0;do if((c|0)==-1){c=FV(d)|0;k[f>>2]=c;y=0;c=Ha(977,f|0,83960)|0;o=y;y=0;if(!(o&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,32)|0;o=y;y=0;if(!(o&1)){Hea(f);c=c<<24>>24;k[e>>2]=c;m=10;break}}c=tb(0)|0;Hea(f)}else m=10;while(0);if((m|0)==10){o=k[(k[g>>2]|0)+32>>2]|0;k[h>>2]=j;y=0;k[f>>2]=k[h>>2];c=Qa(o|0,g|0,f|0,d|0,c&255|0,+b)|0;o=y;y=0;if(!(o&1)){if(c|0)break;o=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,o|0,k[o+16>>2]|5|0);o=y;y=0;if(!(o&1))break}c=tb(0)|0}}EA(l);d=a;e=a;m=19;break a}while(0);EA(l)}while(0);do if((m|0)==19){vb(c|0)|0;y=0;na(435,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);o=y;y=0;if(!(o&1)){rb();break}c=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;Sla(o)}else sb(c|0)}while(0);r=n;return a|0}function Kn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;a:do switch(i[a>>0]|0){case 9:case 32:{b=a+1|0;f=14;break}default:{b=iG(a)|0;if(!b){b=sB(a)|0;if(!b){c=i[50288]|0;b:do if(!(c<<24>>24)){b=a;f=7}else{b=a;d=50288;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){f=7;break}}}while(0);if((f|0)==7){c=i[b>>0]|0;if(c<<24>>24){e=b;do{if(e|0){b=i[51073]|0;if(!(b<<24>>24)){b=e;f=14;break a}if(c<<24>>24==b<<24>>24){b=e;c=51073;do{b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){f=14;break a}}while((i[b>>0]|0)==d<<24>>24)}}e=e+1|0;c=i[e>>0]|0}while(c<<24>>24!=0)}}if(!a){f=0;return f|0}else b=a}else f=14}else f=14}}while(0);c:do if((f|0)==14)d:while(1){switch(i[b>>0]|0){case 9:case 32:{b=b+1|0;f=14;continue d}default:{}}c=iG(b)|0;if(c|0){b=c;f=14;continue}c=sB(b)|0;if(c|0){b=c;f=14;continue}d=i[50288]|0;if(!(d<<24>>24))c=b;else{c=b;e=50288;do{if((i[c>>0]|0)!=d<<24>>24)break c;c=c+1|0;e=e+1|0;d=i[e>>0]|0}while(d<<24>>24!=0)}d=i[c>>0]|0;if(!(d<<24>>24))break c;while(1){if(c|0){e=i[51073]|0;if(!(e<<24>>24)){b=c;f=14;continue d}if(d<<24>>24==e<<24>>24){d=c;e=51073;while(1){d=d+1|0;e=e+1|0;a=i[e>>0]|0;if(!(a<<24>>24)){b=d;f=14;continue d}if((i[d>>0]|0)!=a<<24>>24)break}}}c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break c}}while(0);f=(UO(b)|0)!=0;return f|0}function Ln(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=r;r=r+32|0;m=p+16|0;n=p+8|0;o=p;l=b+64|0;i=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>3;if(!i){r=p;return}j=m+4|0;h=c+64|0;g=0;a:while(1){c=(Fc[k[(k[l>>2]|0)+16>>2]&2047](l,g)|0)+4|0;c=k[c>>2]|0;LT(m,Fc[k[(k[c>>2]|0)+52>>2]&2047](c,a)|0);k[m>>2]=6508;c=k[j>>2]|0;do if(c|0){if((k[61]|0)!=(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){b=k[(k[h>>2]|0)+20>>2]|0;y=0;oa(460,o|0,c|0);f=y;y=0;if(f&1){b=17;break a}k[o>>2]=6508;y=0;oa(b|0,h|0,o|0);f=y;y=0;if(f&1){b=18;break a}DO(o);break}f=c+64|0;c=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>3;if(c|0){b=0;do{d=k[(k[h>>2]|0)+20>>2]|0;y=0;e=Ha(k[(k[f>>2]|0)+16>>2]|0,f|0,b|0)|0;q=y;y=0;if(q&1){b=12;break a}y=0;oa(460,n|0,k[e+4>>2]|0);q=y;y=0;if(q&1){b=12;break a}k[n>>2]=6508;y=0;oa(d|0,h|0,n|0);q=y;y=0;if(q&1){b=13;break a}DO(n);b=b+1|0}while(b>>>0<c>>>0)}}while(0);DO(m);g=g+1|0;if(g>>>0>=i>>>0){b=3;break}}if((b|0)==3){r=p;return}else if((b|0)==12){q=pb()|0;DO(m);sb(q|0)}else if((b|0)==13){q=pb()|0;DO(n);DO(m);sb(q|0)}else if((b|0)==17){q=pb()|0;DO(m);sb(q|0)}else if((b|0)==18){q=pb()|0;DO(o);DO(m);sb(q|0)}}function Mn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=0;n=r;r=r+48|0;l=n;o=n+40|0;p=IM(88)|0;c=k[b+72>>2]|0;d=k[b+68>>2]|0;h=i[b+84>>0]|0;e=l;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(422,p|0);j=y;y=0;do if(j&1)c=pb()|0;else{d=c-d>>3;e=p+12|0;f=l;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[p>>2]=6564;k[p+52>>2]=0;k[p+56>>2]=0;i[p+60>>0]=0;c=p+64|0;k[c>>2]=6524;g=p+68|0;j=p+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,d|0);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[j>>2]|0;if((e|0)!=(d|0)){do{o=e+-8|0;k[j>>2]=o;lc[k[k[o>>2]>>2]&511](o);e=k[j>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[p>>2]=6368;k[c>>2]=6468;i[p+84>>0]=h;LT(o,p);k[o>>2]=6868;c=o+4|0;d=k[c>>2]|0;k[l>>2]=d;e=a+12|0;f=k[e>>2]|0;if(f>>>0<(k[a+16>>2]|0)>>>0){k[f>>2]=d;k[e>>2]=(k[e>>2]|0)+4;m=12}else{y=0;oa(651,a+8|0,l|0);p=y;y=0;if(p&1)c=pb()|0;else m=12}do if((m|0)==12){y=0;Na(139,a|0,b|0,k[c>>2]|0);p=y;y=0;if(p&1){c=pb()|0;break}k[e>>2]=(k[e>>2]|0)+-4;c=k[c>>2]|0;if(!c){p=0;DO(o);r=n;return p|0}i[c+8>>0]=1;p=c;DO(o);r=n;return p|0}while(0);DO(o);p=c;sb(p|0)}while(0);cra(p);p=c;sb(p|0);return 0}function Nn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;h=0;e=r;r=r+32|0;f=e;d=e+12|0;cL(f,82300);y=0;oa(533,a|0,f|0);g=y;y=0;do if(g&1)b=pb()|0;else{k[a>>2]=15668;g=a+8|0;y=0;oa(456,g|0,f|0);j=y;y=0;if(j&1){b=pb()|0;Pca(a);break}A9(f);k[a>>2]=21280;y=0;Ha(1009,g|0,51954)|0;j=y;y=0;a:do if(j&1)h=14;else{y=0;oa(453,d|0,c|0);j=y;y=0;do if(j&1)b=pb()|0;else{j=i[d+11>>0]|0;f=j<<24>>24<0;y=0;ta(41,g|0,(f?k[d>>2]|0:d)|0,(f?k[d+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){b=pb()|0;A9(d);break}A9(d);y=0;Ha(974,g|0,51976)|0;j=y;y=0;if(j&1){h=14;break a}y=0;oa(453,d|0,b|0);j=y;y=0;do if(j&1)b=pb()|0;else{j=i[d+11>>0]|0;f=j<<24>>24<0;y=0;ta(41,g|0,(f?k[d>>2]|0:d)|0,(f?k[d+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){b=pb()|0;A9(d);break}A9(d);y=0;Ha(974,g|0,51984)|0;j=y;y=0;if(j&1){h=14;break a}r=e;return}while(0);break a}while(0)}while(0);if((h|0)==14)b=pb()|0;k[a>>2]=15668;A9(g);Pca(a);j=b;sb(j|0)}while(0);A9(f);j=b;sb(j|0)}function On(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20365]=0;k[20366]=0;k[20367]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20366]=a;k[20365]=a;k[20367]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20366]|0)+12|0;k[20366]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20366]|0)+12|0;k[20366]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20366]=(k[20366]|0)+12;A9(f);A9(e);A9(g);Pb(426,81460,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20365]|0;if(b){c=k[20366]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20366]=h;A9(h);c=k[20366]|0}while((c|0)!=(b|0));b=k[20365]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Pn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=0;m=r;r=r+16|0;j=m;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);g=i[b+11>>0]|0;h=g<<24>>24<0;d=h?k[b>>2]|0:b;g=h?k[b+4>>2]|0:g&255;h=d+g|0;if(g|0){c=0;g=0;f=0;a:while(1){e=g;g=i[d>>0]|0;b:do if(f)switch(g<<24>>24){case 13:case 10:{c=0;e=1;break b}case 9:{c=c+1|0;e=1;break b}case 32:{c=c+1|0;e=1;break b}default:{if(g<<24>>24==42){e=1;break b}y=0;oa(458,j|0,32);f=y;y=0;if(f&1){l=11;break a}if(e<<24>>24==42&g<<24>>24==47){y=0;Ha(974,j|0,51073)|0;f=y;y=0;if(f&1){l=11;break a}else{e=0;break b}}else{y=0;oa(458,j|0,g|0);f=y;y=0;if(f&1){l=11;break a}else{e=0;break b}}}}else{switch(g<<24>>24){case 10:case 13:{e=1;break b}default:{}}y=0;oa(458,j|0,g|0);f=y;y=0;if(f&1){l=11;break a}else e=0}while(0);d=d+1|0;if((d|0)==(h|0))break;else f=e}if((l|0)==11){m=pb()|0;A9(j);sb(m|0)}if(c|0){k[a>>2]=k[j>>2];k[a+4>>2]=k[j+4>>2];k[a+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;A9(j);r=m;return}}y=0;oa(456,a|0,b|0);l=y;y=0;if(!(l&1)){A9(j);r=m;return}m=pb()|0;A9(j);sb(m|0)}function Qn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=(b|0)==(a|0);i[b+12>>0]=g&1;if(g)return;while(1){g=k[b+8>>2]|0;d=g+12|0;if(i[d>>0]|0){c=37;break}f=g+8|0;e=k[f>>2]|0;c=k[e>>2]|0;if((c|0)==(g|0)){c=k[e+4>>2]|0;if(!c){c=8;break}c=c+12|0;if(i[c>>0]|0){c=8;break}i[d>>0]=1;i[e+12>>0]=(e|0)==(a|0)&1;i[c>>0]=1}else{if(!c){c=24;break}c=c+12|0;if(i[c>>0]|0){c=24;break}i[d>>0]=1;i[e+12>>0]=(e|0)==(a|0)&1;i[c>>0]=1}if((e|0)==(a|0)){c=37;break}else b=e}if((c|0)==8){if((k[g>>2]|0)==(b|0)){b=g;a=e}else{a=g+4|0;b=k[a>>2]|0;c=k[b>>2]|0;k[a>>2]=c;if(!c)c=e;else{k[c+8>>2]=g;c=k[f>>2]|0}d=b+8|0;k[d>>2]=c;c=k[f>>2]|0;if((k[c>>2]|0)==(g|0))k[c>>2]=b;else k[c+4>>2]=b;k[b>>2]=g;k[f>>2]=b;a=k[d>>2]|0}i[b+12>>0]=1;i[a+12>>0]=0;d=k[a>>2]|0;e=d+4|0;b=k[e>>2]|0;k[a>>2]=b;if(b|0)k[b+8>>2]=a;b=a+8|0;k[d+8>>2]=k[b>>2];c=k[b>>2]|0;if((k[c>>2]|0)==(a|0))k[c>>2]=d;else k[c+4>>2]=d;k[e>>2]=a;k[b>>2]=d;return}else if((c|0)==24){if((k[g>>2]|0)==(b|0)){b=k[g>>2]|0;a=b+4|0;c=k[a>>2]|0;k[g>>2]=c;if(!c)c=e;else{k[c+8>>2]=g;c=k[f>>2]|0}d=b+8|0;k[d>>2]=c;c=k[f>>2]|0;if((k[c>>2]|0)==(g|0))k[c>>2]=b;else k[c+4>>2]=b;k[a>>2]=g;k[f>>2]=b;e=k[d>>2]|0}else b=g;i[b+12>>0]=1;i[e+12>>0]=0;g=e+4|0;d=k[g>>2]|0;b=k[d>>2]|0;k[g>>2]=b;if(b|0)k[b+8>>2]=e;b=e+8|0;k[d+8>>2]=k[b>>2];c=k[b>>2]|0;if((k[c>>2]|0)==(e|0))k[c>>2]=d;else k[c+4>>2]=d;k[d>>2]=e;k[b>>2]=d;return}else if((c|0)==37)return}function Rn(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;if(!a){h=0;return h|0}h=i[48639]|0;d=h<<24>>24==0;a:do if(!d){b=48639;c=h;while(1){if((i[a>>0]|0)!=c<<24>>24){a=0;break}a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break a}return a|0}while(0);c=i[a>>0]|0;if(!(c<<24>>24)){h=0;return h|0}if(d){b=0;d=0;while(1){switch(c<<24>>24){case 92:{e=d;a=a+1|0;break}case 34:{b=b^1;e=d;break}case 39:{e=d^1;break}default:if(b){b=1;e=d}else{b=0;e=d;a=d?a:a+-1|0}}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;break}else d=e}return a|0}else{f=a;a=0;b=0;g=0}b:while(1){c:do switch(c<<24>>24){case 92:{e=a;a=f+1|0;d=g;break}case 34:{e=a^1;a=f;d=g;break}case 39:{e=a;b=b^1;a=f;d=g;break}default:if(a){e=1;a=f;d=g}else if(b){e=0;b=1;a=f;d=g}else if(!f){e=0;b=0;a=0;d=g}else{d:do if(c<<24>>24==h<<24>>24){a=f;b=48639;while(1){d=a+1|0;b=b+1|0;e=i[b>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break d;else a=d}e=0;b=0;d=g+1|0;break c}while(0);a=i[50303]|0;e:do if(!(a<<24>>24))a=f;else{if(c<<24>>24==a<<24>>24){a=f;b=50303}else{e=0;b=0;a=f;d=g;break c}while(1){a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break e;if((i[a>>0]|0)!=c<<24>>24){e=0;b=0;a=f;d=g;break c}}}while(0);if(!g){b=31;break b}else{e=0;b=0;a=a+-1|0;d=g+-1|0}}}while(0);f=a+1|0;c=i[f>>0]|0;if(!(c<<24>>24)){a=0;b=31;break}else{a=e;g=d}}if((b|0)==31)return a|0;return 0}function Sn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;m=0;f=r;r=r+96|0;d=f;c=f+56|0;l=f+40|0;e=c;g=b+12|0;h=e+40|0;do{k[e>>2]=k[g>>2];e=e+4|0;g=g+4|0}while((e|0)<(h|0));cL(l,82288);e=d;g=c;h=e+40|0;do{k[e>>2]=k[g>>2];e=e+4|0;g=g+4|0}while((e|0)<(h|0));y=0;oa(533,a|0,l|0);j=y;y=0;if(j&1)c=pb()|0;else{k[a>>2]=15644;j=a+8|0;y=0;oa(456,j|0,l|0);i=y;y=0;do if(i&1)c=pb()|0;else{i=a+20|0;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(74,i|0,51649,5);h=y;y=0;if(h&1){c=pb()|0;A9(j);break}e=a+32|0;g=d;h=e+40|0;do{k[e>>2]=k[g>>2];e=e+4|0;g=g+4|0}while((e|0)<(h|0));k[a+72>>2]=0;A9(l);k[a>>2]=21232;k[a+76>>2]=b;y=0;oa(k[(k[b>>2]|0)+32>>2]|0,d|0,b|0);l=y;y=0;do if(l&1){c=pb()|0;m=15}else{y=0;Ha(969,j|0,d|0)|0;l=y;y=0;if(l&1){c=pb()|0;A9(d);m=15;break}A9(d);y=0;Ha(974,j|0,51890)|0;l=y;y=0;if(l&1){c=pb()|0;break}else{r=f;return}}while(0);k[a>>2]=15644;A9(i);A9(j);Pca(a);a=c;sb(a|0)}while(0);Pca(a)}A9(l);a=c;sb(a|0)}function Tn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;h=0;m=r;r=r+64|0;f=m;l=m+48|0;j=m+40|0;g=a+4|0;vO(l,k[g>>2]|0);e=l+4|0;if(!(k[e>>2]|0)){y=0;d=qa(315,60)|0;j=y;y=0;if(!(j&1)){a=f;b=b+12|0;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,d|0);j=y;y=0;if(j&1){m=pb()|0;cra(d);DO(l);sb(m|0)}else{a=d+12|0;b=f;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d>>2]=12584;k[d+56>>2]=8;j=d;DO(l);r=m;return j|0}}}else{b=(k[g>>2]|0)+88|0;d=k[b>>2]|0;c=d+-8|0;do{f=d+-8|0;k[b>>2]=f;lc[k[k[f>>2]>>2]&511](f);d=k[b>>2]|0}while((d|0)!=(c|0));y=0;b=Ha(k[(k[a>>2]|0)+272>>2]|0,a|0,k[e>>2]|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(460,j|0,b|0);f=y;y=0;if(!(f&1)){k[j>>2]=6756;b=k[g>>2]|0;c=b+88|0;d=k[c>>2]|0;if((d|0)==(k[b+92>>2]|0)){y=0;oa(559,b+84|0,j|0);g=y;y=0;if(g&1)h=15;else b=j+4|0}else{b=j+4|0;y=0;oa(460,d|0,k[b>>2]|0);g=y;y=0;if(g&1)h=15;else{k[d>>2]=6756;k[c>>2]=(k[c>>2]|0)+8}}if((h|0)==15){m=pb()|0;DO(j);DO(l);sb(m|0)}b=k[b>>2]|0;if(!b)b=0;else i[b+8>>0]=1;DO(j);j=b;DO(l);r=m;return j|0}}}m=pb()|0;DO(l);sb(m|0);return 0}function Un(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0,v=0;v=r;r=r+64|0;u=v+16|0;b=v;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,38272,6);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));t=sa(24,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;A9(b);sb(e|0)}A9(b);k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,38413,7);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=Ia(1,b|0,a|0,d|0,u|0,0.0,100.0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;A9(b);sb(e|0)}A9(b);l=+p[t+64>>3]/255.0;m=+p[t+72>>3]/255.0;n=+p[t+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){h=0.0;i=0.0}else{i=o/(s<.5?i:2.0-j-h);if(l==j){h=(b?6.0:0.0)+(m-n)/o;break}if(m==j){h=(n-l)/o+2.0;break}if(n==j)h=(l-m)/o+4.0;else h=0.0}while(0);l=h/6.0*360.0;j=s*100.0;i=i*100.0-+p[c+64>>3];i=i<=0.0?0.0:i;i=i>100.0?100.0:i;h=+p[t+88>>3];c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=Wm(l,i,j,h,0,u)|0;r=v;return e|0}function Vn(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;a:do if(a|0){c=i[48735]|0;b:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=48735;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[48724]|0;c:do if(!(c<<24>>24)){b=a;e=9}else{b=a;d=48724;while(1){if((i[b>>0]|0)!=c<<24>>24)break c;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=9;break}}}while(0);if((e|0)==9){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[48717]|0;d:do if(!(c<<24>>24)){b=a;e=13}else{b=a;d=48717;while(1){if((i[b>>0]|0)!=c<<24>>24)break d;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=13;break}}}while(0);if((e|0)==13){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[48762]|0;if(!(c<<24>>24))b=a;else{b=a;d=48762;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=DP(b)|0;if(b|0){a=b;return a|0}}while(0);a=Yo(a)|0;return a|0}function Wn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;f=0;l=r;r=r+32|0;m=l+12|0;j=l;cL(m,b+64|0);h=a+4|0;if(!(i[b+61>>0]|0))f=16;else{y=0;c=qa(394,h|0)|0;g=y;y=0;if(!(g&1))if((c|0)==3){g=m+11|0;c=i[g>>0]|0;n=c<<24>>24<0;e=n?k[m>>2]|0:m;n=n?k[m+4>>2]|0:c&255;d=e+n|0;a:do if(!n)f=7;else do{if(Pma(i[e>>0]|0)|0){f=7;break a}e=e+1|0}while((e|0)!=(d|0));while(0);if((f|0)==7)if((e|0)!=(d|0)){f=e+1|0;if((f|0)==(d|0))d=e;else{c=e;do{e=i[f>>0]|0;if(!(Pma(e<<24>>24)|0)){i[c>>0]=e;c=c+1|0}f=f+1|0}while((f|0)!=(d|0));d=c;c=i[g>>0]|0}}n=d;g=c<<24>>24<0;f=g?k[m>>2]|0:m;y=0;ta(42,m|0,n-f|0,f+(g?k[m+4>>2]|0:c&255)-n|0)|0;n=y;y=0;if(n&1){n=pb()|0;A9(m);sb(n|0)}else f=16}else f=16}do if((f|0)==16){if(i[a+96>>0]|0){y=0;Na(147,h|0,m|0,b|0);n=y;y=0;if(n&1)break;A9(m);r=l;return}y=0;oa(643,j|0,m|0);n=y;y=0;do if(n&1)c=pb()|0;else{y=0;Na(147,h|0,j|0,b|0);n=y;y=0;if(n&1){c=pb()|0;A9(j);break}A9(j);A9(m);r=l;return}while(0);n=c;A9(m);sb(n|0)}while(0);n=pb()|0;A9(m);sb(n|0)}function Xn(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+48|0;e=i+32|0;c=i+24|0;d=i+16|0;f=i+8|0;g=i;h=a+4|0;Rx(h);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48762,3);y=0;Na(147,h|0,e|0,b|0);j=y;y=0;if(j&1){j=pb()|0;A9(e);sb(j|0)}A9(e);Bla(h);LT(c,k[b+76>>2]|0);k[c>>2]=7284;j=k[c+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;DO(c);sb(j|0)}DO(c);LT(d,k[b+68>>2]|0);k[d>>2]=6868;j=k[d+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;DO(d);sb(j|0)}DO(d);b=b+84|0;LT(f,k[b>>2]|0);k[f>>2]=6868;j=(k[f+4>>2]|0)==0;DO(f);if(j){r=i;return}IO(h);Rx(h);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48766,4);y=0;oa(679,h|0,e|0);j=y;y=0;if(j&1){j=pb()|0;A9(e);sb(j|0)}A9(e);LT(g,k[b>>2]|0);k[g>>2]=6868;j=k[g+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;DO(g);sb(j|0)}else{DO(g);r=i;return}}function Yn(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;if((c|0)==(b|0)){b=d;m=b;m=k[m>>2]|0;b=b+4|0;b=k[b>>2]|0;d=a;a=d;k[a>>2]=m;d=d+4|0;k[d>>2]=b;return}l=b;m=d+4|0;do{f=d;j=k[f>>2]|0;e=j;j=(k[f+4>>2]|0)-(k[j>>2]|0)|0;f=(j|0)/28|0;g=f+-1|0;if((j|0)>28){f=e+(((g>>>0)/146|0)<<2)|0;e=(k[f>>2]|0)+(((g>>>0)%146|0)*28|0)|0}else{j=146-f|0;f=e+(((j|0)/-146|0)<<2)|0;e=(k[f>>2]|0)+((145-((j|0)%146|0)|0)*28|0)|0}g=e+28|0;i=(g-(k[f>>2]|0)|0)/28|0;j=(c-l|0)/28|0;h=(j|0)>(i|0);j=h?i:j;e=c;c=h?c+((0-i|0)*28|0)|0:b;if((e|0)!=(c|0))do{h=g;g=g+-28|0;f=e;e=e+-28|0;k[g>>2]=k[e>>2];k[g+4>>2]=k[e+4>>2];k[g+8>>2]=k[e+8>>2];if((h|0)!=(f|0)){i=h+-12|0;if(k[i>>2]|0)QO(h+-16|0);n=f+-12|0;k[i>>2]=k[n>>2];k[n>>2]=0}o=f+-8|0;n=k[o>>2]|0;f=f+-4|0;i=k[f>>2]|0;k[o>>2]=0;k[f>>2]=0;k[h+-8>>2]=n;n=h+-4|0;f=k[n>>2]|0;k[n>>2]=i;if(f|0)DY(f)}while((e|0)!=(c|0));do if(j|0){f=k[d>>2]|0;e=(((k[m>>2]|0)-(k[f>>2]|0)|0)/28|0)-j|0;if((e|0)>0){o=f+(((e>>>0)/146|0)<<2)|0;k[d>>2]=o;k[m>>2]=(k[o>>2]|0)+(((e>>>0)%146|0)*28|0);break}else{o=145-e|0;n=f+(((o|0)/-146|0)<<2)|0;k[d>>2]=n;k[m>>2]=(k[n>>2]|0)+((145-((o|0)%146|0)|0)*28|0);break}}while(0)}while((c|0)!=(b|0));n=d;b=n;b=k[b>>2]|0;n=n+4|0;n=k[n>>2]|0;o=a;d=o;k[d>>2]=b;o=o+4|0;k[o>>2]=n;return}function Zn(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0,v=0;v=r;r=r+64|0;u=v+16|0;b=v;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,38272,6);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));t=sa(24,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;A9(b);sb(e|0)}A9(b);k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,38413,7);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=Ia(1,b|0,a|0,d|0,u|0,0.0,100.0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;A9(b);sb(e|0)}A9(b);l=+p[t+64>>3]/255.0;m=+p[t+72>>3]/255.0;n=+p[t+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){h=0.0;i=0.0}else{i=o/(s<.5?i:2.0-j-h);if(l==j){h=(b?6.0:0.0)+(m-n)/o;break}if(m==j){h=(n-l)/o+2.0;break}if(n==j)h=(l-m)/o+4.0;else h=0.0}while(0);l=h/6.0*360.0;j=i*100.0;i=s*100.0;i=(i>100.0?100.0:i)-+p[c+64>>3];h=+p[t+88>>3];c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=Wm(l,j,i,h,0,u)|0;r=v;return e|0}function _n(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0,v=0;v=r;r=r+64|0;u=v+16|0;b=v;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,38272,6);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));t=sa(24,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;A9(b);sb(e|0)}A9(b);k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,38413,7);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=Ia(1,b|0,a|0,d|0,u|0,0.0,100.0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;A9(b);sb(e|0)}A9(b);l=+p[t+64>>3]/255.0;m=+p[t+72>>3]/255.0;n=+p[t+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){h=0.0;i=0.0}else{i=o/(s<.5?i:2.0-j-h);if(l==j){h=(b?6.0:0.0)+(m-n)/o;break}if(m==j){h=(n-l)/o+2.0;break}if(n==j)h=(l-m)/o+4.0;else h=0.0}while(0);l=h/6.0*360.0;j=i*100.0;i=s*100.0;i=(i<0.0?0.0:i)+ +p[c+64>>3];h=+p[t+88>>3];c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=Wm(l,j,i,h,0,u)|0;r=v;return e|0}function $n(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+32|0;h=l+8|0;j=l;e=b+84|0;g=i[e+11>>0]|0;if(((g<<24>>24<0?k[b+88>>2]|0:g&255)|0)==1){y=0;c=sa(21,e|0,0,-1,51792,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}d=a+4|0;if(!c){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;aI(h,87975,0);y=0;oa(679,d|0,h|0);j=y;y=0;if(j&1){l=pb()|0;A9(h);sb(l|0)}else{A9(h);r=l;return}}}else d=a+4|0;f=a+97|0;g=i[f>>0]|0;i[f>>0]=1;QG(d,e,b);k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;aI(h,48580,1);y=0;oa(679,d|0,h|0);e=y;y=0;if(e&1){l=pb()|0;A9(h);sb(l|0)}A9(h);c=a+101|0;e=i[c>>0]|0;i[c>>0]=0;LT(j,k[b+108>>2]|0);k[j>>2]=6756;b=k[j+4>>2]|0;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);b=y;y=0;if(b&1){l=pb()|0;DO(j);sb(l|0)}DO(j);i[c>>0]=e;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;aI(h,48585,1);y=0;oa(679,d|0,h|0);j=y;y=0;if(j&1){l=pb()|0;A9(h);sb(l|0)}else{A9(h);i[f>>0]=g;r=l;return}}function ao(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0.0,t=0,u=0,v=0;v=r;r=r+64|0;u=v+16|0;b=v;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,38272,6);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));t=sa(24,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;A9(b);sb(e|0)}A9(b);k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;aI(b,38404,8);y=0;c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));c=sa(23,b|0,a|0,d|0,u|0,f|0)|0;q=y;y=0;if(q&1){e=pb()|0;A9(b);sb(e|0)}A9(b);l=+p[t+64>>3]/255.0;m=+p[t+72>>3]/255.0;n=+p[t+80>>3]/255.0;b=m<n;j=b?n:m;j=l<j?j:l;h=n<m?n:m;h=h<l?h:l;o=j-h;i=j+h;s=i*.5;do if(j==h){i=0.0;h=0.0}else{h=o/(s<.5?i:2.0-j-h);if(l==j){i=(b?6.0:0.0)+(m-n)/o;break}if(m==j){i=(n-l)/o+2.0;break}if(n==j)i=(l-m)/o+4.0;else i=0.0}while(0);l=h*100.0;j=s*100.0;i=+p[c+64>>3]+i/6.0*360.0;h=+p[t+88>>3];c=u;g=e;q=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(q|0));e=Wm(i,l,j,h,0,u)|0;r=v;return e|0}function bo(a,b,c,d,e,f,g,h,j,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;m=m|0;n=n|0;o=o|0;var p=0;a:do if(a<<24>>24==f<<24>>24)if(!(i[b>>0]|0))f=-1;else{i[b>>0]=0;c=k[e>>2]|0;k[e>>2]=c+1;i[c>>0]=46;e=i[h+11>>0]|0;if(!((e<<24>>24<0?k[h+4>>2]|0:e&255)|0))f=0;else{f=k[m>>2]|0;if((f-j|0)<160){j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j;f=0}else f=0}}else{if(a<<24>>24==g<<24>>24){p=i[h+11>>0]|0;if((p<<24>>24<0?k[h+4>>2]|0:p&255)|0){if(!(i[b>>0]|0)){f=-1;break}f=k[m>>2]|0;if((f-j|0)>=160){f=0;break}j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j;k[n>>2]=0;f=0;break}}p=o+32|0;g=0;while(1){f=o+g|0;if((g|0)==32){f=p;break}if((i[f>>0]|0)==a<<24>>24)break;else g=g+1|0}g=f-o|0;if((g|0)>31)f=-1;else{p=i[56220+g>>0]|0;switch(g|0){case 24:case 25:{f=k[e>>2]|0;if((f|0)!=(d|0))if((l[f+-1>>0]&95|0)!=(l[c>>0]&127|0)){f=-1;break a}k[e>>2]=f+1;i[f>>0]=p;f=0;break a}case 23:case 22:{i[c>>0]=80;f=k[e>>2]|0;k[e>>2]=f+1;i[f>>0]=p;f=0;break a}default:{f=p&95;if((f|0)==(i[c>>0]|0)){i[c>>0]=f|128;if(i[b>>0]|0){i[b>>0]=0;c=i[h+11>>0]|0;if((c<<24>>24<0?k[h+4>>2]|0:c&255)|0){f=k[m>>2]|0;if((f-j|0)<160){j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j}}}}m=k[e>>2]|0;k[e>>2]=m+1;i[m>>0]=p;if((g|0)>21){f=0;break a}k[n>>2]=(k[n>>2]|0)+1;f=0;break a}}}}while(0);return f|0}function co(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=0;n=r;r=r+16|0;f=n+12|0;m=n;j=n+8|0;y=0;oa(531,m|0,a|0);h=y;y=0;a:do if(h&1){c=tb(0)|0;d=a;e=a}else{do if(i[m>>0]|0){g=(k[a>>2]|0)+-12|0;k[j>>2]=k[a+(k[g>>2]|0)+24>>2];g=a+(k[g>>2]|0)|0;h=k[g+4>>2]|0;e=b+c|0;d=g+76|0;c=k[d>>2]|0;do if((c|0)==-1){y=0;c=qa(323,g|0)|0;o=y;y=0;if(o&1)l=13;else{k[f>>2]=c;y=0;c=Ha(977,f|0,83960)|0;o=y;y=0;if(!(o&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,32)|0;o=y;y=0;if(!(o&1)){Hea(f);c=c<<24>>24;k[d>>2]=c;l=9;break}}c=tb(0)|0;Hea(f)}}else l=9;while(0);if((l|0)==9){y=0;k[f>>2]=k[j>>2];c=pa(39,f|0,b|0,((h&176|0)==32?e:b)|0,e|0,g|0,c&255|0)|0;o=y;y=0;if(o&1)l=13;else{if(c|0)break;o=a+(k[(k[a>>2]|0)+-12>>2]|0)|0;y=0;oa(532,o|0,k[o+16>>2]|5|0);o=y;y=0;if(o&1)l=13;else break}}if((l|0)==13)c=tb(0)|0;EA(m);d=a;e=a;break a}while(0);EA(m);r=n;return a|0}while(0);vb(c|0)|0;y=0;na(435,d+(k[(k[e>>2]|0)+-12>>2]|0)|0);o=y;y=0;if(!(o&1)){rb();r=n;return a|0}c=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;Sla(o)}else sb(c|0);return 0}function eo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;if((c|0)==(b|0)){b=d;n=b;n=k[n>>2]|0;b=b+4|0;b=k[b>>2]|0;d=a;a=d;k[a>>2]=n;d=d+4|0;k[d>>2]=b;return}m=b;n=d+4|0;do{f=d;l=k[f>>2]|0;e=l;l=(k[f+4>>2]|0)-(k[l>>2]|0)|0;f=(l|0)/28|0;g=f+-1|0;if((l|0)>28){f=e+(((g>>>0)/146|0)<<2)|0;e=(k[f>>2]|0)+(((g>>>0)%146|0)*28|0)|0}else{l=146-f|0;f=e+(((l|0)/-146|0)<<2)|0;e=(k[f>>2]|0)+((145-((l|0)%146|0)|0)*28|0)|0}g=e+28|0;j=(g-(k[f>>2]|0)|0)/28|0;l=(c-m|0)/28|0;i=(l|0)>(j|0);l=i?j:l;e=c;c=i?c+((0-j|0)*28|0)|0:b;if((e|0)!=(c|0))do{j=g;g=g+-28|0;i=e;e=e+-28|0;k[g>>2]=k[e>>2];k[g+4>>2]=k[e+4>>2];k[g+8>>2]=k[e+8>>2];f=j+-16|0;h=j+-12|0;if(k[h>>2]|0)QO(f);k[h>>2]=k[i+-12>>2];_V(f);f=k[i+-8>>2]|0;h=k[i+-4>>2]|0;if(h|0)Dba(h);k[j+-8>>2]=f;j=j+-4|0;f=k[j>>2]|0;k[j>>2]=h;if(f|0)DY(f)}while((e|0)!=(c|0));do if(l|0){f=k[d>>2]|0;e=(((k[n>>2]|0)-(k[f>>2]|0)|0)/28|0)-l|0;if((e|0)>0){l=f+(((e>>>0)/146|0)<<2)|0;k[d>>2]=l;k[n>>2]=(k[l>>2]|0)+(((e>>>0)%146|0)*28|0);break}else{l=145-e|0;j=f+(((l|0)/-146|0)<<2)|0;k[d>>2]=j;k[n>>2]=(k[j>>2]|0)+((145-((l|0)%146|0)|0)*28|0);break}}while(0)}while((c|0)!=(b|0));b=d;n=b;n=k[n>>2]|0;b=b+4|0;b=k[b>>2]|0;d=a;a=d;k[a>>2]=n;d=d+4|0;k[d>>2]=b;return}function fo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=0;j=k[a>>2]|0;h=j;g=i[h>>0]|0;f=g&255;do if(g<<24>>24>-1)if((h|0)==(k[b>>2]|0))b=1;else{g=1;d=f;b=h;l=21}else{if((f&224|0)==192){d=k[b>>2]|0;if((h|0)==(d|0)){b=1;break}b=h+1|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=2;d=d&63|f<<6&1984;l=21;break}else{b=3;break}}if((f&240|0)==224){d=k[b>>2]|0;if((h|0)==(d|0)){b=1;break}b=h+1|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}e=i[b>>0]|0;if((e&-64)<<24>>24!=-128){b=3;break}b=h+2|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=3;d=(e&255)<<6&4032|f<<12&61440|d&63;l=21;break}else{b=3;break}}if((f&248|0)!=240){l=2;return l|0}d=k[b>>2]|0;if((h|0)==(d|0))b=1;else{b=h+1|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{b=i[b>>0]|0;if((b&-64)<<24>>24==-128){f=(b&255)<<12&258048|f<<18&1835008;b=h+2|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{e=i[b>>0]|0;if((e&-64)<<24>>24==-128){b=h+3|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=4;d=f|(e&255)<<6&4032|d&63;l=21}else b=3}}else b=3}}else b=3}}}while(0);a:do if((l|0)==21)if(d>>>0<1114112&(d&-2048|0)!=55296){do if(d>>>0<128){if((g|0)!=1){b=4;break a}}else if(d>>>0<2048)if((g|0)==2)break;else{b=4;break a}else if((g|0)!=3&d>>>0<65536){b=4;break a}else break;while(0);k[c>>2]=d;k[a>>2]=b+1;l=0;return l|0}else b=5;while(0);k[a>>2]=j;l=b;return l|0}function go(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=0;j=k[a>>2]|0;h=j;g=i[h>>0]|0;f=g&255;do if(g<<24>>24>-1)if((h|0)==(k[b>>2]|0))b=1;else{g=1;d=f;b=h;l=21}else{if((f&224|0)==192){d=k[b>>2]|0;if((h|0)==(d|0)){b=1;break}b=h+1|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=2;d=d&63|f<<6&1984;l=21;break}else{b=3;break}}if((f&240|0)==224){d=k[b>>2]|0;if((h|0)==(d|0)){b=1;break}b=h+1|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}e=i[b>>0]|0;if((e&-64)<<24>>24!=-128){b=3;break}b=h+2|0;k[a>>2]=b;if((b|0)==(d|0)){b=1;break}d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=3;d=(e&255)<<6&4032|f<<12&61440|d&63;l=21;break}else{b=3;break}}if((f&248|0)!=240){l=2;return l|0}d=k[b>>2]|0;if((h|0)==(d|0))b=1;else{b=h+1|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{b=i[b>>0]|0;if((b&-64)<<24>>24==-128){f=(b&255)<<12&258048|f<<18&1835008;b=h+2|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{e=i[b>>0]|0;if((e&-64)<<24>>24==-128){b=h+3|0;k[a>>2]=b;if((b|0)==(d|0))b=1;else{d=i[b>>0]|0;if((d&-64)<<24>>24==-128){g=4;d=f|(e&255)<<6&4032|d&63;l=21}else b=3}}else b=3}}else b=3}}}while(0);a:do if((l|0)==21)if(d>>>0<1114112&(d&-2048|0)!=55296){do if(d>>>0<128){if((g|0)!=1){b=4;break a}}else if(d>>>0<2048)if((g|0)==2)break;else{b=4;break a}else if((g|0)!=3&d>>>0<65536){b=4;break a}else break;while(0);k[c>>2]=d;k[a>>2]=b+1;l=0;return l|0}else b=5;while(0);k[a>>2]=j;l=b;return l|0}function ho(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;h=0;q=a+8|0;o=k[q>>2]|0;n=a+12|0;p=k[n>>2]|0;f=p;do if((o|0)==(p|0)){p=a+4|0;e=k[p>>2]|0;c=k[a>>2]|0;d=c;if(e>>>0>c>>>0){f=((e-d>>3)+1|0)/-2|0;d=e+(f<<3)|0;if((e|0)==(o|0))c=o;else{do{if((d|0)!=(e|0)){c=d+4|0;if(k[c>>2]|0)QO(d);n=e+4|0;k[c>>2]=k[n>>2];k[n>>2]=0}e=e+8|0;d=d+8|0}while((e|0)!=(o|0));c=k[p>>2]|0}k[q>>2]=d;k[p>>2]=c+(f<<3);break}d=f-d>>2;d=(d|0)==0?1:d;if(d>>>0>536870911){q=gb(4)|0;Qoa(q);Wb(q|0,5760,404)}i=IM(d<<3)|0;j=i;l=i+(d>>>2<<3)|0;m=l;g=i+(d<<3)|0;a:do if((e|0)==(o|0)){k[a>>2]=j;k[p>>2]=m;k[q>>2]=m;k[n>>2]=g}else{c=m;d=l;while(1){y=0;oa(460,d|0,k[e+4>>2]|0);f=y;y=0;if(f&1)break;k[d>>2]=13284;d=c+8|0;f=d;e=e+8|0;if((e|0)==(o|0)){h=17;break}else c=f}if((h|0)==17){c=k[a>>2]|0;e=k[p>>2]|0;d=k[q>>2]|0;k[a>>2]=j;k[p>>2]=m;k[q>>2]=f;k[n>>2]=g;if((d|0)==(e|0))break;while(1){d=d+-8|0;lc[k[k[d>>2]>>2]&511](d);if((d|0)==(e|0))break a}}d=pb()|0;if((c|0)==(l|0)){cra(i);sb(d|0)}do{c=c+-8|0;lc[k[k[c>>2]>>2]&511](c)}while((c|0)!=(l|0));cra(i);sb(d|0)}while(0);if(c|0)cra(c)}while(0);p=k[q>>2]|0;LT(p,k[b+4>>2]|0);k[p>>2]=13284;k[q>>2]=(k[q>>2]|0)+8;return}function io(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0;g=b+44|0;h=k[g>>2]|0;m=b+24|0;n=k[m>>2]|0;j=n;if(h>>>0<n>>>0){k[g>>2]=n;l=j}else l=h;g=f&24;if(!g){n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}if((e|0)==1&(g|0)==24){n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}a:do switch(e|0){case 0:{g=0;h=0;break}case 1:if(!(f&8)){h=j-(k[b+20>>2]|0)|0;g=h;h=((h|0)<0)<<31>>31;break a}else{h=(k[b+12>>2]|0)-(k[b+8>>2]|0)|0;g=h;h=((h|0)<0)<<31>>31;break a}case 2:{g=b+32|0;if((i[g+11>>0]|0)<0)g=k[g>>2]|0;h=l-g|0;g=h;h=((h|0)<0)<<31>>31;break}default:{n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}}while(0);h=P5(g|0,h|0,c|0,d|0)|0;j=N;if((j|0)>=0){g=b+32|0;if((i[g+11>>0]|0)<0)g=k[g>>2]|0;d=l-g|0;c=((d|0)<0)<<31>>31;if(!((c|0)<(j|0)|(c|0)==(j|0)&d>>>0<h>>>0)){g=f&8;if(!((h|0)==0&(j|0)==0)){if(g|0)if(!(k[b+12>>2]|0)){n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}if((f&16|0)!=0&(n|0)==0){n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}}if(g|0){k[b+12>>2]=(k[b+8>>2]|0)+h;k[b+16>>2]=l}if(f&16|0)k[m>>2]=(k[b+20>>2]|0)+h;n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=h;k[n+4>>2]=j;return}}n=a;k[n>>2]=0;k[n+4>>2]=0;n=a+8|0;k[n>>2]=-1;k[n+4>>2]=-1;return}function jo(a){a=a|0;var b=0;do if(!(i[76888]|0))if(Qba(76888)|0){if(!(i[76896]|0))if(Qba(76896)|0){b=85476;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=85644);Pb(474,0,x|0)|0}y=0;Ha(1033,85476,27416)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85488,27444)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85500,27472)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85512,27504)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85524,27544)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85536,27580)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85548,27608)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85560,27644)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85572,27660)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85584,27676)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85596,27692)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85608,27708)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85620,27724)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85632,27740)|0;b=y;y=0;if(!(b&1)){k[21411]=85476;break}}}}}}}}}}}}}}b=pb()|0;sb(b|0)}while(0);return k[21411]|0}function ko(a){a=a|0;var b=0;do if(!(i[76808]|0))if(Qba(76808)|0){if(!(i[76816]|0))if(Qba(76816)|0){b=84664;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=84832);Pb(471,0,x|0)|0}y=0;Ha(1009,84664,56874)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84676,56881)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84688,56888)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84700,56896)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84712,56906)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84724,56915)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84736,56922)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84748,56931)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84760,56935)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84772,56939)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84784,56943)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84796,56947)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84808,56951)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84820,56955)|0;b=y;y=0;if(!(b&1)){k[21208]=84664;break}}}}}}}}}}}}}}b=pb()|0;sb(b|0)}while(0);return k[21208]|0}function lo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;h=0;s=r;r=r+32|0;l=s+24|0;j=s+16|0;i=s+12|0;m=s+8|0;n=s+4|0;o=s;e=k[b+36>>2]|0;f=k[b+40>>2]|0;p=b+24|0;c=k[p>>2]|0;q=b+28|0;g=k[q>>2]|0;a:do if((c|0)!=(g|0)){while(1){d=k[c+12>>2]|0;if(d>>>0>e>>>0){h=14;break}if((d|0)==(e|0)?(k[c+16>>2]|0)>>>0>f>>>0:0){h=18;break}c=c+24|0;if((c|0)==(g|0))break a}if((h|0)==14){c=gb(8)|0;y=0;oa(495,c|0,51415);s=y;y=0;if(!(s&1))Wb(c|0,5792,409);s=pb()|0;fb(c|0);sb(s|0)}else if((h|0)==18){c=gb(8)|0;y=0;oa(495,c|0,51450);s=y;y=0;if(!(s&1))Wb(c|0,5792,409);s=pb()|0;fb(c|0);sb(s|0)}}while(0);eE(l,b);g=k[l>>2]|0;if(!g){if(k[l+4>>2]|0)h=5}else h=5;if((h|0)==5){c=k[a+12>>2]|0;f=k[a+16>>2]|0;if((c|0)!=(f|0)){b=k[l+4>>2]|0;do{d=c+12|0;e=k[d>>2]|0;if(!e){h=c+16|0;k[h>>2]=(k[h>>2]|0)+b}k[d>>2]=g+e;c=c+24|0}while((c|0)!=(f|0))}}c=a+24|0;d=k[c>>2]|0;if(!d){h=a+28|0;k[h>>2]=(k[h>>2]|0)+(k[l+4>>2]|0)}k[c>>2]=g+d;a=a+12|0;k[m>>2]=k[a>>2];k[n>>2]=k[p>>2];k[o>>2]=k[q>>2];k[i>>2]=k[m>>2];k[j>>2]=k[n>>2];k[l>>2]=k[o>>2];Dk(a,i,j,l)|0;r=s;return}function mo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=0;h=r;r=r+112|0;f=h;c=h+88|0;g=h+48|0;l=h+40|0;a:do switch(k[(k[b+60>>2]|0)+-4>>2]|0){case 6:case 4:case 1:case 2:case 0:break;default:{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48934,66);j=b+108|0;y=0;k[f>>2]=k[j>>2];k[f+4>>2]=k[j+4>>2];k[f+8>>2]=k[j+8>>2];Na(108,b|0,c|0,f|0);j=y;y=0;if(!(j&1)){A9(c);break a}m=pb()|0;A9(c);sb(m|0)}}while(0);j=IM(72)|0;c=g;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;Na(111,l|0,b|0,1);b=y;y=0;if(b&1)c=pb()|0;else{c=f;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,j|0);g=y;y=0;do if(g&1){c=1;m=12}else{c=j+12|0;d=f;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=j+52|0;k[c>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;k[j>>2]=7796;d=j+64|0;y=0;oa(460,d|0,k[l+4>>2]|0);g=y;y=0;if(g&1){c=pb()|0;d=1;break}k[d>>2]=7284;k[c>>2]=14;y=0;oa(460,a|0,j|0);m=y;y=0;if(m&1){c=0;m=12}else{k[a>>2]=17324;DO(l);r=h;return}}while(0);if((m|0)==12){m=pb()|0;d=c;c=m}DO(l);if(!d){m=c;sb(m|0)}}cra(j);m=c;sb(m|0)}function no(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=0;h=r;r=r+112|0;f=h;c=h+88|0;g=h+48|0;l=h+40|0;a:do switch(k[(k[b+60>>2]|0)+-4>>2]|0){case 6:case 4:case 1:case 2:case 0:break;default:{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48934,66);j=b+108|0;y=0;k[f>>2]=k[j>>2];k[f+4>>2]=k[j+4>>2];k[f+8>>2]=k[j+8>>2];Na(108,b|0,c|0,f|0);j=y;y=0;if(!(j&1)){A9(c);break a}m=pb()|0;A9(c);sb(m|0)}}while(0);j=IM(72)|0;c=g;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;Na(111,l|0,b|0,1);b=y;y=0;if(b&1)c=pb()|0;else{c=f;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,j|0);g=y;y=0;do if(g&1){c=1;m=12}else{c=j+12|0;d=f;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=j+52|0;k[c>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;k[j>>2]=7892;d=j+64|0;y=0;oa(460,d|0,k[l+4>>2]|0);g=y;y=0;if(g&1){c=pb()|0;d=1;break}k[d>>2]=7284;k[c>>2]=17;y=0;oa(460,a|0,j|0);m=y;y=0;if(m&1){c=0;m=12}else{k[a>>2]=17356;DO(l);r=h;return}}while(0);if((m|0)==12){m=pb()|0;d=c;c=m}DO(l);if(!d){m=c;sb(m|0)}}cra(j);m=c;sb(m|0)}function oo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=0;h=r;r=r+112|0;f=h;c=h+88|0;g=h+48|0;l=h+40|0;a:do switch(k[(k[b+60>>2]|0)+-4>>2]|0){case 6:case 4:case 1:case 2:case 0:break;default:{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48934,66);j=b+108|0;y=0;k[f>>2]=k[j>>2];k[f+4>>2]=k[j+4>>2];k[f+8>>2]=k[j+8>>2];Na(108,b|0,c|0,f|0);j=y;y=0;if(!(j&1)){A9(c);break a}m=pb()|0;A9(c);sb(m|0)}}while(0);j=IM(72)|0;c=g;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;Na(111,l|0,b|0,1);b=y;y=0;if(b&1)c=pb()|0;else{c=f;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,j|0);g=y;y=0;do if(g&1){c=1;m=12}else{c=j+12|0;d=f;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=j+52|0;k[c>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;k[j>>2]=7988;d=j+64|0;y=0;oa(460,d|0,k[l+4>>2]|0);g=y;y=0;if(g&1){c=pb()|0;d=1;break}k[d>>2]=7284;k[c>>2]=18;y=0;oa(460,a|0,j|0);m=y;y=0;if(m&1){c=0;m=12}else{k[a>>2]=17340;DO(l);r=h;return}}while(0);if((m|0)==12){m=pb()|0;d=c;c=m}DO(l);if(!d){m=c;sb(m|0)}}cra(j);m=c;sb(m|0)}function po(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=r;r=r+16|0;p=q;f=a+20|0;c=k[f>>2]|0;g=a+24|0;d=k[g>>2]|0;e=(d|0)==0;if(!e)Dba(d);o=k[c+4>>2]|0;a=k[c+16>>2]|0;i=o+(((a>>>0)/146|0)<<2)|0;if((k[c+8>>2]|0)==(o|0))h=0;else h=(k[i>>2]|0)+(((a>>>0)%146|0)*28|0)|0;if(!e)DY(d);d=k[f>>2]|0;e=k[g>>2]|0;f=(e|0)==0;if(!f)Dba(e);a=(k[d+16>>2]|0)+(k[d+20>>2]|0)|0;c=k[d+4>>2]|0;if((k[d+8>>2]|0)==(c|0))o=0;else o=(k[c+(((a>>>0)/146|0)<<2)>>2]|0)+(((a>>>0)%146|0)*28|0)|0;if(!f)DY(e);g=b+8|0;j=b+4|0;l=b+16|0;m=b+20|0;n=p+4|0;a=h;a:while(1){do{if((a|0)==(o|0)){a=16;break a}LT(p,Id(a)|0);k[p>>2]=15136;f=k[g>>2]|0;e=k[j>>2]|0;h=f-e|0;d=k[l>>2]|0;c=k[m>>2]|0;if((((h|0)==0?0:(h<<7)+-1|0)|0)==(c+d|0)){y=0;na(452,b|0);h=y;y=0;if(h&1){a=25;break a}c=k[m>>2]|0;d=k[l>>2]|0;f=k[g>>2]|0;e=k[j>>2]|0}c=c+d|0;if((f|0)==(e|0))c=0;else c=(k[e+(c>>>9<<2)>>2]|0)+((c&511)<<3)|0;y=0;oa(460,c|0,k[n>>2]|0);h=y;y=0;if(h&1){a=25;break a}k[c>>2]=15136;k[m>>2]=(k[m>>2]|0)+1;DO(p);a=a+28|0}while((a-(k[i>>2]|0)|0)!=4088);a=i+4|0;i=a;a=k[a>>2]|0}if((a|0)==16){r=q;return}else if((a|0)==25){q=pb()|0;DO(p);sb(q|0)}}function qo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=0;o=r;r=r+64|0;l=o+48|0;d=o;m=o+40|0;n=a+76|0;e=k[n>>2]|0;f=i[e>>0]|0;if(!(f<<24>>24)){n=0;r=o;return n|0}if(b){f=mW(e)|0;e=f|0?f:e;f=i[e>>0]|0;if(!(f<<24>>24))b=0;else g=4}else g=4;a:do if((g|0)==4){b=e;g=0;h=0;j=0;b:while(1){c:do switch(f<<24>>24){case 92:{f=b+1|0;break}case 34:{g=g^1;f=b;break}case 39:{h=h^1;f=b;break}default:if(g){g=1;f=b}else if(h){g=0;h=1;f=b}else switch(f<<24>>24){case 40:{g=0;h=0;f=b;j=j+1|0;break c}case 41:if(!j)break b;else{g=0;h=0;f=b;j=j+-1|0;break c}default:{g=0;h=0;f=b;break c}}}while(0);b=f+1|0;f=i[b>>0]|0;if(!(f<<24>>24)){b=0;break a}}f=b+1|0;if(f>>>0>(k[a+80>>2]|0)>>>0){n=0;r=o;return n|0}else b=f}while(0);if(!c)if((b|0)==0|(b|0)==(e|0)){n=0;r=o;return n|0}c=k[n>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=b;f=a+84|0;j=a+96|0;aH(l,j,c,e);k[f>>2]=k[l>>2];k[f+4>>2]=k[l+4>>2];k[f+8>>2]=k[l+8>>2];aH(l,j,e,b);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(m,j,f);k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];iH(d,c,e,a+156|0,f,l);f=a+108|0;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));k[n>>2]=b;n=b;r=o;return n|0}function ro(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;h=c-b>>3;i=a+8|0;d=k[i>>2]|0;g=k[a>>2]|0;e=g;if(h>>>0>d-g>>3>>>0){if(g){f=a+4|0;d=k[f>>2]|0;if((d|0)==(e|0))d=g;else{do{g=d+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);d=k[f>>2]|0}while((d|0)!=(e|0));d=k[a>>2]|0}cra(d);k[i>>2]=0;k[f>>2]=0;k[a>>2]=0;d=0}if(h>>>0>536870911){pN(a);d=k[i>>2]|0;e=k[a>>2]|0}else e=0;g=d-e|0;e=g>>2;e=g>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;if(e>>>0>536870911){pN(a);c=gb(4)|0;Qoa(c);Wb(c|0,5760,404)}d=IM(e<<3)|0;f=a+4|0;k[f>>2]=d;k[a>>2]=d;k[i>>2]=d+(e<<3);if((b|0)==(c|0))return;do{LT(d,k[b+4>>2]|0);k[d>>2]=15136;b=b+8|0;d=(k[f>>2]|0)+8|0;k[f>>2]=d}while((b|0)!=(c|0));return}else{a=a+4|0;d=(k[a>>2]|0)-g>>3;h=h>>>0>d>>>0;d=b+(d<<3)|0;g=h?d:c;if((g|0)!=(b|0))do{f=e+4|0;if(k[f>>2]|0)QO(e);k[f>>2]=k[b+4>>2];_V(e);b=b+8|0;e=e+8|0}while((b|0)!=(g|0));if(!h){d=k[a>>2]|0;if((d|0)==(e|0))return;do{c=d+-8|0;k[a>>2]=c;lc[k[k[c>>2]>>2]&511](c);d=k[a>>2]|0}while((d|0)!=(e|0));return}if((g|0)==(c|0))return;b=k[a>>2]|0;do{LT(b,k[d+4>>2]|0);k[b>>2]=15136;d=d+8|0;b=(k[a>>2]|0)+8|0;k[a>>2]=b}while((d|0)!=(c|0));return}}function so(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+64|0;e=m+32|0;f=m+24|0;g=m+16|0;j=m+8|0;h=m;l=m+40|0;d=b+68|0;c=i[d+11>>0]|0;if(c<<24>>24<0)c=k[b+72>>2]|0;else c=c&255;if(c|0){c=a+4|0;QG(c,d,b);zz(c)}c=b+64|0;LT(e,k[c>>2]|0);k[e>>2]=7284;d=(k[e+4>>2]|0)==0;DO(e);if(d){r=m;return}LT(f,k[c>>2]|0);k[f>>2]=7284;e=(k[(k[f+4>>2]|0)+56>>2]|0)==8;DO(f);if(e){r=m;return}LT(g,k[c>>2]|0);k[g>>2]=7284;f=(k[(k[g+4>>2]|0)+56>>2]|0)==4;DO(g);do if(f){LT(j,k[c>>2]|0);k[j>>2]=7284;y=0;c=qa(332,k[j+4>>2]|0)|0;h=y;y=0;if(h&1){m=pb()|0;DO(j);sb(m|0)}else{DO(j);if(!c)break;mc[k[(k[c>>2]|0)+44>>2]&1023](c,a);break}}else{LT(h,k[c>>2]|0);k[h>>2]=7284;j=k[h+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){DO(h);break}m=pb()|0;DO(h);sb(m|0)}while(0);if(!(i[b+80>>0]|0)){r=m;return}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;aI(l,48600,3);y=0;oa(679,a+4|0,l|0);j=y;y=0;if(j&1){m=pb()|0;A9(l);sb(m|0)}else{A9(l);r=m;return}}function to(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;h=c-b>>3;i=a+8|0;d=k[i>>2]|0;g=k[a>>2]|0;e=g;if(h>>>0>d-g>>3>>>0){if(g){f=a+4|0;d=k[f>>2]|0;if((d|0)==(e|0))d=g;else{do{g=d+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);d=k[f>>2]|0}while((d|0)!=(e|0));d=k[a>>2]|0}cra(d);k[i>>2]=0;k[f>>2]=0;k[a>>2]=0;d=0}if(h>>>0>536870911){pN(a);d=k[i>>2]|0;e=k[a>>2]|0}else e=0;g=d-e|0;e=g>>2;e=g>>3>>>0<268435455?(e>>>0<h>>>0?h:e):536870911;if(e>>>0>536870911){pN(a);c=gb(4)|0;Qoa(c);Wb(c|0,5760,404)}d=IM(e<<3)|0;f=a+4|0;k[f>>2]=d;k[a>>2]=d;k[i>>2]=d+(e<<3);if((b|0)==(c|0))return;do{LT(d,k[b+4>>2]|0);k[d>>2]=7284;b=b+8|0;d=(k[f>>2]|0)+8|0;k[f>>2]=d}while((b|0)!=(c|0));return}else{a=a+4|0;d=(k[a>>2]|0)-g>>3;h=h>>>0>d>>>0;d=b+(d<<3)|0;g=h?d:c;if((g|0)!=(b|0))do{f=e+4|0;if(k[f>>2]|0)QO(e);k[f>>2]=k[b+4>>2];_V(e);b=b+8|0;e=e+8|0}while((b|0)!=(g|0));if(!h){d=k[a>>2]|0;if((d|0)==(e|0))return;do{c=d+-8|0;k[a>>2]=c;lc[k[k[c>>2]>>2]&511](c);d=k[a>>2]|0}while((d|0)!=(e|0));return}if((g|0)==(c|0))return;b=k[a>>2]|0;do{LT(b,k[d+4>>2]|0);k[b>>2]=7284;d=d+8|0;b=(k[a>>2]|0)+8|0;k[a>>2]=b}while((d|0)!=(c|0));return}}function uo(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0;l=0;m=r;r=r+16|0;j=m;f=b+4|0;d=k[f>>2]|0;do if(!d){k[j>>2]=f;g=f;c=f}else{h=c+4|0;while(1){c=k[h>>2]|0;f=d+20|0;if(!c)l=8;else{g=k[f>>2]|0;if(!g){l=14;break}if(Cs(c,g)|0){f=k[d>>2]|0;if(!f){l=7;break}else d=f}else l=8}if((l|0)==8){l=0;f=k[f>>2]|0;if(!f){l=14;break}c=k[h>>2]|0;if(!c){l=14;break}if(!(Cs(f,c)|0)){l=14;break}c=d+4|0;f=k[c>>2]|0;if(!f){l=13;break}else d=f}}if((l|0)==7){k[j>>2]=d;g=d;c=d;break}else if((l|0)==13){k[j>>2]=d;g=d;break}else if((l|0)==14){k[j>>2]=d;g=d;c=j;break}}while(0);d=k[c>>2]|0;if(d|0){b=d;e=0;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=m;return}f=IM(36)|0;d=f+16|0;y=0;oa(460,d|0,k[(k[e>>2]|0)+4>>2]|0);e=y;y=0;if(e&1){b=pb()|0;cra(f);sb(b|0)}k[d>>2]=13284;k[f+24>>2]=0;k[f+28>>2]=0;k[f+32>>2]=0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=g;k[c>>2]=f;d=k[k[b>>2]>>2]|0;if(!d)d=f;else{k[b>>2]=d;d=k[c>>2]|0}Qn(k[b+4>>2]|0,d);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=f;e=1;k[a>>2]=b;b=a+4|0;i[b>>0]=e;r=m;return}function vo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;g=i[a+11>>0]|0;l=g<<24>>24<0;g=g&255;m=l?k[a+4>>2]|0:g;j=i[b+11>>0]|0;e=j<<24>>24<0;a:do if((m|0)==((e?k[b+4>>2]|0:j&255)|0)){h=k[a>>2]|0;j=l?h:a;e=e?k[b>>2]|0:b;f=(m|0)==0;if(l){if(f){d=1.0;return +d}if(!(bN(j,e,m)|0))d=1.0;else break;return +d}if(f){d=1.0;return +d}if((h&255)<<24>>24==(i[e>>0]|0)){f=a;while(1){g=g+-1|0;f=f+1|0;if(!g){d=1.0;break}e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0))break a}return +d}}while(0);l=oh(a)|0;j=oh(b)|0;switch((l&65280)<<16>>16){case 0:{e=0;break}case 256:{e=256;break}case 512:{e=512;break}case 768:{e=768;break}case 1024:{e=1024;break}default:e=1280}switch((j&65280)<<16>>16){case 0:{f=0;break}case 256:{f=256;break}case 512:{f=512;break}case 768:{f=768;break}case 1024:{f=1024;break}default:f=1280}g=l-e|0;h=j-f|0;if(!((e|0)==(f|0)|c^1)){e=gb(20)|0;y=0;Na(105,e|0,l|0,j|0);c=y;y=0;if(c&1){c=pb()|0;fb(e|0);sb(c|0)}else Wb(e|0,152,177)}if(!((l|0)!=1280&(j|0)!=1280)){d=0.0;return +d}switch(e&2047){case 0:{d=+p[2488+(g*48|0)+(h<<3)>>3];return +d}case 256:{d=+p[76424+(g<<5)+(h<<3)>>3];return +d}case 512:{d=+p[2776+(g<<4)+(h<<3)>>3];return +d}case 768:{d=+p[2808+(g<<4)+(h<<3)>>3];return +d}case 1024:{d=+p[2840+(g*24|0)+(h<<3)>>3];return +d}default:{d=0.0;return +d}}return 0.0}function wo(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0.0;t=r;r=r+112|0;o=t+64|0;c=t+12|0;q=t+24|0;s=t;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,38272,6);y=0;b=o;g=e;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));b=sa(24,c|0,a|0,d|0,o|0,f|0)|0;n=y;y=0;if(n&1){e=pb()|0;A9(c);sb(e|0)}A9(c);l=+p[b+64>>3]/255.0;m=+p[b+72>>3]/255.0;i=+p[b+80>>3]/255.0;b=m<i;h=b?i:m;h=l<h?h:l;u=i<m?i:m;u=u<l?u:l;j=h-u;do if(h==u)h=0.0;else{if(l==h){h=(b?6.0:0.0)+(m-i)/j;break}if(m==h){h=(i-l)/j+2.0;break}if(i==h)h=(l-m)/j+4.0;else h=0.0}while(0);c=IM(104)|0;b=q;g=e;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,42842,3);e=y;y=0;do if(e&1)b=pb()|0;else{h=h/6.0*360.0;y=0;b=o;g=q;n=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(n|0));Ca(1,c|0,o|0,+h,s|0,1);e=y;y=0;if(e&1){b=pb()|0;A9(s);break}else{A9(s);r=t;return c|0}}while(0);cra(c);e=b;sb(e|0);return 0}function xo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=0;j=r;r=r+96|0;f=j;g=j+56|0;l=j+48|0;n=j+40|0;if((k[k[(k[a+4>>2]|0)+16>>2]>>2]|0)==3)if(!(i[b+72>>0]|0)){o=0;r=j;return o|0}h=a+21|0;i[h>>0]=1;m=IM(76)|0;c=g;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(460,n|0,k[b+68>>2]|0);e=y;y=0;if(e&1){o=pb()|0;cra(m);sb(o|0)}k[n>>2]=7492;e=k[n+4>>2]|0;y=0;a=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,a+8|0)|0;e=y;y=0;if(e&1)o=12;else{y=0;a=qa(316,a|0)|0;e=y;y=0;if(e&1)o=12;else{y=0;oa(460,l|0,a|0);e=y;y=0;if(e&1)o=12;else{k[l>>2]=7492;b=i[b+72>>0]|0;c=f;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,m|0);g=y;y=0;do if(g&1)a=pb()|0;else{c=m+12|0;d=f;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));a=m+52|0;k[a>>2]=0;k[m+56>>2]=0;i[m+60>>0]=0;k[m>>2]=8084;c=m+64|0;y=0;oa(460,c|0,k[l+4>>2]|0);g=y;y=0;if(g&1){a=pb()|0;break}k[c>>2]=7492;i[m+72>>0]=b;k[a>>2]=13;DO(l);DO(n);i[h>>0]=0;o=m;r=j;return o|0}while(0);DO(l)}}}if((o|0)==12)a=pb()|0;DO(n);o=a;cra(m);sb(o|0);return 0}function yo(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0;m=r;r=r+64|0;j=m;l=m+40|0;cL(l,c);h=j;c=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(c|0));y=0;na(422,a|0);h=y;y=0;do if(h&1)c=pb()|0;else{h=a+12|0;b=j;c=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(c|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;k[a+56>>2]=4;k[a>>2]=11100;b=a+60|0;i[b>>0]=0;i[a+61>>0]=0;h=a+64|0;y=0;oa(549,h|0,l|0);c=y;y=0;if(c&1){c=pb()|0;break}k[a+76>>2]=0;A9(l);k[a>>2]=11232;do if(!f){y=0;ma(5,j|0,h|0,b|0,e|0,g|0);l=y;y=0;if(l&1){m=pb()|0;k[a>>2]=11100;A9(h);sb(m|0)}c=h+11|0;if((i[c>>0]|0)<0){i[k[h>>2]>>0]=0;k[a+68>>2]=0}else{i[h>>0]=0;i[c>>0]=0}y=0;oa(500,h|0,0);l=y;y=0;if(l&1){l=tb(0)|0;Sla(l)}else{k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];k[h+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;A9(j);break}}while(0);if(!(d<<24>>24)){r=m;return}if(!(i[b>>0]|0)){r=m;return}i[b>>0]=d;r=m;return}while(0);A9(l);m=c;sb(m|0)}function zo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0;h=(c-b|0)/12|0;i=a+8|0;d=k[i>>2]|0;g=k[a>>2]|0;e=g;if(h>>>0<=((d-g|0)/12|0)>>>0){a=a+4|0;d=((k[a>>2]|0)-g|0)/12|0;g=h>>>0>d>>>0;d=b+(d*12|0)|0;f=g?d:c;if((f|0)!=(b|0))do{EN(e,b)|0;b=b+12|0;e=e+12|0}while((b|0)!=(f|0));if(!g){d=k[a>>2]|0;if((d|0)==(e|0))return;do{c=d+-12|0;k[a>>2]=c;A9(c);d=k[a>>2]|0}while((d|0)!=(e|0));return}if((f|0)==(c|0))return;b=k[a>>2]|0;do{cL(b,d);d=d+12|0;b=(k[a>>2]|0)+12|0;k[a>>2]=b}while((d|0)!=(c|0));return}if(g){f=a+4|0;d=k[f>>2]|0;if((d|0)==(e|0))d=g;else{do{g=d+-12|0;k[f>>2]=g;A9(g);d=k[f>>2]|0}while((d|0)!=(e|0));d=k[a>>2]|0}cra(d);k[i>>2]=0;k[f>>2]=0;k[a>>2]=0;d=0}if(h>>>0>357913941){pN(a);d=k[i>>2]|0;e=k[a>>2]|0}else e=0;g=(d-e|0)/12|0;e=g<<1;e=g>>>0<178956970?(e>>>0<h>>>0?h:e):357913941;if(e>>>0>357913941){pN(a);c=gb(4)|0;Qoa(c);Wb(c|0,5760,404)}d=IM(e*12|0)|0;f=a+4|0;k[f>>2]=d;k[a>>2]=d;k[i>>2]=d+(e*12|0);if((b|0)==(c|0))return;do{cL(d,b);b=b+12|0;d=(k[f>>2]|0)+12|0;k[f>>2]=d}while((b|0)!=(c|0));return}function Ao(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=b+4|0;b=k[g>>2]|0;if(!b)b=0;else b=oc[k[(k[b>>2]|0)+8>>2]&511](b)|0;d=k[a+4>>2]|0;if(!d){g=0;return g|0}e=d+-1|0;c=(e&d|0)==0;if(c)f=e&b;else f=(b>>>0)%(d>>>0)|0;b=k[(k[a>>2]|0)+(f<<2)>>2]|0;if(!b){g=0;return g|0}b=k[b>>2]|0;if(!b){g=0;return g|0}if(c){a:while(1){if((k[b+4>>2]&e|0)!=(f|0)){b=0;a=30;break}c=k[b+12>>2]|0;do if(c|0){if(!(nx(c,1904,136,-2)|0))a=k[g>>2]|0;else{a=k[g>>2]|0;if(a)if(nx(a,1904,136,-2)|0){c=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;d=k[g>>2]|0;if((c|0)==(oc[k[(k[d>>2]|0)+8>>2]&511](d)|0)){a=30;break a}else break}}if(a|0)if(Fc[k[(k[c>>2]|0)+160>>2]&2047](c,a)|0){a=30;break a}}while(0);b=k[b>>2]|0;if(!b){b=0;a=30;break}}if((a|0)==30)return b|0}else{b:while(1){if((((k[b+4>>2]|0)>>>0)%(d>>>0)|0|0)!=(f|0)){b=0;a=30;break}c=k[b+12>>2]|0;do if(c|0){if(!(nx(c,1904,136,-2)|0))a=k[g>>2]|0;else{a=k[g>>2]|0;if(a)if(nx(a,1904,136,-2)|0){c=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;e=k[g>>2]|0;if((c|0)==(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)){a=30;break b}else break}}if(a|0)if(Fc[k[(k[c>>2]|0)+160>>2]&2047](c,a)|0){a=30;break b}}while(0);b=k[b>>2]|0;if(!b){b=0;a=30;break}}if((a|0)==30)return b|0}return 0}function Bo(a,b,c,d,e,f,g,h,j,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;m=m|0;n=n|0;o=o|0;var p=0;a:do if((a|0)==(f|0))if(!(i[b>>0]|0))f=-1;else{i[b>>0]=0;c=k[e>>2]|0;k[e>>2]=c+1;i[c>>0]=46;e=i[h+11>>0]|0;if(!((e<<24>>24<0?k[h+4>>2]|0:e&255)|0))f=0;else{f=k[m>>2]|0;if((f-j|0)<160){j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j;f=0}else f=0}}else{if((a|0)==(g|0)){p=i[h+11>>0]|0;if((p<<24>>24<0?k[h+4>>2]|0:p&255)|0){if(!(i[b>>0]|0)){f=-1;break}f=k[m>>2]|0;if((f-j|0)>=160){f=0;break}j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j;k[n>>2]=0;f=0;break}}p=o+128|0;g=0;while(1){f=o+(g<<2)|0;if((g|0)==32){f=p;break}if((k[f>>2]|0)==(a|0))break;else g=g+1|0}g=f-o|0;f=g>>2;if((g|0)>124)f=-1;else{p=i[56220+f>>0]|0;switch(f|0){case 24:case 25:{f=k[e>>2]|0;if((f|0)!=(d|0))if((l[f+-1>>0]&95|0)!=(l[c>>0]&127|0)){f=-1;break a}k[e>>2]=f+1;i[f>>0]=p;f=0;break a}case 23:case 22:{i[c>>0]=80;break}default:{f=p&95;if((f|0)==(i[c>>0]|0)){i[c>>0]=f|128;if(i[b>>0]|0){i[b>>0]=0;c=i[h+11>>0]|0;if((c<<24>>24<0?k[h+4>>2]|0:c&255)|0){f=k[m>>2]|0;if((f-j|0)<160){j=k[n>>2]|0;k[m>>2]=f+4;k[f>>2]=j}}}}}}m=k[e>>2]|0;k[e>>2]=m+1;i[m>>0]=p;if((g|0)>84)f=0;else{k[n>>2]=(k[n>>2]|0)+1;f=0}}}while(0);return f|0}function Co(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0;a=k[b>>2]|0;do if(!a)g=1;else{f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((a|0)==-1){k[b>>2]=0;g=1;break}else{g=(k[b>>2]|0)==0;break}}while(0);f=k[c>>2]|0;do if(!f)i=14;else{a=k[f+12>>2]|0;if((a|0)==(k[f+16>>2]|0))a=oc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;i=14;break}else if(g){h=f;i=17;break}else{i=16;break}}while(0);if((i|0)==14)if(g)i=16;else{h=0;i=17}a:do if((i|0)==16)k[d>>2]=k[d>>2]|6;else if((i|0)==17){a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((rc[k[(k[e>>2]|0)+52>>2]&255](e,a,0)|0)<<24>>24!=37){k[d>>2]=k[d>>2]|4;break}a=k[b>>2]|0;f=a+12|0;g=k[f>>2]|0;if((g|0)==(k[a+16>>2]|0)){oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;a=k[b>>2]|0;if(!a)f=1;else i=25}else{k[f>>2]=g+4;i=25}do if((i|0)==25){f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((a|0)==-1){k[b>>2]=0;f=1;break}else{f=(k[b>>2]|0)==0;break}}while(0);do if(!h)i=37;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0))a=oc[k[(k[h>>2]|0)+36>>2]&511](h)|0;else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;i=37;break}else if(f)break a;else break}while(0);if((i|0)==37)if(!f)break;k[d>>2]=k[d>>2]|2}while(0);return}function Do(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=b+4|0;b=k[g>>2]|0;if(!b)b=0;else b=oc[k[(k[b>>2]|0)+8>>2]&511](b)|0;d=k[a+4>>2]|0;if(!d){g=0;return g|0}e=d+-1|0;c=(e&d|0)==0;if(c)f=e&b;else f=(b>>>0)%(d>>>0)|0;b=k[(k[a>>2]|0)+(f<<2)>>2]|0;if(!b){g=0;return g|0}b=k[b>>2]|0;if(!b){g=0;return g|0}if(c){a:while(1){if((k[b+4>>2]&e|0)!=(f|0)){b=0;a=30;break}c=k[b+12>>2]|0;do if(c|0){if(!(nx(c,1920,136,-2)|0))a=k[g>>2]|0;else{a=k[g>>2]|0;if(a)if(nx(a,1920,136,-2)|0){c=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;d=k[g>>2]|0;if((c|0)==(oc[k[(k[d>>2]|0)+8>>2]&511](d)|0)){a=30;break a}else break}}if(a|0)if(Fc[k[(k[c>>2]|0)+164>>2]&2047](c,a)|0){a=30;break a}}while(0);b=k[b>>2]|0;if(!b){b=0;a=30;break}}if((a|0)==30)return b|0}else{b:while(1){if((((k[b+4>>2]|0)>>>0)%(d>>>0)|0|0)!=(f|0)){b=0;a=30;break}c=k[b+12>>2]|0;do if(c|0){if(!(nx(c,1920,136,-2)|0))a=k[g>>2]|0;else{a=k[g>>2]|0;if(a)if(nx(a,1920,136,-2)|0){c=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;e=k[g>>2]|0;if((c|0)==(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)){a=30;break b}else break}}if(a|0)if(Fc[k[(k[c>>2]|0)+164>>2]&2047](c,a)|0){a=30;break b}}while(0);b=k[b>>2]|0;if(!b){b=0;a=30;break}}if((a|0)==30)return b|0}return 0}function Eo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+16|0;n=o+8|0;m=o;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=31480){n=0;r=o;return n|0}c=a+68|0;d=b+68|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[a+72>>2]|0:e;l=i[d+11>>0]|0;f=l<<24>>24<0;if((h|0)!=((f?k[d+4>>2]|0:l&255)|0)){n=0;r=o;return n|0}j=k[c>>2]|0;l=g?j:c;d=f?k[d>>2]|0:d;f=(h|0)==0;a:do if(g){if(!f)if(bN(l,d,h)|0){n=0;r=o;return n|0}}else if(!f){if((j&255)<<24>>24!=(i[d>>0]|0)){n=0;r=o;return n|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}r=o;return c|0}while(0);y=0;oa(460,n|0,k[a+64>>2]|0);a=y;y=0;if(a&1){c=cb(5856,0)|0;d=N}else{k[n>>2]=7284;c=k[n+4>>2]|0;d=k[(k[c>>2]|0)+92>>2]|0;y=0;oa(460,m|0,k[b+64>>2]|0);b=y;y=0;do if(b&1){c=cb(5856,0)|0;d=N}else{k[m>>2]=7284;y=0;c=Ha(d|0,c|0,k[m+4>>2]|0)|0;b=y;y=0;if(b&1){c=cb(5856,0)|0;d=N;DO(m);break}DO(m);DO(n);n=c;r=o;return n|0}while(0);DO(n)}n=(d|0)==(ob(5856)|0);vb(c|0)|0;if(n){rb();n=0;r=o;return n|0}y=0;la(4);y=0;c=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;Sla(o)}else sb(c|0);return 0}function Fo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0;j=0;h=k[a>>2]|0;d=h;f=i[d>>0]|0;g=f&255;do if(f<<24>>24>-1)if((d|0)==(b|0))d=1;else{b=1;e=g;j=21}else{if((g&224|0)==192){if((d|0)==(b|0)){d=1;break}d=d+1|0;k[a>>2]=d;if((d|0)==(b|0)){d=1;break}e=i[d>>0]|0;if((e&-64)<<24>>24==-128){b=2;e=e&63|g<<6&1984;j=21;break}else{d=3;break}}if((g&240|0)==224){if((d|0)==(b|0)){d=1;break}e=d+1|0;k[a>>2]=e;if((e|0)==(b|0)){d=1;break}f=i[e>>0]|0;if((f&-64)<<24>>24!=-128){d=3;break}d=d+2|0;k[a>>2]=d;if((d|0)==(b|0)){d=1;break}e=i[d>>0]|0;if((e&-64)<<24>>24==-128){b=3;e=(f&255)<<6&4032|g<<12&61440|e&63;j=21;break}else{d=3;break}}if((g&248|0)!=240){j=2;return j|0}if((d|0)==(b|0))d=1;else{e=d+1|0;k[a>>2]=e;if((e|0)==(b|0))d=1;else{e=i[e>>0]|0;if((e&-64)<<24>>24==-128){g=(e&255)<<12&258048|g<<18&1835008;e=d+2|0;k[a>>2]=e;if((e|0)==(b|0))d=1;else{f=i[e>>0]|0;if((f&-64)<<24>>24==-128){d=d+3|0;k[a>>2]=d;if((d|0)==(b|0))d=1;else{e=i[d>>0]|0;if((e&-64)<<24>>24==-128){b=4;e=g|(f&255)<<6&4032|e&63;j=21}else d=3}}else d=3}}else d=3}}}while(0);a:do if((j|0)==21)if(e>>>0<1114112&(e&-2048|0)!=55296){do if(e>>>0<128){if((b|0)!=1){d=4;break a}}else if(e>>>0<2048)if((b|0)==2)break;else{d=4;break a}else if((b|0)!=3&e>>>0<65536){d=4;break a}else break;while(0);k[c>>2]=e;k[a>>2]=d+1;j=0;return j|0}else d=5;while(0);k[a>>2]=h;j=d;return j|0}function Go(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=b+4|0;b=k[g>>2]|0;if(!b)b=0;else b=oc[k[(k[b>>2]|0)+8>>2]&511](b)|0;d=k[a+4>>2]|0;if(!d){g=0;return g|0}e=d+-1|0;c=(e&d|0)==0;if(c)f=e&b;else f=(b>>>0)%(d>>>0)|0;b=k[(k[a>>2]|0)+(f<<2)>>2]|0;if(!b){g=0;return g|0}b=k[b>>2]|0;if(!b){g=0;return g|0}if(c){a:while(1){if((k[b+4>>2]&e|0)!=(f|0)){b=0;a=30;break}c=k[b+12>>2]|0;do if(c|0){if(!(nx(c,56,136,0)|0))a=k[g>>2]|0;else{a=k[g>>2]|0;if(a)if(nx(a,56,136,0)|0){c=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;d=k[g>>2]|0;if((c|0)==(oc[k[(k[d>>2]|0)+8>>2]&511](d)|0)){a=30;break a}else break}}if(a|0)if(Fc[k[(k[c>>2]|0)+92>>2]&2047](c,a)|0){a=30;break a}}while(0);b=k[b>>2]|0;if(!b){b=0;a=30;break}}if((a|0)==30)return b|0}else{b:while(1){if((((k[b+4>>2]|0)>>>0)%(d>>>0)|0|0)!=(f|0)){b=0;a=30;break}c=k[b+12>>2]|0;do if(c|0){if(!(nx(c,56,136,0)|0))a=k[g>>2]|0;else{a=k[g>>2]|0;if(a)if(nx(a,56,136,0)|0){c=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;e=k[g>>2]|0;if((c|0)==(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)){a=30;break b}else break}}if(a|0)if(Fc[k[(k[c>>2]|0)+92>>2]&2047](c,a)|0){a=30;break b}}while(0);b=k[b>>2]|0;if(!b){b=0;a=30;break}}if((a|0)==30)return b|0}return 0}function Ho(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;d=0;f=r;r=r+32|0;g=f+12|0;c=f;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,87975,0);a:do if(i[b+100>>0]|0){h=b+72|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;e=i[h+11>>0]|0;j=e<<24>>24<0;e=j?k[b+76>>2]|0:e&255;y=0;Ra(10,c|0,(j?k[h>>2]|0:h)|0,e|0,e+1|0);e=y;y=0;do if(e&1)d=6;else{y=0;ta(41,c|0,33490,1)|0;j=y;y=0;if(j&1)d=6;else{j=i[c+11>>0]|0;h=j<<24>>24<0;y=0;ta(41,g|0,(h?k[c>>2]|0:c)|0,(h?k[c+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){j=pb()|0;A9(c);c=j;break}else{A9(c);break a}}}while(0);if((d|0)==6){j=pb()|0;A9(c);c=j}j=c;A9(g);sb(j|0)}while(0);d=b+84|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;j=i[g+11>>0]|0;h=j<<24>>24<0;j=h?k[g+4>>2]|0:j&255;e=d+11|0;c=i[e>>0]|0;c=c<<24>>24<0?k[b+88>>2]|0:c&255;y=0;Ra(10,a|0,(h?k[g>>2]|0:g)|0,j|0,c+j|0);j=y;y=0;if(!(j&1)){y=0;ta(41,a|0,((i[e>>0]|0)<0?k[d>>2]|0:d)|0,c|0)|0;j=y;y=0;if(!(j&1)){A9(g);r=f;return}}j=pb()|0;A9(a);A9(g);sb(j|0)}function Io(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;e=0;o=r;r=r+16|0;n=o+8|0;l=o;m=b+84|0;do if(i[m>>0]|0){LT(n,b);k[n>>2]=6336;c=a+76|0;d=k[c>>2]|0;if(d>>>0<(k[a+80>>2]|0)>>>0){y=0;oa(460,d|0,k[n+4>>2]|0);j=y;y=0;if(!(j&1)){k[d>>2]=6336;k[c>>2]=(k[c>>2]|0)+8;e=6}}else{y=0;oa(653,a+72|0,n|0);j=y;y=0;if(!(j&1))e=6}if((e|0)==6){DO(n);break}o=pb()|0;DO(n);sb(o|0)}while(0);j=b+64|0;d=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>3;a:do if(d|0){b=n+4|0;e=a+64|0;c=0;while(1){f=(Fc[k[(k[j>>2]|0)+16>>2]&2047](j,c)|0)+4|0;f=k[f>>2]|0;LT(n,Fc[k[(k[f>>2]|0)+52>>2]&2047](f,a)|0);k[n>>2]=6508;f=k[b>>2]|0;if(f|0){g=(k[(k[e>>2]|0)+-4>>2]|0)+64|0;h=k[(k[g>>2]|0)+20>>2]|0;y=0;oa(460,l|0,f|0);f=y;y=0;if(f&1){e=15;break}k[l>>2]=6508;y=0;oa(h|0,g|0,l|0);h=y;y=0;if(h&1){e=16;break}DO(l)}DO(n);c=c+1|0;if(c>>>0>=d>>>0)break a}if((e|0)==15)c=pb()|0;else if((e|0)==16){c=pb()|0;DO(l)}DO(n);o=c;sb(o|0)}while(0);if(!(i[m>>0]|0)){r=o;return}c=a+76|0;b=k[c>>2]|0;d=b+-8|0;do{n=b+-8|0;k[c>>2]=n;lc[k[k[n>>2]>>2]&511](n);b=k[c>>2]|0}while((b|0)!=(d|0));r=o;return}function Jo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;c=i[a+100>>0]|0;d=i[b+100>>0]|0;do if(c<<24>>24!=d<<24>>24){if(c<<24>>24){c=i[a+72+11>>0]|0;if(c<<24>>24<0)c=k[a+76>>2]|0;else c=c&255;if(!c)break}if(!(d<<24>>24)){b=0;return b|0}c=i[b+72+11>>0]|0;if(c<<24>>24<0)c=k[b+76>>2]|0;else c=c&255;if(c|0){b=0;return b|0}}while(0);c=a+72|0;g=c+11|0;d=i[g>>0]|0;if(d<<24>>24<0)d=k[a+76>>2]|0;else d=d&255;l=b+72|0;f=l+11|0;if(!d){j=i[f>>0]|0;if(((j<<24>>24<0?k[b+76>>2]|0:j&255)|0)==1){y=0;d=sa(21,l|0,0,-1,48696,1)|0;j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}if(!d){b=0;return b|0}}}e=i[f>>0]|0;if(e<<24>>24<0)d=k[b+76>>2]|0;else d=e&255;do if(!d){j=i[g>>0]|0;a=a+76|0;if(((j<<24>>24<0?k[a>>2]|0:j&255)|0)==1){y=0;d=sa(21,c|0,0,-1,48696,1)|0;j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}if(!d){b=0;return b|0}else{d=a;e=i[f>>0]|0;break}}else d=a}else d=a+76|0;while(0);a=i[g>>0]|0;j=a<<24>>24<0;a=a&255;h=j?k[d>>2]|0:a;d=e<<24>>24<0;if((h|0)!=((d?k[b+76>>2]|0:e&255)|0)){b=0;return b|0}f=k[c>>2]|0;g=j?f:c;d=d?k[b+72>>2]|0:l;e=(h|0)==0;if(j){if(e){b=1;return b|0}b=(bN(g,d,h)|0)==0;return b|0}if(e){b=1;return b|0}if((f&255)<<24>>24!=(i[d>>0]|0)){b=0;return b|0}while(1){a=a+-1|0;c=c+1|0;if(!a){c=1;d=38;break}d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;d=38;break}}if((d|0)==38)return c|0;return 0}function Ko(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+48|0;d=n+40|0;f=n+32|0;g=n+24|0;h=n+16|0;j=n+8|0;l=n;m=a+4|0;Rx(m);QG(m,b+72|0,b);c=b+88|0;LT(d,k[c>>2]|0);k[d>>2]=6756;e=(k[d+4>>2]|0)==0;DO(d);do if(!e){Bla(m);d=a+97|0;e=i[d>>0]|0;i[d>>0]=1;LT(f,k[c>>2]|0);k[f>>2]=6756;c=k[f+4>>2]|0;y=0;oa(k[(k[c>>2]|0)+44>>2]|0,c|0,a|0);c=y;y=0;if(!(c&1)){DO(f);i[d>>0]=e;break}n=pb()|0;DO(f);sb(n|0)}while(0);c=b+96|0;LT(g,k[c>>2]|0);k[g>>2]=7284;f=(k[g+4>>2]|0)==0;DO(g);do if(!f){Bla(m);LT(h,k[c>>2]|0);k[h>>2]=7284;g=k[h+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){DO(h);break}n=pb()|0;DO(h);sb(n|0)}while(0);c=b+68|0;LT(j,k[c>>2]|0);k[j>>2]=6868;h=(k[j+4>>2]|0)==0;DO(j);if(h){IL(m);r=n;return}LT(l,k[c>>2]|0);k[l>>2]=6868;m=k[l+4>>2]|0;y=0;oa(k[(k[m>>2]|0)+44>>2]|0,m|0,a|0);m=y;y=0;if(m&1){n=pb()|0;DO(l);sb(n|0)}else{DO(l);r=n;return}}function Lo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=0;h=r;r=r+32|0;i=h+24|0;d=h+16|0;f=h+8|0;g=h;e=b+96|0;LT(i,k[e>>2]|0);k[i>>2]=15628;do if(!(k[i+4>>2]|0)){y=0;b=Ha(k[(k[c>>2]|0)+272>>2]|0,c|0,b|0)|0;c=y;y=0;if(c&1)b=pb()|0;else{c=0;j=7}}else{b=k[(k[c>>2]|0)+232>>2]|0;y=0;oa(460,d|0,k[e>>2]|0);l=y;y=0;if(l&1){b=pb()|0;break}k[d>>2]=15628;y=0;b=Ha(b|0,c|0,k[d+4>>2]|0)|0;l=y;y=0;if(l&1){b=pb()|0;j=19}else{c=1;j=7}}while(0);do if((j|0)==7){y=0;oa(460,a|0,b|0);l=y;y=0;if(l&1){b=pb()|0;if(!c)break;j=19;break}k[a>>2]=6756;if(c)DO(d);DO(i);b=k[a+4>>2]|0;y=0;oa(460,g|0,k[e>>2]|0);l=y;y=0;if(l&1)b=pb()|0;else{k[g>>2]=15628;d=b+92|0;b=b+96|0;if(!(k[b>>2]|0))j=13;else{y=0;na(423,d|0);l=y;y=0;if(!(l&1))j=13}if((j|0)==13){k[b>>2]=k[g+4>>2];y=0;na(424,d|0);l=y;y=0;if(!(l&1)){y=0;oa(460,f|0,k[b>>2]|0);l=y;y=0;if(!(l&1)){k[f>>2]=15628;DO(f);DO(g);r=h;return}}}b=pb()|0;DO(g)}DO(a);l=b;sb(l|0)}while(0);if((j|0)==19)DO(d);DO(i);l=b;sb(l|0)}function Mo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=r;r=r+32|0;i=g+24|0;h=g+16|0;f=g+8|0;e=g;b=a+80|0;LT(i,k[b>>2]|0);k[i>>2]=15152;do if(!(k[i+4>>2]|0)){d=0;c=6}else{y=0;oa(460,h|0,k[b>>2]|0);d=y;y=0;if(d&1){h=pb()|0;DO(i);sb(h|0)}k[h>>2]=15152;b=k[h+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+128>>2]|0,b|0)|0;d=y;y=0;if(d&1){b=pb()|0;c=19;break}else if(b){b=1;c=12;break}else{d=1;c=6;break}}while(0);a:do if((c|0)==6){b=a+88|0;y=0;oa(460,f|0,k[b>>2]|0);c=y;y=0;if(c&1){b=pb()|0;if(d){c=19;break}DO(i);sb(b|0)}k[f>>2]=15136;if(!(k[f+4>>2]|0)){DO(f);if(d){b=0;c=12;break}else b=0;DO(i);r=g;return b|0}y=0;oa(460,e|0,k[b>>2]|0);c=y;y=0;do if(c&1)b=pb()|0;else{k[e>>2]=15136;b=k[e+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+128>>2]|0,b|0)|0;c=y;y=0;if(c&1){b=pb()|0;DO(e);break}DO(e);DO(f);if(d){c=12;break a}DO(i);r=g;return b|0}while(0);DO(f);if(d)c=19;else{h=b;DO(i);sb(h|0)}}while(0);if((c|0)==12){DO(h);h=b;DO(i);r=g;return h|0}else if((c|0)==19){DO(h);h=b;DO(i);sb(h|0)}return 0}function No(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+64|0;g=i;j=i+40|0;h=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,h,IJ(h)|0);h=g;d=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(d|0));y=0;oa(533,a|0,j|0);h=y;y=0;if(h&1)b=pb()|0;else{k[a>>2]=15644;e=a+8|0;y=0;oa(456,e|0,j|0);h=y;y=0;do if(h&1)b=pb()|0;else{f=a+20|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51649,5);h=y;y=0;if(h&1){b=pb()|0;A9(e);break}h=a+32|0;b=g;d=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(d|0));k[a+72>>2]=0;A9(j);k[a>>2]=21304;j=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;y=0;Ha(1009,e|0,j|0)|0;j=y;y=0;if(!(j&1)){y=0;b=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;j=y;y=0;if(!(j&1)){y=0;Ha(1009,f|0,b|0)|0;j=y;y=0;if(!(j&1)){r=i;return}}}j=pb()|0;k[a>>2]=15644;A9(f);A9(e);Pca(a);sb(j|0)}while(0);Pca(a)}A9(j);j=b;sb(j|0)}function Oo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=r;r=r+64|0;j=n+48|0;d=n;l=n+40|0;m=a+76|0;e=k[m>>2]|0;if(!(i[e>>0]|0)){m=0;r=n;return m|0}if(b){h=mW(e)|0;e=h|0?h:e}a:do if(!e)f=0;else{f=i[50288]|0;if(!(f<<24>>24))b=e;else{b=e;g=50288;do{if((i[b>>0]|0)!=f<<24>>24){f=0;break a}b=b+1|0;g=g+1|0;f=i[g>>0]|0}while(f<<24>>24!=0)}f=i[b>>0]|0;if(!(f<<24>>24))f=0;else{h=b;b:while(1){if(h|0){b=i[51073]|0;if(!(b<<24>>24)){b=h;break}if(f<<24>>24==b<<24>>24){b=h;f=51073;do{b=b+1|0;f=f+1|0;g=i[f>>0]|0;if(!(g<<24>>24))break b}while((i[b>>0]|0)==g<<24>>24)}}h=h+1|0;f=i[h>>0]|0;if(!(f<<24>>24)){f=0;break a}}if(b>>>0>(k[a+80>>2]|0)>>>0){m=0;r=n;return m|0}else f=b}}while(0);if(!c)if((f|0)==0|(f|0)==(e|0)){m=0;r=n;return m|0}c=k[m>>2]|0;k[a+156>>2]=c;k[a+160>>2]=e;k[a+164>>2]=f;b=a+84|0;h=a+96|0;aH(j,h,c,e);k[b>>2]=k[j>>2];k[b+4>>2]=k[j+4>>2];k[b+8>>2]=k[j+8>>2];aH(j,h,e,f);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(l,h,b);k[j>>2]=k[l>>2];k[j+4>>2]=k[l+4>>2];iH(d,c,e,a+156|0,b,j);e=a+108|0;b=e+40|0;do{k[e>>2]=k[d>>2];e=e+4|0;d=d+4|0}while((e|0)<(b|0));k[m>>2]=f;m=f;r=n;return m|0}function Po(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;u=r;r=r+16|0;f=u;i[a>>0]=0;d=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;e=k[d+16>>2]|0;if(!e){d=k[d+72>>2]|0;if(d|0)Hu(d)|0;do if(!c){d=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;if(k[d+4>>2]&4096|0){e=FV(d)|0;k[f>>2]=e;y=0;e=Ha(977,f|0,83960)|0;t=y;y=0;if(t&1){u=pb()|0;Hea(f);sb(u|0)}Hea(f);d=k[b+(k[(k[b>>2]|0)+-12>>2]|0)+24>>2]|0;f=e+8|0;g=d;h=(d|0)==0;m=g+12|0;n=g+16|0;o=d;e=d;p=e+12|0;q=e+16|0;s=d;t=d;while(1){if(h){e=0;d=0;break}if((k[m>>2]|0)==(k[n>>2]|0))if((oc[k[(k[o>>2]|0)+36>>2]&511](g)|0)==-1){e=0;d=0;break}c=k[p>>2]|0;if((c|0)==(k[q>>2]|0))c=oc[k[(k[s>>2]|0)+36>>2]&511](e)|0;else c=l[c>>0]|0;if((c&255)<<24>>24<=-1)break;if(!(j[(k[f>>2]|0)+(c<<24>>24<<1)>>1]&8192))break;c=k[p>>2]|0;if((c|0)==(k[q>>2]|0)){oc[k[(k[t>>2]|0)+40>>2]&511](e)|0;continue}else{k[p>>2]=c+1;continue}}if(d|0){if((k[e+12>>2]|0)!=(k[e+16>>2]|0))break;if((oc[k[(k[d>>2]|0)+36>>2]&511](e)|0)!=-1)break}t=b+(k[(k[b>>2]|0)+-12>>2]|0)|0;RE(t,k[t+16>>2]|6)}}while(0);i[a>>0]=(k[b+(k[(k[b>>2]|0)+-12>>2]|0)+16>>2]|0)==0&1}else RE(d,e|4);r=u;return}function Qo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;g=r;r=r+32|0;i=g+24|0;h=g+16|0;f=g+8|0;e=g;b=a+80|0;LT(i,k[b>>2]|0);k[i>>2]=15152;do if(!(k[i+4>>2]|0)){d=0;c=6}else{y=0;oa(460,h|0,k[b>>2]|0);d=y;y=0;if(d&1){h=pb()|0;DO(i);sb(h|0)}k[h>>2]=15152;b=k[h+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+124>>2]|0,b|0)|0;d=y;y=0;if(d&1){b=pb()|0;c=19;break}else if(b){b=1;c=12;break}else{d=1;c=6;break}}while(0);a:do if((c|0)==6){b=a+88|0;y=0;oa(460,f|0,k[b>>2]|0);c=y;y=0;if(c&1){b=pb()|0;if(d){c=19;break}DO(i);sb(b|0)}k[f>>2]=15136;if(!(k[f+4>>2]|0)){DO(f);if(d){b=0;c=12;break}else b=0;DO(i);r=g;return b|0}y=0;oa(460,e|0,k[b>>2]|0);c=y;y=0;do if(c&1)b=pb()|0;else{k[e>>2]=15136;b=k[e+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+124>>2]|0,b|0)|0;c=y;y=0;if(c&1){b=pb()|0;DO(e);break}DO(e);DO(f);if(d){c=12;break a}DO(i);r=g;return b|0}while(0);DO(f);if(d)c=19;else{h=b;DO(i);sb(h|0)}}while(0);if((c|0)==12){DO(h);h=b;DO(i);r=g;return h|0}else if((c|0)==19){DO(h);h=b;DO(i);sb(h|0)}return 0}function Ro(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0;e=r;r=r+240|0;g=e;f=e+128|0;d=e+24|0;k[g>>2]=k[c>>2];k[g+4>>2]=k[c+4>>2];k[g+8>>2]=k[c+8>>2];k[g+12>>2]=49741;k[g+16>>2]=52248;i[g+20>>0]=0;kE(f,g);y=0;oa(450,d|0,f|0);c=y;y=0;if(c&1)e=pb()|0;else{i[d+99>>0]=1;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,d|0);g=y;y=0;if(!(g&1)){y=0;oa(451,a|0,d+4|0);g=y;y=0;if(!(g&1)){xE(d);k[f>>2]=6352;A9(f+52|0);a=k[f+28>>2]|0;b=a;if(a|0){c=f+32|0;d=k[c>>2]|0;if((d|0)!=(a|0))k[c>>2]=d+(~(((d+-24-b|0)>>>0)/24|0)*24|0);cra(a)}a=k[f+16>>2]|0;if(!a){g=f+4|0;A9(g);r=e;return}b=f+20|0;c=k[b>>2]|0;if((c|0)!=(a|0))k[b>>2]=c+(~((c+-4-a|0)>>>2)<<2);cra(a);g=f+4|0;A9(g);r=e;return}}e=pb()|0;xE(d)}k[f>>2]=6352;A9(f+52|0);a=k[f+28>>2]|0;b=a;if(a|0){c=f+32|0;d=k[c>>2]|0;if((d|0)!=(a|0))k[c>>2]=d+(~(((d+-24-b|0)>>>0)/24|0)*24|0);cra(a)}a=k[f+16>>2]|0;if(!a){g=f+4|0;A9(g);sb(e|0)}b=f+20|0;c=k[b>>2]|0;if((c|0)!=(a|0))k[b>>2]=c+(~((c+-4-a|0)>>>2)<<2);cra(a);g=f+4|0;A9(g);sb(e|0)}function So(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;j=r;r=r+64|0;c=j+40|0;d=j+32|0;e=j+24|0;f=j+16|0;g=j+8|0;h=j;i=a+4|0;Rx(i);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,51055,8);y=0;Na(147,i|0,c|0,b|0);l=y;y=0;if(l&1){l=pb()|0;A9(c);sb(l|0)}A9(c);Bla(i);zt(i,b+72|0);c=b+88|0;LT(d,k[c>>2]|0);k[d>>2]=8964;l=(k[d+4>>2]|0)==0;DO(d);do if(!l){LT(e,k[c>>2]|0);k[e>>2]=8964;l=k[e+4>>2]|0;y=0;oa(k[(k[l>>2]|0)+44>>2]|0,l|0,a|0);l=y;y=0;if(!(l&1)){DO(e);break}l=pb()|0;DO(e);sb(l|0)}while(0);c=b+68|0;LT(f,k[c>>2]|0);k[f>>2]=6868;l=(k[f+4>>2]|0)==0;DO(f);do if(!l){NI(i);LT(g,k[c>>2]|0);k[g>>2]=6868;l=k[g+4>>2]|0;y=0;oa(k[(k[l>>2]|0)+44>>2]|0,l|0,a|0);l=y;y=0;if(!(l&1)){DO(g);break}l=pb()|0;DO(g);sb(l|0)}while(0);LT(h,k[c>>2]|0);k[h>>2]=6868;l=(k[h+4>>2]|0)==0;DO(h);if(!l){r=j;return}IL(i);r=j;return}function To(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+48|0;j=i+24|0;f=i+32|0;c=i+16|0;g=i+8|0;h=i;d=b+64|0;LT(j,k[d>>2]|0);k[j>>2]=7284;e=(k[j+4>>2]|0)==0;DO(j);if(e){r=i;return}e=a+4|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,48580,1);y=0;oa(679,e|0,f|0);j=y;y=0;if(j&1){j=pb()|0;A9(f);sb(j|0)}A9(f);LT(c,k[d>>2]|0);k[c>>2]=7284;j=k[c+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(j&1){j=pb()|0;DO(c);sb(j|0)}DO(c);b=b+72|0;LT(g,k[b>>2]|0);k[g>>2]=7284;j=(k[g+4>>2]|0)==0;DO(g);do if(!j){zz(e);LT(h,k[b>>2]|0);k[h>>2]=7284;j=k[h+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){DO(h);break}j=pb()|0;DO(h);sb(j|0)}while(0);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,48585,1);y=0;oa(679,e|0,f|0);j=y;y=0;if(j&1){j=pb()|0;A9(f);sb(j|0)}else{A9(f);r=i;return}}function Uo(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;p=0;l=r;r=r+128|0;h=l+80|0;i=l+40|0;j=l+12|0;m=l+24|0;n=l;o=IM(80)|0;b=i;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,39172,7);g=y;y=0;if(g&1){p=pb()|0;cra(o);sb(p|0)}y=0;b=h;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,n|0,a|0,d|0,h|0,f|0)|0;f=y;y=0;if(f&1)p=8;else{y=0;oa(453,m|0,b|0);f=y;y=0;if(f&1)p=8;else{y=0;Na(99,j|0,m|0,34);f=y;y=0;do if(f&1)b=pb()|0;else{y=0;b=h;c=i;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));Ea(2,o|0,h|0,j|0,0,0,0,1);f=y;y=0;if(f&1){b=pb()|0;A9(j);break}else{A9(j);A9(m);A9(n);r=l;return o|0}}while(0);A9(m)}}if((p|0)==8)b=pb()|0;A9(n);p=b;cra(o);sb(p|0);return 0}function Vo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0;h=0;a:while(1){a=k[b>>2]|0;do if(!a)g=1;else{f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((a|0)==-1){k[b>>2]=0;g=1;break}else{g=(k[b>>2]|0)==0;break}}while(0);f=k[c>>2]|0;do if(!f)h=15;else{a=k[f+12>>2]|0;if((a|0)==(k[f+16>>2]|0))a=oc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;h=15;break}else if(g){g=f;break}else{g=f;break a}}while(0);if((h|0)==15){h=0;if(g){g=0;break}else g=0}a=k[b>>2]|0;f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if(!(rc[k[(k[e>>2]|0)+12>>2]&255](e,8192,a)|0))break;a=k[b>>2]|0;f=a+12|0;g=k[f>>2]|0;if((g|0)==(k[a+16>>2]|0)){oc[k[(k[a>>2]|0)+40>>2]&511](a)|0;continue}else{k[f>>2]=g+4;continue}}a=k[b>>2]|0;do if(!a)f=1;else{f=k[a+12>>2]|0;if((f|0)==(k[a+16>>2]|0))a=oc[k[(k[a>>2]|0)+36>>2]&511](a)|0;else a=k[f>>2]|0;if((a|0)==-1){k[b>>2]=0;f=1;break}else{f=(k[b>>2]|0)==0;break}}while(0);do if(!g)h=37;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0))a=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;h=37;break}else if(f)break;else{h=39;break}}while(0);if((h|0)==37)if(f)h=39;if((h|0)==39)k[d>>2]=k[d>>2]|2;return}function Wo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;f=r;r=r+32|0;g=f+8|0;e=f;a=wi(b,c,a)|0;k[a+92>>2]=d;b=a+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;c=i[b+11>>0]|0;h=c<<24>>24<0;c=h?k[a+76>>2]|0:c&255;y=0;Ra(10,g|0,(h?k[b>>2]|0:b)|0,c|0,c+3|0);c=y;y=0;if(c&1){h=pb()|0;A9(g);sb(h|0)}y=0;ta(41,g|0,47269,3)|0;h=y;y=0;if(h&1){h=pb()|0;A9(g);sb(h|0)}y=0;b=Ha(975,d|0,g|0)|0;h=y;y=0;if(h&1){h=pb()|0;A9(g);sb(h|0)}y=0;oa(460,e|0,a|0);h=y;y=0;do if(h&1)a=pb()|0;else{k[e>>2]=6336;if((b|0)==(e|0)){DO(e);A9(g);r=f;return}a=b+4|0;if(k[a>>2]|0){y=0;na(423,b|0);h=y;y=0;if(h&1){a=pb()|0;DO(e);break}}h=e+4|0;k[a>>2]=k[h>>2];k[h>>2]=0;DO(e);A9(g);r=f;return}while(0);h=a;A9(g);sb(h|0)}function Xo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0;g=b+4|0;b=k[g>>2]|0;if(!b)b=0;else b=oc[k[(k[b>>2]|0)+8>>2]&511](b)|0;d=k[a+4>>2]|0;if(!d){g=0;return g|0}e=d+-1|0;c=(e&d|0)==0;if(c)f=e&b;else f=(b>>>0)%(d>>>0)|0;b=k[(k[a>>2]|0)+(f<<2)>>2]|0;if(!b){g=0;return g|0}b=k[b>>2]|0;if(!b){g=0;return g|0}if(c){a:while(1){if((k[b+4>>2]&e|0)!=(f|0)){b=0;a=30;break}c=k[b+12>>2]|0;do if(c|0){if(!(nx(c,24,136,-2)|0))a=k[g>>2]|0;else{a=k[g>>2]|0;if(a)if(nx(a,24,136,-2)|0){c=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;d=k[g>>2]|0;if((c|0)==(oc[k[(k[d>>2]|0)+8>>2]&511](d)|0)){a=30;break a}else break}}if(a|0)if(Fc[k[(k[c>>2]|0)+160>>2]&2047](c,a)|0){a=30;break a}}while(0);b=k[b>>2]|0;if(!b){b=0;a=30;break}}if((a|0)==30)return b|0}else{b:while(1){if((((k[b+4>>2]|0)>>>0)%(d>>>0)|0|0)!=(f|0)){b=0;a=30;break}c=k[b+12>>2]|0;do if(c|0){if(!(nx(c,24,136,-2)|0))a=k[g>>2]|0;else{a=k[g>>2]|0;if(a)if(nx(a,24,136,-2)|0){c=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;e=k[g>>2]|0;if((c|0)==(oc[k[(k[e>>2]|0)+8>>2]&511](e)|0)){a=30;break b}else break}}if(a|0)if(Fc[k[(k[c>>2]|0)+160>>2]&2047](c,a)|0){a=30;break b}}while(0);b=k[b>>2]|0;if(!b){b=0;a=30;break}}if((a|0)==30)return b|0}return 0}function Yo(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;a:do if(a|0){c=i[44293]|0;b:do if(!(c<<24>>24)){b=a;e=5}else{b=a;d=44293;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=5;break}}}while(0);if((e|0)==5){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[51047]|0;c:do if(!(c<<24>>24)){b=a;e=9}else{b=a;d=51047;while(1){if((i[b>>0]|0)!=c<<24>>24)break c;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=9;break}}}while(0);if((e|0)==9){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[51026]|0;d:do if(!(c<<24>>24)){b=a;e=13}else{b=a;d=51026;while(1){if((i[b>>0]|0)!=c<<24>>24)break d;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=13;break}}}while(0);if((e|0)==13){b=DP(b)|0;if(b|0){a=b;return a|0}}c=i[48801]|0;if(!(c<<24>>24))b=a;else{b=a;d=48801;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}b=DP(b)|0;if(b|0){a=b;return a|0}}while(0);a=nr(a)|0;return a|0}function Zo(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;i=0;j=r;r=r+48|0;d=j+40|0;b=j+32|0;c=j+24|0;f=j+16|0;g=j+8|0;e=j;h=a+88|0;LT(d,k[h>>2]|0);k[d>>2]=15136;a:do if(!(k[d+4>>2]|0))DO(d);else{y=0;oa(460,c|0,k[h>>2]|0);l=y;y=0;do if(l&1)b=pb()|0;else{k[c>>2]=15136;y=0;oa(460,b|0,k[(k[c+4>>2]|0)+88>>2]|0);l=y;y=0;if(l&1){b=pb()|0;DO(c);break}k[b>>2]=15136;l=(k[b+4>>2]|0)==0;DO(b);DO(c);DO(d);if(l)break a;LT(e,k[h>>2]|0);k[e>>2]=15136;y=0;b=qa(319,k[e+4>>2]|0)|0;l=y;y=0;if(l&1){l=pb()|0;DO(e);sb(l|0)}else{DO(e);l=b;r=j;return l|0}}while(0);DO(d);l=b;sb(l|0)}while(0);l=a+72|0;c=k[l>>2]|0;b=a+68|0;k[b>>2]=0;k[l>>2]=0;LT(g,0);k[g>>2]=15136;k[b>>2]=0;b=a+84|0;if(!(k[h>>2]|0))i=8;else{y=0;na(423,b|0);l=y;y=0;if(!(l&1))i=8}if((i|0)==8){k[h>>2]=k[g+4>>2];y=0;na(424,b|0);l=y;y=0;if(!(l&1)){y=0;oa(460,f|0,k[h>>2]|0);l=y;y=0;if(!(l&1)){k[f>>2]=15136;DO(f);DO(g);l=c;r=j;return l|0}}}l=pb()|0;DO(g);sb(l|0);return 0}function _o(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0;e=0;f=r;r=r+16|0;g=f;c=a+80|0;a:do if(!(k[c>>2]|0)){b=a+76|0;c=k[b>>2]|0;if(c|0){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;gI(g,c,32);k[b>>2]=0;y=0;oa(679,a|0,g|0);e=y;y=0;if(!(e&1)){A9(g);break}f=pb()|0;A9(g);g=f;sb(g|0)}}else{k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,87975,0);b:do if(!(k[c>>2]|0))e=4;else{d=a+68|0;b=0;while(1){y=0;Ha(974,g|0,k[(k[d>>2]|0)+16>>2]|0)|0;h=y;y=0;if(h&1)break;b=b+1|0;if(b>>>0>=(k[c>>2]|0)>>>0){e=4;break b}}b=pb()|0}while(0);do if((e|0)==4){k[a+76>>2]=0;k[c>>2]=0;y=0;oa(679,a|0,g|0);h=y;y=0;if(h&1){b=pb()|0;break}else{A9(g);break a}}while(0);A9(g);h=b;sb(h|0)}while(0);b=a+84|0;if(!(i[b>>0]|0)){r=f;return}i[b>>0]=0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,50298,1);y=0;oa(679,a|0,g|0);h=y;y=0;if(h&1){h=pb()|0;A9(g);sb(h|0)}else{A9(g);r=f;return}}function $o(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0;m=0;j=a+68|0;b=k[j>>2]|0;if(b|0){m=b;return m|0}k[j>>2]=-1640531520;g=a+72|0;f=i[g+11>>0]|0;h=f<<24>>24<0;g=h?k[g>>2]|0:g;f=h?k[a+76>>2]|0:f&255;if(f>>>0>3){e=f+-4|0;d=g;b=f;c=f;while(1){h=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(h>>>24^h,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=g+(d+4)|0}else{c=f;d=g;b=f}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;m=8;break}case 2:{m=8;break}case 1:{m=9;break}default:{}}if((m|0)==8){b=(l[d+1>>0]|0)<<8^b;m=9}if((m|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;h=aa(b>>>13^b,1540483477)|0;h=(h>>>15^h)+1403242537^-1640531520;k[j>>2]=h;g=a+84|0;f=i[g+11>>0]|0;e=f<<24>>24<0;g=e?k[g>>2]|0:g;f=e?k[a+88>>2]|0:f&255;if(f>>>0>3){e=f+-4|0;d=g;b=f;c=f;while(1){a=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(a>>>24^a,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=g+(d+4)|0}else{c=f;d=g;b=f}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;m=16;break}case 2:{m=16;break}case 1:{m=17;break}default:{}}if((m|0)==16){b=(l[d+1>>0]|0)<<8^b;m=17}if((m|0)==17)b=aa((l[d>>0]|0)^b,1540483477)|0;m=aa(b>>>13^b,1540483477)|0;m=(h<<6)+-1640531527+(h>>>2)+(m>>>15^m)^h;k[j>>2]=m;return m|0}function ap(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0.0;q=r;r=r+112|0;m=q+64|0;c=q+12|0;n=q+24|0;o=q;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,38272,6);y=0;b=m;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));b=sa(24,c|0,a|0,d|0,m|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;A9(c);sb(e|0)}A9(c);i=+p[b+64>>3]/255.0;j=+p[b+72>>3]/255.0;s=+p[b+80>>3]/255.0;h=j<s?s:j;h=i<h?h:i;j=s<j?s:j;i=j<i?j:i;j=h+i;if(h==i)h=0.0;else h=(h-i)/(j*.5<.5?j:2.0-h-i)*100.0;c=IM(104)|0;b=n;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,48698,1);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=m;g=n;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));Ca(1,c|0,m|0,+h,o|0,1);e=y;y=0;if(e&1){b=pb()|0;A9(o);break}else{A9(o);r=q;return c|0}}while(0);cra(c);e=b;sb(e|0);return 0}function bp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;e=a+16|0;d=k[e>>2]|0;if(!d)return 1;f=(b|0)==0;if(!f){c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[215]|0)==(c|0)){Jy(a,d);c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0}if((k[119]|0)==(c|0)){c=b+72|0;d=i[c+11>>0]|0;if(((d<<24>>24<0?k[c+4>>2]|0:d&255)|0)==7){y=0;c=sa(21,c|0,0,-1,48882,7)|0;d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}if(!c)Hx(a,k[e>>2]|0)}}c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[191]|0)==(c|0)){Yw(0,k[e>>2]|0);c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0}d=k[195]|0;if((d|0)==(c|0))if(!(k[b+96>>2]|0)){Jr(a,k[e>>2]|0);c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0}if((d|0)==(c|0))if((k[b+96>>2]|0)==1)Lr(a,k[e>>2]|0)}c=k[e>>2]|0;if(c|0)if((k[195]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))if((k[c+96>>2]|0)==1)ot(0,b);if(!f)if((k[133]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0))qr(a,k[e>>2]|0);c=k[e>>2]|0;if(c|0)if((k[133]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))rv(0,b);if(f)return 1;if((k[187]|0)!=(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0))return 1;Qx(0,k[e>>2]|0);return 1}function cp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=0;m=r;r=r+16|0;j=m;f=b+4|0;e=k[f>>2]|0;do if(!e){k[j>>2]=f;g=f}else{h=c+4|0;while(1){g=k[h>>2]|0;c=e+20|0;if(!g)l=8;else{f=k[c>>2]|0;if(!f){l=14;break}if(Fc[k[(k[g>>2]|0)+160>>2]&2047](g,f)|0){c=k[e>>2]|0;if(!c){l=7;break}else e=c}else l=8}if((l|0)==8){l=0;c=k[c>>2]|0;if(!c){l=14;break}f=k[h>>2]|0;if(!f){l=14;break}if(!(Fc[k[(k[c>>2]|0)+160>>2]&2047](c,f)|0)){l=14;break}f=e+4|0;c=k[f>>2]|0;if(!c){l=13;break}else e=c}}if((l|0)==7){k[j>>2]=e;g=e;f=e;break}else if((l|0)==13){k[j>>2]=e;g=e;break}else if((l|0)==14){k[j>>2]=e;g=e;f=j;break}}while(0);e=k[f>>2]|0;if(e|0){b=e;d=0;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=m;return}c=IM(24)|0;e=c+16|0;y=0;oa(460,e|0,k[d+4>>2]|0);d=y;y=0;if(d&1){m=pb()|0;cra(c);sb(m|0)}k[e>>2]=15152;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=g;k[f>>2]=c;e=k[k[b>>2]>>2]|0;if(!e)e=c;else{k[b>>2]=e;e=k[f>>2]|0}Qn(k[b+4>>2]|0,e);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=c;d=1;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=m;return}function dp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=0;m=r;r=r+16|0;j=m;f=b+4|0;e=k[f>>2]|0;do if(!e){k[j>>2]=f;g=f}else{h=c+4|0;while(1){g=k[h>>2]|0;c=e+20|0;if(!g)l=8;else{f=k[c>>2]|0;if(!f){l=14;break}if(Fc[k[(k[g>>2]|0)+160>>2]&2047](g,f)|0){c=k[e>>2]|0;if(!c){l=7;break}else e=c}else l=8}if((l|0)==8){l=0;c=k[c>>2]|0;if(!c){l=14;break}f=k[h>>2]|0;if(!f){l=14;break}if(!(Fc[k[(k[c>>2]|0)+160>>2]&2047](c,f)|0)){l=14;break}f=e+4|0;c=k[f>>2]|0;if(!c){l=13;break}else e=c}}if((l|0)==7){k[j>>2]=e;g=e;f=e;break}else if((l|0)==13){k[j>>2]=e;g=e;break}else if((l|0)==14){k[j>>2]=e;g=e;f=j;break}}while(0);e=k[f>>2]|0;if(e|0){b=e;d=0;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=m;return}c=IM(24)|0;e=c+16|0;y=0;oa(460,e|0,k[d+4>>2]|0);d=y;y=0;if(d&1){m=pb()|0;cra(c);sb(m|0)}k[e>>2]=15152;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=g;k[f>>2]=c;e=k[k[b>>2]>>2]|0;if(!e)e=c;else{k[b>>2]=e;e=k[f>>2]|0}Qn(k[b+4>>2]|0,e);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=c;d=1;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=m;return}function ep(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=0;m=r;r=r+16|0;j=m;f=b+4|0;e=k[f>>2]|0;do if(!e){k[j>>2]=f;g=f}else{h=c+4|0;while(1){g=k[h>>2]|0;c=e+20|0;if(!g)l=8;else{f=k[c>>2]|0;if(!f){l=14;break}if(Fc[k[(k[g>>2]|0)+156>>2]&2047](g,f)|0){c=k[e>>2]|0;if(!c){l=7;break}else e=c}else l=8}if((l|0)==8){l=0;c=k[c>>2]|0;if(!c){l=14;break}f=k[h>>2]|0;if(!f){l=14;break}if(!(Fc[k[(k[c>>2]|0)+156>>2]&2047](c,f)|0)){l=14;break}f=e+4|0;c=k[f>>2]|0;if(!c){l=13;break}else e=c}}if((l|0)==7){k[j>>2]=e;g=e;f=e;break}else if((l|0)==13){k[j>>2]=e;g=e;break}else if((l|0)==14){k[j>>2]=e;g=e;f=j;break}}while(0);e=k[f>>2]|0;if(e|0){b=e;d=0;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=m;return}c=IM(24)|0;e=c+16|0;y=0;oa(460,e|0,k[d+4>>2]|0);d=y;y=0;if(d&1){m=pb()|0;cra(c);sb(m|0)}k[e>>2]=15136;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=g;k[f>>2]=c;e=k[k[b>>2]>>2]|0;if(!e)e=c;else{k[b>>2]=e;e=k[f>>2]|0}Qn(k[b+4>>2]|0,e);b=b+8|0;k[b>>2]=(k[b>>2]|0)+1;b=c;d=1;k[a>>2]=b;b=a+4|0;i[b>>0]=d;r=m;return}function fp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=r;r=r+32|0;c=g+16|0;d=g+8|0;e=g;f=a+4|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48580,1);y=0;oa(679,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;A9(c);sb(h|0)}A9(c);LT(d,k[b+64>>2]|0);k[d>>2]=7284;h=k[d+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;DO(d);sb(h|0)}DO(d);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,58790,2);y=0;oa(679,f|0,c|0);h=y;y=0;if(h&1){h=pb()|0;A9(c);sb(h|0)}A9(c);LT(e,k[b+72>>2]|0);k[e>>2]=7284;h=k[e+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){h=pb()|0;DO(e);sb(h|0)}DO(e);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,48585,1);y=0;oa(679,f|0,c|0);h=y;y=0;if(!(h&1)){A9(c);r=g;return}h=pb()|0;A9(c);sb(h|0)}function gp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=a+4|0;d=k[l>>2]|0;c=k[a>>2]|0;e=((d-c|0)/12|0)+1|0;if(e>>>0>357913941){pN(a);c=k[a>>2]|0;d=k[l>>2]|0}j=a+8|0;g=((k[j>>2]|0)-c|0)/12|0;h=g<<1;e=g>>>0<178956970?(h>>>0<e>>>0?e:h):357913941;c=(d-c|0)/12|0;do if(!e)h=0;else if(e>>>0>357913941){l=gb(4)|0;Qoa(l);Wb(l|0,5760,404)}else{h=IM(e*12|0)|0;break}while(0);d=h+(c*12|0)|0;f=d|0;c=f;g=h+(e*12|0)|0;i[f>>0]=i[b>>0]|0;d=d+4|0;y=0;oa(460,d|0,k[b+8>>2]|0);b=y;y=0;a:do if(b&1){e=pb()|0;d=c}else{k[d>>2]=6868;d=f+12|0;b=k[a>>2]|0;e=k[l>>2]|0;do if((e|0)==(b|0)){e=c;f=b;c=b}else{while(1){m=e;e=e+-12|0;i[f+-12>>0]=i[e>>0]|0;f=f+-8|0;y=0;oa(460,f|0,k[m+-4>>2]|0);m=y;y=0;if(m&1){b=18;break}k[f>>2]=6868;f=c+-12|0;c=f;if((e|0)==(b|0)){b=12;break}}if((b|0)==12){e=c;f=k[a>>2]|0;c=k[l>>2]|0;break}else if((b|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[l>>2]=d;k[j>>2]=g;d=f;if((c|0)!=(d|0))do{DO(c+-8|0);c=c+-12|0}while((c|0)!=(d|0));if(!f)return;cra(d);return}while(0);if((d|0)!=(c|0))do{DO(d+-8|0);d=d+-12|0}while((d|0)!=(c|0));if(!h)sb(e|0);cra(h);sb(e|0)}function hp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;if(yx(a)|0){f=a;return f|0}f=i[35548]|0;if(!(f<<24>>24)){while(1){c=pV(a)|0;if(!c){c=zja(a)|0;if(!c)c=pB(a)|0}if((c|0)==(a|0)|(c|0)==0){c=0;a=17;break}if(!(yx(c)|0))a=c;else{a=17;break}}if((a|0)==17)return c|0}else e=a;while(1){d=i[e>>0]|0;a=35548;c=f;while(1){if(d<<24>>24==c<<24>>24){a=11;break}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=13;break}}if((a|0)==11){a=0;if(!(d<<24>>24))a=13;else b=e+1|0}if((a|0)==13){b=pV(e)|0;if(!b){b=zja(e)|0;if(!b)b=pB(e)|0}if((b|0)==(e|0)|(b|0)==0){c=0;a=17;break}}if(!(yx(b)|0))e=b;else{c=b;a=17;break}}if((a|0)==17)return c|0;return 0}function ip(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;l=a+4|0;d=k[l>>2]|0;c=k[a>>2]|0;e=((d-c|0)/12|0)+1|0;if(e>>>0>357913941){pN(a);c=k[a>>2]|0;d=k[l>>2]|0}j=a+8|0;h=((k[j>>2]|0)-c|0)/12|0;i=h<<1;e=h>>>0<178956970?(i>>>0<e>>>0?e:i):357913941;d=(d-c|0)/12|0;do if(!e)i=0;else if(e>>>0>357913941){l=gb(4)|0;Qoa(l);Wb(l|0,5760,404)}else{i=IM(e*12|0)|0;break}while(0);f=i+(d*12|0)|0;c=f;h=i+(e*12|0)|0;y=0;oa(460,f|0,k[b+4>>2]|0);g=y;y=0;a:do if(g&1){e=pb()|0;d=c}else{k[f>>2]=15152;k[i+(d*12|0)+8>>2]=k[b+8>>2];d=f+12|0;g=k[a>>2]|0;e=k[l>>2]|0;do if((e|0)==(g|0)){e=c;b=g;c=g}else{while(1){b=f+-12|0;y=0;oa(460,b|0,k[e+-8>>2]|0);m=y;y=0;if(m&1){f=18;break}k[b>>2]=15152;k[f+-4>>2]=k[e+-4>>2];e=e+-12|0;f=c+-12|0;c=f;if((e|0)==(g|0)){f=12;break}}if((f|0)==12){e=c;b=k[a>>2]|0;c=k[l>>2]|0;break}else if((f|0)==18){e=pb()|0;break a}}while(0);k[a>>2]=e;k[l>>2]=d;k[j>>2]=h;d=b;if((c|0)!=(d|0))do{c=c+-12|0;DO(c)}while((c|0)!=(d|0));if(!b)return;cra(b);return}while(0);if((d|0)!=(c|0))do{d=d+-12|0;DO(d)}while((d|0)!=(c|0));if(!i)sb(e|0);cra(i);sb(e|0)}function jp(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0;j=0;o=r;r=r+16|0;h=o;m=o+8|0;n=a+88|0;if(k[n>>2]|0){n=k[n>>2]|0;r=o;return n|0}f=a+60|0;g=i[f+11>>0]|0;e=g<<24>>24<0;f=e?k[f>>2]|0:f;g=e?k[a+64>>2]|0:g&255;if(g>>>0>3){e=g+-4|0;d=f;b=g;c=g;while(1){g=aa(l[d>>0]|l[d+1>>0]<<8|l[d+2>>0]<<16|l[d+3>>0]<<24,1540483477)|0;b=(aa(g>>>24^g,1540483477)|0)^(aa(b,1540483477)|0);c=c+-4|0;if(c>>>0<=3)break;else d=d+4|0}d=e&-4;c=e-d|0;d=f+(d+4)|0}else{c=g;d=f;b=g}switch(c|0){case 3:{b=(l[d+2>>0]|0)<<16^b;j=8;break}case 2:{j=8;break}case 1:{j=9;break}default:{}}if((j|0)==8){b=(l[d+1>>0]|0)<<8^b;j=9}if((j|0)==9)b=aa((l[d>>0]|0)^b,1540483477)|0;d=aa(b>>>13^b,1540483477)|0;k[n>>2]=d>>>15^d;LT(h,k[a+76>>2]|0);k[h>>2]=8964;d=k[h+4>>2]|0;DO(h);b=k[d+64>>2]|0;d=k[d+68>>2]|0;if((b|0)==(d|0)){n=k[n>>2]|0;r=o;return n|0}e=m+4|0;while(1){LT(m,k[b+4>>2]|0);k[m>>2]=10120;c=k[e>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+8>>2]|0,c|0)|0;j=y;y=0;if(j&1){j=14;break}j=k[n>>2]|0;k[n>>2]=c+-1640531527+(j<<6)+(j>>>2)^j;DO(m);b=b+8|0;if((b|0)==(d|0)){j=15;break}}if((j|0)==14){o=pb()|0;DO(m);sb(o|0)}else if((j|0)==15){n=k[n>>2]|0;r=o;return n|0}return 0}function kp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=r;r=r+16|0;n=t;if((b|0)==-1){s=0;r=t;return s|0}o=a+12|0;p=a+8|0;q=(k[o>>2]|0)-(k[p>>2]|0)|0;s=a+24|0;c=k[s>>2]|0;l=a+28|0;d=k[l>>2]|0;do if((c|0)==(d|0)){h=a+48|0;if(!(k[h>>2]&16)){s=-1;r=t;return s|0}j=a+20|0;g=k[j>>2]|0;f=c-g|0;m=a+44|0;g=(k[m>>2]|0)-g|0;e=a+32|0;y=0;oa(458,e|0,0);d=y;y=0;if(!(d&1)){c=e+11|0;if((i[c>>0]|0)<0)d=(k[a+40>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,e|0,d|0,0);d=y;y=0;if(!(d&1)){c=i[c>>0]|0;if(c<<24>>24<0){d=k[e>>2]|0;c=k[a+36>>2]|0}else{d=e;c=c&255}u=d+c|0;k[j>>2]=d;k[l>>2]=u;j=d+f|0;k[s>>2]=j;c=d+g|0;k[m>>2]=c;l=m;e=m;g=u;break}}u=tb(0)|0;vb(u|0)|0;rb();u=-1;r=t;return u|0}else{g=a+44|0;l=g;h=a+48|0;e=g;j=c;c=k[g>>2]|0;g=d}while(0);f=j+1|0;k[n>>2]=f;d=k[(f>>>0<c>>>0?e:n)>>2]|0;k[l>>2]=d;if(k[h>>2]&8|0){c=a+32|0;if((i[c+11>>0]|0)<0)c=k[c>>2]|0;k[p>>2]=c;k[o>>2]=c+q;k[a+16>>2]=d}if((j|0)==(g|0)){u=Fc[k[(k[a>>2]|0)+52>>2]&2047](a,b&255)|0;r=t;return u|0}else{k[s>>2]=f;i[j>>0]=b;u=b&255;r=t;return u|0}return 0}function lp(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0;g=0;m=r;r=r+32|0;h=m+12|0;j=m;c=k[b+4>>2]|0;f=k[b+8>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;e=f-c|0;if(e>>>0>4294967279){mN(h);g=5}else if(e>>>0<11){i[h+11>>0]=e;b=h}else g=5;if((g|0)==5){d=e+16&-16;b=IM(d)|0;k[h>>2]=b;k[h+8>>2]=d|-2147483648;k[h+4>>2]=e}if((c|0)!=(f|0)){d=b;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+e|0}i[b>>0]=0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,44250,6);f=y;y=0;if(f&1){m=pb()|0;A9(h);sb(m|0)}c=i[h+11>>0]|0;e=c<<24>>24<0;f=e?k[h>>2]|0:h;c=e?k[h+4>>2]|0:c&255;e=i[j+11>>0]|0;b=e<<24>>24<0;d=b?k[j>>2]|0:j;e=b?k[j+4>>2]|0:e&255;b=f+c|0;a:do if(!e)if(!c)b=0;else{b=b+-1|0;g=15}else while(1){if((b|0)==(f|0)){b=0;break a}b=b+-1|0;if(!(aA(d,l[b>>0]|0,e)|0)){g=15;break}}while(0);if((g|0)==15)b=1-f+b|0;y=0;b=ta(42,h|0,b|0,-1)|0;g=y;y=0;if(!(g&1)){y=0;oa(456,a|0,b|0);a=y;y=0;if(!(a&1)){A9(j);A9(h);r=m;return}}m=pb()|0;A9(j);A9(h);sb(m|0)}function mp(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0;n=r;r=r+48|0;j=n;m=n+40|0;LT(m,0);k[m>>2]=6868;l=j;g=b;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;na(422,a|0);l=y;y=0;do if(l&1)g=pb()|0;else{l=a+12|0;g=j;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));k[a+52>>2]=0;k[a+56>>2]=0;i[a+60>>0]=0;k[a>>2]=6772;g=a+64|0;y=0;oa(460,g|0,k[m+4>>2]|0);l=y;y=0;if(l&1){g=pb()|0;break}k[g>>2]=6868;DO(m);k[a>>2]=8756;b=a+72|0;y=0;oa(456,b|0,d|0);d=y;y=0;if(d&1)g=pb()|0;else{h=a+84|0;y=0;oa(460,h|0,k[e+4>>2]|0);e=y;y=0;do if(e&1)g=pb()|0;else{k[h>>2]=8852;k[a+92>>2]=0;k[a+96>>2]=1;k[a+100>>2]=0;k[a+104>>2]=f;y=0;g=qa(331,f|0)|0;f=y;y=0;if(f&1){g=pb()|0;DO(h);break}else{k[a+108>>2]=g;i[a+112>>0]=0;k[a+116>>2]=c;r=n;return}}while(0);A9(b)}k[a>>2]=6772;DO(a+64|0);a=g;sb(a|0)}while(0);DO(m);a=g;sb(a|0)}function np(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;f=k[c>>2]|0;p=k[d>>2]|0;if((f|0)==(p|0)){q=1;return q|0}j=k[a>>2]|0;o=k[b>>2]|0;d=j;while(1){if((j|0)==(o|0)){e=0;q=20;break}l=f+16|0;b=j+16|0;n=i[l+11>>0]|0;m=n<<24>>24<0;n=m?k[f+20>>2]|0:n&255;h=i[b+11>>0]|0;g=h<<24>>24<0;h=g?k[j+20>>2]|0:h&255;e=h>>>0<n>>>0?h:n;if(!e)q=6;else{e=bN(m?k[l>>2]|0:l,g?k[b>>2]|0:b,e)|0;if(!e)q=6;else if((e|0)<0){e=0;q=20;break}}if((q|0)==6){q=0;if(n>>>0<h>>>0){e=0;q=20;break}}b=j+16|0;h=i[b+11>>0]|0;g=h<<24>>24<0;h=g?k[j+20>>2]|0:h&255;e=n>>>0<h>>>0?n:h;if(!e)q=10;else{e=bN(g?k[b>>2]|0:b,m?k[l>>2]|0:l,e)|0;if(!e)q=10;else if((e|0)<0)e=f;else q=12}if((q|0)==10){q=0;if(h>>>0<n>>>0)e=f;else q=12}if((q|0)==12){q=0;e=k[f+4>>2]|0;if(!e)while(1){e=k[f+8>>2]|0;if((k[e>>2]|0)==(f|0))break;else f=e}else while(1){f=k[e>>2]|0;if(!f)break;else e=f}k[c>>2]=e}f=k[d+4>>2]|0;if(!f)while(1){f=k[d+8>>2]|0;if((k[f>>2]|0)==(d|0)){b=f;break}else d=f}else{d=f;while(1){f=k[d>>2]|0;if(!f){b=d;break}else d=f}}k[a>>2]=b;if((e|0)==(p|0)){e=1;q=20;break}else{f=e;d=b;j=b}}if((q|0)==20)return e|0;return 0}
function Tj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;l=0;h=r;r=r+64|0;g=h+48|0;i=h+40|0;j=h+16|0;e=h+24|0;f=h;xm(i,b);c=k[i+4>>2]|0;do if(!c){y=0;c=ta(82,b|0,1,0)|0;d=y;y=0;if(!(d&1)){if(!c){y=0;oa(460,a|0,0);l=y;y=0;if(l&1)break;k[a>>2]=11804;DO(i);r=h;return}y=0;ta(63,b|0,1,0)|0;d=y;y=0;if(!(d&1)){y=0;oa(632,j|0,b|0);d=y;y=0;if(!(d&1)){d=j+4|0;a:do if(!(k[d>>2]|0)){y=0;oa(633,g|0,b|0);e=y;y=0;do if(e&1)c=pb()|0;else{if(k[d>>2]|0){y=0;na(423,j|0);e=y;y=0;if(e&1){c=pb()|0;DO(g);break}}c=g+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(g);y=0;c=ta(67,b|0,1,0)|0;e=y;y=0;if(e&1){l=17;break a}if(c|0){l=31;break a}k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,44534,45);e=y;y=0;if(e&1){l=17;break a}e=b+108|0;y=0;k[g>>2]=k[e>>2];k[g+4>>2]=k[e+4>>2];k[g+8>>2]=k[e+8>>2];Na(108,b|0,f|0,g|0);g=y;y=0;if(g&1){c=pb()|0;A9(f);break a}else{A9(f);l=31;break a}}while(0)}else{y=0;c=ta(67,b|0,1,0)|0;f=y;y=0;if(f&1)l=17;else if(!c){k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,44534,45);f=y;y=0;if(f&1)l=17;else{f=b+108|0;y=0;k[g>>2]=k[f>>2];k[g+4>>2]=k[f+4>>2];k[g+8>>2]=k[f+8>>2];Na(108,b|0,e|0,g|0);g=y;y=0;if(g&1){c=pb()|0;A9(e);break}else{A9(e);l=31;break}}}else l=31}while(0);if((l|0)==31){y=0;ta(63,b|0,1,0)|0;l=y;y=0;if(l&1)l=17;else{y=0;oa(460,a|0,k[d>>2]|0);l=y;y=0;if(l&1)l=17;else{k[a>>2]=11804;DO(j);DO(i);r=h;return}}}if((l|0)==17)c=pb()|0;DO(j);l=c;DO(i);sb(l|0)}}}}else{y=0;oa(460,a|0,c|0);l=y;y=0;if(!(l&1)){k[a>>2]=11804;DO(i);r=h;return}}while(0);l=pb()|0;DO(i);sb(l|0)}function Uj(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+16|0;q=s;o=s+8|0;l=c;while(1){if((l|0)==(d|0)){l=d;break}if(!(k[l>>2]|0))break;l=l+4|0}k[h>>2]=f;k[e>>2]=c;n=g;p=a+8|0;a:while(1){if((f|0)==(g|0)|(c|0)==(d|0)){j=c;a=53;break}t=b;a=k[t+4>>2]|0;m=q;k[m>>2]=k[t>>2];k[m+4>>2]=a;m=A8(k[p>>2]|0)|0;y=0;a=sa(34,f|0,e|0,l-c>>2|0,n-f|0,b|0)|0;t=y;y=0;if(t&1){a=11;break}if(m|0){y=0;qa(405,m|0)|0;t=y;y=0;if(t&1){a=10;break}}switch(a|0){case -1:{a=16;break a}case 0:{j=1;a=50;break a}default:{}}f=(k[h>>2]|0)+a|0;k[h>>2]=f;if((f|0)==(g|0)){a=51;break}if((l|0)==(d|0)){l=d;c=k[e>>2]|0}else{c=A8(k[p>>2]|0)|0;y=0;f=ta(164,o|0,0,b|0)|0;t=y;y=0;if(t&1){a=36;break}if(c|0){y=0;qa(405,c|0)|0;t=y;y=0;if(t&1){a=35;break}}if((f|0)==-1){j=2;a=49;break}if(f>>>0>(n-(k[h>>2]|0)|0)>>>0){j=1;a=49;break}else c=o;while(1){if(!f)break;m=i[c>>0]|0;t=k[h>>2]|0;k[h>>2]=t+1;i[t>>0]=m;c=c+1|0;f=f+-1|0}c=(k[e>>2]|0)+4|0;k[e>>2]=c;l=c;while(1){if((l|0)==(d|0)){l=d;break}if(!(k[l>>2]|0))break;l=l+4|0}f=k[h>>2]|0}}do if((a|0)==10){t=tb(0)|0;Sla(t)}else if((a|0)==11){j=pb()|0;if(m|0){y=0;qa(405,m|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;Sla(t)}}sb(j|0)}else if((a|0)==16){k[h>>2]=f;while(1){if((c|0)==(k[e>>2]|0)){a=28;break}t=k[c>>2]|0;l=A8(k[p>>2]|0)|0;y=0;f=ta(164,f|0,t|0,q|0)|0;t=y;y=0;if(t&1){a=22;break}if(l|0){y=0;qa(405,l|0)|0;t=y;y=0;if(t&1){a=21;break}}if((f|0)==-1){a=28;break}f=(k[h>>2]|0)+f|0;k[h>>2]=f;c=c+4|0}if((a|0)==21){t=tb(0)|0;Sla(t)}else if((a|0)==22){j=pb()|0;if(l|0){y=0;qa(405,l|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;Sla(t)}}sb(j|0)}else if((a|0)==28){k[e>>2]=c;j=2;a=50;break}}else if((a|0)==35){t=tb(0)|0;Sla(t)}else if((a|0)==36){j=pb()|0;if(c|0){y=0;qa(405,c|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;Sla(t)}}sb(j|0)}else if((a|0)==49)a=50;else if((a|0)==51){j=k[e>>2]|0;a=53}while(0);if((a|0)!=50)if((a|0)==53)j=(j|0)!=(d|0)&1;r=s;return j|0}function Vj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=0;o=r;r=r+80|0;n=o;q=o+64|0;p=o+52|0;c=o+40|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;aI(p,39781,5);y=0;j=n;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));b=pa(40,p|0,a|0,d|0,n|0,f|0,0)|0;m=y;y=0;if(!(m&1)){y=0;oa(460,q|0,b|0);m=y;y=0;if(!(m&1)){k[q>>2]=16764;A9(p);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,39787,5);m=y;y=0;do if(m&1){b=pb()|0;s=16}else{y=0;j=n;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));b=pa(40,c|0,a|0,d|0,n|0,f|0,0)|0;m=y;y=0;if(!(m&1)){y=0;oa(460,p|0,b|0);m=y;y=0;if(!(m&1)){k[p>>2]=16764;A9(c);d=q+4|0;c=k[d>>2]|0;b=k[c+88>>2]|0;c=k[c+84>>2]|0;f=p+4|0;a=k[f>>2]|0;g=k[a+88>>2]|0;a=k[a+84>>2]|0;y=0;h=qa(315,108)|0;m=y;y=0;a:do if(m&1)b=pb()|0;else{j=n;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;na(422,h|0);e=y;y=0;do if(e&1)b=pb()|0;else{g=(g-a>>3)+(b-c>>3)|0;j=h+12|0;l=n;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;b=h+56|0;k[b>>2]=0;k[h>>2]=9288;c=h+60|0;y=0;oa(556,c|0,g|0);e=y;y=0;if(e&1){b=pb()|0;break}k[h>>2]=9412;k[c>>2]=9540;k[b>>2]=6;e=k[d>>2]|0;y=0;Ha(987,c|0,((e|0)==0?0:e+60|0)|0)|0;e=y;y=0;if(!(e&1)){e=k[f>>2]|0;y=0;Ha(987,c|0,((e|0)==0?0:e+60|0)|0)|0;e=y;y=0;if(!(e&1)){DO(p);DO(q);r=o;return h|0}}b=pb()|0;break a}while(0);cra(h)}while(0);DO(p);break}}b=pb()|0;A9(c);s=16}while(0);DO(q);s=b;sb(s|0)}}s=pb()|0;A9(p);sb(s|0);return 0}function Wj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;t=0;n=r;r=r+192|0;j=n+144|0;q=n+128|0;l=n+88|0;s=n+80|0;h=n+64|0;m=n+24|0;o=n+8|0;p=n;Uv(b,1,0)|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(q);t=5}else if(g>>>0<11){i[q+11>>0]=g;c=q}else t=5;if((t|0)==5){e=g+16&-16;c=IM(e)|0;k[q>>2]=c;k[q+8>>2]=e|-2147483648;k[q+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;d=b+108|0;c=l;f=d;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;Na(106,s|0,b|0,1);g=y;y=0;if(g&1){t=pb()|0;A9(q);sb(t|0)}y=0;c=ta(67,b|0,1,0)|0;g=y;y=0;a:do if(g&1)t=16;else{do if(!c){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,43967,31);g=y;y=0;if(g&1){t=16;break a}y=0;k[j>>2]=k[d>>2];k[j+4>>2]=k[d+4>>2];k[j+8>>2]=k[d+8>>2];Na(108,b|0,h|0,j|0);b=y;y=0;if(b&1){c=pb()|0;A9(h);break a}else{A9(h);break}}while(0);h=i[q+11>>0]|0;y=0;ta(42,q|0,(h<<24>>24<0?k[q+4>>2]|0:h&255)+-1|0,-1)|0;h=y;y=0;if(h&1)t=16;else{y=0;e=qa(315,112)|0;h=y;y=0;if(h&1)t=16;else{c=m;f=l;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;oa(456,o|0,q|0);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(460,p|0,k[s+4>>2]|0);l=y;y=0;if(l&1){c=pb()|0;A9(o);break}k[p>>2]=6756;y=0;c=j;f=m;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));Ra(25,e|0,j|0,o|0,p|0);m=y;y=0;if(m&1)d=1;else{y=0;oa(460,a|0,e|0);m=y;y=0;if(m&1)d=0;else{k[a>>2]=15184;DO(p);A9(o);DO(s);A9(q);r=n;return}}c=pb()|0;DO(p);A9(o);if(!d)break a}while(0);cra(e)}}}while(0);if((t|0)==16)c=pb()|0;DO(s);t=c;A9(q);sb(t|0)}function Xj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=0;j=r;r=r+160|0;f=j+40|0;h=j;c=j+120|0;g=j+80|0;k[a>>2]=17440;k[a+4>>2]=b;k[a+8>>2]=k[b+4>>2];i[a+12>>0]=0;i[a+13>>0]=0;i[a+14>>0]=0;m=a+16|0;y=0;oa(460,m|0,0);l=y;y=0;if(l&1){n=pb()|0;sb(n|0)}k[m>>2]=17828;l=a+24|0;y=0;oa(460,l|0,0);e=y;y=0;if(e&1)b=pb()|0;else{k[l>>2]=17828;y=0;b=qa(315,68)|0;e=y;y=0;do if(e&1)n=22;else{y=0;Ra(14,c|0,46977,0,-1);e=y;y=0;if(!(e&1)){e=h;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));y=0;na(422,b|0);e=y;y=0;if(!(e&1)){e=b+12|0;c=h;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=10672;i[b+60>>0]=1;k[b+64>>2]=0;k[b+56>>2]=1;y=0;oa(460,f|0,b|0);e=y;y=0;if(e&1){n=22;break}k[f>>2]=17828;if((m|0)!=(f|0)){b=a+20|0;if(k[b>>2]|0){y=0;na(423,m|0);e=y;y=0;if(e&1){b=pb()|0;DO(f);n=25;break}}e=f+4|0;k[b>>2]=k[e>>2];k[e>>2]=0}DO(f);y=0;b=qa(315,68)|0;e=y;y=0;do if(e&1)n=26;else{y=0;Ra(14,g|0,46977,0,-1);e=y;y=0;if(!(e&1)){e=f;c=g;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));y=0;na(422,b|0);g=y;y=0;if(!(g&1)){e=b+12|0;c=f;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=10672;i[b+60>>0]=0;k[b+64>>2]=0;k[b+56>>2]=1;y=0;oa(460,h|0,b|0);g=y;y=0;if(g&1){n=26;break}k[h>>2]=17828;if((l|0)==(h|0)){DO(h);r=j;return}b=a+28|0;if(k[b>>2]|0){y=0;na(423,l|0);g=y;y=0;if(g&1){b=pb()|0;DO(h);break}}n=h+4|0;k[b>>2]=k[n>>2];k[n>>2]=0;DO(h);r=j;return}}j=pb()|0;cra(b);b=j}while(0);if((n|0)==26)b=pb()|0;break}}n=pb()|0;cra(b);b=n;n=25}while(0);if((n|0)==22){b=pb()|0;n=25}DO(l)}DO(m);n=b;sb(n|0)}function Yj(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;y=0;u=b+12|0;f=k[u>>2]|0;e=k[c+12>>2]|0;if((f|0)==(e|0)){c=d;y=c;y=k[y>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;b=d;k[b>>2]=y;d=d+4|0;k[d>>2]=c;return}t=b+8|0;w=c+8|0;s=c+8|0;x=d+4|0;v=b+8|0;do{h=d;r=k[h>>2]|0;g=r;r=(k[h+4>>2]|0)-(k[r>>2]|0)|0;h=(r|0)/28|0;i=h+-1|0;if((r|0)>28){h=g+(((i>>>0)/146|0)<<2)|0;g=(k[h>>2]|0)+(((i>>>0)%146|0)*28|0)|0}else{r=146-h|0;h=g+(((r|0)/-146|0)<<2)|0;g=(k[h>>2]|0)+((145-((r|0)%146|0)|0)*28|0)|0}l=g+28|0;h=l-(k[h>>2]|0)|0;j=(h|0)/28|0;if((f|0)==(e|0))f=0;else{r=k[s>>2]|0;q=k[v>>2]|0;f=((q-r>>2)*146|0)+((f-(k[q>>2]|0)|0)/28|0)+((e-(k[r>>2]|0)|0)/-28|0)|0}if((f|0)>(j|0)){f=w;g=k[f>>2]|0;i=g;do if(!h){g=k[w>>2]|0;f=e}else{f=(((k[f+4>>2]|0)-(k[g>>2]|0)|0)/28|0)+j|0;if((f|0)>0){r=i+(((f>>>0)/146|0)<<2)|0;g=r;f=(k[r>>2]|0)+(((f>>>0)%146|0)*28|0)|0;break}else{f=145-f|0;r=i+(((f|0)/-146|0)<<2)|0;g=r;f=(k[r>>2]|0)+((145-((f|0)%146|0)|0)*28|0)|0;break}}while(0);r=f;f=j;h=i;p=r;q=g;o=g}else{o=t;r=b;h=k[s>>2]|0;p=k[o+4>>2]|0;q=k[r>>2]|0;r=k[r+4>>2]|0;o=k[o>>2]|0}g=e;e=p;if((e|0)!=(g|0))while(1){n=l;l=l+-28|0;j=g+28|0;g=j;i=k[h>>2]|0;if((g-i|0)==4088){g=h+4|0;h=g;g=k[g>>2]|0;y=19}else if((j|0)==(i|0))y=19;else m=h;if((y|0)==19){y=0;m=h;j=(k[h+-4>>2]|0)+4088|0}h=j+-28|0;k[l>>2]=k[h>>2];k[l+4>>2]=k[h+4>>2];k[l+8>>2]=k[h+8>>2];h=n+-16|0;i=n+-12|0;if(k[i>>2]|0)QO(h);k[i>>2]=k[j+-12>>2];_V(h);h=k[j+-8>>2]|0;i=k[j+-4>>2]|0;if(i|0)Dba(i);k[n+-8>>2]=h;n=n+-4|0;h=k[n>>2]|0;k[n>>2]=i;if(h|0)DY(h);if((e|0)==(g|0))break;else h=m}n=c;k[n>>2]=q;k[n+4>>2]=r;r=w;k[r>>2]=o;k[r+4>>2]=p;do if(f|0){g=k[d>>2]|0;f=(((k[x>>2]|0)-(k[g>>2]|0)|0)/28|0)-f|0;if((f|0)>0){r=g+(((f>>>0)/146|0)<<2)|0;k[d>>2]=r;k[x>>2]=(k[r>>2]|0)+(((f>>>0)%146|0)*28|0);break}else{r=145-f|0;q=g+(((r|0)/-146|0)<<2)|0;k[d>>2]=q;k[x>>2]=(k[q>>2]|0)+((145-((r|0)%146|0)|0)*28|0);break}}while(0);f=k[u>>2]|0}while((f|0)!=(e|0));c=d;y=c;y=k[y>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;b=d;k[b>>2]=y;d=d+4|0;k[d>>2]=c;return}function Zj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=0;v=r;r=r+16|0;t=v;p=b+11|0;n=i[p>>0]|0;m=n<<24>>24<0;s=b+4|0;n=m?k[s>>2]|0:n&255;o=a+11|0;f=i[o>>0]|0;e=f<<24>>24<0;q=a+4|0;f=e?k[q>>2]|0:f&255;g=f>>>0<n>>>0;d=g?f:n;if(!d)u=3;else{d=bN(m?k[b>>2]|0:b,e?k[a>>2]|0:a,d)|0;if(!d)u=3}if((u|0)==3)d=n>>>0<f>>>0?-1:g&1;h=(d|0)<0;j=c+11|0;f=i[j>>0]|0;e=f<<24>>24<0;l=c+4|0;f=e?k[l>>2]|0:f&255;g=n>>>0<f>>>0;d=g?n:f;if(!d)u=6;else{d=bN(e?k[c>>2]|0:c,m?k[b>>2]|0:b,d)|0;if(!d)u=6}if((u|0)==6)d=f>>>0<n>>>0?-1:g&1;d=(d|0)<0;if(!h){if(!d){b=0;r=v;return b|0}k[t>>2]=k[b>>2];k[t+4>>2]=k[b+4>>2];k[t+8>>2]=k[b+8>>2];k[b>>2]=k[c>>2];k[b+4>>2]=k[c+4>>2];k[b+8>>2]=k[c+8>>2];k[c>>2]=k[t>>2];k[c+4>>2]=k[t+4>>2];k[c+8>>2]=k[t+8>>2];h=i[p>>0]|0;g=h<<24>>24<0;h=g?k[s>>2]|0:h&255;f=i[o>>0]|0;e=f<<24>>24<0;f=e?k[q>>2]|0:f&255;d=f>>>0<h>>>0?f:h;if(!d)u=11;else{d=bN(g?k[b>>2]|0:b,e?k[a>>2]|0:a,d)|0;if(!d)u=11;else if((d|0)<0)d=a;else{b=1;r=v;return b|0}}do if((u|0)==11)if(h>>>0<f>>>0){d=a;break}else{b=1;r=v;return b|0}while(0);k[t>>2]=k[d>>2];k[t+4>>2]=k[d+4>>2];k[t+8>>2]=k[d+8>>2];k[d>>2]=k[b>>2];k[d+4>>2]=k[b+4>>2];k[d+8>>2]=k[b+8>>2];k[b>>2]=k[t>>2];k[b+4>>2]=k[t+4>>2];k[b+8>>2]=k[t+8>>2];b=2;r=v;return b|0}if(d){k[t>>2]=k[a>>2];k[t+4>>2]=k[a+4>>2];k[t+8>>2]=k[a+8>>2];k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[c>>2]=k[t>>2];k[c+4>>2]=k[t+4>>2];k[c+8>>2]=k[t+8>>2];b=1;r=v;return b|0}k[t>>2]=k[a>>2];k[t+4>>2]=k[a+4>>2];k[t+8>>2]=k[a+8>>2];k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=k[t>>2];k[b+4>>2]=k[t+4>>2];k[b+8>>2]=k[t+8>>2];h=i[j>>0]|0;g=h<<24>>24<0;h=g?k[l>>2]|0:h&255;f=i[p>>0]|0;e=f<<24>>24<0;f=e?k[s>>2]|0:f&255;d=f>>>0<h>>>0?f:h;if(!d)u=19;else{d=bN(g?k[c>>2]|0:c,e?k[b>>2]|0:b,d)|0;if(!d)u=19;else if((d|0)<0)d=c;else{b=1;r=v;return b|0}}do if((u|0)==19)if(h>>>0<f>>>0){d=c;break}else{b=1;r=v;return b|0}while(0);k[t>>2]=k[b>>2];k[t+4>>2]=k[b+4>>2];k[t+8>>2]=k[b+8>>2];k[b>>2]=k[d>>2];k[b+4>>2]=k[d+4>>2];k[b+8>>2]=k[d+8>>2];k[d>>2]=k[t>>2];k[d+4>>2]=k[t+4>>2];k[d+8>>2]=k[t+8>>2];b=2;r=v;return b|0}function _j(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+16|0;q=s;l=c;while(1){if((l|0)==(d|0)){l=d;break}if(!(i[l>>0]|0))break;l=l+1|0}k[h>>2]=f;k[e>>2]=c;o=g;p=a+8|0;a=f;while(1){if((a|0)==(g|0)|(c|0)==(d|0)){j=c;f=51;break}f=b;m=k[f+4>>2]|0;n=q;k[n>>2]=k[f>>2];k[n+4>>2]=m;n=l;m=A8(k[p>>2]|0)|0;y=0;f=sa(35,a|0,e|0,n-c|0,o-a>>2|0,b|0)|0;t=y;y=0;if(t&1){f=11;break}if(m|0){y=0;qa(405,m|0)|0;t=y;y=0;if(t&1){f=10;break}}if((f|0)==-1){l=a;f=16;break}a=(k[h>>2]|0)+(f<<2)|0;k[h>>2]=a;if((a|0)==(g|0)){f=48;break}c=k[e>>2]|0;if((l|0)==(d|0))l=d;else{l=A8(k[p>>2]|0)|0;y=0;c=Ma(25,a|0,c|0,1,b|0)|0;t=y;y=0;if(t&1){f=38;break}if(l|0){y=0;qa(405,l|0)|0;t=y;y=0;if(t&1){f=37;break}}if(c|0){j=2;f=47;break}k[h>>2]=(k[h>>2]|0)+4;c=(k[e>>2]|0)+1|0;k[e>>2]=c;l=c;while(1){if((l|0)==(d|0)){l=d;break}if(!(i[l>>0]|0))break;l=l+1|0}a=k[h>>2]|0}}do if((f|0)==10){t=tb(0)|0;Sla(t)}else if((f|0)==11){j=pb()|0;if(m|0){y=0;qa(405,m|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;Sla(t)}}sb(j|0)}else if((f|0)==16){a:while(1){k[h>>2]=l;if((c|0)==(k[e>>2]|0)){f=31;break}a=A8(k[p>>2]|0)|0;y=0;l=Ma(25,l|0,c|0,n-c|0,q|0)|0;t=y;y=0;if(t&1){f=21;break}if(a|0){y=0;qa(405,a|0)|0;t=y;y=0;if(t&1){f=20;break}}switch(l|0){case -1:{f=27;break a}case -2:{f=28;break a}case 0:{c=c+1|0;break}default:c=c+l|0}l=(k[h>>2]|0)+4|0;f=16}if((f|0)==20){t=tb(0)|0;Sla(t)}else if((f|0)==21){j=pb()|0;if(a|0){y=0;qa(405,a|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;Sla(t)}}sb(j|0)}else if((f|0)==27){k[e>>2]=c;j=2;f=47;break}else if((f|0)==28){k[e>>2]=c;j=1;f=47;break}else if((f|0)==31){k[e>>2]=c;j=(c|0)!=(d|0)&1;f=47;break}}else if((f|0)==37){t=tb(0)|0;Sla(t)}else if((f|0)==38){j=pb()|0;if(l|0){y=0;qa(405,l|0)|0;t=y;y=0;if(t&1){t=tb(0)|0;Sla(t)}}sb(j|0)}else if((f|0)==48){j=k[e>>2]|0;f=51}while(0);if((f|0)!=47)if((f|0)==51)j=(j|0)!=(d|0)&1;r=s;return j|0}function $j(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,p=0;i=b+4|0;b=k[i>>2]|0;if(!b)p=0;else p=oc[k[(k[b>>2]|0)+8>>2]&511](b)|0;m=a+4|0;j=k[m>>2]|0;l=(j|0)==0;a:do if(l)n=0;else{g=j+-1|0;c=(g&j|0)==0;if(c)h=g&p;else h=(p>>>0)%(j>>>0)|0;b=k[(k[a>>2]|0)+(h<<2)>>2]|0;if(!b)n=h;else{b=k[b>>2]|0;if(!b)n=h;else if(c){b:while(1){if((k[b+4>>2]&g|0)!=(h|0)){n=h;break a}d=k[b+12>>2]|0;do if(d|0){if(!(nx(d,56,136,0)|0))c=k[i>>2]|0;else{c=k[i>>2]|0;if(c)if(nx(c,56,136,0)|0){c=oc[k[(k[d>>2]|0)+8>>2]&511](d)|0;d=k[i>>2]|0;if((c|0)==(oc[k[(k[d>>2]|0)+8>>2]&511](d)|0)){c=49;break b}else break}}if(c|0)if(Fc[k[(k[d>>2]|0)+92>>2]&2047](d,c)|0){c=49;break b}}while(0);b=k[b>>2]|0;if(!b){n=h;break a}}if((c|0)==49){a=b+16|0;return a|0}}else{c:while(1){if((((k[b+4>>2]|0)>>>0)%(j>>>0)|0|0)!=(h|0)){n=h;break a}d=k[b+12>>2]|0;do if(d|0){if(!(nx(d,56,136,0)|0))c=k[i>>2]|0;else{c=k[i>>2]|0;if(c)if(nx(c,56,136,0)|0){d=oc[k[(k[d>>2]|0)+8>>2]&511](d)|0;g=k[i>>2]|0;if((d|0)==(oc[k[(k[g>>2]|0)+8>>2]&511](g)|0)){c=49;break c}else break}}if(c|0)if(Fc[k[(k[d>>2]|0)+92>>2]&2047](d,c)|0){c=49;break c}}while(0);b=k[b>>2]|0;if(!b){n=h;break a}}if((c|0)==49){a=b+16|0;return a|0}}}}while(0);h=IM(24)|0;c=h+8|0;y=0;oa(460,c|0,k[i>>2]|0);i=y;y=0;if(i&1){a=pb()|0;cra(h);sb(a|0)}k[c>>2]=7284;b=h+16|0;y=0;oa(460,b|0,0);i=y;y=0;if(i&1){a=pb()|0;DO(c);cra(h);sb(a|0)}k[b>>2]=7284;k[h+4>>2]=p;k[h>>2]=0;g=a+12|0;e=+(((k[g>>2]|0)+1|0)>>>0);f=+o[a+16>>2];do if(l|e>+(j>>>0)*f){n=(j>>>0>2&(j+-1&j|0)==0&1|j<<1)^1;l=~~+$(+(e/f))>>>0;y=0;oa(480,a|0,(n>>>0<l>>>0?l:n)|0);n=y;y=0;if(n&1){a=pb()|0;DO(b);DO(c);cra(h);sb(a|0)}b=k[m>>2]|0;c=b+-1|0;if(!(c&b)){d=b;b=c&p;break}else{d=b;b=(p>>>0)%(b>>>0)|0;break}}else{d=j;b=n}while(0);b=(k[a>>2]|0)+(b<<2)|0;c=k[b>>2]|0;if(!c){p=a+8|0;k[h>>2]=k[p>>2];k[p>>2]=h;k[b>>2]=p;b=k[h>>2]|0;if(b|0){b=k[b+4>>2]|0;c=d+-1|0;if(!(c&d))b=b&c;else b=(b>>>0)%(d>>>0)|0;k[(k[a>>2]|0)+(b<<2)>>2]=h}}else{k[h>>2]=k[c>>2];k[c>>2]=h}k[g>>2]=(k[g>>2]|0)+1;a=h;a=a+16|0;return a|0}function ak(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;u=0;q=r;r=r+144|0;j=q+24|0;a=q+32|0;t=q+16|0;o=q+8|0;s=q+4|0;n=q+28|0;l=q;k[t>>2]=a;w=t+4|0;k[w>>2]=479;m=a+100|0;y=0;h=qa(323,e|0)|0;p=y;y=0;if(p&1){h=pb()|0;k[t>>2]=0;u=41}else{k[s>>2]=h;y=0;h=Ha(977,s|0,83960)|0;p=y;y=0;if(p&1)h=pb()|0;else{i[n>>0]=0;p=k[c>>2]|0;k[l>>2]=p;a=k[e+4>>2]|0;e=p;y=0;k[j>>2]=k[l>>2];a=Fa(1,b|0,j|0,d|0,s|0,a|0,f|0,n|0,h|0,t|0,o|0,m|0)|0;d=y;y=0;a:do if(d&1)u=13;else{if(a){a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}if(i[n>>0]|0){y=0;a=Ha(k[(k[h>>2]|0)+28>>2]|0,h|0,45)|0;n=y;y=0;if(n&1){u=13;break}y=0;oa(458,g|0,a|0);n=y;y=0;if(n&1){u=13;break}}y=0;l=Ha(k[(k[h>>2]|0)+28>>2]|0,h|0,48)|0;n=y;y=0;if(n&1){u=13;break}h=k[o>>2]|0;j=h+-1|0;a=k[t>>2]|0;while(1){if(a>>>0>=j>>>0)break;if((i[a>>0]|0)!=l<<24>>24)break;a=a+1|0}y=0;ta(162,g|0,a|0,h|0)|0;g=y;y=0;if(g&1){a=pb()|0;break}}a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;g=y;y=0;if(g&1){u=13;break a}if((a|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}}while(0);h=(a|0)==0;do if(!p)u=33;else{if((k[e+12>>2]|0)==(k[e+16>>2]|0)){y=0;a=qa(k[(k[p>>2]|0)+36>>2]|0,e|0)|0;p=y;y=0;if(p&1){u=13;break a}if((a|0)==-1){k[c>>2]=0;u=33;break}}if(!h)u=34}while(0);if((u|0)==33)if(h)u=34;if((u|0)==34)k[f>>2]=k[f>>2]|2;h=k[b>>2]|0;RQ(k[s>>2]|0)|0;a=k[t>>2]|0;k[t>>2]=0;if(a|0){y=0;na(k[w>>2]|0,a|0);w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}}r=q;return h|0}while(0);if((u|0)==13)a=pb()|0;h=a}RQ(k[s>>2]|0)|0;a=k[t>>2]|0;k[t>>2]=0;if(!a)v=h;else u=41}if((u|0)==41){y=0;na(k[w>>2]|0,a|0);w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}else v=h}sb(v|0);return 0}function bk(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=0;t=r;r=r+16|0;q=t;p=sm(a,b,c,d,f)|0;j=i[e+11>>0]|0;h=j<<24>>24<0;j=h?k[e+4>>2]|0:j&255;m=d+11|0;l=i[m>>0]|0;g=l<<24>>24<0;n=d+4|0;l=g?k[n>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)s=3;else{f=bN(h?k[e>>2]|0:e,g?k[d>>2]|0:d,f)|0;if(!f)s=3;else if((f|0)<0){f=e;o=d}else{s=p;r=t;return s|0}}do if((s|0)==3)if(j>>>0<l>>>0){f=e;o=d;break}else{s=p;r=t;return s|0}while(0);k[q>>2]=k[o>>2];k[q+4>>2]=k[o+4>>2];k[q+8>>2]=k[o+8>>2];k[o>>2]=k[f>>2];k[o+4>>2]=k[f+4>>2];k[o+8>>2]=k[f+8>>2];k[f>>2]=k[q>>2];k[f+4>>2]=k[q+4>>2];k[f+8>>2]=k[q+8>>2];e=p+1|0;j=i[m>>0]|0;h=j<<24>>24<0;j=h?k[n>>2]|0:j&255;m=c+11|0;l=i[m>>0]|0;g=l<<24>>24<0;n=c+4|0;l=g?k[n>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)s=8;else{f=bN(h?k[d>>2]|0:o,g?k[c>>2]|0:c,f)|0;if(!f)s=8;else if((f|0)<0)d=c;else{s=e;r=t;return s|0}}do if((s|0)==8)if(j>>>0<l>>>0){d=c;break}else{s=e;r=t;return s|0}while(0);k[q>>2]=k[d>>2];k[q+4>>2]=k[d+4>>2];k[q+8>>2]=k[d+8>>2];k[d>>2]=k[o>>2];k[d+4>>2]=k[o+4>>2];k[d+8>>2]=k[o+8>>2];k[o>>2]=k[q>>2];k[o+4>>2]=k[q+4>>2];k[o+8>>2]=k[q+8>>2];e=p+2|0;j=i[m>>0]|0;h=j<<24>>24<0;j=h?k[n>>2]|0:j&255;n=b+11|0;l=i[n>>0]|0;g=l<<24>>24<0;o=b+4|0;l=g?k[o>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)s=13;else{f=bN(h?k[c>>2]|0:d,g?k[b>>2]|0:b,f)|0;if(!f)s=13;else if((f|0)<0)m=b;else{s=e;r=t;return s|0}}do if((s|0)==13)if(j>>>0<l>>>0){m=b;break}else{s=e;r=t;return s|0}while(0);k[q>>2]=k[m>>2];k[q+4>>2]=k[m+4>>2];k[q+8>>2]=k[m+8>>2];k[m>>2]=k[d>>2];k[m+4>>2]=k[d+4>>2];k[m+8>>2]=k[d+8>>2];k[d>>2]=k[q>>2];k[d+4>>2]=k[q+4>>2];k[d+8>>2]=k[q+8>>2];e=p+3|0;j=i[n>>0]|0;h=j<<24>>24<0;j=h?k[o>>2]|0:j&255;l=i[a+11>>0]|0;g=l<<24>>24<0;l=g?k[a+4>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)s=18;else{f=bN(h?k[b>>2]|0:m,g?k[a>>2]|0:a,f)|0;if(!f)s=18;else if((f|0)>=0){s=e;r=t;return s|0}}do if((s|0)==18)if(j>>>0<l>>>0)break;else{s=e;r=t;return s|0}while(0);k[q>>2]=k[a>>2];k[q+4>>2]=k[a+4>>2];k[q+8>>2]=k[a+8>>2];k[a>>2]=k[m>>2];k[a+4>>2]=k[m+4>>2];k[a+8>>2]=k[m+8>>2];k[m>>2]=k[q>>2];k[m+4>>2]=k[q+4>>2];k[m+8>>2]=k[q+8>>2];s=p+4|0;r=t;return s|0}function ck(a){a=a|0;var b=0;a:do if(!(i[76872]|0))if(Qba(76872)|0){if(!(i[76880]|0))if(Qba(76880)|0){b=85184;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=85472);Pb(475,0,x|0)|0}y=0;Ha(1033,85184,26896)|0;b=y;y=0;do if(!(b&1)){y=0;Ha(1033,85196,26928)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85208,26964)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85220,26988)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85232,27012)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85244,27028)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85256,27048)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85268,27068)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85280,27096)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85292,27136)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85304,27168)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85316,27204)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85328,27240)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85340,27256)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85352,27272)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1033,85364,27288)|0;b=y;y=0;if(b&1)break;y=0;Ha(1033,85376,27012)|0;b=y;y=0;if(b&1)break;y=0;Ha(1033,85388,27304)|0;b=y;y=0;if(b&1)break;y=0;Ha(1033,85400,27320)|0;b=y;y=0;if(b&1)break;y=0;Ha(1033,85412,27336)|0;b=y;y=0;if(b&1)break;y=0;Ha(1033,85424,27352)|0;b=y;y=0;if(b&1)break;y=0;Ha(1033,85436,27368)|0;b=y;y=0;if(b&1)break;y=0;Ha(1033,85448,27384)|0;b=y;y=0;if(b&1)break;y=0;Ha(1033,85460,27400)|0;b=y;y=0;if(b&1)break;k[21368]=85184;break a}}}}}}}}}}}}}}}while(0);b=pb()|0;sb(b|0)}while(0);return k[21368]|0}function dk(a){a=a|0;var b=0;a:do if(!(i[76792]|0))if(Qba(76792)|0){if(!(i[76800]|0))if(Qba(76800)|0){b=84372;do{k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}b=b+12|0}while((b|0)!=84660);Pb(472,0,x|0)|0}y=0;Ha(1009,84372,56744)|0;b=y;y=0;do if(!(b&1)){y=0;Ha(1009,84384,56752)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84396,56761)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84408,56767)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84420,56773)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84432,56777)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84444,56782)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84456,56787)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84468,56794)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84480,56804)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84492,56812)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84504,56821)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84516,56830)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84528,56834)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84540,56838)|0;b=y;y=0;if(!(b&1)){y=0;Ha(1009,84552,56842)|0;b=y;y=0;if(b&1)break;y=0;Ha(1009,84564,56773)|0;b=y;y=0;if(b&1)break;y=0;Ha(1009,84576,56846)|0;b=y;y=0;if(b&1)break;y=0;Ha(1009,84588,56850)|0;b=y;y=0;if(b&1)break;y=0;Ha(1009,84600,56854)|0;b=y;y=0;if(b&1)break;y=0;Ha(1009,84612,56858)|0;b=y;y=0;if(b&1)break;y=0;Ha(1009,84624,56862)|0;b=y;y=0;if(b&1)break;y=0;Ha(1009,84636,56866)|0;b=y;y=0;if(b&1)break;y=0;Ha(1009,84648,56870)|0;b=y;y=0;if(b&1)break;k[21165]=84372;break a}}}}}}}}}}}}}}}while(0);b=pb()|0;sb(b|0)}while(0);return k[21165]|0}function ek(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;f=k[a>>2]|0;do if(!f)h=1;else{g=k[f+12>>2]|0;if((g|0)==(k[f+16>>2]|0))f=oc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else f=k[g>>2]|0;if((f|0)==-1){k[a>>2]=0;h=1;break}else{h=(k[a>>2]|0)==0;break}}while(0);g=k[b>>2]|0;do if(!g)p=14;else{f=k[g+12>>2]|0;if((f|0)==(k[g+16>>2]|0))f=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else f=k[f>>2]|0;if((f|0)==-1){k[b>>2]=0;p=14;break}else if(h){p=17;break}else{p=16;break}}while(0);if((p|0)==14)if(h)p=16;else{g=0;p=17}a:do if((p|0)==16){k[c>>2]=k[c>>2]|6;f=0}else if((p|0)==17){f=k[a>>2]|0;h=k[f+12>>2]|0;if((h|0)==(k[f+16>>2]|0))f=oc[k[(k[f>>2]|0)+36>>2]&511](f)|0;else f=k[h>>2]|0;if(!(rc[k[(k[d>>2]|0)+12>>2]&255](d,2048,f)|0)){k[c>>2]=k[c>>2]|4;f=0;break}f=(rc[k[(k[d>>2]|0)+52>>2]&255](d,f,0)|0)<<24>>24;h=k[a>>2]|0;i=h+12|0;j=k[i>>2]|0;if((j|0)==(k[h+16>>2]|0)){oc[k[(k[h>>2]|0)+40>>2]&511](h)|0;l=g;i=g}else{k[i>>2]=j+4;l=g;i=g}while(1){f=f+-48|0;o=e+-1|0;g=k[a>>2]|0;do if(!g)j=1;else{h=k[g+12>>2]|0;if((h|0)==(k[g+16>>2]|0))g=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else g=k[h>>2]|0;if((g|0)==-1){k[a>>2]=0;j=1;break}else{j=(k[a>>2]|0)==0;break}}while(0);do if(!i){n=l;m=0;g=1}else{g=k[i+12>>2]|0;if((g|0)==(k[i+16>>2]|0))g=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else g=k[g>>2]|0;if((g|0)==-1){k[b>>2]=0;n=0;m=0;g=1;break}else{n=l;m=l;g=(l|0)==0;break}}while(0);h=k[a>>2]|0;if(!((e|0)>1&(j^g)))break;g=k[h+12>>2]|0;if((g|0)==(k[h+16>>2]|0))g=oc[k[(k[h>>2]|0)+36>>2]&511](h)|0;else g=k[g>>2]|0;if(!(rc[k[(k[d>>2]|0)+12>>2]&255](d,2048,g)|0))break a;f=((rc[k[(k[d>>2]|0)+52>>2]&255](d,g,0)|0)<<24>>24)+(f*10|0)|0;g=k[a>>2]|0;h=g+12|0;i=k[h>>2]|0;if((i|0)==(k[g+16>>2]|0)){oc[k[(k[g>>2]|0)+40>>2]&511](g)|0;e=o;l=n;i=m;continue}else{k[h>>2]=i+4;e=o;l=n;i=m;continue}}do if(!h)h=1;else{g=k[h+12>>2]|0;if((g|0)==(k[h+16>>2]|0))g=oc[k[(k[h>>2]|0)+36>>2]&511](h)|0;else g=k[g>>2]|0;if((g|0)==-1){k[a>>2]=0;h=1;break}else{h=(k[a>>2]|0)==0;break}}while(0);do if(!n)p=60;else{g=k[n+12>>2]|0;if((g|0)==(k[n+16>>2]|0))g=oc[k[(k[n>>2]|0)+36>>2]&511](n)|0;else g=k[g>>2]|0;if((g|0)==-1){k[b>>2]=0;p=60;break}else if(h)break a;else break}while(0);if((p|0)==60)if(!h)break;k[c>>2]=k[c>>2]|2}while(0);return f|0}function fk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0.0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;o=0;t=r;r=r+112|0;p=t+72|0;u=t+56|0;q=t+16|0;s=t;n=b+11|0;m=i[n>>0]|0;f=m<<24>>24<0;g=b+4|0;m=f?k[g>>2]|0:m&255;f=f?k[b>>2]|0:b;a:do if(!m)c=-1;else{d=f+m|0;c=f;while(1){if(!(aA(43563,l[c>>0]|0,4)|0))break;c=c+1|0;if((c|0)==(d|0)){c=-1;break a}}c=c-f|0}while(0);j=(c|0)==-1?m:c;b:do if(m>>>0>j>>>0){d=f+m|0;c=f+j|0;while(1){if(!(aA(43568,l[c>>0]|0,13)|0))break;c=c+1|0;if((c|0)==(d|0)){c=-1;break b}}c=c-f|0}else c=-1;while(0);c:do if((i[f+c>>0]|0)==101){e=c+1|0;if(uU(f+e|0)|0){c=i[n>>0]|0;d=c<<24>>24<0;f=d?k[b>>2]|0:b;c=d?k[g>>2]|0:c&255;if(c>>>0>e>>>0){d=f+c|0;c=f+e|0;while(1){if(!(aA(43568,l[c>>0]|0,13)|0))break;c=c+1|0;if((c|0)==(d|0)){c=-1;break c}}c=c-f|0}else c=-1}}while(0);SG(u,b,j,((c|0)==-1?m:c)-j|0,b);y=0;j=qa(315,104)|0;m=y;y=0;if(m&1){t=pb()|0;A9(u);sb(t|0)}e=q;d=e+40|0;do{k[e>>2]=k[a>>2];e=e+4|0;a=a+4|0}while((e|0)<(d|0));y=0;h=+Aa(1,((i[u+11>>0]|0)<0?k[u>>2]|0:u)|0);m=y;y=0;do if(m&1)o=34;else{y=0;e=qa(371,((i[n>>0]|0)<0?k[b>>2]|0:b)|0)|0;n=y;y=0;if(n&1)o=34;else{f=IJ(e)|0;g=e+f|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;if(f>>>0>4294967279){y=0;na(438,s|0);o=y;y=0;if(o&1){o=34;break}else o=24}else if(f>>>0<11){i[s+11>>0]=f;if(!f)c=s;else{a=s;o=27}}else o=24;if((o|0)==24){c=f+16&-16;y=0;a=qa(315,c|0)|0;o=y;y=0;if(o&1){o=34;break}k[s>>2]=a;k[s+8>>2]=c|-2147483648;k[s+4>>2]=f;o=27}if((o|0)==27){d=a;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(g|0))break;else d=d+1|0}c=a+f|0}i[c>>0]=0;y=0;c=qa(372,b|0)|0;b=y;y=0;if(!(b&1)){y=0;e=p;a=q;d=e+40|0;do{k[e>>2]=k[a>>2];e=e+4|0;a=a+4|0}while((e|0)<(d|0));Ca(1,j|0,p|0,+h,s|0,c|0);q=y;y=0;if(!(q&1)){A9(s);i[j+54>>0]=0;i[j+52>>0]=1;A9(u);r=t;return j|0}}c=pb()|0;A9(s)}}while(0);if((o|0)==34)c=pb()|0;cra(j);t=c;A9(u);sb(t|0);return 0}function gk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;e=0;f=r;r=r+80|0;g=f+16|0;d=f;b=k[b+4>>2]|0;if(!b){g=0;r=f;return g|0}c=a+72|0;mc[k[(k[b>>2]|0)+44>>2]&1023](b,c);uO(a+76|0,1);wf(g,c);b=k[a+16>>2]|0;a:do if(!(i[b+24>>0]|0)){if(i[b+21>>0]|0){h=a+396|0;c=i[h+11>>0]|0;b=c<<24>>24<0;y=0;ta(41,g|0,(b?k[h>>2]|0:h)|0,(b?k[a+400>>2]|0:c&255)|0)|0;c=y;y=0;if(c&1){e=8;break}y=0;oa(527,d|0,a|0);h=y;y=0;do if(h&1)b=pb()|0;else{h=i[d+11>>0]|0;a=h<<24>>24<0;y=0;ta(41,g|0,(a?k[d>>2]|0:d)|0,(a?k[d+4>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1){b=pb()|0;A9(d);break}else{A9(d);e=23;break a}}while(0);break}b=a+432|0;h=i[b+11>>0]|0;do if(!((h<<24>>24<0?k[a+436>>2]|0:h&255)|0)){y=0;c=sa(21,b|0,0,-1,87975,0)|0;h=y;y=0;if(h&1){h=tb(0)|0;Sla(h)}else if(!c){e=23;break a}else break}while(0);j=a+396|0;h=i[j+11>>0]|0;c=h<<24>>24<0;y=0;ta(41,g|0,(c?k[j>>2]|0:j)|0,(c?k[a+400>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1)e=8;else{y=0;Na(88,d|0,a|0,b|0);j=y;y=0;do if(j&1)b=pb()|0;else{j=i[d+11>>0]|0;h=j<<24>>24<0;y=0;ta(41,g|0,(h?k[d>>2]|0:d)|0,(h?k[d+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){b=pb()|0;A9(d);break}else{A9(d);e=23;break a}}while(0)}}else e=23;while(0);if((e|0)==23){y=0;e=qa(322,((i[g+11>>0]|0)<0?k[g>>2]|0:g)|0)|0;j=y;y=0;if(j&1)e=8;else{A9(g+48|0);b=k[g+24>>2]|0;c=b;if(b|0){a=g+28|0;d=k[a>>2]|0;if((d|0)!=(b|0))k[a>>2]=d+(~(((d+-24-c|0)>>>0)/24|0)*24|0);cra(b)}b=k[g+12>>2]|0;c=b;if(b|0){a=g+16|0;d=k[a>>2]|0;if((d|0)!=(b|0))k[a>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}A9(g);j=e;r=f;return j|0}}if((e|0)==8)b=pb()|0;A9(g+48|0);c=k[g+24>>2]|0;a=c;if(c|0){d=g+28|0;e=k[d>>2]|0;if((e|0)!=(c|0))k[d>>2]=e+(~(((e+-24-a|0)>>>0)/24|0)*24|0);cra(c)}c=k[g+12>>2]|0;if(!c){A9(g);sb(b|0)}a=g+16|0;d=k[a>>2]|0;if((d|0)!=(c|0))k[a>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(c);A9(g);sb(b|0);return 0}function hk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;t=0;u=r;r=r+16|0;v=u;s=RY(g,83992)|0;l=RY(g,84e3)|0;mc[k[(k[l>>2]|0)+20>>2]&1023](v,l);p=v+11|0;o=i[p>>0]|0;q=v+4|0;a:do if(!((o<<24>>24<0?k[q>>2]|0:o&255)|0)){y=0;Ma(k[(k[s>>2]|0)+48>>2]|0,s|0,a|0,c|0,d|0)|0;t=y;y=0;if(t&1){g=pb()|0;t=30;break}else{g=d+(c-a<<2)|0;k[f>>2]=g;t=29;break}}else{k[f>>2]=d;g=i[a>>0]|0;switch(g<<24>>24){case 43:case 45:{y=0;g=Ha(k[(k[s>>2]|0)+44>>2]|0,s|0,g|0)|0;o=y;y=0;if(!(o&1)){j=k[f>>2]|0;k[f>>2]=j+4;k[j>>2]=g;j=a+1|0;t=9}break}default:{j=a;t=9}}b:do if((t|0)==9){c:do if((c-j|0)>1)if((i[j>>0]|0)==48){g=j+1|0;switch(i[g>>0]|0){case 88:case 120:break;default:{o=j;break c}}y=0;h=Ha(k[(k[s>>2]|0)+44>>2]|0,s|0,48)|0;o=y;y=0;if(o&1)break b;o=k[f>>2]|0;k[f>>2]=o+4;k[o>>2]=h;y=0;g=Ha(k[(k[s>>2]|0)+44>>2]|0,s|0,i[g>>0]|0)|0;o=y;y=0;if(o&1)break b;o=k[f>>2]|0;k[f>>2]=o+4;k[o>>2]=g;o=j+2|0}else o=j;else o=j;while(0);d:do if((o|0)!=(c|0)){g=c;h=o;while(1){g=g+-1|0;if(h>>>0>=g>>>0)break d;n=i[h>>0]|0;i[h>>0]=i[g>>0]|0;i[g>>0]=n;h=h+1|0}}while(0);y=0;n=qa(k[(k[l>>2]|0)+16>>2]|0,l|0)|0;m=y;y=0;if(!(m&1)){m=o;h=0;j=0;while(1){if(m>>>0>=c>>>0)break;g=i[p>>0]|0;l=g<<24>>24<0;w=i[(l?k[v>>2]|0:v)+h>>0]|0;if(w<<24>>24!=0&(j|0)==(w<<24>>24|0)){j=k[f>>2]|0;k[f>>2]=j+4;k[j>>2]=n;h=(h>>>0<((l?k[q>>2]|0:g&255)+-1|0)>>>0&1)+h|0;j=0}y=0;g=Ha(k[(k[s>>2]|0)+44>>2]|0,s|0,i[m>>0]|0)|0;w=y;y=0;if(w&1){t=26;break}w=k[f>>2]|0;k[f>>2]=w+4;k[w>>2]=g;m=m+1|0;j=j+1|0}if((t|0)==26){g=pb()|0;t=30;break a}j=a;g=d+(o-j<<2)|0;h=k[f>>2]|0;if((g|0)==(h|0)){a=j;t=29;break a}else a=h;while(1){a=a+-4|0;if(g>>>0>=a>>>0){a=j;g=h;t=29;break a}w=k[g>>2]|0;k[g>>2]=k[a>>2];k[a>>2]=w;g=g+4|0}}}while(0);g=pb()|0;t=30}while(0);if((t|0)==29){k[e>>2]=(b|0)==(c|0)?g:d+(b-a<<2)|0;A9(v);r=u;return}else if((t|0)==30){A9(v);sb(g|0)}}function ik(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;p=0;g=r;r=r+112|0;e=g;d=g+64|0;m=g+48|0;l=g+40|0;f=d;h=c+12|0;j=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(j|0));cL(m,82288);f=e;h=d;j=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(j|0));y=0;oa(533,a|0,m|0);o=y;y=0;if(o&1)d=pb()|0;else{k[a>>2]=15644;n=a+8|0;y=0;oa(456,n|0,m|0);o=y;y=0;do if(o&1)d=pb()|0;else{o=a+20|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,51649,5);j=y;y=0;if(j&1){d=pb()|0;A9(n);break}f=a+32|0;h=e;j=f+40|0;do{k[f>>2]=k[h>>2];f=f+4|0;h=h+4|0}while((f|0)<(j|0));k[a+72>>2]=0;A9(m);k[a>>2]=21208;k[a+76>>2]=b;k[a+80>>2]=c;y=0;Ha(1009,n|0,51850)|0;m=y;y=0;a:do if(m&1)p=18;else{y=0;oa(460,l|0,k[b+104>>2]|0);m=y;y=0;if(m&1)d=pb()|0;else{k[l>>2]=7284;m=k[l+4>>2]|0;y=0;oa(k[(k[m>>2]|0)+20>>2]|0,e|0,m|0);m=y;y=0;do if(m&1)d=pb()|0;else{m=i[e+11>>0]|0;j=m<<24>>24<0;y=0;ta(41,n|0,(j?k[e>>2]|0:e)|0,(j?k[e+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){d=pb()|0;A9(e);break}A9(e);DO(l);y=0;Ha(974,n|0,51865)|0;m=y;y=0;if(m&1){p=18;break a}y=0;oa(k[(k[c>>2]|0)+20>>2]|0,e|0,c|0);m=y;y=0;do if(m&1)d=pb()|0;else{m=i[e+11>>0]|0;l=m<<24>>24<0;y=0;ta(41,n|0,(l?k[e>>2]|0:e)|0,(l?k[e+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){d=pb()|0;A9(e);break}A9(e);y=0;Ha(974,n|0,51875)|0;p=y;y=0;if(p&1){p=18;break a}r=g;return}while(0);break a}while(0);DO(l)}}while(0);if((p|0)==18)d=pb()|0;k[a>>2]=15644;A9(o);A9(n);Pca(a);a=d;sb(a|0)}while(0);Pca(a)}A9(m);a=d;sb(a|0)}function jk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;m=r;r=r+176|0;h=m;q=m+152|0;j=m+112|0;s=m+104|0;l=m+64|0;n=m+48|0;o=m+40|0;Yv(b,1,0)|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(q);p=5}else if(g>>>0<11){i[q+11>>0]=g;c=q}else p=5;if((p|0)==5){e=g+16&-16;c=IM(e)|0;k[q>>2]=c;k[q+8>>2]=e|-2147483648;k[q+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;c=j;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(591,s|0,b|0);b=y;y=0;if(b&1){s=pb()|0;A9(q);sb(s|0)}y=0;f=qa(315,92)|0;b=y;y=0;a:do if(b&1)c=pb()|0;else{c=l;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,n|0,q|0);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;oa(460,o|0,k[s+4>>2]|0);j=y;y=0;if(j&1){c=pb()|0;A9(n);break}k[o>>2]=8964;c=h;d=l;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,f|0);l=y;y=0;b:do if(l&1){c=1;p=25}else{c=f+12|0;d=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;c=f+56|0;k[c>>2]=0;k[f>>2]=10176;d=f+60|0;y=0;oa(456,d|0,n|0);l=y;y=0;do if(l&1)c=pb()|0;else{e=f+72|0;y=0;oa(460,e|0,k[o+4>>2]|0);l=y;y=0;if(l&1){c=pb()|0;A9(d);break}k[e>>2]=8964;i[f+80>>0]=0;k[f+84>>2]=0;k[f+88>>2]=0;k[c>>2]=11;y=0;oa(460,a|0,f|0);p=y;y=0;if(p&1){c=0;p=25;break b}k[a>>2]=16796;DO(o);A9(n);DO(s);A9(q);r=m;return}while(0);d=1}while(0);if((p|0)==25){p=pb()|0;d=c;c=p}DO(o);A9(n);if(!d)break a}while(0);cra(f)}while(0);DO(s);s=c;A9(q);sb(s|0)}function kk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0.0,g=0.0,h=0,i=0,j=0,l=0,m=0,n=0,p=0,q=0,r=0;n=b+12|0;c=k[n>>2]|0;if(!c)c=0;else c=oc[k[(k[c>>2]|0)+8>>2]&511](c)|0;m=b+4|0;k[m>>2]=c;d=a+4|0;e=k[d>>2]|0;r=a+12|0;f=+(((k[r>>2]|0)+1|0)>>>0);g=+o[a+16>>2];if((e|0)==0|f>+(e>>>0)*g){e=(e>>>0>2&(e+-1&e|0)==0&1|e<<1)^1;c=~~+$(+(f/g))>>>0;kz(a,e>>>0<c>>>0?c:e);e=k[d>>2]|0;c=k[m>>2]|0}p=e+-1|0;q=(p&e|0)==0;if(q)l=p&c;else l=(c>>>0)%(e>>>0)|0;c=k[(k[a>>2]|0)+(l<<2)>>2]|0;if(!c){c=a+8|0;k[b>>2]=k[c>>2];k[c>>2]=b;k[(k[a>>2]|0)+(l<<2)>>2]=c;c=k[b>>2]|0;if(!c){a=k[r>>2]|0;a=a+1|0;k[r>>2]=a;return b|0}c=k[c+4>>2]|0;if(q)c=c&p;else c=(c>>>0)%(e>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=b;a=k[r>>2]|0;a=a+1|0;k[r>>2]=a;return b|0}h=k[c>>2]|0;a:do if(!h)d=c;else if(q){j=0;d=c;i=h;while(1){h=k[i+4>>2]|0;if((h&p|0)!=(l|0))break a;do if((h|0)==(k[m>>2]|0)){i=k[i+12>>2]|0;if(!i)h=0;else{if(!(nx(i,56,136,0)|0))h=k[n>>2]|0;else{h=k[n>>2]|0;if(h)if(nx(h,56,136,0)|0){i=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;h=k[n>>2]|0;h=(i|0)==(oc[k[(k[h>>2]|0)+8>>2]&511](h)|0);break}}if(!h)h=0;else h=Fc[k[(k[i>>2]|0)+92>>2]&2047](i,h)|0}}else h=0;while(0);if(!(h|j^1))break a;c=k[c>>2]|0;i=k[c>>2]|0;if(!i){d=c;break}else{j=j|h;d=c}}}else{j=0;d=c;i=h;while(1){h=k[i+4>>2]|0;if(((h>>>0)%(e>>>0)|0|0)!=(l|0))break a;do if((h|0)==(k[m>>2]|0)){i=k[i+12>>2]|0;if(!i)h=0;else{if(!(nx(i,56,136,0)|0))h=k[n>>2]|0;else{h=k[n>>2]|0;if(h)if(nx(h,56,136,0)|0){i=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;h=k[n>>2]|0;h=(i|0)==(oc[k[(k[h>>2]|0)+8>>2]&511](h)|0);break}}if(!h)h=0;else h=Fc[k[(k[i>>2]|0)+92>>2]&2047](i,h)|0}}else h=0;while(0);if(!(h|j^1))break a;c=k[c>>2]|0;i=k[c>>2]|0;if(!i){d=c;break}else{j=j|h;d=c}}}while(0);k[b>>2]=k[d>>2];k[c>>2]=b;c=k[b>>2]|0;if(!c){a=k[r>>2]|0;a=a+1|0;k[r>>2]=a;return b|0}c=k[c+4>>2]|0;if(q)c=c&p;else c=(c>>>0)%(e>>>0)|0;if((c|0)==(l|0)){a=k[r>>2]|0;a=a+1|0;k[r>>2]=a;return b|0}k[(k[a>>2]|0)+(c<<2)>>2]=b;a=k[r>>2]|0;a=a+1|0;k[r>>2]=a;return b|0}function lk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;s=0;t=r;r=r+16|0;u=t;q=RY(g,83960)|0;l=RY(g,83976)|0;mc[k[(k[l>>2]|0)+20>>2]&1023](u,l);o=u+11|0;n=i[o>>0]|0;p=u+4|0;a:do if(!((n<<24>>24<0?k[p>>2]|0:n&255)|0)){y=0;Ma(k[(k[q>>2]|0)+32>>2]|0,q|0,a|0,c|0,d|0)|0;s=y;y=0;if(s&1){g=pb()|0;s=31;break}else{g=d+(c-a)|0;k[f>>2]=g;s=30;break}}else{k[f>>2]=d;g=i[a>>0]|0;switch(g<<24>>24){case 43:case 45:{y=0;g=Ha(k[(k[q>>2]|0)+28>>2]|0,q|0,g|0)|0;n=y;y=0;if(!(n&1)){j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=g;j=a+1|0;s=9}break}default:{j=a;s=9}}b:do if((s|0)==9){c:do if((c-j|0)>1)if((i[j>>0]|0)==48){g=j+1|0;switch(i[g>>0]|0){case 88:case 120:break;default:break c}y=0;h=Ha(k[(k[q>>2]|0)+28>>2]|0,q|0,48)|0;n=y;y=0;if(n&1)break b;n=k[f>>2]|0;k[f>>2]=n+1;i[n>>0]=h;y=0;g=Ha(k[(k[q>>2]|0)+28>>2]|0,q|0,i[g>>0]|0)|0;n=y;y=0;if(n&1)break b;n=k[f>>2]|0;k[f>>2]=n+1;i[n>>0]=g;j=j+2|0}while(0);d:do if((j|0)!=(c|0)){g=c;h=j;while(1){g=g+-1|0;if(h>>>0>=g>>>0)break d;n=i[h>>0]|0;i[h>>0]=i[g>>0]|0;i[g>>0]=n;h=h+1|0}}while(0);y=0;n=qa(k[(k[l>>2]|0)+16>>2]|0,l|0)|0;m=y;y=0;if(!(m&1)){m=j;g=0;h=0;while(1){if(m>>>0>=c>>>0)break;l=i[((i[o>>0]|0)<0?k[u>>2]|0:u)+g>>0]|0;if(l<<24>>24!=0&(h|0)==(l<<24>>24|0)){h=k[f>>2]|0;k[f>>2]=h+1;i[h>>0]=n;h=i[o>>0]|0;g=(g>>>0<((h<<24>>24<0?k[p>>2]|0:h&255)+-1|0)>>>0&1)+g|0;h=0}y=0;l=Ha(k[(k[q>>2]|0)+28>>2]|0,q|0,i[m>>0]|0)|0;v=y;y=0;if(v&1){s=26;break}v=k[f>>2]|0;k[f>>2]=v+1;i[v>>0]=l;m=m+1|0;h=h+1|0}if((s|0)==26){g=pb()|0;s=31;break a}h=a;g=d+(j-h)|0;a=k[f>>2]|0;if((g|0)==(a|0)){a=h;s=30;break a}while(1){a=a+-1|0;if(g>>>0>=a>>>0)break;v=i[g>>0]|0;i[g>>0]=i[a>>0]|0;i[a>>0]=v;g=g+1|0}a=h;g=k[f>>2]|0;s=30;break a}}while(0);g=pb()|0;s=31}while(0);if((s|0)==30){k[e>>2]=(b|0)==(c|0)?g:d+(b-a)|0;A9(u);r=t;return}else if((s|0)==31){A9(u);sb(g|0)}}function mk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=r;r=r+48|0;m=s+32|0;n=s+24|0;o=s+16|0;q=s+8|0;p=s;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=32105){q=0;r=s;return q|0}c=a+60|0;d=b+60|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[a+64>>2]|0:e;l=i[d+11>>0]|0;f=l<<24>>24<0;if((h|0)!=((f?k[b+64>>2]|0:l&255)|0)){q=0;r=s;return q|0}j=k[c>>2]|0;l=g?j:c;d=f?k[d>>2]|0:d;f=(h|0)==0;a:do if(g){if(!f)if(bN(l,d,h)|0){q=0;r=s;return q|0}}else if(!f){if((j&255)<<24>>24!=(i[d>>0]|0)){q=0;r=s;return q|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}r=s;return c|0}while(0);l=a+76|0;y=0;oa(460,m|0,k[l>>2]|0);a=y;y=0;do if(a&1){d=cb(5856,0)|0;c=N}else{k[m>>2]=8964;d=k[m+4>>2]|0;c=k[d+68>>2]|0;d=k[d+64>>2]|0;j=b+76|0;y=0;oa(460,n|0,k[j>>2]|0);b=y;y=0;if(b&1){d=cb(5856,0)|0;c=N;DO(m);break}k[n>>2]=8964;b=k[n+4>>2]|0;b=(c-d|0)==((k[b+68>>2]|0)-(k[b+64>>2]|0)|0);DO(n);DO(m);if(!b){q=0;r=s;return q|0}y=0;oa(460,o|0,k[l>>2]|0);n=y;y=0;if(n&1){d=cb(5856,0)|0;c=N;break}k[o>>2]=8964;h=k[o+4>>2]|0;h=(k[h+68>>2]|0)-(k[h+64>>2]|0)>>3;DO(o);if(!h){q=1;r=s;return q|0}f=q+4|0;g=p+4|0;e=0;while(1){y=0;oa(460,q|0,k[l>>2]|0);o=y;y=0;if(o&1){e=24;break}k[q>>2]=8964;d=k[(k[(k[f>>2]|0)+64>>2]|0)+(e<<3)+4>>2]|0;c=k[(k[d>>2]|0)+92>>2]|0;y=0;oa(460,p|0,k[j>>2]|0);o=y;y=0;if(o&1){e=25;break}k[p>>2]=8964;y=0;c=Ha(c|0,d|0,k[(k[(k[g>>2]|0)+64>>2]|0)+(e<<3)+4>>2]|0)|0;o=y;y=0;if(o&1){e=26;break}DO(p);DO(q);e=e+1|0;if(!c){c=0;e=28;break}if(e>>>0>=h>>>0){c=1;e=28;break}}if((e|0)==24){d=cb(5856,0)|0;c=N;break}else if((e|0)==25){d=cb(5856,0)|0;c=N}else if((e|0)==26){d=cb(5856,0)|0;c=N;DO(p)}else if((e|0)==28){r=s;return c|0}DO(q)}while(0);q=(c|0)==(ob(5856)|0);vb(d|0)|0;if(q){rb();q=0;r=s;return q|0}y=0;la(4);y=0;c=pb()|0;y=0;la(3);s=y;y=0;if(s&1){s=tb(0)|0;Sla(s)}else sb(c|0);return 0}function nk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=0;v=r;r=r+32|0;p=v+24|0;q=v+16|0;s=v+8|0;t=v;if(!(Jo(a,b)|0)){g=a+72|0;h=b+72|0;l=i[g+11>>0]|0;j=l<<24>>24<0;l=j?k[a+76>>2]|0:l&255;e=i[h+11>>0]|0;d=e<<24>>24<0;e=d?k[b+76>>2]|0:e&255;f=e>>>0<l>>>0;c=f?e:l;if(!c)u=35;else{c=bN(j?k[g>>2]|0:g,d?k[h>>2]|0:h,c)|0;if(!c)u=35}if((u|0)==35)c=l>>>0<e>>>0?-1:f&1;u=(c|0)<0;r=v;return u|0}l=a+84|0;m=b+84|0;e=i[l+11>>0]|0;h=e<<24>>24<0;e=e&255;n=h?k[a+88>>2]|0:e;o=i[m+11>>0]|0;j=o<<24>>24<0;o=j?k[b+88>>2]|0:o&255;a:do if((n|0)==(o|0)){d=k[l>>2]|0;f=h?d:l;c=j?k[m>>2]|0:m;g=(n|0)==0;b:do if(h){if(!g)if(bN(f,c,n)|0)break a}else if(!g){if((d&255)<<24>>24==(i[c>>0]|0))d=l;else break a;while(1){e=e+-1|0;d=d+1|0;if(!e)break b;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break a}}while(0);h=a+104|0;j=b+104|0;e=i[h+11>>0]|0;l=e<<24>>24<0;e=e&255;n=l?k[a+108>>2]|0:e;o=i[j+11>>0]|0;m=o<<24>>24<0;o=m?k[b+108>>2]|0:o&255;c:do if((n|0)==(o|0)){d=k[h>>2]|0;f=l?d:h;c=m?k[j>>2]|0:j;g=(n|0)==0;d:do if(l){if(!g)if(bN(f,c,n)|0)break c}else if(!g){if((d&255)<<24>>24==(i[c>>0]|0))d=h;else break c;while(1){e=e+-1|0;d=d+1|0;if(!e)break d;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break c}}while(0);d=a+120|0;LT(p,k[d>>2]|0);k[p>>2]=7492;e=(k[p+4>>2]|0)==0;DO(p);f=b+120|0;LT(q,k[f>>2]|0);k[q>>2]=7492;c=(k[q+4>>2]|0)==0;DO(q);if(e|c){u=e&(c^1);r=v;return u|0}LT(s,k[d>>2]|0);k[s>>2]=7492;c=k[s+4>>2]|0;d=k[(k[c>>2]|0)+120>>2]|0;y=0;oa(460,t|0,k[f>>2]|0);u=y;y=0;if(u&1){v=pb()|0;DO(s);sb(v|0)}k[t>>2]=7492;y=0;c=Ha(d|0,c|0,k[t+4>>2]|0)|0;u=y;y=0;if(u&1){v=pb()|0;DO(t);DO(s);sb(v|0)}else{DO(t);DO(s);u=c;r=v;return u|0}}while(0);d=o>>>0<n>>>0;c=d?o:n;if(!c)u=27;else{c=bN(l?k[h>>2]|0:h,m?k[j>>2]|0:j,c)|0;if(!c)u=27}if((u|0)==27)c=n>>>0<o>>>0?-1:d&1;u=(c|0)<0;r=v;return u|0}while(0);d=o>>>0<n>>>0;c=d?o:n;if(!c)u=31;else{c=bN(h?k[l>>2]|0:l,j?k[m>>2]|0:m,c)|0;if(!c)u=31}if((u|0)==31)c=n>>>0<o>>>0?-1:d&1;u=(c|0)<0;r=v;return u|0}function ok(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;o=r;r=r+32|0;s=o+16|0;p=o+8|0;q=o;n=a+4|0;m=($ka(n)|0)==5;d=b+84|0;e=k[d>>2]|0;f=b+88|0;c=k[f>>2]|0;if(m&(e|0)==(c|0)){k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;aI(s,48577,2);y=0;oa(679,n|0,s|0);q=y;y=0;if(q&1){q=pb()|0;A9(s);s=q;sb(s|0)}else{A9(s);r=o;return}}m=b+60|0;if((e|0)==(c|0)){r=o;return}if(oc[k[(k[b>>2]|0)+84>>2]&511](b)|0){r=o;return}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;aI(s,48580,1);y=0;oa(679,n|0,s|0);l=y;y=0;if(l&1){q=pb()|0;A9(s);s=q;sb(s|0)}A9(s);c=k[d>>2]|0;d=k[f>>2]|0;a:do if((c|0)!=(d|0)){e=s+4|0;j=a+100|0;l=a+101|0;f=p+4|0;b=0;while(1){LT(s,k[c+4>>2]|0);k[s>>2]=7284;if(b){y=0;na(462,n|0);h=y;y=0;if(h&1){c=14;break}}h=k[e>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){c=14;break}y=0;na(460,n|0);h=y;y=0;if(h&1){c=14;break}g=i[j>>0]|0;i[j>>0]=1;h=i[l>>0]|0;i[l>>0]=1;y=0;oa(460,q|0,k[e>>2]|0);b=y;y=0;if(b&1){c=21;break}k[q>>2]=7284;y=0;Na(76,p|0,m|0,q|0);b=y;y=0;if(b&1){c=22;break}b=k[f>>2]|0;y=0;oa(k[(k[b>>2]|0)+44>>2]|0,b|0,a|0);b=y;y=0;if(b&1){c=23;break}DO(p);DO(q);i[l>>0]=h;i[j>>0]=g;DO(s);c=c+8|0;if((c|0)==(d|0))break a;else b=1}if((c|0)==14)b=pb()|0;else if((c|0)==21){b=pb()|0;c=25}else if((c|0)==22){b=pb()|0;c=24}else if((c|0)==23){b=pb()|0;DO(p);c=24}if((c|0)==24){DO(q);c=25}if((c|0)==25){i[l>>0]=h;i[j>>0]=g}DO(s);s=b;sb(s|0)}while(0);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;aI(s,48585,1);y=0;oa(679,n|0,s|0);q=y;y=0;if(q&1){q=pb()|0;A9(s);s=q;sb(s|0)}else{A9(s);r=o;return}}function pk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;p=0;a:while(1){n=b;o=b+-4|0;while(1){b:while(1){m=a;d=n-m|0;e=d>>2;switch(e|0){case 1:case 0:break a;case 2:{p=5;break a}case 3:{p=7;break a}case 4:{p=8;break a}case 5:{p=9;break a}default:{}}if((d|0)<124){p=11;break a}i=a+(((e|0)/2|0)<<2)|0;if((d|0)>3996){d=(e|0)/4|0;d=IC(a,a+(d<<2)|0,i,i+(d<<2)|0,o,c)|0}else d=iE(a,i,o,c)|0;h=k[a>>2]|0;f=k[i>>2]|0;if(h>>>0<f>>>0){e=o;break}else e=o;while(1){e=e+-4|0;if((a|0)==(e|0))break;g=k[e>>2]|0;if(g>>>0<f>>>0){p=29;break b}}d=a+4|0;f=k[o>>2]|0;if(h>>>0>=f>>>0){while(1){if((d|0)==(o|0))break a;e=k[d>>2]|0;if(h>>>0<e>>>0)break;d=d+4|0}k[d>>2]=f;k[o>>2]=e;d=d+4|0}if((d|0)==(o|0))break a;else e=o;while(1){i=k[a>>2]|0;while(1){g=k[d>>2]|0;h=d+4|0;if(i>>>0<g>>>0)break;else d=h}do{e=e+-4|0;f=k[e>>2]|0}while(i>>>0<f>>>0);if(d>>>0>=e>>>0){a=d;continue b}k[d>>2]=f;k[e>>2]=g;d=h}}if((p|0)==29){p=0;k[a>>2]=g;k[e>>2]=h;d=d+1|0}f=a+4|0;c:do if(f>>>0<e>>>0){l=i;while(1){j=k[l>>2]|0;while(1){h=k[f>>2]|0;i=f+4|0;if(h>>>0<j>>>0)f=i;else break}do{e=e+-4|0;g=k[e>>2]|0}while(g>>>0>=j>>>0);if(f>>>0>e>>>0){g=l;h=f;break c}k[f>>2]=g;k[e>>2]=h;l=(l|0)==(f|0)?e:l;f=i;d=d+1|0}}else{g=i;h=f}while(0);if((h|0)!=(g|0)){e=k[g>>2]|0;f=k[h>>2]|0;if(e>>>0<f>>>0){k[h>>2]=e;k[g>>2]=f;d=d+1|0}}if(!d){d=Et(a,h,c)|0;e=h+4|0;if(Et(e,b,c)|0){p=45;break}if(d){a=e;continue}}l=h;if((l-m|0)>=(n-l|0)){p=44;break}pk(a,h,c);a=h+4|0}if((p|0)==44){p=0;pk(h+4|0,b,c);b=h;continue}else if((p|0)==45){p=0;if(d)break;else{b=h;continue}}}if((p|0)==5){b=k[o>>2]|0;d=k[a>>2]|0;if(b>>>0<d>>>0){k[a>>2]=b;k[o>>2]=d}}else if((p|0)==7)iE(a,a+4|0,o,c)|0;else if((p|0)==8)dF(a,a+4|0,a+8|0,o,c)|0;else if((p|0)==9)IC(a,a+4|0,a+8|0,a+12|0,o,c)|0;else if((p|0)==11)aF(a,b,c);return}function qk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;a:do if(a|0){j=i[48639]|0;e=j<<24>>24==0;if(e)b=a;else{b=a;c=48639;d=j;do{if((i[b>>0]|0)!=d<<24>>24)break a;b=b+1|0;c=c+1|0;d=i[c>>0]|0}while(d<<24>>24!=0)}d=i[b>>0]|0;if(d<<24>>24){if(e){c=0;e=0;while(1){switch(d<<24>>24){case 92:{f=e;b=b+1|0;break}case 34:{c=c^1;f=e;break}case 39:{f=e^1;break}default:if(c){c=1;f=e}else{c=0;f=e;b=e?b:b+-1|0}}b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a;else e=f}}else{c=0;e=0;h=0}b:while(1){c:do switch(d<<24>>24){case 92:{b=b+1|0;f=h;break}case 34:{c=c^1;f=h;break}case 39:{e=e^1;f=h;break}default:if(c){c=1;f=h}else if(e){c=0;e=1;f=h}else if(!b){c=0;e=0;b=0;f=h}else{d:do if(d<<24>>24==j<<24>>24){g=b;c=48639;while(1){e=g+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break;if((i[e>>0]|0)!=f<<24>>24)break d;else g=e}c=0;e=0;b=g;f=h+1|0;break c}while(0);c=i[50303]|0;e:do if(c<<24>>24){if(d<<24>>24==c<<24>>24){c=b;d=50303}else{c=0;e=0;f=h;break c}while(1){c=c+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){b=c;break e}if((i[c>>0]|0)!=e<<24>>24){c=0;e=0;f=h;break c}}}while(0);if(!h)break b;else{c=0;e=0;b=b+-1|0;f=h+-1|0}}}while(0);b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a;else h=f}if(b|0){a=b;return a|0}}}while(0);if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){a=b;return a|0}}b=ds(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}b=ds(a)|0;if(b|0){b=Yx(b)|0;if(b|0){a=b;return a|0}}c=a+1|0;if((i[a>>0]|0)==36){if((i[c>>0]|0)==45){b=c;do b=b+1|0;while((i[b>>0]|0)==45)}else b=c;b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){a=b;return a|0}}}b=p4(a)|0;if(b|0){a=b;return a|0}if((i[a>>0]|0)!=92){a=0;return a|0}a=Bka(c)|0;return a|0}function rk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=0;o=r;r=r+128|0;m=o;s=o+120|0;p=o+64|0;c=o+40|0;l=o+80|0;n=o+56|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;aI(p,39771,4);y=0;g=m;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=pa(40,p|0,a|0,d|0,m|0,f|0,0)|0;j=y;y=0;if(!(j&1)){y=0;oa(460,s|0,b|0);j=y;y=0;if(!(j&1)){k[s>>2]=16764;A9(p);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,39776,4);j=y;y=0;do if(j&1){b=pb()|0;q=14}else{y=0;g=m;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=sa(27,c|0,a|0,d|0,m|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(460,p|0,b|0);f=y;y=0;if(!(f&1)){k[p>>2]=7284;A9(c);y=0;c=qa(315,68)|0;f=y;y=0;if(f&1)b=pb()|0;else{g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=k[s+4>>2]|0;y=0;oa(460,n|0,k[p+4>>2]|0);e=y;y=0;if(e&1)b=pb()|0;else{k[n>>2]=7284;y=0;b=Ha(986,b+64|0,n|0)|0;e=y;y=0;if(!(e&1)){g=m;h=l;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(422,c|0);e=y;y=0;if(!(e&1)){b=(b|0)!=0;g=c+12|0;h=m;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=b&1;k[c+64>>2]=0;k[c+56>>2]=1;DO(n);DO(p);DO(s);r=o;return c|0}}b=pb()|0;DO(n)}cra(c)}DO(p);break}}b=pb()|0;A9(c);q=14}while(0);DO(s);s=b;sb(s|0)}}s=pb()|0;A9(p);sb(s|0);return 0}function sk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=0;n=r;r=r+32|0;o=n+16|0;l=n+8|0;j=n;if(!a){o=0;r=n;return o|0}LT(o,k[a+68>>2]|0);k[o>>2]=6868;h=o+4|0;a=k[h>>2]|0;a:do if(!a)a=0;else{e=(k[a+72>>2]|0)-(k[a+68>>2]|0)>>3;if(!e)a=0;else{f=l+4|0;g=(b|0)==3;d=0;b:while(1){a=a+64|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,d|0)|0;c=y;y=0;if(c&1){m=11;break}y=0;oa(460,l|0,k[a+4>>2]|0);c=y;y=0;if(c&1){m=11;break}k[l>>2]=6508;a=k[f>>2]|0;do if(!a)m=28;else if((k[119]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0))c=0;else if((k[133]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0))c=0;else{if((k[167]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)){if(!g){c=0;break}if(!(i[a+72>>0]|0)){m=35;break}else{c=0;break}}if((k[81]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;a=Ha(1e3,a|0,b|0)|0;c=y;y=0;if(c&1){m=19;break b}if(a){c=0;break}else{m=35;break}}if((k[331]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;a=Ha(1001,a|0,b|0)|0;c=y;y=0;if(c&1){m=23;break b}if(a){c=0;break}else{m=35;break}}if((k[109]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;a=Ha(1002,a|0,b|0)|0;c=y;y=0;if(c&1){m=27;break b}if(a)c=0;else m=35}else m=28}while(0);if((m|0)==28){m=0;y=0;a=qa(342,a|0)|0;c=y;y=0;if(c&1){m=27;break}if(!a)m=35;else{y=0;oa(460,j|0,k[a+68>>2]|0);c=y;y=0;if(c&1){m=33;break}k[j>>2]=6868;y=0;a=Ha(999,j|0,b|0)|0;c=y;y=0;if(c&1){m=34;break}DO(j);if(a)c=0;else m=35}}if((m|0)==35){m=0;c=1}DO(l);a=d+1|0;if(!c){a=1;break a}if(a>>>0>=e>>>0){a=0;break a}d=a;a=k[h>>2]|0}if((m|0)==11){n=pb()|0;DO(o);sb(n|0)}else if((m|0)==19)a=pb()|0;else if((m|0)==23)a=pb()|0;else if((m|0)==27)a=pb()|0;else if((m|0)==33)a=pb()|0;else if((m|0)==34){a=pb()|0;DO(j)}DO(l);n=a;DO(o);sb(n|0)}}while(0);DO(o);o=a;r=n;return o|0}function tk(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;v=r;r=r+16|0;u=v;Cda(a);g=a+12|0;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));i[a+52>>0]=0;i[a+53>>0]=0;i[a+54>>0]=0;q=a+56|0;k[q>>2]=0;k[a>>2]=6e3;p[a+64>>3]=c;i[a+72>>0]=e&1;w=a+76|0;x=a+80|0;s=a+88|0;t=a+92|0;o=d+11|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;k[w+12>>2]=0;k[w+16>>2]=0;k[w+20>>2]=0;k[w+24>>2]=0;f=i[o>>0]|0;if(f<<24>>24<0)b=k[d+4>>2]|0;else b=f&255;if(!b){k[q>>2]=2;r=v;return}j=d+4|0;l=u+11|0;m=u+4|0;n=a+84|0;h=a+96|0;a=1;e=0;b=f;a:while(1){if(b<<24>>24<0){b=k[j>>2]|0;g=k[d>>2]|0}else{b=b&255;g=d}if(b>>>0>e>>>0){f=g+b|0;b=g+e|0;b:while(1){switch(i[b>>0]|0){case 42:case 47:break b;default:{}}b=b+1|0;if((b|0)==(f|0)){b=f;break}}g=(b|0)==(f|0)?-1:b-g|0}else g=-1;f=(g|0)==-1;y=0;ma(4,u|0,d|0,e|0,(f?-1:g-e|0)|0,d|0);e=y;y=0;if(e&1){b=20;break}e=i[l>>0]|0;do if((e<<24>>24<0?k[m>>2]|0:e&255)|0)if(a){b=k[x>>2]|0;if((b|0)==(k[n>>2]|0)){y=0;oa(457,w|0,u|0);e=y;y=0;if(e&1){b=21;break a}else break}y=0;oa(456,b|0,u|0);e=y;y=0;if(e&1){b=21;break a}k[x>>2]=(k[x>>2]|0)+12;break}else{b=k[t>>2]|0;if((b|0)==(k[h>>2]|0)){y=0;oa(457,s|0,u|0);e=y;y=0;if(e&1){b=21;break a}else break}y=0;oa(456,b|0,u|0);e=y;y=0;if(e&1){b=21;break a}k[t>>2]=(k[t>>2]|0)+12;break}while(0);if(f){b=30;break}if((i[o>>0]|0)<0)b=k[d>>2]|0;else b=d;e=a&(i[b+g>>0]|0)!=47;A9(u);a=e;e=g+1|0;b=i[o>>0]|0}if((b|0)==20)g=pb()|0;else if((b|0)==21){g=pb()|0;A9(u)}else if((b|0)==30){A9(u);k[q>>2]=2;r=v;return}b=k[s>>2]|0;if(b|0){f=k[t>>2]|0;if((f|0)!=(b|0)){do{v=f+-12|0;k[t>>2]=v;A9(v);f=k[t>>2]|0}while((f|0)!=(b|0));b=k[s>>2]|0}cra(b)}b=k[w>>2]|0;if(!b)sb(g|0);f=k[x>>2]|0;if((f|0)!=(b|0)){do{v=f+-12|0;k[x>>2]=v;A9(v);f=k[x>>2]|0}while((f|0)!=(b|0));b=k[w>>2]|0}cra(b);sb(g|0)}function uk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;o=0;p=r;r=r+128|0;j=p+80|0;q=p+56|0;m=p+68|0;n=p+16|0;l=p;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;aI(q,38830,7);y=0;b=j;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));a=sa(25,q|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;A9(q);q=e;sb(q|0)}A9(q);cL(q,a+64|0);g=q+11|0;c=i[g>>0]|0;h=c<<24>>24<0?k[q+4>>2]|0:c&255;a:do if(!h)o=4;else{b=0;while(1){y=0;c=qa(334,i[(c<<24>>24<0?k[q>>2]|0:q)+b>>0]|0)|0;f=y;y=0;if(f&1)break;if(c){f=((i[g>>0]|0)<0?k[q>>2]|0:q)+b|0;d=(bka(i[f>>0]|0)|0)&255;i[f>>0]=d}b=b+1|0;if(b>>>0>=h>>>0){o=4;break a}c=i[g>>0]|0}b=pb()|0}while(0);do if((o|0)==4){if(!a)o=20;else{b=k[a>>2]|0;if((k[307]|0)==(k[(k[b+-4>>2]|0)+4>>2]|0)){y=0;b=qa(k[b+12>>2]|0,a|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(456,m|0,q|0);e=y;y=0;if(e&1){b=pb()|0;break}k[b+76>>2]=0;y=0;Ha(969,b+64|0,m|0)|0;e=y;y=0;if(e&1){b=pb()|0;A9(m);break}A9(m);e=b;A9(q);r=p;return e|0}}else o=20}if((o|0)==20){y=0;c=qa(315,80)|0;o=y;y=0;if(!(o&1)){b=n;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));y=0;oa(456,l|0,q|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=j;g=n;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(2,c|0,j|0,l|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;A9(l);break}A9(l);e=c;A9(q);r=p;return e|0}while(0);cra(c);break}}b=pb()|0}while(0);A9(q);q=b;sb(q|0);return 0}function vk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;o=0;p=r;r=r+128|0;j=p+80|0;q=p+56|0;m=p+68|0;n=p+16|0;l=p;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;aI(q,38830,7);y=0;b=j;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));a=sa(25,q|0,a|0,d|0,j|0,f|0)|0;f=y;y=0;if(f&1){e=pb()|0;A9(q);q=e;sb(q|0)}A9(q);cL(q,a+64|0);g=q+11|0;c=i[g>>0]|0;h=c<<24>>24<0?k[q+4>>2]|0:c&255;a:do if(!h)o=4;else{b=0;while(1){y=0;c=qa(334,i[(c<<24>>24<0?k[q>>2]|0:q)+b>>0]|0)|0;f=y;y=0;if(f&1)break;if(c){f=((i[g>>0]|0)<0?k[q>>2]|0:q)+b|0;d=(cka(i[f>>0]|0)|0)&255;i[f>>0]=d}b=b+1|0;if(b>>>0>=h>>>0){o=4;break a}c=i[g>>0]|0}b=pb()|0}while(0);do if((o|0)==4){if(!a)o=20;else{b=k[a>>2]|0;if((k[307]|0)==(k[(k[b+-4>>2]|0)+4>>2]|0)){y=0;b=qa(k[b+12>>2]|0,a|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(456,m|0,q|0);e=y;y=0;if(e&1){b=pb()|0;break}k[b+76>>2]=0;y=0;Ha(969,b+64|0,m|0)|0;e=y;y=0;if(e&1){b=pb()|0;A9(m);break}A9(m);e=b;A9(q);r=p;return e|0}}else o=20}if((o|0)==20){y=0;c=qa(315,80)|0;o=y;y=0;if(!(o&1)){b=n;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));y=0;oa(456,l|0,q|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=j;g=n;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(2,c|0,j|0,l|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;A9(l);break}A9(l);e=c;A9(q);r=p;return e|0}while(0);cra(c);break}}b=pb()|0}while(0);A9(q);q=b;sb(q|0);return 0}function wk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;x=0;z=r;r=r+32|0;u=z;A=IM(36)|0;k[A+4>>2]=0;k[A+8>>2]=0;k[A>>2]=15692;v=A+12|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[v+16>>2]=0;k[v+20>>2]=0;w=v;d=k[b+20>>2]|0;a:do if(d|0){e=k[d+4>>2]|0;c=k[d+16>>2]|0;f=e+(((c>>>0)/146|0)<<2)|0;if((k[d+8>>2]|0)==(e|0)){c=0;q=0}else{q=c+(k[d+20>>2]|0)|0;c=(k[f>>2]|0)+(((c>>>0)%146|0)*28|0)|0;q=(k[e+(((q>>>0)/146|0)<<2)>>2]|0)+(((q>>>0)%146|0)*28|0)|0}j=A+20|0;l=A+16|0;m=A+28|0;n=A+32|0;o=u+16|0;p=u+20|0;s=u+24|0;t=u+12|0;b:while(1){do{if((c|0)==(q|0))break a;y=0;oa(517,u|0,c|0);h=y;y=0;if(h&1){x=16;break b}h=k[j>>2]|0;g=k[l>>2]|0;B=h-g>>2;e=k[m>>2]|0;d=k[n>>2]|0;if((((B|0)==0?0:(B*146|0)+-1|0)|0)==(d+e|0)){y=0;na(429,v|0);B=y;y=0;if(B&1){x=17;break b}d=k[n>>2]|0;e=k[m>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0}d=d+e|0;if((h|0)==(g|0))d=0;else d=(k[g+(((d>>>0)/146|0)<<2)>>2]|0)+(((d>>>0)%146|0)*28|0)|0;k[d>>2]=k[u>>2];k[d+4>>2]=k[u+4>>2];k[d+8>>2]=k[u+8>>2];e=d+12|0;y=0;oa(460,e|0,k[o>>2]|0);B=y;y=0;if(B&1){x=17;break b}k[e>>2]=15136;k[d+20>>2]=k[p>>2];k[d+24>>2]=k[s>>2];k[p>>2]=0;k[s>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(t);c=c+28|0}while((c-(k[f>>2]|0)|0)!=4088);c=f+4|0;f=c;c=k[c>>2]|0}if((x|0)==16)c=pb()|0;else if((x|0)==17){c=pb()|0;d=k[s>>2]|0;if(d|0)DY(d);DO(t)}B=c;DY(A);sb(B|0)}while(0);e=b+4|0;f=k[b+8>>2]|0;c=k[b+16>>2]|0;if(!c){d=0;x=23}else{y=0;c=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;B=y;y=0;if(!(B&1)){d=c;x=23}}if((x|0)==23){i[a>>0]=0;k[a+4>>2]=k[e>>2];k[a+8>>2]=f;c=a+12|0;y=0;oa(460,c|0,d|0);B=y;y=0;if(!(B&1)){k[c>>2]=15136;k[a+20>>2]=w;k[a+24>>2]=A;Dba(A);if(!d){B=i[b>>0]|0;i[a>>0]=B;DY(A);r=z;return}i[a>>0]=i[d+60>>0]|0;B=i[b>>0]|0;i[a>>0]=B;DY(A);r=z;return}}B=pb()|0;DY(A);sb(B|0)}function xk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,m=0,n=0,o=0,p=0,q=0,r=0;f=k[a>>2]|0;do if(!f)f=0;else if((k[f+12>>2]|0)==(k[f+16>>2]|0))if((oc[k[(k[f>>2]|0)+36>>2]&511](f)|0)==-1){k[a>>2]=0;f=0;break}else{f=k[a>>2]|0;break}while(0);g=(f|0)==0;f=k[b>>2]|0;do if(!f)r=11;else{if((k[f+12>>2]|0)==(k[f+16>>2]|0))if((oc[k[(k[f>>2]|0)+36>>2]&511](f)|0)==-1){k[b>>2]=0;r=11;break}if(g)r=13;else r=12}while(0);if((r|0)==11)if(g)r=12;else{f=0;r=13}a:do if((r|0)==12){k[c>>2]=k[c>>2]|6;f=0}else if((r|0)==13){g=k[a>>2]|0;h=k[g+12>>2]|0;if((h|0)==(k[g+16>>2]|0))g=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else g=l[h>>0]|0;h=g&255;if(h<<24>>24>-1){q=d+8|0;if(j[(k[q>>2]|0)+(g<<24>>24<<1)>>1]&2048){g=(rc[k[(k[d>>2]|0)+36>>2]&255](d,h,0)|0)<<24>>24;h=k[a>>2]|0;i=h+12|0;m=k[i>>2]|0;if((m|0)==(k[h+16>>2]|0)){oc[k[(k[h>>2]|0)+40>>2]&511](h)|0;m=f;i=f}else{k[i>>2]=m+1;m=f;i=f}while(1){f=g+-48|0;o=e+-1|0;g=k[a>>2]|0;do if(!g)g=0;else if((k[g+12>>2]|0)==(k[g+16>>2]|0))if((oc[k[(k[g>>2]|0)+36>>2]&511](g)|0)==-1){k[a>>2]=0;g=0;break}else{g=k[a>>2]|0;break}while(0);h=(g|0)==0;if(!i){p=m;n=0}else if((k[i+12>>2]|0)==(k[i+16>>2]|0))if((oc[k[(k[i>>2]|0)+36>>2]&511](i)|0)==-1){k[b>>2]=0;p=0;n=0}else{p=m;n=m}else{p=m;n=i}g=k[a>>2]|0;if(!((e|0)>1&(h^(n|0)==0)))break;h=k[g+12>>2]|0;if((h|0)==(k[g+16>>2]|0))g=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else g=l[h>>0]|0;h=g&255;if(h<<24>>24<=-1)break a;if(!(j[(k[q>>2]|0)+(g<<24>>24<<1)>>1]&2048))break a;g=((rc[k[(k[d>>2]|0)+36>>2]&255](d,h,0)|0)<<24>>24)+(f*10|0)|0;f=k[a>>2]|0;h=f+12|0;i=k[h>>2]|0;if((i|0)==(k[f+16>>2]|0)){oc[k[(k[f>>2]|0)+40>>2]&511](f)|0;e=o;m=p;i=n;continue}else{k[h>>2]=i+1;e=o;m=p;i=n;continue}}do if(!g)g=0;else if((k[g+12>>2]|0)==(k[g+16>>2]|0))if((oc[k[(k[g>>2]|0)+36>>2]&511](g)|0)==-1){k[a>>2]=0;g=0;break}else{g=k[a>>2]|0;break}while(0);g=(g|0)==0;do if(!p)r=50;else{if((k[p+12>>2]|0)==(k[p+16>>2]|0))if((oc[k[(k[p>>2]|0)+36>>2]&511](p)|0)==-1){k[b>>2]=0;r=50;break}if(g)break a}while(0);if((r|0)==50)if(!g)break;k[c>>2]=k[c>>2]|2;break}}k[c>>2]=k[c>>2]|4;f=0}while(0);return f|0}function yk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;j=0;m=r;r=r+16|0;n=m;LT(n,0);k[n>>2]=15136;h=a+16|0;e=k[h>>2]|0;if(!e){y=0;na(453,a|0);l=y;y=0;if(!(l&1)){e=k[h>>2]|0;j=4}}else j=4;if((j|0)==4){l=k[a+4>>2]|0;g=l+(e>>>9<<2)|0;if((k[a+8>>2]|0)==(l|0)){e=0;f=k[g>>2]|0}else{f=k[g>>2]|0;e=f+((e&511)<<3)|0}if((e|0)==(f|0))e=(k[g+-4>>2]|0)+4096|0;e=e+-8|0;y=0;oa(460,e|0,k[n+4>>2]|0);l=y;y=0;if(!(l&1)){k[e>>2]=15136;k[h>>2]=(k[h>>2]|0)+-1;i=a+20|0;k[i>>2]=(k[i>>2]|0)+1;DO(n);LT(n,0);k[n>>2]=15136;h=b+16|0;e=k[h>>2]|0;if(!e){y=0;na(453,b|0);l=y;y=0;if(!(l&1)){e=k[h>>2]|0;j=13}}else j=13;if((j|0)==13){l=k[b+4>>2]|0;g=l+(e>>>9<<2)|0;if((k[b+8>>2]|0)==(l|0)){e=0;f=k[g>>2]|0}else{f=k[g>>2]|0;e=f+((e&511)<<3)|0}if((e|0)==(f|0))e=(k[g+-4>>2]|0)+4096|0;e=e+-8|0;y=0;oa(460,e|0,k[n+4>>2]|0);l=y;y=0;if(!(l&1)){k[e>>2]=15136;k[h>>2]=(k[h>>2]|0)+-1;e=b+20|0;k[e>>2]=(k[e>>2]|0)+1;DO(n);k[n>>2]=0;l=n+4|0;k[l>>2]=0;k[n+8>>2]=0;y=0;Ra(49,a|0,b|0,c|0,n|0);j=y;y=0;if(!(j&1)){y=0;Ea(8,n|0,a|0,b|0,(k[i>>2]|0)+-1|0,(k[e>>2]|0)+-1|0,c|0,d|0);d=y;y=0;if(!(d&1)){e=k[n>>2]|0;if(!e){r=m;return}f=k[l>>2]|0;if((f|0)!=(e|0)){do{g=f+-12|0;k[l>>2]=g;h=k[g>>2]|0;i=h;if(!h)f=g;else{f=f+-8|0;g=k[f>>2]|0;if((g|0)!=(h|0))k[f>>2]=g+(~((g+-4-i|0)>>>2)<<2);cra(h);f=k[l>>2]|0}}while((f|0)!=(e|0));e=k[n>>2]|0}cra(e);r=m;return}}a=pb()|0;j=N;e=k[n>>2]|0;if(e|0){f=k[l>>2]|0;if((f|0)!=(e|0)){do{g=f+-12|0;k[l>>2]=g;h=k[g>>2]|0;i=h;if(!h)f=g;else{f=f+-8|0;g=k[f>>2]|0;if((g|0)!=(h|0))k[f>>2]=g+(~((g+-4-i|0)>>>2)<<2);cra(h);f=k[l>>2]|0}}while((f|0)!=(e|0));e=k[n>>2]|0}cra(e)}n=a;sb(n|0)}}m=pb()|0;DO(n);n=m;sb(n|0)}}m=pb()|0;DO(n);n=m;sb(n|0)}function zk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0,m=0,n=0;c=i[a>>0]|0;if(!(c<<24>>24)){b=0;return b|0}if(!b){j=a;a=0;f=0;k=0;h=c;a:while(1){b:do switch(h<<24>>24){case 92:{g=a;a=j+1|0;c=k;break}case 34:{g=a^1;a=j;c=k;break}case 39:{g=a;f=f^1;a=j;c=k;break}default:if(a){g=1;a=j;c=k}else if(f){g=0;f=1;a=j;c=k}else if(!j){g=0;f=0;a=0;c=k}else{a=i[48639]|0;c:do if(!(a<<24>>24))a=j;else{if(h<<24>>24==a<<24>>24){a=j;c=48639;do{a=a+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break c}while((i[a>>0]|0)==f<<24>>24)}a=i[50303]|0;d:do if(!(a<<24>>24))a=j;else{if(h<<24>>24==a<<24>>24){a=j;c=50303}else{g=0;f=0;a=j;c=k;break b}while(1){a=a+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break d;if((i[a>>0]|0)!=f<<24>>24){g=0;f=0;a=j;c=k;break b}}}while(0);if(!k){c=40;break a}else{g=0;f=0;a=a+-1|0;c=k+-1|0;break b}}while(0);g=0;f=0;a=a+-1|0;c=k+1|0}}while(0);j=a+1|0;h=i[j>>0]|0;if(!(h<<24>>24)){a=0;c=40;break}else{a=g;k=c}}if((c|0)==40)return a|0}else{m=a;d=0;e=0;n=0;l=c}e:while(1){if(m>>>0>=b>>>0){a=0;c=40;break}f:do switch(l<<24>>24){case 92:{a=m+1|0;c=n;break}case 34:{d=d^1;a=m;c=n;break}case 39:{e=e^1;a=m;c=n;break}default:if(d){d=1;a=m;c=n}else if(e){d=0;e=1;a=m;c=n}else if(!m){d=0;e=0;a=0;c=n}else{a=i[48639]|0;g:do if(!(a<<24>>24))a=m;else{if(l<<24>>24==a<<24>>24){a=m;c=48639;do{a=a+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break g}while((i[a>>0]|0)==d<<24>>24)}a=i[50303]|0;h:do if(!(a<<24>>24))a=m;else{if(l<<24>>24==a<<24>>24){a=m;c=50303}else{d=0;e=0;a=m;c=n;break f}while(1){a=a+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break h;if((i[a>>0]|0)!=d<<24>>24){d=0;e=0;a=m;c=n;break f}}}while(0);if(!n){c=40;break e}else{d=0;e=0;a=a+-1|0;c=n+-1|0;break f}}while(0);d=0;e=0;a=a+-1|0;c=n+1|0}}while(0);m=a+1|0;l=i[m>>0]|0;if(!(l<<24>>24)){a=0;c=40;break}else n=c}if((c|0)==40)return a|0;return 0}function Ak(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;q=0;o=r;r=r+64|0;p=o;m=o+48|0;n=o+40|0;s=IM(88)|0;f=i[b+84>>0]|0;c=p;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,s|0);l=y;y=0;do if(l&1)c=pb()|0;else{c=s+12|0;d=p;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[s>>2]=6564;k[s+52>>2]=0;k[s+56>>2]=0;i[s+60>>0]=0;l=s+64|0;k[l>>2]=6524;g=s+68|0;h=s+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);j=y;y=0;if(j&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{q=e+-8|0;k[h>>2]=q;lc[k[k[q>>2]>>2]&511](q);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[s>>2]=6368;k[l>>2]=6468;i[s+84>>0]=f;j=b+64|0;g=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>3;if(!g){r=o;return s|0}h=p+4|0;b=0;a:while(1){c=(Fc[k[(k[j>>2]|0)+16>>2]&2047](j,b)|0)+4|0;c=k[c>>2]|0;if(!c)q=26;else if((k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){LT(p,Ak(a,c)|0);k[p>>2]=6868;d=k[h>>2]|0;f=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>3;b:do if(f|0){c=0;while(1){e=k[(k[l>>2]|0)+20>>2]|0;d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;t=y;y=0;if(t&1){q=23;break a}y=0;oa(460,m|0,k[d+4>>2]|0);t=y;y=0;if(t&1){q=23;break a}k[m>>2]=6508;y=0;oa(e|0,l|0,m|0);t=y;y=0;if(t&1){q=24;break a}DO(m);c=c+1|0;if(c>>>0>=f>>>0)break b;d=k[h>>2]|0}}while(0);DO(p)}else q=26;if((q|0)==26){q=0;t=k[(k[l>>2]|0)+20>>2]|0;LT(n,c);k[n>>2]=6508;y=0;oa(t|0,l|0,n|0);t=y;y=0;if(t&1){q=28;break}DO(n)}b=b+1|0;if(b>>>0>=g>>>0){q=11;break}}if((q|0)==11){r=o;return s|0}else if((q|0)==23)c=pb()|0;else if((q|0)==24){c=pb()|0;DO(m)}else if((q|0)==28){t=pb()|0;DO(n);sb(t|0)}DO(p);t=c;sb(t|0)}while(0);cra(s);t=c;sb(t|0);return 0}function Bk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=0;p=r;r=r+64|0;l=p+56|0;j=p+48|0;t=p+32|0;q=p+24|0;m=p+16|0;n=p+8|0;o=p;LT(j,k[b+68>>2]|0);k[j>>2]=6868;f=j+4|0;c=k[f>>2]|0;g=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>3;a:do if(g|0){h=l+4|0;e=0;while(1){c=c+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,e|0)|0;d=y;y=0;if(d&1){s=11;break}y=0;oa(460,l|0,k[c+4>>2]|0);d=y;y=0;if(d&1){s=11;break}k[l>>2]=6508;c=k[h>>2]|0;if(!c)d=0;else d=(k[81]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;DO(l);c=e+1|0;if(!d)break;if(c>>>0>=g>>>0)break a;e=c;c=k[f>>2]|0}if((s|0)==11){t=pb()|0;DO(j);sb(t|0)}DO(j);i[l>>0]=0;k[t+4>>2]=0;k[t+8>>2]=0;f=t+4|0;k[t>>2]=f;e=b+76|0;y=0;oa(460,m|0,k[e>>2]|0);j=y;y=0;b:do if(j&1)c=pb()|0;else{k[m>>2]=6756;y=0;c=sa(28,a|0,m|0,0,l|0,t|0)|0;a=y;y=0;if(!(a&1)){y=0;oa(460,q|0,c|0);a=y;y=0;if(!(a&1)){k[q>>2]=6756;DO(m);do if(i[l>>0]|0){c=q+4|0;d=k[c>>2]|0;if(d|0){y=0;na(425,d|0);m=y;y=0;if(m&1)s=26;else{y=0;oa(460,o|0,k[c>>2]|0);m=y;y=0;if(m&1)s=26;else{k[o>>2]=6756;c=b+72|0;if(!(k[e>>2]|0))s=21;else{y=0;na(423,c|0);b=y;y=0;if(!(b&1))s=21}if((s|0)==21){k[e>>2]=k[o+4>>2];y=0;na(424,c|0);b=y;y=0;if(!(b&1)){y=0;oa(460,n|0,k[e>>2]|0);b=y;y=0;if(!(b&1)){k[n>>2]=6756;DO(n);DO(o);break}}}c=pb()|0;DO(o)}}if((s|0)==26)c=pb()|0;DO(q);break b}}while(0);DO(q);gH(t,k[f>>2]|0);r=p;return}}c=pb()|0;DO(m)}while(0);gH(t,k[f>>2]|0);t=c;sb(t|0)}while(0);DO(j);r=p;return}function Ck(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0;e=k[b>>2]|0;if(!d)j=5;else{f=k[d>>2]|0;if(!f)j=5;else if(!a){d=c;g=e;j=17}else{k[d>>2]=0;h=a;d=c;j=38}}if((j|0)==5)if(!a){d=c;j=7}else{f=a;d=c;j=6}a:while(1)if((j|0)==6){if(!d){j=27;break}else a=f;while(1){f=i[e>>0]|0;do if(((f&255)+-1|0)>>>0<127)if(d>>>0>4&(e&3|0)==0){while(1){f=k[e>>2]|0;if((f+-16843009|f)&-2139062144|0){j=33;break}k[a>>2]=f&255;k[a+4>>2]=l[e+1>>0];k[a+8>>2]=l[e+2>>0];g=e+4|0;f=a+16|0;k[a+12>>2]=l[e+3>>0];d=d+-4|0;if(d>>>0>4){a=f;e=g}else{j=32;break}}if((j|0)==32){a=f;e=g;f=i[g>>0]|0;break}else if((j|0)==33){f=f&255;break}}while(0);f=f&255;if((f+-1|0)>>>0>=127)break;e=e+1|0;k[a>>2]=f;d=d+-1|0;if(!d){j=27;break a}else a=a+4|0}f=f+-194|0;if(f>>>0>50){j=49;break}h=a;f=k[21356+(f<<2)>>2]|0;e=e+1|0;j=38;continue}else if((j|0)==7){while(1){f=i[e>>0]|0;if(((f&255)+-1|0)>>>0<127)if(!(e&3)){j=k[e>>2]|0;f=j&255;if(!((j+-16843009|j)&-2139062144)){do{e=e+4|0;d=d+-4|0;f=k[e>>2]|0}while(!((f+-16843009|f)&-2139062144|0));f=f&255}}f=f&255;if((f+-1|0)>>>0>=127)break;e=e+1|0;d=d+-1|0}f=f+-194|0;if(f>>>0>50){j=49;break}f=k[21356+(f<<2)>>2]|0;g=e+1|0;j=17;continue}else if((j|0)==17){j=(l[g>>0]|0)>>>3;if((j+-16|j+(f>>26))>>>0>7){j=18;break}e=g+1|0;if(f&33554432){if((i[e>>0]&-64)<<24>>24!=-128){j=21;break}e=g+2|0;if(f&524288){if((i[e>>0]&-64)<<24>>24!=-128){j=24;break}e=g+3|0}}d=d+-1|0;j=7;continue}else if((j|0)==38){a=l[e>>0]|0;j=a>>>3;if((j+-16|j+(f>>26))>>>0>7){j=39;break}g=e+1|0;a=a+-128|f<<6;if((a|0)<0){f=(l[g>>0]|0)+-128|0;if(f>>>0>63){j=42;break}g=e+2|0;a=f|a<<6;if((a|0)<0){f=(l[g>>0]|0)+-128|0;if(f>>>0>63){j=45;break}a=f|a<<6;e=e+3|0}else e=g}else e=g;k[h>>2]=a;f=h+4|0;d=d+-1|0;j=6;continue}if((j|0)==18){e=g+-1|0;j=48}else if((j|0)==21){e=g+-1|0;j=48}else if((j|0)==24){e=g+-1|0;j=48}else if((j|0)==27)k[b>>2]=e;else if((j|0)==39){e=e+-1|0;a=h;j=48}else if((j|0)==42){e=e+-1|0;c=h;j=53}else if((j|0)==45){e=e+-1|0;c=h;j=53}if((j|0)==48)if(!f)j=49;else{c=a;j=53}if((j|0)==49)if(!(i[e>>0]|0)){if(a|0){k[a>>2]=0;k[b>>2]=0}c=c-d|0}else{c=a;j=53}if((j|0)==53){j=W8()|0;k[j>>2]=84;if(!c)c=-1;else{k[b>>2]=e;c=-1}}return c|0}function Dk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;h=k[a>>2]|0;i=h;b=h+((((k[b>>2]|0)-i|0)/24|0)*24|0)|0;m=k[c>>2]|0;f=k[d>>2]|0;o=f-m|0;j=(o|0)/24|0;d=m;m=f;if((o|0)<=0){o=b;return o|0}n=a+8|0;e=k[n>>2]|0;o=a+4|0;l=k[o>>2]|0;g=l;if((j|0)<=((e-g|0)/24|0|0)){h=g-b|0;e=(h|0)/24|0;if((j|0)>(e|0)){g=d+(e*24|0)|0;f=g;if((g|0)==(m|0))e=l;else{e=l;do{k[e>>2]=k[g>>2];k[e+4>>2]=k[g+4>>2];k[e+8>>2]=k[g+8>>2];k[e+12>>2]=k[g+12>>2];k[e+16>>2]=k[g+16>>2];k[e+20>>2]=k[g+20>>2];g=g+24|0;e=(k[o>>2]|0)+24|0;k[o>>2]=e}while((g|0)!=(m|0))}if((h|0)>0)i=e;else{o=b;return o|0}}else i=l;h=i-(b+(j*24|0))|0;e=b+(((h|0)/24|0)*24|0)|0;if(e>>>0<l>>>0){g=i;do{k[g>>2]=k[e>>2];k[g+4>>2]=k[e+4>>2];k[g+8>>2]=k[e+8>>2];k[g+12>>2]=k[e+12>>2];k[g+16>>2]=k[e+16>>2];k[g+20>>2]=k[e+20>>2];e=e+24|0;g=(k[o>>2]|0)+24|0;k[o>>2]=g}while(e>>>0<l>>>0)}if(h){fO(i+(((h|0)/-24|0)*24|0)|0,b|0,h|0)|0;d=k[c>>2]|0}if((d|0)==(f|0)){o=b;return o|0}else e=b;while(1){k[e>>2]=k[d>>2];k[e+4>>2]=k[d+4>>2];k[e+8>>2]=k[d+8>>2];k[e+12>>2]=k[d+12>>2];k[e+16>>2]=k[d+16>>2];k[e+20>>2]=k[d+20>>2];d=d+24|0;if((d|0)==(f|0))break;else e=e+24|0}return b|0}g=((g-i|0)/24|0)+j|0;if(g>>>0>178956970){pN(a);f=k[a>>2]|0;h=f;e=k[n>>2]|0}else f=i;e=(e-f|0)/24|0;j=e<<1;g=e>>>0<89478485?(j>>>0<g>>>0?g:j):178956970;j=b;e=(j-f|0)/24|0;do if(!g)f=0;else if(g>>>0>178956970){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}else{f=IM(g*24|0)|0;break}while(0);l=f+(e*24|0)|0;e=l;i=f+(g*24|0)|0;if((d|0)==(m|0)){d=e;f=h}else{f=l;do{k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];k[f+12>>2]=k[d+12>>2];k[f+16>>2]=k[d+16>>2];k[f+20>>2]=k[d+20>>2];f=e+24|0;e=f;d=d+24|0}while((d|0)!=(m|0));d=e;f=k[a>>2]|0}e=j-f|0;g=l+(((e|0)/-24|0)*24|0)|0;if((e|0)>0)wH(g|0,f|0,e|0)|0;e=(k[o>>2]|0)-j|0;if((e|0)>0){wH(d|0,b|0,e|0)|0;d=d+(((e>>>0)/24|0)*24|0)|0;b=k[a>>2]|0}else b=f;k[a>>2]=g;k[o>>2]=d;k[n>>2]=i;if(!b){o=l;return o|0}cra(b);o=l;return o|0}function Ek(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;b=jr(a)|0;if(b|0){a=b;return a|0}a:do if(a|0){j=i[48639]|0;e=j<<24>>24==0;if(e)b=a;else{b=a;c=48639;d=j;do{if((i[b>>0]|0)!=d<<24>>24)break a;b=b+1|0;c=c+1|0;d=i[c>>0]|0}while(d<<24>>24!=0)}d=i[b>>0]|0;if(d<<24>>24){if(e){c=0;e=0;while(1){switch(d<<24>>24){case 92:{f=e;b=b+1|0;break}case 34:{c=c^1;f=e;break}case 39:{f=e^1;break}default:if(c){c=1;f=e}else{c=0;f=e;b=e?b:b+-1|0}}b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a;else e=f}}else{c=0;e=0;h=0}b:while(1){c:do switch(d<<24>>24){case 92:{b=b+1|0;f=h;break}case 34:{c=c^1;f=h;break}case 39:{e=e^1;f=h;break}default:if(c){c=1;f=h}else if(e){c=0;e=1;f=h}else if(!b){c=0;e=0;b=0;f=h}else{d:do if(d<<24>>24==j<<24>>24){g=b;c=48639;while(1){e=g+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break;if((i[e>>0]|0)!=f<<24>>24)break d;else g=e}c=0;e=0;b=g;f=h+1|0;break c}while(0);c=i[50303]|0;e:do if(c<<24>>24){if(d<<24>>24==c<<24>>24){c=b;d=50303}else{c=0;e=0;f=h;break c}while(1){c=c+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){b=c;break e}if((i[c>>0]|0)!=e<<24>>24){c=0;e=0;f=h;break c}}}while(0);if(!h)break b;else{c=0;e=0;b=b+-1|0;f=h+-1|0}}}while(0);b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break a;else h=f}if(b|0){a=b;return a|0}}}while(0);if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){a=b;return a|0}}b=a+1|0;if((i[a>>0]|0)==36){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){a=b;return a|0}}}b=ds(a)|0;if(b|0)if((i[b>>0]|0)==37){a=b+1|0;return a|0}a=wA(a)|0;return a|0}function Fk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;u=r;r=r+32|0;q=u;s=u+12|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;t=b+11|0;d=i[t>>0]|0;j=d<<24>>24<0?k[b+4>>2]|0:d&255;if(!j){r=u;return}l=q+11|0;m=s+1|0;n=s+2|0;o=s+3|0;p=s+4|0;c=0;a:while(1){g=d<<24>>24<0?k[b>>2]|0:b;d=i[g+c>>0]|0;do if(d<<24>>24==92){h=c+1|0;if(h>>>0<j>>>0){e=1;d=h;do{f=i[g+d>>0]|0;if(!(f<<24>>24))break;if(!(xja(f<<24>>24)|0))break;e=e+1|0;d=e+c|0}while(d>>>0<j>>>0);if(e>>>0>1){y=0;ma(4,q|0,b|0,h|0,e+-1|0,b|0);h=y;y=0;if(h&1){d=9;break a}h=nda((i[l>>0]|0)<0?k[q>>2]|0:q,0,16)|0;A9(q);f=(i[((i[t>>0]|0)<0?k[b>>2]|0:b)+d>>0]|0)==32&1;i[s>>0]=0;i[s+1>>0]=0;i[s+2>>0]=0;i[s+3>>0]=0;i[s+4>>0]=0;y=0;Ha(996,((h|0)==0?65533:h)|0,s|0)|0;h=y;y=0;if(h&1){d=15;break a}d=i[s>>0]|0;if(d<<24>>24){y=0;oa(458,a|0,d|0);h=y;y=0;if(h&1){d=18;break a}d=i[m>>0]|0;if(d<<24>>24){y=0;oa(458,a|0,d|0);h=y;y=0;if(h&1){d=18;break a}d=i[n>>0]|0;if(d<<24>>24){y=0;oa(458,a|0,d|0);h=y;y=0;if(h&1){d=18;break a}d=i[o>>0]|0;if(d<<24>>24){y=0;oa(458,a|0,d|0);h=y;y=0;if(h&1){d=18;break a}d=i[p>>0]|0;if(d<<24>>24){y=0;oa(458,a|0,d|0);h=y;y=0;if(h&1){d=18;break a}}}}}}c=c+-1+e+f|0;break}}y=0;oa(458,a|0,92);h=y;y=0;if(h&1){d=9;break a}}else{y=0;oa(458,a|0,d|0);h=y;y=0;if(h&1){d=8;break a}}while(0);c=c+1|0;if(c>>>0>=j>>>0){d=25;break}d=i[t>>0]|0}if((d|0)==8){u=pb()|0;A9(a);sb(u|0)}else if((d|0)==9){u=pb()|0;A9(a);sb(u|0)}else if((d|0)==15)c=pb()|0;else if((d|0)==18)c=pb()|0;else if((d|0)==25){r=u;return}u=c;A9(a);sb(u|0)}function Gk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;d=0;j=r;r=r+128|0;f=j;p=j+120|0;c=j+104|0;g=j+64|0;n=j+56|0;o=j+48|0;m=j+40|0;Ed(p,b);h=p+4|0;do if(!(k[h>>2]|0)){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,44580,40);l=y;y=0;if(!(l&1)){l=b+108|0;y=0;k[f>>2]=k[l>>2];k[f+4>>2]=k[l+4>>2];k[f+8>>2]=k[l+8>>2];Na(108,b|0,c|0,f|0);l=y;y=0;if(!(l&1)){A9(c);d=7;break}o=pb()|0;A9(c);DO(p);sb(o|0)}}else d=7;while(0);a:do if((d|0)==7){y=0;l=qa(315,76)|0;e=y;y=0;if(!(e&1)){b=k[h>>2]|0;c=g;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(460,o|0,k[b+76>>2]|0);e=y;y=0;if(e&1)b=pb()|0;else{k[o>>2]=7492;y=0;oa(460,n|0,k[o+4>>2]|0);e=y;y=0;if(e&1)b=pb()|0;else{k[n>>2]=7284;y=0;oa(460,m|0,k[(k[h>>2]|0)+84>>2]|0);h=y;y=0;if(h&1)b=pb()|0;else{k[m>>2]=7284;c=f;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,l|0);h=y;y=0;if(h&1)b=pb()|0;else{c=l+12|0;d=f;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=12092;b=l+60|0;y=0;oa(460,b|0,k[n+4>>2]|0);h=y;y=0;do if(h&1)b=pb()|0;else{k[b>>2]=7284;c=l+68|0;y=0;oa(460,c|0,k[m+4>>2]|0);h=y;y=0;if(h&1){j=pb()|0;DO(b);b=j;break}k[c>>2]=7284;DO(m);DO(n);DO(o);y=0;oa(460,a|0,l|0);o=y;y=0;if(o&1)break a;k[a>>2]=11804;DO(p);r=j;return}while(0)}DO(m)}DO(n)}DO(o)}cra(l);o=b;DO(p);sb(o|0)}}while(0);o=pb()|0;DO(p);sb(o|0)}function Hk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;t=0;p=r;r=r+96|0;n=p;s=p+88|0;q=p+64|0;b=p+40|0;o=p+80|0;m=p+52|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;aI(q,40473,6);y=0;h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Ea(3,s|0,q|0,a|0,d|0,n|0,f|0,c|0);l=y;y=0;if(l&1){t=pb()|0;A9(q);sb(t|0)}A9(q);k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;Na(74,b|0,40480,4);l=y;y=0;do if(l&1){b=pb()|0;t=13}else{y=0;h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Ea(3,q|0,b|0,a|0,d|0,n|0,f|0,c|0);l=y;y=0;if(l&1){t=pb()|0;A9(b);b=t;t=13;break}A9(b);b=k[s+4>>2]|0;g=k[(k[b>>2]|0)+152>>2]|0;y=0;oa(460,o|0,k[q+4>>2]|0);l=y;y=0;a:do if(l&1)b=pb()|0;else{k[o>>2]=6756;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,87975,0);l=y;y=0;do if(l&1)b=pb()|0;else{y=0;g=ta(g|0,b|0,o|0,m|0)|0;l=y;y=0;if(l&1){b=pb()|0;A9(m);break}A9(m);DO(o);y=0;b=qa(315,68)|0;o=y;y=0;if(o&1){b=pb()|0;break a}h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);b=e;break a}else{h=b+12|0;j=n;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=10672;i[b+60>>0]=g&1;k[b+64>>2]=0;k[b+56>>2]=1;DO(q);DO(s);r=p;return b|0}}while(0);DO(o)}while(0);DO(q)}while(0);DO(s);t=b;sb(t|0);return 0}function Ik(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0.0,j=0.0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0;o=r;r=r+96|0;m=o+48|0;t=o+36|0;s=o+24|0;q=o+12|0;n=o;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,38376,4);y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,t|0,a|0,d|0,m|0,f|0)|0;g=y;y=0;if(g&1){s=pb()|0;A9(t);sb(s|0)}l=+p[b+64>>3];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,38381,11);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,s|0,a|0,d|0,m|0,f|0)|0;g=y;y=0;if(g&1)b=pb()|0;else{j=+p[b+64>>3];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,38393,10);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,q|0,a|0,d|0,m|0,f|0)|0;g=y;y=0;if(g&1)b=pb()|0;else{i=+p[b+64>>3];k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,38265,6);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,n|0,a|0,d|0,m|0,f|0)|0;f=y;y=0;if(!(f&1)){h=+p[b+64>>3];y=0;b=m;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=xa(1,+l,+j,+i,+h,0,m|0)|0;e=y;y=0;if(!(e&1)){A9(n);A9(q);A9(s);A9(t);r=o;return b|0}}b=pb()|0;A9(n)}}A9(q)}}A9(s)}s=b;A9(t);sb(s|0);return 0}function Jk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;l=r;r=r+16|0;d=l+8|0;e=l;c=k[a+4>>2]|0;if((c|0)!=(k[b+4>>2]|0)){j=0;r=l;return j|0}switch(c|0){case 1:{j=(k[a+8>>2]|0)==(k[b+8>>2]|0);r=l;return j|0}case 0:{LT(d,k[a+16>>2]|0);k[d>>2]=15136;c=k[d+4>>2]|0;a=k[(k[c>>2]|0)+160>>2]|0;y=0;oa(460,e|0,k[b+16>>2]|0);j=y;y=0;if(j&1){l=pb()|0;DO(d);sb(l|0)}k[e>>2]=15136;y=0;c=Ha(a|0,c|0,k[e+4>>2]|0)|0;j=y;y=0;if(j&1){l=pb()|0;DO(e);DO(d);sb(l|0)}else{DO(e);DO(d);j=c;r=l;return j|0}}case 2:{g=a+20|0;c=k[g>>2]|0;h=a+24|0;e=k[h>>2]|0;f=(e|0)==0;if(!f)Dba(e);d=k[c+20>>2]|0;i=b+20|0;a=k[i>>2]|0;j=b+24|0;c=k[j>>2]|0;if(!c)c=k[a+20>>2]|0;else{Dba(c);b=k[a+20>>2]|0;DY(c);c=b}if(!f)DY(e);if((d|0)!=(c|0)){j=0;r=l;return j|0}c=k[g>>2]|0;e=k[h>>2]|0;f=(e|0)==0;if(!f)Dba(e);b=k[c+4>>2]|0;d=k[c+16>>2]|0;a=b+(((d>>>0)/146|0)<<2)|0;if((k[c+8>>2]|0)==(b|0))c=0;else c=(k[a>>2]|0)+(((d>>>0)%146|0)*28|0)|0;if(!f)DY(e);f=k[g>>2]|0;b=k[h>>2]|0;g=(b|0)==0;if(!g)Dba(b);d=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;e=k[f+4>>2]|0;if((k[f+8>>2]|0)==(e|0))h=0;else h=(k[e+(((d>>>0)/146|0)<<2)>>2]|0)+(((d>>>0)%146|0)*28|0)|0;if(!g)DY(b);e=k[i>>2]|0;f=k[j>>2]|0;b=(f|0)==0;if(!b)Dba(f);j=k[e+4>>2]|0;d=k[e+16>>2]|0;g=j+(((d>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(j|0))d=0;else d=(k[g>>2]|0)+(((d>>>0)%146|0)*28|0)|0;if(!b)DY(f);a:while(1){do{if((c|0)==(h|0)){c=1;a=43;break a}if(!(Jk(c,d)|0)){c=0;a=43;break a}c=c+28|0;if((c-(k[a>>2]|0)|0)==4088){c=a+4|0;a=c;c=k[c>>2]|0}d=d+28|0}while((d-(k[g>>2]|0)|0)!=4088);d=g+4|0;g=d;d=k[d>>2]|0}if((a|0)==43){r=l;return c|0}break}case 3:{j=1;r=l;return j|0}default:{l=gb(4)|0;k[l>>2]=34389;Wb(l|0,5960,0)}}return 0}function Kk(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;o=0;p=r;r=r+80|0;f=p;c=p+64|0;d=p+56|0;q=p+72|0;j=p+48|0;n=p+40|0;LT(c,k[b+64>>2]|0);k[c>>2]=7492;h=k[c+4>>2]|0;y=0;h=Ha(k[(k[h>>2]|0)+56>>2]|0,h|0,a|0)|0;m=y;y=0;if(m&1){q=pb()|0;DO(c);sb(q|0)}DO(c);LT(d,k[b+72>>2]|0);k[d>>2]=8964;l=k[d+4>>2]|0;y=0;l=Ha(k[(k[l>>2]|0)+56>>2]|0,l|0,a|0)|0;m=y;y=0;if(m&1){q=pb()|0;DO(d);sb(q|0)}DO(d);m=IM(84)|0;e=f;c=b+12|0;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));y=0;na(422,m|0);g=y;y=0;do if(g&1)c=pb()|0;else{e=m+12|0;c=f;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;c=m+56|0;k[m>>2]=10968;k[c>>2]=4;d=m+60|0;k[d>>2]=9248;f=m+64|0;g=m+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(514,f|0,2);e=y;y=0;if(e&1){c=pb()|0;e=N;d=k[f>>2]|0;if(d|0){b=k[g>>2]|0;if((b|0)!=(d|0)){do{q=b+-8|0;k[g>>2]=q;lc[k[k[q>>2]>>2]&511](q);b=k[g>>2]|0}while((b|0)!=(d|0));d=k[f>>2]|0}cra(d)}break}k[m>>2]=10796;k[d>>2]=10928;k[m+80>>2]=0;k[c>>2]=4;LT(q,m);k[q>>2]=13080;b=q+4|0;c=(k[b>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,j|0,h|0);m=y;y=0;do if(m&1)o=21;else{k[j>>2]=7284;y=0;oa(d|0,c|0,j|0);m=y;y=0;if(m&1){c=pb()|0;DO(j);break}DO(j);c=(k[b>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,n|0,l|0);m=y;y=0;if(m&1)o=21;else{k[n>>2]=7284;y=0;oa(d|0,c|0,n|0);m=y;y=0;if(m&1){c=pb()|0;DO(n);break}DO(n);c=k[b>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;o=y;y=0;if(o&1)o=21;else{DO(q);r=p;return c|0}}}while(0);if((o|0)==21)c=pb()|0;DO(q);q=c;sb(q|0)}while(0);cra(m);q=c;sb(q|0);return 0}function Lk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;z=r;r=r+32|0;x=z;s=z+16|0;q=z+12|0;t=z+8|0;u=z+4|0;v=z+20|0;xs(a,b+300|0);w=a+4|0;h=k[w>>2]|0;f=k[a>>2]|0;g=f;p=h;if((h|0)==(f|0)){r=z;return}f=g+12|0;if(c){b=f+(d*12|0)|0;if((g|0)==(b|0))e=h;else{do if((b|0)==(p|0)){n=g;e=p;l=h}else{while(1){f=g+11|0;if((i[f>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[f>>0]=0}y=0;oa(500,g|0,0);o=y;y=0;if(o&1){b=9;break}k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=b+12|0;g=g+12|0;if((b|0)==(p|0)){b=11;break}}if((b|0)==9){p=tb(0)|0;Sla(p)}else if((b|0)==11){l=k[w>>2]|0;n=g;e=l;break}}while(0);if((e|0)==(n|0))e=l;else do{p=e+-12|0;k[w>>2]=p;A9(p);e=k[w>>2]|0}while((e|0)!=(n|0))}}else{b=g+((d+1|0)*12|0)|0;if(!d)e=h;else{do if((b|0)==(p|0)){o=f;j=p;m=h}else{while(1){e=f+11|0;if((i[e>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[e>>0]=0}y=0;oa(500,f|0,0);n=y;y=0;if(n&1){b=20;break}k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=b+12|0;f=f+12|0;if((b|0)==(p|0)){b=22;break}}if((b|0)==20){p=tb(0)|0;Sla(p)}else if((b|0)==22){m=k[w>>2]|0;o=f;j=m;break}}while(0);if((j|0)==(o|0))e=m;else{e=j;do{p=e+-12|0;k[w>>2]=p;A9(p);e=k[w>>2]|0}while((e|0)!=(o|0))}}}k[t>>2]=k[a>>2];k[u>>2]=e;k[q>>2]=k[t>>2];k[s>>2]=k[u>>2];i[x>>0]=i[v>>0]|0;b=Zl(q,s,x)|0;e=k[w>>2]|0;if((b|0)!=(e|0))do{v=e+-12|0;k[w>>2]=v;A9(v);e=k[w>>2]|0}while((e|0)!=(b|0));Fe((k[a>>2]|0)+((c&1^1)*12|0)|0,b,x);r=z;return}function Mk(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0;s=r;r=r+128|0;n=s+88|0;l=s+64|0;c=s+76|0;m=s;o=s+24|0;q=s+12|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;aI(l,39172,7);y=0;b=n;i=e;j=b+40|0;do{k[b>>2]=k[i>>2];b=b+4|0;i=i+4|0}while((b|0)<(j|0));g=sa(23,l|0,a|0,d|0,n|0,f|0)|0;j=y;y=0;if(j&1){e=pb()|0;A9(l);sb(e|0)}A9(l);a:do if(!(xU(g)|0)){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,d,IJ(d)|0);y=0;b=ta(46,m|0,0,39180)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[l>>2]=k[b>>2];k[l+4>>2]=k[b+4>>2];k[l+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,l|0,39202)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[c>>2]=k[b>>2];k[c+4>>2]=k[b+4>>2];k[c+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=n;i=e;j=b+40|0;do{k[b>>2]=k[i>>2];b=b+4|0;i=i+4|0}while((b|0)<(j|0));oa(454,c|0,n|0);d=y;y=0;if(d&1){b=pb()|0;A9(c);break}else{A9(c);A9(l);A9(m);break a}}while(0);A9(l)}A9(m);e=b;sb(e|0)}while(0);c=IM(104)|0;b=o;i=e;j=b+40|0;do{k[b>>2]=k[i>>2];b=b+4|0;i=i+4|0}while((b|0)<(j|0));h=+p[g+64>>3];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,48698,1);e=y;y=0;do if(e&1)b=pb()|0;else{h=h*100.0;y=0;b=n;i=o;j=b+40|0;do{k[b>>2]=k[i>>2];b=b+4|0;i=i+4|0}while((b|0)<(j|0));Ca(1,c|0,n|0,+h,q|0,1);e=y;y=0;if(e&1){b=pb()|0;A9(q);break}else{A9(q);r=s;return c|0}}while(0);cra(c);e=b;sb(e|0);return 0}function Nk(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0,l=0;l=jr(a)|0;if(l>>>0>a>>>0)b=0;else{k=0;k=(k|0)==0;l=k?l:0;return l|0}a:while(1){c=0;k=a;b:while(1){d=i[k>>0]|0;if(!(d<<24>>24)){a=b;b=38;break a}c:do if(c)a=0;else if(d<<24>>24==92)a=1;else if(!k)a=0;else{j=i[48639]|0;e=j<<24>>24==0;if(e){a=k;c=0;f=0}else{if(d<<24>>24==j<<24>>24){a=k;c=48639}else{a=0;break}while(1){a=a+1|0;c=c+1|0;d=i[c>>0]|0;g=i[a>>0]|0;if(!(d<<24>>24))break;if(g<<24>>24!=d<<24>>24){a=0;break c}}if(!(g<<24>>24)){a=0;break}if(e){c=0;f=0;d=g}else{f=a;a=0;c=0;h=0;while(1){d:do switch(g<<24>>24){case 92:{e=a;a=f+1|0;d=h;break}case 34:{e=a^1;a=f;d=h;break}case 39:{e=a;c=c^1;a=f;d=h;break}default:if(a){e=1;a=f;d=h}else if(c){e=0;c=1;a=f;d=h}else{e:do if(g<<24>>24==j<<24>>24){a=f;c=48639;while(1){d=a+1|0;c=c+1|0;e=i[c>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break e;else a=d}e=0;c=0;d=h+1|0;break d}while(0);a=i[50303]|0;f:do if(!(a<<24>>24))a=f;else{if(g<<24>>24==a<<24>>24){a=f;c=50303}else{e=0;c=0;a=f;d=h;break d}while(1){a=a+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break f;if((i[a>>0]|0)!=d<<24>>24){e=0;c=0;a=f;d=h;break d}}}while(0);if(!h)break b;else{e=0;c=0;a=a+-1|0;d=h+-1|0}}}while(0);f=a+1|0;g=i[f>>0]|0;if(!(g<<24>>24)){a=0;break c}else{a=e;h=d}}}}while(1){switch(d<<24>>24){case 92:{e=f;a=a+1|0;break}case 34:{c=c^1;e=f;break}case 39:{e=f^1;break}default:if(c){c=1;e=f}else{c=0;e=f;a=f?a:a+-1|0}}a=a+1|0;d=i[a>>0]|0;if(!(d<<24>>24)){a=0;break c}else f=e}}while(0);k=k+1|0;if(k>>>0>=l>>>0){a=b;b=38;break a}else c=a}b=b+1|0;if(a>>>0>=l>>>0){a=b;b=38;break}}if((b|0)==38){k=(a|0)==0;l=k?l:0;return l|0}return 0}function Ok(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=r;r=r+80|0;l=q+64|0;e=q+32|0;f=q+24|0;g=q+16|0;n=q+48|0;o=q+40|0;p=q+8|0;h=q;c=b+84|0;LT(l,k[c>>2]|0);k[l>>2]=7284;m=(k[(k[l+4>>2]|0)+56>>2]|0)==8;DO(l);if(m){r=q;return}j=a+4|0;l=a+99|0;m=i[l>>0]|0;i[l>>0]=1;if(!($ka(j)|0)){d=a+76|0;k[d>>2]=(k[d>>2]|0)+(k[b+56>>2]|0)}Rx(j);d=b+76|0;LT(e,k[d>>2]|0);k[e>>2]=7492;s=(k[e+4>>2]|0)==0;DO(e);do if(!s){LT(f,k[d>>2]|0);k[f>>2]=7492;s=k[f+4>>2]|0;y=0;oa(k[(k[s>>2]|0)+44>>2]|0,s|0,a|0);s=y;y=0;if(!(s&1)){DO(f);break}s=pb()|0;DO(f);sb(s|0)}while(0);zz(j);LT(g,k[c>>2]|0);k[g>>2]=7284;s=(k[(k[g+4>>2]|0)+56>>2]|0)==7;DO(g);a:do if(s){Moa(n);y=0;oa(460,p|0,k[c>>2]|0);s=y;y=0;do if(s&1)c=pb()|0;else{k[p>>2]=7284;c=k[p+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,n|0)|0;s=y;y=0;if(!(s&1)){y=0;oa(460,o|0,c|0);s=y;y=0;if(!(s&1)){k[o>>2]=7284;DO(p);s=k[o+4>>2]|0;y=0;oa(k[(k[s>>2]|0)+44>>2]|0,s|0,a|0);s=y;y=0;if(s&1){c=pb()|0;DO(o);break}else{DO(o);break a}}}c=pb()|0;DO(p)}while(0);s=c;sb(s|0)}else{LT(h,k[c>>2]|0);k[h>>2]=7284;s=k[h+4>>2]|0;y=0;oa(k[(k[s>>2]|0)+44>>2]|0,s|0,a|0);s=y;y=0;if(!(s&1)){DO(h);break}s=pb()|0;DO(h);sb(s|0)}while(0);do if(i[b+88>>0]|0){NI(j);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;aI(n,48780,10);y=0;oa(679,j|0,n|0);s=y;y=0;if(!(s&1)){A9(n);break}s=pb()|0;A9(n);sb(s|0)}while(0);IL(j);if(!($ka(j)|0)){s=a+76|0;k[s>>2]=(k[s>>2]|0)-(k[b+56>>2]|0)}i[l>>0]=m;r=q;return}function Pk(a){a=a|0;var b=0,c=0.0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,v=0;t=0;v=r;r=r+16|0;q=v;s=a+100|0;if(k[s>>2]|0){t=k[s>>2]|0;r=v;return t|0}c=+p[a+64>>3];if(c==0.0)b=0;else{p[u>>3]=c;o=aa(k[u>>2]|0,1540483477)|0;b=aa(k[u+4>>2]|0,1540483477)|0;b=(aa((aa(o>>>24^o,1540483477)|0)^-561034072,1540483477)|0)^(aa(b>>>24^b,1540483477)|0);b=aa(b>>>13^b,1540483477)|0;b=b>>>15^b}k[s>>2]=b;b=k[a+76>>2]|0;m=k[a+80>>2]|0;a:do if((b|0)!=(m|0)){n=q+11|0;o=q+4|0;while(1){cL(q,b);j=i[n>>0]|0;g=j<<24>>24<0;h=g?k[q>>2]|0:q;j=g?k[o>>2]|0:j&255;if(j>>>0>3){g=j+-4|0;f=h;d=j;e=j;while(1){j=aa(l[f>>0]|l[f+1>>0]<<8|l[f+2>>0]<<16|l[f+3>>0]<<24,1540483477)|0;d=(aa(j>>>24^j,1540483477)|0)^(aa(d,1540483477)|0);e=e+-4|0;if(e>>>0<=3)break;else f=f+4|0}f=g&-4;e=g-f|0;f=h+(f+4)|0}else{e=j;f=h;d=j}switch(e|0){case 3:{d=(l[f+2>>0]|0)<<16^d;t=14;break}case 2:{t=14;break}case 1:{t=15;break}default:{}}if((t|0)==14){d=(l[f+1>>0]|0)<<8^d;t=15}if((t|0)==15){t=0;d=aa((l[f>>0]|0)^d,1540483477)|0}h=aa(d>>>13^d,1540483477)|0;j=k[s>>2]|0;k[s>>2]=(j<<6)+-1640531527+(j>>>2)+(h>>>15^h)^j;A9(q);b=b+12|0;if((b|0)==(m|0))break a}}while(0);b=k[a+88>>2]|0;m=k[a+92>>2]|0;if((b|0)==(m|0)){t=k[s>>2]|0;r=v;return t|0}n=q+11|0;o=q+4|0;j=b;do{cL(q,j);h=i[n>>0]|0;a=h<<24>>24<0;g=a?k[q>>2]|0:q;h=a?k[o>>2]|0:h&255;if(h>>>0>3){f=h+-4|0;e=g;b=h;d=h;while(1){a=aa(l[e>>0]|l[e+1>>0]<<8|l[e+2>>0]<<16|l[e+3>>0]<<24,1540483477)|0;b=(aa(a>>>24^a,1540483477)|0)^(aa(b,1540483477)|0);d=d+-4|0;if(d>>>0<=3)break;else e=e+4|0}e=f&-4;d=f-e|0;e=g+(e+4)|0}else{d=h;e=g;b=h}switch(d|0){case 3:{b=(l[e+2>>0]|0)<<16^b;t=23;break}case 2:{t=23;break}case 1:{t=24;break}default:{}}if((t|0)==23){b=(l[e+1>>0]|0)<<8^b;t=24}if((t|0)==24){t=0;b=aa((l[e>>0]|0)^b,1540483477)|0}h=aa(b>>>13^b,1540483477)|0;a=k[s>>2]|0;k[s>>2]=(a<<6)+-1640531527+(a>>>2)+(h>>>15^h)^a;A9(q);j=j+12|0}while((j|0)!=(m|0));t=k[s>>2]|0;r=v;return t|0}function Qk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20476]=0;k[20477]=0;k[20478]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20477]=a;k[20476]=a;k[20478]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20477]|0)+12|0;k[20477]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20477]|0)+12|0;k[20477]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20477]=(k[20477]|0)+12;A9(f);A9(e);A9(g);Pb(426,81904,x|0)|0;p[9585]=3.141592653589793;k[20479]=0;k[20480]=0;k[20481]=0;aI(81916,51553,21);Pb(427,81916,x|0)|0;k[20482]=0;k[20483]=0;k[20484]=0;aI(81928,51575,19);Pb(427,81928,x|0)|0;k[20485]=0;k[20486]=0;k[20487]=0;aI(81940,51595,22);Pb(427,81940,x|0)|0;k[20488]=0;k[20489]=0;k[20490]=0;aI(81952,51618,23);Pb(427,81952,x|0)|0;k[20491]=0;k[20492]=0;k[20493]=0;aI(81964,51642,6);Pb(427,81964,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20476]|0;if(b){c=k[20477]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20477]=h;A9(h);c=k[20477]|0}while((c|0)!=(b|0));b=k[20476]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Rk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9580]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20386]=0;k[20387]=0;k[20388]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20387]=a;k[20386]=a;k[20388]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20387]|0)+12|0;k[20387]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20387]|0)+12|0;k[20387]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20387]=(k[20387]|0)+12;A9(f);A9(e);A9(g);Pb(426,81544,x|0)|0;k[20389]=0;k[20390]=0;k[20391]=0;aI(81556,51553,21);Pb(427,81556,x|0)|0;k[20392]=0;k[20393]=0;k[20394]=0;aI(81568,51575,19);Pb(427,81568,x|0)|0;k[20395]=0;k[20396]=0;k[20397]=0;aI(81580,51595,22);Pb(427,81580,x|0)|0;k[20398]=0;k[20399]=0;k[20400]=0;aI(81592,51618,23);Pb(427,81592,x|0)|0;k[20401]=0;k[20402]=0;k[20403]=0;aI(81604,51642,6);Pb(427,81604,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20386]|0;if(b){c=k[20387]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20387]=h;A9(h);c=k[20387]|0}while((c|0)!=(b|0));b=k[20386]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Sk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9590]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20569]=0;k[20570]=0;k[20571]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20570]=a;k[20569]=a;k[20571]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20570]|0)+12|0;k[20570]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20570]|0)+12|0;k[20570]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20570]=(k[20570]|0)+12;A9(f);A9(e);A9(g);Pb(426,82276,x|0)|0;k[20572]=0;k[20573]=0;k[20574]=0;aI(82288,51553,21);Pb(427,82288,x|0)|0;k[20575]=0;k[20576]=0;k[20577]=0;aI(82300,51575,19);Pb(427,82300,x|0)|0;k[20578]=0;k[20579]=0;k[20580]=0;aI(82312,51595,22);Pb(427,82312,x|0)|0;k[20581]=0;k[20582]=0;k[20583]=0;aI(82324,51618,23);Pb(427,82324,x|0)|0;k[20584]=0;k[20585]=0;k[20586]=0;aI(82336,51642,6);Pb(427,82336,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20569]|0;if(b){c=k[20570]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20570]=h;A9(h);c=k[20570]|0}while((c|0)!=(b|0));b=k[20569]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Tk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9579]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20368]=0;k[20369]=0;k[20370]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20369]=a;k[20368]=a;k[20370]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20369]|0)+12|0;k[20369]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20369]|0)+12|0;k[20369]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20369]=(k[20369]|0)+12;A9(f);A9(e);A9(g);Pb(426,81472,x|0)|0;k[20371]=0;k[20372]=0;k[20373]=0;aI(81484,51553,21);Pb(427,81484,x|0)|0;k[20374]=0;k[20375]=0;k[20376]=0;aI(81496,51575,19);Pb(427,81496,x|0)|0;k[20377]=0;k[20378]=0;k[20379]=0;aI(81508,51595,22);Pb(427,81508,x|0)|0;k[20380]=0;k[20381]=0;k[20382]=0;aI(81520,51618,23);Pb(427,81520,x|0)|0;k[20383]=0;k[20384]=0;k[20385]=0;aI(81532,51642,6);Pb(427,81532,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20368]|0;if(b){c=k[20369]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20369]=h;A9(h);c=k[20369]|0}while((c|0)!=(b|0));b=k[20368]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Uk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9549]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20119]=0;k[20120]=0;k[20121]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20120]=a;k[20119]=a;k[20121]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20120]|0)+12|0;k[20120]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20120]|0)+12|0;k[20120]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20120]=(k[20120]|0)+12;A9(f);A9(e);A9(g);Pb(426,80476,x|0)|0;k[20122]=0;k[20123]=0;k[20124]=0;aI(80488,51553,21);Pb(427,80488,x|0)|0;k[20125]=0;k[20126]=0;k[20127]=0;aI(80500,51575,19);Pb(427,80500,x|0)|0;k[20128]=0;k[20129]=0;k[20130]=0;aI(80512,51595,22);Pb(427,80512,x|0)|0;k[20131]=0;k[20132]=0;k[20133]=0;aI(80524,51618,23);Pb(427,80524,x|0)|0;k[20134]=0;k[20135]=0;k[20136]=0;aI(80536,51642,6);Pb(427,80536,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20119]|0;if(b){c=k[20120]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20120]=h;A9(h);c=k[20120]|0}while((c|0)!=(b|0));b=k[20119]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Vk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;e=k[b+12>>2]|0;t=c+12|0;f=k[t>>2]|0;if((e|0)==(f|0)){c=d;w=c;w=k[w>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;b=d;k[b>>2]=w;d=d+4|0;k[d>>2]=c;return}v=d+4|0;w=c+8|0;s=c+8|0;u=b+8|0;l=k[b+8>>2]|0;n=l;while(1){p=k[v>>2]|0;i=(k[k[d>>2]>>2]|0)+4088-p|0;o=(i|0)/28|0;g=k[w>>2]|0;g=((n-g>>2)*146|0)+((e-(k[n>>2]|0)|0)/28|0)+((f-(k[g>>2]|0)|0)/-28|0)|0;f=c;h=k[f>>2]|0;f=k[f+4>>2]|0;m=s;j=k[m>>2]|0;m=k[m+4>>2]|0;if((g|0)>(o|0)){f=u;g=k[f>>2]|0;h=g;do if(!i){g=l;f=e}else{f=(((k[f+4>>2]|0)-(k[g>>2]|0)|0)/28|0)-o|0;if((f|0)>0){r=h+(((f>>>0)/146|0)<<2)|0;g=r;f=(k[r>>2]|0)+(((f>>>0)%146|0)*28|0)|0;break}else{f=145-f|0;r=h+(((f|0)/-146|0)<<2)|0;g=r;f=(k[r>>2]|0)+((145-((f|0)%146|0)|0)*28|0)|0;break}}while(0);m=f;l=h;q=g;f=m;r=g}else{o=g;l=n;q=h;r=j}g=e;e=m;if((g|0)!=(e|0)){n=p;i=l;h=g;g=k[l>>2]|0;while(1){if((h|0)==(g|0))l=(k[i+-4>>2]|0)+4088|0;else l=h;g=l+-28|0;k[n>>2]=k[g>>2];k[n+4>>2]=k[g+4>>2];k[n+8>>2]=k[g+8>>2];g=n+12|0;j=n+16|0;if(k[j>>2]|0)QO(g);k[j>>2]=k[l+-12>>2];_V(g);g=k[l+-8>>2]|0;j=k[l+-4>>2]|0;if(j|0)Dba(j);k[n+20>>2]=g;p=n+24|0;g=k[p>>2]|0;k[p>>2]=j;if(g|0)DY(g);g=k[i>>2]|0;if((h|0)==(g|0)){i=i+-4|0;g=k[i>>2]|0;h=g+4088|0}h=h+-28|0;if((h|0)==(e|0))break;else n=n+28|0}}n=b;k[n>>2]=q;k[n+4>>2]=f;n=u;k[n>>2]=r;k[n+4>>2]=m;n=r;do if(o|0){g=k[d>>2]|0;f=(((k[v>>2]|0)-(k[g>>2]|0)|0)/28|0)+o|0;if((f|0)>0){q=g+(((f>>>0)/146|0)<<2)|0;k[d>>2]=q;k[v>>2]=(k[q>>2]|0)+(((f>>>0)%146|0)*28|0);break}else{q=145-f|0;p=g+(((q|0)/-146|0)<<2)|0;k[d>>2]=p;k[v>>2]=(k[p>>2]|0)+((145-((q|0)%146|0)|0)*28|0);break}}while(0);f=k[t>>2]|0;if((e|0)==(f|0))break;else l=r}c=d;w=c;w=k[w>>2]|0;c=c+4|0;c=k[c>>2]|0;d=a;b=d;k[b>>2]=w;d=d+4|0;k[d>>2]=c;return}function Wk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9583]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20440]=0;k[20441]=0;k[20442]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20441]=a;k[20440]=a;k[20442]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20441]|0)+12|0;k[20441]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20441]|0)+12|0;k[20441]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20441]=(k[20441]|0)+12;A9(f);A9(e);A9(g);Pb(426,81760,x|0)|0;k[20443]=0;k[20444]=0;k[20445]=0;aI(81772,51553,21);Pb(427,81772,x|0)|0;k[20446]=0;k[20447]=0;k[20448]=0;aI(81784,51575,19);Pb(427,81784,x|0)|0;k[20449]=0;k[20450]=0;k[20451]=0;aI(81796,51595,22);Pb(427,81796,x|0)|0;k[20452]=0;k[20453]=0;k[20454]=0;aI(81808,51618,23);Pb(427,81808,x|0)|0;k[20455]=0;k[20456]=0;k[20457]=0;aI(81820,51642,6);Pb(427,81820,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20440]|0;if(b){c=k[20441]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20441]=h;A9(h);c=k[20441]|0}while((c|0)!=(b|0));b=k[20440]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Xk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9548]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20101]=0;k[20102]=0;k[20103]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20102]=a;k[20101]=a;k[20103]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20102]|0)+12|0;k[20102]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20102]|0)+12|0;k[20102]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20102]=(k[20102]|0)+12;A9(f);A9(e);A9(g);Pb(426,80404,x|0)|0;k[20104]=0;k[20105]=0;k[20106]=0;aI(80416,51553,21);Pb(427,80416,x|0)|0;k[20107]=0;k[20108]=0;k[20109]=0;aI(80428,51575,19);Pb(427,80428,x|0)|0;k[20110]=0;k[20111]=0;k[20112]=0;aI(80440,51595,22);Pb(427,80440,x|0)|0;k[20113]=0;k[20114]=0;k[20115]=0;aI(80452,51618,23);Pb(427,80452,x|0)|0;k[20116]=0;k[20117]=0;k[20118]=0;aI(80464,51642,6);Pb(427,80464,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20101]|0;if(b){c=k[20102]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20102]=h;A9(h);c=k[20102]|0}while((c|0)!=(b|0));b=k[20101]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Yk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9589]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20551]=0;k[20552]=0;k[20553]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20552]=a;k[20551]=a;k[20553]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20552]|0)+12|0;k[20552]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20552]|0)+12|0;k[20552]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20552]=(k[20552]|0)+12;A9(f);A9(e);A9(g);Pb(426,82204,x|0)|0;k[20554]=0;k[20555]=0;k[20556]=0;aI(82216,51553,21);Pb(427,82216,x|0)|0;k[20557]=0;k[20558]=0;k[20559]=0;aI(82228,51575,19);Pb(427,82228,x|0)|0;k[20560]=0;k[20561]=0;k[20562]=0;aI(82240,51595,22);Pb(427,82240,x|0)|0;k[20563]=0;k[20564]=0;k[20565]=0;aI(82252,51618,23);Pb(427,82252,x|0)|0;k[20566]=0;k[20567]=0;k[20568]=0;aI(82264,51642,6);Pb(427,82264,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20551]|0;if(b){c=k[20552]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20552]=h;A9(h);c=k[20552]|0}while((c|0)!=(b|0));b=k[20551]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Zk(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9588]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20533]=0;k[20534]=0;k[20535]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20534]=a;k[20533]=a;k[20535]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20534]|0)+12|0;k[20534]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20534]|0)+12|0;k[20534]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20534]=(k[20534]|0)+12;A9(f);A9(e);A9(g);Pb(426,82132,x|0)|0;k[20536]=0;k[20537]=0;k[20538]=0;aI(82144,51553,21);Pb(427,82144,x|0)|0;k[20539]=0;k[20540]=0;k[20541]=0;aI(82156,51575,19);Pb(427,82156,x|0)|0;k[20542]=0;k[20543]=0;k[20544]=0;aI(82168,51595,22);Pb(427,82168,x|0)|0;k[20545]=0;k[20546]=0;k[20547]=0;aI(82180,51618,23);Pb(427,82180,x|0)|0;k[20548]=0;k[20549]=0;k[20550]=0;aI(82192,51642,6);Pb(427,82192,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20533]|0;if(b){c=k[20534]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20534]=h;A9(h);c=k[20534]|0}while((c|0)!=(b|0));b=k[20533]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function _k(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20155]=0;k[20156]=0;k[20157]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20156]=a;k[20155]=a;k[20157]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20156]|0)+12|0;k[20156]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20156]|0)+12|0;k[20156]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20156]=(k[20156]|0)+12;A9(f);A9(e);A9(g);Pb(426,80620,x|0)|0;k[20158]=0;k[20159]=0;k[20160]=0;aI(80632,51642,6);Pb(427,80632,x|0)|0;p[9551]=3.141592653589793;k[20161]=0;k[20162]=0;k[20163]=0;aI(80644,51553,21);Pb(427,80644,x|0)|0;k[20164]=0;k[20165]=0;k[20166]=0;aI(80656,51575,19);Pb(427,80656,x|0)|0;k[20167]=0;k[20168]=0;k[20169]=0;aI(80668,51595,22);Pb(427,80668,x|0)|0;k[20170]=0;k[20171]=0;k[20172]=0;aI(80680,51618,23);Pb(427,80680,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20155]|0;if(b){c=k[20156]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20156]=h;A9(h);c=k[20156]|0}while((c|0)!=(b|0));b=k[20155]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function $k(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20239]=0;k[20240]=0;k[20241]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20240]=a;k[20239]=a;k[20241]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20240]|0)+12|0;k[20240]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20240]|0)+12|0;k[20240]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20240]=(k[20240]|0)+12;A9(f);A9(e);A9(g);Pb(426,80956,x|0)|0;p[9572]=3.141592653589793;k[20242]=0;k[20243]=0;k[20244]=0;aI(80968,51553,21);Pb(427,80968,x|0)|0;k[20245]=0;k[20246]=0;k[20247]=0;aI(80980,51575,19);Pb(427,80980,x|0)|0;k[20248]=0;k[20249]=0;k[20250]=0;aI(80992,51595,22);Pb(427,80992,x|0)|0;k[20251]=0;k[20252]=0;k[20253]=0;aI(81004,51618,23);Pb(427,81004,x|0)|0;k[20254]=0;k[20255]=0;k[20256]=0;aI(81016,51642,6);Pb(427,81016,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20239]|0;if(b){c=k[20240]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20240]=h;A9(h);c=k[20240]|0}while((c|0)!=(b|0));b=k[20239]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function al(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9582]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20422]=0;k[20423]=0;k[20424]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20423]=a;k[20422]=a;k[20424]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20423]|0)+12|0;k[20423]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20423]|0)+12|0;k[20423]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20423]=(k[20423]|0)+12;A9(f);A9(e);A9(g);Pb(426,81688,x|0)|0;k[20425]=0;k[20426]=0;k[20427]=0;aI(81700,51553,21);Pb(427,81700,x|0)|0;k[20428]=0;k[20429]=0;k[20430]=0;aI(81712,51575,19);Pb(427,81712,x|0)|0;k[20431]=0;k[20432]=0;k[20433]=0;aI(81724,51595,22);Pb(427,81724,x|0)|0;k[20434]=0;k[20435]=0;k[20436]=0;aI(81736,51618,23);Pb(427,81736,x|0)|0;k[20437]=0;k[20438]=0;k[20439]=0;aI(81748,51642,6);Pb(427,81748,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20422]|0;if(b){c=k[20423]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20423]=h;A9(h);c=k[20423]|0}while((c|0)!=(b|0));b=k[20422]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function bl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9587]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20515]=0;k[20516]=0;k[20517]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20516]=a;k[20515]=a;k[20517]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20516]|0)+12|0;k[20516]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20516]|0)+12|0;k[20516]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20516]=(k[20516]|0)+12;A9(f);A9(e);A9(g);Pb(426,82060,x|0)|0;k[20518]=0;k[20519]=0;k[20520]=0;aI(82072,51553,21);Pb(427,82072,x|0)|0;k[20521]=0;k[20522]=0;k[20523]=0;aI(82084,51575,19);Pb(427,82084,x|0)|0;k[20524]=0;k[20525]=0;k[20526]=0;aI(82096,51595,22);Pb(427,82096,x|0)|0;k[20527]=0;k[20528]=0;k[20529]=0;aI(82108,51618,23);Pb(427,82108,x|0)|0;k[20530]=0;k[20531]=0;k[20532]=0;aI(82120,51642,6);Pb(427,82120,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20515]|0;if(b){c=k[20516]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20516]=h;A9(h);c=k[20516]|0}while((c|0)!=(b|0));b=k[20515]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function cl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9574]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20275]=0;k[20276]=0;k[20277]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20276]=a;k[20275]=a;k[20277]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20276]|0)+12|0;k[20276]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20276]|0)+12|0;k[20276]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20276]=(k[20276]|0)+12;A9(f);A9(e);A9(g);Pb(426,81100,x|0)|0;k[20278]=0;k[20279]=0;k[20280]=0;aI(81112,51553,21);Pb(427,81112,x|0)|0;k[20281]=0;k[20282]=0;k[20283]=0;aI(81124,51575,19);Pb(427,81124,x|0)|0;k[20284]=0;k[20285]=0;k[20286]=0;aI(81136,51595,22);Pb(427,81136,x|0)|0;k[20287]=0;k[20288]=0;k[20289]=0;aI(81148,51618,23);Pb(427,81148,x|0)|0;k[20290]=0;k[20291]=0;k[20292]=0;aI(81160,51642,6);Pb(427,81160,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20275]|0;if(b){c=k[20276]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20276]=h;A9(h);c=k[20276]|0}while((c|0)!=(b|0));b=k[20275]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function dl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9578]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20347]=0;k[20348]=0;k[20349]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20348]=a;k[20347]=a;k[20349]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20348]|0)+12|0;k[20348]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20348]|0)+12|0;k[20348]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20348]=(k[20348]|0)+12;A9(f);A9(e);A9(g);Pb(426,81388,x|0)|0;k[20350]=0;k[20351]=0;k[20352]=0;aI(81400,51553,21);Pb(427,81400,x|0)|0;k[20353]=0;k[20354]=0;k[20355]=0;aI(81412,51575,19);Pb(427,81412,x|0)|0;k[20356]=0;k[20357]=0;k[20358]=0;aI(81424,51595,22);Pb(427,81424,x|0)|0;k[20359]=0;k[20360]=0;k[20361]=0;aI(81436,51618,23);Pb(427,81436,x|0)|0;k[20362]=0;k[20363]=0;k[20364]=0;aI(81448,51642,6);Pb(427,81448,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20347]|0;if(b){c=k[20348]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20348]=h;A9(h);c=k[20348]|0}while((c|0)!=(b|0));b=k[20347]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function el(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[7459]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[19403]=0;k[19404]=0;k[19405]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[19404]=a;k[19403]=a;k[19405]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[19404]|0)+12|0;k[19404]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[19404]|0)+12|0;k[19404]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[19404]=(k[19404]|0)+12;A9(f);A9(e);A9(g);Pb(426,77612,x|0)|0;k[19406]=0;k[19407]=0;k[19408]=0;aI(77624,51553,21);Pb(427,77624,x|0)|0;k[19409]=0;k[19410]=0;k[19411]=0;aI(77636,51575,19);Pb(427,77636,x|0)|0;k[19412]=0;k[19413]=0;k[19414]=0;aI(77648,51595,22);Pb(427,77648,x|0)|0;k[19415]=0;k[19416]=0;k[19417]=0;aI(77660,51618,23);Pb(427,77660,x|0)|0;k[19418]=0;k[19419]=0;k[19420]=0;aI(77672,51642,6);Pb(427,77672,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[19403]|0;if(b){c=k[19404]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[19404]=h;A9(h);c=k[19404]|0}while((c|0)!=(b|0));b=k[19403]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function fl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9571]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20221]=0;k[20222]=0;k[20223]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20222]=a;k[20221]=a;k[20223]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20222]|0)+12|0;k[20222]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20222]|0)+12|0;k[20222]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20222]=(k[20222]|0)+12;A9(f);A9(e);A9(g);Pb(426,80884,x|0)|0;k[20224]=0;k[20225]=0;k[20226]=0;aI(80896,51553,21);Pb(427,80896,x|0)|0;k[20227]=0;k[20228]=0;k[20229]=0;aI(80908,51575,19);Pb(427,80908,x|0)|0;k[20230]=0;k[20231]=0;k[20232]=0;aI(80920,51595,22);Pb(427,80920,x|0)|0;k[20233]=0;k[20234]=0;k[20235]=0;aI(80932,51618,23);Pb(427,80932,x|0)|0;k[20236]=0;k[20237]=0;k[20238]=0;aI(80944,51642,6);Pb(427,80944,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20221]|0;if(b){c=k[20222]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20222]=h;A9(h);c=k[20222]|0}while((c|0)!=(b|0));b=k[20221]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function gl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9577]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20329]=0;k[20330]=0;k[20331]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20330]=a;k[20329]=a;k[20331]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20330]|0)+12|0;k[20330]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20330]|0)+12|0;k[20330]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20330]=(k[20330]|0)+12;A9(f);A9(e);A9(g);Pb(426,81316,x|0)|0;k[20332]=0;k[20333]=0;k[20334]=0;aI(81328,51553,21);Pb(427,81328,x|0)|0;k[20335]=0;k[20336]=0;k[20337]=0;aI(81340,51575,19);Pb(427,81340,x|0)|0;k[20338]=0;k[20339]=0;k[20340]=0;aI(81352,51595,22);Pb(427,81352,x|0)|0;k[20341]=0;k[20342]=0;k[20343]=0;aI(81364,51618,23);Pb(427,81364,x|0)|0;k[20344]=0;k[20345]=0;k[20346]=0;aI(81376,51642,6);Pb(427,81376,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20329]|0;if(b){c=k[20330]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20330]=h;A9(h);c=k[20330]|0}while((c|0)!=(b|0));b=k[20329]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function hl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9576]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20311]=0;k[20312]=0;k[20313]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20312]=a;k[20311]=a;k[20313]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20312]|0)+12|0;k[20312]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20312]|0)+12|0;k[20312]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20312]=(k[20312]|0)+12;A9(f);A9(e);A9(g);Pb(426,81244,x|0)|0;k[20314]=0;k[20315]=0;k[20316]=0;aI(81256,51553,21);Pb(427,81256,x|0)|0;k[20317]=0;k[20318]=0;k[20319]=0;aI(81268,51575,19);Pb(427,81268,x|0)|0;k[20320]=0;k[20321]=0;k[20322]=0;aI(81280,51595,22);Pb(427,81280,x|0)|0;k[20323]=0;k[20324]=0;k[20325]=0;aI(81292,51618,23);Pb(427,81292,x|0)|0;k[20326]=0;k[20327]=0;k[20328]=0;aI(81304,51642,6);Pb(427,81304,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20311]|0;if(b){c=k[20312]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20312]=h;A9(h);c=k[20312]|0}while((c|0)!=(b|0));b=k[20311]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function il(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9573]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20257]=0;k[20258]=0;k[20259]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20258]=a;k[20257]=a;k[20259]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20258]|0)+12|0;k[20258]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20258]|0)+12|0;k[20258]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20258]=(k[20258]|0)+12;A9(f);A9(e);A9(g);Pb(426,81028,x|0)|0;k[20260]=0;k[20261]=0;k[20262]=0;aI(81040,51553,21);Pb(427,81040,x|0)|0;k[20263]=0;k[20264]=0;k[20265]=0;aI(81052,51575,19);Pb(427,81052,x|0)|0;k[20266]=0;k[20267]=0;k[20268]=0;aI(81064,51595,22);Pb(427,81064,x|0)|0;k[20269]=0;k[20270]=0;k[20271]=0;aI(81076,51618,23);Pb(427,81076,x|0)|0;k[20272]=0;k[20273]=0;k[20274]=0;aI(81088,51642,6);Pb(427,81088,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20257]|0;if(b){c=k[20258]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20258]=h;A9(h);c=k[20258]|0}while((c|0)!=(b|0));b=k[20257]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function jl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9575]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20293]=0;k[20294]=0;k[20295]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20294]=a;k[20293]=a;k[20295]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20294]|0)+12|0;k[20294]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20294]|0)+12|0;k[20294]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20294]=(k[20294]|0)+12;A9(f);A9(e);A9(g);Pb(426,81172,x|0)|0;k[20296]=0;k[20297]=0;k[20298]=0;aI(81184,51553,21);Pb(427,81184,x|0)|0;k[20299]=0;k[20300]=0;k[20301]=0;aI(81196,51575,19);Pb(427,81196,x|0)|0;k[20302]=0;k[20303]=0;k[20304]=0;aI(81208,51595,22);Pb(427,81208,x|0)|0;k[20305]=0;k[20306]=0;k[20307]=0;aI(81220,51618,23);Pb(427,81220,x|0)|0;k[20308]=0;k[20309]=0;k[20310]=0;aI(81232,51642,6);Pb(427,81232,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20293]|0;if(b){c=k[20294]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20294]=h;A9(h);c=k[20294]|0}while((c|0)!=(b|0));b=k[20293]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function kl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[7458]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[19385]=0;k[19386]=0;k[19387]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[19386]=a;k[19385]=a;k[19387]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[19386]|0)+12|0;k[19386]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[19386]|0)+12|0;k[19386]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[19386]=(k[19386]|0)+12;A9(f);A9(e);A9(g);Pb(426,77540,x|0)|0;k[19388]=0;k[19389]=0;k[19390]=0;aI(77552,51553,21);Pb(427,77552,x|0)|0;k[19391]=0;k[19392]=0;k[19393]=0;aI(77564,51575,19);Pb(427,77564,x|0)|0;k[19394]=0;k[19395]=0;k[19396]=0;aI(77576,51595,22);Pb(427,77576,x|0)|0;k[19397]=0;k[19398]=0;k[19399]=0;aI(77588,51618,23);Pb(427,77588,x|0)|0;k[19400]=0;k[19401]=0;k[19402]=0;aI(77600,51642,6);Pb(427,77600,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[19385]|0;if(b){c=k[19386]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[19386]=h;A9(h);c=k[19386]|0}while((c|0)!=(b|0));b=k[19385]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function ll(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9550]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20137]=0;k[20138]=0;k[20139]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20138]=a;k[20137]=a;k[20139]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20138]|0)+12|0;k[20138]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20138]|0)+12|0;k[20138]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20138]=(k[20138]|0)+12;A9(f);A9(e);A9(g);Pb(426,80548,x|0)|0;k[20140]=0;k[20141]=0;k[20142]=0;aI(80560,51553,21);Pb(427,80560,x|0)|0;k[20143]=0;k[20144]=0;k[20145]=0;aI(80572,51575,19);Pb(427,80572,x|0)|0;k[20146]=0;k[20147]=0;k[20148]=0;aI(80584,51595,22);Pb(427,80584,x|0)|0;k[20149]=0;k[20150]=0;k[20151]=0;aI(80596,51618,23);Pb(427,80596,x|0)|0;k[20152]=0;k[20153]=0;k[20154]=0;aI(80608,51642,6);Pb(427,80608,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20137]|0;if(b){c=k[20138]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20138]=h;A9(h);c=k[20138]|0}while((c|0)!=(b|0));b=k[20137]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function ml(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;f=0;h=r;r=r+16|0;e=h;c=k[a+60>>2]|0;a:do if(!c)f=6;else{d=k[c>>2]|0;if(!d)f=6;else{while(1){y=0;oa(691,b|0,d|0);d=y;y=0;if(d&1)break;c=c+4|0;d=k[c>>2]|0;if(!d){f=6;break a}}c=tb(0)|0}}while(0);b:do if((f|0)==6){c=k[a+68>>2]|0;c:do if(c|0){d=k[c>>2]|0;if(d|0){while(1){y=0;oa(692,b|0,d|0);d=y;y=0;if(d&1)break;c=c+4|0;d=k[c>>2]|0;if(!d)break c}c=tb(0)|0;break b}}while(0);c=k[a+64>>2]|0;d:do if(c|0){d=k[c>>2]|0;if(d|0){while(1){y=0;oa(693,b|0,d|0);d=y;y=0;if(d&1)break;c=c+4|0;d=k[c>>2]|0;if(!d)break d}c=tb(0)|0;break b}}while(0);c=a+84|0;k[a+112>>2]=0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[a+104>>2]=-1;k[a+108>>2]=-1;c=BO(1,20)|0;if(c|0){k[c+4>>2]=a;k[c+8>>2]=b;k[b+296>>2]=c;g=c;r=h;return g|0}y=0;d=ta(47,83256,50149,35)|0;b=y;y=0;do if(b&1)f=24;else{y=0;c=qa(323,d+(k[(k[d>>2]|0)+-12>>2]|0)|0)|0;b=y;y=0;if(b&1)f=24;else{k[e>>2]=c;y=0;c=Ha(977,e|0,83960)|0;b=y;y=0;if(!(b&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;b=y;y=0;if(!(b&1)){Hea(e);y=0;Ha(1015,d|0,c|0)|0;f=y;y=0;if(f&1){f=24;break}y=0;qa(381,d|0)|0;f=y;y=0;if(f&1){f=24;break}else c=0;r=h;return c|0}}c=tb(0)|0;Hea(e)}}while(0);if((f|0)==24)c=tb(0)|0}while(0);vb(c|0)|0;y=0;qa(398,a|0)|0;f=y;y=0;do if(f&1){f=tb(0)|0;vb(f|0)|0;y=0;qa(398,a|0)|0;f=y;y=0;if(f&1){c=pb()|0;y=0;la(3);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}else g=c}else{y=0;la(3);g=y;y=0;if(!(g&1))break;g=pb()|0}y=0;la(3);f=y;y=0;if(f&1){g=tb(0)|0;Sla(g)}else Ab(g|0)}while(0);y=0;la(3);g=y;y=0;if(!(g&1)){g=0;r=h;return g|0}h=pb()|0;Ab(h|0);return 0}function nl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;p[9586]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20497]=0;k[20498]=0;k[20499]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20498]=a;k[20497]=a;k[20499]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20498]|0)+12|0;k[20498]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20498]|0)+12|0;k[20498]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20498]=(k[20498]|0)+12;A9(f);A9(e);A9(g);Pb(426,81988,x|0)|0;k[20500]=0;k[20501]=0;k[20502]=0;aI(82e3,51553,21);Pb(427,82e3,x|0)|0;k[20503]=0;k[20504]=0;k[20505]=0;aI(82012,51575,19);Pb(427,82012,x|0)|0;k[20506]=0;k[20507]=0;k[20508]=0;aI(82024,51595,22);Pb(427,82024,x|0)|0;k[20509]=0;k[20510]=0;k[20511]=0;aI(82036,51618,23);Pb(427,82036,x|0)|0;k[20512]=0;k[20513]=0;k[20514]=0;aI(82048,51642,6);Pb(427,82048,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20497]|0;if(b){c=k[20498]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20498]=h;A9(h);c=k[20498]|0}while((c|0)!=(b|0));b=k[20497]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function ol(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0,h=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0;u=0;o=r;r=r+96|0;t=o;n=o+56|0;q=o+40|0;l=b+88|0;if(+p[l>>3]!=+p[c+88>>3]){a=gb(40)|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(74,t|0,51014,1);u=y;y=0;if(u&1)d=pb()|0;else{y=0;Ra(38,a|0,b|0,c|0,t|0);u=y;y=0;if(u&1)e=1;else{y=0;Na(75,a|0,3568,268);y=0;e=0}d=pb()|0;A9(t);if(!e){u=d;sb(u|0)}}fb(a|0);u=d;sb(u|0)}f=+p[c+64>>3];do if((a|0)==11){if(f!=0.0)if(+p[c+72>>3]!=0.0)if(+p[c+80>>3]!=0.0)break;d=gb(28)|0;y=0;Na(133,d|0,b|0,c|0);u=y;y=0;if(!(u&1))Wb(d|0,3552,177);u=pb()|0;fb(d|0);sb(u|0)}while(0);s=IM(112)|0;m=n;d=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(d|0));d=17380+(a<<2)|0;y=0;h=+za(k[d>>2]|0,+(+p[b+64>>3]),+f);m=y;y=0;if(m&1)u=23;else{y=0;j=+za(k[d>>2]|0,+(+p[b+72>>3]),+(+p[c+72>>3]));m=y;y=0;if(m&1)u=23;else{y=0;g=+za(k[d>>2]|0,+(+p[b+80>>3]),+(+p[c+80>>3]));c=y;y=0;if(c&1)u=23;else{f=+p[l>>3];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,87975,0);c=y;y=0;if(c&1)u=23;else{m=t;e=n;d=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(d|0));y=0;na(422,s|0);c=y;y=0;do if(c&1)d=pb()|0;else{m=s+12|0;e=t;d=m+40|0;do{k[m>>2]=k[e>>2];m=m+4|0;e=e+4|0}while((m|0)<(d|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;d=s+56|0;k[d>>2]=0;k[s>>2]=10548;p[s+64>>3]=h;p[s+72>>3]=j;p[s+80>>3]=g;p[s+88>>3]=f;y=0;oa(456,s+96|0,q|0);t=y;y=0;if(t&1){d=pb()|0;break}else{k[s+108>>2]=0;k[d>>2]=3;A9(q);r=o;return s|0}}while(0);A9(q)}}}}if((u|0)==23)d=pb()|0;cra(s);u=d;sb(u|0);return 0}function pl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;k[20458]=0;k[20459]=0;k[20460]=0;aI(81832,51642,6);Pb(427,81832,x|0)|0;p[9584]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20461]=0;k[20462]=0;k[20463]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20462]=a;k[20461]=a;k[20463]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20462]|0)+12|0;k[20462]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20462]|0)+12|0;k[20462]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20462]=(k[20462]|0)+12;A9(f);A9(e);A9(g);Pb(426,81844,x|0)|0;k[20464]=0;k[20465]=0;k[20466]=0;aI(81856,51553,21);Pb(427,81856,x|0)|0;k[20467]=0;k[20468]=0;k[20469]=0;aI(81868,51575,19);Pb(427,81868,x|0)|0;k[20470]=0;k[20471]=0;k[20472]=0;aI(81880,51595,22);Pb(427,81880,x|0)|0;k[20473]=0;k[20474]=0;k[20475]=0;aI(81892,51618,23);Pb(427,81892,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20461]|0;if(b){c=k[20462]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20462]=h;A9(h);c=k[20462]|0}while((c|0)!=(b|0));b=k[20461]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function ql(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;k[20404]=0;k[20405]=0;k[20406]=0;aI(81616,51642,6);Pb(427,81616,x|0)|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20407]=0;k[20408]=0;k[20409]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20408]=a;k[20407]=a;k[20409]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20408]|0)+12|0;k[20408]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20408]|0)+12|0;k[20408]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20408]=(k[20408]|0)+12;A9(f);A9(e);A9(g);Pb(426,81628,x|0)|0;p[9581]=3.141592653589793;k[20410]=0;k[20411]=0;k[20412]=0;aI(81640,51553,21);Pb(427,81640,x|0)|0;k[20413]=0;k[20414]=0;k[20415]=0;aI(81652,51575,19);Pb(427,81652,x|0)|0;k[20416]=0;k[20417]=0;k[20418]=0;aI(81664,51595,22);Pb(427,81664,x|0)|0;k[20419]=0;k[20420]=0;k[20421]=0;aI(81676,51618,23);Pb(427,81676,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20407]|0;if(b){c=k[20408]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20408]=h;A9(h);c=k[20408]|0}while((c|0)!=(b|0));b=k[20407]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function rl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;k[20203]=0;k[20204]=0;k[20205]=0;aI(80812,51642,6);Pb(427,80812,x|0)|0;p[9570]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20206]=0;k[20207]=0;k[20208]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20207]=a;k[20206]=a;k[20208]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20207]|0)+12|0;k[20207]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20207]|0)+12|0;k[20207]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20207]=(k[20207]|0)+12;A9(f);A9(e);A9(g);Pb(426,80824,x|0)|0;k[20209]=0;k[20210]=0;k[20211]=0;aI(80836,51553,21);Pb(427,80836,x|0)|0;k[20212]=0;k[20213]=0;k[20214]=0;aI(80848,51575,19);Pb(427,80848,x|0)|0;k[20215]=0;k[20216]=0;k[20217]=0;aI(80860,51595,22);Pb(427,80860,x|0)|0;k[20218]=0;k[20219]=0;k[20220]=0;aI(80872,51618,23);Pb(427,80872,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20206]|0;if(b){c=k[20207]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20207]=h;A9(h);c=k[20207]|0}while((c|0)!=(b|0));b=k[20206]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function sl(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;b=r;r=r+48|0;g=b;k[20173]=0;k[20174]=0;k[20175]=0;aI(80692,51642,6);Pb(427,80692,x|0)|0;p[9552]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);d=y;y=0;if(d&1)a=2;else{k[20176]=0;k[20177]=0;k[20178]=0;y=0;a=qa(315,36)|0;d=y;y=0;if(d&1)a=pb()|0;else{k[20177]=a;k[20176]=a;k[20178]=a+36;y=0;oa(456,a|0,g|0);d=y;y=0;if(!(d&1)){d=(k[20177]|0)+12|0;k[20177]=d;y=0;oa(456,d|0,e|0);d=y;y=0;if(!(d&1)){d=(k[20177]|0)+12|0;k[20177]=d;y=0;oa(456,d|0,f|0);d=y;y=0;if(!(d&1)){k[20177]=(k[20177]|0)+12;A9(f);A9(e);A9(g);Pb(426,80704,x|0)|0;k[20179]=0;k[20180]=0;k[20181]=0;aI(80716,51553,21);Pb(427,80716,x|0)|0;k[20182]=0;k[20183]=0;k[20184]=0;aI(80728,51575,19);Pb(427,80728,x|0)|0;k[20185]=0;k[20186]=0;k[20187]=0;aI(80740,51595,22);Pb(427,80740,x|0)|0;k[20188]=0;k[20189]=0;k[20190]=0;aI(80752,51618,23);Pb(427,80752,x|0)|0;r=b;return}}}a=pb()|0;d=N;b=k[20176]|0;if(b){c=k[20177]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[20177]=h;A9(h);c=k[20177]|0}while((c|0)!=(b|0));b=k[20176]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function tl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=0;n=r;r=r+128|0;h=n+88|0;f=n+80|0;o=n+72|0;i=n+32|0;p=n+24|0;l=n+16|0;q=n+8|0;m=n;g=b+68|0;LT(f,k[g>>2]|0);k[f>>2]=6868;j=k[f+4>>2]|0;j=(k[j+72>>2]|0)==(k[j+68>>2]|0);DO(f);if(j){s=b;r=n;return s|0}d=a+20|0;j=a+24|0;e=k[j>>2]|0;f=e;if((e|0)==(k[d>>2]|0))c=k[a+8>>2]|0;else c=f+-4|0;if((k[(k[c>>2]|0)+52>>2]|0)==1){s=We(a,b)|0;r=n;return s|0}k[h>>2]=b;if(f>>>0<(k[a+28>>2]|0)>>>0){k[e>>2]=b;k[j>>2]=(k[j>>2]|0)+4}else mA(d,h);f=IM(80)|0;c=i;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(460,p|0,k[b+76>>2]|0);e=y;y=0;do if(e&1)c=pb()|0;else{k[p>>2]=11804;c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(460,q|0,k[g>>2]|0);g=y;y=0;if(g&1){c=pb()|0;DO(p);break}k[q>>2]=6868;y=0;c=Ha(c|0,a|0,k[q+4>>2]|0)|0;g=y;y=0;if(g&1)s=22;else{y=0;oa(460,l|0,c|0);g=y;y=0;if(g&1)s=22;else{k[l>>2]=6868;y=0;c=h;d=i;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Ra(35,f|0,h|0,p|0,l|0);i=y;y=0;if(i&1)d=1;else{y=0;oa(460,o|0,f|0);i=y;y=0;if(i&1)d=0;else{k[o>>2]=17148;DO(l);DO(q);DO(p);c=o+4|0;s=k[c>>2]|0;k[s+56>>2]=k[b+56>>2];k[j>>2]=(k[j>>2]|0)+-4;y=0;oa(460,m|0,k[s+68>>2]|0);s=y;y=0;do if(s&1)c=pb()|0;else{k[m>>2]=6868;y=0;c=ta(153,a|0,k[m+4>>2]|0,k[c>>2]|0)|0;s=y;y=0;if(s&1){c=pb()|0;DO(m);break}DO(m);DO(o);s=c;r=n;return s|0}while(0);DO(o);s=c;sb(s|0)}}c=pb()|0;DO(l)}}if((s|0)==22){c=pb()|0;d=1}DO(q);DO(p);if(!d){s=c;sb(s|0)}}while(0);cra(f);s=c;sb(s|0);return 0}function ul(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;w=r;r=r+224|0;m=w+184|0;n=w+192|0;o=w+180|0;p=w+176|0;q=w+168|0;s=w+40|0;t=w+32|0;u=w+28|0;x=w+16|0;l=w+8|0;v=w;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[x+(b<<2)>>2]=0;b=b+1|0}k[l+4>>2]=0;k[l>>2]=28404;h=i[f+8+3>>0]|0;j=h<<24>>24<0;b=j?k[f>>2]|0:f;h=b+((j?k[f+4>>2]|0:h&255)<<2)|0;j=n+32|0;f=b;b=0;a:while(1){if(!((b|0)!=2&f>>>0<h>>>0)){g=13;break}k[p>>2]=f;y=0;g=Pa(k[(k[l>>2]|0)+12>>2]|0,l|0,m|0,f|0,h|0,p|0,n|0,j|0,o|0)|0;b=y;y=0;if(b&1){g=15;break}if((g|0)==2?1:(k[p>>2]|0)==(f|0)){g=8;break}else b=n;while(1){if(b>>>0>=(k[o>>2]|0)>>>0)break;y=0;oa(458,x|0,i[b>>0]|0);f=y;y=0;if(f&1){g=14;break a}b=b+1|0}f=k[p>>2]|0;b=g}do if((g|0)==8){y=0;na(480,57322);y=0;b=pb()|0;g=16}else if((g|0)==13){y=0;f=Ma(24,((c|0)==-1?-1:c<<1)|0,d|0,e|0,((i[x+11>>0]|0)<0?k[x>>2]|0:x)|0)|0;e=y;y=0;if(e&1){b=pb()|0;break}k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}k[v+4>>2]=0;k[v>>2]=28452;h=f+(IJ(f)|0)|0;j=h;l=s+128|0;b=0;b:while(1){if(!((b|0)!=2&f>>>0<h>>>0)){g=29;break}k[u>>2]=f;y=0;g=Pa(k[(k[v>>2]|0)+16>>2]|0,v|0,q|0,f|0,((j-f|0)>32?f+32|0:h)|0,u|0,s|0,l|0,t|0)|0;e=y;y=0;if(e&1){g=32;break}if((g|0)==2?1:(k[u>>2]|0)==(f|0)){g=24;break}else b=s;while(1){if(b>>>0>=(k[t>>2]|0)>>>0)break;y=0;oa(706,a|0,k[b>>2]|0);e=y;y=0;if(e&1){g=31;break b}b=b+4|0}f=k[u>>2]|0;b=g}if((g|0)==24){y=0;na(480,57322);y=0;b=pb()|0}else if((g|0)==29){A9(x);r=w;return}else if((g|0)==31)b=pb()|0;else if((g|0)==32)b=pb()|0;X8(a)}else if((g|0)==14){b=pb()|0;g=16}else if((g|0)==15){b=pb()|0;g=16}while(0);A9(x);sb(b|0)}function vl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;l=a;i=b;j=i;g=c;n=d;h=n;if(!j){f=(e|0)!=0;if(!h){if(f){k[e>>2]=(l>>>0)%(g>>>0);k[e+4>>2]=0}n=0;e=(l>>>0)/(g>>>0)>>>0;return (N=n,e)|0}else{if(!f){n=0;e=0;return (N=n,e)|0}k[e>>2]=a|0;k[e+4>>2]=b&0;n=0;e=0;return (N=n,e)|0}}f=(h|0)==0;do if(!g){if(f){if(e|0){k[e>>2]=(j>>>0)%(g>>>0);k[e+4>>2]=0}n=0;e=(j>>>0)/(g>>>0)>>>0;return (N=n,e)|0}if(!l){if(e|0){k[e>>2]=0;k[e+4>>2]=(j>>>0)%(h>>>0)}n=0;e=(j>>>0)/(h>>>0)>>>0;return (N=n,e)|0}f=h-1|0;if(!(f&h)){if(e|0){k[e>>2]=a|0;k[e+4>>2]=f&j|b&0}n=0;e=j>>>((wO(h|0)|0)>>>0);return (N=n,e)|0}f=(da(h|0)|0)-(da(j|0)|0)|0;if(f>>>0<=30){b=f+1|0;h=31-f|0;g=b;a=j<<h|l>>>(b>>>0);b=j>>>(b>>>0);f=0;h=l<<h;break}if(!e){n=0;e=0;return (N=n,e)|0}k[e>>2]=a|0;k[e+4>>2]=i|b&0;n=0;e=0;return (N=n,e)|0}else{if(!f){f=(da(h|0)|0)-(da(j|0)|0)|0;if(f>>>0<=31){m=f+1|0;h=31-f|0;b=f-31>>31;g=m;a=l>>>(m>>>0)&b|j<<h;b=j>>>(m>>>0)&b;f=0;h=l<<h;break}if(!e){n=0;e=0;return (N=n,e)|0}k[e>>2]=a|0;k[e+4>>2]=i|b&0;n=0;e=0;return (N=n,e)|0}f=g-1|0;if(f&g|0){h=(da(g|0)|0)+33-(da(j|0)|0)|0;p=64-h|0;m=32-h|0;i=m>>31;o=h-32|0;b=o>>31;g=h;a=m-1>>31&j>>>(o>>>0)|(j<<m|l>>>(h>>>0))&b;b=b&j>>>(h>>>0);f=l<<p&i;h=(j<<p|l>>>(o>>>0))&i|l<<m&h-33>>31;break}if(e|0){k[e>>2]=f&l;k[e+4>>2]=0}if((g|0)==1){o=i|b&0;p=a|0|0;return (N=o,p)|0}else{p=wO(g|0)|0;o=j>>>(p>>>0)|0;p=j<<32-p|l>>>(p>>>0)|0;return (N=o,p)|0}}while(0);if(!g){j=h;i=0;h=0}else{m=c|0|0;l=n|d&0;j=P5(m|0,l|0,-1,-1)|0;c=N;i=h;h=0;do{q=i;i=f>>>31|i<<1;f=h|f<<1;q=a<<1|q>>>31|0;d=a>>>31|b<<1|0;mU(j|0,c|0,q|0,d|0)|0;o=N;p=((o|0)<0?-1:0)<<1|0;n=o>>31|p;h=n&1;a=mU(q|0,d|0,n&m|0,(((o|0)<0?-1:0)>>31|p)&l|0)|0;b=N;g=g-1|0}while((g|0)!=0);j=i;i=0}g=0;if(e|0){k[e>>2]=a;k[e+4>>2]=b}p=(f|0)>>>31|(j|g)<<1|(g<<1|f>>>31)&0|i;q=(f<<1|0>>>31)&-2|h;return (N=p,q)|0}function wl(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;f=0;k=a+1|0;do if((i[a>>0]|0)==92){if(!(o4(k)|0)){b=Bka(k)|0;if(!b)break}else{b=a+2|0;if(o4(b)|0){b=a+3|0;j=(o4(b)|0)==0;b=j?b:a+4|0}}b=(i[b>>0]|0)==32?b+1|0:b;if(b|0){k=b;return k|0}}while(0);b=i[a>>0]|0;b=b<<24>>24|0;b=(b|0)!=85?((b|0)==117?k:0):k;if(b|0)if((i[b>>0]|0)==43){b=dA(b+1|0)|0;if(b|0){k=b;return k|0}}j=i[48639]|0;e=j<<24>>24==0;a:do if(e){b=a;f=13}else{b=a;c=48639;d=j;while(1){if((i[b>>0]|0)!=d<<24>>24)break a;b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){f=13;break}}}while(0);b:do if((f|0)==13){d=i[b>>0]|0;if(d<<24>>24){if(e){c=0;e=0;while(1){switch(d<<24>>24){case 92:{f=e;b=b+1|0;break}case 34:{c=c^1;f=e;break}case 39:{f=e^1;break}default:if(c){c=1;f=e}else{c=0;f=e;b=e?b:b+-1|0}}b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break b;else e=f}}else{c=0;e=0;h=0}c:while(1){d:do switch(d<<24>>24){case 92:{b=b+1|0;f=h;break}case 34:{c=c^1;f=h;break}case 39:{e=e^1;f=h;break}default:if(c){c=1;f=h}else if(e){c=0;e=1;f=h}else if(!b){c=0;e=0;b=0;f=h}else{e:do if(d<<24>>24==j<<24>>24){g=b;c=48639;while(1){e=g+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break;if((i[e>>0]|0)!=f<<24>>24)break e;else g=e}c=0;e=0;b=g;f=h+1|0;break d}while(0);c=i[50303]|0;f:do if(c<<24>>24){if(d<<24>>24==c<<24>>24){c=b;d=50303}else{c=0;e=0;f=h;break d}while(1){c=c+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){b=c;break f}if((i[c>>0]|0)!=e<<24>>24){c=0;e=0;f=h;break d}}}while(0);if(!h)break c;else{c=0;e=0;b=b+-1|0;f=h+-1|0}}}while(0);b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break b;else h=f}if(b|0){k=b;return k|0}}}while(0);switch(i[a>>0]|0){case 39:case 0:{k=0;return k|0}default:{}}return k|0}function xl(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,k=0;f=0;k=a+1|0;do if((i[a>>0]|0)==92){if(!(o4(k)|0)){b=Bka(k)|0;if(!b)break}else{b=a+2|0;if(o4(b)|0){b=a+3|0;j=(o4(b)|0)==0;b=j?b:a+4|0}}b=(i[b>>0]|0)==32?b+1|0:b;if(b|0){k=b;return k|0}}while(0);b=i[a>>0]|0;b=b<<24>>24|0;b=(b|0)!=85?((b|0)==117?k:0):k;if(b|0)if((i[b>>0]|0)==43){b=dA(b+1|0)|0;if(b|0){k=b;return k|0}}j=i[48639]|0;e=j<<24>>24==0;a:do if(e){b=a;f=13}else{b=a;c=48639;d=j;while(1){if((i[b>>0]|0)!=d<<24>>24)break a;b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){f=13;break}}}while(0);b:do if((f|0)==13){d=i[b>>0]|0;if(d<<24>>24){if(e){c=0;e=0;while(1){switch(d<<24>>24){case 92:{f=e;b=b+1|0;break}case 34:{c=c^1;f=e;break}case 39:{f=e^1;break}default:if(c){c=1;f=e}else{c=0;f=e;b=e?b:b+-1|0}}b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break b;else e=f}}else{c=0;e=0;h=0}c:while(1){d:do switch(d<<24>>24){case 92:{b=b+1|0;f=h;break}case 34:{c=c^1;f=h;break}case 39:{e=e^1;f=h;break}default:if(c){c=1;f=h}else if(e){c=0;e=1;f=h}else if(!b){c=0;e=0;b=0;f=h}else{e:do if(d<<24>>24==j<<24>>24){g=b;c=48639;while(1){e=g+1|0;c=c+1|0;f=i[c>>0]|0;if(!(f<<24>>24))break;if((i[e>>0]|0)!=f<<24>>24)break e;else g=e}c=0;e=0;b=g;f=h+1|0;break d}while(0);c=i[50303]|0;f:do if(c<<24>>24){if(d<<24>>24==c<<24>>24){c=b;d=50303}else{c=0;e=0;f=h;break d}while(1){c=c+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24)){b=c;break f}if((i[c>>0]|0)!=e<<24>>24){c=0;e=0;f=h;break d}}}while(0);if(!h)break c;else{c=0;e=0;b=b+-1|0;f=h+-1|0}}}while(0);b=b+1|0;d=i[b>>0]|0;if(!(d<<24>>24))break b;else h=f}if(b|0){k=b;return k|0}}}while(0);switch(i[a>>0]|0){case 34:case 0:{k=0;return k|0}default:{}}return k|0}function yl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;l=0;m=r;r=r+16|0;n=m;e=k[a+4>>2]|0;a:do if(e|0){d=0;do{k[(k[a>>2]|0)+(d<<2)>>2]=0;d=d+1|0}while((d|0)!=(e|0));k[a+12>>2]=0;j=a+8|0;d=k[j>>2]|0;k[j>>2]=0;if(d|0){j=k[c>>2]|0;h=k[b>>2]|0;g=h;while(1){if((g|0)==(j|0)){l=21;break}e=d+8|0;f=d+12|0;if(k[f>>2]|0){y=0;na(423,e|0);o=y;y=0;if(o&1){l=15;break}}k[f>>2]=k[g+12>>2];y=0;na(424,e|0);o=y;y=0;if(o&1){l=15;break}e=d+16|0;f=d+20|0;if(k[f>>2]|0){y=0;na(423,e|0);o=y;y=0;if(o&1){l=15;break}}k[f>>2]=k[g+20>>2];y=0;na(424,e|0);o=y;y=0;if(o&1){l=15;break}e=k[d>>2]|0;y=0;Ha(989,a|0,d|0)|0;o=y;y=0;if(o&1){l=16;break}f=k[h>>2]|0;k[b>>2]=f;if(!e)break a;else{d=e;g=f;h=f}}if((l|0)==15)e=tb(0)|0;else if((l|0)==16)e=tb(0)|0;else if((l|0)==21)while(1){l=0;o=d;d=k[d>>2]|0;DO(o+16|0);DO(o+8|0);cra(o);if(!d)break a;else l=21}vb(e|0)|0;do{o=d;d=k[d>>2]|0;DO(o+16|0);DO(o+8|0);cra(o)}while((d|0)!=0);y=0;la(4);y=0;d=pb()|0;y=0;la(3);o=y;y=0;if(o&1){o=tb(0)|0;Sla(o)}else sb(d|0)}}while(0);d=k[b>>2]|0;e=k[c>>2]|0;if((d|0)==(e|0)){r=m;return}f=d;while(1){ku(n,a,f+8|0);y=0;Ha(989,a|0,k[n>>2]|0)|0;o=y;y=0;if(o&1)break;d=k[d>>2]|0;k[b>>2]=d;f=d;if((f|0)==(e|0)){l=31;break}}if((l|0)==31){r=m;return}d=pb()|0;e=k[n>>2]|0;k[n>>2]=0;if(!e)sb(d|0);if(i[n+8>>0]|0){DO(e+16|0);DO(e+8|0)}cra(e);sb(d|0)}function zl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;x=0;y=r;r=r+16|0;j=y+8|0;u=y+4|0;v=y;w=a+64|0;if(!(k[w>>2]|0)){x=-1;r=y;return x|0}d=a+92|0;if(!(k[d>>2]&16)){k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;c=k[a+52>>2]|0;do if(c>>>0>8)if(!(i[a+98>>0]|0)){f=k[a+56>>2]|0;g=f+((k[a+60>>2]|0)+-1)|0;k[a+24>>2]=f;e=a+20|0;k[e>>2]=f;c=a+28|0;k[c>>2]=g;h=f;break}else{f=k[a+32>>2]|0;g=f+(c+-1)|0;k[a+24>>2]=f;e=a+20|0;k[e>>2]=f;c=a+28|0;k[c>>2]=g;h=f;break}else{k[a+24>>2]=0;e=a+20|0;k[e>>2]=0;c=a+28|0;k[c>>2]=0;h=0;g=0;f=0}while(0);k[d>>2]=16;t=e;q=c;s=c;p=e;e=h}else{p=a+20|0;e=k[p>>2]|0;g=a+28|0;t=p;q=g;s=g;f=e;g=k[g>>2]|0}o=(b|0)==-1;c=a+24|0;d=k[c>>2]|0;if(!o){if(!d){k[c>>2]=j;k[p>>2]=j;k[q>>2]=j+1;d=j}i[d>>0]=b;d=(k[c>>2]|0)+1|0;k[c>>2]=d;e=k[p>>2]|0}a:do if((d|0)==(e|0))x=33;else{b:do if(!(i[a+98>>0]|0)){m=a+32|0;h=k[m>>2]|0;k[u>>2]=h;n=a+68|0;j=k[n>>2]|0;if(!j){y=gb(4)|0;Soa(y);Wb(y|0,5856,414)}l=a+72|0;a=a+52|0;e=Nc[k[(k[j>>2]|0)+12>>2]&15](j,l,e,d,v,h,h+(k[a>>2]|0)|0,u)|0;d=k[p>>2]|0;c:do if((k[v>>2]|0)!=(d|0)){while(1){if((e|0)==3){x=22;break}if((e|1|0)!=1)break c;h=k[m>>2]|0;j=(k[u>>2]|0)-h|0;if((SN(h,1,j,k[w>>2]|0)|0)!=(j|0))break c;if((e|0)!=1){x=29;break}e=k[v>>2]|0;h=k[c>>2]|0;k[t>>2]=e;k[q>>2]=h;d=e;e=d+(h-e)|0;k[c>>2]=e;h=k[n>>2]|0;if(!h){x=20;break}j=k[m>>2]|0;e=Nc[k[(k[h>>2]|0)+12>>2]&15](h,l,d,e,v,j,j+(k[a>>2]|0)|0,u)|0;d=k[p>>2]|0;if((k[v>>2]|0)==(d|0))break c}if((x|0)==20){y=gb(4)|0;Soa(y);Wb(y|0,5856,414)}else if((x|0)==22){v=(k[c>>2]|0)-d|0;if((SN(d,1,v,k[w>>2]|0)|0)!=(v|0))break}break b}while(0);c=-1;break a}else{v=d-e|0;if((SN(e,1,v,k[w>>2]|0)|0)!=(v|0)){c=-1;break a}}while(0);k[c>>2]=f;k[t>>2]=f;k[s>>2]=g;x=33}while(0);if((x|0)==33)c=o?0:b;x=c;r=y;return x|0}function Al(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=0;m=r;r=r+176|0;h=m+136|0;j=m;l=m+120|0;d=m+64|0;e=m+52|0;m=m+40|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,87975,0);k[d>>2]=c;c=d+4|0;f=b;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));n=d+44|0;y=0;oa(456,n|0,e|0);g=y;y=0;if(g&1){o=pb()|0;A9(e);sb(o|0)}A9(e);y=0;Na(127,j|0,d|0,0);g=y;y=0;a:do if(g&1){c=pb()|0;o=18}else{k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;c=j+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[j+4>>2]|0:d&255;y=0;Ra(10,h|0,52248,1,d+1|0);g=y;y=0;do if(g&1)o=15;else{y=0;ta(41,h|0,((i[c>>0]|0)<0?k[j>>2]|0:j)|0,d|0)|0;g=y;y=0;if(g&1)o=15;else{g=i[h+11>>0]|0;f=g<<24>>24<0;y=0;ta(41,a|0,(f?k[h>>2]|0:h)|0,(f?k[h+4>>2]|0:g&255)|0)|0;g=y;y=0;if(g&1){c=pb()|0;A9(h);break}A9(h);A9(j);y=0;oa(456,m|0,a|0);a=y;y=0;if(a&1){c=pb()|0;break a}c=j;f=b;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));e=gb(76)|0;y=0;oa(456,l|0,m|0);b=y;y=0;if(b&1){c=pb()|0;o=12}else{y=0;c=h;f=j;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));Ra(17,e|0,h|0,l|0,0);j=y;y=0;if(j&1)d=1;else{y=0;Na(75,e|0,2120,175);y=0;d=0}c=pb()|0;A9(l);if(d)o=12}if((o|0)==12)fb(e|0);A9(m);break a}}while(0);if((o|0)==15){c=pb()|0;A9(h)}A9(j);o=18}while(0);A9(n);o=c;sb(o|0)}function Bl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;v=r;r=r+32|0;q=v+12|0;s=v;t=b+11|0;u=uN((i[t>>0]|0)<0?k[b>>2]|0:b)|0;if(!u){u=-1;r=v;return u|0}d=qD(u)|0;a:do if(!d)c=0;else{l=s+11|0;m=s+4|0;n=q+11|0;o=q+4|0;p=b+4|0;c=0;b:while(1){c:while(1){j=d+11|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;aI(q,j,IJ(j)|0);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,43040,3);h=y;y=0;if(h&1){d=14;break b}e=i[l>>0]|0;d=e<<24>>24<0;e=d?k[m>>2]|0:e&255;g=i[n>>0]|0;f=g<<24>>24<0;g=f?k[o>>2]|0:g&255;if(e>>>0>g>>>0){A9(s);A9(q)}else{h=d?k[s>>2]|0:s;if(!e){d=15;break}e=h+e|0;d=(f?k[q>>2]|0:q)+g|0;while(1){e=e+-1|0;d=d+-1|0;if((i[e>>0]|0)!=(i[d>>0]|0))break;if((e|0)==(h|0)){d=16;break c}}A9(s);A9(q)}d=qD(u)|0;if(!d)break a}if((d|0)==15){A9(s);A9(q)}else if((d|0)==16){A9(s);A9(q)}k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;h=i[t>>0]|0;g=h<<24>>24<0;h=g?k[p>>2]|0:h&255;d=IJ(j)|0;y=0;Ra(10,q|0,(g?k[b>>2]|0:b)|0,h|0,h+d|0);h=y;y=0;if(h&1){d=19;break}y=0;ta(41,q|0,j|0,d|0)|0;j=y;y=0;if(j&1){d=19;break}y=0;d=Ha(1003,a|0,q|0)|0;j=y;y=0;if(j&1){d=22;break}A9(q);c=(d&1)+c|0;d=qD(u)|0;if(!d)break a}if((d|0)==14){v=pb()|0;A9(q);sb(v|0)}else if((d|0)==19){v=pb()|0;A9(q);sb(v|0)}else if((d|0)==22){v=pb()|0;A9(q);sb(v|0)}}while(0);ija(u)|0;u=c;r=v;return u|0}function Cl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0;m=r;r=r+16|0;l=m;j=yi(a,b,c,e)|0;f=d+4|0;g=k[f>>2]|0;if(!g){l=j;r=m;return l|0}h=c+4|0;e=k[h>>2]|0;if(!e){l=j;r=m;return l|0}if(!(Fc[k[(k[g>>2]|0)+156>>2]&2047](g,e)|0)){l=j;r=m;return l|0}LT(l,k[h>>2]|0);k[l>>2]=15136;if((c|0)!=(d|0)){if(k[h>>2]|0){y=0;na(423,c|0);i=y;y=0;if(i&1){m=pb()|0;DO(l);sb(m|0)}}k[h>>2]=k[f>>2];k[f>>2]=0}if((l|0)!=(d|0)){if(k[f>>2]|0){y=0;na(423,d|0);i=y;y=0;if(i&1){m=pb()|0;DO(l);sb(m|0)}}i=l+4|0;k[f>>2]=k[i>>2];k[i>>2]=0}DO(l);e=j+1|0;f=k[h>>2]|0;if(!f){l=e;r=m;return l|0}i=b+4|0;g=k[i>>2]|0;if(!g){l=e;r=m;return l|0}if(!(Fc[k[(k[f>>2]|0)+156>>2]&2047](f,g)|0)){l=e;r=m;return l|0}LT(l,k[i>>2]|0);k[l>>2]=15136;if((b|0)!=(c|0)){if(k[i>>2]|0){y=0;na(423,b|0);d=y;y=0;if(d&1){m=pb()|0;DO(l);sb(m|0)}}k[i>>2]=k[h>>2];k[h>>2]=0}if((l|0)!=(c|0)){if(k[h>>2]|0){y=0;na(423,c|0);c=y;y=0;if(c&1){m=pb()|0;DO(l);sb(m|0)}}c=l+4|0;k[h>>2]=k[c>>2];k[c>>2]=0}DO(l);e=j+2|0;f=k[i>>2]|0;if(!f){l=e;r=m;return l|0}g=a+4|0;d=k[g>>2]|0;if(!d){l=e;r=m;return l|0}if(!(Fc[k[(k[f>>2]|0)+156>>2]&2047](f,d)|0)){l=e;r=m;return l|0}LT(l,k[g>>2]|0);k[l>>2]=15136;if((a|0)!=(b|0)){if(k[g>>2]|0){y=0;na(423,a|0);a=y;y=0;if(a&1){m=pb()|0;DO(l);sb(m|0)}}k[g>>2]=k[i>>2];k[i>>2]=0}if((l|0)!=(b|0)){if(k[i>>2]|0){y=0;na(423,b|0);b=y;y=0;if(b&1){m=pb()|0;DO(l);sb(m|0)}}b=l+4|0;k[i>>2]=k[b>>2];k[b>>2]=0}DO(l);l=j+3|0;r=m;return l|0}function Dl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;l=0;m=r;r=r+16|0;h=m+8|0;j=m;g=a+4|0;c=k[g>>2]|0;if(!c){l=0;r=m;return l|0}d=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>3;if(!d){l=0;r=m;return l|0}e=h+4|0;f=(b|0)==3;a=0;a:while(1){c=c+64|0;c=(Fc[k[(k[c>>2]|0)+16>>2]&2047](c,a)|0)+4|0;LT(h,k[c>>2]|0);k[h>>2]=6508;c=k[e>>2]|0;do if(!c)l=24;else if((k[133]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))c=0;else if((k[119]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))c=0;else{if((k[167]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){if(!f){c=0;break}if(!(i[c+72>>0]|0)){l=31;break}else{c=0;break}}if((k[81]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;c=Ha(1e3,c|0,b|0)|0;n=y;y=0;if(n&1){l=15;break a}if(c){c=0;break}else{l=31;break}}if((k[331]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;c=Ha(1001,c|0,b|0)|0;n=y;y=0;if(n&1){l=19;break a}if(c){c=0;break}else{l=31;break}}if((k[109]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;c=Ha(1002,c|0,b|0)|0;n=y;y=0;if(n&1){l=23;break a}if(c)c=0;else l=31}else l=24}while(0);if((l|0)==24){l=0;y=0;c=qa(342,c|0)|0;n=y;y=0;if(n&1){l=23;break}if(!c)l=31;else{y=0;oa(460,j|0,k[c+68>>2]|0);n=y;y=0;if(n&1){l=29;break}k[j>>2]=6868;y=0;c=Ha(999,j|0,b|0)|0;n=y;y=0;if(n&1){l=30;break}DO(j);if(c)c=0;else l=31}}if((l|0)==31){l=0;c=1}DO(h);a=a+1|0;if(!c){a=1;l=34;break}if(a>>>0>=d>>>0){a=0;l=34;break}c=k[g>>2]|0}if((l|0)==15){n=pb()|0;DO(h);sb(n|0)}else if((l|0)==19){n=pb()|0;DO(h);sb(n|0)}else if((l|0)==23){n=pb()|0;DO(h);sb(n|0)}else if((l|0)==29){n=pb()|0;DO(h);sb(n|0)}else if((l|0)==30){n=pb()|0;DO(j);DO(h);sb(n|0)}else if((l|0)==34){r=m;return a|0}return 0}function El(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;v=r;r=r+336|0;q=v+300|0;l=v+48|0;j=v+32|0;h=v+24|0;f=v+8|0;m=v;o=v+304|0;n=v+296|0;g=v+68|0;u=v+64|0;s=v+60|0;t=v+56|0;i=m;k[i>>2]=37;k[i+4>>2]=0;i=yA(m+1|0,56469,k[c+4>>2]|0)|0;k[n>>2]=o;a=LN()|0;if(i){k[f>>2]=k[c+8>>2];p[f+8>>3]=e;a=hK(o,30,a,m,f)|0}else{p[h>>3]=e;a=hK(o,30,a,m,h)|0}do if((a|0)>29){if(i){y=0;a=La(3)|0;l=y;y=0;if(!(l&1)){y=0;k[j>>2]=k[c+8>>2];p[j+8>>3]=e;a=Ma(22,n|0,a|0,m|0,j|0)|0;m=y;y=0;if(!(m&1))w=12}}else{y=0;a=La(3)|0;j=y;y=0;if(!(j&1)){y=0;p[l>>3]=e;a=Ma(22,n|0,a|0,m|0,l|0)|0;m=y;y=0;if(!(m&1))w=12}}if((w|0)==12){f=k[n>>2]|0;if(f|0){h=f;l=f;w=16;break}y=0;la(6);m=y;y=0;if(!(m&1)){l=k[n>>2]|0;h=l;w=16;break}}a=pb()|0}else{h=k[n>>2]|0;l=0;w=16}while(0);if((w|0)==16){i=h+a|0;j=$F(h,i,c)|0;a:do if((h|0)==(o|0)){h=0;a=o;w=22}else{f=ud(a<<3)|0;do if(!f){y=0;la(6);o=y;y=0;if(o&1){a=pb()|0;break a}else{a=k[n>>2]|0;break}}else a=h;while(0);g=f;h=f;w=22}while(0);if((w|0)==22){y=0;f=qa(323,c|0)|0;o=y;y=0;do if(o&1){a=pb()|0;w=32}else{k[q>>2]=f;y=0;Ea(12,a|0,j|0,i|0,g|0,u|0,s|0,q|0);o=y;y=0;if(o&1){a=pb()|0;RQ(k[q>>2]|0)|0;w=32;break}RQ(k[q>>2]|0)|0;k[t>>2]=k[b>>2];u=k[u>>2]|0;a=k[s>>2]|0;y=0;k[q>>2]=k[t>>2];a=pa(42,q|0,g|0,u|0,a|0,c|0,d|0)|0;d=y;y=0;if(d&1){a=pb()|0;break}k[b>>2]=a;if(h|0)Wf(h);if(l|0)Wf(l);r=v;return a|0}while(0);if(h)Wf(h)}if(l)Wf(l)}sb(a|0);return 0}function Fl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;v=r;r=r+336|0;q=v+300|0;l=v+48|0;j=v+32|0;h=v+24|0;f=v+8|0;m=v;o=v+304|0;n=v+296|0;g=v+68|0;u=v+64|0;s=v+60|0;t=v+56|0;i=m;k[i>>2]=37;k[i+4>>2]=0;i=yA(m+1|0,87975,k[c+4>>2]|0)|0;k[n>>2]=o;a=LN()|0;if(i){k[f>>2]=k[c+8>>2];p[f+8>>3]=e;a=hK(o,30,a,m,f)|0}else{p[h>>3]=e;a=hK(o,30,a,m,h)|0}do if((a|0)>29){if(i){y=0;a=La(3)|0;l=y;y=0;if(!(l&1)){y=0;k[j>>2]=k[c+8>>2];p[j+8>>3]=e;a=Ma(22,n|0,a|0,m|0,j|0)|0;m=y;y=0;if(!(m&1))w=12}}else{y=0;a=La(3)|0;j=y;y=0;if(!(j&1)){y=0;p[l>>3]=e;a=Ma(22,n|0,a|0,m|0,l|0)|0;m=y;y=0;if(!(m&1))w=12}}if((w|0)==12){f=k[n>>2]|0;if(f|0){h=f;l=f;w=16;break}y=0;la(6);m=y;y=0;if(!(m&1)){l=k[n>>2]|0;h=l;w=16;break}}a=pb()|0}else{h=k[n>>2]|0;l=0;w=16}while(0);if((w|0)==16){i=h+a|0;j=$F(h,i,c)|0;a:do if((h|0)==(o|0)){h=0;a=o;w=22}else{f=ud(a<<3)|0;do if(!f){y=0;la(6);o=y;y=0;if(o&1){a=pb()|0;break a}else{a=k[n>>2]|0;break}}else a=h;while(0);g=f;h=f;w=22}while(0);if((w|0)==22){y=0;f=qa(323,c|0)|0;o=y;y=0;do if(o&1){a=pb()|0;w=32}else{k[q>>2]=f;y=0;Ea(12,a|0,j|0,i|0,g|0,u|0,s|0,q|0);o=y;y=0;if(o&1){a=pb()|0;RQ(k[q>>2]|0)|0;w=32;break}RQ(k[q>>2]|0)|0;k[t>>2]=k[b>>2];u=k[u>>2]|0;a=k[s>>2]|0;y=0;k[q>>2]=k[t>>2];a=pa(42,q|0,g|0,u|0,a|0,c|0,d|0)|0;d=y;y=0;if(d&1){a=pb()|0;break}k[b>>2]=a;if(h|0)Wf(h);if(l|0)Wf(l);r=v;return a|0}while(0);if(h)Wf(h)}if(l)Wf(l)}sb(a|0);return 0}function Gl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;v=r;r=r+176|0;q=v+72|0;l=v+48|0;j=v+32|0;h=v+24|0;f=v+8|0;m=v;o=v+134|0;n=v+68|0;g=v+76|0;u=v+64|0;s=v+60|0;t=v+56|0;i=m;k[i>>2]=37;k[i+4>>2]=0;i=yA(m+1|0,56469,k[c+4>>2]|0)|0;k[n>>2]=o;a=LN()|0;if(i){k[f>>2]=k[c+8>>2];p[f+8>>3]=e;a=hK(o,30,a,m,f)|0}else{p[h>>3]=e;a=hK(o,30,a,m,h)|0}do if((a|0)>29){if(i){y=0;a=La(3)|0;l=y;y=0;if(!(l&1)){y=0;k[j>>2]=k[c+8>>2];p[j+8>>3]=e;a=Ma(22,n|0,a|0,m|0,j|0)|0;m=y;y=0;if(!(m&1))w=12}}else{y=0;a=La(3)|0;j=y;y=0;if(!(j&1)){y=0;p[l>>3]=e;a=Ma(22,n|0,a|0,m|0,l|0)|0;m=y;y=0;if(!(m&1))w=12}}if((w|0)==12){f=k[n>>2]|0;if(f|0){h=f;l=f;w=16;break}y=0;la(6);m=y;y=0;if(!(m&1)){l=k[n>>2]|0;h=l;w=16;break}}a=pb()|0}else{h=k[n>>2]|0;l=0;w=16}while(0);if((w|0)==16){i=h+a|0;j=$F(h,i,c)|0;a:do if((h|0)==(o|0)){h=0;a=o;w=22}else{f=ud(a<<1)|0;do if(!f){y=0;la(6);o=y;y=0;if(o&1){a=pb()|0;break a}else{a=k[n>>2]|0;break}}else a=h;while(0);g=f;h=f;w=22}while(0);if((w|0)==22){y=0;f=qa(323,c|0)|0;o=y;y=0;do if(o&1){a=pb()|0;w=32}else{k[q>>2]=f;y=0;Ea(10,a|0,j|0,i|0,g|0,u|0,s|0,q|0);o=y;y=0;if(o&1){a=pb()|0;RQ(k[q>>2]|0)|0;w=32;break}RQ(k[q>>2]|0)|0;k[t>>2]=k[b>>2];u=k[u>>2]|0;a=k[s>>2]|0;y=0;k[q>>2]=k[t>>2];a=pa(39,q|0,g|0,u|0,a|0,c|0,d|0)|0;d=y;y=0;if(d&1){a=pb()|0;break}k[b>>2]=a;if(h|0)Wf(h);if(l|0)Wf(l);r=v;return a|0}while(0);if(h)Wf(h)}if(l)Wf(l)}sb(a|0);return 0}function Hl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;var f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;v=r;r=r+176|0;q=v+72|0;l=v+48|0;j=v+32|0;h=v+24|0;f=v+8|0;m=v;o=v+134|0;n=v+68|0;g=v+76|0;u=v+64|0;s=v+60|0;t=v+56|0;i=m;k[i>>2]=37;k[i+4>>2]=0;i=yA(m+1|0,87975,k[c+4>>2]|0)|0;k[n>>2]=o;a=LN()|0;if(i){k[f>>2]=k[c+8>>2];p[f+8>>3]=e;a=hK(o,30,a,m,f)|0}else{p[h>>3]=e;a=hK(o,30,a,m,h)|0}do if((a|0)>29){if(i){y=0;a=La(3)|0;l=y;y=0;if(!(l&1)){y=0;k[j>>2]=k[c+8>>2];p[j+8>>3]=e;a=Ma(22,n|0,a|0,m|0,j|0)|0;m=y;y=0;if(!(m&1))w=12}}else{y=0;a=La(3)|0;j=y;y=0;if(!(j&1)){y=0;p[l>>3]=e;a=Ma(22,n|0,a|0,m|0,l|0)|0;m=y;y=0;if(!(m&1))w=12}}if((w|0)==12){f=k[n>>2]|0;if(f|0){h=f;l=f;w=16;break}y=0;la(6);m=y;y=0;if(!(m&1)){l=k[n>>2]|0;h=l;w=16;break}}a=pb()|0}else{h=k[n>>2]|0;l=0;w=16}while(0);if((w|0)==16){i=h+a|0;j=$F(h,i,c)|0;a:do if((h|0)==(o|0)){h=0;a=o;w=22}else{f=ud(a<<1)|0;do if(!f){y=0;la(6);o=y;y=0;if(o&1){a=pb()|0;break a}else{a=k[n>>2]|0;break}}else a=h;while(0);g=f;h=f;w=22}while(0);if((w|0)==22){y=0;f=qa(323,c|0)|0;o=y;y=0;do if(o&1){a=pb()|0;w=32}else{k[q>>2]=f;y=0;Ea(10,a|0,j|0,i|0,g|0,u|0,s|0,q|0);o=y;y=0;if(o&1){a=pb()|0;RQ(k[q>>2]|0)|0;w=32;break}RQ(k[q>>2]|0)|0;k[t>>2]=k[b>>2];u=k[u>>2]|0;a=k[s>>2]|0;y=0;k[q>>2]=k[t>>2];a=pa(39,q|0,g|0,u|0,a|0,c|0,d|0)|0;d=y;y=0;if(d&1){a=pb()|0;break}k[b>>2]=a;if(h|0)Wf(h);if(l|0)Wf(l);r=v;return a|0}while(0);if(h)Wf(h)}if(l)Wf(l)}sb(a|0);return 0}function Il(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0;m=0;l=r;r=r+48|0;f=l;j=l+40|0;Vr(a,c,d);c=k[b+4>>2]|0;e=(e|0)==0?c:e;k[a+72>>2]=e;e=(c|0)==0?e:c;k[a+76>>2]=e;c=k[b+8>>2]|0;if(!c)c=e+(IJ(e)|0)|0;k[a+80>>2]=c;y=0;h=qa(315,88)|0;g=y;y=0;a:do if(g&1)m=19;else{b=f;c=d;e=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(e|0));y=0;na(422,h|0);g=y;y=0;do if(g&1)c=pb()|0;else{b=h+12|0;c=f;e=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(e|0));k[h>>2]=6564;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=6524;f=h+68|0;g=h+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(565,f|0,0);d=y;y=0;if(d&1){c=pb()|0;d=N;e=k[f>>2]|0;if(e|0){b=k[g>>2]|0;if((b|0)!=(e|0)){do{l=b+-8|0;k[g>>2]=l;lc[k[k[l>>2]>>2]&511](l);b=k[g>>2]|0}while((b|0)!=(e|0));e=k[f>>2]|0}cra(e)}break}k[h>>2]=6368;k[c>>2]=6468;i[h+84>>0]=0;y=0;oa(460,j|0,h|0);h=y;y=0;if(h&1){m=19;break a}k[j>>2]=6868;c=a+48|0;e=k[c>>2]|0;if((e|0)==(k[a+52>>2]|0)){y=0;oa(566,a+44|0,j|0);h=y;y=0;if(!(h&1)){a=j+4|0;a=k[a>>2]|0;a=a+84|0;i[a>>0]=1;DO(j);r=l;return}}else{b=j+4|0;y=0;oa(460,e|0,k[b>>2]|0);h=y;y=0;if(!(h&1)){k[e>>2]=6868;k[c>>2]=(k[c>>2]|0)+8;a=b;a=k[a>>2]|0;a=a+84|0;i[a>>0]=1;DO(j);r=l;return}}f=pb()|0;DO(j);break a}while(0);cra(h);f=c}while(0);if((m|0)==19)f=pb()|0;c=k[a+56>>2]|0;e=c;if(c|0){b=a+60|0;d=k[b>>2]|0;if((d|0)!=(c|0))k[b>>2]=d+(~((d+-4-e|0)>>>2)<<2);cra(c)}d=a+44|0;c=k[d>>2]|0;if(!c)sb(f|0);b=a+48|0;e=k[b>>2]|0;if((e|0)!=(c|0)){do{a=e+-8|0;k[b>>2]=a;lc[k[k[a>>2]>>2]&511](a);e=k[b>>2]|0}while((e|0)!=(c|0));c=k[d>>2]|0}cra(c);sb(f|0)}function Jl(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0;m=0;l=r;r=r+48|0;g=l;j=l+40|0;k[e+24>>2]=0;k[e+20>>2]=0;Vr(a,d,e);h=f|0?f:b;k[a+72>>2]=h;b=(b|0)==0?h:b;k[a+76>>2]=b;if(!c)c=b+(IJ(b)|0)|0;k[a+80>>2]=c;y=0;h=qa(315,88)|0;f=y;y=0;a:do if(f&1)m=19;else{d=g;c=e;b=d+40|0;do{k[d>>2]=k[c>>2];d=d+4|0;c=c+4|0}while((d|0)<(b|0));y=0;na(422,h|0);e=y;y=0;do if(e&1)c=pb()|0;else{d=h+12|0;c=g;b=d+40|0;do{k[d>>2]=k[c>>2];d=d+4|0;c=c+4|0}while((d|0)<(b|0));k[h>>2]=6564;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=6524;e=h+68|0;g=h+72|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;y=0;oa(565,e|0,0);f=y;y=0;if(f&1){c=pb()|0;f=N;b=k[e>>2]|0;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0)){do{l=d+-8|0;k[g>>2]=l;lc[k[k[l>>2]>>2]&511](l);d=k[g>>2]|0}while((d|0)!=(b|0));b=k[e>>2]|0}cra(b)}break}k[h>>2]=6368;k[c>>2]=6468;i[h+84>>0]=0;y=0;oa(460,j|0,h|0);h=y;y=0;if(h&1){m=19;break a}k[j>>2]=6868;c=a+48|0;b=k[c>>2]|0;if((b|0)==(k[a+52>>2]|0)){y=0;oa(566,a+44|0,j|0);h=y;y=0;if(!(h&1)){a=j+4|0;a=k[a>>2]|0;a=a+84|0;i[a>>0]=1;DO(j);r=l;return}}else{d=j+4|0;y=0;oa(460,b|0,k[d>>2]|0);h=y;y=0;if(!(h&1)){k[b>>2]=6868;k[c>>2]=(k[c>>2]|0)+8;a=d;a=k[a>>2]|0;a=a+84|0;i[a>>0]=1;DO(j);r=l;return}}e=pb()|0;DO(j);break a}while(0);cra(h);e=c}while(0);if((m|0)==19)e=pb()|0;c=k[a+56>>2]|0;b=c;if(c|0){d=a+60|0;f=k[d>>2]|0;if((f|0)!=(c|0))k[d>>2]=f+(~((f+-4-b|0)>>>2)<<2);cra(c)}f=a+44|0;c=k[f>>2]|0;if(!c)sb(e|0);d=a+48|0;b=k[d>>2]|0;if((b|0)!=(c|0)){do{a=b+-8|0;k[d>>2]=a;lc[k[k[a>>2]>>2]&511](a);b=k[d>>2]|0}while((b|0)!=(c|0));c=k[f>>2]|0}cra(c);sb(e|0)}function Kl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;o=r;r=r+48|0;m=o+32|0;d=o+24|0;e=o+16|0;i=o+8|0;n=o;j=b+64|0;l=b+68|0;if((k[j>>2]|0)==(k[l>>2]|0)){r=o;return}h=a+4|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,51026,7);y=0;Na(147,h|0,m|0,b|0);g=y;y=0;if(g&1){o=pb()|0;A9(m);sb(o|0)}A9(m);Bla(h);g=k[(k[j>>2]|0)+4>>2]|0;mc[k[(k[g>>2]|0)+44>>2]&1023](g,a);do if(((k[l>>2]|0)-(k[j>>2]|0)|0)==8){c=b+92|0;LT(d,k[c>>2]|0);k[d>>2]=7172;g=(k[d+4>>2]|0)==0;DO(d);if(!g){Bla(h);LT(e,k[c>>2]|0);k[e>>2]=7172;g=k[e+4>>2]|0;y=0;oa(k[(k[g>>2]|0)+44>>2]|0,g|0,a|0);g=y;y=0;if(!(g&1)){DO(e);break}o=pb()|0;DO(e);sb(o|0)}}while(0);IL(h);d=(k[l>>2]|0)-(k[j>>2]|0)>>3;if(d>>>0<=1){r=o;return}e=b+92|0;f=i+4|0;g=n+4|0;c=1;while(1){k0(h);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,51026,7);y=0;Na(147,h|0,m|0,b|0);p=y;y=0;if(p&1){c=16;break}A9(m);Bla(h);p=k[(k[j>>2]|0)+(c<<3)+4>>2]|0;mc[k[(k[p>>2]|0)+44>>2]&1023](p,a);if((((k[l>>2]|0)-(k[j>>2]|0)>>3)+-1|0)==(c|0)){LT(i,k[e>>2]|0);k[i>>2]=7172;p=(k[f>>2]|0)==0;DO(i);if(!p){Bla(h);LT(n,k[e>>2]|0);k[n>>2]=7172;p=k[g>>2]|0;y=0;oa(k[(k[p>>2]|0)+44>>2]|0,p|0,a|0);p=y;y=0;if(p&1){c=17;break}DO(n)}}IL(h);c=c+1|0;if(c>>>0>=d>>>0){c=19;break}}if((c|0)==16){p=pb()|0;A9(m);sb(p|0)}else if((c|0)==17){p=pb()|0;DO(n);sb(p|0)}else if((c|0)==19){r=o;return}}function Ll(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;t=r;r=r+112|0;h=t;w=t+104|0;x=t+88|0;s=t+96|0;q=t+48|0;v=t+40|0;LT(w,k[(k[a+48>>2]|0)+-4>>2]|0);k[w>>2]=6868;j=a+156|0;l=a+160|0;m=w+4|0;n=a+108|0;o=x+4|0;p=v+4|0;while(1){y=0;b=ta(56,a|0,1,0)|0;u=y;y=0;if(u&1){d=13;break}if(!b){d=21;break}e=(i[(k[l>>2]|0)+2>>0]|0)==33;y=0;k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];k[h+8>>2]=k[j+8>>2];Ra(27,x|0,a|0,h|0,1);u=y;y=0;if(u&1){d=14;break}f=(k[m>>2]|0)+64|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;u=qa(315,76)|0;d=y;y=0;if(d&1){d=15;break}b=q;c=n;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;oa(460,v|0,k[o>>2]|0);d=y;y=0;if(d&1){d=16;break}k[v>>2]=7492;b=h;c=q;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));y=0;na(422,u|0);d=y;y=0;if(d&1){c=1;d=18;break}b=u+12|0;c=h;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));b=u+52|0;k[b>>2]=0;k[u+56>>2]=0;i[u+60>>0]=0;k[u>>2]=8084;c=u+64|0;y=0;oa(460,c|0,k[p>>2]|0);d=y;y=0;if(d&1){d=9;break}k[c>>2]=7492;i[u+72>>0]=e&1;k[b>>2]=13;y=0;oa(460,s|0,u|0);e=y;y=0;if(e&1){c=0;d=18;break}k[s>>2]=6508;y=0;oa(g|0,f|0,s|0);u=y;y=0;if(u&1){d=17;break}DO(s);DO(v);DO(x)}if((d|0)==9){b=pb()|0;DO(v);d=19}else if((d|0)==13){x=pb()|0;DO(w);sb(x|0)}else if((d|0)==14){x=pb()|0;DO(w);sb(x|0)}else if((d|0)==15)b=pb()|0;else if((d|0)==16){b=pb()|0;d=19}else if((d|0)==17){b=pb()|0;DO(s);DO(v)}else if((d|0)==18){b=pb()|0;DO(v);if(c)d=19}else if((d|0)==21){DO(w);r=t;return}if((d|0)==19)cra(u);DO(x);x=b;DO(w);sb(x|0)}function Ml(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;j=r;r=r+64|0;n=j+48|0;l=j+40|0;c=j+32|0;d=j+8|0;i=j+16|0;m=j;e=a+24|0;if((k[a+28>>2]|0)==(k[e>>2]|0))if((a|0)==(b|0)){r=j;return a|0}else{k[a+20>>2]=k[b+20>>2];k[c>>2]=k[b+12>>2];k[d>>2]=0;k[l>>2]=k[c>>2];k[n>>2]=k[d>>2];yl(a+4|0,l,n);to(e,k[b+24>>2]|0,k[b+28>>2]|0);r=j;return a|0}c=k[b+24>>2]|0;d=k[b+28>>2]|0;a:do if((c|0)!=(d|0)){e=n+4|0;f=i+8|0;g=l+4|0;h=i+8|0;while(1){LT(n,k[c+4>>2]|0);k[n>>2]=7284;y=0;oa(460,m|0,k[e>>2]|0);o=y;y=0;if(o&1){d=20;break}k[m>>2]=7284;y=0;Na(76,l|0,b|0,m|0);o=y;y=0;if(o&1){d=21;break}y=0;oa(460,i|0,k[e>>2]|0);o=y;y=0;if(o&1){d=22;break}k[i>>2]=7284;y=0;oa(460,f|0,k[g>>2]|0);o=y;y=0;if(o&1){d=17;break}k[f>>2]=7284;y=0;Ha(988,a|0,i|0)|0;o=y;y=0;if(o&1){d=24;break}DO(h);DO(i);DO(l);DO(m);DO(n);c=c+8|0;if((c|0)==(d|0))break a}if((d|0)==17){c=pb()|0;DO(i);d=23}else if((d|0)==20){o=pb()|0;DO(n);sb(o|0)}else if((d|0)==21)c=pb()|0;else if((d|0)==22){c=pb()|0;d=23}else if((d|0)==24){c=pb()|0;DO(h);DO(i);d=25}if((d|0)==23)d=25;if((d|0)==25)DO(l);DO(m);o=c;DO(n);sb(o|0)}while(0);c=a+40|0;LT(n,0);k[n>>2]=7284;if((c|0)!=(n|0)){d=a+44|0;if(k[d>>2]|0){y=0;na(423,c|0);o=y;y=0;if(o&1){o=pb()|0;DO(n);sb(o|0)}}o=n+4|0;k[d>>2]=k[o>>2];k[o>>2]=0}DO(n);r=j;return a|0}function Nl(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0;m=0;j=r;r=r+48|0;f=j;h=j+40|0;k[d+24>>2]=0;k[d+20>>2]=0;Vr(a,c,d);l=e|0?e:b;k[a+72>>2]=l;l=(b|0)==0?l:b;k[a+76>>2]=l;l=l+(IJ(l)|0)|0;k[a+80>>2]=l;y=0;l=qa(315,88)|0;g=y;y=0;a:do if(g&1)m=17;else{e=f;b=d;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;na(422,l|0);g=y;y=0;do if(g&1)b=pb()|0;else{e=l+12|0;b=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));k[l>>2]=6564;k[l+52>>2]=0;k[l+56>>2]=0;i[l+60>>0]=0;b=l+64|0;k[b>>2]=6524;f=l+68|0;g=l+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(565,f|0,0);d=y;y=0;if(d&1){b=pb()|0;d=N;c=k[f>>2]|0;if(c|0){e=k[g>>2]|0;if((e|0)!=(c|0)){do{j=e+-8|0;k[g>>2]=j;lc[k[k[j>>2]>>2]&511](j);e=k[g>>2]|0}while((e|0)!=(c|0));c=k[f>>2]|0}cra(c)}break}k[l>>2]=6368;k[b>>2]=6468;i[l+84>>0]=0;y=0;oa(460,h|0,l|0);l=y;y=0;if(l&1){m=17;break a}k[h>>2]=6868;b=a+48|0;c=k[b>>2]|0;if((c|0)==(k[a+52>>2]|0)){y=0;oa(566,a+44|0,h|0);l=y;y=0;if(!(l&1)){a=h+4|0;a=k[a>>2]|0;a=a+84|0;i[a>>0]=1;DO(h);r=j;return}}else{e=h+4|0;y=0;oa(460,c|0,k[e>>2]|0);l=y;y=0;if(!(l&1)){k[c>>2]=6868;k[b>>2]=(k[b>>2]|0)+8;a=e;a=k[a>>2]|0;a=a+84|0;i[a>>0]=1;DO(h);r=j;return}}f=pb()|0;DO(h);break a}while(0);cra(l);f=b}while(0);if((m|0)==17)f=pb()|0;b=k[a+56>>2]|0;c=b;if(b|0){e=a+60|0;d=k[e>>2]|0;if((d|0)!=(b|0))k[e>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}d=a+44|0;b=k[d>>2]|0;if(!b)sb(f|0);e=a+48|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{a=c+-8|0;k[e>>2]=a;lc[k[k[a>>2]>>2]&511](a);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);sb(f|0)}function Ol(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,i=0,j=0,l=0,m=0;m=r;r=r+16|0;l=m;j=Hi(a,b,c,e)|0;f=d+4|0;g=k[f>>2]|0;if(!g){l=j;r=m;return l|0}h=c+4|0;e=k[h>>2]|0;if(!e){l=j;r=m;return l|0}if(!(Cs(g,e)|0)){l=j;r=m;return l|0}LT(l,k[h>>2]|0);k[l>>2]=13284;if((c|0)!=(d|0)){if(k[h>>2]|0){y=0;na(423,c|0);i=y;y=0;if(i&1){m=pb()|0;DO(l);sb(m|0)}}k[h>>2]=k[f>>2];k[f>>2]=0}if((l|0)!=(d|0)){if(k[f>>2]|0){y=0;na(423,d|0);i=y;y=0;if(i&1){m=pb()|0;DO(l);sb(m|0)}}i=l+4|0;k[f>>2]=k[i>>2];k[i>>2]=0}DO(l);e=j+1|0;f=k[h>>2]|0;if(!f){l=e;r=m;return l|0}i=b+4|0;g=k[i>>2]|0;if(!g){l=e;r=m;return l|0}if(!(Cs(f,g)|0)){l=e;r=m;return l|0}LT(l,k[i>>2]|0);k[l>>2]=13284;if((b|0)!=(c|0)){if(k[i>>2]|0){y=0;na(423,b|0);d=y;y=0;if(d&1){m=pb()|0;DO(l);sb(m|0)}}k[i>>2]=k[h>>2];k[h>>2]=0}if((l|0)!=(c|0)){if(k[h>>2]|0){y=0;na(423,c|0);c=y;y=0;if(c&1){m=pb()|0;DO(l);sb(m|0)}}c=l+4|0;k[h>>2]=k[c>>2];k[c>>2]=0}DO(l);e=j+2|0;f=k[i>>2]|0;if(!f){l=e;r=m;return l|0}g=a+4|0;d=k[g>>2]|0;if(!d){l=e;r=m;return l|0}if(!(Cs(f,d)|0)){l=e;r=m;return l|0}LT(l,k[g>>2]|0);k[l>>2]=13284;if((a|0)!=(b|0)){if(k[g>>2]|0){y=0;na(423,a|0);a=y;y=0;if(a&1){m=pb()|0;DO(l);sb(m|0)}}k[g>>2]=k[i>>2];k[i>>2]=0}if((l|0)!=(b|0)){if(k[i>>2]|0){y=0;na(423,b|0);b=y;y=0;if(b&1){m=pb()|0;DO(l);sb(m|0)}}b=l+4|0;k[i>>2]=k[b>>2];k[b>>2]=0}DO(l);l=j+3|0;r=m;return l|0}function Pl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;n=0;l=r;r=r+128|0;j=l;g=l+104|0;f=l+48|0;h=l+64|0;m=l+40|0;d=b+76|0;c=HJ(k[d>>2]|0)|0;e=b+80|0;if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[d>>2]|0;d=mW(c)|0;c=d|0?d:c;switch(i[c>>0]|0){case 59:case 125:{c=c+1|0;break}default:c=eka(c)|0}a:do if(!((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,43044,11);k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,43056,7);e=y;y=0;if(e&1)c=pb()|0;else{k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,43423,44);e=y;y=0;do if(e&1)c=pb()|0;else{y=0;ma(10,b|0,j|0,g|0,f|0,1);e=y;y=0;if(e&1){c=pb()|0;A9(f);break}else{A9(f);A9(g);A9(j);break a}}while(0);A9(g)}A9(j);n=c;sb(n|0)}while(0);f=IM(72)|0;c=h;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;Na(111,m|0,b|0,0);b=y;y=0;if(b&1)c=pb()|0;else{c=j;d=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,f|0);h=y;y=0;do if(h&1){c=1;n=22}else{c=f+12|0;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=f+52|0;k[c>>2]=0;k[f+56>>2]=0;i[f+60>>0]=0;k[f>>2]=8564;d=f+64|0;y=0;oa(460,d|0,k[m+4>>2]|0);j=y;y=0;if(j&1){c=pb()|0;d=1;break}k[d>>2]=7284;k[c>>2]=15;y=0;oa(460,a|0,f|0);n=y;y=0;if(n&1){c=0;n=22}else{k[a>>2]=17244;DO(m);r=l;return}}while(0);if((n|0)==22){n=pb()|0;d=c;c=n}DO(m);if(!d){n=c;sb(n|0)}}cra(f);n=c;sb(n|0)}function Ql(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;g=0;m=r;r=r+48|0;n=m+36|0;o=m+24|0;j=m+12|0;l=m;f=i[a+11>>0]|0;f=f<<24>>24<0?k[a+4>>2]|0:f&255;if(!f){o=1;r=m;return o|0}SG(n,a,0,1,a);b=i[n+11>>0]|0;do if(((b<<24>>24<0?k[n+4>>2]|0:b&255)|0)==1){y=0;b=sa(21,n|0,0,-1,55435,1)|0;p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}else if(!b){c=0;break}else{g=6;break}}else g=6;while(0);if((g|0)==6)if(f>>>0>1){y=0;ma(4,o|0,a|0,0,2,a|0);p=y;y=0;if(p&1){p=pb()|0;A9(n);sb(p|0)}p=i[o+11>>0]|0;do if(((p<<24>>24<0?k[o+4>>2]|0:p&255)|0)==2){y=0;b=sa(21,o|0,0,-1,43582,2)|0;p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}else if(!b){d=0;break}else{g=12;break}}else g=12;while(0);a:do if((g|0)==12){y=0;ma(4,j|0,a|0,0,2,a|0);p=y;y=0;do if(p&1)b=pb()|0;else{p=i[j+11>>0]|0;do if(((p<<24>>24<0?k[j+4>>2]|0:p&255)|0)==2){y=0;b=sa(21,j|0,0,-1,43585,2)|0;p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}else if(!b){e=0;break}else{g=17;break}}else g=17;while(0);if((g|0)==17)if(f>>>0>2){y=0;ma(4,l|0,a|0,0,3,a|0);p=y;y=0;if(p&1){b=pb()|0;A9(j);break}p=i[l+11>>0]|0;do if(((p<<24>>24<0?k[l+4>>2]|0:p&255)|0)==3){y=0;b=sa(21,l|0,0,-1,43588,3)|0;p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}else{h=(b|0)!=0;break}}else h=1;while(0);A9(l);e=h}else e=1;A9(j);d=e;break a}while(0);A9(o);p=b;A9(n);sb(p|0)}while(0);A9(o);c=d}else c=1;A9(n);p=c;r=m;return p|0}function Rl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=r;r=r+48|0;B=z+32|0;w=z;jD(a);d=k[b+4>>2]|0;c=k[b+16>>2]|0;e=d+(c>>>9<<2)|0;if((k[b+8>>2]|0)==(d|0)){b=0;s=0}else{s=c+(k[b+20>>2]|0)|0;b=(k[e>>2]|0)+((c&511)<<3)|0;s=(k[d+(s>>>9<<2)>>2]|0)+((s&511)<<3)|0}n=a+20|0;A=a+24|0;o=B+4|0;p=w+16|0;q=w+20|0;v=w+24|0;x=w+12|0;a:while(1){do{if((b|0)==(s|0)){b=6;break a}y=0;oa(460,B|0,k[b+4>>2]|0);u=y;y=0;if(u&1){b=7;break a}k[B>>2]=15136;c=k[n>>2]|0;t=k[A>>2]|0;u=(t|0)==0;if(!u)Dba(t);y=0;oa(505,w|0,k[o>>2]|0);m=y;y=0;if(m&1){b=22;break a}j=c+8|0;f=k[j>>2]|0;l=c+4|0;d=k[l>>2]|0;C=f-d>>2;h=c+16|0;i=k[h>>2]|0;m=c+20|0;g=k[m>>2]|0;if((((C|0)==0?0:(C*146|0)+-1|0)|0)==(g+i|0)){y=0;na(429,c|0);C=y;y=0;if(C&1){b=23;break a}g=k[m>>2]|0;c=k[h>>2]|0;f=k[j>>2]|0;d=k[l>>2]|0}else c=i;c=g+c|0;if((f|0)==(d|0))c=0;else c=(k[d+(((c>>>0)/146|0)<<2)>>2]|0)+(((c>>>0)%146|0)*28|0)|0;k[c>>2]=k[w>>2];k[c+4>>2]=k[w+4>>2];k[c+8>>2]=k[w+8>>2];d=c+12|0;y=0;oa(460,d|0,k[p>>2]|0);C=y;y=0;if(C&1){b=23;break a}k[d>>2]=15136;k[c+20>>2]=k[q>>2];k[c+24>>2]=k[v>>2];k[q>>2]=0;k[v>>2]=0;k[m>>2]=(k[m>>2]|0)+1;DO(x);if(!u)DY(t);DO(B);b=b+8|0}while((b-(k[e>>2]|0)|0)!=4096);b=e+4|0;e=b;b=k[b>>2]|0}if((b|0)==6){r=z;return}else if((b|0)==7)c=pb()|0;else if((b|0)==22){c=pb()|0;b=26}else if((b|0)==23){c=pb()|0;b=k[v>>2]|0;if(b|0)DY(b);DO(x);b=26}if((b|0)==26){if(!u)DY(t);DO(B)}b=k[A>>2]|0;if(!b){C=a+12|0;DO(C);sb(c|0)}DY(b);C=a+12|0;DO(C);sb(c|0)}function Sl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=0;l=r;r=r+128|0;f=l+88|0;q=l+80|0;d=l+72|0;h=l+64|0;g=l+24|0;n=l+16|0;j=l+8|0;o=l;LT(d,k[b+76>>2]|0);k[d>>2]=11804;c=k[d+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;m=y;y=0;if(!(m&1)){y=0;oa(460,q|0,c|0);m=y;y=0;if(!(m&1)){k[q>>2]=7284;DO(d);y=0;m=qa(315,80)|0;e=y;y=0;a:do if(e&1)c=pb()|0;else{c=g;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;c=qa(387,k[q+4>>2]|0)|0;e=y;y=0;do if(e&1)p=16;else{y=0;oa(460,n|0,c|0);e=y;y=0;if(e&1)p=16;else{k[n>>2]=11804;c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(460,o|0,k[b+68>>2]|0);b=y;y=0;if(b&1){c=pb()|0;DO(n);break}k[o>>2]=6868;y=0;c=Ha(c|0,a|0,k[o+4>>2]|0)|0;b=y;y=0;if(b&1)p=18;else{y=0;oa(460,j|0,c|0);b=y;y=0;if(b&1)p=18;else{k[j>>2]=6868;y=0;c=f;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Ra(35,m|0,f|0,n|0,j|0);g=y;y=0;if(g&1)d=1;else{y=0;oa(460,h|0,m|0);g=y;y=0;if(g&1)d=0;else{k[h>>2]=17148;DO(j);DO(o);DO(n);c=k[h+4>>2]|0;if(!c){p=0;DO(h);DO(q);r=l;return p|0}i[c+8>>0]=1;p=c;DO(h);DO(q);r=l;return p|0}}c=pb()|0;DO(j)}}if((p|0)==18){c=pb()|0;d=1}DO(o);DO(n);if(!d)break a}}while(0);if((p|0)==16)c=pb()|0;cra(m)}while(0);DO(q);q=c;sb(q|0)}}q=pb()|0;DO(d);sb(q|0);return 0}function Tl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;d=0;l=r;r=r+48|0;f=l+24|0;g=l+12|0;j=l;h=a+100|0;do if(!(i[h>>0]|0))d=6;else{c=a+72|0;e=i[c+11>>0]|0;if(((e<<24>>24<0?k[a+76>>2]|0:e&255)|0)==1){y=0;c=sa(21,c|0,0,-1,48696,1)|0;e=y;y=0;if(e&1){h=tb(0)|0;Sla(h)}else if(!c){d=6;break}else break}}while(0);a:do if((d|0)==6){e=b+100|0;do if(i[e>>0]|0){c=b+72|0;d=i[c+11>>0]|0;if(((d<<24>>24<0?k[b+76>>2]|0:d&255)|0)==1){y=0;c=sa(21,c|0,0,-1,48696,1)|0;d=y;y=0;if(d&1){j=tb(0)|0;Sla(j)}else if(!c)break a;else break}}while(0);c=a+84|0;j=i[c+11>>0]|0;do if(((j<<24>>24<0?k[a+88>>2]|0:j&255)|0)==1){y=0;d=sa(21,c|0,0,-1,48696,1)|0;j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}if(!d){cL(f,b+84|0);y=0;Ha(969,c|0,f|0)|0;j=y;y=0;if(!(j&1)){A9(f);break}l=pb()|0;A9(f);sb(l|0)}}while(0);cL(g,b+72|0);y=0;Ha(969,a+72|0,g|0)|0;b=y;y=0;if(b&1){l=pb()|0;A9(g);sb(l|0)}else{A9(g);i[h>>0]=i[e>>0]|0;r=l;return a|0}}while(0);e=a+84|0;h=i[e+11>>0]|0;if(((h<<24>>24<0?k[a+88>>2]|0:h&255)|0)!=1){r=l;return a|0}y=0;c=sa(21,e|0,0,-1,48696,1)|0;h=y;y=0;if(h&1){h=tb(0)|0;Sla(h)}if(c|0){r=l;return a|0}d=b+84|0;h=i[d+11>>0]|0;if(((h<<24>>24<0?k[b+88>>2]|0:h&255)|0)==1){y=0;c=sa(21,d|0,0,-1,48696,1)|0;b=y;y=0;if(b&1){b=tb(0)|0;Sla(b)}if(!c){r=l;return a|0}}cL(j,d);y=0;Ha(969,e|0,j|0)|0;b=y;y=0;if(b&1){l=pb()|0;A9(j);sb(l|0)}else{A9(j);r=l;return a|0}return 0}function Ul(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;d=a+1|0;if((i[a>>0]|0)==36){if((i[d>>0]|0)==45){b=d;do b=b+1|0;while((i[b>>0]|0)==45)}else b=d;b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){f=b;return f|0}}}b=Hj(a)|0;if(b|0){while(1){c=Hj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)!=37){f=b;return f|0}}if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){f=b;return f|0}}b=jr(a)|0;if(b|0){f=b;return f|0}b=ds(a)|0;if(b|0){f=b;return f|0}if((i[a>>0]|0)==35){b=o4(d)|0;if(!b)b=0;else while(1){c=o4(b)|0;if(!c)break;else b=c}}else b=0;e=b-a|0;b=(e|0)!=9&((e|0)!=4&(e|0)!=7)?0:b;if(b|0){f=b;return f|0}if((i[a>>0]|0)!=40){f=0;return f|0}c=i[d>>0]|0;if(!(c<<24>>24)){f=0;return f|0}else{b=d;a=0;d=0;e=0}a:while(1){b:do switch(c<<24>>24){case 92:{b=b+1|0;break}case 34:{a=a^1;break}case 39:{d=d^1;break}default:if(a)a=1;else if(d){a=0;d=1}else switch(c<<24>>24){case 40:{a=0;d=0;e=e+1|0;break b}case 41:if(!e)break a;else{a=0;d=0;e=e+-1|0;break b}default:{a=0;d=0;break b}}}while(0);b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24)){b=0;f=32;break}}if((f|0)==32)return b|0;f=b+1|0;return f|0}function Vl(a){a=a|0;var b=0;a=k[5419]|0;sE(83592,a,83648);k[20728]=25744;k[20730]=25764;k[20729]=0;y=0;oa(528,82920,83592);b=y;y=0;if(b&1){b=pb()|0;Vja(82920);sb(b|0)}k[20748]=0;k[20749]=-1;rE(83656,a,83712);k[20750]=25784;k[20752]=25804;k[20751]=0;y=0;oa(528,83008,83656);b=y;y=0;if(b&1){b=pb()|0;Uja(83008);sb(b|0)}k[20770]=0;k[20771]=-1;a=k[5448]|0;bD(83720,a,83768);k[20772]=25824;k[20773]=25844;y=0;oa(528,83092,83720);b=y;y=0;if(b&1){b=pb()|0;Vja(83092);sb(b|0)}k[20791]=0;k[20792]=-1;aD(83776,a,83824);k[20793]=25864;k[20794]=25884;y=0;oa(528,83176,83776);b=y;y=0;if(b&1){b=pb()|0;Uja(83176);sb(b|0)}k[20812]=0;k[20813]=-1;a=k[5390]|0;bD(83832,a,83880);k[20814]=25824;k[20815]=25844;y=0;oa(528,83260,83832);b=y;y=0;if(b&1){b=pb()|0;Vja(83260);sb(b|0)}k[20833]=0;k[20834]=-1;b=k[83256+(k[(k[20814]|0)+-12>>2]|0)+24>>2]|0;k[20856]=25824;k[20857]=25844;y=0;oa(528,83428,b|0);b=y;y=0;if(b&1){b=pb()|0;Vja(83428);sb(b|0)}k[20875]=0;k[20876]=-1;aD(83888,a,83936);k[20835]=25864;k[20836]=25884;y=0;oa(528,83344,83888);b=y;y=0;if(b&1){b=pb()|0;Uja(83344);sb(b|0)}k[20854]=0;k[20855]=-1;b=k[83340+(k[(k[20835]|0)+-12>>2]|0)+24>>2]|0;k[20877]=25864;k[20878]=25884;y=0;oa(528,83512,b|0);b=y;y=0;if(b&1){b=pb()|0;Uja(83512);sb(b|0)}else{k[20896]=0;k[20897]=-1;k[82912+(k[(k[20728]|0)+-12>>2]|0)+72>>2]=83088;k[83e3+(k[(k[20750]|0)+-12>>2]|0)+72>>2]=83172;b=83256+(k[(k[20814]|0)+-12>>2]|0)+4|0;k[b>>2]=k[b>>2]|8192;b=83340+(k[(k[20835]|0)+-12>>2]|0)+4|0;k[b>>2]=k[b>>2]|8192;k[83256+(k[(k[20814]|0)+-12>>2]|0)+72>>2]=83088;k[83340+(k[(k[20835]|0)+-12>>2]|0)+72>>2]=83172;return}}function Wl(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0;o=0;m=r;r=r+96|0;c=m+40|0;g=m;n=m+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,39825,5);y=0;h=c;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));b=sa(25,g|0,a|0,d|0,c|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;ma(5,n|0,b+64|0,0,0,1);f=y;y=0;if(!(f&1)){A9(g);do if((dx(80256,n)|0)==80260){y=0;b=qa(315,68)|0;f=y;y=0;if(f&1)o=8;else{h=c;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);b=e;break}h=b+12|0;j=c;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=10672;i[b+60>>0]=0;k[b+64>>2]=0;k[b+56>>2]=1;e=b;A9(n);r=m;return e|0}}else{y=0;b=qa(315,68)|0;f=y;y=0;if(f&1)o=8;else{h=g;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);b=e;break}h=b+12|0;j=g;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=10672;i[b+60>>0]=1;k[b+64>>2]=0;k[b+56>>2]=1;e=b;A9(n);r=m;return e|0}}while(0);if((o|0)==8)b=pb()|0;A9(n);e=b;sb(e|0)}}e=pb()|0;A9(g);sb(e|0);return 0}function Xl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;h=0;m=r;r=r+48|0;i=m+40|0;g=m+36|0;j=m+32|0;o=m+24|0;n=m+16|0;l=m;k[a+4>>2]=0;k[a+8>>2]=0;p=a+4|0;k[a>>2]=p;y=0;oa(460,o|0,k[b+80>>2]|0);f=y;y=0;if(f&1){o=pb()|0;p=k[p>>2]|0;kH(a,p);sb(o|0)}k[o>>2]=15152;y=0;oa(460,n|0,k[b+88>>2]|0);f=y;y=0;if(f&1)b=pb()|0;else{k[n>>2]=15136;b=k[o+4>>2]|0;a:do if(!b)h=15;else{c=k[b+92>>2]|0;e=b+96|0;if((c|0)==(e|0))h=15;else{f=p;d=c;while(1){d=d+16|0;k[g>>2]=f;y=0;k[i>>2]=k[g>>2];Ma(13,a|0,i|0,d|0,d|0)|0;d=y;y=0;if(d&1)break;b=k[c+4>>2]|0;if(!b)while(1){b=k[c+8>>2]|0;if((k[b>>2]|0)==(c|0))break;else c=b}else while(1){c=k[b>>2]|0;if(!c)break;else b=c}if((b|0)==(e|0)){h=15;break a}else{d=b;c=b}}b=pb()|0}}while(0);b:do if((h|0)==15){b=k[n+4>>2]|0;if(!b){DO(n);DO(o);r=m;return}y=0;oa(666,l|0,b|0);h=y;y=0;if(h&1){b=pb()|0;break}b=k[l>>2]|0;d=l+4|0;c:do if((b|0)!=(d|0)){e=p;c=b;while(1){h=c+16|0;k[j>>2]=e;y=0;k[i>>2]=k[j>>2];Ma(13,a|0,i|0,h|0,h|0)|0;h=y;y=0;if(h&1)break;c=k[b+4>>2]|0;if(!c)while(1){c=k[b+8>>2]|0;if((k[c>>2]|0)==(b|0)){b=c;break}else b=c}else{b=c;while(1){c=k[b>>2]|0;if(!c)break;else b=c}}if((b|0)==(d|0))break c;else c=b}b=pb()|0;kH(l,k[d>>2]|0);break b}while(0);kH(l,k[d>>2]|0);DO(n);DO(o);r=m;return}while(0);DO(n)}DO(o);o=b;p=k[p>>2]|0;kH(a,p);sb(o|0)}function Yl(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0;m=r;r=r+96|0;g=m+56|0;d=m+48|0;c=m+36|0;h=m+24|0;j=m+12|0;l=m;f=b+4|0;LT(d,k[(k[f>>2]|0)+68>>2]|0);k[d>>2]=7284;e=(k[d+4>>2]|0)==0;DO(d);if(!e){do if(i[a+73>>0]|0){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,32941,71);y=0;b=g;d=(k[f>>2]|0)+12|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));oa(454,c|0,g|0);l=y;y=0;if(!(l&1)){A9(c);break}m=pb()|0;A9(c);sb(m|0)}while(0);i[a+72>>0]=1;r=m;return}c=a+73|0;b=(i[c>>0]|0)!=0;if(i[(k[f>>2]|0)+72>>0]|0){do if(b){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;aI(h,33013,72);y=0;b=g;d=(k[f>>2]|0)+12|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));oa(454,h|0,g|0);l=y;y=0;if(!(l&1)){A9(h);break}m=pb()|0;A9(h);sb(m|0)}while(0);i[c>>0]=1;r=m;return}do if(b){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,33086,59);y=0;b=g;d=(k[f>>2]|0)+12|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));oa(454,j|0,g|0);h=y;y=0;if(!(h&1)){A9(j);break}m=pb()|0;A9(j);sb(m|0)}while(0);if(!(i[a+72>>0]|0)){r=m;return}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;aI(l,33146,52);y=0;b=g;d=(k[f>>2]|0)+12|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));oa(454,l|0,g|0);j=y;y=0;if(j&1){m=pb()|0;A9(l);sb(m|0)}else{A9(l);r=m;return}}function Zl(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;r=0;e=k[a>>2]|0;f=k[b>>2]|0;g=e;a:do if((g|0)!=(f|0)){c=g+12|0;if((c|0)!=(f|0)){d=e;q=i[e+11>>0]|0;b:while(1){p=c;l=q<<24>>24<0;h=q&255;m=l?k[g+4>>2]|0:h;q=i[c+11>>0]|0;e=q<<24>>24<0;do if((m|0)==((e?k[g+16>>2]|0:q&255)|0)){n=k[g>>2]|0;o=l?n:g;e=e?k[c>>2]|0:c;j=(m|0)==0;if(l){if(j)break b;if(!(bN(o,e,m)|0))break b;else break}if(j)break b;if((n&255)<<24>>24==(i[e>>0]|0))do{h=h+-1|0;g=g+1|0;if(!h)break b;e=e+1|0}while((i[g>>0]|0)==(i[e>>0]|0))}while(0);d=c+12|0;if((d|0)==(f|0))break a;else{g=c;c=d;d=p}}k[a>>2]=d;if((d|0)==(f|0)){b=f;return b|0}c=d+24|0;c:do if((c|0)==(f|0))s=d;else{n=d;d=d+12|0;while(1){g=i[n+11>>0]|0;l=g<<24>>24<0;g=g&255;m=l?k[n+4>>2]|0:g;q=i[c+11>>0]|0;e=q<<24>>24<0;d:do if((m|0)==((e?k[d+16>>2]|0:q&255)|0)){h=k[n>>2]|0;j=l?h:n;d=e?k[c>>2]|0:c;e=(m|0)==0;if(l){if(e){e=n;break}if(!(bN(j,d,m)|0)){e=n;break}else{r=25;break}}if(e)e=n;else if((h&255)<<24>>24==(i[d>>0]|0)){e=n;while(1){g=g+-1|0;e=e+1|0;if(!g){e=n;break d}d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){r=25;break}}}else r=25}else r=25;while(0);if((r|0)==25){r=0;d=n+12|0;k[a>>2]=d;e=d+11|0;if((i[e>>0]|0)<0){i[k[d>>2]>>0]=0;k[n+16>>2]=0}else{i[d>>0]=0;i[e>>0]=0}y=0;oa(500,d|0,0);q=y;y=0;if(q&1)break;k[d>>2]=k[c>>2];k[d+4>>2]=k[c+4>>2];k[d+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;f=k[b>>2]|0;e=k[a>>2]|0}d=c+12|0;if((d|0)==(f|0)){s=e;break c}else{q=c;c=d;n=e;d=q}}b=tb(0)|0;Sla(b)}while(0);b=s+12|0;k[a>>2]=b;return b|0}}while(0);k[a>>2]=f;b=f;return b|0}function _l(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0;t=r;r=r+112|0;q=t;c=t+40|0;s=t+64|0;u=t+52|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,38272,6);y=0;b=q;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));g=sa(24,c|0,a|0,d|0,q|0,f|0)|0;o=y;y=0;if(o&1){u=pb()|0;A9(c);sb(u|0)}A9(c);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,38413,7);y=0;b=q;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));b=Ia(1,c|0,a|0,d|0,q|0,0.0,1.0,f|0)|0;o=y;y=0;if(o&1){u=pb()|0;A9(c);sb(u|0)}m=+p[b+64>>3];A9(c);m=+p[g+88>>3]-m;m=m<0.0?0.0:m;c=IM(112)|0;b=s;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));j=+p[g+64>>3];l=+p[g+72>>3];h=+p[g+80>>3];k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,87975,0);e=y;y=0;if(e&1)b=pb()|0;else{b=q;n=s;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));y=0;na(422,c|0);s=y;y=0;do if(s&1)b=pb()|0;else{b=c+12|0;n=q;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=10548;p[c+64>>3]=j;p[c+72>>3]=l;p[c+80>>3]=h;p[c+88>>3]=m;y=0;oa(456,c+96|0,u|0);s=y;y=0;if(s&1){b=pb()|0;break}else{k[c+108>>2]=0;k[b>>2]=3;A9(u);r=t;return c|0}}while(0);A9(u)}cra(c);u=b;sb(u|0);return 0}function $l(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0;t=r;r=r+112|0;q=t;c=t+40|0;s=t+64|0;u=t+52|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,38272,6);y=0;b=q;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));g=sa(24,c|0,a|0,d|0,q|0,f|0)|0;o=y;y=0;if(o&1){u=pb()|0;A9(c);sb(u|0)}A9(c);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,38413,7);y=0;b=q;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));b=Ia(1,c|0,a|0,d|0,q|0,0.0,1.0,f|0)|0;o=y;y=0;if(o&1){u=pb()|0;A9(c);sb(u|0)}m=+p[b+64>>3];A9(c);m=m+ +p[g+88>>3];m=m>1.0?1.0:m;c=IM(112)|0;b=s;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));j=+p[g+64>>3];l=+p[g+72>>3];h=+p[g+80>>3];k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,87975,0);e=y;y=0;if(e&1)b=pb()|0;else{b=q;n=s;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));y=0;na(422,c|0);s=y;y=0;do if(s&1)b=pb()|0;else{b=c+12|0;n=q;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=10548;p[c+64>>3]=j;p[c+72>>3]=l;p[c+80>>3]=h;p[c+88>>3]=m;y=0;oa(456,c+96|0,u|0);s=y;y=0;if(s&1){b=pb()|0;break}else{k[c+108>>2]=0;k[b>>2]=3;A9(u);r=t;return c|0}}while(0);A9(u)}cra(c);u=b;sb(u|0);return 0}function am(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;l=a+4|0;d=k[l>>2]|0;c=k[a>>2]|0;e=((d-c|0)/20|0)+1|0;if(e>>>0>214748364){pN(a);c=k[a>>2]|0;d=k[l>>2]|0}j=a+8|0;i=((k[j>>2]|0)-c|0)/20|0;m=i<<1;e=i>>>0<107374182?(m>>>0<e>>>0?e:m):214748364;d=(d-c|0)/20|0;do if(!e)m=0;else if(e>>>0>214748364){m=gb(4)|0;Qoa(m);Wb(m|0,5760,404)}else{m=IM(e*20|0)|0;break}while(0);f=m+(d*20|0)|0;c=f;i=m+(e*20|0)|0;y=0;oa(460,f|0,k[b+4>>2]|0);h=y;y=0;a:do if(h&1){h=pb()|0;d=c}else{k[f>>2]=15136;y=0;oa(677,m+(d*20|0)+8|0,b+8|0);h=y;y=0;if(h&1){h=pb()|0;DO(f);d=c;break}d=f+20|0;g=k[a>>2]|0;e=k[l>>2]|0;do if((e|0)==(g|0)){h=g;f=g}else{while(1){b=f+-20|0;y=0;oa(460,b|0,k[e+-16>>2]|0);h=y;y=0;if(h&1){e=27;break}k[b>>2]=15136;y=0;oa(677,f+-12|0,e+-12|0);h=y;y=0;if(h&1){e=14;break}e=e+-20|0;f=c+-20|0;c=f;if((e|0)==(g|0)){e=16;break}}if((e|0)==14){h=pb()|0;DO(b);break a}else if((e|0)==16){h=k[a>>2]|0;f=k[l>>2]|0;break}else if((e|0)==27){h=pb()|0;break a}}while(0);k[a>>2]=c;k[l>>2]=d;k[j>>2]=i;g=h;if((f|0)!=(g|0))do{e=f+-12|0;c=k[e>>2]|0;if(c|0){b=f+-8|0;d=k[b>>2]|0;if((d|0)!=(c|0)){do{m=d+-16|0;k[b>>2]=m;DO(d+-8|0);DO(m);d=k[b>>2]|0}while((d|0)!=(c|0));c=k[e>>2]|0}cra(c)}f=f+-20|0;DO(f)}while((f|0)!=(g|0));if(!h)return;cra(h);return}while(0);if((d|0)!=(c|0))do{f=d+-12|0;e=k[f>>2]|0;if(e|0){g=d+-8|0;b=k[g>>2]|0;if((b|0)!=(e|0)){do{l=b+-16|0;k[g>>2]=l;DO(b+-8|0);DO(l);b=k[g>>2]|0}while((b|0)!=(e|0));e=k[f>>2]|0}cra(e)}d=d+-20|0;DO(d)}while((d|0)!=(c|0));if(!m)sb(h|0);cra(m);sb(h|0)}function bm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;z=0;A=r;r=r+80|0;c=A+72|0;e=A+64|0;t=A+56|0;u=A+48|0;v=A+40|0;w=A+32|0;x=A+24|0;y=A+16|0;q=A+8|0;s=A;d=(a|0)==0;if(d)f=0;else{LT(c,k[a+80>>2]|0);k[c>>2]=15152;f=k[c+4>>2]|0;DO(c)}LT(e,k[b+80>>2]|0);k[e>>2]=15152;c=k[e+4>>2]|0;DO(e);if(d){z=1;r=A;return z|0}h=x+4|0;i=y+4|0;j=s+4|0;l=q+4|0;m=t+4|0;n=u+4|0;o=w+4|0;p=v+4|0;g=c;d=f;while(1){e=(d|0)!=0;c=(g|0)!=0;if(e|c){c=c^1;if(e^1|c){a=c;z=24;break}if(!(Fc[k[(k[d>>2]|0)+164>>2]&2047](d,g)|0)){z=22;break}c=k[a+72>>2]|0;d=k[b+72>>2]|0;if((c|0)!=(d|0)){z=17;break}LT(x,k[a+88>>2]|0);k[x>>2]=15136;a=k[h>>2]|0;DO(x);LT(y,k[b+88>>2]|0);k[y>>2]=15136;c=k[i>>2]|0;DO(y);if(!a)d=0;else{LT(q,k[a+80>>2]|0);k[q>>2]=15152;d=k[l>>2]|0;DO(q)}if(!c){z=12;break}LT(s,k[c+80>>2]|0);k[s>>2]=15152;g=k[j>>2]|0;DO(s);b=c}else{c=k[a+72>>2]|0;d=k[b+72>>2]|0;if((c|0)!=(d|0)){z=7;break}LT(t,k[a+88>>2]|0);k[t>>2]=15136;a=k[m>>2]|0;DO(t);LT(u,k[b+88>>2]|0);k[u>>2]=15136;c=k[n>>2]|0;DO(u);if(!a)d=0;else{LT(v,k[a+80>>2]|0);k[v>>2]=15152;d=k[p>>2]|0;DO(v)}if(!c){z=12;break}LT(w,k[c+80>>2]|0);k[w>>2]=15152;g=k[o>>2]|0;DO(w);b=c}c=(a|0)==0;e=(b|0)!=0;if(c|e^1){a=e;break}}if((z|0)==7){z=(c|0)<(d|0);r=A;return z|0}else if((z|0)==12){c=(a|0)==0;a=0}else if((z|0)==17){z=(c|0)<(d|0);r=A;return z|0}else if((z|0)==22){z=Fc[k[(k[d>>2]|0)+160>>2]&2047](d,g)|0;r=A;return z|0}else if((z|0)==24){r=A;return a|0}z=c&a;r=A;return z|0}function cm(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;d=r;r=r+48|0;f=d+24|0;e=d+12|0;c=d;g=k[b+76>>2]|0;h=mW(g)|0;g=h|0?h:g;g=(i[g>>0]|0)==36?g+1|0:0;a:do if((g|0)==0?1:g>>>0>(k[b+80>>2]|0)>>>0){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,43044,11);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,43056,7);h=y;y=0;if(h&1)a=pb()|0;else{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,45459,20);h=y;y=0;do if(h&1)a=pb()|0;else{y=0;ma(10,b|0,f|0,e|0,c|0,1);h=y;y=0;if(h&1){a=pb()|0;A9(c);break}else{A9(c);A9(e);A9(f);break a}}while(0);A9(e)}A9(f);h=a;sb(h|0)}while(0);if(Gs(b,1,0)|0){h=b+28|0;k[a>>2]=k[h>>2];k[a+4>>2]=k[h+4>>2];k[a+8>>2]=k[h+8>>2];r=d;return}au(b,1,0)|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,43044,11);k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,43056,7);h=y;y=0;if(h&1)a=pb()|0;else{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,44693,27);h=y;y=0;do if(h&1)a=pb()|0;else{y=0;ma(10,b|0,f|0,e|0,c|0,1);h=y;y=0;if(h&1){a=pb()|0;A9(c);break}A9(c);A9(e);A9(f);h=b+28|0;k[a>>2]=k[h>>2];k[a+4>>2]=k[h+4>>2];k[a+8>>2]=k[h+8>>2];r=d;return}while(0);A9(e)}A9(f);h=a;sb(h|0)}function dm(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0;p=0;m=r;r=r+128|0;h=m+88|0;o=m+80|0;n=m+24|0;f=m;j=m+40|0;l=m+12|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;aI(h,38830,7);y=0;b=Ha(975,a|0,h|0)|0;a=y;y=0;if(!(a&1)){y=0;oa(460,o|0,k[b+4>>2]|0);a=y;y=0;if(!(a&1)){k[o>>2]=6336;A9(h);d=k[o+4>>2]|0;if(!d)b=0;else{b=k[d>>2]|0;if((k[307]|0)==(k[(k[b+-4>>2]|0)+4>>2]|0)){i[d+60>>0]=42;p=d;DO(o);r=m;return p|0}}a=k[b+28>>2]|0;c=k[c+16>>2]|0;y=0;k[h>>2]=k[c>>2];k[h+4>>2]=k[c+4>>2];k[h+8>>2]=k[c+8>>2];Na(a|0,f|0,d|0,h|0);c=y;y=0;do if(c&1){b=pb()|0;p=15}else{y=0;Na(99,n|0,f|0,34);c=y;y=0;if(c&1){b=pb()|0;A9(f);p=15;break}A9(f);y=0;g=qa(315,80)|0;c=y;y=0;if(c&1)b=pb()|0;else{f=j;b=e;d=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(d|0));y=0;oa(456,l|0,n|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;f=h;b=j;d=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(d|0));Ea(2,g|0,h|0,l|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;A9(l);break}A9(l);i[g+60>>0]=42;A9(n);p=g;DO(o);r=m;return p|0}while(0);cra(g)}A9(n)}while(0);DO(o);p=b;sb(p|0)}}p=pb()|0;A9(h);sb(p|0);return 0}function em(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;j=a+4|0;d=k[j>>2]|0;c=k[a>>2]|0;e=((d-c|0)/48|0)+1|0;if(e>>>0>89478485){pN(a);c=k[a>>2]|0;d=k[j>>2]|0}i=a+8|0;h=((k[i>>2]|0)-c|0)/48|0;f=h<<1;f=h>>>0<44739242?(f>>>0<e>>>0?e:f):89478485;c=(d-c|0)/48|0;do if(!f)d=0;else if(f>>>0>89478485){j=gb(4)|0;Qoa(j);Wb(j|0,5760,404)}else{d=IM(f*48|0)|0;break}while(0);c=d+(c*48|0)|0;g=c|0;e=g;h=d+(f*48|0)|0;k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;f=c+12|0;d=b+12|0;k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=c+24|0;f=b+24|0;k[d>>2]=k[f>>2];k[d+4>>2]=k[f+4>>2];k[d+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;f=c+36|0;b=b+36|0;k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=g+48|0;f=k[a>>2]|0;c=k[j>>2]|0;if((c|0)==(f|0)){d=e;e=f;c=f}else{d=g;do{l=d+-48|0;g=c;c=c+-48|0;k[l>>2]=k[c>>2];k[l+4>>2]=k[c+4>>2];k[l+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;l=d+-36|0;m=g+-36|0;k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];k[l+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;m=d+-24|0;l=g+-24|0;k[m>>2]=k[l>>2];k[m+4>>2]=k[l+4>>2];k[m+8>>2]=k[l+8>>2];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;l=d+-12|0;g=g+-12|0;k[l>>2]=k[g>>2];k[l+4>>2]=k[g+4>>2];k[l+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;d=e+-48|0;e=d}while((c|0)!=(f|0));d=e;e=k[a>>2]|0;c=k[j>>2]|0}k[a>>2]=d;k[j>>2]=b;k[i>>2]=h;d=e;if((c|0)!=(d|0))do{A9(c+-12|0);A9(c+-24|0);A9(c+-36|0);c=c+-48|0;A9(c)}while((c|0)!=(d|0));if(!e)return;cra(e);return}
function Jg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;s=0;t=r;r=r+48|0;w=t+28|0;u=t+16|0;q=t+8|0;p=t;k[w>>2]=0;x=w+4|0;k[x>>2]=0;k[w+8>>2]=0;k[u>>2]=0;v=u+4|0;k[v>>2]=0;k[u+8>>2]=0;f=b+20|0;c=k[f>>2]|0;g=b+24|0;d=k[g>>2]|0;e=(d|0)==0;if(!e)Dba(d);b=(k[c+16>>2]|0)+(k[c+20>>2]|0)|0;o=k[c+4>>2]|0;h=o+(((b>>>0)/146|0)<<2)|0;if((k[c+8>>2]|0)==(o|0))c=0;else c=(k[h>>2]|0)+(((b>>>0)%146|0)*28|0)|0;if(!e)DY(d);e=k[f>>2]|0;f=k[g>>2]|0;g=(f|0)==0;if(!g)Dba(f);b=k[e+4>>2]|0;d=k[e+16>>2]|0;if((k[e+8>>2]|0)==(b|0))b=0;else b=(k[b+(((d>>>0)/146|0)<<2)>>2]|0)+(((d>>>0)%146|0)*28|0)|0;if(!g)DY(f);a:do if((c|0)==(b|0))s=50;else{l=u+8|0;m=p+4|0;n=w+8|0;o=q+4|0;d=h;b:while(1){h=d;if((c|0)==(k[h>>2]|0))e=(k[h+-4>>2]|0)+4088|0;else e=c;j=e+-28|0;if(!(k[e+-24>>2]|0)){g=e+-12|0;y=0;oa(460,q|0,k[g>>2]|0);f=y;y=0;if(f&1){s=25;break}k[q>>2]=15136;e=k[u>>2]|0;c:do if((e|0)==(k[v>>2]|0))s=27;else while(1){f=k[e+4>>2]|0;y=0;f=Ha(k[(k[f>>2]|0)+160>>2]|0,f|0,k[o>>2]|0)|0;z=y;y=0;if(z&1){s=26;break b}e=e+8|0;if(f)break c;if((e|0)==(k[v>>2]|0)){s=27;break}}while(0);if((s|0)==27){s=0;y=0;oa(460,p|0,k[g>>2]|0);z=y;y=0;if(z&1){s=36;break}k[p>>2]=15136;e=k[v>>2]|0;if(e>>>0<(k[l>>2]|0)>>>0){y=0;oa(460,e|0,k[m>>2]|0);z=y;y=0;if(z&1){s=37;break}k[e>>2]=15136;k[v>>2]=(k[v>>2]|0)+8}else{y=0;oa(520,u|0,p|0);z=y;y=0;if(z&1){s=37;break}}DO(p);k[p>>2]=j;e=k[x>>2]|0;if(e>>>0<(k[n>>2]|0)>>>0){k[e>>2]=j;k[x>>2]=(k[x>>2]|0)+4}else{y=0;oa(521,w|0,p|0);z=y;y=0;if(z&1){s=39;break}}}DO(q)}else{k[q>>2]=j;e=k[x>>2]|0;if(e>>>0<(k[n>>2]|0)>>>0){k[e>>2]=j;k[x>>2]=(k[x>>2]|0)+4}else{y=0;oa(521,w|0,q|0);z=y;y=0;if(z&1){s=46;break}}}if((c|0)==(k[h>>2]|0)){c=h+-4|0;d=c;c=(k[c>>2]|0)+4088|0}c=c+-28|0;if((c|0)==(b|0)){s=50;break a}}if((s|0)==25){d=pb()|0;break}else if((s|0)==26)b=pb()|0;else if((s|0)==36){b=pb()|0;s=38}else if((s|0)==37){b=pb()|0;DO(p);s=38}else if((s|0)==39)b=pb()|0;else if((s|0)==46){d=pb()|0;break}DO(q);d=b}while(0);d:do if((s|0)==50){y=0;d=qa(315,36)|0;z=y;y=0;do if(z&1)b=pb()|0;else{k[d+4>>2]=0;k[d+8>>2]=0;k[d>>2]=15692;c=d+12|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[c+16>>2]=0;k[c+20>>2]=0;i[a>>0]=0;k[a+4>>2]=2;k[a+8>>2]=0;b=a+12|0;y=0;oa(460,b|0,0);z=y;y=0;if(z&1){b=pb()|0;DY(d);break}k[b>>2]=15136;f=a+20|0;k[f>>2]=c;g=a+24|0;k[g>>2]=d;Dba(d);DY(d);b=(k[x>>2]|0)-(k[w>>2]|0)>>2;e:do if(b|0){while(1){b=b+-1|0;c=k[f>>2]|0;d=k[g>>2]|0;e=(d|0)==0;if(!e)Dba(d);y=0;oa(522,c|0,k[(k[w>>2]|0)+(b<<2)>>2]|0);z=y;y=0;if(z&1)break;if(!e)DY(d);if(!b)break e}c=pb()|0;if(!e)DY(d);b=k[g>>2]|0;if(b|0)DY(b);DO(a+12|0);d=c;break d}while(0);b=k[u>>2]|0;if(b|0){c=k[v>>2]|0;if((c|0)!=(b|0)){do{z=c+-8|0;k[v>>2]=z;lc[k[k[z>>2]>>2]&511](z);c=k[v>>2]|0}while((c|0)!=(b|0));b=k[u>>2]|0}cra(b)}b=k[w>>2]|0;if(!b){r=t;return}c=k[x>>2]|0;if((c|0)!=(b|0))k[x>>2]=c+(~((c+-4-b|0)>>>2)<<2);cra(b);r=t;return}while(0);d=b}while(0);b=k[u>>2]|0;if(b|0){c=k[v>>2]|0;if((c|0)!=(b|0)){do{z=c+-8|0;k[v>>2]=z;lc[k[k[z>>2]>>2]&511](z);c=k[v>>2]|0}while((c|0)!=(b|0));b=k[u>>2]|0}cra(b)}b=k[w>>2]|0;if(!b)sb(d|0);c=k[x>>2]|0;if((c|0)!=(b|0))k[x>>2]=c+(~((c+-4-b|0)>>>2)<<2);cra(b);sb(d|0)}function Kg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;A=0;w=r;r=r+320|0;v=w;t=w+208|0;z=w+192|0;x=w+180|0;u=w+176|0;p=w+16|0;q=w+8|0;s=w+4|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[z+(a<<2)>>2]=0;a=a+1|0}y=0;a=qa(323,d|0)|0;o=y;y=0;do if(o&1){a=pb()|0;A=36}else{k[x>>2]=a;y=0;d=Ha(977,x|0,83992)|0;o=y;y=0;if(!(o&1)){y=0;Ma(k[(k[d>>2]|0)+48>>2]|0,d|0,56220,56246,t|0)|0;o=y;y=0;if(!(o&1)){RQ(a)|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[x+(a<<2)>>2]=0;a=a+1|0}o=x+11|0;if((i[o>>0]|0)<0)a=(k[x+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,x|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{a=(i[o>>0]|0)<0?k[x>>2]|0:x;k[u>>2]=a;k[q>>2]=p;k[s>>2]=0;l=x+4|0;m=x+8|0;g=k[b>>2]|0;a:while(1){if(!g){n=0;g=1}else{d=k[g+12>>2]|0;if((d|0)==(k[g+16>>2]|0)){y=0;d=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;n=y;y=0;if(n&1){A=38;break}}else d=k[d>>2]|0;if((d|0)==-1){k[b>>2]=0;n=0;g=1}else{n=g;g=0}}h=k[c>>2]|0;do if(!h)A=26;else{d=k[h+12>>2]|0;if((d|0)==(k[h+16>>2]|0)){y=0;d=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;j=y;y=0;if(j&1){A=38;break a}}else d=k[d>>2]|0;if((d|0)==-1){k[c>>2]=0;A=26;break}else if(g)break;else{A=48;break a}}while(0);if((A|0)==26){A=0;if(g){h=0;A=48;break}else h=0}d=i[o>>0]|0;d=d<<24>>24<0?k[l>>2]|0:d&255;if((k[u>>2]|0)==(a+d|0)){y=0;Na(90,x|0,d<<1|0,0);j=y;y=0;if(j&1){A=40;break}if((i[o>>0]|0)<0)a=(k[m>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,x|0,a|0,0);j=y;y=0;if(j&1){A=40;break}a=(i[o>>0]|0)<0?k[x>>2]|0:x;k[u>>2]=a+d}g=n+12|0;d=k[g>>2]|0;j=n+16|0;if((d|0)==(k[j>>2]|0)){y=0;d=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;B=y;y=0;if(B&1){A=38;break}}else d=k[d>>2]|0;if(_q(d,16,a,u,s,0,z,p,q,t)|0){A=48;break}d=k[g>>2]|0;if((d|0)==(k[j>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;B=y;y=0;if(B&1){A=38;break}else{g=n;continue}}else{k[g>>2]=d+4;g=n;continue}}if((A|0)==38)a=pb()|0;else if((A|0)==40)a=pb()|0;else if((A|0)==48){y=0;Na(90,x|0,(k[u>>2]|0)-a|0,0);B=y;y=0;b:do if(!(B&1)){a=i[o>>0]|0;d=k[x>>2]|0;y=0;g=La(3)|0;B=y;y=0;if(!(B&1)){y=0;k[v>>2]=f;a=Ma(15,(a<<24>>24<0?d:x)|0,g|0,56253,v|0)|0;B=y;y=0;if(!(B&1)){if((a|0)!=1)k[e>>2]=4;if(!n)d=1;else{a=k[n+12>>2]|0;if((a|0)==(k[n+16>>2]|0)){y=0;a=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;B=y;y=0;if(B&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)A=65;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;B=y;y=0;if(B&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;A=65;break}else if(d)break;else{A=67;break}}while(0);if((A|0)==65)if(d)A=67;if((A|0)==67)k[e>>2]=k[e>>2]|2;B=k[b>>2]|0;A9(x);A9(z);r=w;return B|0}}}while(0);a=pb()|0}}A9(x);break}}A=pb()|0;RQ(a)|0;a=A;A=36}while(0);A9(z);sb(a|0);return 0}function Lg(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;o=0;s=r;r=r+48|0;p=s+32|0;h=s+24|0;g=s+20|0;f=s+16|0;q=s+12|0;l=s+8|0;m=s+4|0;n=s;k[f>>2]=c;k[q>>2]=d;k[a>>2]=17844;k[a+4>>2]=b;E=a+8|0;y=0;oa(656,E|0,a|0);F=y;y=0;if(F&1){F=pb()|0;sb(F|0)}b=a+40|0;C=a+48|0;F=a+52|0;B=a+60|0;D=a+64|0;z=a+72|0;A=a+76|0;w=a+84|0;x=a+88|0;t=a+96|0;v=a+100|0;d=a+108|0;u=a+112|0;k[b>>2]=0;j[b+4>>1]=0;i[b+6>>0]=0;b=C;c=b+72|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(c|0));k[p>>2]=0;y=0;oa(638,C|0,p|0);c=y;y=0;a:do if(c&1){g=pb()|0;f=N}else{b=k[F>>2]|0;if((b|0)==(k[a+56>>2]|0)){y=0;oa(657,C|0,f|0);f=y;y=0;if(!(f&1))o=6}else{k[b>>2]=k[f>>2];k[F>>2]=(k[F>>2]|0)+4;o=6}b:do if((o|0)==6){k[p>>2]=0;b=k[D>>2]|0;if(b>>>0<(k[a+68>>2]|0)>>>0){k[b>>2]=0;k[D>>2]=(k[D>>2]|0)+4}else{y=0;oa(651,B|0,p|0);f=y;y=0;if(f&1){g=pb()|0;f=N;break a}}y=0;oa(460,p|0,0);f=y;y=0;do if(f&1){b=pb()|0;c=N}else{k[p>>2]=6336;b=k[A>>2]|0;if(b>>>0<(k[a+80>>2]|0)>>>0){y=0;oa(460,b|0,k[p+4>>2]|0);f=y;y=0;if(f&1)o=26;else{k[b>>2]=6336;k[A>>2]=(k[A>>2]|0)+8}}else{y=0;oa(653,z|0,p|0);f=y;y=0;if(f&1)o=26}if((o|0)==26){b=pb()|0;c=N;DO(p);break}DO(p);c:do if(!e){y=0;oa(460,p|0,0);o=y;y=0;do if(o&1){b=pb()|0;c=N}else{k[p>>2]=6756;b=k[x>>2]|0;if(b>>>0<(k[a+92>>2]|0)>>>0){y=0;oa(460,b|0,k[p+4>>2]|0);o=y;y=0;if(o&1)o=29;else{k[b>>2]=6756;k[x>>2]=(k[x>>2]|0)+8;o=20}}else{y=0;oa(646,w|0,p|0);o=y;y=0;if(o&1)o=29;else o=20}if((o|0)==20){DO(p);break c}else if((o|0)==29){b=pb()|0;c=N;DO(p);break}}while(0);g=b;f=c;break a}else{k[l>>2]=k[x>>2];k[m>>2]=k[e>>2];k[n>>2]=k[e+4>>2];y=0;k[g>>2]=k[l>>2];k[h>>2]=k[m>>2];k[p>>2]=k[n>>2];Ma(11,w|0,g|0,h|0,p|0)|0;o=y;y=0;if(o&1){g=pb()|0;f=N;break a}}while(0);k[p>>2]=0;b=k[v>>2]|0;if(b>>>0<(k[a+104>>2]|0)>>>0){k[b>>2]=0;k[v>>2]=(k[v>>2]|0)+4}else{y=0;oa(654,t|0,p|0);o=y;y=0;if(o&1){g=pb()|0;f=N;break a}}k[p>>2]=0;b=k[u>>2]|0;c=a+116|0;do if(b>>>0<(k[c>>2]|0)>>>0){k[b>>2]=0;b=(k[u>>2]|0)+4|0;k[u>>2]=b}else{y=0;oa(641,d|0,p|0);p=y;y=0;if(p&1){g=pb()|0;f=N;break a}else{b=k[u>>2]|0;break}}while(0);if((b|0)==(k[c>>2]|0)){y=0;oa(658,d|0,q|0);q=y;y=0;if(q&1)break b;r=s;return}else{k[b>>2]=k[q>>2];k[u>>2]=(k[u>>2]|0)+4;r=s;return}}while(0);g=b;f=c;break a}while(0);g=pb()|0;f=N}while(0);b=k[d>>2]|0;c=b;if(b|0){d=k[u>>2]|0;if((d|0)!=(b|0))k[u>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}b=k[t>>2]|0;c=b;if(b|0){d=k[v>>2]|0;if((d|0)!=(b|0))k[v>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}b=k[w>>2]|0;if(b|0){c=k[x>>2]|0;if((c|0)!=(b|0)){do{v=c+-8|0;k[x>>2]=v;lc[k[k[v>>2]>>2]&511](v);c=k[x>>2]|0}while((c|0)!=(b|0));b=k[w>>2]|0}cra(b)}b=k[z>>2]|0;if(b|0){c=k[A>>2]|0;if((c|0)!=(b|0)){do{x=c+-8|0;k[A>>2]=x;lc[k[k[x>>2]>>2]&511](x);c=k[A>>2]|0}while((c|0)!=(b|0));b=k[z>>2]|0}cra(b)}b=k[B>>2]|0;c=b;if(b|0){d=k[D>>2]|0;if((d|0)!=(b|0))k[D>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}b=k[C>>2]|0;c=b;if(b|0){d=k[F>>2]|0;if((d|0)!=(b|0))k[F>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}qaa(E);F=g;sb(F|0)}function Mg(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0;n=r;r=r+16|0;m=n;if(a){b=RY(b,85696)|0;mc[k[(k[b>>2]|0)+44>>2]&1023](m,b);a=k[m>>2]|0;i[c>>0]=a;i[c+1>>0]=a>>8;i[c+2>>0]=a>>16;i[c+3>>0]=a>>24;mc[k[(k[b>>2]|0)+32>>2]&1023](m,b);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(707,j|0,0);c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m);mc[k[(k[b>>2]|0)+28>>2]&1023](m,b);a=h+8+3|0;if((i[a>>0]|0)<0){k[k[h>>2]>>2]=0;k[h+4>>2]=0}else{k[h>>2]=0;i[a>>0]=0}y=0;oa(707,h|0,0);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m);a=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;k[d>>2]=a;a=oc[k[(k[b>>2]|0)+16>>2]&511](b)|0;k[e>>2]=a;mc[k[(k[b>>2]|0)+20>>2]&1023](m,b);a=f+11|0;if((i[a>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[a>>0]=0}y=0;oa(500,f|0,0);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);mc[k[(k[b>>2]|0)+24>>2]&1023](m,b);a=g+8+3|0;if((i[a>>0]|0)<0){k[k[g>>2]>>2]=0;k[g+4>>2]=0}else{k[g>>2]=0;i[a>>0]=0}y=0;oa(707,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m);a=oc[k[(k[b>>2]|0)+36>>2]&511](b)|0}else{b=RY(b,85688)|0;mc[k[(k[b>>2]|0)+44>>2]&1023](m,b);a=k[m>>2]|0;i[c>>0]=a;i[c+1>>0]=a>>8;i[c+2>>0]=a>>16;i[c+3>>0]=a>>24;mc[k[(k[b>>2]|0)+32>>2]&1023](m,b);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(707,j|0,0);c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m);mc[k[(k[b>>2]|0)+28>>2]&1023](m,b);a=h+8+3|0;if((i[a>>0]|0)<0){k[k[h>>2]>>2]=0;k[h+4>>2]=0}else{k[h>>2]=0;i[a>>0]=0}y=0;oa(707,h|0,0);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m);a=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;k[d>>2]=a;a=oc[k[(k[b>>2]|0)+16>>2]&511](b)|0;k[e>>2]=a;mc[k[(k[b>>2]|0)+20>>2]&1023](m,b);a=f+11|0;if((i[a>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[a>>0]=0}y=0;oa(500,f|0,0);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);mc[k[(k[b>>2]|0)+24>>2]&1023](m,b);a=g+8+3|0;if((i[a>>0]|0)<0){k[k[g>>2]>>2]=0;k[g+4>>2]=0}else{k[g>>2]=0;i[a>>0]=0}y=0;oa(707,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m);a=oc[k[(k[b>>2]|0)+36>>2]&511](b)|0}k[l>>2]=a;r=n;return}function Ng(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;n=0;m=r;r=r+256|0;l=m+208|0;q=m+192|0;d=m+200|0;p=m+180|0;h=m+168|0;o=m;s=a+14|0;t=i[s>>0]|0;i[s>>0]=1;j=a+8|0;i[(k[(k[j>>2]|0)+16>>2]|0)+8>>0]=1;y=0;oa(460,d|0,k[b+56>>2]|0);g=y;y=0;if(g&1){q=pb()|0;i[s>>0]=t;sb(q|0)}k[d>>2]=7492;c=k[d+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;g=y;y=0;if(!(g&1)){y=0;oa(460,q|0,c|0);g=y;y=0;if(!(g&1)){k[q>>2]=7284;DO(d);g=k[q+4>>2]|0;f=k[(k[g>>2]|0)+28>>2]|0;e=k[(k[j>>2]|0)+16>>2]|0;y=0;k[l>>2]=k[e>>2];k[l+4>>2]=k[e+4>>2];k[l+8>>2]=k[e+8>>2];Na(f|0,p|0,g|0,l|0);g=y;y=0;if(g&1)c=pb()|0;else{i[(k[(k[j>>2]|0)+16>>2]|0)+8>>0]=0;y=0;oa(594,h|0,p|0);g=y;y=0;do if(g&1){c=pb()|0;n=29}else{y=0;ma(5,l|0,h|0,0,0,1);g=y;y=0;if(g&1){c=pb()|0;A9(h);n=29;break}c=p+11|0;if((i[c>>0]|0)<0){i[k[p>>2]>>0]=0;k[p+4>>2]=0}else{i[p>>0]=0;i[c>>0]=0}y=0;oa(500,p|0,0);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}k[p>>2]=k[l>>2];k[p+4>>2]=k[l+4>>2];k[p+8>>2]=k[l+8>>2];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;A9(l);A9(h);y=0;f=qa(322,((i[c>>0]|0)<0?k[p>>2]|0:p)|0)|0;g=y;y=0;if(g&1){c=pb()|0;break}k[h>>2]=f;c=k[j>>2]|0;d=c+216|0;e=k[d>>2]|0;if((e|0)==(k[c+220>>2]|0)){y=0;oa(539,c+212|0,h|0);n=y;y=0;if(n&1)n=31;else n=16}else{k[e>>2]=f;k[d>>2]=(k[d>>2]|0)+4;n=16}if((n|0)==16){c=k[h>>2]|0;d=k[j>>2]|0;y=0;e=l;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));ma(17,o|0,c|0,d|0,l|0,0);g=y;y=0;if(g&1)n=31;else{k[o+68>>2]=k[b+64>>2];y=0;Na(106,l|0,o|0,(i[b+60>>0]|0)==0|0);b=y;y=0;do if(b&1){c=pb()|0;b=N}else{c=k[j>>2]|0;f=k[c+212>>2]|0;c=k[c+216>>2]|0;g=c;a:do if((g|0)!=(f|0)){e=k[h>>2]|0;d=g;do{d=d+-4|0;if((k[d>>2]|0)==(e|0))break a;c=d}while((d|0)!=(f|0))}while(0);if((c|0)!=(f|0)){k[c+-4>>2]=k[g+-4>>2];j=(k[j>>2]|0)+216|0;k[j>>2]=(k[j>>2]|0)+-4;Wf(k[h>>2]|0)}i[s>>0]=t;y=0;g=Ha(k[(k[a>>2]|0)+272>>2]|0,a|0,k[l+4>>2]|0)|0;j=y;y=0;if(j&1){c=pb()|0;b=N;DO(l);break}DO(l);c=k[o+56>>2]|0;d=c;if(c|0){e=o+60|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);cra(c)}f=o+44|0;c=k[f>>2]|0;if(!c){A9(p);DO(q);i[s>>0]=t;r=m;return g|0}e=o+48|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{o=d+-8|0;k[e>>2]=o;lc[k[k[o>>2]>>2]&511](o);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c);A9(p);DO(q);i[s>>0]=t;r=m;return g|0}while(0);d=k[o+56>>2]|0;e=d;if(d|0){f=o+60|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~((g+-4-e|0)>>>2)<<2);cra(d)}g=o+44|0;d=k[g>>2]|0;if(d|0){f=o+48|0;e=k[f>>2]|0;if((e|0)!=(d|0)){do{o=e+-8|0;k[f>>2]=o;lc[k[k[o>>2]>>2]&511](o);e=k[f>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}}}if((n|0)==31)c=pb()|0}while(0);A9(p)}DO(q);q=c;i[s>>0]=t;sb(q|0)}}q=pb()|0;DO(d);i[s>>0]=t;sb(q|0);return 0}function Og(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,r=0;a:do if(b>>>0>36){e=W8()|0;k[e>>2]=22;e=0;d=0}else{r=a+4|0;q=a+100|0;do{f=k[r>>2]|0;if(f>>>0<(k[q>>2]|0)>>>0){k[r>>2]=f+1;f=l[f>>0]|0}else f=eC(a)|0}while((Pma(f)|0)!=0);b:do switch(f|0){case 43:case 45:{f=((f|0)==45)<<31>>31;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;p=f;f=l[g>>0]|0;break b}else{p=f;f=eC(a)|0;break b}}default:p=0}while(0);g=(b|0)==0;do if((b|16|0)==16&(f|0)==48){f=k[r>>2]|0;if(f>>>0<(k[q>>2]|0)>>>0){k[r>>2]=f+1;f=l[f>>0]|0}else f=eC(a)|0;if((f|32|0)!=120)if(g){b=8;n=46;break}else{n=32;break}f=k[r>>2]|0;if(f>>>0<(k[q>>2]|0)>>>0){k[r>>2]=f+1;f=l[f>>0]|0}else f=eC(a)|0;if((l[52737+f>>0]|0)>15){d=(k[q>>2]|0)==0;if(!d)k[r>>2]=(k[r>>2]|0)+-1;if(!c){_O(a,0);e=0;d=0;break a}if(d){e=0;d=0;break a}k[r>>2]=(k[r>>2]|0)+-1;e=0;d=0;break a}else{b=16;n=46}}else{b=g?10:b;if((l[52737+f>>0]|0)>>>0<b>>>0)n=32;else{if(k[q>>2]|0)k[r>>2]=(k[r>>2]|0)+-1;_O(a,0);e=W8()|0;k[e>>2]=22;e=0;d=0;break a}}while(0);if((n|0)==32)if((b|0)==10){b=f+-48|0;if(b>>>0<10){f=0;g=b;do{f=(f*10|0)+g|0;b=k[r>>2]|0;if(b>>>0<(k[q>>2]|0)>>>0){k[r>>2]=b+1;b=l[b>>0]|0}else b=eC(a)|0;g=b+-48|0}while(g>>>0<10&f>>>0<429496729);c=0}else{b=f;f=0;c=0}g=b+-48|0;if(g>>>0<10){m=g;while(1){g=rR(f|0,c|0,10,0)|0;h=N;j=((m|0)<0)<<31>>31;o=~j;if(h>>>0>o>>>0|(h|0)==(o|0)&g>>>0>~m>>>0){g=b;b=m;break}f=P5(g|0,h|0,m|0,j|0)|0;c=N;b=k[r>>2]|0;if(b>>>0<(k[q>>2]|0)>>>0){k[r>>2]=b+1;b=l[b>>0]|0}else b=eC(a)|0;h=b+-48|0;if(h>>>0<10&(c>>>0<429496729|(c|0)==429496729&f>>>0<2576980378))m=h;else{g=b;b=h;break}}if(b>>>0>9){g=p;b=c}else{b=10;n=72}}else{g=p;b=c}}else n=46;c:do if((n|0)==46){if(!(b+-1&b)){n=i[52993+((b*23|0)>>>5&7)>>0]|0;c=i[52737+f>>0]|0;g=c&255;if(g>>>0<b>>>0){f=0;h=g;do{f=h|f<<n;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;g=l[g>>0]|0}else g=eC(a)|0;c=i[52737+g>>0]|0;h=c&255}while(f>>>0<134217728&h>>>0<b>>>0);h=0}else{g=f;h=0;f=0}j=EV(-1,-1,n|0)|0;m=N;if((c&255)>>>0>=b>>>0|(h>>>0>m>>>0|(h|0)==(m|0)&f>>>0>j>>>0)){c=h;n=72;break}else g=h;while(1){f=_U(f|0,g|0,n|0)|0;h=N;f=c&255|f;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;g=l[g>>0]|0}else g=eC(a)|0;c=i[52737+g>>0]|0;if((c&255)>>>0>=b>>>0|(h>>>0>m>>>0|(h|0)==(m|0)&f>>>0>j>>>0)){c=h;n=72;break c}else g=h}}c=i[52737+f>>0]|0;g=c&255;if(g>>>0<b>>>0){f=0;h=g;do{f=h+(aa(f,b)|0)|0;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;g=l[g>>0]|0}else g=eC(a)|0;c=i[52737+g>>0]|0;h=c&255}while(f>>>0<119304647&h>>>0<b>>>0);h=0}else{g=f;f=0;h=0}if((c&255)>>>0<b>>>0){n=oda(-1,-1,b|0,0)|0;o=N;m=h;while(1){if(m>>>0>o>>>0|(m|0)==(o|0)&f>>>0>n>>>0){c=m;n=72;break c}h=rR(f|0,m|0,b|0,0)|0;j=N;c=c&255;if(j>>>0>4294967295|(j|0)==-1&h>>>0>~c>>>0){c=m;n=72;break c}f=P5(c|0,0,h|0,j|0)|0;h=N;g=k[r>>2]|0;if(g>>>0<(k[q>>2]|0)>>>0){k[r>>2]=g+1;g=l[g>>0]|0}else g=eC(a)|0;c=i[52737+g>>0]|0;if((c&255)>>>0>=b>>>0){c=h;n=72;break}else m=h}}else{c=h;n=72}}while(0);if((n|0)==72)if((l[52737+g>>0]|0)>>>0<b>>>0){do{f=k[r>>2]|0;if(f>>>0<(k[q>>2]|0)>>>0){k[r>>2]=f+1;f=l[f>>0]|0}else f=eC(a)|0}while((l[52737+f>>0]|0)>>>0<b>>>0);g=W8()|0;k[g>>2]=34;g=(d&1|0)==0&0==0?p:0;b=e;f=d}else{g=p;b=c}if(k[q>>2]|0)k[r>>2]=(k[r>>2]|0)+-1;if(!(b>>>0<e>>>0|(b|0)==(e|0)&f>>>0<d>>>0)){if(!((d&1|0)!=0|0!=0|(g|0)!=0)){r=W8()|0;k[r>>2]=34;d=P5(d|0,e|0,-1,-1)|0;e=N;break}if(b>>>0>e>>>0|(b|0)==(e|0)&f>>>0>d>>>0){r=W8()|0;k[r>>2]=34;break}}d=((g|0)<0)<<31>>31;d=mU(f^g|0,b^d|0,g|0,d|0)|0;e=N}while(0);N=e;return d|0}function Pg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;h=0;l=r;r=r+304|0;c=l+228|0;p=l+40|0;d=l;n=l+28|0;j=l+16|0;g=a+11|0;if((cS((i[g>>0]|0)<0?k[a>>2]|0:a,c)|0)==-1){p=0;r=l;return p|0}if((k[c+12>>2]&61440|0)==16384){p=0;r=l;return p|0}c=(i[g>>0]|0)<0?k[a>>2]|0:a;o=p+108|0;m=p+8|0;k[p>>2]=16880;k[o>>2]=16900;k[p+4>>2]=0;y=0;oa(528,p+108|0,m|0);f=y;y=0;if(f&1){p=pb()|0;Vja(o);sb(p|0)}k[p+180>>2]=0;k[p+184>>2]=-1;k[p>>2]=16920;k[o>>2]=16940;y=0;na(443,m|0);f=y;y=0;do if(f&1)b=pb()|0;else{f=p+72|0;if(!(k[f>>2]|0)){c=TG(c,42329)|0;k[f>>2]=c;if(!c)h=9;else{k[p+96>>2]=14;if(Rla(c,0,2)|0){SJ(k[f>>2]|0)|0;k[f>>2]=0;h=9}}}else h=9;if((h|0)==9){e=p+(k[(k[p>>2]|0)+-12>>2]|0)|0;y=0;oa(532,e|0,k[e+16>>2]|4|0);e=y;y=0;if(e&1){b=pb()|0;Vz(m);break}}a:do if(!(k[f>>2]|0))e=0;else{y=0;oa(563,d|0,p|0);e=y;y=0;if(e&1){n=pb()|0;k[p>>2]=16920;k[o>>2]=16940;Vz(m);zla(p,16952);Vja(o);sb(n|0)}c=k[d+8>>2]|0;e=ud(c+2|0)|0;y=0;Ma(10,p|0,0,0,0)|0;d=y;y=0;do if(d&1)h=26;else{y=0;ta(52,p|0,e|0,c|0)|0;d=y;y=0;if(d&1)h=26;else{i[e+c>>0]=0;i[e+(c+1)>>0]=0;c=k[f>>2]|0;if(c|0){y=0;d=qa(k[(k[m>>2]|0)+24>>2]|0,m|0)|0;q=y;y=0;if(q&1){b=pb()|0;SJ(c)|0;break}if(!(SJ(c)|0)){k[f>>2]=0;if(!d)break a}}q=p+(k[(k[p>>2]|0)+-12>>2]|0)|0;y=0;oa(532,q|0,k[q+16>>2]|4|0);q=y;y=0;if(q&1)h=26;else break a}}while(0);if((h|0)==26)b=pb()|0;q=b;k[p>>2]=16920;k[o>>2]=16940;Vz(m);zla(p,16952);Vja(o);sb(q|0)}while(0);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;c=i[g>>0]|0;c=c<<24>>24<0?k[a+4>>2]|0:c&255;do if(c>>>0>5){y=0;ma(4,j|0,a|0,c+-5|0,5,a|0);q=y;y=0;if(q&1){b=pb()|0;break}c=n+11|0;if((i[c>>0]|0)<0){i[k[n>>2]>>0]=0;k[n+4>>2]=0}else{i[n>>0]=0;i[c>>0]=0}y=0;oa(500,n|0,0);q=y;y=0;if(q&1){q=tb(0)|0;Sla(q)}else{k[n>>2]=k[j>>2];k[n+4>>2]=k[j+4>>2];k[n+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;A9(j);b=n+4|0;g=c;a=b;c=i[c>>0]|0;b=k[b>>2]|0;h=30;break}}else{g=n+11|0;a=n+4|0;c=0;b=0;h=30}while(0);b:do if((h|0)==30){d=c<<24>>24<0;if((c<<24>>24<0?b:c&255)|0){f=0;do{b=k[n>>2]|0;d=(cka(i[(d?b:n)+f>>0]|0)|0)&255;i[(c<<24>>24<0?b:n)+f>>0]=d;f=f+1|0;c=i[g>>0]|0;d=c<<24>>24<0;b=k[a>>2]|0}while(f>>>0<(d?b:c&255)>>>0)}c:do if(((d?b:c&255)|0)==5){y=0;b=sa(21,n|0,0,-1,51542,5)|0;q=y;y=0;if(q&1){q=tb(0)|0;Sla(q)}if((e|0)!=0&(b|0)==0){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;q=IJ(e)|0;y=0;Na(74,j|0,e|0,q|0);q=y;y=0;do if(q&1)b=pb()|0;else{y=0;b=Ha(978,j|0,33)|0;q=y;y=0;if(q&1){b=pb()|0;A9(j);break}else{A9(j);Wf(e);break c}}while(0);break b}else b=e}else b=e;while(0);A9(n);k[p>>2]=16920;k[o>>2]=16940;Vz(m);zla(p,16952);Vja(o);q=b;r=l;return q|0}while(0);A9(n);q=b;k[p>>2]=16920;k[o>>2]=16940;Vz(m);zla(p,16952);Vja(o);sb(q|0)}while(0);zla(p,16952);q=b;Vja(o);sb(q|0);return 0}function Qg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=r;r=r+160|0;c=t+136|0;s=t+144|0;m=t+120|0;g=t+112|0;d=t+96|0;n=t+88|0;h=t+72|0;o=t+64|0;e=t+48|0;j=t+40|0;f=t+24|0;q=t+16|0;p=t;l=a+76|0;LT(c,k[l>>2]|0);k[c>>2]=12568;u=(k[c+4>>2]|0)==0;DO(c);c=b+4|0;b=k[c>>2]|0;a=k[b+52>>2]|0;if(u){u=(a|0)==1;r=t;return u|0}do if((a|0)==3){if(!b)a=0;else a=(k[119]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;LT(s,a);k[s>>2]=17116;a=k[s+4>>2]|0;if(!a){DO(s);a=k[c>>2]|0;b=a;a=k[a+52>>2]|0;break}y=0;oa(456,m|0,a+72|0);u=y;y=0;if(u&1)a=pb()|0;else{u=i[m+11>>0]|0;if(!((u<<24>>24<0?k[m+4>>2]|0:u&255)|0))b=13;else{y=0;ta(42,m|0,0,1)|0;u=y;y=0;if(u&1)b=12;else b=13}if((b|0)==13){y=0;oa(460,g|0,k[l>>2]|0);u=y;y=0;if(u&1)b=12;else{k[g>>2]=12568;a=k[g+4>>2]|0;y=0;oa(456,d|0,m|0);u=y;y=0;do if(u&1)a=pb()|0;else{y=0;a=Ha(1019,a|0,d|0)|0;u=y;y=0;if(u&1){a=pb()|0;A9(d);break}A9(d);DO(g);A9(m);DO(s);u=a;r=t;return u|0}while(0);DO(g)}}if((b|0)==12)a=pb()|0;A9(m)}DO(s);u=a;sb(u|0)}while(0);switch(a|0){case 2:{LT(n,k[l>>2]|0);k[n>>2]=12568;a=k[n+4>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,48051,5);u=y;y=0;do if(u&1)a=pb()|0;else{y=0;a=Ha(1019,a|0,h|0)|0;u=y;y=0;if(u&1){a=pb()|0;A9(h);break}A9(h);DO(n);u=a;r=t;return u|0}while(0);DO(n);u=a;sb(u|0)}case 1:{LT(o,k[l>>2]|0);k[o>>2]=12568;a=k[o+4>>2]|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,48057,4);u=y;y=0;do if(u&1)a=pb()|0;else{y=0;a=Ha(1019,a|0,e|0)|0;u=y;y=0;if(u&1){a=pb()|0;A9(e);break}A9(e);DO(o);u=a;r=t;return u|0}while(0);DO(o);u=a;sb(u|0)}case 4:{LT(j,k[l>>2]|0);k[j>>2]=12568;a=k[j+4>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,48062,8);u=y;y=0;do if(u&1)a=pb()|0;else{y=0;a=Ha(1019,a|0,f|0)|0;u=y;y=0;if(u&1){a=pb()|0;A9(f);break}A9(f);DO(j);u=a;r=t;return u|0}while(0);DO(j);u=a;sb(u|0)}default:{if(!b)a=0;else a=(k[119]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;LT(s,a);k[s>>2]=17116;a=k[s+4>>2]|0;do if(a|0){a=a+72|0;if(ZN(a,47991)|0)if(ZN(a,48010)|0)if(ZN(a,48026)|0)if(ZN(a,48040)|0)break;y=0;oa(460,q|0,k[l>>2]|0);u=y;y=0;if(u&1)a=pb()|0;else{k[q>>2]=12568;a=k[q+4>>2]|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(74,p|0,48071,9);u=y;y=0;do if(u&1)a=pb()|0;else{y=0;a=Ha(1019,a|0,p|0)|0;u=y;y=0;if(u&1){a=pb()|0;A9(p);break}A9(p);DO(q);DO(s);u=a;r=t;return u|0}while(0);DO(q)}DO(s);u=a;sb(u|0)}while(0);DO(s);u=0;r=t;return u|0}}return 0}function Rg(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0;n=r;r=r+16|0;m=n;if(a){b=RY(b,85680)|0;mc[k[(k[b>>2]|0)+44>>2]&1023](m,b);a=k[m>>2]|0;i[c>>0]=a;i[c+1>>0]=a>>8;i[c+2>>0]=a>>16;i[c+3>>0]=a>>24;mc[k[(k[b>>2]|0)+32>>2]&1023](m,b);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(500,j|0,0);c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);mc[k[(k[b>>2]|0)+28>>2]&1023](m,b);a=h+11|0;if((i[a>>0]|0)<0){i[k[h>>2]>>0]=0;k[h+4>>2]=0}else{i[h>>0]=0;i[a>>0]=0}y=0;oa(500,h|0,0);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);a=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;i[d>>0]=a;a=oc[k[(k[b>>2]|0)+16>>2]&511](b)|0;i[e>>0]=a;mc[k[(k[b>>2]|0)+20>>2]&1023](m,b);a=f+11|0;if((i[a>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[a>>0]=0}y=0;oa(500,f|0,0);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);mc[k[(k[b>>2]|0)+24>>2]&1023](m,b);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(500,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);a=oc[k[(k[b>>2]|0)+36>>2]&511](b)|0}else{b=RY(b,85672)|0;mc[k[(k[b>>2]|0)+44>>2]&1023](m,b);a=k[m>>2]|0;i[c>>0]=a;i[c+1>>0]=a>>8;i[c+2>>0]=a>>16;i[c+3>>0]=a>>24;mc[k[(k[b>>2]|0)+32>>2]&1023](m,b);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(500,j|0,0);c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);mc[k[(k[b>>2]|0)+28>>2]&1023](m,b);a=h+11|0;if((i[a>>0]|0)<0){i[k[h>>2]>>0]=0;k[h+4>>2]=0}else{i[h>>0]=0;i[a>>0]=0}y=0;oa(500,h|0,0);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);a=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;i[d>>0]=a;a=oc[k[(k[b>>2]|0)+16>>2]&511](b)|0;i[e>>0]=a;mc[k[(k[b>>2]|0)+20>>2]&1023](m,b);a=f+11|0;if((i[a>>0]|0)<0){i[k[f>>2]>>0]=0;k[f+4>>2]=0}else{i[f>>0]=0;i[a>>0]=0}y=0;oa(500,f|0,0);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);mc[k[(k[b>>2]|0)+24>>2]&1023](m,b);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(500,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);a=oc[k[(k[b>>2]|0)+36>>2]&511](b)|0}k[l>>2]=a;r=n;return}function Sg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;v=r;r=r+64|0;z=v+28|0;u=v;jD(a);y=0;na(449,z|0);x=y;y=0;if(x&1)b=pb()|0;else{y=0;oa(507,z|0,b|0);x=y;y=0;do if(x&1){b=pb()|0;c=z+24|0;i=58}else{t=z+20|0;c=z+24|0;o=u+20|0;w=u+24|0;p=a+20|0;q=a+24|0;s=u+16|0;x=u+12|0;a:while(1){b=k[t>>2]|0;d=k[c>>2]|0;if(!d){if(!(k[b+20>>2]|0)){i=70;break}}else{Dba(d);n=(k[b+20>>2]|0)==0;DY(d);if(n){i=68;break}}y=0;na(449,u|0);n=y;y=0;if(n&1){i=56;break}do{b=k[o>>2]|0;e=k[w>>2]|0;f=(e|0)==0;if(!f)Dba(e);d=k[t>>2]|0;g=k[c>>2]|0;h=(g|0)==0;if(!h)Dba(g);n=k[d+16>>2]|0;y=0;oa(522,b|0,(k[(k[d+4>>2]|0)+(((n>>>0)/146|0)<<2)>>2]|0)+(((n>>>0)%146|0)*28|0)|0);n=y;y=0;if(n&1){i=59;break a}if(!h)DY(g);if(!f)DY(e);b=k[t>>2]|0;d=k[c>>2]|0;e=(d|0)==0;if(!e)Dba(d);f=b+4|0;g=b+16|0;i=k[g>>2]|0;h=k[(k[f>>2]|0)+(((i>>>0)/146|0)<<2)>>2]|0;i=(i>>>0)%146|0;j=k[h+(i*28|0)+24>>2]|0;if(j|0)DY(j);DO(h+(i*28|0)+12|0);n=b+20|0;k[n>>2]=(k[n>>2]|0)+-1;n=(k[g>>2]|0)+1|0;k[g>>2]=n;if(n>>>0>291){cra(k[k[f>>2]>>2]|0);k[f>>2]=(k[f>>2]|0)+4;k[g>>2]=(k[g>>2]|0)+-146}if(!e)DY(d);b=k[t>>2]|0;h=k[c>>2]|0;i=(h|0)==0;if(!i)Dba(h);do if(!(k[b+20>>2]|0))b=0;else{b=k[o>>2]|0;f=k[w>>2]|0;g=(f|0)==0;if(!g)Dba(f);n=(k[b+20>>2]|0)+-1+(k[b+16>>2]|0)|0;do if((k[(k[(k[b+4>>2]|0)+(((n>>>0)/146|0)<<2)>>2]|0)+(((n>>>0)%146|0)*28|0)+4>>2]|0)==1)b=1;else{b=k[t>>2]|0;d=k[c>>2]|0;e=(d|0)==0;if(!e)Dba(d);n=k[b+16>>2]|0;b=(k[(k[(k[b+4>>2]|0)+(((n>>>0)/146|0)<<2)>>2]|0)+(((n>>>0)%146|0)*28|0)+4>>2]|0)==1;if(e)break;DY(d)}while(0);if(g)break;DY(f)}while(0);if(!i)DY(h)}while(b);b=k[p>>2]|0;m=k[q>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=b+8|0;e=k[i>>2]|0;j=b+4|0;d=k[j>>2]|0;A=e-d>>2;g=b+16|0;h=k[g>>2]|0;l=b+20|0;f=k[l>>2]|0;if((((A|0)==0?0:(A*146|0)+-1|0)|0)==(f+h|0)){y=0;na(429,b|0);A=y;y=0;if(A&1){i=63;break}f=k[l>>2]|0;b=k[g>>2]|0;e=k[i>>2]|0;d=k[j>>2]|0}else b=h;b=f+b|0;if((e|0)==(d|0))d=0;else d=(k[d+(((b>>>0)/146|0)<<2)>>2]|0)+(((b>>>0)%146|0)*28|0)|0;k[d>>2]=k[u>>2];k[d+4>>2]=k[u+4>>2];k[d+8>>2]=k[u+8>>2];b=d+12|0;y=0;oa(460,b|0,k[s>>2]|0);A=y;y=0;if(A&1){i=63;break}k[b>>2]=15136;k[d+20>>2]=k[o>>2];b=k[w>>2]|0;k[d+24>>2]=b;if(b|0)Dba(b);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);b=k[w>>2]|0;if(b|0)DY(b);DO(x)}if((i|0)==56){b=pb()|0;i=58;break}else if((i|0)==59){b=pb()|0;if(!h)DY(g);if(!f)DY(e)}else if((i|0)==63){b=pb()|0;if(!n)DY(m)}else if((i|0)==68){b=k[c>>2]|0;if(!b){A=z+12|0;DO(A);r=v;return}DY(b);A=z+12|0;DO(A);r=v;return}else if((i|0)==70){A=z+12|0;DO(A);r=v;return}d=k[w>>2]|0;if(d|0)DY(d);DO(x)}while(0);c=k[c>>2]|0;if(c|0)DY(c);DO(z+12|0)}c=k[a+24>>2]|0;if(!c){A=a+12|0;DO(A);sb(b|0)}DY(c);A=a+12|0;DO(A);sb(b|0)}function Tg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=0;C=r;r=r+112|0;D=C+72|0;G=C+64|0;H=C+56|0;F=C+48|0;E=C+40|0;z=C+24|0;A=C+32|0;B=C+16|0;x=C;n=b+4|0;o=k[n>>2]|0;b=k[o+76>>2]|0;o=k[o+80>>2]|0;if((b|0)==(o|0)){r=C;return}p=G+4|0;q=H+4|0;s=E+4|0;t=A+4|0;u=F+4|0;v=a+76|0;w=a+80|0;f=a+76|0;g=D+8|0;h=D+8|0;j=B+4|0;l=D+4|0;m=z+4|0;e=b;a:while(1){LT(G,k[e+4>>2]|0);k[G>>2]=15136;y=0;oa(460,H|0,k[p>>2]|0);d=y;y=0;if(d&1){I=16;break}k[H>>2]=15136;y=0;oa(460,F|0,k[(k[q>>2]|0)+80>>2]|0);d=y;y=0;if(d&1){I=17;break}k[F>>2]=15152;y=0;oa(460,E|0,k[p>>2]|0);d=y;y=0;if(d&1){I=18;break}k[E>>2]=15136;b=k[s>>2]|0;b:do if(b){while(1){y=0;oa(460,D|0,k[b+80>>2]|0);d=y;y=0;if(d&1){I=19;break a}k[D>>2]=15152;b=k[l>>2]|0;if(b|0){a=k[(k[b+76>>2]|0)+4>>2]|0;if(!a)break;if((k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)!=33313)break}y=0;oa(460,z|0,k[(k[s>>2]|0)+88>>2]|0);d=y;y=0;if(d&1){I=28;break a}k[z>>2]=15136;if(k[s>>2]|0){y=0;na(423,E|0);d=y;y=0;if(d&1){I=29;break a}}k[s>>2]=k[m>>2];k[m>>2]=0;DO(z);DO(D);b=k[s>>2]|0;if(!b)break b}if(k[u>>2]|0){y=0;na(423,F|0);d=y;y=0;if(d&1){I=22;break a}b=k[l>>2]|0}k[u>>2]=b;y=0;na(424,F|0);d=y;y=0;if(d&1){I=22;break a}DO(D);b=k[s>>2]|0}while(0);y=0;oa(460,A|0,k[b+80>>2]|0);d=y;y=0;if(d&1){I=20;break}k[A>>2]=15152;if(!(k[t>>2]|0)){DO(A);I=37}else{y=0;oa(460,B|0,k[(k[s>>2]|0)+88>>2]|0);d=y;y=0;if(d&1){I=40;break}k[B>>2]=15136;d=(k[j>>2]|0)==0;DO(B);DO(A);if(!d)I=37}if((I|0)==37){I=0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,34266,36);d=y;y=0;if(d&1){I=20;break}y=0;b=D;a=(k[q>>2]|0)+12|0;d=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(d|0));oa(454,x|0,D|0);d=y;y=0;if(d&1){I=41;break}A9(x)}i[(k[u>>2]|0)+62>>0]=i[(k[n>>2]|0)+62>>0]|0;a=k[v>>2]|0;d=(k[w>>2]|0)-a>>3;c:do if(d|0){b=0;while(1){y=0;oa(460,D|0,k[a+(b<<3)+4>>2]|0);a=y;y=0;if(a&1){I=51;break a}k[D>>2]=15136;y=0;oa(460,g|0,k[u>>2]|0);a=y;y=0;if(a&1){I=47;break a}k[g>>2]=15152;y=0;Na(83,c|0,F|0,D|0);a=y;y=0;if(a&1){I=53;break a}DO(h);DO(D);b=b+1|0;if(b>>>0>=d>>>0)break c;a=k[f>>2]|0}}while(0);DO(E);DO(F);DO(H);DO(G);e=e+8|0;if((e|0)==(o|0)){I=3;break}}switch(I|0){case 3:{r=C;return}case 16:{I=pb()|0;DO(G);sb(I|0)}case 17:{b=pb()|0;break}case 18:{b=pb()|0;I=56;break}case 19:{b=pb()|0;I=21;break}case 20:{b=pb()|0;I=21;break}case 22:{b=pb()|0;I=31;break}case 28:{b=pb()|0;I=30;break}case 29:{b=pb()|0;DO(z);I=30;break}case 40:{b=pb()|0;DO(A);I=55;break}case 41:{b=pb()|0;A9(x);I=55;break}case 47:{b=pb()|0;DO(D);I=52;break}case 51:{b=pb()|0;I=52;break}case 53:{b=pb()|0;DO(h);DO(D);I=54;break}}if((I|0)==21)I=55;else if((I|0)==30)I=31;else if((I|0)==52)I=54;if((I|0)==31){DO(D);I=55}else if((I|0)==54)I=55;if((I|0)==55){DO(E);I=56}if((I|0)==56)DO(F);DO(H);I=b;DO(G);sb(I|0)}function Ug(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;s=0;B=r;r=r+160|0;v=B+144|0;w=B+132|0;x=B+120|0;z=B+80|0;c=B;C=B+72|0;f=B+64|0;p=B+56|0;t=B+48|0;A=B+40|0;jx(b,0,0)|0;j=b+128|0;aO(b+108|0,j);k[b+132>>2]=0;k[j>>2]=0;j=IM(88)|0;u=b+108|0;l=c;m=u;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(422,j|0);q=y;y=0;do if(q&1)c=pb()|0;else{l=j+12|0;m=c;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=9288;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);q=y;y=0;if(q&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{C=e+-8|0;k[h>>2]=C;lc[k[k[C>>2]>>2]&511](C);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=9076;k[d>>2]=9208;k[j+80>>2]=0;i[j+84>>0]=0;i[j+85>>0]=0;k[c>>2]=5;LT(C,j);k[C>>2]=7172;q=b+76|0;y=0;c=qa(343,k[q>>2]|0)|0;o=y;y=0;a:do if(o&1)s=22;else{e=b+80|0;if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[q>>2]|0;y=0;d=qa(344,c|0)|0;o=y;y=0;if(o&1)s=22;else{n=d|0?d:c;n=(i[n>>0]|0)==123?n+1|0:0;o=C+4|0;b:do if((n|0)==0?1:n>>>0>(k[e>>2]|0)>>>0){c=(k[o>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(634,p|0,b|0);n=y;y=0;if(n&1){s=22;break a}y=0;oa(460,f|0,k[p+4>>2]|0);n=y;y=0;do if(n&1)c=pb()|0;else{k[f>>2]=7284;y=0;oa(d|0,c|0,f|0);n=y;y=0;if(n&1){c=pb()|0;DO(f);break}else{DO(f);DO(p);break b}}while(0);DO(p);break a}while(0);f=b+156|0;g=b+84|0;h=b+96|0;j=A+4|0;while(1){k[v>>2]=k[f>>2];k[v+4>>2]=k[f+4>>2];k[v+8>>2]=k[f+8>>2];e=k[q>>2]|0;k[w>>2]=k[g>>2];k[w+4>>2]=k[g+4>>2];k[w+8>>2]=k[g+8>>2];k[x>>2]=k[h>>2];k[x+4>>2]=k[h+4>>2];k[x+8>>2]=k[h+8>>2];l=z;m=u;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;ta(53,b|0,1,0)|0;s=y;y=0;if(s&1){s=21;break}y=0;c=ta(54,b|0,1,0)|0;s=y;y=0;if(s&1){s=21;break}d=(c|0)==0;if(d){l=u;m=z;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));k[f>>2]=k[v>>2];k[f+4>>2]=k[v+4>>2];k[f+8>>2]=k[v+8>>2];k[q>>2]=e;k[h>>2]=k[x>>2];k[h+4>>2]=k[x+4>>2];k[h+8>>2]=k[x+8>>2];k[g>>2]=k[w>>2];k[g+4>>2]=k[w+4>>2];k[g+8>>2]=k[w+8>>2]}c=k[o>>2]|0;if(d){s=39;break}c=c+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(634,A|0,b|0);s=y;y=0;if(s&1){s=21;break}y=0;oa(460,t|0,k[j>>2]|0);s=y;y=0;if(s&1){s=36;break}k[t>>2]=7284;y=0;oa(d|0,c|0,t|0);s=y;y=0;if(s&1){s=37;break}DO(t);DO(A)}if((s|0)==21){c=pb()|0;s=23;break}else if((s|0)==36)c=pb()|0;else if((s|0)==37){c=pb()|0;DO(t)}else if((s|0)==39){y=0;oa(568,c|0,u|0);A=y;y=0;if(A&1){s=22;break}c=k[o>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(460,a|0,c|0);A=y;y=0;if(A&1){s=22;break}k[a>>2]=7172;DO(C);r=B;return}DO(A)}}while(0);if((s|0)==22){c=pb()|0;s=23}DO(C);C=c;sb(C|0)}while(0);cra(j);C=c;sb(C|0)}function Vg(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;B=0;x=r;r=r+240|0;w=x;u=x+204|0;A=x+192|0;z=x+180|0;v=x+176|0;q=x+16|0;s=x+8|0;t=x+4|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[A+(a<<2)>>2]=0;a=a+1|0}y=0;a=qa(323,d|0)|0;p=y;y=0;do if(p&1){a=pb()|0;B=35}else{k[z>>2]=a;y=0;d=Ha(977,z|0,83960)|0;p=y;y=0;if(!(p&1)){y=0;Ma(k[(k[d>>2]|0)+32>>2]|0,d|0,56220,56246,u|0)|0;p=y;y=0;if(!(p&1)){RQ(a)|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[z+(a<<2)>>2]=0;a=a+1|0}p=z+11|0;if((i[p>>0]|0)<0)a=(k[z+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,z|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{d=(i[p>>0]|0)<0?k[z>>2]|0:z;k[v>>2]=d;k[s>>2]=q;k[t>>2]=0;n=z+4|0;o=z+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;g=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){B=37;break}if((g|0)==-1){k[b>>2]=0;a=0}}g=(a|0)==0;j=k[c>>2]|0;do if(!j)B=25;else{if((k[j+12>>2]|0)!=(k[j+16>>2]|0))if(g)break;else{B=47;break a}y=0;h=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;m=y;y=0;if(m&1){B=37;break a}if((h|0)==-1){k[c>>2]=0;B=25;break}else if(g)break;else{B=47;break a}}while(0);if((B|0)==25){B=0;if(g){j=0;B=47;break}else j=0}g=i[p>>0]|0;g=g<<24>>24<0?k[n>>2]|0:g&255;if((k[v>>2]|0)==(d+g|0)){y=0;Na(90,z|0,g<<1|0,0);m=y;y=0;if(m&1){B=39;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,z|0,d|0,0);m=y;y=0;if(m&1){B=39;break}d=(i[p>>0]|0)<0?k[z>>2]|0:z;k[v>>2]=d+g}h=a+12|0;g=k[h>>2]|0;m=a+16|0;if((g|0)==(k[m>>2]|0)){y=0;g=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;C=y;y=0;if(C&1){B=37;break}}else g=l[g>>0]|0;if(Yq(g&255,16,d,v,t,0,A,q,s,u)|0){B=47;break}g=k[h>>2]|0;if((g|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;C=y;y=0;if(C&1){B=37;break}else continue}else{k[h>>2]=g+1;continue}}if((B|0)==37)a=pb()|0;else if((B|0)==39)a=pb()|0;else if((B|0)==47){y=0;Na(90,z|0,(k[v>>2]|0)-d|0,0);C=y;y=0;b:do if(!(C&1)){d=i[p>>0]|0;g=k[z>>2]|0;y=0;h=La(3)|0;C=y;y=0;if(!(C&1)){y=0;k[w>>2]=f;d=Ma(15,(d<<24>>24<0?g:z)|0,h|0,56253,w|0)|0;C=y;y=0;if(!(C&1)){if((d|0)!=1)k[e>>2]=4;if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;C=y;y=0;if(C&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;c:do if(!j)B=63;else{do if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;a=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;C=y;y=0;if(C&1)break b;if((a|0)!=-1)break;k[c>>2]=0;B=63;break c}while(0);if(!d)B=64}while(0);if((B|0)==63)if(d)B=64;if((B|0)==64)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;A9(z);A9(A);r=x;return C|0}}}while(0);a=pb()|0}}A9(z);break}}B=pb()|0;RQ(a)|0;a=B;B=35}while(0);A9(A);sb(a|0);return 0}function Wg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;w=r;r=r+160|0;j=w;e=w+104|0;n=w+88|0;m=w+80|0;l=w+72|0;s=w+64|0;z=w+144|0;t=w+56|0;x=w+96|0;u=w+48|0;v=w+40|0;A=IM(88)|0;q=b+76|0;y=0;oa(460,n|0,k[q>>2]|0);p=y;y=0;if(p&1)b=pb()|0;else{k[n>>2]=7172;f=e;g=(k[n+4>>2]|0)+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(460,m|0,k[q>>2]|0);p=y;y=0;if(p&1)b=pb()|0;else{k[m>>2]=7172;d=k[m+4>>2]|0;b=k[d+68>>2]|0;d=k[d+64>>2]|0;f=j;g=e;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(422,A|0);p=y;y=0;do if(p&1)b=pb()|0;else{d=b-d>>3;f=A+12|0;g=j;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[A+52>>0]=0;i[A+53>>0]=0;i[A+54>>0]=0;b=A+56|0;k[b>>2]=0;k[A>>2]=9288;p=A+60|0;k[p>>2]=9248;g=A+64|0;h=A+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,d|0);o=y;y=0;if(o&1){b=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{z=e+-8|0;k[h>>2]=z;lc[k[k[z>>2]>>2]&511](z);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[A>>2]=9076;k[p>>2]=9208;k[A+80>>2]=0;i[A+84>>0]=0;i[A+85>>0]=0;k[b>>2]=5;DO(m);DO(n);LT(l,k[q>>2]|0);k[l>>2]=7172;o=k[l+4>>2]|0;o=(k[o+68>>2]|0)-(k[o+64>>2]|0)>>3;DO(l);if(!o){r=w;return A|0}g=c+76|0;h=s+4|0;j=t+4|0;c=u+4|0;l=z+4|0;m=x+4|0;e=0;a:while(1){LT(s,k[g>>2]|0);k[s>>2]=7172;n=k[h>>2]|0;n=(k[n+68>>2]|0)-(k[n+64>>2]|0)>>3;DO(s);if(n|0){f=0;do{LT(t,k[q>>2]|0);k[t>>2]=7172;b=(k[j>>2]|0)+60|0;y=0;b=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,e|0)|0;d=y;y=0;if(d&1){d=36;break a}y=0;oa(460,z|0,k[b+4>>2]|0);d=y;y=0;if(d&1){d=36;break a}k[z>>2]=7284;DO(t);y=0;oa(460,u|0,k[g>>2]|0);d=y;y=0;if(d&1){d=37;break a}k[u>>2]=7172;b=(k[c>>2]|0)+60|0;y=0;b=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,f|0)|0;d=y;y=0;if(d&1){d=38;break a}y=0;oa(460,x|0,k[b+4>>2]|0);d=y;y=0;if(d&1){d=38;break a}k[x>>2]=7284;DO(u);b=k[l>>2]|0;if(!b)d=0;else d=(k[311]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;b=k[m>>2]|0;if(!b)b=0;else b=(k[311]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;b=ta(155,a|0,d|0,b|0)|0;d=y;y=0;if(d&1){d=39;break a}if(b|0){d=k[(k[p>>2]|0)+20>>2]|0;y=0;oa(460,v|0,b|0);b=y;y=0;if(b&1){d=40;break a}k[v>>2]=7284;y=0;oa(d|0,p|0,v|0);d=y;y=0;if(d&1){d=41;break a}DO(v)}DO(x);DO(z);f=f+1|0}while(f>>>0<n>>>0)}e=e+1|0;if(e>>>0>=o>>>0){d=13;break}}if((d|0)==13){r=w;return A|0}else if((d|0)==36){A=pb()|0;DO(t);sb(A|0)}else if((d|0)==37)b=pb()|0;else if((d|0)==38){b=pb()|0;DO(u)}else if((d|0)==39){b=pb()|0;d=43}else if((d|0)==40){b=pb()|0;d=43}else if((d|0)==41){b=pb()|0;DO(v);d=43}if((d|0)==43)DO(x);DO(z);A=b;sb(A|0)}while(0);DO(m)}DO(n)}cra(A);A=b;sb(A|0);return 0}function Xg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=0;t=r;r=r+128|0;o=t;w=t+104|0;s=t+40|0;n=t+112|0;p=t+64|0;q=t+52|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;aI(o,39457,5);y=0;b=Ha(975,a|0,o|0)|0;u=y;y=0;if(!(u&1)){y=0;b=qa(336,k[b+4>>2]|0)|0;u=y;y=0;if(!(u&1)){y=0;oa(460,w|0,b|0);u=y;y=0;if(!(u&1)){k[w>>2]=7172;A9(o);m=w+4|0;a:do if(!(k[m>>2]|0)){y=0;u=qa(315,88)|0;l=y;y=0;b:do if(l&1)v=24;else{b=o;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));y=0;na(422,u|0);l=y;y=0;do if(l&1)b=pb()|0;else{b=u+12|0;h=o;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));i[u+52>>0]=0;i[u+53>>0]=0;i[u+54>>0]=0;b=u+56|0;k[b>>2]=0;k[u>>2]=9288;c=u+60|0;k[c>>2]=9248;j=u+64|0;l=u+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(514,j|0,1);h=y;y=0;if(h&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[l>>2]|0;if((g|0)!=(c|0)){do{e=g+-8|0;k[l>>2]=e;lc[k[k[e>>2]>>2]&511](e);g=k[l>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}cra(c)}break}k[u>>2]=9076;k[c>>2]=9208;k[u+80>>2]=1;i[u+84>>0]=0;i[u+85>>0]=0;k[b>>2]=5;y=0;oa(460,s|0,u|0);u=y;y=0;if(u&1){v=24;break b}k[s>>2]=7172;if(k[m>>2]|0){y=0;na(423,w|0);u=y;y=0;if(u&1){b=pb()|0;DO(s);break b}}c=s+4|0;k[m>>2]=k[c>>2];k[c>>2]=0;DO(s);c=(k[m>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,39457,5);u=y;y=0;if(u&1)b=pb()|0;else{y=0;b=o;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));b=sa(27,s|0,a|0,d|0,o|0,f|0)|0;f=y;y=0;do if(f&1)v=30;else{y=0;oa(460,n|0,b|0);f=y;y=0;if(f&1)v=30;else{k[n>>2]=7284;y=0;oa(g|0,c|0,n|0);f=y;y=0;if(f&1){b=pb()|0;DO(n);break}else{DO(n);A9(s);v=34;break a}}}while(0);if((v|0)==30)b=pb()|0;A9(s)}break a}while(0);cra(u)}while(0);if((v|0)==24)b=pb()|0}else v=34;while(0);do if((v|0)==34){y=0;c=qa(315,80)|0;v=y;y=0;if(v&1){b=pb()|0;break}b=p;h=e;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));v=(k[(k[m>>2]|0)+80>>2]|0)==0?39640:39634;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,v|0,5);v=y;y=0;do if(v&1)b=pb()|0;else{y=0;b=o;h=p;j=b+40|0;do{k[b>>2]=k[h>>2];b=b+4|0;h=h+4|0}while((b|0)<(j|0));Ea(2,c|0,o|0,q|0,0,0,0,1);v=y;y=0;if(v&1){b=pb()|0;A9(q);break}else{A9(q);DO(w);r=t;return c|0}}while(0);cra(c)}while(0);DO(w);w=b;sb(w|0)}}}w=pb()|0;A9(o);sb(w|0);return 0}function Yg(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0.0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;u=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=k[b+16>>2];y=0;oa(480,a|0,k[b+4>>2]|0);t=y;y=0;do if(t&1)c=pb()|0;else{b=k[b+8>>2]|0;if(!b)return;q=a+4|0;r=a+12|0;s=a+16|0;t=a+8|0;m=b;p=b;a:while(1){i=m+12|0;b=k[i>>2]|0;if(!b)n=0;else{y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;n=y;y=0;if(n&1){u=63;break}else n=b}j=k[q>>2]|0;l=(j|0)==0;b:do if(l){b=0;u=39}else{h=j+-1|0;f=(h&j|0)==0;if(f)b=h&n;else b=(n>>>0)%(j>>>0)|0;c=k[(k[a>>2]|0)+(b<<2)>>2]|0;if(!c)u=39;else{c=k[c>>2]|0;if(!c)u=39;else if(f)while(1){if((k[c+4>>2]&h|0)!=(b|0)){u=39;break b}g=k[c+12>>2]|0;do if(g|0){if(!(nx(g,56,136,0)|0))f=k[i>>2]|0;else{f=k[i>>2]|0;if(f)if(nx(f,56,136,0)|0){y=0;f=qa(k[(k[g>>2]|0)+8>>2]|0,g|0)|0;g=y;y=0;if(g&1){u=61;break a}g=k[i>>2]|0;y=0;g=qa(k[(k[g>>2]|0)+8>>2]|0,g|0)|0;v=y;y=0;if(v&1){u=61;break a}if((f|0)==(g|0))break b;else break}}if(f|0){y=0;f=Ha(k[(k[g>>2]|0)+92>>2]|0,g|0,f|0)|0;v=y;y=0;if(v&1){u=61;break a}if(f)break b}}while(0);c=k[c>>2]|0;if(!c){u=39;break}}else{g=c;while(1){if((((k[g+4>>2]|0)>>>0)%(j>>>0)|0|0)!=(b|0)){u=39;break b}f=k[g+12>>2]|0;do if(f|0){if(!(nx(f,56,136,0)|0))c=k[i>>2]|0;else{c=k[i>>2]|0;if(c)if(nx(c,56,136,0)|0){y=0;c=qa(k[(k[f>>2]|0)+8>>2]|0,f|0)|0;v=y;y=0;if(v&1){u=62;break a}f=k[i>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+8>>2]|0,f|0)|0;v=y;y=0;if(v&1){u=62;break a}if((c|0)==(f|0))break b;else break}}if(c|0){y=0;c=Ha(k[(k[f>>2]|0)+92>>2]|0,f|0,c|0)|0;v=y;y=0;if(v&1){u=62;break a}if(c)break b}}while(0);g=k[g>>2]|0;if(!g){u=39;break}}}}}while(0);if((u|0)==39){u=0;y=0;g=qa(315,24)|0;v=y;y=0;if(v&1){u=63;break}f=g+8|0;y=0;oa(460,f|0,k[i>>2]|0);v=y;y=0;if(v&1){u=43;break}k[f>>2]=7284;c=g+16|0;y=0;oa(460,c|0,k[m+20>>2]|0);v=y;y=0;if(v&1){u=42;break}k[c>>2]=7284;k[g+4>>2]=n;k[g>>2]=0;d=+(((k[r>>2]|0)+1|0)>>>0);e=+o[s>>2];do if(l|d>+(j>>>0)*e){v=(j>>>0>2&(j+-1&j|0)==0&1|j<<1)^1;m=~~+$(+(d/e))>>>0;y=0;oa(480,a|0,(v>>>0<m>>>0?m:v)|0);v=y;y=0;if(v&1){u=50;break a}b=k[q>>2]|0;c=b+-1|0;if(!(c&b)){f=b;b=c&n;break}else{f=b;b=(n>>>0)%(b>>>0)|0;break}}else f=j;while(0);b=(k[a>>2]|0)+(b<<2)|0;c=k[b>>2]|0;if(!c){k[g>>2]=k[t>>2];k[t>>2]=g;k[b>>2]=t;b=k[g>>2]|0;if(b|0){b=k[b+4>>2]|0;c=f+-1|0;if(!(c&f))b=b&c;else b=(b>>>0)%(f>>>0)|0;k[(k[a>>2]|0)+(b<<2)>>2]=g}}else{k[g>>2]=k[c>>2];k[c>>2]=g}k[r>>2]=(k[r>>2]|0)+1}b=k[p>>2]|0;if(!b){u=60;break}else{m=b;p=b}}if((u|0)==42){b=pb()|0;DO(f)}else if((u|0)==43)b=pb()|0;else if((u|0)==50){v=pb()|0;DO(c);DO(f);cra(g);c=v;break}else if((u|0)==60)return;else if((u|0)==61){c=pb()|0;break}else if((u|0)==62){c=pb()|0;break}else if((u|0)==63){c=pb()|0;break}cra(g);c=b}while(0);b=k[a+8>>2]|0;if(b|0)do{v=b;b=k[b>>2]|0;DO(v+16|0);DO(v+8|0);cra(v)}while((b|0)!=0);b=k[a>>2]|0;k[a>>2]=0;if(!b)sb(c|0);cra(b);sb(c|0)}function Zg(a){a=a|0;if((cc|0)!=2){k[dc+8>>2]=a;if((cc|0)==1)cc=3}Qc(fc+49268|0);return k[dc>>2]|0}function _g(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;o=0;l=r;r=r+64|0;h=l+48|0;f=l+36|0;m=l+12|0;g=l+24|0;j=l;cL(f,82300);y=0;oa(533,a|0,f|0);p=y;y=0;do if(p&1)e=pb()|0;else{k[a>>2]=15668;p=a+8|0;y=0;oa(456,p|0,f|0);n=y;y=0;if(n&1){e=pb()|0;Pca(a);break}A9(f);k[a>>2]=17756;k[a+20>>2]=b;k[a+24>>2]=c;n=a+28|0;y=0;oa(456,n|0,d|0);f=y;y=0;if(f&1)e=pb()|0;else{k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;f=i[82311]|0;e=f<<24>>24<0;f=e?k[20576]|0:f&255;y=0;Ra(10,h|0,(e?k[20575]|0:82300)|0,f|0,f+3|0);f=y;y=0;a:do if(f&1)o=25;else{y=0;ta(41,h|0,51767,3)|0;f=y;y=0;if(f&1)o=25;else{e=p+11|0;if((i[e>>0]|0)<0){i[k[p>>2]>>0]=0;k[a+12>>2]=0}else{i[p>>0]=0;i[e>>0]=0}y=0;oa(500,p|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}k[p>>2]=k[h>>2];k[p+4>>2]=k[h+4>>2];k[p+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;A9(h);f=k[(k[b>>2]|0)+28>>2]|0;k[g>>2]=0;k[g+4>>2]=5;i[g+8>>0]=0;y=0;k[h>>2]=k[g>>2];k[h+4>>2]=k[g+4>>2];k[h+8>>2]=k[g+8>>2];Na(f|0,m|0,b|0,h|0);g=y;y=0;do if(g&1)e=pb()|0;else{g=i[m+11>>0]|0;b=g<<24>>24<0;y=0;ta(41,p|0,(b?k[m>>2]|0:m)|0,(b?k[m+4>>2]|0:g&255)|0)|0;g=y;y=0;if(g&1){e=pb()|0;A9(m);break}A9(m);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;e=d+11|0;f=i[e>>0]|0;f=f<<24>>24<0?k[d+4>>2]|0:f&255;y=0;Ra(10,m|0,51792,1,f+1|0);g=y;y=0;if(g&1)o=29;else{y=0;ta(41,m|0,((i[e>>0]|0)<0?k[d>>2]|0:d)|0,f|0)|0;d=y;y=0;if(d&1)o=29;else{y=0;e=Ha(974,m|0,51792)|0;d=y;y=0;do if(d&1)e=pb()|0;else{k[h>>2]=k[e>>2];k[h+4>>2]=k[e+4>>2];k[h+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;d=i[h+11>>0]|0;g=d<<24>>24<0;y=0;ta(41,p|0,(g?k[h>>2]|0:h)|0,(g?k[h+4>>2]|0:d&255)|0)|0;d=y;y=0;if(d&1){e=pb()|0;A9(h);break}A9(h);A9(m);d=k[(k[c>>2]|0)+28>>2]|0;k[j>>2]=5;k[j+4>>2]=5;i[j+8>>0]=0;y=0;k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];k[h+8>>2]=k[j+8>>2];Na(d|0,m|0,c|0,h|0);j=y;y=0;do if(j&1)e=pb()|0;else{j=i[m+11>>0]|0;c=j<<24>>24<0;y=0;ta(41,p|0,(c?k[m>>2]|0:m)|0,(c?k[m+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){e=pb()|0;A9(m);break}A9(m);y=0;Ha(974,p|0,51816)|0;m=y;y=0;if(m&1){e=pb()|0;break a}else{r=l;return}}while(0);break a}while(0);A9(m)}}if((o|0)==29){e=pb()|0;A9(m)}break a}while(0)}}while(0);if((o|0)==25){e=pb()|0;A9(h)}A9(n)}k[a>>2]=15668;A9(p);Pca(a);p=e;sb(p|0)}while(0);A9(f);p=e;sb(p|0)}function $g(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;s=0;o=r;r=r+176|0;p=o+128|0;u=o+120|0;t=o+104|0;q=o+80|0;n=o+16|0;i=o+96|0;m=o+8|0;j=o+72|0;l=o;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,40420,9);y=0;b=p;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(3,u|0,t|0,a|0,d|0,p|0,f|0,c|0);h=y;y=0;if(h&1){u=pb()|0;A9(t);sb(u|0)}A9(t);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,40450,9);h=y;y=0;do if(h&1){b=pb()|0;s=23}else{y=0;b=p;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(3,t|0,q|0,a|0,d|0,p|0,f|0,c|0);h=y;y=0;if(h&1){b=pb()|0;A9(q);s=23;break}A9(q);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,40460,12);h=y;y=0;do if(h&1){b=pb()|0;s=26}else{y=0;b=p;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(3,q|0,n|0,a|0,d|0,p|0,f|0,c|0);f=y;y=0;if(f&1){b=pb()|0;A9(n);s=26;break}A9(n);k[p>>2]=0;d=p+4|0;k[d>>2]=0;k[p+8>>2]=0;k[p+16>>2]=0;k[p+20>>2]=0;c=p+16|0;k[p+12>>2]=c;b=k[q+4>>2]|0;y=0;oa(460,i|0,k[t+4>>2]|0);f=y;y=0;do if(f&1)s=27;else{k[i>>2]=6756;y=0;Na(103,b|0,i|0,p|0);f=y;y=0;if(f&1){b=pb()|0;a=N;DO(i);break}DO(i);y=0;oa(525,n|0,p|0);i=y;y=0;if(i&1)s=27;else{y=0;oa(460,j|0,k[u+4>>2]|0);i=y;y=0;do if(i&1){b=pb()|0;g=N}else{k[j>>2]=6756;y=0;b=ta(51,n|0,j|0,1)|0;i=y;y=0;if(!(i&1)){y=0;oa(460,m|0,b|0);i=y;y=0;if(!(i&1)){k[m>>2]=6756;DO(j);y=0;na(440,l|0);j=y;y=0;do if(j&1){b=pb()|0;g=N}else{h=k[m+4>>2]|0;y=0;h=Ha(k[(k[h>>2]|0)+56>>2]|0,h|0,l|0)|0;l=y;y=0;if(l&1){b=pb()|0;g=N;break}DO(m);tE(n);$y(p+12|0,k[c>>2]|0);b=k[p>>2]|0;if(!b){DO(q);DO(t);DO(u);r=o;return h|0}g=k[d>>2]|0;if((g|0)!=(b|0)){do{s=g+-16|0;k[d>>2]=s;DO(g+-8|0);DO(s);g=k[d>>2]|0}while((g|0)!=(b|0));b=k[p>>2]|0}cra(b);DO(q);DO(t);DO(u);r=o;return h|0}while(0);DO(m);break}}b=pb()|0;g=N;DO(j)}while(0);tE(n);a=g}}while(0);if((s|0)==27){b=pb()|0;a=N}$y(p+12|0,k[c>>2]|0);g=k[p>>2]|0;if(g|0){h=k[d>>2]|0;if((h|0)!=(g|0)){do{o=h+-16|0;k[d>>2]=o;DO(h+-8|0);DO(o);h=k[d>>2]|0}while((h|0)!=(g|0));g=k[p>>2]|0}cra(g)}DO(q)}while(0);DO(t)}while(0);DO(u);u=b;sb(u|0);return 0}function ah(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;s=0;o=r;r=r+176|0;p=o+128|0;u=o+120|0;t=o+104|0;q=o+80|0;n=o+16|0;i=o+96|0;m=o+8|0;j=o+72|0;l=o;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,40420,9);y=0;b=p;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(3,u|0,t|0,a|0,d|0,p|0,f|0,c|0);h=y;y=0;if(h&1){u=pb()|0;A9(t);sb(u|0)}A9(t);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,40430,9);h=y;y=0;do if(h&1){b=pb()|0;s=23}else{y=0;b=p;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(3,t|0,q|0,a|0,d|0,p|0,f|0,c|0);h=y;y=0;if(h&1){b=pb()|0;A9(q);s=23;break}A9(q);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,40440,9);h=y;y=0;do if(h&1){b=pb()|0;s=26}else{y=0;b=p;g=e;h=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(h|0));Ea(3,q|0,n|0,a|0,d|0,p|0,f|0,c|0);f=y;y=0;if(f&1){b=pb()|0;A9(n);s=26;break}A9(n);k[p>>2]=0;d=p+4|0;k[d>>2]=0;k[p+8>>2]=0;k[p+16>>2]=0;k[p+20>>2]=0;c=p+16|0;k[p+12>>2]=c;b=k[q+4>>2]|0;y=0;oa(460,i|0,k[t+4>>2]|0);f=y;y=0;do if(f&1)s=27;else{k[i>>2]=6756;y=0;Na(103,b|0,i|0,p|0);f=y;y=0;if(f&1){b=pb()|0;a=N;DO(i);break}DO(i);y=0;oa(525,n|0,p|0);i=y;y=0;if(i&1)s=27;else{y=0;oa(460,j|0,k[u+4>>2]|0);i=y;y=0;do if(i&1){b=pb()|0;g=N}else{k[j>>2]=6756;y=0;b=ta(51,n|0,j|0,0)|0;i=y;y=0;if(!(i&1)){y=0;oa(460,m|0,b|0);i=y;y=0;if(!(i&1)){k[m>>2]=6756;DO(j);y=0;na(440,l|0);j=y;y=0;do if(j&1){b=pb()|0;g=N}else{h=k[m+4>>2]|0;y=0;h=Ha(k[(k[h>>2]|0)+56>>2]|0,h|0,l|0)|0;l=y;y=0;if(l&1){b=pb()|0;g=N;break}DO(m);tE(n);$y(p+12|0,k[c>>2]|0);b=k[p>>2]|0;if(!b){DO(q);DO(t);DO(u);r=o;return h|0}g=k[d>>2]|0;if((g|0)!=(b|0)){do{s=g+-16|0;k[d>>2]=s;DO(g+-8|0);DO(s);g=k[d>>2]|0}while((g|0)!=(b|0));b=k[p>>2]|0}cra(b);DO(q);DO(t);DO(u);r=o;return h|0}while(0);DO(m);break}}b=pb()|0;g=N;DO(j)}while(0);tE(n);a=g}}while(0);if((s|0)==27){b=pb()|0;a=N}$y(p+12|0,k[c>>2]|0);g=k[p>>2]|0;if(g|0){h=k[d>>2]|0;if((h|0)!=(g|0)){do{o=h+-16|0;k[d>>2]=o;DO(h+-8|0);DO(o);h=k[d>>2]|0}while((h|0)!=(g|0));g=k[p>>2]|0}cra(g)}DO(q)}while(0);DO(t)}while(0);DO(u);u=b;sb(u|0);return 0}function bh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=0;p=r;r=r+112|0;o=p+40|0;m=p;u=p+104|0;s=p+88|0;n=p+80|0;l=p+96|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,39771,4);y=0;c=o;g=e;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));b=pa(40,m|0,a|0,d|0,o|0,f|0,0)|0;j=y;y=0;if(!(j&1)){y=0;oa(460,u|0,b|0);j=y;y=0;if(!(j&1)){k[u>>2]=16764;A9(m);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,39776,4);j=y;y=0;do if(j&1){h=pb()|0;t=15}else{y=0;c=o;g=e;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));b=sa(27,m|0,a|0,d|0,o|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(460,s|0,b|0);f=y;y=0;if(!(f&1)){k[s>>2]=7284;A9(m);b=k[u+4>>2]|0;y=0;oa(460,l|0,k[s+4>>2]|0);f=y;y=0;do if(f&1){b=cb(5824,0)|0;c=N}else{k[l>>2]=7284;y=0;Na(76,n|0,b+60|0,l|0);f=y;y=0;if(f&1){b=cb(5824,0)|0;c=N;DO(l);break}DO(l);b=n+4|0;c=k[b>>2]|0;do if(!c){y=0;b=qa(315,60)|0;f=y;y=0;if(f&1)t=18;else{c=m;g=e;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));y=0;na(422,b|0);f=y;y=0;if(f&1){m=cb(5824,0)|0;c=N;cra(b);b=m;break}else{c=b+12|0;g=m;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=12584;k[b+56>>2]=8;h=b;t=23;break}}}else{y=0;oa(k[(k[c>>2]|0)+100>>2]|0,c|0,0);t=y;y=0;if(t&1)t=18;else{h=k[b>>2]|0;if(!h){h=0;t=23}else{i[h+8>>0]=1;t=23}}}while(0);if((t|0)==18){b=cb(5824,0)|0;c=N}else if((t|0)==23){DO(n);t=h;DO(s);DO(u);r=p;return t|0}DO(n)}while(0);n=(c|0)==(ob(5824)|0);vb(b|0)|0;a:do if(n){y=0;b=qa(315,60)|0;n=y;y=0;do if(n&1)b=pb()|0;else{c=o;g=e;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);b=e;break}c=b+12|0;g=o;j=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(j|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=12584;k[b+56>>2]=8;y=0;la(3);e=y;y=0;if(e&1){h=pb()|0;break a}else{t=b;DO(s);DO(u);r=p;return t|0}}while(0);y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}else h=b}else{y=0;la(4);y=0;b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}else h=b}while(0);DO(s);break}}h=pb()|0;A9(m);t=15}while(0);DO(u);u=h;sb(u|0)}}u=pb()|0;A9(m);sb(u|0);return 0}function ch(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;D=r;r=r+128|0;C=D+88|0;u=D+48|0;v=D+36|0;x=D+24|0;w=D+12|0;z=D;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;aI(C,38413,7);y=0;b=Ha(975,a|0,C|0)|0;B=y;y=0;if(B&1){D=pb()|0;A9(C);sb(D|0)}b=k[b+4>>2]|0;if(!b)B=0;else B=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(C);if(B|0){k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,38413,7);y=0;b=C;g=e;t=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(t|0));Ia(1,x|0,a|0,d|0,C|0,0.0,100.0,f|0)|0;A=y;y=0;if(A&1){D=pb()|0;A9(x);sb(D|0)}A9(x);k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,38272,6);y=0;b=C;g=e;t=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(t|0));g=sa(24,x|0,a|0,d|0,C|0,f|0)|0;A=y;y=0;if(A&1){D=pb()|0;A9(x);sb(D|0)}A9(x);m=+p[g+64>>3]/255.0;n=+p[g+72>>3]/255.0;o=+p[g+80>>3]/255.0;b=n<o;l=b?o:n;l=m<l?l:m;h=o<n?o:n;h=h<m?h:m;q=l-h;j=l+h;s=j*.5;do if(l==h){h=0.0;j=0.0}else{j=q/(s<.5?j:2.0-l-h);if(m==l){h=(b?6.0:0.0)+(n-o)/q;break}if(n==l){h=(o-m)/q+2.0;break}if(o==l)h=(m-n)/q+4.0;else h=0.0}while(0);m=h/6.0*360.0;l=s*100.0;j=j*100.0+ +p[B+64>>3];j=j<0.0?0.0:j;j=j>100.0?100.0:j;h=+p[g+88>>3];b=C;g=e;t=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(t|0));C=Wm(m,j,l,h,0,C)|0;r=D;return C|0}d=IM(80)|0;b=u;g=e;t=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(t|0));k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(74,z|0,38272,6);e=y;y=0;if(e&1)b=pb()|0;else{y=0;b=Ha(975,a|0,z|0)|0;e=y;y=0;if(e&1)A=15;else{e=k[b+4>>2]|0;B=k[(k[e>>2]|0)+28>>2]|0;c=k[c+16>>2]|0;y=0;k[C>>2]=k[c>>2];k[C+4>>2]=k[c+4>>2];k[C+8>>2]=k[c+8>>2];Na(B|0,w|0,e|0,C|0);e=y;y=0;if(e&1)A=15;else{k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;b=w+11|0;g=i[b>>0]|0;g=g<<24>>24<0?k[w+4>>2]|0:g&255;y=0;Ra(10,x|0,38421,9,g+9|0);e=y;y=0;if(e&1)A=16;else{y=0;ta(41,x|0,((i[b>>0]|0)<0?k[w>>2]|0:w)|0,g|0)|0;e=y;y=0;if(e&1)A=16;else{y=0;b=Ha(974,x|0,48585)|0;e=y;y=0;do if(e&1)b=pb()|0;else{k[v>>2]=k[b>>2];k[v+4>>2]=k[b+4>>2];k[v+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=C;g=u;t=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(t|0));Ea(2,d|0,C|0,v|0,0,0,0,1);C=y;y=0;if(C&1){b=pb()|0;A9(v);break}A9(v);A9(x);A9(w);A9(z);C=d;r=D;return C|0}while(0);A9(x)}}if((A|0)==16){b=pb()|0;A9(x)}A9(w)}}if((A|0)==15)b=pb()|0;A9(z)}cra(d);D=b;sb(D|0);return 0}function dh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0;l=r;r=r+80|0;j=l+40|0;m=l+32|0;d=l+24|0;g=l;f=l+12|0;i=a+8|0;c=k[(k[i>>2]|0)+16>>2]|0;h=k[c>>2]|0;k[c>>2]=0;LT(d,k[b+68>>2]|0);k[d>>2]=7284;c=k[d+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(460,m|0,c|0);e=y;y=0;if(!(e&1)){k[m>>2]=7284;DO(d);y=0;e=qa(378,k[a+4>>2]|0)|0;d=y;y=0;a:do if(d&1)a=pb()|0;else{k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,46830,9);d=y;y=0;do if(d&1)a=pb()|0;else{y=0;a=Ha(990,e|0,j|0)|0;d=y;y=0;if(d&1){a=pb()|0;A9(j);break}A9(j);if(!a){e=k[m+4>>2]|0;y=0;oa(k[(k[e>>2]|0)+24>>2]|0,j|0,e|0);e=y;y=0;do if(e&1)a=pb()|0;else{y=0;ma(5,g|0,j|0,0,0,1);e=y;y=0;if(e&1){a=pb()|0;A9(j);break}A9(j);k[k[(k[i>>2]|0)+16>>2]>>2]=h;y=0;oa(456,f|0,g|0);i=y;y=0;do if(i&1)a=pb()|0;else{y=0;d=j;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));oa(454,f|0,j|0);j=y;y=0;if(j&1){a=pb()|0;A9(f);break}A9(f);A9(g);DO(m);r=l;return 0}while(0);A9(g);break a}while(0);break a}d=k[i>>2]|0;k[j>>2]=50977;k[j+4>>2]=k[b+24>>2];k[j+8>>2]=(k[b+12>>2]|0)+1;k[j+12>>2]=(k[b+16>>2]|0)+1;k[j+16>>2]=1;k[j+20>>2]=e;a=d+288|0;c=k[a>>2]|0;if(c>>>0<(k[d+292>>2]|0)>>>0){k[c>>2]=k[j>>2];k[c+4>>2]=k[j+4>>2];k[c+8>>2]=k[j+8>>2];k[c+12>>2]=k[j+12>>2];k[c+16>>2]=k[j+16>>2];k[c+20>>2]=k[j+20>>2];k[a>>2]=(k[a>>2]|0)+24}else{y=0;oa(637,d+284|0,j|0);g=y;y=0;if(g&1){a=pb()|0;break a}}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,46830,9);g=y;y=0;do if(g&1)a=pb()|0;else{y=0;a=Ha(975,e|0,j|0)|0;g=y;y=0;if(g&1){a=pb()|0;A9(j);break}a=k[a+4>>2]|0;if(!a)a=0;else a=(k[195]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)?a:0;A9(j);c=k[a+104>>2]|0;y=0;d=qa(379,c|0)|0;g=y;y=0;if(g&1){a=pb()|0;break a}k[j>>2]=20496;y=0;e=Ha(1014,1,0)|0;g=y;y=0;b:do if(g&1)a=pb()|0;else{a=k[m+4>>2]|0;y=0;a=Ha(k[(k[a>>2]|0)+68>>2]|0,a|0,j|0)|0;j=y;y=0;do if(!(j&1)){y=0;Na(126,e|0,0,a|0);j=y;y=0;if(!(j&1)){y=0;a=ta(d|0,e|0,c|0,k[(k[i>>2]|0)+296>>2]|0)|0;j=y;y=0;if(j&1)break;k[k[(k[i>>2]|0)+16>>2]>>2]=h;j=(k[i>>2]|0)+288|0;k[j>>2]=(k[j>>2]|0)+-24;y=0;na(447,e|0);j=y;y=0;do if(!(j&1)){y=0;na(447,a|0);j=y;y=0;if(j&1)break;DO(m);r=l;return 0}while(0);a=pb()|0;break b}}while(0);a=pb()|0}while(0);break a}while(0);break a}while(0)}while(0);DO(m);m=a;sb(m|0)}}m=pb()|0;DO(d);sb(m|0);return 0}function eh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;l=r;r=r+16|0;e=l;d=b+11|0;j=Eb(((i[d>>0]|0)<0?k[b>>2]|0:b)|0,1)|0;if(!j){j=co(83256,43011,23)|0;c=i[d>>0]|0;a=c<<24>>24<0;c=co(co(j,a?k[b>>2]|0:b,a?k[b+4>>2]|0:c&255)|0,48587,1)|0;b=FV(c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;k[e>>2]=b;y=0;b=Ha(977,e|0,83960)|0;a=y;y=0;if(a&1){l=pb()|0;Hea(e);sb(l|0)}y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;a=y;y=0;if(a&1){l=pb()|0;Hea(e);sb(l|0)}Hea(e);Rr(c,b)|0;Hu(c)|0;b=Va()|0;if(!b){j=0;a=0;a=j&a;r=l;return a|0}c=co(83256,b,IJ(b)|0)|0;b=FV(c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;k[e>>2]=b;y=0;b=Ha(977,e|0,83960)|0;a=y;y=0;if(a&1){l=pb()|0;Hea(e);sb(l|0)}y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;a=y;y=0;if(a&1){l=pb()|0;Hea(e);sb(l|0)}Hea(e);Rr(c,b)|0;Hu(c)|0;j=0;a=0;a=j&a;r=l;return a|0}c=Xa(j|0,42886)|0;if(!c){h=co(83256,42973,37)|0;c=i[d>>0]|0;a=c<<24>>24<0;c=co(co(h,a?k[b>>2]|0:b,a?k[b+4>>2]|0:c&255)|0,48587,1)|0;b=FV(c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;k[e>>2]=b;y=0;b=Ha(977,e|0,83960)|0;a=y;y=0;if(a&1){l=pb()|0;Hea(e);sb(l|0)}y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;a=y;y=0;if(a&1){l=pb()|0;Hea(e);sb(l|0)}Hea(e);Rr(c,b)|0;Hu(c)|0;b=Va()|0;do if(b|0){c=co(83256,b,IJ(b)|0)|0;b=FV(c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;k[e>>2]=b;y=0;b=Ha(977,e|0,83960)|0;a=y;y=0;if(a&1){l=pb()|0;Hea(e);sb(l|0)}y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;a=y;y=0;if(a&1){l=pb()|0;Hea(e);sb(l|0)}else{Hea(e);Rr(c,b)|0;Hu(c)|0;break}}while(0);Hb(j|0)|0;j=0;a=0;a=j&a;r=l;return a|0}if(!(jz(Jc[c&15]()|0)|0)){j=1;a=0;a=j&a;r=l;return a|0}b=Xa(j|0,42906)|0;if(b|0){e=Jc[b&15]()|0;if(e|0){f=a+28|0;g=a+32|0;h=a+24|0;b=k[e>>2]|0;if(b|0){d=e;do{c=k[f>>2]|0;if((c|0)==(k[g>>2]|0))pA(h,d);else{k[c>>2]=b;k[f>>2]=(k[f>>2]|0)+4}d=d+4|0;b=k[d>>2]|0}while((b|0)!=0)}}kpa(e)}b=Xa(j|0,42929)|0;if(b|0){e=Jc[b&15]()|0;if(e|0){f=a+16|0;g=a+20|0;h=a+12|0;b=k[e>>2]|0;if(b|0){d=e;do{c=k[f>>2]|0;if((c|0)==(k[g>>2]|0))oA(h,d);else{k[c>>2]=b;k[f>>2]=(k[f>>2]|0)+4}d=d+4|0;b=k[d>>2]|0}while((b|0)!=0)}}kpa(e)}b=Xa(j|0,42952)|0;if(!b){j=1;a=1;a=j&a;r=l;return a|0}e=Jc[b&15]()|0;if(e|0){f=a+4|0;g=a+8|0;b=k[e>>2]|0;if(b|0){d=e;do{c=k[f>>2]|0;if((c|0)==(k[g>>2]|0))oA(a,d);else{k[c>>2]=b;k[f>>2]=(k[f>>2]|0)+4}d=d+4|0;b=k[d>>2]|0}while((b|0)!=0)}}kpa(e);j=1;a=1;a=j&a;r=l;return a|0}function fh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;w=0;t=r;r=r+144|0;o=t;v=t+136|0;c=t+128|0;p=t+120|0;m=t+112|0;n=t+104|0;q=t+64|0;u=t+56|0;s=t+40|0;LT(c,k[b+64>>2]|0);k[c>>2]=7284;l=k[c+4>>2]|0;y=0;a=Ha(k[(k[l>>2]|0)+56>>2]|0,l|0,a|0)|0;l=y;y=0;if(!(l&1)){y=0;oa(460,v|0,a|0);l=y;y=0;if(!(l&1)){k[v>>2]=7284;DO(c);l=j[b+80>>1]|0;a=(l&65535)>255;a:do if(!((l&255)<<24>>24)){c=0;w=35}else{h=v+4|0;d=k[h>>2]|0;c=k[d+56>>2]|0;if((c|0)==6){a=1;c=0;w=35}else if((c|0)==5){c=1;w=35}else{y=0;l=qa(315,88)|0;g=y;y=0;if(g&1)w=6;else{g=o;e=d+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;na(422,l|0);g=y;y=0;do if(g&1)a=pb()|0;else{g=l+12|0;e=o;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;c=l+56|0;k[c>>2]=0;k[l>>2]=9288;d=l+60|0;k[d>>2]=9248;f=l+64|0;g=l+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(514,f|0,0);e=y;y=0;if(e&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{u=d+-8|0;k[g>>2]=u;lc[k[k[u>>2]>>2]&511](u);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c)}break}k[l>>2]=9076;k[d>>2]=9208;k[l+80>>2]=0;i[l+84>>0]=1;i[l+85>>0]=0;k[c>>2]=5;y=0;oa(460,p|0,l|0);l=y;y=0;if(l&1){w=6;break a}k[p>>2]=7172;c=p+4|0;d=(k[c>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,m|0,k[h>>2]|0);l=y;y=0;do if(l&1)a=pb()|0;else{k[m>>2]=7284;y=0;oa(e|0,d|0,m|0);l=y;y=0;if(l&1){a=pb()|0;DO(m);break}DO(m);y=0;oa(460,n|0,k[c>>2]|0);m=y;y=0;if(m&1)a=pb()|0;else{k[n>>2]=7172;y=0;oa(460,o|0,k[n+4>>2]|0);m=y;y=0;b:do if(m&1)a=pb()|0;else{k[o>>2]=7284;do if(k[h>>2]|0){y=0;na(423,v|0);m=y;y=0;if(!(m&1))break;a=pb()|0;DO(o);break b}while(0);c=o+4|0;k[h>>2]=k[c>>2];k[c>>2]=0;DO(o);DO(n);DO(p);c=1;w=35;break a}while(0);DO(n)}}while(0);DO(p);break a}while(0);cra(l)}}}while(0);if((w|0)==35){y=0;d=qa(315,88)|0;p=y;y=0;if(p&1)w=6;else{g=q;e=b+12|0;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));y=0;oa(460,u|0,k[v+4>>2]|0);p=y;y=0;if(p&1)a=pb()|0;else{k[u>>2]=7284;y=0;oa(456,s|0,b+68|0);p=y;y=0;do if(p&1)a=pb()|0;else{y=0;g=o;e=q;f=g+40|0;do{k[g>>2]=k[e>>2];g=g+4|0;e=e+4|0}while((g|0)<(f|0));ya(14,d|0,o|0,u|0,s|0,c|0,a|0);q=y;y=0;if(q&1){a=pb()|0;A9(s);break}else{A9(s);DO(u);DO(v);r=t;return d|0}}while(0);DO(u)}cra(d)}}if((w|0)==6)a=pb()|0;DO(v);w=a;sb(w|0)}}w=pb()|0;DO(c);sb(w|0);return 0}function gh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;n=0;m=r;r=r+96|0;j=m+48|0;o=m+40|0;h=m+32|0;f=m+20|0;g=m+8|0;l=m;LT(o,0);k[o>>2]=7284;y=0;c=qa(378,k[a+4>>2]|0)|0;e=y;y=0;if(e&1){n=pb()|0;DO(o);sb(n|0)}e=b+60|0;y=0;Na(132,h|0,c|0,e|0);d=y;y=0;if(d&1){n=pb()|0;DO(o);sb(n|0)}a:do if(!(i[h+4>>0]|0)){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;c=e+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[b+64>>2]|0:d&255;y=0;Ra(10,g|0,46066,21,d+21|0);p=y;y=0;if(p&1)n=18;else{y=0;ta(41,g|0,((i[c>>0]|0)<0?k[e>>2]|0:e)|0,d|0)|0;p=y;y=0;if(p&1)n=18;else{y=0;c=Ha(974,g|0,51816)|0;p=y;y=0;do if(p&1)c=pb()|0;else{k[f>>2]=k[c>>2];k[f+4>>2]=k[c+4>>2];k[f+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=j;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(454,f|0,j|0);p=y;y=0;if(p&1){c=pb()|0;A9(f);break}else{A9(f);A9(g);e=o+4|0;n=23;break a}}while(0);A9(g)}}if((n|0)==18){c=pb()|0;A9(g)}}else{y=0;oa(460,j|0,k[(k[h>>2]|0)+32>>2]|0);p=y;y=0;do if(p&1)c=pb()|0;else{k[j>>2]=7284;c=o+4|0;if(k[c>>2]|0){y=0;na(423,o|0);p=y;y=0;if(p&1){c=pb()|0;DO(j);break}}e=j+4|0;k[c>>2]=k[e>>2];k[e>>2]=0;DO(j);e=c;n=23;break a}while(0)}while(0);b:do if((n|0)==23){c=k[e>>2]|0;c:do if(!c)c=0;else{d:do if((k[251]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;oa(460,j|0,k[c+64>>2]|0);p=y;y=0;do if(p&1)c=pb()|0;else{k[j>>2]=7284;if(k[e>>2]|0){y=0;na(423,o|0);p=y;y=0;if(p&1){c=pb()|0;DO(j);break}}c=j+4|0;k[e>>2]=k[c>>2];k[c>>2]=0;DO(j);c=k[e>>2]|0;if(!c){c=0;break c}else break d}while(0);break b}while(0);if((k[35]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))i[c+72>>0]=1}while(0);i[c+54>>0]=i[b+54>>0]|0;d=a+12|0;if(i[d>>0]|0)i[c+53>>0]=0;y=0;oa(k[(k[c>>2]|0)+100>>2]|0,c|0,0);p=y;y=0;if(p&1){c=pb()|0;break}c=k[e>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;p=y;y=0;do if(p&1)n=50;else{y=0;oa(460,j|0,c|0);p=y;y=0;if(p&1)n=50;else{k[j>>2]=7284;if(k[e>>2]|0){y=0;na(423,o|0);p=y;y=0;if(p&1){c=pb()|0;DO(j);break}}p=j+4|0;k[e>>2]=k[p>>2];k[p>>2]=0;DO(j);e:do if(!(i[d>>0]|0)){c=k[h>>2]|0;d=c+28|0;y=0;oa(460,l|0,k[e>>2]|0);p=y;y=0;if(p&1)c=pb()|0;else{k[l>>2]=7284;y=0;oa(460,j|0,k[l+4>>2]|0);p=y;y=0;f:do if(p&1)c=pb()|0;else{k[j>>2]=6336;if((d|0)!=(j|0)){c=c+32|0;do if(k[c>>2]|0){y=0;na(423,d|0);p=y;y=0;if(!(p&1))break;c=pb()|0;DO(j);break f}while(0);p=j+4|0;k[c>>2]=k[p>>2];k[p>>2]=0}DO(j);DO(l);break e}while(0);DO(l)}break b}while(0);c=k[e>>2]|0;if(!c){p=0;DO(o);r=m;return p|0}i[c+8>>0]=1;p=c;DO(o);r=m;return p|0}}while(0);if((n|0)==50)c=pb()|0}while(0);p=c;DO(o);sb(p|0);return 0}function hh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0;q=0;s=r;r=r+192|0;l=s+152|0;t=s;o=s+140|0;n=s+128|0;j=s+104|0;m=s+116|0;if(!((((k[a+80>>2]|0)-(k[a+76>>2]|0)|0)/12|0|0)!=(((k[a+92>>2]|0)-(k[a+88>>2]|0)|0)/-12|0|0)?(((k[b+80>>2]|0)-(k[b+76>>2]|0)|0)/12|0|0)!=(((k[b+92>>2]|0)-(k[b+88>>2]|0)|0)/-12|0|0):0)){t=+p[a+64>>3]<+p[b+64>>3];r=s;return t|0}lx(t,b);y=0;oa(452,l|0,a|0);h=y;y=0;do if(h&1){b=pb()|0;q=24}else{y=0;Na(73,t|0,l|0,0);h=y;y=0;if(h&1){b=pb()|0;A9(l);q=24;break}A9(l);y=0;oa(453,o|0,a|0);h=y;y=0;if(h&1){f=pb()|0;break}y=0;oa(453,n|0,t|0);h=y;y=0;if(h&1)b=pb()|0;else{y=0;oa(453,l|0,a|0);h=y;y=0;a:do if(h&1){b=pb()|0;q=29}else{y=0;oa(453,j|0,t|0);h=y;y=0;if(h&1){b=pb()|0;A9(l);q=29;break}d=i[l+11>>0]|0;e=d<<24>>24<0;d=d&255;f=e?k[l+4>>2]|0:d;h=i[j+11>>0]|0;b=h<<24>>24<0;b:do if((f|0)==((b?k[j+4>>2]|0:h&255)|0)){g=k[l>>2]|0;h=e?g:l;b=b?k[j>>2]|0:j;c=(f|0)==0;if(e)if(c){A9(j);A9(l);break}else{h=(bN(h,b,f)|0)==0;A9(j);A9(l);if(h)break;else{q=19;break}}if(c){A9(j);A9(l);break}c:do if((g&255)<<24>>24==(i[b>>0]|0)){c=l;while(1){d=d+-1|0;c=c+1|0;if(!d)break;b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0))break c}A9(j);A9(l);break b}while(0);A9(j);A9(l);q=19}else{A9(j);A9(l);q=19}while(0);do if((q|0)==19){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,30376,46);j=y;y=0;if(j&1){b=pb()|0;break a}y=0;b=l;c=a+12|0;d=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(d|0));oa(454,m|0,l|0);l=y;y=0;if(l&1){b=pb()|0;A9(m);break a}else{A9(m);break}}while(0);f=+p[a+64>>3]<+p[t+64>>3];A9(n);A9(o);k[t>>2]=6e3;d=t+88|0;b=k[d>>2]|0;if(b|0){e=t+92|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{q=c+-12|0;k[e>>2]=q;A9(q);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}e=t+76|0;b=k[e>>2]|0;if(b|0){d=t+80|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{t=c+-12|0;k[d>>2]=t;A9(t);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}cra(b)}t=f;r=s;return t|0}while(0);A9(n)}A9(o);f=b}while(0);if((q|0)==24)f=b;k[t>>2]=6e3;d=t+88|0;b=k[d>>2]|0;if(b|0){e=t+92|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{s=c+-12|0;k[e>>2]=s;A9(s);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}e=t+76|0;b=k[e>>2]|0;if(!b)sb(f|0);d=t+80|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{t=c+-12|0;k[d>>2]=t;A9(t);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}cra(b);sb(f|0);return 0}function ih(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;f=0;v=r;r=r+32|0;s=v+12|0;t=v;u=b+11|0;d=i[u>>0]|0;if(d<<24>>24<0)d=k[b+4>>2]|0;else d=d&255;if(!d){k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;r=v;return}q=c+11|0;d=i[q>>0]|0;if(d<<24>>24<0)d=k[c+4>>2]|0;else d=d&255;if(!d){k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;r=v;return}if(DC(c)|0){k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;r=v;return}d=i[u>>0]|0;if(d<<24>>24<0){d=k[b+4>>2]|0;e=k[b>>2]|0}else{d=d&255;e=b}if((i[e+(d+-1)>>0]|0)!=47)EE(b,47);j=c+4|0;l=s+11|0;m=s+4|0;n=b+4|0;o=t+11|0;p=t+4|0;while(1){d=i[q>>0]|0;if(d<<24>>24<0)d=k[j>>2]|0;else d=d&255;if(d>>>0<=3)break;SG(s,c,0,3,c);h=i[l>>0]|0;if(((h<<24>>24<0?k[m>>2]|0:h&255)|0)==3){y=0;d=sa(21,s|0,0,-1,42316,3)|0;h=y;y=0;if(h&1){f=25;break}if(!d)A9(s);else f=28}else f=28;if((f|0)==28){f=0;y=0;ma(4,t|0,c|0,0,3,c|0);h=y;y=0;if(h&1){f=54;break}h=i[o>>0]|0;if(((h<<24>>24<0?k[p>>2]|0:h&255)|0)!=3){f=62;break}y=0;d=sa(21,t|0,0,-1,42320,3)|0;h=y;y=0;if(h&1){f=32;break}A9(t);A9(s);if(d|0)break}d=i[u>>0]|0;if(d<<24>>24<0)g=k[n>>2]|0;else g=d&255;h=KJ(b,47,g+-2|0)|0;if((h+2|0)==(g|0)){f=h+1|0;d=(i[u>>0]|0)<0;if(d)e=k[b>>2]|0;else e=b;if((i[e+f>>0]|0)==47)e=1;else{if(d)d=k[b>>2]|0;else d=b;e=(i[d+f>>0]|0)==92}}else e=0;if((h+3|0)==(g|0)){if((i[u>>0]|0)<0)d=k[b>>2]|0;else d=b;if(e|(i[d+(h+1)>>0]|0)==46)f=55;else f=48}else if(e)f=55;else f=48;if((f|0)==48){f=0;SG(s,c,3,-1,c);if((i[q>>0]|0)<0){i[k[c>>2]>>0]=0;k[j>>2]=0}else{i[c>>0]=0;i[q>>0]=0}y=0;oa(500,c|0,0);g=y;y=0;if(g&1){f=52;break}k[c>>2]=k[s>>2];k[c+4>>2]=k[s+4>>2];k[c+8>>2]=k[s+8>>2];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;A9(s)}else if((f|0)==55){f=0;if((h|0)==-1)break}SG(s,b,0,(h|0)==-1?-1:h+1|0,b);if((i[u>>0]|0)<0){i[k[b>>2]>>0]=0;k[n>>2]=0}else{i[b>>0]=0;i[u>>0]=0}y=0;oa(500,b|0,0);h=y;y=0;if(h&1){f=60;break}k[b>>2]=k[s>>2];k[b+4>>2]=k[s+4>>2];k[b+8>>2]=k[s+8>>2];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;A9(s)}if((f|0)==25){t=tb(0)|0;Sla(t)}else if((f|0)==32){t=tb(0)|0;Sla(t)}else if((f|0)==52){t=tb(0)|0;Sla(t)}else if((f|0)==54){v=pb()|0;A9(s);sb(v|0)}else if((f|0)==60){t=tb(0)|0;Sla(t)}else if((f|0)==62){A9(t);A9(s)}k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;u=i[u>>0]|0;t=u<<24>>24<0;u=t?k[n>>2]|0:u&255;d=i[q>>0]|0;d=d<<24>>24<0?k[j>>2]|0:d&255;y=0;Ra(10,a|0,(t?k[b>>2]|0:b)|0,u|0,d+u|0);b=y;y=0;if(b&1){v=pb()|0;A9(a);sb(v|0)}y=0;ta(41,a|0,((i[q>>0]|0)<0?k[c>>2]|0:c)|0,d|0)|0;c=y;y=0;if(c&1){v=pb()|0;A9(a);sb(v|0)}else{r=v;return}}function jh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;u=0;v=r;r=r+416|0;s=v+368|0;w=v+216|0;l=v+328|0;m=v+316|0;h=v+176|0;j=v+160|0;t=v+56|0;p=v+16|0;q=v;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;aI(w,39572,6);y=0;b=s;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));d=sa(27,w|0,a|0,d|0,s|0,f|0)|0;o=y;y=0;if(o&1){v=pb()|0;A9(w);w=v;sb(w|0)}A9(w);g=d+56|0;b=k[g>>2]|0;switch(b|0){case 8:{g=IM(80)|0;b=l;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,48606,4);w=y;y=0;do if(w&1)b=pb()|0;else{y=0;b=s;n=l;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));Ea(2,g|0,s|0,m|0,0,0,0,1);w=y;y=0;if(w&1){b=pb()|0;A9(m);break}A9(m);w=g;r=v;return w|0}while(0);cra(g);w=b;sb(w|0)}case 1:{u=10;break}default:{}}do if((u|0)==10){if(!(oc[k[(k[d>>2]|0)+88>>2]&511](d)|0)){b=k[g>>2]|0;break}g=IM(80)|0;b=h;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,58348,5);w=y;y=0;do if(w&1)b=pb()|0;else{y=0;b=s;n=h;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));Ea(2,g|0,s|0,j|0,0,0,0,1);w=y;y=0;if(w&1){b=pb()|0;A9(j);break}A9(j);w=g;r=v;return w|0}while(0);cra(g);w=b;sb(w|0)}while(0);if((b|0)==4){w=d;r=v;return w|0}b=c+16|0;c=k[b>>2]|0;g=k[c>>2]|0;k[c>>2]=5;kE(w,k[b>>2]|0);y=0;oa(450,t|0,w|0);c=y;y=0;if(c&1)b=pb()|0;else{a=t+4|0;i[t+99>>0]=0;y=0;oa(k[(k[d>>2]|0)+44>>2]|0,d|0,t|0);c=y;y=0;if(c&1)u=34;else{k[k[b>>2]>>2]=g;y=0;f=qa(315,80)|0;c=y;y=0;if(c&1)u=34;else{b=p;n=e;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));y=0;oa(451,q|0,a|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=s;n=p;o=b+40|0;do{k[b>>2]=k[n>>2];b=b+4|0;n=n+4|0}while((b|0)<(o|0));Ea(2,f|0,s|0,q|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;A9(q);break}A9(q);xE(t);k[w>>2]=6352;A9(w+52|0);b=k[w+28>>2]|0;g=b;if(b|0){a=w+32|0;d=k[a>>2]|0;if((d|0)!=(b|0))k[a>>2]=d+(~(((d+-24-g|0)>>>0)/24|0)*24|0);cra(b)}b=k[w+16>>2]|0;g=b;if(b|0){a=w+20|0;d=k[a>>2]|0;if((d|0)!=(b|0))k[a>>2]=d+(~((d+-4-g|0)>>>2)<<2);cra(b)}A9(w+4|0);w=f;r=v;return w|0}while(0);cra(f)}}if((u|0)==34)b=pb()|0;xE(t)}k[w>>2]=6352;A9(w+52|0);g=k[w+28>>2]|0;a=g;if(g|0){d=w+32|0;f=k[d>>2]|0;if((f|0)!=(g|0))k[d>>2]=f+(~(((f+-24-a|0)>>>0)/24|0)*24|0);cra(g)}g=k[w+16>>2]|0;a=g;if(g|0){d=w+20|0;f=k[d>>2]|0;if((f|0)!=(g|0))k[d>>2]=f+(~((f+-4-a|0)>>>2)<<2);cra(g)}A9(w+4|0);w=b;sb(w|0);return 0}function kh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;w=r;r=r+160|0;z=w+120|0;j=w+80|0;p=w+64|0;q=w+56|0;m=w+48|0;l=w+40|0;n=w+32|0;o=w+24|0;s=w+16|0;u=w+8|0;v=w;t=IM(100)|0;c=j;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));f=k[b+160>>2]|0;g=k[b+164>>2]|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;h=g-f|0;if(h>>>0>4294967279){y=0;na(438,p|0);x=y;y=0;if(x&1)x=30;else x=5}else if(h>>>0<11){i[p+11>>0]=h;c=p;x=7}else x=5;if((x|0)==5){d=h+16&-16;y=0;c=qa(315,d|0)|0;x=y;y=0;if(x&1)x=30;else{k[p>>2]=c;k[p+8>>2]=d|-2147483648;k[p+4>>2]=h;x=7}}do if((x|0)==7){if((f|0)!=(g|0)){e=c;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}c=c+h|0}i[c>>0]=0;y=0;oa(460,q|0,0);h=y;y=0;if(h&1){c=pb()|0;A9(p);break}k[q>>2]=6756;y=0;oa(460,m|0,0);h=y;y=0;if(h&1){c=pb()|0;d=1}else{k[m>>2]=6868;y=0;oa(460,l|0,0);h=y;y=0;if(h&1){c=pb()|0;d=1}else{k[l>>2]=7284;y=0;c=z;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));ya(20,t|0,z|0,p|0,q|0,m|0,l|0);j=y;y=0;if(j&1)d=1;else{y=0;oa(460,a|0,t|0);j=y;y=0;if(j&1)d=0;else{k[a>>2]=17116;DO(l);DO(m);DO(q);A9(p);y=0;oa(617,z|0,b|0);t=y;y=0;if(t&1)c=pb()|0;else{e=a+4|0;c=k[e>>2]|0;y=0;oa(460,s|0,k[z+4>>2]|0);t=y;y=0;a:do if(t&1)x=39;else{k[s>>2]=13080;y=0;oa(460,o|0,k[s+4>>2]|0);t=y;y=0;if(t&1)c=pb()|0;else{k[o>>2]=7284;d=c+92|0;c=c+96|0;if(!(k[c>>2]|0))x=20;else{y=0;na(423,d|0);t=y;y=0;if(!(t&1))x=20}do if((x|0)==20){k[c>>2]=k[o+4>>2];y=0;na(424,d|0);t=y;y=0;if(!(t&1)){y=0;oa(460,n|0,k[c>>2]|0);t=y;y=0;if(t&1)break;k[n>>2]=7284;DO(n);DO(o);DO(s);c=k[b+76>>2]|0;y=0;d=qa(344,c|0)|0;t=y;y=0;if(t&1){x=39;break a}t=d|0?d:c;t=(i[t>>0]|0)==123?t+1|0:0;if((t|0)==0?1:t>>>0>(k[b+80>>2]|0)>>>0){DO(z);r=w;return}c=k[e>>2]|0;y=0;Na(121,v|0,b|0,0);b=y;y=0;if(b&1){x=39;break a}d=c+64|0;c=c+68|0;if(!(k[c>>2]|0))x=27;else{y=0;na(423,d|0);b=y;y=0;if(!(b&1))x=27}do if((x|0)==27){k[c>>2]=k[v+4>>2];y=0;na(424,d|0);b=y;y=0;if(b&1)break;y=0;oa(460,u|0,k[c>>2]|0);b=y;y=0;if(b&1)break;k[u>>2]=6868;DO(u);DO(v);DO(z);r=w;return}while(0);c=pb()|0;DO(v);break a}}while(0);c=pb()|0;DO(o)}DO(s)}while(0);if((x|0)==39)c=pb()|0;DO(z)}DO(a);a=c;sb(a|0)}}c=pb()|0;DO(l)}DO(m)}DO(q);A9(p);if(!d){a=c;sb(a|0)}}else if((x|0)==30)c=pb()|0;while(0);cra(t);a=c;sb(a|0)}function lh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;h=0;t=r;r=r+64|0;s=t+48|0;j=t;f=t+44|0;e=t+40|0;p=b+72|0;g=b+76|0;if((k[b+80>>2]|0)==(k[g>>2]|0)){LT(s,a);k[s>>2]=13284;y=0;oa(118,p|0,s|0);q=y;y=0;if(q&1){t=pb()|0;DO(s);sb(t|0)}DO(s);e=b+32|0;f=j;c=a+12|0;d=f+40|0;do{k[f>>2]=k[c>>2];f=f+4|0;c=c+4|0}while((f|0)<(d|0));SQ(e,j+20|0);r=t;return b|0}q=(Fc[k[(k[p>>2]|0)+16>>2]&2047](p,0)|0)+4|0;q=k[q>>2]|0;o=a+84|0;m=o+11|0;l=i[m>>0]|0;n=a+88|0;do if(((l<<24>>24<0?k[n>>2]|0:l&255)|0)==1){y=0;c=sa(21,o|0,0,-1,48696,1)|0;l=y;y=0;if(l&1){l=tb(0)|0;Sla(l)}d=(q|0)==0;if(c|0){if(!d)break;aca()}if(d)aca();c=k[(k[(k[q>>2]|0)+-4>>2]|0)+4>>2]|0;if((c|0)==30350){d=Fc[k[(k[p>>2]|0)+16>>2]&2047](p,0)|0;LT(s,Fc[k[(k[a>>2]|0)+164>>2]&2047](a,q)|0);k[s>>2]=13284;if((d|0)!=(s|0)){c=d+4|0;if(k[c>>2]|0){y=0;na(423,d|0);a=y;y=0;if(a&1){t=pb()|0;DO(s);sb(t|0)}}a=s+4|0;k[c>>2]=k[a>>2];k[a>>2]=0}DO(s);r=t;return b|0}if(!((c|0)==33531|(c|0)==33555)){r=t;return b|0}if(!(i[a+100>>0]|0)){r=t;return b|0}if(i[q+100>>0]|0){r=t;return b|0}c=a+72|0;q=i[c+11>>0]|0;if(((q<<24>>24<0?k[a+76>>2]|0:q&255)|0)==1){y=0;c=sa(21,c|0,0,-1,48696,1)|0;q=y;y=0;if(q&1){q=tb(0)|0;Sla(q)}if(!c){r=t;return b|0}}k[f>>2]=k[b+76>>2];LT(j,a);k[j>>2]=13284;y=0;k[s>>2]=k[f>>2];ta(43,g|0,s|0,j|0)|0;a=y;y=0;if(a&1){t=pb()|0;DO(j);sb(t|0)}else{DO(j);r=t;return b|0}}else if(!q)aca();while(0);if((k[(k[(k[q>>2]|0)+-4>>2]|0)+4>>2]|0)!=30350){q=i[m>>0]|0;if(((q<<24>>24<0?k[n>>2]|0:q&255)|0)==1){y=0;c=sa(21,o|0,0,-1,48696,1)|0;q=y;y=0;if(q&1){q=tb(0)|0;Sla(q)}if(!c){r=t;return b|0}}k[e>>2]=k[b+76>>2];LT(j,a);k[j>>2]=13284;y=0;k[s>>2]=k[e>>2];ta(43,g|0,s|0,j|0)|0;a=y;y=0;if(a&1){t=pb()|0;DO(j);sb(t|0)}else{DO(j);r=t;return b|0}}c=q+84|0;e=c+11|0;l=i[e>>0]|0;f=q+88|0;do if(((l<<24>>24<0?k[f>>2]|0:l&255)|0)==1){y=0;d=sa(21,c|0,0,-1,48696,1)|0;l=y;y=0;if(l&1){o=tb(0)|0;Sla(o)}else if(!d)break;else{h=36;break}}else h=36;while(0);a:do if((h|0)==36){d=q+72|0;l=i[d+11>>0]|0;do if(((l<<24>>24<0?k[q+76>>2]|0:l&255)|0)==1){y=0;d=sa(21,d|0,0,-1,48696,1)|0;l=y;y=0;if(l&1){l=tb(0)|0;Sla(l)}else if(!d)break a;else break}while(0);e=i[e>>0]|0;l=e<<24>>24<0;e=e&255;j=l?k[f>>2]|0:e;m=i[m>>0]|0;d=m<<24>>24<0;if((j|0)!=((d?k[n>>2]|0:m&255)|0)){b=0;r=t;return b|0}g=k[c>>2]|0;h=l?g:c;d=d?k[o>>2]|0:o;f=(j|0)==0;if(l){if(f)break;if(!(bN(h,d,j)|0))break;else c=0;r=t;return c|0}if(!f){if((g&255)<<24>>24!=(i[d>>0]|0)){b=0;r=t;return b|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}r=t;return c|0}}while(0);d=Fc[k[(k[p>>2]|0)+16>>2]&2047](p,0)|0;LT(s,Fc[k[(k[a>>2]|0)+164>>2]&2047](a,q)|0);k[s>>2]=13284;if((d|0)!=(s|0)){c=d+4|0;if(k[c>>2]|0){y=0;na(423,d|0);a=y;y=0;if(a&1){t=pb()|0;DO(s);sb(t|0)}}a=s+4|0;k[c>>2]=k[a>>2];k[a>>2]=0}DO(s);r=t;return b|0}function mh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;t=0;x=r;r=r+16|0;z=x;w=RY(g,83992)|0;u=RY(g,84e3)|0;mc[k[(k[u>>2]|0)+20>>2]&1023](z,u);k[f>>2]=d;g=i[a>>0]|0;a:do switch(g<<24>>24){case 43:case 45:{y=0;g=Ha(k[(k[w>>2]|0)+44>>2]|0,w|0,g|0)|0;v=y;y=0;if(v&1){g=pb()|0;break a}else{l=k[f>>2]|0;k[f>>2]=l+4;k[l>>2]=g;l=a+1|0;t=5;break a}}default:{l=a;t=5}}while(0);b:do if((t|0)==5){v=c;c:do if((v-l|0)>1)if((i[l>>0]|0)==48){h=l+1|0;switch(i[h>>0]|0){case 88:case 120:break;default:{h=l;t=20;break c}}y=0;g=Ha(k[(k[w>>2]|0)+44>>2]|0,w|0,48)|0;s=y;y=0;if(!(s&1)){s=k[f>>2]|0;k[f>>2]=s+4;k[s>>2]=g;l=l+2|0;y=0;g=Ha(k[(k[w>>2]|0)+44>>2]|0,w|0,i[h>>0]|0)|0;s=y;y=0;if(!(s&1)){h=k[f>>2]|0;k[f>>2]=h+4;k[h>>2]=g;h=l;while(1){if(h>>>0>=c>>>0){t=25;break c}g=i[h>>0]|0;y=0;j=La(3)|0;t=y;y=0;if(t&1)break;y=0;g=Ha(1031,g<<24>>24|0,j|0)|0;t=y;y=0;if(t&1)break;if(!g){t=25;break c}h=h+1|0}g=pb()|0;break b}}}else{h=l;t=20}else{h=l;t=20}while(0);d:do if((t|0)==20){while(1){if(h>>>0>=c>>>0){t=25;break d}g=i[h>>0]|0;y=0;j=La(3)|0;t=y;y=0;if(t&1)break;y=0;g=Ha(1032,g<<24>>24|0,j|0)|0;t=y;y=0;if(t&1)break;if(!g){t=25;break d}h=h+1|0;t=20}g=pb()|0;break b}while(0);e:do if((t|0)==25){q=z+11|0;p=i[q>>0]|0;s=z+4|0;f:do if(!((p<<24>>24<0?k[s>>2]|0:p&255)|0)){y=0;Ma(k[(k[w>>2]|0)+48>>2]|0,w|0,l|0,h|0,k[f>>2]|0)|0;s=y;y=0;if(s&1)break e;g=(k[f>>2]|0)+(h-l<<2)|0;k[f>>2]=g;j=w}else{g:do if((l|0)!=(h|0)){g=h;j=l;while(1){g=g+-1|0;if(j>>>0>=g>>>0)break g;p=i[j>>0]|0;i[j>>0]=i[g>>0]|0;i[g>>0]=p;j=j+1|0}}while(0);y=0;p=qa(k[(k[u>>2]|0)+16>>2]|0,u|0)|0;o=y;y=0;if(o&1)break e;o=l;j=0;m=0;while(1){if(o>>>0>=h>>>0)break;g=i[q>>0]|0;n=g<<24>>24<0;A=i[(n?k[z>>2]|0:z)+j>>0]|0;if(A<<24>>24>0&(m|0)==(A<<24>>24|0)){m=k[f>>2]|0;k[f>>2]=m+4;k[m>>2]=p;j=(j>>>0<((n?k[s>>2]|0:g&255)+-1|0)>>>0&1)+j|0;m=0}y=0;g=Ha(k[(k[w>>2]|0)+44>>2]|0,w|0,i[o>>0]|0)|0;A=y;y=0;if(A&1){t=40;break}A=k[f>>2]|0;k[f>>2]=A+4;k[A>>2]=g;o=o+1|0;m=m+1|0}if((t|0)==40){g=pb()|0;break b}g=d+(l-a<<2)|0;l=k[f>>2]|0;if((g|0)==(l|0))j=w;else{j=l;while(1){j=j+-4|0;if(g>>>0>=j>>>0){j=w;g=l;break f}A=k[g>>2]|0;k[g>>2]=k[j>>2];k[j>>2]=A;g=g+4|0}}}while(0);while(1){if(h>>>0>=c>>>0)break;g=i[h>>0]|0;if(g<<24>>24==46){t=45;break}y=0;g=Ha(k[(k[j>>2]|0)+44>>2]|0,w|0,g|0)|0;A=y;y=0;if(A&1){t=15;break}s=k[f>>2]|0;A=s+4|0;k[f>>2]=A;k[s>>2]=g;h=h+1|0;g=A}if((t|0)==15){g=pb()|0;break b}if((t|0)==45){y=0;g=qa(k[(k[u>>2]|0)+12>>2]|0,u|0)|0;A=y;y=0;if(A&1)break;u=k[f>>2]|0;A=u+4|0;k[f>>2]=A;k[u>>2]=g;h=h+1|0;g=A}y=0;Ma(k[(k[w>>2]|0)+48>>2]|0,w|0,h|0,c|0,g|0)|0;A=y;y=0;if(!(A&1)){A=(k[f>>2]|0)+(v-h<<2)|0;k[f>>2]=A;k[e>>2]=(b|0)==(c|0)?A:d+(b-a<<2)|0;A9(z);r=x;return}}while(0);g=pb()|0}while(0);A9(z);sb(g|0)}function nh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=0;t=r;r=r+128|0;j=t;p=t+56|0;l=t+88|0;v=t+72|0;o=t+64|0;n=t+40|0;s=t+48|0;c=k[a+52>>2]|0;if((c|0)==(k[a+48>>2]|0))c=0;else c=k[c+-4>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,47189,11);y=0;c=Ha(990,c|0,j|0)|0;q=y;y=0;if(q&1){v=pb()|0;A9(j);sb(v|0)}A9(j);if(!c){v=0;r=t;return v|0}h=a+64|0;do if(i[(k[(k[h>>2]|0)+-4>>2]|0)+84>>0]|0){LT(j,0);k[j>>2]=6756;c=a+88|0;d=k[c>>2]|0;if(d>>>0<(k[a+92>>2]|0)>>>0){y=0;oa(460,d|0,k[j+4>>2]|0);q=y;y=0;if(!(q&1)){k[d>>2]=6756;k[c>>2]=(k[c>>2]|0)+8;u=11}}else{y=0;oa(646,a+84|0,j|0);q=y;y=0;if(!(q&1))u=11}if((u|0)==11){DO(j);break}v=pb()|0;DO(j);sb(v|0)}while(0);q=IM(92)|0;c=b+12|0;d=l;b=c;e=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(e|0));k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,51064,8);m=y;y=0;a:do if(m&1)c=pb()|0;else{y=0;m=qa(315,84)|0;g=y;y=0;b:do if(g&1)u=35;else{d=j;b=c;e=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(e|0));y=0;na(422,m|0);g=y;y=0;do if(g&1)c=pb()|0;else{d=m+12|0;b=j;e=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(e|0));k[m>>2]=6212;i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m+56>>2]=0;c=m+60|0;k[c>>2]=10136;f=m+64|0;g=m+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(550,f|0,0);e=y;y=0;if(e&1){c=pb()|0;e=N;d=k[f>>2]|0;if(d|0){b=k[g>>2]|0;if((b|0)!=(d|0)){do{t=b+-8|0;k[g>>2]=t;lc[k[k[t>>2]>>2]&511](t);b=k[g>>2]|0}while((b|0)!=(d|0));d=k[f>>2]|0}cra(d)}break}k[m>>2]=9952;k[c>>2]=10080;i[m+80>>0]=0;i[m+81>>0]=0;i[m+82>>0]=0;y=0;oa(460,o|0,m|0);u=y;y=0;if(u&1){u=35;break b}k[o>>2]=8964;y=0;oa(460,n|0,0);u=y;y=0;if(u&1){c=pb()|0;d=1}else{k[n>>2]=6868;y=0;d=j;b=l;e=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(e|0));ma(16,q|0,j|0,v|0,o|0,n|0);u=y;y=0;if(u&1)d=1;else{y=0;oa(460,p|0,q|0);u=y;y=0;if(u&1)d=0;else{k[p>>2]=17164;DO(n);DO(o);A9(v);c=k[p+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+52>>2]|0,c|0,a|0)|0;v=y;y=0;do if(!(v&1)){if(!c)c=0;else c=(k[105]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,s|0,c|0);v=y;y=0;if(v&1)break;k[s>>2]=18128;if(i[(k[(k[h>>2]|0)+-4>>2]|0)+84>>0]|0){c=a+88|0;b=k[c>>2]|0;d=b+-8|0;do{v=b+-8|0;k[c>>2]=v;lc[k[k[v>>2]>>2]&511](v);b=k[c>>2]|0}while((b|0)!=(d|0))}c=k[s+4>>2]|0;if(!c)c=0;else i[c+8>>0]=1;DO(s);DO(p);v=c;r=t;return v|0}while(0);v=pb()|0;DO(p);sb(v|0)}}c=pb()|0;DO(n)}DO(o);A9(v);if(d)break a;sb(c|0)}while(0);cra(m)}while(0);if((u|0)==35)c=pb()|0;A9(v)}while(0);cra(q);v=c;sb(v|0);return 0}function oh(a){a=a|0;var b=0,c=0,d=0,e=0;d=a+11|0;c=i[d>>0]|0;e=a+4|0;b=k[e>>2]|0;do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,42824,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=5;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,42827,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=4;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,42830,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=2;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,42833,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=3;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,42836,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=1;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,42839,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=0;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==3){y=0;b=sa(21,a|0,0,-1,42842,3)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=256;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==4){y=0;b=sa(21,a|0,0,-1,42846,4)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=257;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==3){y=0;b=sa(21,a|0,0,-1,42851,3)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=258;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==4){y=0;b=sa(21,a|0,0,-1,42855,4)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=259;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==1){y=0;b=sa(21,a|0,0,-1,42860,1)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=512;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,42862,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=513;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==2){y=0;b=sa(21,a|0,0,-1,42865,2)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=768;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==3){y=0;b=sa(21,a|0,0,-1,42868,3)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=769;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==3){y=0;b=sa(21,a|0,0,-1,42872,3)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=1024;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==4){y=0;b=sa(21,a|0,0,-1,42876,4)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}if(!b){a=1025;return a|0}else{c=i[d>>0]|0;b=k[e>>2]|0;break}}while(0);if(((c<<24>>24<0?b:c&255)|0)!=4){a=1280;return a|0}y=0;b=sa(21,a|0,0,-1,42881,4)|0;a=y;y=0;if(a&1){a=tb(0)|0;Sla(a)}else return ((b|0)==0?1026:1280)|0;return 0}function ph(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;t=0;u=r;r=r+176|0;h=u+128|0;w=u+112|0;v=u+64|0;j=u+72|0;m=u+48|0;n=u+40|0;l=u+32|0;o=u+24|0;p=u+16|0;q=u+8|0;s=u;zr(h,b);d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(h);t=5}else if(g>>>0<11){i[h+11>>0]=g;c=h}else t=5;if((t|0)==5){e=g+16&-16;c=IM(e)|0;k[h>>2]=c;k[h+8>>2]=e|-2147483648;k[h+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;oa(554,w|0,h|0);g=y;y=0;if(g&1){w=pb()|0;A9(h);sb(w|0)}A9(h);y=0;f=qa(315,92)|0;g=y;y=0;a:do if(g&1)c=pb()|0;else{c=j;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,m|0,w|0);g=y;y=0;do if(g&1)c=pb()|0;else{y=0;oa(460,n|0,0);g=y;y=0;if(g&1){c=pb()|0;A9(m);break}k[n>>2]=8964;y=0;oa(460,l|0,0);g=y;y=0;if(g&1){c=pb()|0;d=1}else{k[l>>2]=6868;y=0;c=h;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));ma(16,f|0,h|0,m|0,n|0,l|0);j=y;y=0;if(j&1)d=1;else{y=0;oa(460,v|0,f|0);j=y;y=0;if(j&1)d=0;else{k[v>>2]=17164;DO(l);DO(n);A9(m);e=v+4|0;c=k[e>>2]|0;y=0;oa(591,p|0,b|0);n=y;y=0;b:do if(n&1)t=37;else{d=c+84|0;c=c+88|0;if(!(k[c>>2]|0))t=19;else{y=0;na(423,d|0);n=y;y=0;if(!(n&1))t=19}if((t|0)==19){k[c>>2]=k[p+4>>2];y=0;na(424,d|0);n=y;y=0;if(!(n&1)){y=0;oa(460,o|0,k[c>>2]|0);n=y;y=0;if(!(n&1)){k[o>>2]=8964;DO(o);DO(p);c=k[b+76>>2]|0;y=0;d=qa(344,c|0)|0;p=y;y=0;if(p&1){t=37;break}p=d|0?d:c;p=(i[p>>0]|0)==123?p+1|0:0;c:do if(!((p|0)==0?1:p>>>0>(k[b+80>>2]|0)>>>0)){c=k[e>>2]|0;y=0;Na(121,s|0,b|0,0);b=y;y=0;if(b&1){t=37;break b}d=c+64|0;c=c+68|0;if(!(k[c>>2]|0))t=26;else{y=0;na(423,d|0);b=y;y=0;if(!(b&1))t=26}do if((t|0)==26){k[c>>2]=k[s+4>>2];y=0;na(424,d|0);b=y;y=0;if(b&1)break;y=0;oa(460,q|0,k[c>>2]|0);b=y;y=0;if(b&1)break;k[q>>2]=6868;DO(q);DO(s);break c}while(0);c=pb()|0;DO(s);break b}while(0);c=k[e>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(460,a|0,c|0);t=y;y=0;if(t&1){t=37;break}k[a>>2]=17164;DO(v);A9(w);r=u;return}}}c=pb()|0;DO(p)}while(0);if((t|0)==37)c=pb()|0;DO(v);break a}}c=pb()|0;DO(l)}DO(n);A9(m);if(!d)break a}while(0);cra(f)}while(0);A9(w);w=c;sb(w|0)}function qh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;s=0;w=r;r=r+16|0;x=w;v=RY(g,83960)|0;u=RY(g,83976)|0;mc[k[(k[u>>2]|0)+20>>2]&1023](x,u);k[f>>2]=d;g=i[a>>0]|0;a:do switch(g<<24>>24){case 43:case 45:{y=0;g=Ha(k[(k[v>>2]|0)+28>>2]|0,v|0,g|0)|0;t=y;y=0;if(t&1){g=pb()|0;break a}else{l=k[f>>2]|0;k[f>>2]=l+1;i[l>>0]=g;l=a+1|0;s=5;break a}}default:{l=a;s=5}}while(0);b:do if((s|0)==5){t=c;c:do if((t-l|0)>1)if((i[l>>0]|0)==48){h=l+1|0;switch(i[h>>0]|0){case 88:case 120:break;default:{g=l;s=20;break c}}y=0;g=Ha(k[(k[v>>2]|0)+28>>2]|0,v|0,48)|0;q=y;y=0;if(!(q&1)){q=k[f>>2]|0;k[f>>2]=q+1;i[q>>0]=g;l=l+2|0;y=0;g=Ha(k[(k[v>>2]|0)+28>>2]|0,v|0,i[h>>0]|0)|0;q=y;y=0;if(!(q&1)){s=k[f>>2]|0;k[f>>2]=s+1;i[s>>0]=g;g=l;while(1){if(g>>>0>=c>>>0){s=25;break c}h=i[g>>0]|0;y=0;j=La(3)|0;s=y;y=0;if(s&1)break;y=0;h=Ha(1031,h<<24>>24|0,j|0)|0;s=y;y=0;if(s&1)break;if(!h){s=25;break c}g=g+1|0}g=pb()|0;break b}}}else{g=l;s=20}else{g=l;s=20}while(0);d:do if((s|0)==20){while(1){if(g>>>0>=c>>>0){s=25;break d}h=i[g>>0]|0;y=0;j=La(3)|0;s=y;y=0;if(s&1)break;y=0;h=Ha(1032,h<<24>>24|0,j|0)|0;s=y;y=0;if(s&1)break;if(!h){s=25;break d}g=g+1|0;s=20}g=pb()|0;break b}while(0);e:do if((s|0)==25){p=x+11|0;o=i[p>>0]|0;q=x+4|0;f:do if(!((o<<24>>24<0?k[q>>2]|0:o&255)|0)){y=0;Ma(k[(k[v>>2]|0)+32>>2]|0,v|0,l|0,g|0,k[f>>2]|0)|0;q=y;y=0;if(q&1)break e;k[f>>2]=(k[f>>2]|0)+(g-l);j=v}else{g:do if((l|0)!=(g|0)){h=g;j=l;while(1){h=h+-1|0;if(j>>>0>=h>>>0)break g;o=i[j>>0]|0;i[j>>0]=i[h>>0]|0;i[h>>0]=o;j=j+1|0}}while(0);y=0;o=qa(k[(k[u>>2]|0)+16>>2]|0,u|0)|0;n=y;y=0;if(n&1)break e;n=l;h=0;j=0;while(1){if(n>>>0>=g>>>0)break;m=i[((i[p>>0]|0)<0?k[x>>2]|0:x)+h>>0]|0;if(m<<24>>24>0&(j|0)==(m<<24>>24|0)){j=k[f>>2]|0;k[f>>2]=j+1;i[j>>0]=o;j=i[p>>0]|0;h=(h>>>0<((j<<24>>24<0?k[q>>2]|0:j&255)+-1|0)>>>0&1)+h|0;j=0}y=0;m=Ha(k[(k[v>>2]|0)+28>>2]|0,v|0,i[n>>0]|0)|0;z=y;y=0;if(z&1){s=40;break}z=k[f>>2]|0;k[f>>2]=z+1;i[z>>0]=m;n=n+1|0;j=j+1|0}if((s|0)==40){g=pb()|0;break b}j=d+(l-a)|0;h=k[f>>2]|0;if((j|0)==(h|0))j=v;else while(1){h=h+-1|0;if(j>>>0>=h>>>0){j=v;break f}z=i[j>>0]|0;i[j>>0]=i[h>>0]|0;i[h>>0]=z;j=j+1|0}}while(0);while(1){if(g>>>0>=c>>>0)break;h=i[g>>0]|0;if(h<<24>>24==46){s=45;break}y=0;h=Ha(k[(k[j>>2]|0)+28>>2]|0,v|0,h|0)|0;z=y;y=0;if(z&1){s=15;break}z=k[f>>2]|0;k[f>>2]=z+1;i[z>>0]=h;g=g+1|0}if((s|0)==15){g=pb()|0;break b}if((s|0)==45){y=0;h=qa(k[(k[u>>2]|0)+12>>2]|0,u|0)|0;z=y;y=0;if(z&1)break;z=k[f>>2]|0;k[f>>2]=z+1;i[z>>0]=h;g=g+1|0}y=0;Ma(k[(k[v>>2]|0)+32>>2]|0,v|0,g|0,c|0,k[f>>2]|0)|0;z=y;y=0;if(!(z&1)){z=(k[f>>2]|0)+(t-g)|0;k[f>>2]=z;k[e>>2]=(b|0)==(c|0)?z:d+(b-a)|0;A9(x);r=w;return}}while(0);g=pb()|0}while(0);A9(x);sb(g|0)}function rh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;o=0;p=r;r=r+80|0;m=p;s=p+64|0;q=p+56|0;j=p+48|0;n=p+40|0;l=IM(84)|0;c=m;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,l|0);h=y;y=0;do if(h&1)c=pb()|0;else{c=l+12|0;d=m;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;c=l+56|0;k[l>>2]=10968;k[c>>2]=4;d=l+60|0;k[d>>2]=9248;g=l+64|0;h=l+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{s=e+-8|0;k[h>>2]=s;lc[k[k[s>>2]>>2]&511](s);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[l>>2]=10796;k[d>>2]=10928;k[l+80>>2]=0;k[c>>2]=4;LT(s,l);k[s>>2]=13080;c=b+76|0;if(!(i[k[c>>2]>>0]|0)){y=0;oa(460,a|0,0);q=y;y=0;if(q&1)o=14;else{k[a>>2]=13080;DO(s);r=p;return}}else{y=0;ta(93,b|0,0,0)|0;l=y;y=0;if(l&1)o=14;else{y=0;oa(620,q|0,b|0);l=y;y=0;if(l&1)o=14;else{g=q+4|0;d=k[g>>2]|0;do if(!d){y=0;oa(460,a|0,0);o=y;y=0;if(o&1)o=21;else{k[a>>2]=13080;o=50}}else{h=s+4|0;e=(k[h>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(460,j|0,d|0);l=y;y=0;if(l&1)o=21;else{k[j>>2]=7284;y=0;oa(f|0,e|0,j|0);l=y;y=0;if(l&1){c=pb()|0;DO(j);break}DO(j);if(!(i[k[c>>2]>>0]|0)){o=k[h>>2]|0;y=0;na(k[(k[o>>2]|0)+116>>2]|0,o|0);o=y;y=0;if(o&1){o=21;break}c=k[h>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(460,a|0,c|0);o=y;y=0;if(o&1){o=21;break}k[a>>2]=13080;o=50;break}c=m+4|0;while(1){y=0;oa(620,m|0,b|0);o=y;y=0;if(o&1){o=40;break}if(k[g>>2]|0){y=0;na(423,q|0);o=y;y=0;if(o&1){o=41;break}}o=k[c>>2]|0;k[g>>2]=o;k[c>>2]=0;DO(m);if(!o){o=44;break}d=(k[h>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,n|0,k[g>>2]|0);o=y;y=0;if(o&1){o=20;break}k[n>>2]=7284;y=0;oa(e|0,d|0,n|0);o=y;y=0;if(o&1){o=43;break}DO(n)}if((o|0)==20){c=pb()|0;o=22;break}else if((o|0)==40)c=pb()|0;else if((o|0)==41){c=pb()|0;DO(m)}else if((o|0)==43){c=pb()|0;DO(n);break}else if((o|0)==44){y=0;ta(63,b|0,1,0)|0;o=y;y=0;if(o&1){o=21;break}o=k[h>>2]|0;y=0;na(k[(k[o>>2]|0)+116>>2]|0,o|0);o=y;y=0;if(o&1){o=21;break}c=k[h>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(460,a|0,c|0);o=y;y=0;if(o&1){o=21;break}k[a>>2]=13080;o=50;break}}}while(0);if((o|0)==21){c=pb()|0;o=22}else if((o|0)==50){DO(q);DO(s);r=p;return}DO(q)}}}if((o|0)==14)c=pb()|0;DO(s);s=c;sb(s|0)}while(0);cra(l);s=c;sb(s|0)}function sh(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;w=0;x=r;r=r+16|0;s=x+12|0;q=x+8|0;u=x+4|0;v=x;i=FV(d)|0;k[s>>2]=i;y=0;t=Ha(977,s|0,83992)|0;p=y;y=0;if(p&1){x=pb()|0;RQ(i)|0;sb(x|0)}RQ(i)|0;k[e>>2]=0;i=0;a:while(1){p=(g|0)!=(h|0);j=i;while(1){i=k[b>>2]|0;if(!(p&(j|0)==0))break a;l=i;if(!i){i=0;n=1;o=l}else{j=k[i+12>>2]|0;if((j|0)==(k[i+16>>2]|0))j=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else j=k[j>>2]|0;if((j|0)==-1){k[b>>2]=0;i=0;n=1;o=0}else{n=0;o=l}}m=k[c>>2]|0;j=m;do if(!m)w=17;else{l=k[m+12>>2]|0;if((l|0)==(k[m+16>>2]|0))l=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0;else l=k[l>>2]|0;if((l|0)==-1){k[c>>2]=0;j=0;w=17;break}else if(n)break;else{w=19;break a}}while(0);if((w|0)==17){w=0;if(n){w=19;break a}else m=0}if((rc[k[(k[t>>2]|0)+52>>2]&255](t,k[g>>2]|0,0)|0)<<24>>24==37){w=22;break}if(rc[k[(k[t>>2]|0)+12>>2]&255](t,8192,k[g>>2]|0)|0){w=30;break}l=i+12|0;j=k[l>>2]|0;m=i+16|0;if((j|0)==(k[m>>2]|0))j=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else j=k[j>>2]|0;o=Fc[k[(k[t>>2]|0)+28>>2]&2047](t,j)|0;if((o|0)==(Fc[k[(k[t>>2]|0)+28>>2]&2047](t,k[g>>2]|0)|0)){w=58;break}k[e>>2]=4;j=4}b:do if((w|0)==22){w=0;n=g+4|0;if((n|0)==(h|0)){w=23;break a}l=rc[k[(k[t>>2]|0)+52>>2]&255](t,k[n>>2]|0,0)|0;switch(l<<24>>24){case 48:case 69:{g=g+8|0;if((g|0)==(h|0)){w=28;break a}m=l;i=rc[k[(k[t>>2]|0)+52>>2]&255](t,k[g>>2]|0,0)|0;g=n;break}default:{m=0;i=l}}p=k[(k[a>>2]|0)+36>>2]|0;k[u>>2]=o;k[v>>2]=j;k[q>>2]=k[u>>2];k[s>>2]=k[v>>2];p=Nc[p&15](a,q,s,d,e,f,i,m)|0;k[b>>2]=p;g=g+8|0}else if((w|0)==30){while(1){w=0;g=g+4|0;if((g|0)==(h|0)){g=h;break}if(rc[k[(k[t>>2]|0)+12>>2]&255](t,8192,k[g>>2]|0)|0)w=30;else break}j=m;n=m;while(1){if(!i){m=1;i=0}else{l=k[i+12>>2]|0;if((l|0)==(k[i+16>>2]|0))l=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else l=k[l>>2]|0;if((l|0)==-1){k[b>>2]=0;m=1;i=0}else m=0}do if(!n)w=45;else{l=k[n+12>>2]|0;if((l|0)==(k[n+16>>2]|0))l=oc[k[(k[n>>2]|0)+36>>2]&511](n)|0;else l=k[l>>2]|0;if((l|0)==-1){k[c>>2]=0;j=0;w=45;break}else if(m^(j|0)==0){o=j;n=j;break}else break b}while(0);if((w|0)==45){w=0;if(m)break b;else{o=j;n=0}}l=i+12|0;j=k[l>>2]|0;m=i+16|0;if((j|0)==(k[m>>2]|0))j=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else j=k[j>>2]|0;if(!(rc[k[(k[t>>2]|0)+12>>2]&255](t,8192,j)|0))break b;j=k[l>>2]|0;if((j|0)==(k[m>>2]|0)){oc[k[(k[i>>2]|0)+40>>2]&511](i)|0;j=o;continue}else{k[l>>2]=j+4;j=o;continue}}}else if((w|0)==58){w=0;j=k[l>>2]|0;if((j|0)==(k[m>>2]|0))oc[k[(k[i>>2]|0)+40>>2]&511](i)|0;else k[l>>2]=j+4;g=g+4|0}while(0);i=k[e>>2]|0}if((w|0)==19)k[e>>2]=4;else if((w|0)==23)k[e>>2]=4;else if((w|0)==28)k[e>>2]=4;if(!i){i=0;l=1}else{g=k[i+12>>2]|0;if((g|0)==(k[i+16>>2]|0))g=oc[k[(k[i>>2]|0)+36>>2]&511](i)|0;else g=k[g>>2]|0;if((g|0)==-1){k[b>>2]=0;i=0;l=1}else l=0}g=k[c>>2]|0;do if(!g)w=76;else{j=k[g+12>>2]|0;if((j|0)==(k[g+16>>2]|0))g=oc[k[(k[g>>2]|0)+36>>2]&511](g)|0;else g=k[j>>2]|0;if((g|0)==-1){k[c>>2]=0;w=76;break}else if(l)break;else{w=78;break}}while(0);if((w|0)==76)if(l)w=78;if((w|0)==78)k[e>>2]=k[e>>2]|2;r=x;return i|0}function th(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=0;m=r;r=r+64|0;j=m;h=m+52|0;l=m+40|0;cL(h,82288);g=j;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;oa(533,a|0,h|0);p=y;y=0;if(p&1)b=pb()|0;else{k[a>>2]=15644;o=a+8|0;y=0;oa(456,o|0,h|0);p=y;y=0;do if(p&1)b=pb()|0;else{p=a+20|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(74,p|0,51649,5);g=y;y=0;if(g&1){b=pb()|0;A9(o);break}g=a+32|0;b=j;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));k[a+72>>2]=0;A9(h);k[a>>2]=16828;h=a+76|0;y=0;oa(456,h|0,c|0);g=y;y=0;if(g&1)b=pb()|0;else{g=a+88|0;y=0;oa(456,g|0,d|0);f=y;y=0;if(f&1)b=pb()|0;else{f=a+100|0;y=0;oa(456,f|0,e|0);b=y;y=0;if(b&1)b=pb()|0;else{k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;b=i[e+11>>0]|0;q=b<<24>>24<0;b=q?k[e+4>>2]|0:b&255;y=0;Ra(10,l|0,(q?k[e>>2]|0:e)|0,b|0,b+1|0);e=y;y=0;do if(e&1)n=28;else{y=0;ta(41,l|0,51792,1)|0;q=y;y=0;if(q&1)n=28;else{b=i[c+11>>0]|0;q=b<<24>>24<0;y=0;b=ta(41,l|0,(q?k[c>>2]|0:c)|0,(q?k[c+4>>2]|0:b&255)|0)|0;q=y;y=0;if(q&1){b=pb()|0;A9(l);n=30;break}k[j>>2]=k[b>>2];k[j+4>>2]=k[b+4>>2];k[j+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=o+11|0;if((i[b>>0]|0)<0){i[k[o>>2]>>0]=0;k[a+12>>2]=0}else{i[o>>0]=0;i[b>>0]=0}y=0;oa(500,o|0,0);q=y;y=0;if(q&1){q=tb(0)|0;Sla(q)}k[o>>2]=k[j>>2];k[o+4>>2]=k[j+4>>2];k[o+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;A9(j);A9(l);y=0;Ha(974,o|0,51794)|0;q=y;y=0;if(q&1){b=pb()|0;break}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;q=i[d+11>>0]|0;l=q<<24>>24<0;q=l?k[d+4>>2]|0:q&255;y=0;Ra(10,j|0,(l?k[d>>2]|0:d)|0,q|0,q+1|0);q=y;y=0;do if(q&1)n=32;else{y=0;ta(41,j|0,55435,1)|0;q=y;y=0;if(q&1){n=32;break}q=i[j+11>>0]|0;l=q<<24>>24<0;y=0;ta(41,o|0,(l?k[j>>2]|0:j)|0,(l?k[j+4>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){b=pb()|0;A9(j);break}else{A9(j);r=m;return}}while(0);if((n|0)==32){b=pb()|0;A9(j)}}}while(0);if((n|0)==28){b=pb()|0;A9(l);n=30}A9(f)}A9(g)}A9(h)}k[a>>2]=15644;A9(p);A9(o);Pca(a);q=b;sb(q|0)}while(0);Pca(a)}A9(h);q=b;sb(q|0)}function uh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=r;r=r+48|0;n=m+32|0;h=m+16|0;d=m+8|0;j=m;if(oc[k[(k[b>>2]|0)+76>>2]&511](b)|0){r=m;return}LT(n,k[b+68>>2]|0);k[n>>2]=6868;l=a+4|0;y=0;c=qa(394,l|0)|0;g=y;y=0;a:do if(!(g&1)){y=0;c=Ha(1002,b|0,c|0)|0;g=y;y=0;if(!(g&1)){b:do if(c){y=0;c=qa(394,l|0)|0;g=y;y=0;if(g&1)break a;if(!c){g=a+76|0;k[g>>2]=(k[g>>2]|0)+(k[b+56>>2]|0)}y=0;na(454,l|0);g=y;y=0;if(g&1)break a;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,48801,6);g=y;y=0;do if(g&1)c=pb()|0;else{y=0;Na(147,l|0,h|0,b|0);g=y;y=0;if(g&1){c=pb()|0;A9(h);break}A9(h);y=0;na(456,l|0);h=y;y=0;if(h&1)break a;c=a+98|0;i[c>>0]=1;y=0;oa(460,d|0,k[b+76>>2]|0);h=y;y=0;if(h&1)break a;k[d>>2]=7172;h=k[d+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){m=pb()|0;DO(d);DO(n);sb(m|0)}DO(d);i[c>>0]=0;y=0;oa(680,l|0,0);h=y;y=0;if(h&1)break a;g=n+4|0;d=k[g>>2]|0;h=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>3;c:do if(h|0){e=h+-1|0;f=j+4|0;c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;o=y;y=0;if(o&1){c=40;break}if(k[d+4>>2]|0){d=(k[g>>2]|0)+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;o=y;y=0;if(o&1){c=40;break}y=0;oa(460,j|0,k[d+4>>2]|0);o=y;y=0;if(o&1){c=40;break}k[j>>2]=6508;o=k[f>>2]|0;y=0;oa(k[(k[o>>2]|0)+44>>2]|0,o|0,a|0);o=y;y=0;if(o&1){c=41;break}DO(j)}if(c>>>0<e>>>0){y=0;na(457,l|0);o=y;y=0;if(o&1){c=40;break}}c=c+1|0;if(c>>>0>=h>>>0)break c;d=k[g>>2]|0}if((c|0)==40){o=pb()|0;DO(n);sb(o|0)}else if((c|0)==41){o=pb()|0;DO(j);DO(n);sb(o|0)}}while(0);y=0;c=qa(394,l|0)|0;o=y;y=0;if(o&1)break a;if(!c){o=a+76|0;k[o>>2]=(k[o>>2]|0)-(k[b+56>>2]|0)}y=0;oa(681,l|0,0);o=y;y=0;if(o&1)break a;else break b}while(0);o=c;DO(n);sb(o|0)}else{e=n+4|0;d=k[e>>2]|0;f=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>3;if(f|0){g=h+4|0;c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;o=y;y=0;if(o&1){c=13;break}y=0;oa(460,h|0,k[d+4>>2]|0);o=y;y=0;if(o&1){c=13;break}k[h>>2]=6508;y=0;d=qa(342,k[g>>2]|0)|0;o=y;y=0;if(o&1){c=14;break}if(d|0){o=k[g>>2]|0;y=0;oa(k[(k[o>>2]|0)+44>>2]|0,o|0,a|0);o=y;y=0;if(o&1){c=14;break}}DO(h);c=c+1|0;if(c>>>0>=f>>>0)break b;d=k[e>>2]|0}if((c|0)==13){o=pb()|0;DO(n);sb(o|0)}else if((c|0)==14){o=pb()|0;DO(h);DO(n);sb(o|0)}}}while(0);DO(n);r=m;return}}while(0);o=pb()|0;DO(n);sb(o|0)}function vh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;m=r;r=r+176|0;h=m;s=m+152|0;j=m+112|0;q=m+64|0;l=m+72|0;n=m+48|0;o=m+40|0;do{}while((tt(b,1,0)|0)!=0);iw(b,1,0)|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(h);p=7}else if(g>>>0<11){i[h+11>>0]=g;c=h}else p=7;if((p|0)==7){p=g+16&-16;c=IM(p)|0;k[h>>2]=c;k[h+8>>2]=p|-2147483648;k[h+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;oa(554,s|0,h|0);p=y;y=0;if(p&1){s=pb()|0;A9(h);sb(s|0)}A9(h);c=j;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(460,q|0,0);p=y;y=0;if(p&1)c=pb()|0;else{k[q>>2]=7284;while(1){y=0;c=ta(147,b|0,1,0)|0;p=y;y=0;if(p&1){p=19;break}if(!c){p=22;break}}a:do if((p|0)==19){c=pb()|0;p=21}else if((p|0)==22){y=0;c=ta(88,b|0,1,0)|0;g=y;y=0;b:do if(!(g&1)){c:do if(!c){y=0;c=ta(105,b|0,1,0)|0;b=y;y=0;if(b&1)break b;f=(c|0)!=0&1}else{do{y=0;c=ta(56,b|0,1,0)|0;g=y;y=0;if(g&1){p=18;break}}while((c|0)!=0);if((p|0)==18){c=pb()|0;p=21;break a}y=0;oa(573,h|0,b|0);b=y;y=0;do if(b&1)c=pb()|0;else{c=q+4|0;if(k[c>>2]|0){y=0;na(423,q|0);b=y;y=0;if(b&1){c=pb()|0;DO(h);break}}f=h+4|0;k[c>>2]=k[f>>2];k[f>>2]=0;DO(h);f=0;break c}while(0);break a}while(0);y=0;g=qa(315,76)|0;b=y;y=0;if(!(b&1)){c=l;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,n|0,s|0);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;oa(460,o|0,k[q+4>>2]|0);j=y;y=0;if(j&1){c=pb()|0;A9(n);break}k[o>>2]=7284;c=h;d=l;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,g|0);l=y;y=0;d:do if(l&1){c=1;p=48}else{c=g+12|0;d=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[g>>2]=12708;c=g+52|0;y=0;oa(456,c|0,n|0);l=y;y=0;do if(l&1)c=pb()|0;else{d=g+64|0;y=0;oa(460,d|0,k[o+4>>2]|0);l=y;y=0;if(l&1){m=pb()|0;A9(c);c=m;break}k[d>>2]=7284;i[g+72>>0]=f;y=0;oa(460,a|0,g|0);p=y;y=0;if(p&1){c=0;p=48;break d}k[a>>2]=12920;DO(o);A9(n);DO(q);A9(s);r=m;return}while(0);d=1}while(0);if((p|0)==48){m=pb()|0;d=c;c=m}DO(o);A9(n);if(!d)break a}while(0);cra(g);break a}}while(0);c=pb()|0;p=21}while(0);DO(q)}A9(s);s=c;sb(s|0)}function wh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;o=0;w=r;r=r+112|0;h=w;l=(d-c|0)/12|0;do if(l>>>0>100){j=ud(l)|0;if(!j){y=0;la(6);v=y;y=0;if(v&1){c=pb()|0;break}}h=j;v=j;o=6}else{v=0;o=6}while(0);if((o|0)==6){n=c;o=h;j=0;while(1){if((n|0)==(d|0))break;m=i[n+8+3>>0]|0;if(m<<24>>24<0)m=k[n+4>>2]|0;else m=m&255;if(!m){i[o>>0]=2;j=j+1|0;l=l+-1|0}else i[o>>0]=1;n=n+12|0;o=o+1|0}u=0;s=j;a:while(1){j=k[a>>2]|0;do if(!j)o=1;else{m=k[j+12>>2]|0;if((m|0)==(k[j+16>>2]|0)){y=0;j=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;t=y;y=0;if(t&1){o=43;break a}}else j=k[m>>2]|0;if((j|0)==-1){k[a>>2]=0;o=1;break}else{o=(k[a>>2]|0)==0;break}}while(0);m=k[b>>2]|0;if(!m){m=0;j=1}else{j=k[m+12>>2]|0;if((j|0)==(k[m+16>>2]|0)){y=0;j=qa(k[(k[m>>2]|0)+36>>2]|0,m|0)|0;t=y;y=0;if(t&1){o=43;break}}else j=k[j>>2]|0;if((j|0)==-1){k[b>>2]=0;m=0;j=1}else j=0}n=k[a>>2]|0;if(!((l|0)!=0&(o^j))){o=30;break}j=k[n+12>>2]|0;if((j|0)==(k[n+16>>2]|0)){y=0;j=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;t=y;y=0;if(t&1){o=43;break}}else j=k[j>>2]|0;if(!g){y=0;j=Ha(k[(k[e>>2]|0)+28>>2]|0,e|0,j|0)|0;t=y;y=0;if(t&1){o=49;break}}t=u+1|0;p=c;o=0;q=h;while(1){if((p|0)==(d|0))break;do if((i[q>>0]|0)==1){n=p+8+3|0;if((i[n>>0]|0)<0)m=k[p>>2]|0;else m=p;m=k[m+(u<<2)>>2]|0;if(!g){y=0;m=Ha(k[(k[e>>2]|0)+28>>2]|0,e|0,m|0)|0;x=y;y=0;if(x&1){o=59;break a}}if((j|0)!=(m|0)){i[q>>0]=0;m=o;n=s;l=l+-1|0;break}m=i[n>>0]|0;if(m<<24>>24<0)m=k[p+4>>2]|0;else m=m&255;if((m|0)==(t|0)){i[q>>0]=2;m=1;n=s+1|0;l=l+-1|0}else{m=1;n=s}}else{m=o;n=s}while(0);p=p+12|0;o=m;q=q+1|0;s=n}if(!o){u=t;continue}j=k[a>>2]|0;m=j+12|0;n=k[m>>2]|0;if((n|0)==(k[j+16>>2]|0)){y=0;qa(k[(k[j>>2]|0)+40>>2]|0,j|0)|0;x=y;y=0;if(x&1){o=73;break}}else k[m>>2]=n+4;if((s+l|0)>>>0>1){n=c;o=h;j=s}else{u=t;continue}while(1){if((n|0)==(d|0)){u=t;s=j;continue a}if((i[o>>0]|0)==2){m=i[n+8+3>>0]|0;if(m<<24>>24<0)m=k[n+4>>2]|0;else m=m&255;if((m|0)!=(t|0)){i[o>>0]=0;j=j+-1|0}}n=n+12|0;o=o+1|0}}if((o|0)==30){do if(!n){l=1;o=37}else{j=k[n+12>>2]|0;if((j|0)==(k[n+16>>2]|0)){y=0;j=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;x=y;y=0;if(x&1)break}else j=k[j>>2]|0;if((j|0)==-1){k[a>>2]=0;l=1;o=37;break}else{l=(k[a>>2]|0)==0;o=37;break}}while(0);b:do if((o|0)==37){do if(!m)o=81;else{j=k[m+12>>2]|0;if((j|0)==(k[m+16>>2]|0)){y=0;j=qa(k[(k[m>>2]|0)+36>>2]|0,m|0)|0;x=y;y=0;if(x&1)break b}else j=k[j>>2]|0;if((j|0)==-1){k[b>>2]=0;o=81;break}else if(l)break;else{o=83;break}}while(0);if((o|0)==81)if(l)o=83;if((o|0)==83)k[f>>2]=k[f>>2]|2;while(1){if((c|0)==(d|0)){o=88;break}if((i[h>>0]|0)==2)break;c=c+12|0;h=h+1|0}if((o|0)==88){k[f>>2]=k[f>>2]|4;c=d}if(v|0)Wf(v);r=w;return c|0}while(0);c=pb()|0}else if((o|0)==43)c=pb()|0;else if((o|0)==49)c=pb()|0;else if((o|0)==59)c=pb()|0;else if((o|0)==73)c=pb()|0;if(v)Wf(v)}sb(c|0);return 0}function xh(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;j=0;A=r;r=r+32|0;B=A+12|0;w=A;x=A+24|0;z=b+11|0;g=i[z>>0]|0;f=g<<24>>24<0;h=b+4|0;g=f?k[h>>2]|0:g&255;if(g>>>0<2){cL(a,b);r=A;return}f=f?k[b>>2]|0:b;switch(i[f>>0]|0){case 34:{if((i[f+g+-1>>0]|0)==34)v=34;else j=6;break}case 39:{if((i[f+g+-1>>0]|0)==39)v=39;else j=6;break}default:j=6}if((j|0)==6){cL(a,b);r=A;return}k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;oa(500,B|0,g+-2|0);u=y;y=0;a:do if(!(u&1)){g=i[z>>0]|0;n=(g<<24>>24<0?k[h>>2]|0:g&255)+-1|0;do if(n>>>0>1){o=v&255;p=w+11|0;q=x+1|0;s=x+2|0;t=x+3|0;u=x+4|0;f=1;h=0;b:while(1){l=g<<24>>24<0?k[b>>2]|0:b;g=i[l+f>>0]|0;do if(h|g<<24>>24!=92){if(e&(h^1)&(g<<24>>24|0)==(o|0)){j=33;break b}y=0;oa(458,B|0,g|0);m=y;y=0;if(m&1){j=16;break b}else g=0}else{m=f+1|0;c:do if(m>>>0<n>>>0){h=1;g=m;do{j=i[l+g>>0]|0;if(!(j<<24>>24))break c;if(!(xja(j<<24>>24)|0))break c;h=h+1|0;g=h+f|0}while(g>>>0<n>>>0)}else{h=1;g=m}while(0);if(d){y=0;oa(458,B|0,92);m=y;y=0;if(m&1){j=19;break b}else{g=1;break}}if(h>>>0>1){y=0;ma(4,w|0,b|0,m|0,h+-1|0,b|0);m=y;y=0;if(m&1){j=19;break b}m=nda((i[p>>0]|0)<0?k[w>>2]|0:w,0,16)|0;A9(w);j=(i[((i[z>>0]|0)<0?k[b>>2]|0:b)+g>>0]|0)==32&1;i[x>>0]=0;i[x+1>>0]=0;i[x+2>>0]=0;i[x+3>>0]=0;i[x+4>>0]=0;y=0;Ha(996,((m|0)==0?65533:m)|0,x|0)|0;m=y;y=0;if(m&1){j=27;break b}g=i[x>>0]|0;do if(g<<24>>24){y=0;oa(458,B|0,g|0);m=y;y=0;if(m&1){j=30;break b}g=i[q>>0]|0;if(g<<24>>24){y=0;oa(458,B|0,g|0);m=y;y=0;if(m&1){j=30;break b}g=i[s>>0]|0;if(g<<24>>24){y=0;oa(458,B|0,g|0);m=y;y=0;if(m&1){j=30;break b}g=i[t>>0]|0;if(!(g<<24>>24))break;y=0;oa(458,B|0,g|0);m=y;y=0;if(m&1){j=30;break b}g=i[u>>0]|0;if(!(g<<24>>24))break;y=0;oa(458,B|0,g|0);m=y;y=0;if(m&1){j=30;break b}}}}while(0);f=f+-1+h+j|0;g=0}else g=1}while(0);f=f+1|0;if(f>>>0>=n>>>0){j=37;break}h=g;g=i[z>>0]|0}if((j|0)==16){f=pb()|0;j=18}else if((j|0)==19){A=pb()|0;A9(B);sb(A|0)}else if((j|0)==27){f=pb()|0;j=31}else if((j|0)==30){f=pb()|0;j=31}else if((j|0)==33){y=0;oa(456,a|0,b|0);z=y;y=0;if(!(z&1))break;f=pb()|0;j=18}else if((j|0)==37){if(!g){j=39;break}y=0;oa(456,a|0,b|0);z=y;y=0;if(z&1)break a;else break}if((j|0)==18){A=f;A9(B);sb(A|0)}else if((j|0)==31){A=f;A9(B);sb(A|0)}}else j=39;while(0);if((j|0)==39){if(c|0)i[c>>0]=v;k[a>>2]=k[B>>2];k[a+4>>2]=k[B+4>>2];k[a+8>>2]=k[B+8>>2];k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0}A9(B);r=A;return}while(0);A=pb()|0;A9(B);sb(A|0)}function yh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=0;o=r;r=r+224|0;m=o;u=o+208|0;s=o+136|0;d=o+168|0;h=o+156|0;j=o+144|0;l=o+96|0;n=o+56|0;p=o+48|0;q=o+40|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,47016,24);if(!b){y=0;la(5);y=0}else{y=0;c=Ha(974,m|0,k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)|0;g=y;y=0;if(!(g&1)){k[u>>2]=k[c>>2];k[u+4>>2]=k[c+4>>2];k[u+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;A9(m);y=0;g=qa(315,80)|0;f=y;y=0;do if(f&1)c=pb()|0;else{y=0;Ra(14,d|0,47041,0,-1);f=y;y=0;if(f&1)t=23;else{y=0;oa(456,h|0,u|0);f=y;y=0;if(f&1)t=23;else{y=0;f=m;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));Ea(2,g|0,m|0,h|0,0,0,0,1);f=y;y=0;if(f&1)d=1;else{y=0;oa(460,s|0,g|0);f=y;y=0;if(f&1)d=0;else{k[s>>2]=17036;A9(h);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,47048,62);h=y;y=0;do if(h&1)t=26;else{f=l;d=b+12|0;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));c=k[a+112>>2]|0;if((c|0)==(k[a+108>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;f=m;d=l;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));Na(98,j|0,m|0,c|0);l=y;y=0;if(l&1){c=pb()|0;A9(j);break}A9(j);y=0;b=qa(315,72)|0;l=y;y=0;if(l&1)t=26;else{y=0;Ra(14,n|0,47041,0,-1);l=y;y=0;if(l&1)t=28;else{y=0;oa(460,q|0,k[s+4>>2]|0);l=y;y=0;if(l&1)t=28;else{k[q>>2]=17036;y=0;oa(460,p|0,k[q+4>>2]|0);l=y;y=0;if(l&1)c=pb()|0;else{k[p>>2]=7284;f=m;d=n;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));y=0;na(422,b|0);n=y;y=0;do if(n&1)c=pb()|0;else{f=b+12|0;d=m;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));c=b+52|0;k[c>>2]=0;k[b+56>>2]=0;i[b+60>>0]=0;k[b>>2]=7796;d=b+64|0;y=0;oa(460,d|0,k[p+4>>2]|0);n=y;y=0;if(n&1){c=pb()|0;break}else{k[d>>2]=7284;k[c>>2]=14;DO(p);DO(q);DO(s);A9(u);r=o;return b|0}}while(0);DO(p)}DO(q)}}if((t|0)==28)c=pb()|0;cra(b)}}while(0);if((t|0)==26)c=pb()|0;DO(s);break}}c=pb()|0;A9(h);if(!d)break}}if((t|0)==23)c=pb()|0;cra(g)}while(0);A9(u);u=c;sb(u|0)}}u=pb()|0;A9(m);sb(u|0);return 0}function zh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=0;m=r;r=r+80|0;p=m+64|0;q=m+40|0;o=m+32|0;f=m+24|0;j=m+16|0;g=m+8|0;h=m;LT(p,0);k[p>>2]=7284;l=a+4|0;y=0;c=qa(378,k[l>>2]|0)|0;e=y;y=0;if(!(e&1)){y=0;Na(128,q|0,c|0,0);e=y;y=0;if(!(e&1)){c=k[l>>2]|0;k[o>>2]=q;d=c+52|0;e=k[d>>2]|0;if(e>>>0<(k[c+56>>2]|0)>>>0){k[e>>2]=q;k[d>>2]=(k[d>>2]|0)+4;n=6}else{y=0;oa(638,c+48|0,o|0);e=y;y=0;if(e&1)c=pb()|0;else n=6}do if((n|0)==6){y=0;oa(460,f|0,k[b+76>>2]|0);e=y;y=0;if(e&1){c=pb()|0;break}k[f>>2]=7284;c=k[f+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(460,o|0,c|0);e=y;y=0;if(!(e&1)){k[o>>2]=7284;DO(f);c=k[o+4>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+88>>2]|0,c|0)|0;f=y;y=0;a:do if(f&1)n=21;else{b:do if(c){y=0;oa(460,j|0,k[b+84>>2]|0);g=y;y=0;if(g&1){n=21;break a}k[j>>2]=6868;c=k[j+4>>2]|0;c:do if(!c)c=p+4|0;else{y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;g=y;y=0;d:do if(g&1)n=35;else{y=0;oa(460,h|0,c|0);g=y;y=0;if(g&1)n=35;else{k[h>>2]=7284;c=p+4|0;do if(k[c>>2]|0){y=0;na(423,p|0);g=y;y=0;if(!(g&1))break;c=pb()|0;DO(h);break d}while(0);n=h+4|0;k[c>>2]=k[n>>2];k[n>>2]=0;DO(h);break c}}while(0);if((n|0)==35)c=pb()|0;DO(j);break a}while(0);DO(j)}else{y=0;oa(460,g|0,k[b+68>>2]|0);h=y;y=0;if(h&1)c=pb()|0;else{k[g>>2]=6868;c=k[g+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;h=y;y=0;e:do if(h&1)n=23;else{y=0;oa(460,j|0,c|0);h=y;y=0;if(h&1)n=23;else{k[j>>2]=7284;c=p+4|0;do if(k[c>>2]|0){y=0;na(423,p|0);h=y;y=0;if(!(h&1))break;c=pb()|0;DO(j);break e}while(0);n=j+4|0;k[c>>2]=k[n>>2];k[n>>2]=0;DO(j);DO(g);break b}}while(0);if((n|0)==23)c=pb()|0;DO(g)}break a}while(0);n=(k[l>>2]|0)+52|0;k[n>>2]=(k[n>>2]|0)+-4;c=k[c>>2]|0;if(!c){n=0;DO(o);o=q+4|0;o=k[o>>2]|0;GC(q,o);DO(p);r=m;return n|0}i[c+8>>0]=1;n=c;DO(o);o=q+4|0;o=k[o>>2]|0;GC(q,o);DO(p);r=m;return n|0}while(0);if((n|0)==21)c=pb()|0;DO(o);break}}c=pb()|0;DO(f)}while(0);GC(q,k[q+4>>2]|0);q=c;DO(p);sb(q|0)}}q=pb()|0;DO(p);sb(q|0);return 0}function Ah(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;v=0;C=r;r=r+176|0;B=C;o=C+136|0;q=C+120|0;u=C+64|0;s=C+52|0;t=C+80|0;A=C+40|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;aI(B,38272,6);y=0;b=Ha(975,a|0,B|0)|0;z=y;y=0;if(z&1){C=pb()|0;A9(B);sb(C|0)}b=k[b+4>>2]|0;if(!b)b=0;else b=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(B);if(!b){k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;aI(u,38272,6);y=0;w=B;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));b=sa(24,u|0,a|0,d|0,B|0,f|0)|0;z=y;y=0;if(z&1){C=pb()|0;A9(u);sb(C|0)}A9(u);g=IM(112)|0;w=t;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));h=+p[b+64>>3];j=+p[b+72>>3];m=+p[b+80>>3];n=+p[b+88>>3];k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,87975,0);z=y;y=0;if(z&1)b=pb()|0;else{w=B;x=t;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));y=0;na(422,g|0);z=y;y=0;do if(z&1)b=pb()|0;else{l=255.0-h;j=255.0-j;h=255.0-m;w=g+12|0;x=B;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;b=g+56|0;k[b>>2]=0;k[g>>2]=10548;p[g+64>>3]=l;p[g+72>>3]=j;p[g+80>>3]=h;p[g+88>>3]=n;y=0;oa(456,g+96|0,A|0);B=y;y=0;if(B&1){b=pb()|0;break}k[g+108>>2]=0;k[b>>2]=3;A9(A);B=g;r=C;return B|0}while(0);A9(A)}cra(g);C=b;sb(C|0)}a=IM(80)|0;w=o;x=e;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));A=k[(k[b>>2]|0)+28>>2]|0;z=k[c+16>>2]|0;y=0;k[B>>2]=k[z>>2];k[B+4>>2]=k[z+4>>2];k[B+8>>2]=k[z+8>>2];Na(A|0,s|0,b|0,B|0);A=y;y=0;if(A&1)b=pb()|0;else{k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;b=s+11|0;g=i[b>>0]|0;g=g<<24>>24<0?k[s+4>>2]|0:g&255;y=0;Ra(10,u|0,38442,7,g+7|0);A=y;y=0;if(A&1)v=13;else{y=0;ta(41,u|0,((i[b>>0]|0)<0?k[s>>2]|0:s)|0,g|0)|0;A=y;y=0;if(A&1)v=13;else{y=0;b=Ha(974,u|0,48585)|0;A=y;y=0;do if(A&1)b=pb()|0;else{k[q>>2]=k[b>>2];k[q+4>>2]=k[b+4>>2];k[q+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;w=B;x=o;z=w+40|0;do{k[w>>2]=k[x>>2];w=w+4|0;x=x+4|0}while((w|0)<(z|0));Ea(2,a|0,B|0,q|0,0,0,0,1);B=y;y=0;if(B&1){b=pb()|0;A9(q);break}A9(q);A9(u);A9(s);B=a;r=C;return B|0}while(0);A9(u)}}if((v|0)==13){b=pb()|0;A9(u)}A9(s)}cra(a);C=b;sb(C|0);return 0}function Bh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0,g=0.0,h=0,i=0,j=0,l=0,m=0,n=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;u=0;t=a+16|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;o[t>>2]=1.0;b=k[b>>2]|0;p=k[c>>2]|0;if((b|0)==(p|0))return;q=a+4|0;r=a+12|0;s=a+8|0;a:while(1){l=b+4|0;c=k[l>>2]|0;if(!c)c=0;else{y=0;c=qa(k[(k[c>>2]|0)+8>>2]|0,c|0)|0;n=y;y=0;if(n&1){u=59;break}}m=k[q>>2]|0;n=(m|0)==0;b:do if(n){e=0;u=38}else{i=m+-1|0;e=(i&m|0)==0;if(e)j=i&c;else j=(c>>>0)%(m>>>0)|0;d=k[(k[a>>2]|0)+(j<<2)>>2]|0;if(!d){e=j;u=38}else{d=k[d>>2]|0;if(!d){e=j;u=38}else if(e)while(1){if((k[d+4>>2]&i|0)!=(j|0)){e=j;u=38;break b}h=k[d+12>>2]|0;do if(h|0){if(!(nx(h,24,136,-2)|0))e=k[l>>2]|0;else{e=k[l>>2]|0;if(e)if(nx(e,24,136,-2)|0){y=0;e=qa(k[(k[h>>2]|0)+8>>2]|0,h|0)|0;h=y;y=0;if(h&1){u=57;break a}h=k[l>>2]|0;y=0;h=qa(k[(k[h>>2]|0)+8>>2]|0,h|0)|0;v=y;y=0;if(v&1){u=57;break a}if((e|0)==(h|0))break b;else break}}if(e|0){y=0;e=Ha(k[(k[h>>2]|0)+160>>2]|0,h|0,e|0)|0;v=y;y=0;if(v&1){u=57;break a}if(e)break b}}while(0);d=k[d>>2]|0;if(!d){e=j;u=38;break}}else{h=d;while(1){if((((k[h+4>>2]|0)>>>0)%(m>>>0)|0|0)!=(j|0)){e=j;u=38;break b}e=k[h+12>>2]|0;do if(e|0){if(!(nx(e,24,136,-2)|0))d=k[l>>2]|0;else{d=k[l>>2]|0;if(d)if(nx(d,24,136,-2)|0){y=0;d=qa(k[(k[e>>2]|0)+8>>2]|0,e|0)|0;v=y;y=0;if(v&1){u=58;break a}e=k[l>>2]|0;y=0;e=qa(k[(k[e>>2]|0)+8>>2]|0,e|0)|0;v=y;y=0;if(v&1){u=58;break a}if((d|0)==(e|0))break b;else break}}if(d|0){y=0;d=Ha(k[(k[e>>2]|0)+160>>2]|0,e|0,d|0)|0;v=y;y=0;if(v&1){u=58;break a}if(d)break b}}while(0);h=k[h>>2]|0;if(!h){e=j;u=38;break}}}}}while(0);if((u|0)==38){u=0;y=0;i=qa(315,16)|0;v=y;y=0;if(v&1){u=59;break}d=i+8|0;y=0;oa(460,d|0,k[l>>2]|0);v=y;y=0;if(v&1){u=40;break}k[d>>2]=13284;k[i+4>>2]=c;k[i>>2]=0;f=+(((k[r>>2]|0)+1|0)>>>0);g=+o[t>>2];do if(n|f>+(m>>>0)*g){v=(m>>>0>2&(m+-1&m|0)==0&1|m<<1)^1;n=~~+$(+(f/g))>>>0;y=0;oa(703,a|0,(v>>>0<n>>>0?n:v)|0);v=y;y=0;if(v&1){u=46;break a}d=k[q>>2]|0;e=d+-1|0;if(!(e&d)){h=d;c=e&c;break}else{h=d;c=(c>>>0)%(d>>>0)|0;break}}else{h=m;c=e}while(0);c=(k[a>>2]|0)+(c<<2)|0;d=k[c>>2]|0;if(!d){k[i>>2]=k[s>>2];k[s>>2]=i;k[c>>2]=s;c=k[i>>2]|0;if(c|0){c=k[c+4>>2]|0;d=h+-1|0;if(!(d&h))c=c&d;else c=(c>>>0)%(h>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=i}}else{k[i>>2]=k[d>>2];k[d>>2]=i}k[r>>2]=(k[r>>2]|0)+1}b=b+8|0;if((b|0)==(p|0)){u=56;break}}if((u|0)==40){c=pb()|0;cra(i)}else if((u|0)==46){c=pb()|0;lc[k[k[d>>2]>>2]&511](d);cra(i)}else if((u|0)==56)return;else if((u|0)==57)c=pb()|0;else if((u|0)==58)c=pb()|0;else if((u|0)==59)c=pb()|0;b=k[a+8>>2]|0;if(b|0)do{v=b;b=k[b>>2]|0;u=v+8|0;lc[k[k[u>>2]>>2]&511](u);cra(v)}while((b|0)!=0);b=k[a>>2]|0;k[a>>2]=0;if(!b)sb(c|0);cra(b);sb(c|0)}function Ch(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,l=0,m=0,n=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D=0;C=r;r=r+352|0;t=C+208|0;u=C+200|0;v=C+196|0;F=C+184|0;E=C+172|0;x=C+168|0;A=C+8|0;B=C+4|0;z=C;w=C+337|0;s=C+336|0;Lw(F,d,t,u,v);k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[E+(a<<2)>>2]=0;a=a+1|0}q=E+11|0;if((i[q>>0]|0)<0)a=(k[E+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,E|0,a|0,0);p=y;y=0;if(p&1)a=pb()|0;else{d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d;k[B>>2]=A;k[z>>2]=0;i[w>>0]=1;i[s>>0]=69;m=E+4|0;n=E+8|0;h=k[b>>2]|0;a:while(1){if(!h){p=0;j=1}else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;p=y;y=0;if(p&1){D=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;p=0;j=1}else{p=h;j=0}}h=k[c>>2]|0;do if(!h)D=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){D=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=20;break}else if(j)break;else{D=39;break a}}while(0);if((D|0)==20){D=0;if(j){h=0;D=39;break}else h=0}j=i[q>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[x>>2]|0)==(d+j|0)){y=0;Na(90,E|0,j<<1|0,0);l=y;y=0;if(l&1){D=31;break}if((i[q>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,E|0,a|0,0);l=y;y=0;if(l&1){D=31;break}d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d+j}j=p+12|0;a=k[j>>2]|0;l=p+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[p>>2]|0)+36>>2]|0,p|0)|0;G=y;y=0;if(G&1){D=29;break}}else a=k[a>>2]|0;if(Bo(a,w,s,d,x,k[u>>2]|0,k[v>>2]|0,F,A,B,z,t)|0){D=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[p>>2]|0)+40>>2]|0,p|0)|0;G=y;y=0;if(G&1){D=29;break}else{h=p;continue}}else{k[j>>2]=a+4;h=p;continue}}if((D|0)==29)a=pb()|0;else if((D|0)==31)a=pb()|0;else if((D|0)==39){G=i[F+11>>0]|0;if(!((i[w>>0]|0)==0?1:((G<<24>>24<0?k[F+4>>2]|0:G&255)|0)==0)){a=k[B>>2]|0;if((a-A|0)<160){G=k[z>>2]|0;k[B>>2]=a+4;k[a>>2]=G}}y=0;g=+Ja(4,d|0,k[x>>2]|0,e|0);G=y;y=0;b:do if(!(G&1)){o[f>>2]=g;Az(F,A,k[B>>2]|0,e);if(!p)d=1;else{a=k[p+12>>2]|0;if((a|0)==(k[p+16>>2]|0)){y=0;a=qa(k[(k[p>>2]|0)+36>>2]|0,p|0)|0;G=y;y=0;if(G&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)D=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;G=y;y=0;if(G&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=55;break}else if(d)break;else{D=57;break}}while(0);if((D|0)==55)if(d)D=57;if((D|0)==57)k[e>>2]=k[e>>2]|2;G=k[b>>2]|0;A9(E);A9(F);r=C;return G|0}while(0);a=pb()|0}}A9(E);A9(F);sb(a|0);return 0}function Dh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D=0;C=r;r=r+352|0;t=C+208|0;u=C+200|0;v=C+196|0;F=C+184|0;E=C+172|0;x=C+168|0;A=C+8|0;B=C+4|0;z=C;w=C+337|0;s=C+336|0;Lw(F,d,t,u,v);k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[E+(a<<2)>>2]=0;a=a+1|0}q=E+11|0;if((i[q>>0]|0)<0)a=(k[E+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,E|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d;k[B>>2]=A;k[z>>2]=0;i[w>>0]=1;i[s>>0]=69;m=E+4|0;n=E+8|0;h=k[b>>2]|0;a:while(1){if(!h){o=0;j=1}else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;o=y;y=0;if(o&1){D=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;o=0;j=1}else{o=h;j=0}}h=k[c>>2]|0;do if(!h)D=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){D=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=20;break}else if(j)break;else{D=39;break a}}while(0);if((D|0)==20){D=0;if(j){h=0;D=39;break}else h=0}j=i[q>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[x>>2]|0)==(d+j|0)){y=0;Na(90,E|0,j<<1|0,0);l=y;y=0;if(l&1){D=31;break}if((i[q>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,E|0,a|0,0);l=y;y=0;if(l&1){D=31;break}d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d+j}j=o+12|0;a=k[j>>2]|0;l=o+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;G=y;y=0;if(G&1){D=29;break}}else a=k[a>>2]|0;if(Bo(a,w,s,d,x,k[u>>2]|0,k[v>>2]|0,F,A,B,z,t)|0){D=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;G=y;y=0;if(G&1){D=29;break}else{h=o;continue}}else{k[j>>2]=a+4;h=o;continue}}if((D|0)==29)a=pb()|0;else if((D|0)==31)a=pb()|0;else if((D|0)==39){G=i[F+11>>0]|0;if(!((i[w>>0]|0)==0?1:((G<<24>>24<0?k[F+4>>2]|0:G&255)|0)==0)){a=k[B>>2]|0;if((a-A|0)<160){G=k[z>>2]|0;k[B>>2]=a+4;k[a>>2]=G}}y=0;g=+Ja(2,d|0,k[x>>2]|0,e|0);G=y;y=0;b:do if(!(G&1)){p[f>>3]=g;Az(F,A,k[B>>2]|0,e);if(!o)d=1;else{a=k[o+12>>2]|0;if((a|0)==(k[o+16>>2]|0)){y=0;a=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;G=y;y=0;if(G&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)D=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;G=y;y=0;if(G&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=55;break}else if(d)break;else{D=57;break}}while(0);if((D|0)==55)if(d)D=57;if((D|0)==57)k[e>>2]=k[e>>2]|2;G=k[b>>2]|0;A9(E);A9(F);r=C;return G|0}while(0);a=pb()|0}}A9(E);A9(F);sb(a|0);return 0}function Eh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D=0;C=r;r=r+352|0;t=C+208|0;u=C+200|0;v=C+196|0;F=C+184|0;E=C+172|0;x=C+168|0;A=C+8|0;B=C+4|0;z=C;w=C+337|0;s=C+336|0;Lw(F,d,t,u,v);k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[E+(a<<2)>>2]=0;a=a+1|0}q=E+11|0;if((i[q>>0]|0)<0)a=(k[E+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,E|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d;k[B>>2]=A;k[z>>2]=0;i[w>>0]=1;i[s>>0]=69;m=E+4|0;n=E+8|0;h=k[b>>2]|0;a:while(1){if(!h){o=0;j=1}else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;o=y;y=0;if(o&1){D=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;o=0;j=1}else{o=h;j=0}}h=k[c>>2]|0;do if(!h)D=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){D=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=20;break}else if(j)break;else{D=39;break a}}while(0);if((D|0)==20){D=0;if(j){h=0;D=39;break}else h=0}j=i[q>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[x>>2]|0)==(d+j|0)){y=0;Na(90,E|0,j<<1|0,0);l=y;y=0;if(l&1){D=31;break}if((i[q>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,E|0,a|0,0);l=y;y=0;if(l&1){D=31;break}d=(i[q>>0]|0)<0?k[E>>2]|0:E;k[x>>2]=d+j}j=o+12|0;a=k[j>>2]|0;l=o+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;G=y;y=0;if(G&1){D=29;break}}else a=k[a>>2]|0;if(Bo(a,w,s,d,x,k[u>>2]|0,k[v>>2]|0,F,A,B,z,t)|0){D=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;G=y;y=0;if(G&1){D=29;break}else{h=o;continue}}else{k[j>>2]=a+4;h=o;continue}}if((D|0)==29)a=pb()|0;else if((D|0)==31)a=pb()|0;else if((D|0)==39){G=i[F+11>>0]|0;if(!((i[w>>0]|0)==0?1:((G<<24>>24<0?k[F+4>>2]|0:G&255)|0)==0)){a=k[B>>2]|0;if((a-A|0)<160){G=k[z>>2]|0;k[B>>2]=a+4;k[a>>2]=G}}y=0;g=+Ja(3,d|0,k[x>>2]|0,e|0);G=y;y=0;b:do if(!(G&1)){p[f>>3]=g;Az(F,A,k[B>>2]|0,e);if(!o)d=1;else{a=k[o+12>>2]|0;if((a|0)==(k[o+16>>2]|0)){y=0;a=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;G=y;y=0;if(G&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)D=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;G=y;y=0;if(G&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;D=55;break}else if(d)break;else{D=57;break}}while(0);if((D|0)==55)if(d)D=57;if((D|0)==57)k[e>>2]=k[e>>2]|2;G=k[b>>2]|0;A9(E);A9(F);r=C;return G|0}while(0);a=pb()|0}}A9(E);A9(F);sb(a|0);return 0}function Fh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;p=r;r=r+144|0;m=p;v=p+128|0;u=p+112|0;t=p+40|0;o=p+104|0;n=p+64|0;q=p+52|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;aI(u,40420,9);y=0;j=m;h=j+40|0;do{k[j>>2]=k[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(h|0));Ea(4,v|0,u|0,a|0,d|0,m|0,f|0,c|0);s=y;y=0;if(s&1){v=pb()|0;A9(u);sb(v|0)}A9(u);y=0;s=qa(315,88)|0;l=y;y=0;a:do if(l&1)b=pb()|0;else{l=v+4|0;e=k[l>>2]|0;b=k[e+80>>2]|0;g=k[e+76>>2]|0;j=m;e=e+12|0;h=j+40|0;do{k[j>>2]=k[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(h|0));y=0;na(422,s|0);j=y;y=0;do if(j&1)b=pb()|0;else{g=b-g>>3;j=s+12|0;e=m;h=j+40|0;do{k[j>>2]=k[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(h|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;b=s+56|0;k[b>>2]=0;k[s>>2]=9288;f=s+60|0;k[f>>2]=9248;c=s+64|0;d=s+68|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;y=0;oa(514,c|0,g|0);j=y;y=0;if(j&1){b=pb()|0;a=N;g=k[c>>2]|0;if(g|0){e=k[d>>2]|0;if((e|0)!=(g|0)){do{u=e+-8|0;k[d>>2]=u;lc[k[k[u>>2]>>2]&511](u);e=k[d>>2]|0}while((e|0)!=(g|0));g=k[c>>2]|0}cra(g)}break}k[s>>2]=9076;k[f>>2]=9208;k[s+80>>2]=0;i[s+84>>0]=0;i[s+85>>0]=0;k[b>>2]=5;g=k[l>>2]|0;a=(k[g+80>>2]|0)-(k[g+76>>2]|0)>>3;if(!a){DO(v);r=p;return s|0}c=u+4|0;b=0;while(1){y=0;oa(460,u|0,k[(k[g+76>>2]|0)+(b<<3)+4>>2]|0);j=y;y=0;if(j&1){e=27;break}k[u>>2]=13284;j=k[c>>2]|0;y=0;oa(k[(k[j>>2]|0)+32>>2]|0,t|0,j|0);j=y;y=0;if(j&1){e=28;break}g=k[(k[f>>2]|0)+20>>2]|0;y=0;d=qa(315,80)|0;j=y;y=0;if(j&1){e=29;break}j=n;e=(k[c>>2]|0)+12|0;h=j+40|0;do{k[j>>2]=k[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(h|0));y=0;oa(456,q|0,t|0);j=y;y=0;if(j&1){e=30;break}y=0;j=m;e=n;h=j+40|0;do{k[j>>2]=k[e>>2];j=j+4|0;e=e+4|0}while((j|0)<(h|0));Ea(2,d|0,m|0,q|0,0,0,0,1);j=y;y=0;if(j&1){g=1;e=32;break}y=0;oa(460,o|0,d|0);j=y;y=0;if(j&1){g=0;e=32;break}k[o>>2]=7284;y=0;oa(g|0,f|0,o|0);j=y;y=0;if(j&1){e=31;break}DO(o);A9(q);A9(t);DO(u);b=b+1|0;if(b>>>0>=a>>>0){e=13;break}g=k[l>>2]|0}if((e|0)==13){DO(v);r=p;return s|0}else if((e|0)==27){b=pb()|0;break a}else if((e|0)==28)b=pb()|0;else if((e|0)==29){b=pb()|0;e=34}else if((e|0)==30){b=pb()|0;e=33}else if((e|0)==31){b=pb()|0;DO(o);A9(q);e=34}else if((e|0)==32){b=pb()|0;A9(q);if(g)e=33;else e=34}if((e|0)==33){cra(d);e=34}if((e|0)==34)A9(t);DO(u);break a}while(0);cra(s)}while(0);DO(v);v=b;sb(v|0);return 0}function Gh(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;A=0;B=r;r=r+16|0;v=B+12|0;u=B+8|0;x=B+4|0;z=B;m=FV(d)|0;k[v>>2]=m;y=0;w=Ha(977,v|0,83960)|0;t=y;y=0;if(t&1){B=pb()|0;RQ(m)|0;sb(B|0)}RQ(m)|0;k[e>>2]=0;t=w+8|0;m=0;a:while(1){s=(g|0)!=(h|0);n=m;while(1){m=k[b>>2]|0;if(!(s&(n|0)==0))break a;n=m;if(!m)m=0;else if((k[m+12>>2]|0)==(k[m+16>>2]|0))if((oc[k[(k[m>>2]|0)+36>>2]&511](m)|0)==-1){k[b>>2]=0;m=0;n=0}q=(m|0)==0;p=k[c>>2]|0;o=p;do if(!p)A=14;else{if((k[p+12>>2]|0)==(k[p+16>>2]|0))if((oc[k[(k[p>>2]|0)+36>>2]&511](p)|0)==-1){k[c>>2]=0;o=0;A=14;break}if(!q){A=15;break a}}while(0);if((A|0)==14){A=0;if(q){A=15;break a}else p=0}if((rc[k[(k[w>>2]|0)+36>>2]&255](w,i[g>>0]|0,0)|0)<<24>>24==37){A=18;break}n=i[g>>0]|0;if(n<<24>>24>-1){o=k[t>>2]|0;if(j[o+(n<<24>>24<<1)>>1]&8192){A=27;break}}o=m+12|0;n=k[o>>2]|0;p=m+16|0;if((n|0)==(k[p>>2]|0))n=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0;else n=l[n>>0]|0;q=Fc[k[(k[w>>2]|0)+12>>2]&2047](w,n&255)|0;if(q<<24>>24==(Fc[k[(k[w>>2]|0)+12>>2]&2047](w,i[g>>0]|0)|0)<<24>>24){A=54;break}k[e>>2]=4;n=4}b:do if((A|0)==18){A=0;s=g+1|0;if((s|0)==(h|0)){A=19;break a}p=rc[k[(k[w>>2]|0)+36>>2]&255](w,i[s>>0]|0,0)|0;switch(p<<24>>24){case 48:case 69:{g=g+2|0;if((g|0)==(h|0)){A=24;break a}q=p;m=rc[k[(k[w>>2]|0)+36>>2]&255](w,i[g>>0]|0,0)|0;g=s;break}default:{q=0;m=p}}s=k[(k[a>>2]|0)+36>>2]|0;k[x>>2]=n;k[z>>2]=o;k[u>>2]=k[x>>2];k[v>>2]=k[z>>2];m=Nc[s&15](a,u,v,d,e,f,m,q)|0;k[b>>2]=m;m=g+2|0}else if((A|0)==27){while(1){A=0;g=g+1|0;if((g|0)==(h|0)){g=h;break}n=i[g>>0]|0;if(n<<24>>24<=-1)break;if(!(j[o+(n<<24>>24<<1)>>1]&8192))break;else A=27}n=p;while(1){if(!m)m=0;else if((k[m+12>>2]|0)==(k[m+16>>2]|0))if((oc[k[(k[m>>2]|0)+36>>2]&511](m)|0)==-1){k[b>>2]=0;m=0}o=(m|0)==0;do if(!p)A=40;else{if((k[p+12>>2]|0)!=(k[p+16>>2]|0))if(o){s=n;break}else{m=g;break b}if((oc[k[(k[p>>2]|0)+36>>2]&511](p)|0)==-1){k[c>>2]=0;n=0;A=40;break}else if(o^(n|0)==0){s=n;p=n;break}else{m=g;break b}}while(0);if((A|0)==40){A=0;if(o){m=g;break b}else{s=n;p=0}}o=m+12|0;n=k[o>>2]|0;q=m+16|0;if((n|0)==(k[q>>2]|0))n=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0;else n=l[n>>0]|0;if((n&255)<<24>>24<=-1){m=g;break b}if(!(j[(k[t>>2]|0)+(n<<24>>24<<1)>>1]&8192)){m=g;break b}n=k[o>>2]|0;if((n|0)==(k[q>>2]|0)){oc[k[(k[m>>2]|0)+40>>2]&511](m)|0;n=s;continue}else{k[o>>2]=n+1;n=s;continue}}}else if((A|0)==54){A=0;n=k[o>>2]|0;if((n|0)==(k[p>>2]|0))oc[k[(k[m>>2]|0)+40>>2]&511](m)|0;else k[o>>2]=n+1;m=g+1|0}while(0);g=m;m=k[e>>2]|0}if((A|0)==15)k[e>>2]=4;else if((A|0)==19)k[e>>2]=4;else if((A|0)==24)k[e>>2]=4;if(!m)m=0;else if((k[m+12>>2]|0)==(k[m+16>>2]|0))if((oc[k[(k[m>>2]|0)+36>>2]&511](m)|0)==-1){k[b>>2]=0;m=0}g=(m|0)==0;n=k[c>>2]|0;do if(!n)A=69;else{if((k[n+12>>2]|0)==(k[n+16>>2]|0))if((oc[k[(k[n>>2]|0)+36>>2]&511](n)|0)==-1){k[c>>2]=0;A=69;break}if(!g)A=70}while(0);if((A|0)==69)if(g)A=70;if((A|0)==70)k[e>>2]=k[e>>2]|2;r=B;return m|0}function Hh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;A=0;x=r;r=r+80|0;t=x;B=x+64|0;z=x+56|0;u=x+48|0;v=x+40|0;k[a>>2]=0;C=a+4|0;k[C>>2]=0;k[a+8>>2]=0;s=c+64|0;h=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>3;if(!h){r=x;return}j=B+4|0;l=k[1622]|0;m=t+4|0;n=a+8|0;o=t+8|0;p=t+4|0;q=z+4|0;f=0;while(1){y=0;b=Ha(k[(k[s>>2]|0)+16>>2]|0,s|0,f|0)|0;w=y;y=0;if(w&1){A=13;break}y=0;oa(460,B|0,k[b+4>>2]|0);w=y;y=0;if(w&1){A=13;break}k[B>>2]=6508;c=k[j>>2]|0;if(!c)b=0;else b=(k[101]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;e=(b|0)!=0&1;b=k[C>>2]|0;if((k[a>>2]|0)==(b|0))A=18;else if((i[b+-12>>0]|0)==e<<24>>24){y=0;oa(460,z|0,k[b+-4>>2]|0);w=y;y=0;if(w&1){A=14;break}k[z>>2]=6868;b=(k[q>>2]|0)+64|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(460,u|0,k[j>>2]|0);w=y;y=0;if(w&1){A=15;break}k[u>>2]=6508;y=0;oa(c|0,b|0,u|0);w=y;y=0;if(w&1){A=16;break}DO(u);DO(z)}else A=18;if((A|0)==18){A=0;y=0;w=qa(315,88)|0;g=y;y=0;if(g&1){A=14;break}d=t;b=c+12|0;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));y=0;na(422,w|0);g=y;y=0;if(g&1){A=35;break}d=w+12|0;b=t;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));k[w>>2]=6564;k[w+52>>2]=0;k[w+56>>2]=0;i[w+60>>0]=0;b=w+64|0;k[b>>2]=6524;g=w+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);d=y;y=0;if(d&1){A=21;break}k[w>>2]=6368;k[b>>2]=6468;i[w+84>>0]=0;y=0;oa(460,v|0,k[j>>2]|0);g=y;y=0;if(g&1){A=37;break}k[v>>2]=6508;y=0;oa(l|0,b|0,v|0);g=y;y=0;if(g&1){A=38;break}DO(v);i[t>>0]=e;y=0;oa(460,m|0,w|0);w=y;y=0;if(w&1){A=39;break}k[m>>2]=6868;b=k[C>>2]|0;if(b>>>0<(k[n>>2]|0)>>>0){i[b>>0]=i[t>>0]|0;b=b+4|0;y=0;oa(460,b|0,k[o>>2]|0);w=y;y=0;if(w&1){A=40;break}k[b>>2]=6868;k[C>>2]=(k[C>>2]|0)+12}else{y=0;oa(660,a|0,t|0);w=y;y=0;if(w&1){A=40;break}}DO(p)}DO(B);f=f+1|0;if(f>>>0>=h>>>0){A=50;break}}switch(A|0){case 13:{d=pb()|0;break}case 14:{b=pb()|0;A=43;break}case 15:{b=pb()|0;A=17;break}case 16:{b=pb()|0;DO(u);A=17;break}case 21:{b=pb()|0;e=N;f=w+72|0;c=k[g>>2]|0;if(c|0){d=k[f>>2]|0;if((d|0)!=(c|0)){do{A=d+-8|0;k[f>>2]=A;lc[k[k[A>>2]>>2]&511](A);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[g>>2]|0}cra(c)}A=36;break}case 35:{b=pb()|0;A=36;break}case 37:{b=pb()|0;A=43;break}case 38:{b=pb()|0;DO(v);A=43;break}case 39:{b=pb()|0;A=41;break}case 40:{b=pb()|0;DO(p);A=41;break}case 50:{r=x;return}}if((A|0)==17){DO(z);A=43}else if((A|0)==36){cra(w);A=43}else if((A|0)==41)A=43;if((A|0)==43){DO(B);d=b}b=k[a>>2]|0;if(!b)sb(d|0);c=k[C>>2]|0;if((c|0)!=(b|0)){do{k[C>>2]=c+-12;DO(c+-8|0);c=k[C>>2]|0}while((c|0)!=(b|0));b=k[a>>2]|0}cra(b);sb(d|0)}function Ih(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;s=0;w=r;r=r+144|0;v=w;g=w+136|0;j=w+128|0;m=w+120|0;t=w+112|0;u=w+104|0;n=w+96|0;o=w+56|0;q=w+48|0;p=w+40|0;l=a+20|0;h=a+24|0;c=k[l>>2]|0;f=(k[h>>2]|0)-c>>2;do if(!f)s=8;else{e=0;d=0;while(1){LT(g,k[c+(d<<2)>>2]|0);k[g>>2]=6508;y=0;c=Ha(1016,b|0,g|0)|0;x=y;y=0;if(x&1)break;c=e|c;DO(g);d=d+1|0;if(d>>>0>=f>>>0){s=3;break}e=c;c=k[l>>2]|0}if((s|0)==3)if(c)break;else{s=8;break}x=pb()|0;DO(g);sb(x|0)}while(0);if((s|0)==8){c=b+68|0;LT(j,k[c>>2]|0);k[j>>2]=6868;x=(k[j+4>>2]|0)==0;DO(j);if(!x){n=k[(k[a>>2]|0)+12>>2]|0;LT(m,k[c>>2]|0);k[m>>2]=6868;y=0;n=Ha(n|0,a|0,k[m+4>>2]|0)|0;x=y;y=0;if(x&1){x=pb()|0;DO(m);sb(x|0)}DO(m);j=n+64|0;m=n+68|0;a=n+72|0;d=k[a>>2]|0;c=k[m>>2]|0;l=d-c>>3;do if(l){g=v+4|0;h=b+56|0;f=k[81]|0;e=0;while(1){c=(Fc[k[(k[j>>2]|0)+16>>2]&2047](j,e)|0)+4|0;LT(v,k[c>>2]|0);k[v>>2]=6508;c=k[g>>2]|0;d=k[c>>2]|0;if((f|0)==(k[(k[d+-4>>2]|0)+4>>2]|0))s=19;else{y=0;c=qa(k[d+80>>2]|0,c|0)|0;x=y;y=0;if(x&1)break;if(c){c=k[g>>2]|0;s=19}}if((s|0)==19){s=0;x=c+56|0;k[x>>2]=(k[h>>2]|0)+(k[x>>2]|0)}DO(v);e=e+1|0;if(e>>>0>=l>>>0){s=12;break}}if((s|0)==12){d=k[a>>2]|0;c=k[m>>2]|0;break}x=pb()|0;DO(v);sb(x|0)}while(0);a:do if((d|0)!=(c|0)){LT(t,k[d+-4>>2]|0);k[t>>2]=6508;c=k[t+4>>2]|0;d=k[c>>2]|0;do if((k[81]|0)==(k[(k[d+-4>>2]|0)+4>>2]|0))DO(t);else{y=0;c=qa(k[d+80>>2]|0,c|0)|0;x=y;y=0;if(!(x&1)){DO(t);if(c)break;else break a}x=pb()|0;DO(t);sb(x|0)}while(0);LT(u,k[(k[a>>2]|0)+-4>>2]|0);k[u>>2]=6508;i[(k[u+4>>2]|0)+60>>0]=i[b+60>>0]|0;DO(u)}while(0);x=n;r=w;return x|0}}c=k[h>>2]|0;if((c|0)==(k[l>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;LT(n,k[c>>2]|0);k[n>>2]=6508;y=0;c=Ha(1016,b|0,n|0)|0;x=y;y=0;if(x&1){x=pb()|0;DO(n);sb(x|0)}DO(n);if(!c){x=df(a,b)|0;r=w;return x|0}f=IM(76)|0;c=o;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(460,q|0,b|0);x=y;y=0;if(x&1)c=pb()|0;else{k[q>>2]=6508;y=0;oa(460,p|0,0);x=y;y=0;if(x&1)c=pb()|0;else{k[p>>2]=6508;c=v;d=o;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,f|0);x=y;y=0;do if(x&1)c=pb()|0;else{c=f+12|0;d=v;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));k[f+52>>2]=6;k[f+56>>2]=0;i[f+60>>0]=0;k[f>>2]=6884;c=f+64|0;y=0;oa(460,c|0,k[q+4>>2]|0);x=y;y=0;if(x&1){c=pb()|0;break}k[c>>2]=6508;i[f+72>>0]=(k[p+4>>2]|0)==0&1;DO(p);DO(q);x=f;r=w;return x|0}while(0);DO(p)}DO(q)}cra(f);x=c;sb(x|0);return 0}function Jh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;o=0;x=r;r=r+112|0;h=x;m=(d-c|0)/12|0;do if(m>>>0>100){j=ud(m)|0;if(!j){y=0;la(6);w=y;y=0;if(w&1){c=pb()|0;break}}h=j;w=j;o=6}else{w=0;o=6}while(0);if((o|0)==6){o=c;p=h;j=0;while(1){if((o|0)==(d|0))break;n=i[o+11>>0]|0;if(n<<24>>24<0)n=k[o+4>>2]|0;else n=n&255;if(!n){i[p>>0]=2;j=j+1|0;m=m+-1|0}else i[p>>0]=1;o=o+12|0;p=p+1|0}v=0;t=j;a:while(1){j=k[a>>2]|0;do if(!j)j=0;else if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;j=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;u=y;y=0;if(u&1){o=39;break a}if((j|0)==-1){k[a>>2]=0;j=0;break}else{j=k[a>>2]|0;break}}while(0);o=(j|0)==0;j=k[b>>2]|0;if(!j)n=0;else if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;n=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;u=y;y=0;if(u&1){o=39;break}if((n|0)==-1){k[b>>2]=0;n=0}else n=j}else n=j;p=(n|0)==0;j=k[a>>2]|0;if(!((m|0)!=0&(o^p))){o=28;break}n=k[j+12>>2]|0;if((n|0)==(k[j+16>>2]|0)){y=0;j=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;u=y;y=0;if(u&1){o=39;break}}else j=l[n>>0]|0;j=j&255;if(!g){y=0;j=Ha(k[(k[e>>2]|0)+12>>2]|0,e|0,j|0)|0;u=y;y=0;if(u&1){o=45;break}}u=v+1|0;q=c;p=0;s=h;while(1){if((q|0)==(d|0))break;do if((i[s>>0]|0)==1){o=q+11|0;if((i[o>>0]|0)<0)n=k[q>>2]|0;else n=q;n=i[n+v>>0]|0;if(!g){y=0;n=Ha(k[(k[e>>2]|0)+12>>2]|0,e|0,n|0)|0;z=y;y=0;if(z&1){o=55;break a}}if(j<<24>>24!=n<<24>>24){i[s>>0]=0;n=p;o=t;m=m+-1|0;break}n=i[o>>0]|0;if(n<<24>>24<0)n=k[q+4>>2]|0;else n=n&255;if((n|0)==(u|0)){i[s>>0]=2;n=1;o=t+1|0;m=m+-1|0}else{n=1;o=t}}else{n=p;o=t}while(0);q=q+12|0;p=n;s=s+1|0;t=o}if(!p){v=u;continue}j=k[a>>2]|0;n=j+12|0;o=k[n>>2]|0;if((o|0)==(k[j+16>>2]|0)){y=0;qa(k[(k[j>>2]|0)+40>>2]|0,j|0)|0;z=y;y=0;if(z&1){o=69;break}}else k[n>>2]=o+1;if((t+m|0)>>>0>1){o=c;p=h;j=t}else{v=u;continue}while(1){if((o|0)==(d|0)){v=u;t=j;continue a}if((i[p>>0]|0)==2){n=i[o+11>>0]|0;if(n<<24>>24<0)n=k[o+4>>2]|0;else n=n&255;if((n|0)!=(u|0)){i[p>>0]=0;j=j+-1|0}}o=o+12|0;p=p+1|0}}if((o|0)==28){do if(!j){j=0;o=34}else if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;j=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;z=y;y=0;if(!(z&1))if((j|0)==-1){k[a>>2]=0;j=0;o=34;break}else{j=k[a>>2]|0;o=34;break}}else o=34;while(0);b:do if((o|0)==34){m=(j|0)==0;do if(p)o=78;else{if((k[n+12>>2]|0)==(k[n+16>>2]|0)){y=0;j=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;z=y;y=0;if(z&1)break b;if((j|0)==-1){k[b>>2]=0;o=78;break}}if(!m)o=79}while(0);if((o|0)==78)if(m)o=79;if((o|0)==79)k[f>>2]=k[f>>2]|2;while(1){if((c|0)==(d|0)){o=84;break}if((i[h>>0]|0)==2)break;c=c+12|0;h=h+1|0}if((o|0)==84){k[f>>2]=k[f>>2]|4;c=d}if(w|0)Wf(w);r=x;return c|0}while(0);c=pb()|0}else if((o|0)==39)c=pb()|0;else if((o|0)==45)c=pb()|0;else if((o|0)==55)c=pb()|0;else if((o|0)==69)c=pb()|0;if(w)Wf(w)}sb(c|0);return 0}function Kh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0;l=r;r=r+240|0;f=l+200|0;o=l+16|0;h=l+160|0;i=l;n=o+64|0;a=o+8|0;k[a>>2]=15992;m=o+12|0;k[o>>2]=16032;k[n>>2]=16052;k[o+4>>2]=0;y=0;oa(528,o+64|0,m|0);j=y;y=0;if(j&1){e=pb()|0;Vja(n);sb(e|0)}k[o+136>>2]=0;k[o+140>>2]=-1;k[o>>2]=15972;k[n>>2]=16012;k[a>>2]=15992;y=0;na(433,m|0);j=y;y=0;do if(j&1)a=pb()|0;else{k[m>>2]=15832;g=o+44|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[o+60>>2]=24;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;oa(529,m|0,f|0);j=y;y=0;if(j&1){a=pb()|0;A9(f);A9(g);Xaa(m);break}A9(f);c=k[20063]|0;d=((c+1|0)>>>0)%624|0;a=77756+(c<<2)|0;b=77756+(d<<2)|0;j=k[b>>2]|0;k[a>>2]=0-(j&1)&-1727483681^k[77756+((((c+397|0)>>>0)%624|0)<<2)>>2]^(j&2147483646|k[a>>2]&-2147483648)>>>1;a=k[77756+(k[20063]<<2)>>2]|0;a=a>>>11^a;k[20063]=d;a=a<<7&-1658038656^a;a=a<<15&-272236544^a;j=((d+1|0)>>>0)%624|0;c=k[77756+(j<<2)>>2]|0;k[b>>2]=0-(c&1)&-1727483681^k[77756+((((d+397|0)>>>0)%624|0)<<2)>>2]^(c&2147483646|k[b>>2]&-2147483648)>>>1;b=k[77756+(k[20063]<<2)>>2]|0;b=b>>>11^b;k[20063]=j;b=b<<7&-1658038656^b;b=b<<15&-272236544^b;j=o+8|0;y=0;c=ta(47,j|0,40485,1)|0;d=y;y=0;if(!(d&1)){k[c+(k[(k[c>>2]|0)+-12>>2]|0)+76>>2]=48;k[c+(k[(k[c>>2]|0)+-12>>2]|0)+12>>2]=8;d=c+(k[(k[c>>2]|0)+-12>>2]|0)+4|0;k[d>>2]=k[d>>2]&-75|8;y=0;Ha(976,c|0,~~((+((a>>>18^a)>>>0)+ +((b>>>18^b)>>>0)*4294967296.0)*5.421010862427522e-20*4294967296.0+0.0)>>>0|0)|0;d=y;y=0;if(d&1){e=pb()|0;k[o>>2]=15972;k[n>>2]=16012;k[j>>2]=15992;k[m>>2]=15832;A9(g);Xaa(m);nla(o,16064);Vja(n);sb(e|0)}y=0;d=qa(315,80)|0;c=y;y=0;if(!(c&1)){c=h;a=e;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));y=0;oa(530,i|0,m|0);e=y;y=0;do if(e&1)a=pb()|0;else{y=0;c=f;a=h;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));Ea(2,d|0,f|0,i|0,0,0,0,1);e=y;y=0;if(e&1){a=pb()|0;A9(i);break}else{A9(i);k[o>>2]=15972;k[n>>2]=16012;k[j>>2]=15992;k[m>>2]=15832;A9(g);Xaa(m);nla(o,16064);Vja(n);r=l;return d|0}}while(0);cra(d);e=a;k[o>>2]=15972;k[n>>2]=16012;k[j>>2]=15992;k[m>>2]=15832;A9(g);Xaa(m);nla(o,16064);Vja(n);sb(e|0)}}e=pb()|0;k[o>>2]=15972;k[n>>2]=16012;k[j>>2]=15992;k[m>>2]=15832;A9(g);Xaa(m);nla(o,16064);Vja(n);sb(e|0)}while(0);nla(o,16064);e=a;Vja(n);sb(e|0);return 0}function Lh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=IR(d)|0;Ay(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j){l=h;break}else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else l=0}h=i[o>>0]|0;h=h<<24>>24<0?k[m>>2]|0:h&255;if((k[s>>2]|0)==(d+h|0)){y=0;Na(90,B|0,h<<1|0,0);j=y;y=0;if(j&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);j=y;y=0;if(j&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+h}h=g+12|0;a=k[h>>2]|0;j=g+16|0;if((a|0)==(k[j>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(_q(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){h=l;z=39;break}a=k[h>>2]|0;if((a|0)==(k[j>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[h>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(16,d|0,k[s>>2]|0,e|0,u|0)|0;d=N;C=y;y=0;b:do if(!(C&1)){C=f;k[C>>2]=a;k[C+4>>2]=d;Az(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;A9(B);A9(A);r=x;return C|0}while(0);a=pb()|0}}A9(B);A9(A);sb(a|0);return 0}function Mh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;m=r;r=r+64|0;e=m+40|0;j=m+48|0;f=m+32|0;g=m+24|0;h=m+16|0;i=m+8|0;l=m;d=k[(k[b>>2]|0)+116>>2]|0;c=b+64|0;LT(e,k[c>>2]|0);k[e>>2]=11804;y=0;d=Ha(d|0,b|0,e|0)|0;n=y;y=0;if(n&1){n=pb()|0;DO(e);sb(n|0)}DO(e);do if(d){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,48580,1);y=0;oa(679,a+4|0,j|0);n=y;y=0;if(!(n&1)){A9(j);break}n=pb()|0;A9(j);sb(n|0)}while(0);LT(f,k[c>>2]|0);k[f>>2]=11804;n=k[f+4>>2]|0;y=0;oa(k[(k[n>>2]|0)+44>>2]|0,n|0,a|0);n=y;y=0;if(n&1){n=pb()|0;DO(f);sb(n|0)}DO(f);n=k[(k[b>>2]|0)+116>>2]|0;LT(g,k[c>>2]|0);k[g>>2]=11804;y=0;c=Ha(n|0,b|0,g|0)|0;n=y;y=0;if(n&1){n=pb()|0;DO(g);sb(n|0)}DO(g);do if(c){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,48585,1);y=0;oa(679,a+4|0,j|0);n=y;y=0;if(!(n&1)){A9(j);break}n=pb()|0;A9(j);sb(n|0)}while(0);a:do switch(k[b+76>>2]|0){case 0:{c=a+4|0;Bla(c);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,48632,3);y=0;Na(147,c|0,j|0,b|0);n=y;y=0;if(!(n&1)){A9(j);Bla(c);break a}n=pb()|0;A9(j);sb(n|0)}case 1:{c=a+4|0;Bla(c);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,48636,2);y=0;Na(147,c|0,j|0,b|0);n=y;y=0;if(!(n&1)){A9(j);Bla(c);break a}n=pb()|0;A9(j);sb(n|0)}default:{}}while(0);d=k[(k[b>>2]|0)+116>>2]|0;c=b+72|0;LT(h,k[c>>2]|0);k[h>>2]=11804;y=0;d=Ha(d|0,b|0,h|0)|0;n=y;y=0;if(n&1){n=pb()|0;DO(h);sb(n|0)}DO(h);do if(d){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,48580,1);y=0;oa(679,a+4|0,j|0);n=y;y=0;if(!(n&1)){A9(j);break}n=pb()|0;A9(j);sb(n|0)}while(0);LT(i,k[c>>2]|0);k[i>>2]=11804;n=k[i+4>>2]|0;y=0;oa(k[(k[n>>2]|0)+44>>2]|0,n|0,a|0);n=y;y=0;if(n&1){n=pb()|0;DO(i);sb(n|0)}DO(i);n=k[(k[b>>2]|0)+116>>2]|0;LT(l,k[c>>2]|0);k[l>>2]=11804;y=0;c=Ha(n|0,b|0,l|0)|0;n=y;y=0;if(n&1){n=pb()|0;DO(l);sb(n|0)}DO(l);if(!c){r=m;return}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,48585,1);y=0;oa(679,a+4|0,j|0);n=y;y=0;if(n&1){n=pb()|0;A9(j);sb(n|0)}else{A9(j);r=m;return}}function Nh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=IR(d)|0;Ay(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j){l=h;break}else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else l=0}h=i[o>>0]|0;h=h<<24>>24<0?k[m>>2]|0:h&255;if((k[s>>2]|0)==(d+h|0)){y=0;Na(90,B|0,h<<1|0,0);j=y;y=0;if(j&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);j=y;y=0;if(j&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+h}h=g+12|0;a=k[h>>2]|0;j=g+16|0;if((a|0)==(k[j>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(_q(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){h=l;z=39;break}a=k[h>>2]|0;if((a|0)==(k[j>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[h>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(20,d|0,k[s>>2]|0,e|0,u|0)|0;d=N;C=y;y=0;b:do if(!(C&1)){C=f;k[C>>2]=a;k[C+4>>2]=d;Az(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;A9(B);A9(A);r=x;return C|0}while(0);a=pb()|0}}A9(B);A9(A);sb(a|0);return 0}function Oh(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;t=r;r=r+112|0;p=t+64|0;x=t+52|0;w=t+32|0;v=t+24|0;q=t+40|0;s=t+12|0;u=t;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,39221,8);y=0;g=p;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));l=sa(26,x|0,a|0,d|0,p|0,f|0)|0;o=y;y=0;if(o&1){w=pb()|0;A9(x);x=w;sb(x|0)}A9(x);LT(x,0);k[x>>2]=16664;m=(k[l+68>>2]|0)-(k[l+64>>2]|0)>>3;a:do if(!m)b=x+4|0;else{n=w+4|0;o=v+4|0;d=c+16|0;f=u+11|0;c=u+4|0;b=x+4|0;a=0;while(1){y=0;Na(100,w|0,l|0,a|0);j=y;y=0;if(j&1){g=19;break}g=k[n>>2]|0;if(!g)g=0;else g=(k[35]|0)==(k[(k[(k[g>>2]|0)+-4>>2]|0)+4>>2]|0)?g:0;y=0;oa(460,v|0,g|0);j=y;y=0;if(j&1){g=20;break}k[v>>2]=16664;if(!(k[o>>2]|0)){j=k[n>>2]|0;h=k[(k[j>>2]|0)+28>>2]|0;g=k[d>>2]|0;y=0;k[p>>2]=k[g>>2];k[p+4>>2]=k[g+4>>2];k[p+8>>2]=k[g+8>>2];Na(h|0,u|0,j|0,p|0);j=y;y=0;if(j&1){g=22;break}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;g=i[f>>0]|0;g=g<<24>>24<0?k[c>>2]|0:g&255;y=0;Ra(10,s|0,51690,1,g+1|0);j=y;y=0;if(j&1){g=23;break}y=0;ta(41,s|0,((i[f>>0]|0)<0?k[u>>2]|0:u)|0,g|0)|0;j=y;y=0;if(j&1){g=23;break}y=0;g=Ha(974,s|0,39230)|0;j=y;y=0;if(j&1){g=24;break}k[q>>2]=k[g>>2];k[q+4>>2]=k[g+4>>2];k[q+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;g=p;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));oa(454,q|0,p|0);j=y;y=0;if(j&1){g=25;break}A9(q);A9(s);A9(u)}g=k[b>>2]|0;if(!g){k[b>>2]=k[o>>2];y=0;na(424,x|0);j=y;y=0;if(j&1){g=21;break}}else{j=k[o>>2]|0;y=0;g=Ha(k[(k[j>>2]|0)+116>>2]|0,j|0,g|0)|0;j=y;y=0;if(j&1){g=21;break}if(g){if(k[b>>2]|0){y=0;na(423,x|0);j=y;y=0;if(j&1){g=21;break}}k[b>>2]=k[o>>2];y=0;na(424,x|0);j=y;y=0;if(j&1){g=21;break}}}DO(v);DO(w);a=a+1|0;if(a>>>0>=m>>>0)break a}if((g|0)==19)b=pb()|0;else if((g|0)==20){b=pb()|0;g=38}else if((g|0)==21){b=pb()|0;g=37}else if((g|0)==22){b=pb()|0;g=28}else if((g|0)==23){b=pb()|0;A9(s);g=27}else if((g|0)==24){b=pb()|0;g=26}else if((g|0)==25){b=pb()|0;A9(q);g=26}if((g|0)==26){A9(s);g=27}if((g|0)==27){A9(u);g=28}if((g|0)==28)g=37;if((g|0)==37){DO(v);g=38}if((g|0)==38)DO(w);DO(x);x=b;sb(x|0)}while(0);b=k[b>>2]|0;if(!b){w=0;DO(x);r=t;return w|0}i[b+8>>0]=1;w=b;DO(x);r=t;return w|0}function Ph(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;t=r;r=r+112|0;p=t+64|0;x=t+52|0;w=t+32|0;v=t+24|0;q=t+40|0;s=t+12|0;u=t;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,39221,8);y=0;g=p;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));l=sa(26,x|0,a|0,d|0,p|0,f|0)|0;o=y;y=0;if(o&1){w=pb()|0;A9(x);x=w;sb(x|0)}A9(x);LT(x,0);k[x>>2]=16664;m=(k[l+68>>2]|0)-(k[l+64>>2]|0)>>3;a:do if(!m)b=x+4|0;else{n=w+4|0;o=v+4|0;d=c+16|0;f=u+11|0;c=u+4|0;b=x+4|0;a=0;while(1){y=0;Na(100,w|0,l|0,a|0);j=y;y=0;if(j&1){g=19;break}g=k[n>>2]|0;if(!g)g=0;else g=(k[35]|0)==(k[(k[(k[g>>2]|0)+-4>>2]|0)+4>>2]|0)?g:0;y=0;oa(460,v|0,g|0);j=y;y=0;if(j&1){g=20;break}k[v>>2]=16664;if(!(k[o>>2]|0)){j=k[n>>2]|0;h=k[(k[j>>2]|0)+28>>2]|0;g=k[d>>2]|0;y=0;k[p>>2]=k[g>>2];k[p+4>>2]=k[g+4>>2];k[p+8>>2]=k[g+8>>2];Na(h|0,u|0,j|0,p|0);j=y;y=0;if(j&1){g=22;break}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;g=i[f>>0]|0;g=g<<24>>24<0?k[c>>2]|0:g&255;y=0;Ra(10,s|0,51690,1,g+1|0);j=y;y=0;if(j&1){g=23;break}y=0;ta(41,s|0,((i[f>>0]|0)<0?k[u>>2]|0:u)|0,g|0)|0;j=y;y=0;if(j&1){g=23;break}y=0;g=Ha(974,s|0,39263)|0;j=y;y=0;if(j&1){g=24;break}k[q>>2]=k[g>>2];k[q+4>>2]=k[g+4>>2];k[q+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;g=p;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));oa(454,q|0,p|0);j=y;y=0;if(j&1){g=25;break}A9(q);A9(s);A9(u)}g=k[b>>2]|0;if(!g){k[b>>2]=k[o>>2];y=0;na(424,x|0);j=y;y=0;if(j&1){g=21;break}}else{y=0;g=Ha(k[(k[g>>2]|0)+116>>2]|0,g|0,k[o>>2]|0)|0;j=y;y=0;if(j&1){g=21;break}if(g){if(k[b>>2]|0){y=0;na(423,x|0);j=y;y=0;if(j&1){g=21;break}}k[b>>2]=k[o>>2];y=0;na(424,x|0);j=y;y=0;if(j&1){g=21;break}}}DO(v);DO(w);a=a+1|0;if(a>>>0>=m>>>0)break a}if((g|0)==19)b=pb()|0;else if((g|0)==20){b=pb()|0;g=38}else if((g|0)==21){b=pb()|0;g=37}else if((g|0)==22){b=pb()|0;g=28}else if((g|0)==23){b=pb()|0;A9(s);g=27}else if((g|0)==24){b=pb()|0;g=26}else if((g|0)==25){b=pb()|0;A9(q);g=26}if((g|0)==26){A9(s);g=27}if((g|0)==27){A9(u);g=28}if((g|0)==28)g=37;if((g|0)==37){DO(v);g=38}if((g|0)==38)DO(w);DO(x);x=b;sb(x|0)}while(0);b=k[b>>2]|0;if(!b){w=0;DO(x);r=t;return w|0}i[b+8>>0]=1;w=b;DO(x);r=t;return w|0}function Qh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=r;r=r+16|0;D=E;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,87975,0);B=b+12|0;C=b+16|0;c=k[B>>2]|0;if((k[C>>2]|0)==(c|0)){r=E;return}z=b+48|0;A=D+11|0;o=D+4|0;p=D+11|0;q=D+4|0;s=D+11|0;t=D+4|0;u=D+11|0;v=D+4|0;w=D+11|0;x=D+4|0;d=0;h=0;j=0;l=0;m=0;n=0;b=c;while(1){F=b;F=F+(m*24|0)|0;c=k[F+12>>2]|0;b=h;h=k[F+16>>2]|0;e=j;j=k[F>>2]|0;f=l;l=k[F+4>>2]|0;g=n;n=k[F+8>>2]|0;if((c|0)==(d|0))if(!m)c=d;else{y=0;Ha(974,a|0,51413)|0;F=y;y=0;if(F&1){c=13;break}else c=d}else if(c>>>0>d>>>0){k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;Na(116,D|0,c-d|0,59);F=y;y=0;if(F&1){c=8;break}F=i[w>>0]|0;d=F<<24>>24<0;y=0;ta(41,a|0,(d?k[D>>2]|0:D)|0,(d?k[x>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=9;break}A9(D);b=0}else{c=d;b=0}y=0;Na(155,D|0,z|0,h-b|0);F=y;y=0;if(F&1){c=23;break}F=i[A>>0]|0;d=F<<24>>24<0;y=0;ta(41,a|0,(d?k[D>>2]|0:D)|0,(d?k[o>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=24;break}A9(D);y=0;Na(155,D|0,z|0,n-g|0);F=y;y=0;if(F&1){c=26;break}F=i[p>>0]|0;g=F<<24>>24<0;y=0;ta(41,a|0,(g?k[D>>2]|0:D)|0,(g?k[q>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=27;break}A9(D);y=0;Na(155,D|0,z|0,j-e|0);F=y;y=0;if(F&1){c=29;break}F=i[s>>0]|0;g=F<<24>>24<0;y=0;ta(41,a|0,(g?k[D>>2]|0:D)|0,(g?k[t>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=30;break}A9(D);y=0;Na(155,D|0,z|0,l-f|0);F=y;y=0;if(F&1){c=32;break}F=i[u>>0]|0;g=F<<24>>24<0;y=0;ta(41,a|0,(g?k[D>>2]|0:D)|0,(g?k[v>>2]|0:F&255)|0)|0;F=y;y=0;if(F&1){c=33;break}A9(D);m=m+1|0;b=k[B>>2]|0;if(m>>>0>=(((k[C>>2]|0)-b|0)/24|0)>>>0){c=36;break}else d=c}switch(c|0){case 8:{b=pb()|0;c=10;break}case 9:{b=pb()|0;A9(D);c=10;break}case 13:{F=pb()|0;A9(a);sb(F|0)}case 23:{b=pb()|0;c=25;break}case 24:{b=pb()|0;A9(D);c=25;break}case 26:{b=pb()|0;c=28;break}case 27:{b=pb()|0;A9(D);c=28;break}case 29:{b=pb()|0;c=31;break}case 30:{b=pb()|0;A9(D);c=31;break}case 32:{b=pb()|0;c=34;break}case 33:{b=pb()|0;A9(D);c=34;break}case 36:{r=E;return}}if((c|0)==10){F=b;A9(a);sb(F|0)}else if((c|0)==25){F=b;A9(a);sb(F|0)}else if((c|0)==28){F=b;A9(a);sb(F|0)}else if((c|0)==31){F=b;A9(a);sb(F|0)}else if((c|0)==34){F=b;A9(a);sb(F|0)}}function Rh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+304|0;q=z+200|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=IR(d)|0;Ay(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{d=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=d;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;l=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;m=y;y=0;if(m&1){A=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;l=1}else l=0}h=k[c>>2]|0;do if(!h)A=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;A=20;break}else if(l)break;else{A=39;break a}}while(0);if((A|0)==20){A=0;if(l){h=0;A=39;break}else h=0}l=i[p>>0]|0;l=l<<24>>24<0?k[n>>2]|0:l&255;if((k[t>>2]|0)==(d+l|0)){y=0;Na(90,C|0,l<<1|0,0);m=y;y=0;if(m&1){A=31;break}if((i[p>>0]|0)<0)a=(k[o>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,C|0,a|0,0);m=y;y=0;if(m&1){A=31;break}d=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=d+l}l=g+12|0;a=k[l>>2]|0;m=g+16|0;if((a|0)==(k[m>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;D=y;y=0;if(D&1){A=29;break}}else a=k[a>>2]|0;if(_q(a,v,d,t,u,k[s>>2]|0,B,w,x,q)|0){A=39;break}a=k[l>>2]|0;if((a|0)==(k[m>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;D=y;y=0;if(D&1){A=29;break}else continue}else{k[l>>2]=a+4;continue}}if((A|0)==29)a=pb()|0;else if((A|0)==31)a=pb()|0;else if((A|0)==39){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){a=k[x>>2]|0;if((a-w|0)<160){D=k[u>>2]|0;k[x>>2]=a+4;k[a>>2]=D}}y=0;a=Ma(19,d|0,k[t>>2]|0,e|0,v|0)|0;D=y;y=0;b:do if(!(D&1)){j[f>>1]=a;Az(B,w,k[x>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;D=y;y=0;if(D&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)A=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;A=55;break}else if(d)break;else{A=57;break}}while(0);if((A|0)==55)if(d)A=57;if((A|0)==57)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;A9(C);A9(B);r=z;return D|0}while(0);a=pb()|0}}A9(C);A9(B);sb(a|0);return 0}function Sh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=IR(d)|0;Ay(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j)break;else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else h=0}j=i[o>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[s>>2]|0)==(d+j|0)){y=0;Na(90,B|0,j<<1|0,0);l=y;y=0;if(l&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);l=y;y=0;if(l&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+j}j=g+12|0;a=k[j>>2]|0;l=g+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(_q(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){z=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[j>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(17,d|0,k[s>>2]|0,e|0,u|0)|0;C=y;y=0;b:do if(!(C&1)){k[f>>2]=a;Az(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;A9(B);A9(A);r=x;return C|0}while(0);a=pb()|0}}A9(B);A9(A);sb(a|0);return 0}function Th(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=IR(d)|0;Ay(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j)break;else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else h=0}j=i[o>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[s>>2]|0)==(d+j|0)){y=0;Na(90,B|0,j<<1|0,0);l=y;y=0;if(l&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);l=y;y=0;if(l&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+j}j=g+12|0;a=k[j>>2]|0;l=g+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(_q(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){z=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[j>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(18,d|0,k[s>>2]|0,e|0,u|0)|0;C=y;y=0;b:do if(!(C&1)){k[f>>2]=a;Az(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;A9(B);A9(A);r=x;return C|0}while(0);a=pb()|0}}A9(B);A9(A);sb(a|0);return 0}function Uh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;z=0;x=r;r=r+304|0;p=x+200|0;q=x+196|0;A=x+184|0;B=x+172|0;s=x+168|0;v=x+8|0;w=x+4|0;t=x;u=IR(d)|0;Ay(A,d,p,q);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}o=B+11|0;if((i[o>>0]|0)<0)a=(k[B+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);n=y;y=0;if(n&1)a=pb()|0;else{d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d;k[w>>2]=v;k[t>>2]=0;m=B+4|0;n=B+8|0;g=k[b>>2]|0;a:while(1){if(!g){g=0;j=1}else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;l=y;y=0;if(l&1){z=29;break}}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;g=0;j=1}else j=0}h=k[c>>2]|0;do if(!h)z=20;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;l=y;y=0;if(l&1){z=29;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=20;break}else if(j)break;else{z=39;break a}}while(0);if((z|0)==20){z=0;if(j){h=0;z=39;break}else h=0}j=i[o>>0]|0;j=j<<24>>24<0?k[m>>2]|0:j&255;if((k[s>>2]|0)==(d+j|0)){y=0;Na(90,B|0,j<<1|0,0);l=y;y=0;if(l&1){z=31;break}if((i[o>>0]|0)<0)a=(k[n>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,B|0,a|0,0);l=y;y=0;if(l&1){z=31;break}d=(i[o>>0]|0)<0?k[B>>2]|0:B;k[s>>2]=d+j}j=g+12|0;a=k[j>>2]|0;l=g+16|0;if((a|0)==(k[l>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}}else a=k[a>>2]|0;if(_q(a,u,d,s,t,k[q>>2]|0,A,v,w,p)|0){z=39;break}a=k[j>>2]|0;if((a|0)==(k[l>>2]|0)){y=0;qa(k[(k[g>>2]|0)+40>>2]|0,g|0)|0;C=y;y=0;if(C&1){z=29;break}else continue}else{k[j>>2]=a+4;continue}}if((z|0)==29)a=pb()|0;else if((z|0)==31)a=pb()|0;else if((z|0)==39){C=i[A+11>>0]|0;if((C<<24>>24<0?k[A+4>>2]|0:C&255)|0){a=k[w>>2]|0;if((a-v|0)<160){C=k[t>>2]|0;k[w>>2]=a+4;k[a>>2]=C}}y=0;a=Ma(21,d|0,k[s>>2]|0,e|0,u|0)|0;C=y;y=0;b:do if(!(C&1)){k[f>>2]=a;Az(A,v,k[w>>2]|0,e);if(!g)d=1;else{a=k[g+12>>2]|0;if((a|0)==(k[g+16>>2]|0)){y=0;a=qa(k[(k[g>>2]|0)+36>>2]|0,g|0)|0;C=y;y=0;if(C&1)break}else a=k[a>>2]|0;if((a|0)==-1){k[b>>2]=0;d=1}else d=0}do if(!h)z=55;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;C=y;y=0;if(C&1)break b}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;z=55;break}else if(d)break;else{z=57;break}}while(0);if((z|0)==55)if(d)z=57;if((z|0)==57)k[e>>2]=k[e>>2]|2;C=k[b>>2]|0;A9(B);A9(A);r=x;return C|0}while(0);a=pb()|0}}A9(B);A9(A);sb(a|0);return 0}function Vh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;u=0;A=r;r=r+64|0;v=A+44|0;z=A;w=A+40|0;t=b+72|0;x=b+76|0;s=b+80|0;m=(k[s>>2]|0)-(k[x>>2]|0)>>3;a:do if(m|0){n=v+11|0;o=v+4|0;p=z+11|0;q=z+4|0;l=0;b:while(1){mc[k[(k[a>>2]|0)+32>>2]&1023](v,a);y=0;c=Ha(k[(k[t>>2]|0)+16>>2]|0,t|0,l|0)|0;j=y;y=0;if(j&1){u=13;break}j=k[c+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+32>>2]|0,z|0,j|0);j=y;y=0;if(j&1){u=13;break}e=i[n>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[o>>2]|0:e;j=i[p>>0]|0;c=j<<24>>24<0;do if((g|0)==((c?k[q>>2]|0:j&255)|0)){h=k[v>>2]|0;j=f?h:v;c=c?k[z>>2]|0:z;d=(g|0)==0;if(f){if(d){u=44;break b}j=(bN(j,c,g)|0)==0;A9(z);A9(v);if(j){u=47;break b}else break}if(d){u=45;break b}if((h&255)<<24>>24==(i[c>>0]|0)){d=v;do{e=e+-1|0;d=d+1|0;if(!e){u=46;break b}c=c+1|0}while((i[d>>0]|0)==(i[c>>0]|0))}A9(z);A9(v)}else{A9(z);A9(v)}while(0);l=l+1|0;if(l>>>0>=m>>>0)break a}if((u|0)==13){A=pb()|0;A9(v);sb(A|0)}else if((u|0)==44){A9(z);A9(v);r=A;return b|0}else if((u|0)==45){A9(z);A9(v);r=A;return b|0}else if((u|0)==46){A9(z);A9(v);r=A;return b|0}else if((u|0)==47){r=A;return b|0}}while(0);if(!a)aca();q=k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0;c=k[x>>2]|0;h=(k[s>>2]|0)-c>>3;d=(h|0)!=0;c:do if((q|0)==30322|((q|0)==30192|(q|0)==30296))if(d){f=b+76|0;g=h+-1|0;d=0;while(1){e=k[c+(d<<3)+4>>2]|0;if(!e)u=25;else if((k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30192)u=29;else u=25;do if((u|0)==25){u=0;e=k[c+(d<<3)+4>>2]|0;if(e|0)if((k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30296){u=29;break}e=k[c+(d<<3)+4>>2]|0;if(e|0)if((k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30322)u=29}while(0);if((u|0)==29){u=0;s=k[c+(g<<3)+4>>2]|0;if(oc[k[(k[s>>2]|0)+152>>2]&511](s)|0)break}d=d+1|0;if(d>>>0>=h>>>0){u=37;break c}c=k[f>>2]|0}c=k[x>>2]|0}else u=37;else if(d){d=0;while(1){e=k[c+(d<<3)+4>>2]|0;if(e|0){if((k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30192)break c;if((k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30296)break c;if((k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30322)break c}d=d+1|0;if(d>>>0>=h>>>0){u=37;break}}}else u=37;while(0);if((u|0)==37){LT(v,a);k[v>>2]=13284;y=0;oa(118,t|0,v|0);x=y;y=0;if(x&1){A=pb()|0;DO(v);sb(A|0)}DO(v);e=b+32|0;f=z;c=a+12|0;d=f+40|0;do{k[f>>2]=k[c>>2];f=f+4|0;c=c+4|0}while((f|0)<(d|0));SQ(e,z+20|0);r=A;return b|0}k[w>>2]=c+(d<<3);LT(z,a);k[z>>2]=13284;y=0;k[v>>2]=k[w>>2];ta(43,x|0,v|0,z|0)|0;a=y;y=0;if(a&1){A=pb()|0;DO(z);sb(A|0)}else{DO(z);r=A;return b|0}return 0}function Wh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;d=0;l=r;r=r+48|0;m=l+32|0;n=l+24|0;h=l+8|0;i=l;if(oc[k[(k[b>>2]|0)+76>>2]&511](b)|0){r=l;return}LT(m,k[b+76>>2]|0);k[m>>2]=11804;y=0;oa(460,n|0,k[b+68>>2]|0);j=y;y=0;if(j&1){n=pb()|0;DO(m);sb(n|0)}k[n>>2]=6868;j=a+4|0;y=0;c=qa(394,j|0)|0;g=y;y=0;a:do if(g&1)d=9;else{y=0;c=Ha(1001,b|0,c|0)|0;g=y;y=0;if(g&1)d=9;else{b:do if(c){y=0;c=qa(394,j|0)|0;g=y;y=0;if(g&1){d=9;break a}if(!c){g=a+76|0;k[g>>2]=(k[g>>2]|0)+(k[b+56>>2]|0)}y=0;na(454,j|0);g=y;y=0;if(g&1){d=9;break a}k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,48808,9);g=y;y=0;do if(g&1)c=pb()|0;else{y=0;Na(147,j|0,h|0,b|0);g=y;y=0;if(g&1){c=pb()|0;A9(h);break}A9(h);y=0;na(456,j|0);h=y;y=0;if(h&1){d=9;break a}h=k[m+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){d=9;break a}y=0;oa(680,j|0,0);h=y;y=0;if(h&1){d=9;break a}g=n+4|0;d=k[g>>2]|0;h=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>3;c:do if(h|0){e=i+4|0;f=h+-1|0;c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;o=y;y=0;if(o&1){d=39;break}y=0;oa(460,i|0,k[d+4>>2]|0);o=y;y=0;if(o&1){d=39;break}k[i>>2]=6508;o=k[e>>2]|0;y=0;oa(k[(k[o>>2]|0)+44>>2]|0,o|0,a|0);o=y;y=0;if(o&1){d=40;break}if(c>>>0<f>>>0){y=0;na(457,j|0);o=y;y=0;if(o&1){d=40;break}}DO(i);c=c+1|0;if(c>>>0>=h>>>0)break c;d=k[g>>2]|0}if((d|0)==39){c=pb()|0;break a}else if((d|0)==40){c=pb()|0;DO(i);break a}}while(0);y=0;c=qa(394,j|0)|0;o=y;y=0;if(o&1){d=9;break a}if(!c){o=a+76|0;k[o>>2]=(k[o>>2]|0)-(k[b+56>>2]|0)}y=0;oa(681,j|0,0);o=y;y=0;if(o&1){d=9;break a}else break b}while(0);break a}else{e=n+4|0;d=k[e>>2]|0;f=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>3;if(f|0){g=h+4|0;c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;o=y;y=0;if(o&1){d=15;break}y=0;oa(460,h|0,k[d+4>>2]|0);o=y;y=0;if(o&1){d=15;break}k[h>>2]=6508;y=0;d=qa(342,k[g>>2]|0)|0;o=y;y=0;if(o&1){d=16;break}if(d|0){o=k[g>>2]|0;y=0;oa(k[(k[o>>2]|0)+44>>2]|0,o|0,a|0);o=y;y=0;if(o&1){d=16;break}}DO(h);c=c+1|0;if(c>>>0>=f>>>0)break b;d=k[e>>2]|0}if((d|0)==15){c=pb()|0;break a}else if((d|0)==16){c=pb()|0;DO(h);break a}}}while(0);DO(n);DO(m);r=l;return}}while(0);if((d|0)==9)c=pb()|0;DO(n);o=c;DO(m);sb(o|0)}function Xh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;q=0;u=r;r=r+80|0;d=u+64|0;e=u+56|0;f=u+48|0;i=u+40|0;p=u+72|0;g=u+32|0;l=u+24|0;m=u+16|0;s=u+8|0;n=u;o=a+84|0;t=a+88|0;c=k[t>>2]|0;if((c|0)==(k[o>>2]|0)){LT(d,0);c=d}else{LT(d,k[c+-4>>2]|0);c=d}k[d>>2]=6756;j=k[d+4>>2]|0;DO(c);if(!j){r=u;return 0}LT(e,k[b+68>>2]|0);k[e>>2]=6756;b=k[e+4>>2]|0;DO(e);if(!b){r=u;return 0}h=b+96|0;LT(f,k[h>>2]|0);k[f>>2]=15628;c=k[f+4>>2]|0;DO(f);do if(c){if(oc[k[(k[c>>2]|0)+80>>2]&511](c)|0){b=a+60|0;e=a+64|0;d=k[e>>2]|0;c=k[b>>2]|0;if(d-c>>2>>>0<=1){oN(b);c=k[b>>2]|0;d=k[e>>2]|0}c=c+4|0;if((d|0)==(k[a+68>>2]|0))rA(b,c);else{k[d>>2]=k[c>>2];k[e>>2]=(k[e>>2]|0)+4}LT(i,k[h>>2]|0);k[i>>2]=15628;y=0;c=Ha(542,a+8|0,k[i+4>>2]|0)|0;h=y;y=0;if(!(h&1)){DO(i);k[e>>2]=(k[e>>2]|0)+-4;b=c;break}u=pb()|0;DO(i);sb(u|0)}LT(p,0);k[p>>2]=6756;c=k[t>>2]|0;if(c>>>0<(k[a+92>>2]|0)>>>0){y=0;oa(460,c|0,k[p+4>>2]|0);i=y;y=0;if(i&1)q=24;else{k[c>>2]=6756;k[t>>2]=(k[t>>2]|0)+8}}else{y=0;oa(646,o|0,p|0);i=y;y=0;if(i&1)q=24}if((q|0)==24){u=pb()|0;DO(p);sb(u|0)}DO(p);LT(g,k[h>>2]|0);k[g>>2]=15628;y=0;b=Ha(542,a+8|0,k[g+4>>2]|0)|0;i=y;y=0;if(i&1){u=pb()|0;DO(g);sb(u|0)}else{DO(g);d=k[t>>2]|0;c=d+-8|0;do{i=d+-8|0;k[t>>2]=i;lc[k[k[i>>2]>>2]&511](i);d=k[t>>2]|0}while((d|0)!=(c|0))}}while(0);c=k[b+76>>2]|0;e=k[b+80>>2]|0;a:do if((c|0)!=(e|0)){f=p+4|0;g=l+4|0;h=m+4|0;i=a+100|0;while(1){LT(p,k[c+4>>2]|0);k[p>>2]=15136;d=k[f>>2]|0;if(d|0){y=0;oa(460,l|0,k[d+80>>2]|0);d=y;y=0;if(d&1)break;k[l>>2]=15152;d=(k[g>>2]|0)==0;DO(l);if(!d){y=0;oa(460,m|0,k[(k[f>>2]|0)+80>>2]|0);d=y;y=0;if(d&1)break;k[m>>2]=15152;k[(k[h>>2]|0)+64>>2]=k[(k[i>>2]|0)+-4>>2];DO(m)}}DO(p);c=c+8|0;if((c|0)==(e|0))break a}u=pb()|0;DO(p);sb(u|0)}while(0);LT(p,0);k[p>>2]=6756;c=k[t>>2]|0;if(c>>>0<(k[a+92>>2]|0)>>>0){y=0;oa(460,c|0,k[p+4>>2]|0);o=y;y=0;if(o&1)q=43;else{k[c>>2]=6756;k[t>>2]=(k[t>>2]|0)+8}}else{y=0;oa(646,o|0,p|0);o=y;y=0;if(o&1)q=43}if((q|0)==43){u=pb()|0;DO(p);sb(u|0)}DO(p);LT(s,b);k[s>>2]=15168;y=0;oa(460,n|0,j|0);q=y;y=0;do if(q&1)c=pb()|0;else{k[n>>2]=6756;y=0;Na(137,a|0,s|0,n|0);q=y;y=0;if(q&1){c=pb()|0;DO(n);break}DO(n);DO(s);d=k[t>>2]|0;c=d+-8|0;do{s=d+-8|0;k[t>>2]=s;lc[k[k[s>>2]>>2]&511](s);d=k[t>>2]|0}while((d|0)!=(c|0));r=u;return 0}while(0);DO(s);u=c;sb(u|0);return 0}function Yh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,m=0,n=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;E=0;D=r;r=r+240|0;u=D+200|0;v=D+199|0;w=D+198|0;G=D+184|0;F=D+172|0;z=D+168|0;B=D+8|0;C=D+4|0;A=D;x=D+197|0;t=D+196|0;Nw(G,d,u,v,w);k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[F+(a<<2)>>2]=0;a=a+1|0}s=F+11|0;if((i[s>>0]|0)<0)a=(k[F+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,F|0,a|0,0);q=y;y=0;if(q&1)a=pb()|0;else{h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h;k[C>>2]=B;k[A>>2]=0;i[x>>0]=1;i[t>>0]=69;p=F+4|0;q=F+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;n=y;y=0;if(n&1){E=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;j=k[c>>2]|0;do if(!j)E=19;else{if((k[j+12>>2]|0)!=(k[j+16>>2]|0))if(d)break;else{E=38;break a}y=0;m=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;n=y;y=0;if(n&1){E=28;break a}if((m|0)==-1){k[c>>2]=0;E=19;break}else if(d)break;else{E=38;break a}}while(0);if((E|0)==19){E=0;if(d){j=0;E=38;break}else j=0}m=i[s>>0]|0;m=m<<24>>24<0?k[p>>2]|0:m&255;if((k[z>>2]|0)==(h+m|0)){y=0;Na(90,F|0,m<<1|0,0);n=y;y=0;if(n&1){E=30;break}if((i[s>>0]|0)<0)d=(k[q>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,F|0,d|0,0);n=y;y=0;if(n&1){E=30;break}h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h+m}m=a+12|0;d=k[m>>2]|0;n=a+16|0;if((d|0)==(k[n>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}}else d=l[d>>0]|0;if(bo(d&255,x,t,h,z,i[v>>0]|0,i[w>>0]|0,G,B,C,A,u)|0){E=38;break}d=k[m>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}else continue}else{k[m>>2]=d+1;continue}}if((E|0)==28)a=pb()|0;else if((E|0)==30)a=pb()|0;else if((E|0)==38){H=i[G+11>>0]|0;if(!((i[x>>0]|0)==0?1:((H<<24>>24<0?k[G+4>>2]|0:H&255)|0)==0)){d=k[C>>2]|0;if((d-B|0)<160){H=k[A>>2]|0;k[C>>2]=d+4;k[d>>2]=H}}y=0;g=+Ja(4,h|0,k[z>>2]|0,e|0);H=y;y=0;b:do if(!(H&1)){o[f>>2]=g;Az(G,B,k[C>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!j)E=53;else{if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;a=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;H=y;y=0;if(H&1)break b;if((a|0)==-1){k[c>>2]=0;E=53;break}}if(!d)E=54}while(0);if((E|0)==53)if(d)E=54;if((E|0)==54)k[e>>2]=k[e>>2]|2;H=k[b>>2]|0;A9(F);A9(G);r=D;return H|0}while(0);a=pb()|0}}A9(F);A9(G);sb(a|0);return 0}function Zh(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;E=0;D=r;r=r+240|0;u=D+200|0;v=D+199|0;w=D+198|0;G=D+184|0;F=D+172|0;z=D+168|0;B=D+8|0;C=D+4|0;A=D;x=D+197|0;t=D+196|0;Nw(G,d,u,v,w);k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[F+(a<<2)>>2]=0;a=a+1|0}s=F+11|0;if((i[s>>0]|0)<0)a=(k[F+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,F|0,a|0,0);q=y;y=0;if(q&1)a=pb()|0;else{h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h;k[C>>2]=B;k[A>>2]=0;i[x>>0]=1;i[t>>0]=69;o=F+4|0;q=F+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;n=y;y=0;if(n&1){E=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;j=k[c>>2]|0;do if(!j)E=19;else{if((k[j+12>>2]|0)!=(k[j+16>>2]|0))if(d)break;else{E=38;break a}y=0;m=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;n=y;y=0;if(n&1){E=28;break a}if((m|0)==-1){k[c>>2]=0;E=19;break}else if(d)break;else{E=38;break a}}while(0);if((E|0)==19){E=0;if(d){j=0;E=38;break}else j=0}m=i[s>>0]|0;m=m<<24>>24<0?k[o>>2]|0:m&255;if((k[z>>2]|0)==(h+m|0)){y=0;Na(90,F|0,m<<1|0,0);n=y;y=0;if(n&1){E=30;break}if((i[s>>0]|0)<0)d=(k[q>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,F|0,d|0,0);n=y;y=0;if(n&1){E=30;break}h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h+m}m=a+12|0;d=k[m>>2]|0;n=a+16|0;if((d|0)==(k[n>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}}else d=l[d>>0]|0;if(bo(d&255,x,t,h,z,i[v>>0]|0,i[w>>0]|0,G,B,C,A,u)|0){E=38;break}d=k[m>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}else continue}else{k[m>>2]=d+1;continue}}if((E|0)==28)a=pb()|0;else if((E|0)==30)a=pb()|0;else if((E|0)==38){H=i[G+11>>0]|0;if(!((i[x>>0]|0)==0?1:((H<<24>>24<0?k[G+4>>2]|0:H&255)|0)==0)){d=k[C>>2]|0;if((d-B|0)<160){H=k[A>>2]|0;k[C>>2]=d+4;k[d>>2]=H}}y=0;g=+Ja(2,h|0,k[z>>2]|0,e|0);H=y;y=0;b:do if(!(H&1)){p[f>>3]=g;Az(G,B,k[C>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!j)E=53;else{if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;a=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;H=y;y=0;if(H&1)break b;if((a|0)==-1){k[c>>2]=0;E=53;break}}if(!d)E=54}while(0);if((E|0)==53)if(d)E=54;if((E|0)==54)k[e>>2]=k[e>>2]|2;H=k[b>>2]|0;A9(F);A9(G);r=D;return H|0}while(0);a=pb()|0}}A9(F);A9(G);sb(a|0);return 0}function _h(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;E=0;D=r;r=r+240|0;u=D+200|0;v=D+199|0;w=D+198|0;G=D+184|0;F=D+172|0;z=D+168|0;B=D+8|0;C=D+4|0;A=D;x=D+197|0;t=D+196|0;Nw(G,d,u,v,w);k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[F+(a<<2)>>2]=0;a=a+1|0}s=F+11|0;if((i[s>>0]|0)<0)a=(k[F+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,F|0,a|0,0);q=y;y=0;if(q&1)a=pb()|0;else{h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h;k[C>>2]=B;k[A>>2]=0;i[x>>0]=1;i[t>>0]=69;o=F+4|0;q=F+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;n=y;y=0;if(n&1){E=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;j=k[c>>2]|0;do if(!j)E=19;else{if((k[j+12>>2]|0)!=(k[j+16>>2]|0))if(d)break;else{E=38;break a}y=0;m=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;n=y;y=0;if(n&1){E=28;break a}if((m|0)==-1){k[c>>2]=0;E=19;break}else if(d)break;else{E=38;break a}}while(0);if((E|0)==19){E=0;if(d){j=0;E=38;break}else j=0}m=i[s>>0]|0;m=m<<24>>24<0?k[o>>2]|0:m&255;if((k[z>>2]|0)==(h+m|0)){y=0;Na(90,F|0,m<<1|0,0);n=y;y=0;if(n&1){E=30;break}if((i[s>>0]|0)<0)d=(k[q>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,F|0,d|0,0);n=y;y=0;if(n&1){E=30;break}h=(i[s>>0]|0)<0?k[F>>2]|0:F;k[z>>2]=h+m}m=a+12|0;d=k[m>>2]|0;n=a+16|0;if((d|0)==(k[n>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}}else d=l[d>>0]|0;if(bo(d&255,x,t,h,z,i[v>>0]|0,i[w>>0]|0,G,B,C,A,u)|0){E=38;break}d=k[m>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;H=y;y=0;if(H&1){E=28;break}else continue}else{k[m>>2]=d+1;continue}}if((E|0)==28)a=pb()|0;else if((E|0)==30)a=pb()|0;else if((E|0)==38){H=i[G+11>>0]|0;if(!((i[x>>0]|0)==0?1:((H<<24>>24<0?k[G+4>>2]|0:H&255)|0)==0)){d=k[C>>2]|0;if((d-B|0)<160){H=k[A>>2]|0;k[C>>2]=d+4;k[d>>2]=H}}y=0;g=+Ja(3,h|0,k[z>>2]|0,e|0);H=y;y=0;b:do if(!(H&1)){p[f>>3]=g;Az(G,B,k[C>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;H=y;y=0;if(H&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!j)E=53;else{if((k[j+12>>2]|0)==(k[j+16>>2]|0)){y=0;a=qa(k[(k[j>>2]|0)+36>>2]|0,j|0)|0;H=y;y=0;if(H&1)break b;if((a|0)==-1){k[c>>2]=0;E=53;break}}if(!d)E=54}while(0);if((E|0)==53)if(d)E=54;if((E|0)==54)k[e>>2]=k[e>>2]|2;H=k[b>>2]|0;A9(F);A9(G);r=D;return H|0}while(0);a=pb()|0}}A9(F);A9(G);sb(a|0);return 0}function $h(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;C=r;r=r+1008|0;t=C+8|0;g=C;a=C+896|0;m=C+888|0;h=C+488|0;G=C+480|0;u=C+892|0;v=C+476|0;w=C+472|0;D=C+460|0;E=C+448|0;F=C+436|0;s=C+432|0;l=C+32|0;x=C+24|0;z=C+20|0;A=C+16|0;k[m>>2]=a;p[t>>3]=f;a=IS(a,100,57777,t)|0;do if(a>>>0>99){y=0;a=La(3)|0;B=y;y=0;if(B&1){g=0;a=0;B=8}else{y=0;p[g>>3]=f;j=Ma(22,m|0,a|0,57777,g|0)|0;B=y;y=0;if(B&1){g=0;a=0;B=8}else{a=k[m>>2]|0;if(!a){y=0;la(6);B=y;y=0;if(B&1){g=0;a=0;B=8;break}a=k[m>>2]|0}h=ud(j<<2)|0;g=h;if(!h){y=0;la(6);B=y;y=0;if(B&1)B=8;else{h=0;o=j;q=g;B=11}}else{o=j;q=g;B=11}}}}else{o=a;q=0;a=0;B=11}while(0);if((B|0)==11){y=0;g=qa(323,d|0)|0;n=y;y=0;if(n&1){g=q;B=8}else{k[G>>2]=g;y=0;n=Ha(977,G|0,83992)|0;j=y;y=0;do if(j&1)h=pb()|0;else{j=k[m>>2]|0;y=0;Ma(k[(k[n>>2]|0)+48>>2]|0,n|0,j|0,j+o|0,h|0)|0;j=y;y=0;if(j&1){h=pb()|0;break}if(!o)m=0;else m=(i[k[m>>2]>>0]|0)==45;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[D+(g<<2)>>2]=0;g=g+1|0}k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[E+(g<<2)>>2]=0;g=g+1|0}k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[F+(g<<2)>>2]=0;g=g+1|0}y=0;Ga(4,c|0,m|0,G|0,u|0,v|0,w|0,D|0,E|0,F|0,s|0);c=y;y=0;if(c&1)h=pb()|0;else{j=k[s>>2]|0;if((o|0)>(j|0)){c=i[F+8+3>>0]|0;g=i[E+8+3>>0]|0;g=(c<<24>>24<0?k[F+4>>2]|0:c&255)+(o-j<<1|1)+(g<<24>>24<0?k[E+4>>2]|0:g&255)|0}else{c=i[F+8+3>>0]|0;g=i[E+8+3>>0]|0;g=(c<<24>>24<0?k[F+4>>2]|0:c&255)+2+(g<<24>>24<0?k[E+4>>2]|0:g&255)|0}g=g+j|0;do if(g>>>0>100){l=ud(g<<2)|0;g=l;if(!l){y=0;la(6);c=y;y=0;if(c&1){h=pb()|0;break}else{l=0;j=k[s>>2]|0;B=37;break}}else B=37}else{g=0;B=37}while(0);if((B|0)==37){y=0;va(2,l|0,x|0,z|0,k[d+4>>2]|0,h|0,h+(o<<2)|0,n|0,m|0,u|0,k[v>>2]|0,k[w>>2]|0,D|0,E|0,F|0,j|0);w=y;y=0;if(!(w&1)){k[A>>2]=k[b>>2];b=k[x>>2]|0;h=k[z>>2]|0;y=0;k[t>>2]=k[A>>2];h=pa(42,t|0,l|0,b|0,h|0,d|0,e|0)|0;e=y;y=0;if(!(e&1)){if(g|0)Wf(g);X8(F);X8(E);A9(D);RQ(k[G>>2]|0)|0;if(q|0)Wf(q);if(a|0)Wf(a);r=C;return h|0}}h=pb()|0}if(g|0)Wf(g)}X8(F);X8(E);A9(D);g=k[G>>2]|0}while(0);RQ(g)|0;g=q}}if((B|0)==8)h=pb()|0;if(g|0)Wf(g);if(a|0)Wf(a);sb(h|0);return 0}function ai(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=IR(d)|0;By(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(90,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(Yq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(16,g|0,k[t>>2]|0,e|0,v|0)|0;g=N;D=y;y=0;b:do if(!(D&1)){D=f;k[D>>2]=d;k[D+4>>2]=g;Az(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;A9(C);A9(B);r=z;return D|0}while(0);a=pb()|0}}A9(C);A9(B);sb(a|0);return 0}function bi(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=IR(d)|0;By(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(90,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(Yq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(20,g|0,k[t>>2]|0,e|0,v|0)|0;g=N;D=y;y=0;b:do if(!(D&1)){D=f;k[D>>2]=d;k[D+4>>2]=g;Az(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;A9(C);A9(B);r=z;return D|0}while(0);a=pb()|0}}A9(C);A9(B);sb(a|0);return 0}function ci(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;C=r;r=r+384|0;t=C+8|0;g=C;a=C+284|0;m=C+72|0;h=C+184|0;G=C+68|0;u=C+180|0;v=C+177|0;w=C+176|0;D=C+56|0;E=C+44|0;F=C+32|0;s=C+28|0;l=C+76|0;x=C+24|0;z=C+20|0;A=C+16|0;k[m>>2]=a;p[t>>3]=f;a=IS(a,100,57777,t)|0;do if(a>>>0>99){y=0;a=La(3)|0;B=y;y=0;if(B&1){g=0;a=0;B=8}else{y=0;p[g>>3]=f;j=Ma(22,m|0,a|0,57777,g|0)|0;B=y;y=0;if(B&1){g=0;a=0;B=8}else{a=k[m>>2]|0;if(!a){y=0;la(6);B=y;y=0;if(B&1){g=0;a=0;B=8;break}a=k[m>>2]|0}h=ud(j)|0;g=h;if(!h){y=0;la(6);B=y;y=0;if(B&1)B=8;else{h=0;o=j;q=g;B=11}}else{o=j;q=g;B=11}}}}else{o=a;q=0;a=0;B=11}while(0);if((B|0)==11){y=0;g=qa(323,d|0)|0;n=y;y=0;if(n&1){g=q;B=8}else{k[G>>2]=g;y=0;n=Ha(977,G|0,83960)|0;j=y;y=0;do if(j&1)h=pb()|0;else{j=k[m>>2]|0;y=0;Ma(k[(k[n>>2]|0)+32>>2]|0,n|0,j|0,j+o|0,h|0)|0;j=y;y=0;if(j&1){h=pb()|0;break}if(!o)m=0;else m=(i[k[m>>2]>>0]|0)==45;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[D+(g<<2)>>2]=0;g=g+1|0}k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[E+(g<<2)>>2]=0;g=g+1|0}k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;g=0;while(1){if((g|0)==3)break;k[F+(g<<2)>>2]=0;g=g+1|0}y=0;Ga(3,c|0,m|0,G|0,u|0,v|0,w|0,D|0,E|0,F|0,s|0);c=y;y=0;if(c&1)h=pb()|0;else{j=k[s>>2]|0;if((o|0)>(j|0)){c=i[F+11>>0]|0;g=i[E+11>>0]|0;g=(c<<24>>24<0?k[F+4>>2]|0:c&255)+(o-j<<1|1)+(g<<24>>24<0?k[E+4>>2]|0:g&255)|0}else{c=i[F+11>>0]|0;g=i[E+11>>0]|0;g=(c<<24>>24<0?k[F+4>>2]|0:c&255)+2+(g<<24>>24<0?k[E+4>>2]|0:g&255)|0}g=g+j|0;do if(g>>>0>100){l=ud(g)|0;g=l;if(!l){y=0;la(6);c=y;y=0;if(c&1){h=pb()|0;break}else{l=0;j=k[s>>2]|0;B=37;break}}else B=37}else{g=0;B=37}while(0);if((B|0)==37){y=0;va(1,l|0,x|0,z|0,k[d+4>>2]|0,h|0,h+o|0,n|0,m|0,u|0,i[v>>0]|0,i[w>>0]|0,D|0,E|0,F|0,j|0);w=y;y=0;if(!(w&1)){k[A>>2]=k[b>>2];b=k[x>>2]|0;h=k[z>>2]|0;y=0;k[t>>2]=k[A>>2];h=pa(39,t|0,l|0,b|0,h|0,d|0,e|0)|0;e=y;y=0;if(!(e&1)){if(g|0)Wf(g);A9(F);A9(E);A9(D);RQ(k[G>>2]|0)|0;if(q|0)Wf(q);if(a|0)Wf(a);r=C;return h|0}}h=pb()|0}if(g|0)Wf(g)}A9(F);A9(E);A9(D);g=k[G>>2]|0}while(0);RQ(g)|0;g=q}}if((B|0)==8)h=pb()|0;if(g|0)Wf(g);if(a|0)Wf(a);sb(h|0);return 0}
function di(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=0;u=r;r=r+16|0;s=u;switch((b-a|0)/12|0|0){case 2:{c=b+-12|0;g=i[c+11>>0]|0;f=g<<24>>24<0;g=f?k[b+-8>>2]|0:g&255;h=i[a+11>>0]|0;e=h<<24>>24<0;h=e?k[a+4>>2]|0:h&255;d=h>>>0<g>>>0?h:g;if(!d)t=4;else{d=bN(f?k[c>>2]|0:c,e?k[a>>2]|0:a,d)|0;if(!d)t=4;else if((d|0)>=0){t=1;r=u;return t|0}}do if((t|0)==4)if(g>>>0<h>>>0)break;else{t=1;r=u;return t|0}while(0);k[s>>2]=k[a>>2];k[s+4>>2]=k[a+4>>2];k[s+8>>2]=k[a+8>>2];k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];k[c>>2]=k[s>>2];k[c+4>>2]=k[s+4>>2];k[c+8>>2]=k[s+8>>2];t=1;r=u;return t|0}case 3:{Zj(a,a+12|0,b+-12|0,c)|0;t=1;r=u;return t|0}case 4:{sm(a,a+12|0,a+24|0,b+-12|0,c)|0;t=1;r=u;return t|0}case 5:{bk(a,a+12|0,a+24|0,a+36|0,b+-12|0,c)|0;t=1;r=u;return t|0}case 1:case 0:{t=1;r=u;return t|0}default:{d=a+24|0;Zj(a,a+12|0,d,c)|0;c=a+36|0;a:do if((c|0)==(b|0)){p=1;q=0}else{n=s+11|0;o=s+4|0;m=c;c=0;j=d;b:while(1){g=i[m+11>>0]|0;e=g<<24>>24<0;g=e?k[m+4>>2]|0:g&255;h=i[j+11>>0]|0;f=h<<24>>24<0;h=f?k[j+4>>2]|0:h&255;d=h>>>0<g>>>0?h:g;if(!d)t=15;else{d=bN(e?k[m>>2]|0:m,f?k[j>>2]|0:j,d)|0;if(!d)t=15;else if((d|0)<0){d=m;t=18}}if((t|0)==15){t=0;if(g>>>0<h>>>0){d=m;t=18}}if((t|0)==18){t=0;k[s>>2]=k[d>>2];k[s+4>>2]=k[d+4>>2];k[s+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=m;while(1){i[d>>0]=0;i[d+11>>0]=0;y=0;oa(500,d|0,0);l=y;y=0;if(l&1){t=20;break b}k[d>>2]=k[j>>2];k[d+4>>2]=k[j+4>>2];k[d+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;if((j|0)==(a|0)){d=a;break}g=j+-12|0;h=i[n>>0]|0;e=h<<24>>24<0;h=e?k[o>>2]|0:h&255;l=i[g+11>>0]|0;f=l<<24>>24<0;l=f?k[j+-8>>2]|0:l&255;d=l>>>0<h>>>0?l:h;if(d|0){d=bN(e?k[s>>2]|0:s,f?k[g>>2]|0:g,d)|0;if(d|0)if((d|0)<0){d=j;j=g;continue}else{d=j;break}}if(h>>>0<l>>>0){d=j;j=g}else{d=j;break}}e=d+11|0;if((i[e>>0]|0)<0){i[k[d>>2]>>0]=0;k[d+4>>2]=0}else{i[j>>0]=0;i[e>>0]=0}y=0;oa(500,d|0,0);l=y;y=0;if(l&1){t=30;break}k[j>>2]=k[s>>2];k[j+4>>2]=k[s+4>>2];k[j+8>>2]=k[s+8>>2];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;c=c+1|0;A9(s);if((c|0)==8){p=0;q=(m+12|0)==(b|0);break a}}d=m+12|0;if((d|0)==(b|0)){p=1;q=0;break a}else{j=m;m=d}}if((t|0)==20){t=tb(0)|0;Sla(t)}else if((t|0)==30){t=tb(0)|0;Sla(t)}}while(0);t=q|p;r=u;return t|0}}return 0}function ei(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0.0;v=r;r=r+208|0;s=v+160|0;w=v;u=v+144|0;h=s;j=d;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));q=Am(a,b,c,s,g)|0;x=+p[q+64>>3];if(!(!(x>=e)|!(x<=f))){r=v;return q|0}t=w+64|0;b=w+8|0;k[b>>2]=15992;o=w+12|0;k[w>>2]=16032;k[t>>2]=16052;k[w+4>>2]=0;y=0;oa(528,w+64|0,o|0);n=y;y=0;if(n&1){w=pb()|0;Vja(t);sb(w|0)}k[w+136>>2]=0;k[w+140>>2]=-1;k[w>>2]=15972;k[t>>2]=16012;k[b>>2]=15992;y=0;na(433,o|0);n=y;y=0;do if(n&1)b=pb()|0;else{k[o>>2]=15832;m=w+44|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;k[w+60>>2]=24;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;oa(529,o|0,s|0);n=y;y=0;if(n&1){b=pb()|0;A9(s);A9(m);Xaa(o);break}A9(s);n=w+8|0;y=0;b=ta(47,n|0,38037,10)|0;l=y;y=0;if(!(l&1)){l=i[a+11>>0]|0;j=l<<24>>24<0;y=0;b=ta(47,b|0,(j?k[a>>2]|0:a)|0,(j?k[a+4>>2]|0:l&255)|0)|0;a=y;y=0;if(!(a&1)){y=0;b=ta(47,b|0,38048,6)|0;a=y;y=0;if(!(a&1)){a=IJ(c)|0;y=0;b=ta(47,b|0,c|0,a|0)|0;c=y;y=0;if(!(c&1)){y=0;ta(47,b|0,38072,18)|0;c=y;y=0;if(!(c&1)){y=0;b=Da(1,n|0,+e)|0;c=y;y=0;if(!(c&1)){y=0;b=ta(47,b|0,48622,5)|0;c=y;y=0;if(!(c&1)){y=0;Da(1,b|0,+f)|0;c=y;y=0;if(!(c&1)){y=0;oa(530,u|0,o|0);c=y;y=0;if(!(c&1)){y=0;h=s;j=d;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Na(98,u|0,s|0,g|0);g=y;y=0;if(g&1){v=pb()|0;A9(u);k[w>>2]=15972;k[t>>2]=16012;k[n>>2]=15992;k[o>>2]=15832;A9(m);Xaa(o);nla(w,16064);Vja(t);sb(v|0)}else{A9(u);k[w>>2]=15972;k[t>>2]=16012;k[n>>2]=15992;k[o>>2]=15832;A9(m);Xaa(o);nla(w,16064);Vja(t);r=v;return q|0}}}}}}}}}}v=pb()|0;k[w>>2]=15972;k[t>>2]=16012;k[n>>2]=15992;k[o>>2]=15832;A9(m);Xaa(o);nla(w,16064);Vja(t);sb(v|0)}while(0);nla(w,16064);w=b;Vja(t);sb(w|0);return 0}function fi(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;B=0;A=r;r=r+224|0;s=A+198|0;t=A+196|0;C=A+184|0;D=A+172|0;u=A+168|0;x=A+8|0;z=A+4|0;v=A;w=IR(d)|0;By(C,d,s,t);k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[D+(a<<2)>>2]=0;a=a+1|0}q=D+11|0;if((i[q>>0]|0)<0)a=(k[D+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,D|0,a|0,0);p=y;y=0;if(p&1)a=pb()|0;else{g=(i[q>>0]|0)<0?k[D>>2]|0:D;k[u>>2]=g;k[z>>2]=x;k[v>>2]=0;o=D+4|0;p=D+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;n=y;y=0;if(n&1){B=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)B=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{B=38;break a}y=0;m=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;n=y;y=0;if(n&1){B=28;break a}if((m|0)==-1){k[c>>2]=0;B=19;break}else if(d)break;else{B=38;break a}}while(0);if((B|0)==19){B=0;if(d){h=0;B=38;break}else h=0}m=i[q>>0]|0;m=m<<24>>24<0?k[o>>2]|0:m&255;if((k[u>>2]|0)==(g+m|0)){y=0;Na(90,D|0,m<<1|0,0);n=y;y=0;if(n&1){B=30;break}if((i[q>>0]|0)<0)d=(k[p>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,D|0,d|0,0);n=y;y=0;if(n&1){B=30;break}g=(i[q>>0]|0)<0?k[D>>2]|0:D;k[u>>2]=g+m}m=a+12|0;d=k[m>>2]|0;n=a+16|0;if((d|0)==(k[n>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;E=y;y=0;if(E&1){B=28;break}}else d=l[d>>0]|0;if(Yq(d&255,w,g,u,v,i[t>>0]|0,C,x,z,s)|0){B=38;break}d=k[m>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;E=y;y=0;if(E&1){B=28;break}else continue}else{k[m>>2]=d+1;continue}}if((B|0)==28)a=pb()|0;else if((B|0)==30)a=pb()|0;else if((B|0)==38){E=i[C+11>>0]|0;if((E<<24>>24<0?k[C+4>>2]|0:E&255)|0){d=k[z>>2]|0;if((d-x|0)<160){E=k[v>>2]|0;k[z>>2]=d+4;k[d>>2]=E}}y=0;d=Ma(19,g|0,k[u>>2]|0,e|0,w|0)|0;E=y;y=0;b:do if(!(E&1)){j[f>>1]=d;Az(C,x,k[z>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;E=y;y=0;if(E&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)B=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;E=y;y=0;if(E&1)break b;if((a|0)==-1){k[c>>2]=0;B=53;break}}if(!d)B=54}while(0);if((B|0)==53)if(d)B=54;if((B|0)==54)k[e>>2]=k[e>>2]|2;E=k[b>>2]|0;A9(D);A9(C);r=A;return E|0}while(0);a=pb()|0}}A9(D);A9(C);sb(a|0);return 0}function gi(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=IR(d)|0;By(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(90,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(Yq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(17,g|0,k[t>>2]|0,e|0,v|0)|0;D=y;y=0;b:do if(!(D&1)){k[f>>2]=d;Az(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;A9(C);A9(B);r=z;return D|0}while(0);a=pb()|0}}A9(C);A9(B);sb(a|0);return 0}function hi(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=IR(d)|0;By(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(90,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(Yq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(18,g|0,k[t>>2]|0,e|0,v|0)|0;D=y;y=0;b:do if(!(D&1)){k[f>>2]=d;Az(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;A9(C);A9(B);r=z;return D|0}while(0);a=pb()|0}}A9(C);A9(B);sb(a|0);return 0}function ii(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;A=0;z=r;r=r+224|0;q=z+198|0;s=z+196|0;B=z+184|0;C=z+172|0;t=z+168|0;w=z+8|0;x=z+4|0;u=z;v=IR(d)|0;By(B,d,q,s);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}p=C+11|0;if((i[p>>0]|0)<0)a=(k[C+8>>2]&2147483647)+-1|0;else a=10;y=0;Na(90,C|0,a|0,0);o=y;y=0;if(o&1)a=pb()|0;else{g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g;k[x>>2]=w;k[u>>2]=0;n=C+4|0;o=C+8|0;a=k[b>>2]|0;a:while(1){if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;m=y;y=0;if(m&1){A=28;break}if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;h=k[c>>2]|0;do if(!h)A=19;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d)break;else{A=38;break a}y=0;j=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;m=y;y=0;if(m&1){A=28;break a}if((j|0)==-1){k[c>>2]=0;A=19;break}else if(d)break;else{A=38;break a}}while(0);if((A|0)==19){A=0;if(d){h=0;A=38;break}else h=0}j=i[p>>0]|0;j=j<<24>>24<0?k[n>>2]|0:j&255;if((k[t>>2]|0)==(g+j|0)){y=0;Na(90,C|0,j<<1|0,0);m=y;y=0;if(m&1){A=30;break}if((i[p>>0]|0)<0)d=(k[o>>2]&2147483647)+-1|0;else d=10;y=0;Na(90,C|0,d|0,0);m=y;y=0;if(m&1){A=30;break}g=(i[p>>0]|0)<0?k[C>>2]|0:C;k[t>>2]=g+j}j=a+12|0;d=k[j>>2]|0;m=a+16|0;if((d|0)==(k[m>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}}else d=l[d>>0]|0;if(Yq(d&255,v,g,t,u,i[s>>0]|0,B,w,x,q)|0){A=38;break}d=k[j>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;qa(k[(k[a>>2]|0)+40>>2]|0,a|0)|0;D=y;y=0;if(D&1){A=28;break}else continue}else{k[j>>2]=d+1;continue}}if((A|0)==28)a=pb()|0;else if((A|0)==30)a=pb()|0;else if((A|0)==38){D=i[B+11>>0]|0;if((D<<24>>24<0?k[B+4>>2]|0:D&255)|0){d=k[x>>2]|0;if((d-w|0)<160){D=k[u>>2]|0;k[x>>2]=d+4;k[d>>2]=D}}y=0;d=Ma(21,g|0,k[t>>2]|0,e|0,v|0)|0;D=y;y=0;b:do if(!(D&1)){k[f>>2]=d;Az(B,w,k[x>>2]|0,e);if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;d=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;D=y;y=0;if(D&1)break;if((d|0)==-1){k[b>>2]=0;a=0}}d=(a|0)==0;do if(!h)A=53;else{if((k[h+12>>2]|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;D=y;y=0;if(D&1)break b;if((a|0)==-1){k[c>>2]=0;A=53;break}}if(!d)A=54}while(0);if((A|0)==53)if(d)A=54;if((A|0)==54)k[e>>2]=k[e>>2]|2;D=k[b>>2]|0;A9(C);A9(B);r=z;return D|0}while(0);a=pb()|0}}A9(C);A9(B);sb(a|0);return 0}function ji(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;v=0;w=r;r=r+48|0;x=w+28|0;u=w;g=k[a+20>>2]|0;c=k[a+24>>2]|0;if(c|0){Dba(c);DY(c)}f=k[b+20>>2]|0;c=k[b+24>>2]|0;if(c|0){Dba(c);DY(c)}s=g+20|0;q=k[s>>2]|0;t=f+20|0;HB(u,k[t>>2]|0);y=0;Na(145,x|0,q|0,u|0);q=y;y=0;if(q&1){b=pb()|0;e=k[u>>2]|0;f=e;if(e|0){c=u+4|0;a=k[c>>2]|0;if((a|0)!=(e|0))k[c>>2]=a+(~((a+-4-f|0)>>>2)<<2);cra(e)}x=b;sb(x|0)}c=k[u>>2]|0;a=c;if(c|0){b=u+4|0;e=k[b>>2]|0;if((e|0)!=(c|0))k[b>>2]=e+(~((e+-4-a|0)>>>2)<<2);cra(c)}a=k[s>>2]|0;a:do if(a>>>0>1){o=g+16|0;m=g+4|0;n=f+16|0;i=f+4|0;q=u+12|0;j=u+16|0;l=u+20|0;p=u+24|0;h=1;c=k[t>>2]|0;b:while(1){if(c>>>0>1){g=h+-1|0;f=1;do{y=0;na(451,u|0);e=y;y=0;if(e&1){v=34;break b}a=(k[o>>2]|0)+h|0;c=k[(k[m>>2]|0)+(((a>>>0)/146|0)<<2)>>2]|0;a=(a>>>0)%146|0;b=c+(a*28|0)|0;e=(k[n>>2]|0)+f|0;y=0;e=Ha(1025,b|0,(k[(k[i>>2]|0)+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0)|0;z=y;y=0;if(z&1)break b;if(e){k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];if(k[j>>2]|0){y=0;na(423,q|0);z=y;y=0;if(z&1)break b}k[j>>2]=k[c+(a*28|0)+16>>2];y=0;na(424,q|0);z=y;y=0;if(z&1)break b;a=c+(a*28|0)|0;c=k[a+20>>2]|0;a=k[a+24>>2]|0;if(a|0)Dba(a);k[l>>2]=c;c=k[p>>2]|0;k[p>>2]=a;if(c|0)DY(c);z=k[x>>2]|0;k[(k[z+(h*12|0)>>2]|0)+(f<<2)>>2]=(k[(k[z+(g*12|0)>>2]|0)+(f+-1<<2)>>2]|0)+1}else{b=k[x>>2]|0;z=k[b+(h*12|0)>>2]|0;e=k[z+(f+-1<<2)>>2]|0;b=k[(k[b+(g*12|0)>>2]|0)+(f<<2)>>2]|0;k[z+(f<<2)>>2]=(e|0)<(b|0)?b:e}c=k[p>>2]|0;if(c|0)DY(c);DO(q);f=f+1|0;c=k[t>>2]|0}while(f>>>0<c>>>0);a=k[s>>2]|0}h=h+1|0;if(h>>>0>=a>>>0){v=14;break a}}if((v|0)==34){b=pb()|0;i=N;c=x;break}b=pb()|0;a=N;c=k[p>>2]|0;if(c|0)DY(c);DO(q);i=a;c=x}else v=14;while(0);do if((v|0)==14){if((x|0)!=(d|0)){y=0;Na(146,d|0,k[x>>2]|0,k[x+4>>2]|0);z=y;y=0;if(z&1){b=pb()|0;i=N;c=x;break}}c=k[x>>2]|0;if(!c){r=w;return}g=x+4|0;a=k[g>>2]|0;if((a|0)!=(c|0)){do{b=a+-12|0;k[g>>2]=b;e=k[b>>2]|0;f=e;if(!e)a=b;else{a=a+-8|0;b=k[a>>2]|0;if((b|0)!=(e|0))k[a>>2]=b+(~((b+-4-f|0)>>>2)<<2);cra(e);a=k[g>>2]|0}}while((a|0)!=(c|0));c=k[x>>2]|0}cra(c);r=w;return}while(0);c=k[c>>2]|0;if(c|0){h=x+4|0;a=k[h>>2]|0;if((a|0)!=(c|0)){do{e=a+-12|0;k[h>>2]=e;f=k[e>>2]|0;g=f;if(!f)a=e;else{a=a+-8|0;e=k[a>>2]|0;if((e|0)!=(f|0))k[a>>2]=e+(~((e+-4-g|0)>>>2)<<2);cra(f);a=k[h>>2]|0}}while((a|0)!=(c|0));c=k[x>>2]|0}cra(c)}z=b;sb(z|0)}function ki(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;l=r;r=r+176|0;n=l+152|0;o=l+8|0;j=l;c=wi(b,c,a)|0;m=o+64|0;a=o+8|0;k[a>>2]=15992;h=o+12|0;k[o>>2]=16032;k[m>>2]=16052;k[o+4>>2]=0;y=0;oa(528,o+64|0,h|0);g=y;y=0;if(g&1){o=pb()|0;Vja(m);sb(o|0)}k[o+136>>2]=0;k[o+140>>2]=-1;k[o>>2]=15972;k[m>>2]=16012;k[a>>2]=15992;y=0;na(433,h|0);g=y;y=0;do if(g&1)a=pb()|0;else{k[h>>2]=15832;f=o+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[o+60>>2]=24;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;oa(529,h|0,n|0);g=y;y=0;if(g&1){a=pb()|0;A9(n);A9(f);Xaa(h);break}A9(n);g=o+8|0;p=c+72|0;a=i[p+11>>0]|0;b=a<<24>>24<0;y=0;a=ta(47,g|0,(b?k[p>>2]|0:p)|0,(b?k[c+76>>2]|0:a&255)|0)|0;b=y;y=0;if(!(b&1)){y=0;a=ta(47,a|0,47269,3)|0;p=y;y=0;if(!(p&1)){y=0;Ha(976,a|0,d|0)|0;p=y;y=0;if(!(p&1)){k[c+92>>2]=e;y=0;oa(530,n|0,h|0);p=y;y=0;if(p&1)a=pb()|0;else{y=0;b=Ha(975,e|0,n|0)|0;p=y;y=0;if(p&1)a=pb()|0;else{y=0;oa(460,j|0,c|0);p=y;y=0;do if(p&1)a=pb()|0;else{k[j>>2]=6336;if((b|0)==(j|0)){DO(j);A9(n);k[o>>2]=15972;k[m>>2]=16012;k[g>>2]=15992;k[h>>2]=15832;A9(f);Xaa(h);nla(o,16064);Vja(m);r=l;return}a=b+4|0;if(k[a>>2]|0){y=0;na(423,b|0);p=y;y=0;if(p&1){a=pb()|0;DO(j);break}}p=j+4|0;k[a>>2]=k[p>>2];k[p>>2]=0;DO(j);A9(n);k[o>>2]=15972;k[m>>2]=16012;k[g>>2]=15992;k[h>>2]=15832;A9(f);Xaa(h);nla(o,16064);Vja(m);r=l;return}while(0)}A9(n)}p=a;k[o>>2]=15972;k[m>>2]=16012;k[g>>2]=15992;k[h>>2]=15832;A9(f);Xaa(h);nla(o,16064);Vja(m);sb(p|0)}}}p=pb()|0;k[o>>2]=15972;k[m>>2]=16012;k[g>>2]=15992;k[h>>2]=15832;A9(f);Xaa(h);nla(o,16064);Vja(m);sb(p|0)}while(0);nla(o,16064);p=a;Vja(m);sb(p|0)}function li(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;j=0;h=b+16|0;c=k[h>>2]|0;if(c>>>0>=6)eb(42635,42493,1024,42659);switch(c|0){case 0:{_D(a,48606);return}case 1:{_D(a,i[b+24>>0]|0?58354:58348);return}case 2:{mg(a,k[b+24>>2]|0);return}case 3:{iy(a,+p[b+24>>3]);return}case 4:{c=k[a>>2]|0;l=a+4|0;d=k[l>>2]|0;do if(c>>>0<d>>>0){k[a>>2]=c+1;i[c>>0]=91;j=15}else{g=a+8|0;e=k[g>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=tH(e,d|1)|0;k[g>>2]=c;if(!c){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{n=c+f|0;k[l>>2]=c+d;k[a>>2]=n+1;i[n>>0]=91;if(!b)break;else{j=15;break}}}while(0);a:do if((j|0)==15)if((k[h>>2]&-2|0)==4){c=k[b+24>>2]|0;if(c|0){b=a+8|0;while(1){li(a,c);g=c+8|0;if(!(k[g>>2]|0))break a;c=k[a>>2]|0;d=k[l>>2]|0;if(c>>>0>=d>>>0){e=k[b>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=tH(e,d|1)|0;k[b>>2]=c;if(!c)break;n=c+f|0;k[a>>2]=n;k[l>>2]=c+d;c=n}k[a>>2]=c+1;i[c>>0]=44;c=k[g>>2]|0;if(!c)break a}SN(49612,15,1,k[5390]|0)|0;Zb(1)}}while(0);c=k[a>>2]|0;d=k[l>>2]|0;do if(c>>>0<d>>>0)m=c;else{g=a+8|0;e=k[g>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=tH(e,d|1)|0;k[g>>2]=c;if(!c){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{m=c+f|0;k[a>>2]=m;k[l>>2]=c+d;break}}while(0);k[a>>2]=m+1;i[m>>0]=93;return}case 5:{c=k[a>>2]|0;l=a+4|0;d=k[l>>2]|0;do if(c>>>0<d>>>0){k[a>>2]=c+1;i[c>>0]=123;j=40}else{g=a+8|0;e=k[g>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=tH(e,d|1)|0;k[g>>2]=c;if(!c){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{m=c+f|0;k[l>>2]=c+d;k[a>>2]=m+1;i[m>>0]=123;if(!b)break;else{j=40;break}}}while(0);b:do if((j|0)==40)if((k[h>>2]&-2|0)==4){c=k[b+24>>2]|0;if(c|0){b=a+8|0;while(1){mg(a,k[c+12>>2]|0);d=k[a>>2]|0;e=k[l>>2]|0;if(d>>>0>=e>>>0){f=k[b>>2]|0;g=d-f|0;d=g+1|0;e=e-f|0;do e=e<<1;while(e>>>0<d>>>0);d=tH(f,e|1)|0;k[b>>2]=d;if(!d){j=47;break}m=d+g|0;k[a>>2]=m;k[l>>2]=d+e;d=m}k[a>>2]=d+1;i[d>>0]=58;li(a,c);g=c+8|0;if(!(k[g>>2]|0))break b;c=k[a>>2]|0;d=k[l>>2]|0;if(c>>>0>=d>>>0){e=k[b>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=tH(e,d|1)|0;k[b>>2]=c;if(!c){j=54;break}m=c+f|0;k[a>>2]=m;k[l>>2]=c+d;c=m}k[a>>2]=c+1;i[c>>0]=44;c=k[g>>2]|0;if(!c)break b}if((j|0)==47){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else if((j|0)==54){SN(49612,15,1,k[5390]|0)|0;Zb(1)}}}while(0);c=k[a>>2]|0;d=k[l>>2]|0;do if(c>>>0<d>>>0)n=c;else{g=a+8|0;e=k[g>>2]|0;f=c-e|0;c=f+1|0;d=d-e|0;do d=d<<1;while(d>>>0<c>>>0);c=tH(e,d|1)|0;k[g>>2]=c;if(!c){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{n=c+f|0;k[a>>2]=n;k[l>>2]=c+d;break}}while(0);k[a>>2]=n+1;i[n>>0]=125;return}default:eb(58348,42493,1045,42659)}}function mi(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;i=0;o=r;r=r+32|0;j=o+4|0;g=o;b=a+16|0;c=k[b>>2]|0;if(c>>>0>340){k[b>>2]=c+-341;l=a+4|0;j=k[l>>2]|0;n=k[j>>2]|0;j=j+4|0;k[l>>2]=j;m=a+8|0;h=k[m>>2]|0;i=a+12|0;g=k[i>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(j>>>0>c>>>0){b=j;d=((b-d>>2)+1|0)/-2|0;e=j+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=j;else{fO(e|0,j|0,b|0)|0;b=k[l>>2]|0}a=e+(c<<2)|0;k[m>>2]=a;k[l>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}e=IM(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((j|0)==(h|0))b=g;else{b=g;c=j;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[l>>2]=g;k[m>>2]=b;k[i>>2]=e;if(c){cra(c);b=k[m>>2]|0}}else b=h;while(0);k[b>>2]=n;k[m>>2]=(k[m>>2]|0)+4;r=o;return}n=a+8|0;b=k[n>>2]|0;m=a+4|0;e=b-(k[m>>2]|0)|0;l=a+12|0;c=k[l>>2]|0;d=c-(k[a>>2]|0)|0;if(e>>>0<d>>>0){if((c|0)!=(b|0)){n=IM(4092)|0;k[j>>2]=n;Ju(a,j);r=o;return}i=IM(4092)|0;k[j>>2]=i;du(a,j);i=k[m>>2]|0;j=k[i>>2]|0;i=i+4|0;k[m>>2]=i;h=k[n>>2]|0;g=k[l>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(i>>>0>c>>>0){b=i;d=((b-d>>2)+1|0)/-2|0;e=i+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=i;else{fO(e|0,i|0,b|0)|0;b=k[m>>2]|0}a=e+(c<<2)|0;k[n>>2]=a;k[m>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}e=IM(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((i|0)==(h|0))b=g;else{b=g;c=i;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[m>>2]=g;k[n>>2]=b;k[l>>2]=e;if(c){cra(c);b=k[n>>2]|0}}else b=h;while(0);k[b>>2]=j;k[n>>2]=(k[n>>2]|0)+4;r=o;return}b=d>>1;b=(b|0)==0?1:b;k[j+12>>2]=0;k[j+16>>2]=a+12;if(b>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}d=IM(b<<2)|0;k[j>>2]=d;e=d+(e>>2<<2)|0;h=j+8|0;k[h>>2]=e;f=j+4|0;k[f>>2]=e;e=j+12|0;k[e>>2]=d+(b<<2);y=0;b=qa(315,4092)|0;d=y;y=0;do if(d&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(696,j|0,g|0);g=y;y=0;if(g&1){d=pb()|0;cra(b);break}b=k[n>>2]|0;while(1){d=k[m>>2]|0;if((b|0)==(d|0))break;b=b+-4|0;y=0;oa(697,j|0,b|0);g=y;y=0;if(g&1){i=44;break}}if((i|0)==44){d=pb()|0;break}c=k[a>>2]|0;k[a>>2]=k[j>>2];k[j>>2]=c;k[m>>2]=k[f>>2];k[f>>2]=d;b=k[n>>2]|0;k[n>>2]=k[h>>2];k[h>>2]=b;a=k[l>>2]|0;k[l>>2]=k[e>>2];k[e>>2]=a;if((b|0)!=(d|0))k[h>>2]=b+(~((b+-4-d|0)>>>2)<<2);if(c|0)cra(c);r=o;return}while(0);b=k[f>>2]|0;c=k[h>>2]|0;if((c|0)!=(b|0))k[h>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[j>>2]|0;if(!b)sb(d|0);cra(b);sb(d|0)}function ni(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;i=0;o=r;r=r+32|0;j=o+4|0;g=o;b=a+16|0;c=k[b>>2]|0;if(c>>>0>511){k[b>>2]=c+-512;l=a+4|0;j=k[l>>2]|0;n=k[j>>2]|0;j=j+4|0;k[l>>2]=j;m=a+8|0;h=k[m>>2]|0;i=a+12|0;g=k[i>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(j>>>0>c>>>0){b=j;d=((b-d>>2)+1|0)/-2|0;e=j+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=j;else{fO(e|0,j|0,b|0)|0;b=k[l>>2]|0}a=e+(c<<2)|0;k[m>>2]=a;k[l>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}e=IM(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((j|0)==(h|0))b=g;else{b=g;c=j;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[l>>2]=g;k[m>>2]=b;k[i>>2]=e;if(c){cra(c);b=k[m>>2]|0}}else b=h;while(0);k[b>>2]=n;k[m>>2]=(k[m>>2]|0)+4;r=o;return}n=a+8|0;b=k[n>>2]|0;m=a+4|0;e=b-(k[m>>2]|0)|0;l=a+12|0;c=k[l>>2]|0;d=c-(k[a>>2]|0)|0;if(e>>>0<d>>>0){if((c|0)!=(b|0)){n=IM(4096)|0;k[j>>2]=n;Nu(a,j);r=o;return}i=IM(4096)|0;k[j>>2]=i;iu(a,j);i=k[m>>2]|0;j=k[i>>2]|0;i=i+4|0;k[m>>2]=i;h=k[n>>2]|0;g=k[l>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(i>>>0>c>>>0){b=i;d=((b-d>>2)+1|0)/-2|0;e=i+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=i;else{fO(e|0,i|0,b|0)|0;b=k[m>>2]|0}a=e+(c<<2)|0;k[n>>2]=a;k[m>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}e=IM(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((i|0)==(h|0))b=g;else{b=g;c=i;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[m>>2]=g;k[n>>2]=b;k[l>>2]=e;if(c){cra(c);b=k[n>>2]|0}}else b=h;while(0);k[b>>2]=j;k[n>>2]=(k[n>>2]|0)+4;r=o;return}b=d>>1;b=(b|0)==0?1:b;k[j+12>>2]=0;k[j+16>>2]=a+12;if(b>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}d=IM(b<<2)|0;k[j>>2]=d;e=d+(e>>2<<2)|0;h=j+8|0;k[h>>2]=e;f=j+4|0;k[f>>2]=e;e=j+12|0;k[e>>2]=d+(b<<2);y=0;b=qa(315,4096)|0;d=y;y=0;do if(d&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(673,j|0,g|0);g=y;y=0;if(g&1){d=pb()|0;cra(b);break}b=k[n>>2]|0;while(1){d=k[m>>2]|0;if((b|0)==(d|0))break;b=b+-4|0;y=0;oa(674,j|0,b|0);g=y;y=0;if(g&1){i=44;break}}if((i|0)==44){d=pb()|0;break}c=k[a>>2]|0;k[a>>2]=k[j>>2];k[j>>2]=c;k[m>>2]=k[f>>2];k[f>>2]=d;b=k[n>>2]|0;k[n>>2]=k[h>>2];k[h>>2]=b;a=k[l>>2]|0;k[l>>2]=k[e>>2];k[e>>2]=a;if((b|0)!=(d|0))k[h>>2]=b+(~((b+-4-d|0)>>>2)<<2);if(c|0)cra(c);r=o;return}while(0);b=k[f>>2]|0;c=k[h>>2]|0;if((c|0)!=(b|0))k[h>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[j>>2]|0;if(!b)sb(d|0);cra(b);sb(d|0)}function oi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;h=0;q=r;r=r+144|0;m=q+104|0;d=q+96|0;e=q+88|0;f=q+80|0;o=q+40|0;u=q+24|0;t=q+16|0;s=q+8|0;p=q;v=a+44|0;n=b+72|0;if(!(ZN(n,47991)|0))c=1;else if(!(ZN(n,48010)|0))c=1;else if(!(ZN(n,48026)|0))c=1;else c=(ZN(n,48040)|0)==0;w=i[v>>0]|0;i[v>>0]=c&1;y=0;oa(460,d|0,k[b+68>>2]|0);l=y;y=0;if(l&1){u=pb()|0;i[v>>0]=w;sb(u|0)}k[d>>2]=6868;l=k[d+4>>2]|0;DO(d);y=0;oa(460,e|0,k[b+88>>2]|0);j=y;y=0;if(j&1){u=pb()|0;i[v>>0]=w;sb(u|0)}k[e>>2]=6756;g=k[e+4>>2]|0;DO(e);y=0;oa(460,f|0,k[b+96>>2]|0);j=y;y=0;if(j&1){u=pb()|0;i[v>>0]=w;sb(u|0)}k[f>>2]=7284;e=k[f+4>>2]|0;DO(f);c=a+84|0;y=0;oa(460,m|0,0);j=y;y=0;do if(j&1)c=pb()|0;else{k[m>>2]=6756;f=a+88|0;d=k[f>>2]|0;if(d>>>0<(k[a+92>>2]|0)>>>0){y=0;oa(460,d|0,k[m+4>>2]|0);j=y;y=0;if(j&1)h=19;else{k[d>>2]=6756;k[f>>2]=(k[f>>2]|0)+8}}else{y=0;oa(646,c|0,m|0);j=y;y=0;if(j&1)h=19}if((h|0)==19){c=pb()|0;DO(m);break}DO(m);if(!e){j=0;h=22}else{y=0;c=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,a+8|0)|0;j=y;y=0;if(!(j&1)){j=c;h=22}}do if((h|0)==22){if(!g)h=0;else{y=0;c=Ha(552,a+8|0,g|0)|0;h=y;y=0;if(h&1)break;else h=c}d=k[f>>2]|0;c=d+-8|0;do{g=d+-8|0;k[f>>2]=g;lc[k[k[g>>2]>>2]&511](g);d=k[f>>2]|0}while((d|0)!=(c|0));if(!l)c=0;else{y=0;c=Ha(k[(k[a>>2]|0)+12>>2]|0,a|0,l|0)|0;a=y;y=0;if(a&1)break}y=0;g=qa(315,100)|0;a=y;y=0;if(a&1){u=pb()|0;i[v>>0]=w;sb(u|0)}f=o;d=b+12|0;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));y=0;oa(456,u|0,n|0);n=y;y=0;if(n&1)c=pb()|0;else{y=0;oa(460,t|0,h|0);n=y;y=0;if(n&1)c=pb()|0;else{k[t>>2]=6756;y=0;oa(460,s|0,c|0);n=y;y=0;if(n&1)c=pb()|0;else{k[s>>2]=6868;y=0;oa(460,p|0,j|0);n=y;y=0;do if(n&1)c=pb()|0;else{k[p>>2]=7284;y=0;f=m;d=o;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));ya(20,g|0,m|0,u|0,t|0,s|0,p|0);o=y;y=0;if(o&1){c=pb()|0;DO(p);break}else{DO(p);DO(s);DO(t);A9(u);i[v>>0]=w;r=q;return g|0}}while(0);DO(s)}DO(t)}A9(u)}cra(g);u=c;i[v>>0]=w;sb(u|0)}while(0);u=pb()|0;i[v>>0]=w;sb(u|0)}while(0);u=c;i[v>>0]=w;sb(u|0);return 0}function pi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;n=0;j=r;r=r+64|0;g=j+48|0;e=j+36|0;l=j+24|0;f=j+12|0;h=j;cL(e,82300);y=0;oa(533,a|0,e|0);o=y;y=0;do if(o&1)b=pb()|0;else{k[a>>2]=15668;o=a+8|0;y=0;oa(456,o|0,e|0);m=y;y=0;if(m&1){b=pb()|0;Pca(a);break}A9(e);k[a>>2]=17780;k[a+20>>2]=b;k[a+24>>2]=c;m=a+28|0;y=0;oa(456,m|0,d|0);e=y;y=0;if(e&1)b=pb()|0;else{y=0;Ha(1009,o|0,51987)|0;e=y;y=0;a:do if(e&1)n=19;else{e=k[(k[b>>2]|0)+28>>2]|0;k[f>>2]=0;k[f+4>>2]=5;i[f+8>>0]=0;y=0;k[g>>2]=k[f>>2];k[g+4>>2]=k[f+4>>2];k[g+8>>2]=k[f+8>>2];Na(e|0,l|0,b|0,g|0);f=y;y=0;do if(f&1)b=pb()|0;else{f=i[l+11>>0]|0;e=f<<24>>24<0;y=0;ta(41,o|0,(e?k[l>>2]|0:l)|0,(e?k[l+4>>2]|0:f&255)|0)|0;f=y;y=0;if(f&1){b=pb()|0;A9(l);break}A9(l);k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;b=d+11|0;e=i[b>>0]|0;e=e<<24>>24<0?k[d+4>>2]|0:e&255;y=0;Ra(10,l|0,51792,1,e+1|0);f=y;y=0;if(f&1)n=23;else{y=0;ta(41,l|0,((i[b>>0]|0)<0?k[d>>2]|0:d)|0,e|0)|0;d=y;y=0;if(d&1)n=23;else{y=0;b=Ha(974,l|0,51792)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[g>>2]=k[b>>2];k[g+4>>2]=k[b+4>>2];k[g+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;d=i[g+11>>0]|0;f=d<<24>>24<0;y=0;ta(41,o|0,(f?k[g>>2]|0:g)|0,(f?k[g+4>>2]|0:d&255)|0)|0;d=y;y=0;if(d&1){b=pb()|0;A9(g);break}A9(g);A9(l);d=k[(k[c>>2]|0)+28>>2]|0;k[h>>2]=0;k[h+4>>2]=5;i[h+8>>0]=0;y=0;k[g>>2]=k[h>>2];k[g+4>>2]=k[h+4>>2];k[g+8>>2]=k[h+8>>2];Na(d|0,l|0,c|0,g|0);h=y;y=0;do if(h&1)b=pb()|0;else{h=i[l+11>>0]|0;c=h<<24>>24<0;y=0;ta(41,o|0,(c?k[l>>2]|0:l)|0,(c?k[l+4>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1){b=pb()|0;A9(l);break}A9(l);y=0;Ha(974,o|0,55435)|0;n=y;y=0;if(n&1){n=19;break a}r=j;return}while(0);break a}while(0);A9(l)}}if((n|0)==23){b=pb()|0;A9(l)}break a}while(0)}while(0);if((n|0)==19)b=pb()|0;A9(m)}k[a>>2]=15668;A9(o);Pca(a);o=b;sb(o|0)}while(0);A9(e);o=b;sb(o|0)}function qi(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;i=0;o=r;r=r+32|0;j=o+4|0;g=o;b=a+16|0;c=k[b>>2]|0;if(c>>>0>145){k[b>>2]=c+-146;l=a+4|0;j=k[l>>2]|0;n=k[j>>2]|0;j=j+4|0;k[l>>2]=j;m=a+8|0;h=k[m>>2]|0;i=a+12|0;g=k[i>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(j>>>0>c>>>0){b=j;d=((b-d>>2)+1|0)/-2|0;e=j+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=j;else{fO(e|0,j|0,b|0)|0;b=k[l>>2]|0}a=e+(c<<2)|0;k[m>>2]=a;k[l>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}e=IM(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((j|0)==(h|0))b=g;else{b=g;c=j;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[l>>2]=g;k[m>>2]=b;k[i>>2]=e;if(c){cra(c);b=k[m>>2]|0}}else b=h;while(0);k[b>>2]=n;k[m>>2]=(k[m>>2]|0)+4;r=o;return}n=a+8|0;b=k[n>>2]|0;m=a+4|0;e=b-(k[m>>2]|0)|0;l=a+12|0;c=k[l>>2]|0;d=c-(k[a>>2]|0)|0;if(e>>>0<d>>>0){if((c|0)!=(b|0)){n=IM(4088)|0;k[j>>2]=n;hw(a,j);r=o;return}i=IM(4088)|0;k[j>>2]=i;Eu(a,j);i=k[m>>2]|0;j=k[i>>2]|0;i=i+4|0;k[m>>2]=i;h=k[n>>2]|0;g=k[l>>2]|0;b=g;f=h;do if((h|0)==(g|0)){c=k[a>>2]|0;d=c;if(i>>>0>c>>>0){b=i;d=((b-d>>2)+1|0)/-2|0;e=i+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=i;else{fO(e|0,i|0,b|0)|0;b=k[m>>2]|0}a=e+(c<<2)|0;k[n>>2]=a;k[m>>2]=b+(d<<2);b=a;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}e=IM(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((i|0)==(h|0))b=g;else{b=g;c=i;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[m>>2]=g;k[n>>2]=b;k[l>>2]=e;if(c){cra(c);b=k[n>>2]|0}}else b=h;while(0);k[b>>2]=j;k[n>>2]=(k[n>>2]|0)+4;r=o;return}b=d>>1;b=(b|0)==0?1:b;k[j+12>>2]=0;k[j+16>>2]=a+12;if(b>>>0>1073741823){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}d=IM(b<<2)|0;k[j>>2]=d;e=d+(e>>2<<2)|0;h=j+8|0;k[h>>2]=e;f=j+4|0;k[f>>2]=e;e=j+12|0;k[e>>2]=d+(b<<2);y=0;b=qa(315,4088)|0;d=y;y=0;do if(d&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(515,j|0,g|0);g=y;y=0;if(g&1){d=pb()|0;cra(b);break}b=k[n>>2]|0;while(1){d=k[m>>2]|0;if((b|0)==(d|0))break;b=b+-4|0;y=0;oa(516,j|0,b|0);g=y;y=0;if(g&1){i=44;break}}if((i|0)==44){d=pb()|0;break}c=k[a>>2]|0;k[a>>2]=k[j>>2];k[j>>2]=c;k[m>>2]=k[f>>2];k[f>>2]=d;b=k[n>>2]|0;k[n>>2]=k[h>>2];k[h>>2]=b;a=k[l>>2]|0;k[l>>2]=k[e>>2];k[e>>2]=a;if((b|0)!=(d|0))k[h>>2]=b+(~((b+-4-d|0)>>>2)<<2);if(c|0)cra(c);r=o;return}while(0);b=k[f>>2]|0;c=k[h>>2]|0;if((c|0)!=(b|0))k[h>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[j>>2]|0;if(!b)sb(d|0);cra(b);sb(d|0)}function ri(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;E=0;C=r;r=r+96|0;D=C;A=C+80|0;B=C+40|0;F=IM(108)|0;e=D;c=a+12|0;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));y=0;na(422,F|0);z=y;y=0;do if(z&1)a=pb()|0;else{e=F+12|0;c=D;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));i[F+52>>0]=0;i[F+53>>0]=0;i[F+54>>0]=0;k[F>>2]=13472;i[F+60>>0]=0;i[F+61>>0]=0;i[F+62>>0]=0;k[F+64>>2]=0;k[F+68>>2]=0;k[F+56>>2]=7;z=F+72|0;k[z>>2]=15096;e=F+76|0;f=F+80|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;y=0;oa(512,e|0,0);x=y;y=0;if(x&1){a=pb()|0;d=N;c=k[e>>2]|0;if(c|0){b=k[f>>2]|0;if((b|0)!=(c|0)){do{E=b+-8|0;k[f>>2]=E;lc[k[k[E>>2]>>2]&511](E);b=k[f>>2]|0}while((b|0)!=(c|0));c=k[e>>2]|0}cra(c)}break}k[F>>2]=14880;k[z>>2]=15056;c=F+96|0;k[c>>2]=0;k[F+100>>2]=0;k[F+92>>2]=c;i[F+104>>0]=0;i[F+105>>0]=0;c=k[a+76>>2]|0;x=(k[a+80>>2]|0)-c>>3;if(!x){r=C;return F|0}s=a+76|0;t=b+76|0;u=b+80|0;v=F+32|0;w=B+20|0;m=b+76|0;n=D+11|0;o=D+4|0;p=A+11|0;q=A+4|0;a=0;a:while(1){b=k[c+(a<<3)+4>>2]|0;mc[k[(k[b>>2]|0)+32>>2]&1023](D,b);b=k[t>>2]|0;l=(k[u>>2]|0)-b>>3;b:do if(!l)E=30;else{c=0;c:while(1){j=k[b+(c<<3)+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+32>>2]|0,A|0,j|0);j=y;y=0;if(j&1){E=27;break a}e=i[n>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[o>>2]|0:e;j=i[p>>0]|0;b=j<<24>>24<0;do if((g|0)==((b?k[q>>2]|0:j&255)|0)){h=k[D>>2]|0;j=f?h:D;b=b?k[A>>2]|0:A;d=(g|0)==0;if(f){if(d)break c;j=(bN(j,b,g)|0)==0;A9(A);if(j)break b;else break}if(d)break c;if((h&255)<<24>>24==(i[b>>0]|0)){d=D;while(1){e=e+-1|0;d=d+1|0;if(!e)break c;b=b+1|0;if((i[d>>0]|0)!=(i[b>>0]|0)){E=25;break}}}else E=25}else E=25;while(0);if((E|0)==25){E=0;A9(A)}c=c+1|0;if(c>>>0>=l>>>0){E=30;break b}b=k[m>>2]|0}A9(A)}while(0);if((E|0)==30){E=0;c=k[(k[s>>2]|0)+(a<<3)+4>>2]|0;y=0;oa(460,A|0,c|0);l=y;y=0;if(l&1){E=35;break}k[A>>2]=13284;y=0;oa(118,z|0,A|0);l=y;y=0;if(l&1){E=33;break}DO(A);e=B;c=c+12|0;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));y=0;oa(510,v|0,w|0);l=y;y=0;if(l&1){E=35;break}}A9(D);a=a+1|0;if(a>>>0>=x>>>0){E=11;break}c=k[s>>2]|0}if((E|0)==11){r=C;return F|0}else if((E|0)==27)a=pb()|0;else if((E|0)==33){a=pb()|0;DO(A);E=36}else if((E|0)==35){a=pb()|0;E=36}A9(D);F=a;sb(F|0)}while(0);cra(F);F=a;sb(F|0);return 0}function si(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=0;w=r;r=r+176|0;m=w;h=w+136|0;o=w+128|0;j=w+112|0;s=w+120|0;l=w+72|0;t=w+64|0;p=w+56|0;u=w+48|0;q=w+40|0;e=a+20|0;n=a+24|0;f=k[n>>2]|0;d=(f|0)==(k[e>>2]|0);g=f;if(d)c=k[a+8>>2]|0;else c=g+-4|0;if((k[(k[c>>2]|0)+52>>2]|0)==1){v=Me(a,b)|0;r=w;return v|0}if(d)c=k[a+8>>2]|0;else c=g+-4|0;if((k[(k[c>>2]|0)+52>>2]|0)==2){d=IM(76)|0;c=h;e=b+12|0;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;oa(460,o|0,b|0);v=y;y=0;if(v&1)c=pb()|0;else{k[o>>2]=6508;y=0;oa(460,j|0,0);v=y;y=0;if(v&1)c=pb()|0;else{k[j>>2]=6508;c=m;e=h;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;na(422,d|0);v=y;y=0;do if(v&1)c=pb()|0;else{c=d+12|0;e=m;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));k[d+52>>2]=6;k[d+56>>2]=0;i[d+60>>0]=0;k[d>>2]=6884;c=d+64|0;y=0;oa(460,c|0,k[o+4>>2]|0);v=y;y=0;if(v&1){c=pb()|0;break}k[c>>2]=6508;i[d+72>>0]=(k[j+4>>2]|0)==0&1;DO(j);DO(o);v=d;r=w;return v|0}while(0);DO(j)}DO(o)}cra(d);w=c;sb(w|0)}k[m>>2]=b;if(g>>>0<(k[a+28>>2]|0)>>>0){k[f>>2]=b;k[n>>2]=(k[n>>2]|0)+4}else mA(e,m);g=IM(80)|0;c=l;e=b+12|0;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));y=0;oa(460,t|0,k[b+76>>2]|0);o=y;y=0;do if(o&1)c=pb()|0;else{k[t>>2]=7172;c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(460,u|0,k[b+68>>2]|0);o=y;y=0;if(o&1){c=pb()|0;DO(t);break}k[u>>2]=6868;y=0;c=Ha(c|0,a|0,k[u+4>>2]|0)|0;o=y;y=0;if(o&1)v=36;else{y=0;oa(460,p|0,c|0);o=y;y=0;if(o&1)v=36;else{k[p>>2]=6868;y=0;c=m;e=l;f=c+40|0;do{k[c>>2]=k[e>>2];c=c+4|0;e=e+4|0}while((c|0)<(f|0));Ra(33,g|0,m|0,t|0,p|0);o=y;y=0;if(o&1)c=1;else{y=0;oa(460,s|0,g|0);o=y;y=0;if(o&1)c=0;else{k[s>>2]=17212;DO(p);DO(u);DO(t);c=s+4|0;v=k[c>>2]|0;k[v+56>>2]=k[b+56>>2];k[n>>2]=(k[n>>2]|0)+-4;y=0;oa(460,q|0,k[v+68>>2]|0);v=y;y=0;do if(v&1)c=pb()|0;else{k[q>>2]=6868;y=0;c=ta(153,a|0,k[q+4>>2]|0,k[c>>2]|0)|0;v=y;y=0;if(v&1){c=pb()|0;DO(q);break}DO(q);DO(s);v=c;r=w;return v|0}while(0);DO(s);w=c;sb(w|0)}}w=pb()|0;DO(p);d=c;c=w}}if((v|0)==36){c=pb()|0;d=1}DO(u);DO(t);if(!d){w=c;sb(w|0)}}while(0);cra(g);w=c;sb(w|0);return 0}function ti(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;h=0;v=r;r=r+160|0;s=v;x=v+152|0;f=v+144|0;g=v+136|0;t=v+128|0;u=v+88|0;w=v+40|0;e=IM(96)|0;y=0;m=s;n=d;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));oa(552,e|0,s|0);q=y;y=0;if(q&1){x=pb()|0;cra(e);sb(x|0)}LT(x,e);k[x>>2]=16272;q=x+4|0;y=0;sa(22,a|0,a+20|0,c|0,d|0,k[q>>2]|0)|0;p=y;y=0;a:do if(p&1)h=9;else{e=a+32|0;k[e>>2]=(k[e>>2]|0)+-1+((k[a+228>>2]|0)-(k[a+224>>2]|0)>>3);e=k[q>>2]|0;b:do if((k[e+64>>2]|0)!=(k[e+68>>2]|0)){a=(k[b+4>>2]|0)+64|0;c=k[(k[a>>2]|0)+20>>2]|0;y=0;oa(460,g|0,e|0);p=y;y=0;if(p&1){h=9;break a}k[g>>2]=16272;y=0;oa(460,f|0,k[g+4>>2]|0);p=y;y=0;do if(p&1)e=pb()|0;else{k[f>>2]=6508;y=0;oa(c|0,a|0,f|0);p=y;y=0;if(p&1){e=pb()|0;DO(f);break}else{DO(f);DO(g);e=k[q>>2]|0;break b}}while(0);DO(g);break a}while(0);p=(k[e+80>>2]|0)-(k[e+76>>2]|0)|0;h=(p|0)/48|0;if(!p){DO(x);r=v;return}c=b+4|0;b=w+36|0;j=w+24|0;l=w+12|0;a=0;while(1){f=(k[c>>2]|0)+64|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;p=qa(315,112)|0;o=y;y=0;if(o&1){h=24;break}m=u;n=d;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;oa(471,w|0,(k[(k[q>>2]|0)+76>>2]|0)+(a*48|0)|0);o=y;y=0;if(o&1){h=25;break}m=s;n=u;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;na(422,p|0);o=y;y=0;if(o&1){e=1;h=26;break}m=p+12|0;n=s;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));e=p+52|0;k[e>>2]=0;k[p+56>>2]=0;i[p+60>>0]=0;k[p>>2]=7700;y=0;oa(471,p+64|0,w|0);o=y;y=0;if(o&1){h=20;break}k[e>>2]=11;y=0;oa(460,t|0,p|0);o=y;y=0;if(o&1){e=0;h=26;break}k[t>>2]=6508;y=0;oa(g|0,f|0,t|0);o=y;y=0;if(o&1){h=28;break}DO(t);A9(b);A9(j);A9(l);A9(w);a=a+1|0;if(a>>>0>=h>>>0){h=15;break}}if((h|0)==15){DO(x);r=v;return}else if((h|0)==20){e=pb()|0;a=1;h=27}else if((h|0)==24){e=pb()|0;break}else if((h|0)==25)e=pb()|0;else if((h|0)==26){v=pb()|0;a=e;e=v;h=27}else if((h|0)==28){e=pb()|0;DO(t);a=0;h=29}if((h|0)==27)h=29;if((h|0)==29){A9(b);A9(j);A9(l);A9(w);if(!a)break}cra(p)}while(0);if((h|0)==9)e=pb()|0;DO(x);x=e;sb(x|0)}function ui(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;o=r;r=r+64|0;l=o+48|0;d=o;m=o+40|0;n=a+76|0;f=k[n>>2]|0;e=i[f>>0]|0;if(!(e<<24>>24)){n=0;r=o;return n|0}if(b){e=mW(f)|0;e=e|0?e:f;f=e;e=i[e>>0]|0}if(e<<24>>24==92){e=Bka(f+1|0)|0;if(!e)j=6;else j=21}else j=6;a:do if((j|0)==6){b:do if(f|0){b=i[47292]|0;c:do if(!(b<<24>>24)){e=f;j=10}else{e=f;g=47292;while(1){if((i[e>>0]|0)!=b<<24>>24)break c;e=e+1|0;g=g+1|0;b=i[g>>0]|0;if(!(b<<24>>24)){j=10;break}}}while(0);if((j|0)==10)if((i[e>>0]|0)==40)break;g=i[f>>0]|0;if(!(g<<24>>24)){g=0;break a}e=i[35519]|0;if(e<<24>>24){b=35519;do{if(g<<24>>24==e<<24>>24)break b;b=b+1|0;e=i[b>>0]|0}while(e<<24>>24!=0)}e=f+1|0;j=21;break a}while(0);e=f+1|0;switch(i[f>>0]|0){case 47:{g=i[e>>0]|0;h=f+2|0;if(!((g<<24>>24!=47?(g<<24>>24==42?h:0):h)|0)){j=21;break a}else{g=0;break a}}case 92:{b=f+2|0;if((i[e>>0]|0)!=35){g=0;break a}if((i[b>>0]|0)==123){g=0;break a}else{e=b;j=21;break a}}case 33:if(!(jea(e)|0)){j=21;break a}else{g=0;break a}default:{g=0;break a}}}while(0);if((j|0)==21){d:while(1){j=0;if((i[e>>0]|0)==92){b=Bka(e+1|0)|0;if(b|0){e=b;j=21;continue}}e:do if(e|0){g=i[47292]|0;f:do if(!(g<<24>>24)){b=e;j=27}else{b=e;h=47292;while(1){if((i[b>>0]|0)!=g<<24>>24)break f;b=b+1|0;h=h+1|0;g=i[h>>0]|0;if(!(g<<24>>24)){j=27;break}}}while(0);if((j|0)==27)if((i[b>>0]|0)==40)break;h=i[e>>0]|0;if(!(h<<24>>24))break d;b=i[35519]|0;if(b<<24>>24){g=35519;do{if(h<<24>>24==b<<24>>24)break e;g=g+1|0;b=i[g>>0]|0}while(b<<24>>24!=0)}e=e+1|0;j=21;continue d}while(0);b=e+1|0;switch(i[e>>0]|0){case 47:{h=i[b>>0]|0;j=e+2|0;if(!((h<<24>>24!=47?(h<<24>>24==42?j:0):j)|0)){e=b;j=21;continue d}else break d}case 92:{g=e+2|0;if((i[b>>0]|0)!=35)break d;if((i[g>>0]|0)==123)break d;else{e=g;j=21;continue d}}case 33:if(!(jea(b)|0)){e=b;j=21;continue d}else break d;default:break d}}if(e>>>0>(k[a+80>>2]|0)>>>0){n=0;r=o;return n|0}else g=e}if(!c)if((g|0)==0|(g|0)==(f|0)){n=0;r=o;return n|0}c=k[n>>2]|0;k[a+156>>2]=c;k[a+160>>2]=f;k[a+164>>2]=g;b=a+84|0;j=a+96|0;aH(l,j,c,f);k[b>>2]=k[l>>2];k[b+4>>2]=k[l+4>>2];k[b+8>>2]=k[l+8>>2];aH(l,j,f,g);c=k[a+12>>2]|0;e=k[a+72>>2]|0;gP(m,j,b);k[l>>2]=k[m>>2];k[l+4>>2]=k[m+4>>2];iH(d,c,e,a+156|0,b,l);b=a+108|0;e=b+40|0;do{k[b>>2]=k[d>>2];b=b+4|0;d=d+4|0}while((b|0)<(e|0));k[n>>2]=g;n=g;r=o;return n|0}function vi(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;v=r;r=r+32|0;q=v+4|0;g=v;s=a+8|0;c=k[s>>2]|0;t=a+4|0;d=k[t>>2]|0;e=c-d|0;u=a+16|0;b=k[u>>2]|0;if((((e|0)==0?0:(e<<7)+-1|0)-((k[a+20>>2]|0)+b)|0)>>>0>511){k[u>>2]=b+512;u=c+-4|0;k[q>>2]=k[u>>2];k[s>>2]=u;hu(a,q);r=v;return}o=a+12|0;b=k[a>>2]|0;c=(k[o>>2]|0)-b|0;if(e>>>0<c>>>0){if((d|0)==(b|0)){p=IM(4096)|0;k[q>>2]=p;Nu(a,q);p=(k[s>>2]|0)+-4|0;k[q>>2]=k[p>>2];k[s>>2]=p;hu(a,q)}else{p=IM(4096)|0;k[q>>2]=p;iu(a,q)}if(((k[s>>2]|0)-(k[t>>2]|0)|0)==4)b=256;else b=(k[u>>2]|0)+512|0;k[u>>2]=b;r=v;return}b=c>>1;b=(b|0)==0?1:b;k[q+12>>2]=0;k[q+16>>2]=a+12;if(b>>>0>1073741823){v=gb(4)|0;Qoa(v);Wb(v|0,5760,404)}m=IM(b<<2)|0;k[q>>2]=m;p=q+8|0;k[p>>2]=m;n=q+4|0;k[n>>2]=m;f=q+12|0;k[f>>2]=m+(b<<2);y=0;b=qa(315,4096)|0;m=y;y=0;a:do if(m&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(673,q|0,g|0);m=y;y=0;if(m&1){d=pb()|0;cra(b);break}c=k[t>>2]|0;b=k[s>>2]|0;do if((c|0)==(b|0)){i=b;g=n;h=p;d=q;e=c;b=k[p>>2]|0}else{m=k[p>>2]|0;b:while(1){l=k[f>>2]|0;b=l;h=m;do if((m|0)==(l|0)){l=k[n>>2]|0;j=k[q>>2]|0;d=j;if(l>>>0>j>>>0){b=l;e=((b-d>>2)+1|0)/-2|0;g=l+(e<<2)|0;b=h-b|0;d=b>>2;if(!d)b=l;else{fO(g|0,l|0,b|0)|0;b=k[n>>2]|0}m=g+(d<<2)|0;k[p>>2]=m;k[n>>2]=b+(e<<2);b=m;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){c=26;break b}y=0;d=qa(315,b<<2|0)|0;i=y;y=0;if(i&1){c=33;break b}h=d;e=d+(b>>>2<<2)|0;i=e;g=d+(b<<2)|0;if((l|0)==(m|0))b=i;else{b=i;d=l;do{k[e>>2]=k[d>>2];e=b+4|0;b=e;d=d+4|0}while((d|0)!=(m|0))}k[q>>2]=h;k[n>>2]=i;k[p>>2]=b;k[f>>2]=g;if(j){cra(j);b=k[p>>2]|0}}else b=m;while(0);k[b>>2]=k[c>>2];m=(k[p>>2]|0)+4|0;k[p>>2]=m;c=c+4|0;b=k[s>>2]|0;if((c|0)==(b|0)){c=17;break}}if((c|0)==17){i=b;g=n;h=p;d=q;e=k[t>>2]|0;b=m;break}else if((c|0)==26){b=gb(4)|0;Qoa(b);y=0;Na(75,b|0,5760,404);y=0;b=pb()|0}else if((c|0)==33)b=pb()|0;d=b;break a}while(0);c=k[a>>2]|0;k[a>>2]=k[d>>2];k[d>>2]=c;q=k[g>>2]|0;k[t>>2]=q;k[g>>2]=e;k[s>>2]=b;k[h>>2]=i;t=k[o>>2]|0;k[o>>2]=k[f>>2];k[f>>2]=t;if((b-q|0)==4)b=256;else b=(k[u>>2]|0)+512|0;k[u>>2]=b;if((i|0)!=(e|0))k[p>>2]=i+(~((i+-4-e|0)>>>2)<<2);if(c|0)cra(c);r=v;return}while(0);b=k[n>>2]|0;c=k[p>>2]|0;if((c|0)!=(b|0))k[p>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[q>>2]|0;if(!b)sb(d|0);cra(b);sb(d|0)}function wi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+336|0;j=s+296|0;t=s+88|0;e=s+256|0;q=s+72|0;p=s+24|0;l=s+32|0;o=s+8|0;m=s;ON(e,38004,0,-1);d=j;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Nl(t,a,c,j,0);y=0;ta(48,t|0,1,0)|0;n=y;y=0;a:do if(n&1)g=pb()|0;else{f=k[t+160>>2]|0;g=k[t+164>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;h=g-f|0;if(h>>>0>4294967279){y=0;na(438,j|0);n=y;y=0;if(n&1)n=29;else n=6}else if(h>>>0<11){i[j+11>>0]=h;c=j;n=8}else n=6;if((n|0)==6){d=h+16&-16;y=0;c=qa(315,d|0)|0;n=y;y=0;if(n&1)n=29;else{k[j>>2]=c;k[j+8>>2]=d|-2147483648;k[j+4>>2]=h;n=8}}do if((n|0)==8){if((f|0)!=(g|0)){e=c;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}c=c+h|0}i[c>>0]=0;y=0;oa(554,q|0,j|0);h=y;y=0;if(h&1){c=pb()|0;A9(j);break}A9(j);y=0;oa(555,p|0,t|0);h=y;y=0;if(h&1)c=pb()|0;else{y=0;g=qa(315,120)|0;h=y;y=0;if(h&1)c=pb()|0;else{y=0;Ra(14,l|0,38004,0,-1);h=y;y=0;if(h&1)n=34;else{y=0;oa(456,o|0,q|0);h=y;y=0;if(h&1)n=34;else{y=0;oa(460,m|0,k[p+4>>2]|0);h=y;y=0;do if(h&1)c=pb()|0;else{k[m>>2]=8852;y=0;d=j;e=l;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Ea(1,g|0,j|0,a|0,o|0,m|0,b|0,0);l=y;y=0;if(l&1){c=pb()|0;DO(m);break}DO(m);A9(o);DO(p);A9(q);c=k[t+56>>2]|0;d=c;if(c|0){e=t+60|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);cra(c)}f=t+44|0;c=k[f>>2]|0;if(!c){r=s;return g|0}e=t+48|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{t=d+-8|0;k[e>>2]=t;lc[k[k[t>>2]>>2]&511](t);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c);r=s;return g|0}while(0);A9(o)}}if((n|0)==34)c=pb()|0;cra(g)}DO(p)}A9(q);g=c;break a}else if((n|0)==29)c=pb()|0;while(0);g=c}while(0);d=k[t+56>>2]|0;e=d;if(d|0){f=t+60|0;c=k[f>>2]|0;if((c|0)!=(d|0))k[f>>2]=c+(~((c+-4-e|0)>>>2)<<2);cra(d)}f=t+44|0;c=k[f>>2]|0;if(!c)sb(g|0);e=t+48|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{t=d+-8|0;k[e>>2]=t;lc[k[k[t>>2]>>2]&511](t);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c);sb(g|0);return 0}function xi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;o=0;s=r;r=r+16|0;n=s;p=b+11|0;q=b+4|0;d=0;while(1){c=i[p>>0]|0;if(c<<24>>24<0){e=k[q>>2]|0;m=k[b>>2]|0}else{e=c&255;m=b}if(e>>>0<d>>>0|(e-d|0)>>>0<3)break;d=m+d|0;l=m+e|0;e=d;h=l;a:do if((h-e|0)<3)e=h;else{j=l+-2|0;if((j|0)==(d|0))e=h;else while(1){while(1){if((i[d>>0]|0)==47){f=42306;g=d;break}d=d+1|0;if((d|0)==(j|0)){e=h;break a}else e=d}do{f=f+1|0;if((f|0)==42309)break a;g=g+1|0}while((i[g>>0]|0)==(i[f>>0]|0));d=d+1|0;if((d|0)==(j|0)){e=h;break}else e=d}}while(0);d=e-m|0;if((e|0)==(l|0)|(d|0)==-1)break;JE(b,d,2)|0}d=n+11|0;e=n+4|0;while(1){if(c<<24>>24<0)c=k[q>>2]|0;else c=c&255;if(c>>>0<=1)break;SG(n,b,0,2,b);m=i[d>>0]|0;if(((m<<24>>24<0?k[e>>2]|0:m&255)|0)!=2){o=23;break}y=0;c=sa(21,n|0,0,-1,42310,2)|0;m=y;y=0;if(m&1){o=25;break}A9(n);if(c|0)break;JE(b,0,2)|0;c=i[p>>0]|0}if((o|0)==23)A9(n);else if((o|0)==25){m=tb(0)|0;Sla(m)}e=n+11|0;f=n+4|0;while(1){c=i[p>>0]|0;if(c<<24>>24<0)c=k[q>>2]|0;else c=c&255;if(c>>>0<=1)break;c=c+-2|0;SG(n,b,c,-1,b);m=i[e>>0]|0;if(((m<<24>>24<0?k[f>>2]|0:m&255)|0)!=2){o=33;break}y=0;d=sa(21,n|0,0,-1,42313,2)|0;m=y;y=0;if(m&1){o=35;break}A9(n);if(d|0)break;JE(b,c,-1)|0}if((o|0)==33)A9(n);else if((o|0)==35){o=tb(0)|0;Sla(o)}c=(i[p>>0]|0)<0;if(c)d=k[b>>2]|0;else d=b;if(!(i[d>>0]|0))d=0;else{if(c)c=k[b>>2]|0;else c=b;if(Tia(c)|0){c=0;while(1){f=(i[p>>0]|0)<0;if(f)d=k[b>>2]|0;else d=b;if(!(i[d+c>>0]|0))break;e=c+1|0;if(f)d=k[b>>2]|0;else d=b;if(laa(d+c|0)|0)c=e;else{c=e;break}}if(!c)d=0;else{if((i[p>>0]|0)<0)d=k[b>>2]|0;else d=b;d=((i[d+c>>0]|0)==58&1)+c|0}}else d=0}c=i[p>>0]|0;if(c<<24>>24<0){f=k[b>>2]|0;while(1){e=d+1|0;if((i[f+d>>0]|0)==47)d=e;else break}}else while(1){e=d+1|0;if((i[b+d>>0]|0)==47)d=e;else break}while(1){if(c<<24>>24<0){c=k[q>>2]|0;l=k[b>>2]|0}else{c=c&255;l=b}if(c>>>0<e>>>0|(c-e|0)>>>0<2){o=72;break}d=l+e|0;j=l+c|0;c=d;g=j;b:do if((g-c|0)<2)c=g;else{h=j+-1|0;if((h|0)==(d|0))c=g;else while(1){while(1){if((i[d>>0]|0)==47){e=50291;f=d;break}d=d+1|0;if((d|0)==(h|0)){c=g;break b}else c=d}do{e=e+1|0;if((e|0)==50293)break b;f=f+1|0}while((i[f>>0]|0)==(i[e>>0]|0));d=d+1|0;if((d|0)==(h|0)){c=g;break}else c=d}}while(0);e=c-l|0;if((c|0)==(j|0)|(e|0)==-1){o=72;break}JE(b,e,1)|0;c=i[p>>0]|0}if((o|0)==72){k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;r=s;return}}function yi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+16|0;i=j;h=b+4|0;d=k[h>>2]|0;if(!d)f=0;else{e=k[a+4>>2]|0;if(!e)f=0;else f=Fc[k[(k[d>>2]|0)+156>>2]&2047](d,e)|0}g=c+4|0;d=k[g>>2]|0;if(!d)d=0;else{e=k[h>>2]|0;if(!e)d=0;else d=Fc[k[(k[d>>2]|0)+156>>2]&2047](d,e)|0}if(!f){if(!d){i=0;r=j;return i|0}LT(i,k[h>>2]|0);k[i>>2]=15136;if((b|0)!=(c|0)){if(k[h>>2]|0){y=0;na(423,b|0);f=y;y=0;if(f&1){j=pb()|0;DO(i);sb(j|0)}}k[h>>2]=k[g>>2];k[g>>2]=0}if((i|0)!=(c|0)){if(k[g>>2]|0){y=0;na(423,c|0);c=y;y=0;if(c&1){j=pb()|0;DO(i);sb(j|0)}}c=i+4|0;k[g>>2]=k[c>>2];k[c>>2]=0}DO(i);d=k[h>>2]|0;if(!d){i=1;r=j;return i|0}e=a+4|0;f=k[e>>2]|0;if(!f){i=1;r=j;return i|0}if(!(Fc[k[(k[d>>2]|0)+156>>2]&2047](d,f)|0)){i=1;r=j;return i|0}LT(i,k[e>>2]|0);k[i>>2]=15136;if((a|0)!=(b|0)){if(k[e>>2]|0){y=0;na(423,a|0);a=y;y=0;if(a&1){j=pb()|0;DO(i);sb(j|0)}}k[e>>2]=k[h>>2];k[h>>2]=0}if((i|0)!=(b|0)){if(k[h>>2]|0){y=0;na(423,b|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}b=i+4|0;k[h>>2]=k[b>>2];k[b>>2]=0}DO(i);i=2;r=j;return i|0}if(d){d=a+4|0;LT(i,k[d>>2]|0);k[i>>2]=15136;if((a|0)!=(c|0)){if(k[d>>2]|0){y=0;na(423,a|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}k[d>>2]=k[g>>2];k[g>>2]=0}if((i|0)!=(c|0)){if(k[g>>2]|0){y=0;na(423,c|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}b=i+4|0;k[g>>2]=k[b>>2];k[b>>2]=0}DO(i);i=1;r=j;return i|0}d=a+4|0;LT(i,k[d>>2]|0);k[i>>2]=15136;if((a|0)!=(b|0)){if(k[d>>2]|0){y=0;na(423,a|0);a=y;y=0;if(a&1){j=pb()|0;DO(i);sb(j|0)}}k[d>>2]=k[h>>2];k[h>>2]=0}if((i|0)!=(b|0)){if(k[h>>2]|0){y=0;na(423,b|0);a=y;y=0;if(a&1){j=pb()|0;DO(i);sb(j|0)}}a=i+4|0;k[h>>2]=k[a>>2];k[a>>2]=0}DO(i);e=k[g>>2]|0;if(!e){i=1;r=j;return i|0}d=k[h>>2]|0;if(!d){i=1;r=j;return i|0}if(!(Fc[k[(k[e>>2]|0)+156>>2]&2047](e,d)|0)){i=1;r=j;return i|0}LT(i,k[h>>2]|0);k[i>>2]=15136;if((b|0)!=(c|0)){if(k[h>>2]|0){y=0;na(423,b|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}k[h>>2]=k[g>>2];k[g>>2]=0}if((i|0)!=(c|0)){if(k[g>>2]|0){y=0;na(423,c|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}b=i+4|0;k[g>>2]=k[b>>2];k[b>>2]=0}DO(i);i=2;r=j;return i|0}function zi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;e=0;l=r;r=r+64|0;p=l+56|0;q=l+48|0;o=l+24|0;n=l+16|0;m=l+8|0;j=l;LT(p,k[b+76>>2]|0);k[p>>2]=7284;y=0;oa(460,q|0,k[b+68>>2]|0);h=y;y=0;if(h&1){q=pb()|0;DO(p);sb(q|0)}k[q>>2]=6868;h=a+4|0;y=0;b=qa(378,k[h>>2]|0)|0;g=y;y=0;if(g&1)e=16;else{y=0;Na(128,o|0,b|0,1);g=y;y=0;if(g&1)e=16;else{b=k[h>>2]|0;k[n>>2]=o;c=b+52|0;d=k[c>>2]|0;if(d>>>0<(k[b+56>>2]|0)>>>0){k[d>>2]=o;k[c>>2]=(k[c>>2]|0)+4;e=7}else{y=0;oa(638,b+48|0,n|0);g=y;y=0;if(g&1)b=pb()|0;else e=7}do if((e|0)==7){g=p+4|0;b=k[g>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,a|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(460,n|0,b|0);f=y;y=0;if(!(f&1)){k[n>>2]=7284;c=n+4|0;d=q+4|0;e=m+4|0;f=j+4|0;while(1){b=k[c>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+88>>2]|0,b|0)|0;s=y;y=0;if(s&1){e=19;break}if(b){e=29;break}b=k[d>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,a|0)|0;s=y;y=0;if(s&1){e=19;break}y=0;oa(460,m|0,b|0);s=y;y=0;if(s&1){e=19;break}k[m>>2]=7284;b=k[e>>2]|0;if(b|0){e=24;break}b=k[g>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,a|0)|0;s=y;y=0;if(s&1){e=26;break}y=0;oa(460,j|0,b|0);s=y;y=0;if(s&1){e=26;break}k[j>>2]=7284;if(k[c>>2]|0){y=0;na(423,n|0);s=y;y=0;if(s&1){e=27;break}}k[c>>2]=k[f>>2];k[f>>2]=0;DO(j);DO(m)}if((e|0)==19)b=pb()|0;else if((e|0)==24){s=(k[h>>2]|0)+52|0;k[s>>2]=(k[s>>2]|0)+-4;i[b+8>>0]=1;DO(m);s=b;DO(n);n=o+4|0;n=k[n>>2]|0;GC(o,n);DO(q);DO(p);r=l;return s|0}else if((e|0)==26){b=pb()|0;e=28}else if((e|0)==27){b=pb()|0;DO(j);e=28}else if((e|0)==29){s=(k[h>>2]|0)+52|0;k[s>>2]=(k[s>>2]|0)+-4;s=0;DO(n);n=o+4|0;n=k[n>>2]|0;GC(o,n);DO(q);DO(p);r=l;return s|0}if((e|0)==28)DO(m);DO(n);break}}b=pb()|0}while(0);GC(o,k[o+4>>2]|0)}}if((e|0)==16)b=pb()|0;DO(q);s=b;DO(p);sb(s|0);return 0}function Ai(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;d=0;u=r;r=r+32|0;t=u+8|0;m=u;n=b+72|0;o=b+76|0;p=b+80|0;q=a+4|0;if((k[o>>2]|0)==(k[p>>2]|0)){if(($ka(q)|0)!=5){r=u;return}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,48577,2);y=0;Na(147,q|0,t|0,b|0);s=y;y=0;if(s&1){u=pb()|0;A9(t);sb(u|0)}else{A9(t);r=u;return}}s=a+101|0;l=i[s>>0]|0;do if(($ka(q)|0)==5){c=k[b+76>>2]|0;if(((k[p>>2]|0)-c|0)==8)if(!(qba(k[c+4>>2]|0)|0)){c=k[(k[o>>2]|0)+4>>2]|0;if(c|0)if((k[481]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){d=14;break}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,48580,1);y=0;oa(679,q|0,t|0);j=y;y=0;if(!(j&1)){A9(t);j=a+99|0;break}u=pb()|0;A9(t);sb(u|0)}else d=14;else d=14}else d=14;while(0);do if((d|0)==14){c=a+99|0;if(!(i[c>>0]|0))if(!(i[s>>0]|0))j=c;else{k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,48580,1);y=0;oa(679,q|0,t|0);j=y;y=0;if(!(j&1)){A9(t);j=c;break}u=pb()|0;A9(t);sb(u|0)}else j=c}while(0);if(i[j>>0]|0)i[s>>0]=1;d=b+76|0;b=(k[p>>2]|0)-(k[d>>2]|0)>>3;a:do if(b|0){e=a+97|0;f=m+4|0;g=b+-1|0;h=a+80|0;c=0;while(1){if((c|0)==0&(i[e>>0]|0)==0)Rx(q);if(k[(k[o>>2]|0)+(c<<3)+4>>2]|0){v=(Fc[k[(k[n>>2]|0)+16>>2]&2047](n,c)|0)+4|0;vK(m,k[v>>2]|0);y=0;oa(688,q|0,k[f>>2]|0);v=y;y=0;if(v&1)break;DO(m);v=k[(k[o>>2]|0)+(c<<3)+4>>2]|0;mc[k[(k[v>>2]|0)+44>>2]&1023](v,a);if(c>>>0<g>>>0){k[h>>2]=0;Sz(q)}}c=c+1|0;if(c>>>0>=b>>>0)break a}v=pb()|0;DO(m);sb(v|0)}while(0);i[s>>0]=l;do if(($ka(q)|0)==5){c=k[d>>2]|0;if(((k[p>>2]|0)-c|0)==8)if(!(qba(k[c+4>>2]|0)|0)){c=k[(k[o>>2]|0)+4>>2]|0;if(c|0)if((k[481]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))break;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,48582,2);y=0;oa(679,q|0,t|0);v=y;y=0;if(v&1){v=pb()|0;A9(t);sb(v|0)}else{A9(t);r=u;return}}}while(0);if(i[j>>0]|0){r=u;return}if(!(i[s>>0]|0)){r=u;return}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,48585,1);y=0;oa(679,q|0,t|0);v=y;y=0;if(v&1){v=pb()|0;A9(t);sb(v|0)}else{A9(t);r=u;return}}function Bi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=0;p=r;r=r+96|0;o=p+48|0;q=p+40|0;h=p+32|0;g=p+24|0;j=p+16|0;l=p+8|0;m=p;c=IM(96)|0;y=0;d=o;e=b+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));oa(552,c|0,o|0);f=y;y=0;if(f&1){q=pb()|0;cra(c);sb(q|0)}LT(q,c);k[q>>2]=16272;c=b+92|0;y=0;oa(460,h|0,k[c>>2]|0);f=y;y=0;a:do if(f&1)n=19;else{k[h>>2]=7172;b:do if(!(k[h+4>>2]|0))DO(h);else{y=0;oa(460,g|0,k[c>>2]|0);f=y;y=0;do if(f&1)c=pb()|0;else{k[g>>2]=7172;d=k[g+4>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+120>>2]|0,d|0)|0;f=y;y=0;if(f&1){c=pb()|0;DO(g);break}DO(g);DO(h);if(!d)break b;y=0;oa(460,j|0,k[c>>2]|0);h=y;y=0;if(h&1){n=19;break a}k[j>>2]=7172;c=k[j+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;h=y;y=0;if(!(h&1)){y=0;oa(460,o|0,c|0);h=y;y=0;if(!(h&1)){k[o>>2]=7284;DO(j);d=k[q+4>>2]|0;y=0;c=qa(336,k[o+4>>2]|0)|0;j=y;y=0;if(j&1)n=24;else{y=0;oa(460,m|0,c|0);j=y;y=0;if(j&1)n=24;else{k[m>>2]=7172;e=d+88|0;c=d+92|0;if(!(k[c>>2]|0))n=15;else{y=0;na(423,e|0);j=y;y=0;if(!(j&1))n=15}if((n|0)==15){k[c>>2]=k[m+4>>2];y=0;na(424,e|0);j=y;y=0;if(!(j&1)){y=0;oa(460,l|0,k[c>>2]|0);j=y;y=0;if(!(j&1)){k[l>>2]=7172;DO(l);DO(m);DO(o);break b}}}c=pb()|0;DO(m)}}if((n|0)==24)c=pb()|0;DO(o);break a}}c=pb()|0;DO(j);break a}while(0);DO(h);break a}while(0);n=b+64|0;d=k[n>>2]|0;l=(k[b+68>>2]|0)-d>>3;m=q+4|0;c:do if(l|0){h=a+8|0;j=o+4|0;c=0;while(1){f=k[m>>2]|0;g=f+64|0;d=k[d+(c<<3)+4>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,h|0)|0;a=y;y=0;if(a&1){n=40;break}y=0;oa(460,o|0,d|0);a=y;y=0;if(a&1){n=40;break}k[o>>2]=7284;d=f+68|0;e=k[d>>2]|0;if(e>>>0<(k[f+72>>2]|0)>>>0){y=0;oa(460,e|0,k[j>>2]|0);a=y;y=0;if(a&1){n=41;break}k[e>>2]=7284;k[d>>2]=(k[d>>2]|0)+8}else{y=0;oa(548,g|0,o|0);a=y;y=0;if(a&1){n=41;break}}DO(o);c=c+1|0;if(c>>>0>=l>>>0)break c;d=k[n>>2]|0}if((n|0)==40)c=pb()|0;else if((n|0)==41){c=pb()|0;DO(o)}break a}while(0);c=k[m>>2]|0;if(!c){o=0;DO(q);r=p;return o|0}i[c+8>>0]=1;o=c;DO(q);r=p;return o|0}while(0);if((n|0)==19)c=pb()|0;DO(q);q=c;sb(q|0);return 0}function Ci(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+336|0;h=s+296|0;t=s+88|0;d=s+256|0;q=s+72|0;p=s+24|0;j=s+32|0;o=s+8|0;l=s;m=woa(a)|0;ON(d,38024,0,-1);c=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Nl(t,m,b,h,0);y=0;ta(49,t|0,1,0)|0;n=y;y=0;a:do if(n&1)f=pb()|0;else{e=k[t+160>>2]|0;f=k[t+164>>2]|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;g=f-e|0;if(g>>>0>4294967279){y=0;na(438,h|0);n=y;y=0;if(n&1)n=29;else n=6}else if(g>>>0<11){i[h+11>>0]=g;b=h;n=8}else n=6;if((n|0)==6){c=g+16&-16;y=0;b=qa(315,c|0)|0;n=y;y=0;if(n&1)n=29;else{k[h>>2]=b;k[h+8>>2]=c|-2147483648;k[h+4>>2]=g;n=8}}do if((n|0)==8){if((e|0)!=(f|0)){d=b;c=e;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(f|0))break;else d=d+1|0}b=b+g|0}i[b>>0]=0;y=0;oa(554,q|0,h|0);g=y;y=0;if(g&1){b=pb()|0;A9(h);break}A9(h);y=0;oa(555,p|0,t|0);g=y;y=0;if(g&1)b=pb()|0;else{y=0;f=qa(315,120)|0;g=y;y=0;if(g&1)b=pb()|0;else{y=0;Ra(14,j|0,38024,0,-1);g=y;y=0;if(g&1)n=34;else{y=0;oa(456,o|0,q|0);g=y;y=0;if(g&1)n=34;else{y=0;oa(460,l|0,k[p+4>>2]|0);g=y;y=0;do if(g&1)b=pb()|0;else{k[l>>2]=8852;y=0;c=h;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));wa(1,f|0,h|0,m|0,o|0,l|0,a|0,0,1);m=y;y=0;if(m&1){b=pb()|0;DO(l);break}DO(l);A9(o);DO(p);A9(q);b=k[t+56>>2]|0;c=b;if(b|0){d=t+60|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}e=t+44|0;b=k[e>>2]|0;if(!b){r=s;return f|0}d=t+48|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{t=c+-8|0;k[d>>2]=t;lc[k[k[t>>2]>>2]&511](t);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}cra(b);r=s;return f|0}while(0);A9(o)}}if((n|0)==34)b=pb()|0;cra(f)}DO(p)}A9(q);f=b;break a}else if((n|0)==29)b=pb()|0;while(0);f=b}while(0);c=k[t+56>>2]|0;d=c;if(c|0){e=t+60|0;b=k[e>>2]|0;if((b|0)!=(c|0))k[e>>2]=b+(~((b+-4-d|0)>>>2)<<2);cra(c)}e=t+44|0;b=k[e>>2]|0;if(!b)sb(f|0);d=t+48|0;c=k[d>>2]|0;if((c|0)!=(b|0)){do{t=c+-8|0;k[d>>2]=t;lc[k[k[t>>2]>>2]&511](t);c=k[d>>2]|0}while((c|0)!=(b|0));b=k[e>>2]|0}cra(b);sb(f|0);return 0}function Di(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;v=r;r=r+32|0;q=v+4|0;g=v;s=a+8|0;c=k[s>>2]|0;t=a+4|0;d=k[t>>2]|0;e=c-d|0;p=e>>2;u=a+16|0;b=k[u>>2]|0;if((((p|0)==0?0:(p*146|0)+-1|0)-((k[a+20>>2]|0)+b)|0)>>>0>145){k[u>>2]=b+146;u=c+-4|0;k[q>>2]=k[u>>2];k[s>>2]=u;Du(a,q);r=v;return}o=a+12|0;b=k[a>>2]|0;c=(k[o>>2]|0)-b|0;if(e>>>0<c>>>0){if((d|0)==(b|0)){p=IM(4088)|0;k[q>>2]=p;hw(a,q);p=(k[s>>2]|0)+-4|0;k[q>>2]=k[p>>2];k[s>>2]=p;Du(a,q)}else{p=IM(4088)|0;k[q>>2]=p;Eu(a,q)}if(((k[s>>2]|0)-(k[t>>2]|0)|0)==4)b=73;else b=(k[u>>2]|0)+146|0;k[u>>2]=b;r=v;return}b=c>>1;b=(b|0)==0?1:b;k[q+12>>2]=0;k[q+16>>2]=a+12;if(b>>>0>1073741823){v=gb(4)|0;Qoa(v);Wb(v|0,5760,404)}m=IM(b<<2)|0;k[q>>2]=m;p=q+8|0;k[p>>2]=m;n=q+4|0;k[n>>2]=m;f=q+12|0;k[f>>2]=m+(b<<2);y=0;b=qa(315,4088)|0;m=y;y=0;a:do if(m&1)d=pb()|0;else{k[g>>2]=b;y=0;oa(515,q|0,g|0);m=y;y=0;if(m&1){d=pb()|0;cra(b);break}c=k[t>>2]|0;b=k[s>>2]|0;do if((c|0)==(b|0)){i=b;g=n;h=p;d=q;e=c;b=k[p>>2]|0}else{m=k[p>>2]|0;b:while(1){l=k[f>>2]|0;b=l;h=m;do if((m|0)==(l|0)){l=k[n>>2]|0;j=k[q>>2]|0;d=j;if(l>>>0>j>>>0){b=l;e=((b-d>>2)+1|0)/-2|0;g=l+(e<<2)|0;b=h-b|0;d=b>>2;if(!d)b=l;else{fO(g|0,l|0,b|0)|0;b=k[n>>2]|0}m=g+(d<<2)|0;k[p>>2]=m;k[n>>2]=b+(e<<2);b=m;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){c=26;break b}y=0;d=qa(315,b<<2|0)|0;i=y;y=0;if(i&1){c=33;break b}h=d;e=d+(b>>>2<<2)|0;i=e;g=d+(b<<2)|0;if((l|0)==(m|0))b=i;else{b=i;d=l;do{k[e>>2]=k[d>>2];e=b+4|0;b=e;d=d+4|0}while((d|0)!=(m|0))}k[q>>2]=h;k[n>>2]=i;k[p>>2]=b;k[f>>2]=g;if(j){cra(j);b=k[p>>2]|0}}else b=m;while(0);k[b>>2]=k[c>>2];m=(k[p>>2]|0)+4|0;k[p>>2]=m;c=c+4|0;b=k[s>>2]|0;if((c|0)==(b|0)){c=17;break}}if((c|0)==17){i=b;g=n;h=p;d=q;e=k[t>>2]|0;b=m;break}else if((c|0)==26){b=gb(4)|0;Qoa(b);y=0;Na(75,b|0,5760,404);y=0;b=pb()|0}else if((c|0)==33)b=pb()|0;d=b;break a}while(0);c=k[a>>2]|0;k[a>>2]=k[d>>2];k[d>>2]=c;q=k[g>>2]|0;k[t>>2]=q;k[g>>2]=e;k[s>>2]=b;k[h>>2]=i;t=k[o>>2]|0;k[o>>2]=k[f>>2];k[f>>2]=t;if((b-q|0)==4)b=73;else b=(k[u>>2]|0)+146|0;k[u>>2]=b;if((i|0)!=(e|0))k[p>>2]=i+(~((i+-4-e|0)>>>2)<<2);if(c|0)cra(c);r=v;return}while(0);b=k[n>>2]|0;c=k[p>>2]|0;if((c|0)!=(b|0))k[p>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[q>>2]|0;if(!b)sb(d|0);cra(b);sb(d|0)}function Ei(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;h=0;n=r;r=r+32|0;l=n+16|0;o=n+4|0;m=n;g=b+11|0;e=i[g>>0]|0;f=e<<24>>24<0;d=c<<24>>24|0;c=(d|0)==0?34:(d|0)!=42?c:34;d=f?k[b>>2]|0:b;a:while(1){switch(i[d>>0]|0){case 0:{h=5;break a}case 39:{j=34;break a}case 34:{c=39;break}default:{}}d=d+1|0}if((h|0)==5)j=c;c=f?k[b+4>>2]|0:e&255;if(!c){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;gI(a,2,j<<24>>24?j:34);r=n;return}k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;oa(500,o|0,c+2|0);h=y;y=0;if(!(h&1)){y=0;oa(458,o|0,j|0);h=y;y=0;if(!(h&1)){c=(i[g>>0]|0)<0?k[b>>2]|0:b;k[m>>2]=c;e=c+(IJ(c)|0)+1|0;d=i[c>>0]|0;b:do if(c>>>0<e>>>0&d<<24>>24!=0){c:while(1){if(d<<24>>24==j<<24>>24){y=0;oa(458,o|0,92);h=y;y=0;if(h&1){h=15;break}}else if(d<<24>>24==92){y=0;oa(458,o|0,92);h=y;y=0;if(h&1){h=15;break}}y=0;d=Ha(997,m|0,e|0)|0;h=y;y=0;if(h&1){h=15;break}if((d|0)==13){d=k[m>>2]|0;if(d>>>0<e>>>0){k[l>>2]=d;y=0;d=Ha(997,l|0,e|0)|0;h=y;y=0;if(h&1){h=25;break}if((d|0)==10){y=0;d=Ha(997,m|0,e|0)|0;h=y;y=0;if(h&1){h=25;break}else h=26}else{c=13;h=37}}else{c=13;h=37}}else h=26;d:do if((h|0)==26){h=0;if((d|0)!=10){if((d|0)<127){c=d;h=37;break}if(c>>>0>=(k[m>>2]|0)>>>0)break;while(1){y=0;oa(458,o|0,i[c>>0]|0);g=y;y=0;if(g&1){h=24;break c}c=c+1|0;if(c>>>0>=(k[m>>2]|0)>>>0)break d}}y=0;oa(458,o|0,92);g=y;y=0;if(g&1){h=25;break c}y=0;oa(458,o|0,97);g=y;y=0;if(g&1){h=25;break c}c=k[m>>2]|0;d=i[c>>0]|0;if((d+-97&255)>5)if((d+-65&255)>5&(d+-48&255)>9){y=0;c=qa(341,c|0)|0;g=y;y=0;if(g&1){h=25;break c}if(!c)break}y=0;oa(458,o|0,32);g=y;y=0;if(g&1){h=25;break c}}while(0);if((h|0)==37){y=0;oa(458,o|0,c&255|0);h=y;y=0;if(h&1){h=25;break}}c=k[m>>2]|0;d=i[c>>0]|0;if(!(c>>>0<e>>>0&d<<24>>24!=0)){h=40;break b}}if((h|0)==15){c=pb()|0;break}else if((h|0)==24){c=pb()|0;break}else if((h|0)==25){c=pb()|0;break}}else h=40;while(0);do if((h|0)==40){y=0;oa(458,o|0,j|0);m=y;y=0;if(m&1){c=pb()|0;break}k[a>>2]=k[o>>2];k[a+4>>2]=k[o+4>>2];k[a+8>>2]=k[o+8>>2];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;A9(o);r=n;return}while(0);n=c;A9(o);sb(n|0)}}n=pb()|0;A9(o);sb(n|0)}function Fi(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;s=0;t=r;r=r+32|0;u=t;if((e|0)==0|(f|0)==0){jD(a);r=t;return}i=k[c+20>>2]|0;h=k[c+24>>2]|0;if(h|0){Dba(h);DY(h)}j=k[d+20>>2]|0;h=k[d+24>>2]|0;if(h|0){Dba(h);DY(h)}OQ(u);m=(k[i+16>>2]|0)+e|0;l=k[(k[i+4>>2]|0)+(((m>>>0)/146|0)<<2)>>2]|0;m=(m>>>0)%146|0;i=l+(m*28|0)|0;h=(k[j+16>>2]|0)+f|0;y=0;h=Ha(1025,i|0,(k[(k[j+4>>2]|0)+(((h>>>0)/146|0)<<2)>>2]|0)+(((h>>>0)%146|0)*28|0)|0)|0;q=y;y=0;a:do if(q&1)s=29;else{do if(h){k[u>>2]=k[i>>2];k[u+4>>2]=k[i+4>>2];k[u+8>>2]=k[i+8>>2];h=u+12|0;q=u+16|0;if(k[q>>2]|0){y=0;na(423,h|0);p=y;y=0;if(p&1){s=29;break a}}k[q>>2]=k[l+(m*28|0)+16>>2];y=0;na(424,h|0);p=y;y=0;if(p&1){s=29;break a}p=u+20|0;j=l+(m*28|0)|0;h=k[j+20>>2]|0;j=k[j+24>>2]|0;if(j|0)Dba(j);k[p>>2]=h;h=u+24|0;i=k[h>>2]|0;k[h>>2]=j;if(i|0)DY(i);y=0;Ea(7,a|0,b|0,c|0,d|0,e+-1|0,f+-1|0,g|0);o=y;y=0;if(o&1){s=29;break a}i=k[a+20>>2]|0;f=a+24|0;n=k[f>>2]|0;o=(n|0)==0;if(!o)Dba(n);d=i+8|0;l=k[d>>2]|0;e=i+4|0;j=k[e>>2]|0;v=l-j>>2;b=i+16|0;c=k[b>>2]|0;g=i+20|0;m=k[g>>2]|0;if((((v|0)==0?0:(v*146|0)+-1|0)|0)==(m+c|0)){y=0;na(429,i|0);v=y;y=0;if(!(v&1)){m=k[g>>2]|0;i=k[b>>2]|0;l=k[d>>2]|0;j=k[e>>2]|0;s=22}}else{i=c;s=22}if((s|0)==22){i=m+i|0;if((l|0)==(j|0))j=0;else j=(k[j+(((i>>>0)/146|0)<<2)>>2]|0)+(((i>>>0)%146|0)*28|0)|0;k[j>>2]=k[u>>2];k[j+4>>2]=k[u+4>>2];k[j+8>>2]=k[u+8>>2];i=j+12|0;y=0;oa(460,i|0,k[q>>2]|0);v=y;y=0;if(!(v&1)){k[i>>2]=15136;k[j+20>>2]=k[p>>2];h=k[h>>2]|0;k[j+24>>2]=h;if(h|0)Dba(h);k[g>>2]=(k[g>>2]|0)+1;if(o)break;DY(n);break}}i=pb()|0;if(!o)DY(n);j=k[f>>2]|0;if(j|0)DY(j);DO(a+12|0);break a}else{v=k[b>>2]|0;h=f+-1|0;i=e+-1|0;if((k[(k[v+(e*12|0)>>2]|0)+(h<<2)>>2]|0)>(k[(k[v+(i*12|0)>>2]|0)+(f<<2)>>2]|0)){y=0;Ea(7,a|0,b|0,c|0,d|0,e|0,h|0,g|0);v=y;y=0;if(v&1){s=29;break a}else break}else{y=0;Ea(7,a|0,b|0,c|0,d|0,i|0,f|0,g|0);v=y;y=0;if(v&1){s=29;break a}else break}}while(0);h=k[u+24>>2]|0;if(h|0)DY(h);DO(u+12|0);r=t;return}while(0);if((s|0)==29){i=pb()|0;h=u+24|0}h=k[h>>2]|0;if(!h){v=u+12|0;DO(v);sb(i|0)}DY(h);v=u+12|0;DO(v);sb(i|0)}function Gi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;o=0;j=r;r=r+96|0;h=j;g=j+76|0;l=j+64|0;n=j+52|0;m=j+40|0;cL(g,82288);f=h;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));y=0;oa(533,a|0,g|0);q=y;y=0;if(q&1)b=pb()|0;else{k[a>>2]=15644;p=a+8|0;y=0;oa(456,p|0,g|0);q=y;y=0;do if(q&1)b=pb()|0;else{q=a+20|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,51649,5);f=y;y=0;if(f&1){b=pb()|0;A9(p);break}f=a+32|0;b=h;e=f+40|0;do{k[f>>2]=k[b>>2];f=f+4|0;b=b+4|0}while((f|0)<(e|0));k[a+72>>2]=0;A9(g);k[a>>2]=16852;e=a+76|0;y=0;oa(456,e|0,c|0);g=y;y=0;if(g&1)b=pb()|0;else{k[a+88>>2]=d;y=0;Ha(1009,p|0,51692)|0;g=y;y=0;if(g&1)b=pb()|0;else{k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;g=i[c+11>>0]|0;f=g<<24>>24<0;g=f?k[c+4>>2]|0:g&255;y=0;Ra(10,n|0,(f?k[c>>2]|0:c)|0,g|0,g+20|0);g=y;y=0;if(g&1)o=20;else{y=0;ta(41,n|0,51746,20)|0;g=y;y=0;if(g&1)o=20;else{y=0;oa(k[(k[d>>2]|0)+32>>2]|0,m|0,d|0);g=y;y=0;if(g&1)b=pb()|0;else{b=i[m+11>>0]|0;g=b<<24>>24<0;y=0;b=ta(41,n|0,(g?k[m>>2]|0:m)|0,(g?k[m+4>>2]|0:b&255)|0)|0;g=y;y=0;if(g&1)b=pb()|0;else{k[l>>2]=k[b>>2];k[l+4>>2]=k[b+4>>2];k[l+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,l|0,55435)|0;g=y;y=0;do if(g&1)b=pb()|0;else{k[h>>2]=k[b>>2];k[h+4>>2]=k[b+4>>2];k[h+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;g=i[h+11>>0]|0;d=g<<24>>24<0;y=0;ta(41,p|0,(d?k[h>>2]|0:h)|0,(d?k[h+4>>2]|0:g&255)|0)|0;g=y;y=0;if(g&1){b=pb()|0;A9(h);break}else{A9(h);A9(l);A9(m);A9(n);r=j;return}}while(0);A9(l)}A9(m)}A9(n)}}if((o|0)==20){b=pb()|0;A9(n)}}A9(e)}k[a>>2]=15644;A9(q);A9(p);Pca(a);a=b;sb(a|0)}while(0);Pca(a)}A9(g);a=b;sb(a|0)}function Hi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;j=r;r=r+16|0;i=j;h=b+4|0;d=k[h>>2]|0;if(!d)f=0;else{e=k[a+4>>2]|0;if(!e)f=0;else f=Cs(d,e)|0}g=c+4|0;d=k[g>>2]|0;if(!d)d=0;else{e=k[h>>2]|0;if(!e)d=0;else d=Cs(d,e)|0}if(!f){if(!d){i=0;r=j;return i|0}LT(i,k[h>>2]|0);k[i>>2]=13284;if((b|0)!=(c|0)){if(k[h>>2]|0){y=0;na(423,b|0);f=y;y=0;if(f&1){j=pb()|0;DO(i);sb(j|0)}}k[h>>2]=k[g>>2];k[g>>2]=0}if((i|0)!=(c|0)){if(k[g>>2]|0){y=0;na(423,c|0);c=y;y=0;if(c&1){j=pb()|0;DO(i);sb(j|0)}}c=i+4|0;k[g>>2]=k[c>>2];k[c>>2]=0}DO(i);d=k[h>>2]|0;if(!d){i=1;r=j;return i|0}e=a+4|0;f=k[e>>2]|0;if(!f){i=1;r=j;return i|0}if(!(Cs(d,f)|0)){i=1;r=j;return i|0}LT(i,k[e>>2]|0);k[i>>2]=13284;if((a|0)!=(b|0)){if(k[e>>2]|0){y=0;na(423,a|0);a=y;y=0;if(a&1){j=pb()|0;DO(i);sb(j|0)}}k[e>>2]=k[h>>2];k[h>>2]=0}if((i|0)!=(b|0)){if(k[h>>2]|0){y=0;na(423,b|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}b=i+4|0;k[h>>2]=k[b>>2];k[b>>2]=0}DO(i);i=2;r=j;return i|0}if(d){d=a+4|0;LT(i,k[d>>2]|0);k[i>>2]=13284;if((a|0)!=(c|0)){if(k[d>>2]|0){y=0;na(423,a|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}k[d>>2]=k[g>>2];k[g>>2]=0}if((i|0)!=(c|0)){if(k[g>>2]|0){y=0;na(423,c|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}b=i+4|0;k[g>>2]=k[b>>2];k[b>>2]=0}DO(i);i=1;r=j;return i|0}d=a+4|0;LT(i,k[d>>2]|0);k[i>>2]=13284;if((a|0)!=(b|0)){if(k[d>>2]|0){y=0;na(423,a|0);a=y;y=0;if(a&1){j=pb()|0;DO(i);sb(j|0)}}k[d>>2]=k[h>>2];k[h>>2]=0}if((i|0)!=(b|0)){if(k[h>>2]|0){y=0;na(423,b|0);a=y;y=0;if(a&1){j=pb()|0;DO(i);sb(j|0)}}a=i+4|0;k[h>>2]=k[a>>2];k[a>>2]=0}DO(i);d=k[g>>2]|0;if(!d){i=1;r=j;return i|0}e=k[h>>2]|0;if(!e){i=1;r=j;return i|0}if(!(Cs(d,e)|0)){i=1;r=j;return i|0}LT(i,k[h>>2]|0);k[i>>2]=13284;if((b|0)!=(c|0)){if(k[h>>2]|0){y=0;na(423,b|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}k[h>>2]=k[g>>2];k[g>>2]=0}if((i|0)!=(c|0)){if(k[g>>2]|0){y=0;na(423,c|0);b=y;y=0;if(b&1){j=pb()|0;DO(i);sb(j|0)}}b=i+4|0;k[g>>2]=k[b>>2];k[b>>2]=0}DO(i);i=2;r=j;return i|0}function Ii(a,b){a=a|0;b=b|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;if((cc|0)==1)cc=3}Qc(fc+51060|0)}function Ji(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0;l=0;g=r;r=r+32|0;f=g+12|0;h=g;_g(a,b,c,d);k[a>>2]=21160;j=a+8|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;e=i[82323]|0;m=e<<24>>24<0;e=m?k[20579]|0:e&255;y=0;Ra(10,f|0,(m?k[20578]|0:82312)|0,e|0,e+3|0);e=y;y=0;a:do if(e&1)l=18;else{y=0;ta(41,f|0,51767,3)|0;m=y;y=0;if(m&1)l=18;else{e=j+11|0;if((i[e>>0]|0)<0){i[k[j>>2]>>0]=0;k[a+12>>2]=0}else{i[j>>0]=0;i[e>>0]=0}y=0;oa(500,j|0,0);m=y;y=0;if(m&1){m=tb(0)|0;Sla(m)}k[j>>2]=k[f>>2];k[j+4>>2]=k[f+4>>2];k[j+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;A9(f);y=0;oa(k[(k[b>>2]|0)+20>>2]|0,f|0,b|0);m=y;y=0;do if(m&1)b=pb()|0;else{m=i[f+11>>0]|0;e=m<<24>>24<0;y=0;ta(41,j|0,(e?k[f>>2]|0:f)|0,(e?k[f+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){b=pb()|0;A9(f);break}A9(f);k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;b=d+11|0;e=i[b>>0]|0;e=e<<24>>24<0?k[d+4>>2]|0:e&255;y=0;Ra(10,h|0,51792,1,e+1|0);m=y;y=0;if(m&1)l=22;else{y=0;ta(41,h|0,((i[b>>0]|0)<0?k[d>>2]|0:d)|0,e|0)|0;m=y;y=0;if(m&1)l=22;else{y=0;b=Ha(974,h|0,51792)|0;m=y;y=0;do if(m&1)b=pb()|0;else{k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;m=i[f+11>>0]|0;d=m<<24>>24<0;y=0;ta(41,j|0,(d?k[f>>2]|0:f)|0,(d?k[f+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){b=pb()|0;A9(f);break}A9(f);A9(h);y=0;oa(k[(k[c>>2]|0)+20>>2]|0,f|0,c|0);m=y;y=0;do if(m&1)b=pb()|0;else{m=i[f+11>>0]|0;h=m<<24>>24<0;y=0;ta(41,j|0,(h?k[f>>2]|0:f)|0,(h?k[f+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){b=pb()|0;A9(f);break}A9(f);y=0;Ha(974,j|0,51816)|0;m=y;y=0;if(m&1){b=pb()|0;break a}else{r=g;return}}while(0);break a}while(0);A9(h)}}if((l|0)==22){b=pb()|0;A9(h)}break a}while(0)}}while(0);if((l|0)==18){b=pb()|0;A9(f)}k[a>>2]=17756;A9(a+28|0);k[a>>2]=15668;A9(j);Pca(a);sb(b|0)}function Ki(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;u=r;r=r+96|0;e=u;v=u+80|0;t=u+72|0;p=u+64|0;q=u+56|0;s=u+40|0;if(i[b+53>>0]|0){v=b;r=u;return v|0}o=b+60|0;if(k[b+104>>2]|0){c=gb(84)|0;y=0;Na(130,c|0,b|0,b|0);v=y;y=0;if(!(v&1))Wb(c|0,3608,175);v=pb()|0;fb(c|0);sb(v|0)}m=IM(108)|0;l=b+84|0;n=b+88|0;c=k[n>>2]|0;d=k[l>>2]|0;g=e;h=b+12|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(422,m|0);j=y;y=0;do if(j&1)c=pb()|0;else{f=c-d>>3;g=m+12|0;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;c=m+56|0;k[c>>2]=0;k[m>>2]=9288;d=m+60|0;y=0;oa(556,d|0,f|0);j=y;y=0;if(j&1){c=pb()|0;break}k[m>>2]=9412;k[d>>2]=9540;k[c>>2]=6;LT(v,m);k[v>>2]=16764;c=k[l>>2]|0;h=k[n>>2]|0;a:do if((c|0)==(h|0)){d=v+4|0;e=35}else{j=t+4|0;l=p+4|0;d=v+4|0;m=s+8|0;n=s+8|0;while(1){y=0;oa(460,t|0,k[c+4>>2]|0);g=y;y=0;if(g&1){e=19;break}k[t>>2]=7284;g=k[j>>2]|0;y=0;g=Ha(k[(k[g>>2]|0)+56>>2]|0,g|0,a|0)|0;f=y;y=0;if(f&1){e=20;break}y=0;oa(460,q|0,k[j>>2]|0);f=y;y=0;if(f&1){e=21;break}k[q>>2]=7284;y=0;Na(76,p|0,o|0,q|0);f=y;y=0;if(f&1){e=22;break}e=k[l>>2]|0;DO(p);DO(q);if(e|0){y=0;e=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,a|0)|0;f=y;y=0;if(f&1){e=30;break}f=(k[d>>2]|0)+60|0;y=0;oa(460,s|0,g|0);g=y;y=0;if(g&1){e=31;break}k[s>>2]=7284;y=0;oa(460,m|0,e|0);g=y;y=0;if(g&1){e=26;break}k[m>>2]=7284;y=0;Ha(988,f|0,s|0)|0;g=y;y=0;if(g&1){e=33;break}DO(n);DO(s)}DO(t);c=c+8|0;if((c|0)==(h|0)){e=35;break a}}if((e|0)==19){c=pb()|0;break}else if((e|0)==20)c=pb()|0;else if((e|0)==21)c=pb()|0;else if((e|0)==22){c=pb()|0;DO(q)}else if((e|0)==26){c=pb()|0;DO(s);e=32}else if((e|0)==30)c=pb()|0;else if((e|0)==31){c=pb()|0;e=32}else if((e|0)==33){c=pb()|0;DO(n);DO(s)}DO(t)}while(0);do if((e|0)==35){c=k[d>>2]|0;if(k[c+104>>2]|0){c=gb(84)|0;y=0;Na(130,c|0,k[d>>2]|0,b|0);b=y;y=0;if(b&1){b=pb()|0;fb(c|0);c=b;break}else{y=0;Na(75,c|0,3608,175);y=0;c=pb()|0;break}}i[c+53>>0]=1;if(!c)c=0;else i[c+8>>0]=1;DO(v);v=c;r=u;return v|0}while(0);DO(v);v=c;sb(v|0)}while(0);cra(m);v=c;sb(v|0);return 0}function Li(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=r;r=r+112|0;e=s+104|0;m=s+96|0;n=s+80|0;f=s+72|0;g=s+64|0;h=s+56|0;o=s+48|0;p=s+32|0;d=s+24|0;j=s+16|0;l=s;q=b+84|0;c=i[q+11>>0]|0;if(((c<<24>>24<0?k[b+88>>2]|0:c&255)|0)!=4){r=s;return b|0}y=0;c=sa(21,q|0,0,-1,50576,4)|0;t=y;y=0;if(t&1){t=tb(0)|0;Sla(t)}if(c|0){r=s;return b|0}if(!(k[(k[(k[a+4>>2]|0)+88>>2]|0)+-4>>2]|0)){r=s;return b|0}c=b+108|0;LT(e,k[c>>2]|0);k[e>>2]=6756;a=k[e+4>>2]|0;y=0;a=Ha(k[(k[a>>2]|0)+40>>2]|0,a|0,388)|0;t=y;y=0;if(t&1){t=pb()|0;DO(e);sb(t|0)}DO(e);if(a){LT(m,k[c>>2]|0);k[m>>2]=6756;d=k[m+4>>2]|0;c=k[d+76>>2]|0;d=d+80|0;a=k[d>>2]|0;if((a|0)!=(c|0))do{t=a+-8|0;k[d>>2]=t;lc[k[k[t>>2]>>2]&511](t);a=k[d>>2]|0}while((a|0)!=(c|0));DO(m);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;aI(n,51792,1);y=0;Ha(969,q|0,n|0)|0;t=y;y=0;if(t&1){t=pb()|0;A9(n);sb(t|0)}else{A9(n);r=s;return b|0}}LT(f,k[c>>2]|0);k[f>>2]=6756;t=k[f+4>>2]|0;t=((k[t+80>>2]|0)-(k[t+76>>2]|0)|0)==8;DO(f);if(!t){LT(d,k[c>>2]|0);k[d>>2]=6756;t=k[d+4>>2]|0;t=(k[t+80>>2]|0)-(k[t+76>>2]|0)>>3>>>0>1;DO(d);if(!t){r=s;return b|0}LT(j,k[c>>2]|0);k[j>>2]=6756;d=k[j+4>>2]|0;c=k[d+76>>2]|0;d=d+80|0;a=k[d>>2]|0;if((a|0)!=(c|0))do{t=a+-8|0;k[d>>2]=t;lc[k[k[t>>2]>>2]&511](t);a=k[d>>2]|0}while((a|0)!=(c|0));DO(j);k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;aI(l,51792,1);y=0;Ha(969,q|0,l|0)|0;t=y;y=0;if(t&1){t=pb()|0;A9(l);sb(t|0)}else{A9(l);r=s;return b|0}}LT(g,k[c>>2]|0);k[g>>2]=6756;a=(k[g+4>>2]|0)+72|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,0)|0;t=y;y=0;if(t&1){t=pb()|0;DO(g);sb(t|0)}t=k[a+4>>2]|0;DO(g);LT(h,k[t+88>>2]|0);k[h>>2]=15136;t=(k[h+4>>2]|0)==0;DO(h);if(t){r=s;return b|0}LT(o,k[c>>2]|0);k[o>>2]=6756;d=k[o+4>>2]|0;c=k[d+76>>2]|0;d=d+80|0;a=k[d>>2]|0;if((a|0)!=(c|0))do{t=a+-8|0;k[d>>2]=t;lc[k[k[t>>2]>>2]&511](t);a=k[d>>2]|0}while((a|0)!=(c|0));DO(o);k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;aI(p,51792,1);y=0;Ha(969,q|0,p|0)|0;t=y;y=0;if(t&1){t=pb()|0;A9(p);sb(t|0)}else{A9(p);r=s;return b|0}return 0}function Mi(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0.0;x=0;A=r;r=r+128|0;z=A+80|0;t=A+40|0;u=A+24|0;w=A+12|0;v=A;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;aI(z,38272,6);y=0;b=Ha(975,a|0,z|0)|0;s=y;y=0;if(s&1){A=pb()|0;A9(z);sb(A|0)}b=k[b+4>>2]|0;if(!b)b=0;else b=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(z);if(!b){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;aI(w,38272,6);y=0;g=z;q=e;s=g+40|0;do{k[g>>2]=k[q>>2];g=g+4|0;q=q+4|0}while((g|0)<(s|0));g=sa(24,w|0,a|0,d|0,z|0,f|0)|0;x=y;y=0;if(x&1){A=pb()|0;A9(w);sb(A|0)}A9(w);j=+p[g+64>>3]/255.0;l=+p[g+72>>3]/255.0;m=+p[g+80>>3]/255.0;b=l<m;h=b?m:l;h=j<h?h:j;B=m<l?m:l;B=B<j?B:j;n=h-B;o=(h+B)*.5;do if(h==B)h=0.0;else{if(j==h){h=(b?6.0:0.0)+(l-m)/n;break}if(l==h){h=(m-j)/n+2.0;break}if(m==h)h=(j-l)/n+4.0;else h=0.0}while(0);l=h/6.0*360.0;j=o*100.0;h=+p[g+88>>3];g=z;q=e;s=g+40|0;do{k[g>>2]=k[q>>2];g=g+4|0;q=q+4|0}while((g|0)<(s|0));z=Wm(l,0.0,j,h,0,z)|0;r=A;return z|0}a=IM(80)|0;g=t;q=e;s=g+40|0;do{k[g>>2]=k[q>>2];g=g+4|0;q=q+4|0}while((g|0)<(s|0));e=k[(k[b>>2]|0)+28>>2]|0;c=k[c+16>>2]|0;y=0;k[z>>2]=k[c>>2];k[z+4>>2]=k[c+4>>2];k[z+8>>2]=k[c+8>>2];Na(e|0,v|0,b|0,z|0);e=y;y=0;if(e&1)b=pb()|0;else{k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;b=v+11|0;g=i[b>>0]|0;g=g<<24>>24<0?k[v+4>>2]|0:g&255;y=0;Ra(10,w|0,38431,10,g+10|0);e=y;y=0;if(e&1)x=13;else{y=0;ta(41,w|0,((i[b>>0]|0)<0?k[v>>2]|0:v)|0,g|0)|0;e=y;y=0;if(e&1)x=13;else{y=0;b=Ha(974,w|0,48585)|0;e=y;y=0;do if(e&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;g=z;q=t;s=g+40|0;do{k[g>>2]=k[q>>2];g=g+4|0;q=q+4|0}while((g|0)<(s|0));Ea(2,a|0,z|0,u|0,0,0,0,1);z=y;y=0;if(z&1){b=pb()|0;A9(u);break}A9(u);A9(w);A9(v);z=a;r=A;return z|0}while(0);A9(w)}}if((x|0)==13){b=pb()|0;A9(w)}A9(v)}cra(a);A=b;sb(A|0);return 0}function Ni(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=r;r=r+32|0;n=q+24|0;l=q+16|0;o=q+8|0;p=q;m=a+120|0;LT(n,k[m>>2]|0);k[n>>2]=7492;c=(k[n+4>>2]|0)==0;DO(n);n=b+120|0;LT(l,k[n>>2]|0);k[l>>2]=7492;d=(k[l+4>>2]|0)==0;DO(l);if(c&d){c=a+84|0;d=b+84|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[a+88>>2]|0:e;p=i[d+11>>0]|0;f=p<<24>>24<0;if((h|0)!=((f?k[b+88>>2]|0:p&255)|0)){b=0;r=q;return b|0}j=k[c>>2]|0;l=g?j:c;d=f?k[d>>2]|0:d;f=(h|0)==0;a:do if(g){if(!f)if(bN(l,d,h)|0){b=0;r=q;return b|0}}else if(!f){if((j&255)<<24>>24!=(i[d>>0]|0)){b=0;r=q;return b|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break a;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}r=q;return c|0}while(0);c=a+104|0;d=b+104|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[a+108>>2]|0:e;p=i[d+11>>0]|0;f=p<<24>>24<0;if((h|0)!=((f?k[b+108>>2]|0:p&255)|0)){b=0;r=q;return b|0}j=k[c>>2]|0;l=g?j:c;d=f?k[d>>2]|0:d;f=(h|0)==0;b:do if(g){if(!f)if(bN(l,d,h)|0){b=0;r=q;return b|0}}else if(!f){if((j&255)<<24>>24!=(i[d>>0]|0)){b=0;r=q;return b|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break b;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}r=q;return c|0}while(0);b=Jo(a,b)|0;r=q;return b|0}if(c^d){b=0;r=q;return b|0}c=a+84|0;d=b+84|0;e=i[c+11>>0]|0;j=e<<24>>24<0;e=e&255;l=j?k[a+88>>2]|0:e;h=i[d+11>>0]|0;f=h<<24>>24<0;if((l|0)!=((f?k[b+88>>2]|0:h&255)|0)){b=0;r=q;return b|0}g=k[c>>2]|0;h=j?g:c;d=f?k[d>>2]|0:d;f=(l|0)==0;c:do if(j){if(!f)if(bN(h,d,l)|0){b=0;r=q;return b|0}}else if(!f){if((g&255)<<24>>24!=(i[d>>0]|0)){b=0;r=q;return b|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break c;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}r=q;return c|0}while(0);c=a+104|0;d=b+104|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[a+108>>2]|0:e;l=i[d+11>>0]|0;f=l<<24>>24<0;if((h|0)!=((f?k[b+108>>2]|0:l&255)|0)){b=0;r=q;return b|0}j=k[c>>2]|0;l=g?j:c;d=f?k[d>>2]|0:d;f=(h|0)==0;d:do if(g){if(!f)if(bN(l,d,h)|0){b=0;r=q;return b|0}}else if(!f){if((j&255)<<24>>24!=(i[d>>0]|0)){b=0;r=q;return b|0}while(1){e=e+-1|0;c=c+1|0;if(!e)break d;d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){c=0;break}}r=q;return c|0}while(0);if(!(Jo(a,b)|0)){b=0;r=q;return b|0}LT(o,k[m>>2]|0);k[o>>2]=7492;c=k[o+4>>2]|0;d=k[(k[c>>2]|0)+92>>2]|0;y=0;oa(460,p|0,k[n>>2]|0);b=y;y=0;if(b&1){q=pb()|0;DO(o);sb(q|0)}k[p>>2]=7492;y=0;c=Ha(d|0,c|0,k[p+4>>2]|0)|0;b=y;y=0;if(b&1){q=pb()|0;DO(p);DO(o);sb(q|0)}else{DO(p);DO(o);b=c;r=q;return b|0}return 0}function Oi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0;q=r;r=r+112|0;p=q+72|0;f=q+60|0;l=q+48|0;m=q+36|0;n=q+24|0;g=q+12|0;h=q;o=b+4|0;c=k[o>>2]|0;b=i[c+68+11>>0]|0;if(b<<24>>24<0)b=k[c+72>>2]|0;else b=b&255;if(b|0){do if(i[a+82>>0]|0){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;aI(f,31736,53);y=0;c=p;d=(k[o>>2]|0)+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(454,f|0,p|0);p=y;y=0;if(!(p&1)){A9(f);break}q=pb()|0;A9(f);sb(q|0)}while(0);i[a+80>>0]=1;r=q;return}b=j[c+80>>1]|0;if((b&255)<<24>>24){b=a+81|0;do if(i[b>>0]|0){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;aI(l,31790,73);y=0;c=p;d=(k[o>>2]|0)+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(454,l|0,p|0);n=y;y=0;if(!(n&1)){A9(l);break}q=pb()|0;A9(l);sb(q|0)}while(0);do if(i[a+82>>0]|0){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,31864,52);y=0;c=p;d=(k[o>>2]|0)+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(454,m|0,p|0);p=y;y=0;if(!(p&1)){A9(m);break}q=pb()|0;A9(m);sb(q|0)}while(0);i[b>>0]=1;r=q;return}if((b&65535)>=256){b=a+82|0;do if(i[b>>0]|0){k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;aI(n,31917,65);y=0;c=p;d=(k[o>>2]|0)+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(454,n|0,p|0);p=y;y=0;if(!(p&1)){A9(n);break}q=pb()|0;A9(n);sb(q|0)}while(0);i[b>>0]=1;r=q;return}do if(i[a+81>>0]|0){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,31983,56);y=0;c=p;d=(k[o>>2]|0)+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(454,g|0,p|0);n=y;y=0;if(!(n&1)){A9(g);break}q=pb()|0;A9(g);sb(q|0)}while(0);if(!(i[a+80>>0]|0)){r=q;return}k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;aI(h,32040,46);y=0;c=p;d=(k[o>>2]|0)+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(454,h|0,p|0);p=y;y=0;if(p&1){q=pb()|0;A9(h);sb(q|0)}else{A9(h);r=q;return}}function Pi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;p=0;q=r;r=r+80|0;m=q;t=q+48|0;s=q+40|0;n=a+48|0;o=a+52|0;c=k[o>>2]|0;if((c|0)==(k[n>>2]|0))c=0;else c=k[c+-4>>2]|0;LR(t,c,0);y=0;l=qa(315,88)|0;j=y;y=0;a:do if(!(j&1)){c=k[b+72>>2]|0;d=k[b+68>>2]|0;h=i[b+84>>0]|0;e=m;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(422,l|0);j=y;y=0;do if(j&1)c=pb()|0;else{d=c-d>>3;e=l+12|0;f=m;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[l>>2]=6564;k[l+52>>2]=0;k[l+56>>2]=0;i[l+60>>0]=0;c=l+64|0;k[c>>2]=6524;g=l+68|0;j=l+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,d|0);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[j>>2]|0;if((e|0)!=(d|0)){do{s=e+-8|0;k[j>>2]=s;lc[k[k[s>>2]>>2]&511](s);e=k[j>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[l>>2]=6368;k[c>>2]=6468;i[l+84>>0]=h;y=0;oa(460,s|0,l|0);l=y;y=0;if(l&1)break a;k[s>>2]=6868;e=s+4|0;c=k[e>>2]|0;k[m>>2]=c;f=a+64|0;d=k[f>>2]|0;if(d>>>0<(k[a+68>>2]|0)>>>0){k[d>>2]=c;k[f>>2]=(k[f>>2]|0)+4;p=16}else{y=0;oa(651,a+60|0,m|0);l=y;y=0;if(l&1)c=pb()|0;else p=16}do if((p|0)==16){k[m>>2]=t;c=k[o>>2]|0;if(c>>>0<(k[a+56>>2]|0)>>>0){k[c>>2]=t;k[o>>2]=(k[o>>2]|0)+4}else{y=0;oa(638,n|0,m|0);p=y;y=0;if(p&1){c=pb()|0;break}}y=0;oa(652,a|0,b|0);p=y;y=0;if(p&1){c=pb()|0;break}k[f>>2]=(k[f>>2]|0)+-4;k[o>>2]=(k[o>>2]|0)+-4;c=k[e>>2]|0;if(!c){p=0;DO(s);s=t+4|0;s=k[s>>2]|0;GC(t,s);r=q;return p|0}i[c+8>>0]=1;p=c;DO(s);s=t+4|0;s=k[s>>2]|0;GC(t,s);r=q;return p|0}while(0);DO(s);s=c;q=t+4|0;q=k[q>>2]|0;GC(t,q);sb(s|0)}while(0);cra(l);s=c;q=t+4|0;q=k[q>>2]|0;GC(t,q);sb(s|0)}while(0);s=pb()|0;q=t+4|0;q=k[q>>2]|0;GC(t,q);sb(s|0);return 0}function Qi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;l=r;r=r+112|0;h=l;q=l+104|0;p=l+56|0;j=l+64|0;n=l+48|0;m=l+40|0;LT(q,k[b+64>>2]|0);k[q>>2]=7284;f=q+4|0;c=k[f>>2]|0;if(!c){c=0;o=3}else{y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;o=y;y=0;if(o&1)o=23;else o=3}do if((o|0)==3){y=0;oa(460,h|0,c|0);g=y;y=0;if(g&1)o=23;else{k[h>>2]=7284;if(k[f>>2]|0){y=0;na(423,q|0);g=y;y=0;if(g&1){c=pb()|0;DO(h);break}}o=h+4|0;k[f>>2]=k[o>>2];k[o>>2]=0;DO(h);y=0;oa(460,p|0,k[b+72>>2]|0);o=y;y=0;if(o&1){p=pb()|0;DO(q);sb(p|0)}k[p>>2]=7284;e=p+4|0;c=k[e>>2]|0;if(!c){c=0;o=9}else{y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;o=y;y=0;if(o&1)o=27;else o=9}do if((o|0)==9){y=0;oa(460,h|0,c|0);g=y;y=0;if(g&1)o=27;else{k[h>>2]=7284;if(k[e>>2]|0){y=0;na(423,p|0);g=y;y=0;if(g&1){c=pb()|0;DO(h);o=29;break}}g=h+4|0;k[e>>2]=k[g>>2];k[g>>2]=0;DO(h);y=0;g=qa(315,76)|0;d=y;y=0;if(d&1){c=pb()|0;break}d=j;c=b+12|0;a=d+40|0;do{k[d>>2]=k[c>>2];d=d+4|0;c=c+4|0}while((d|0)<(a|0));y=0;c=qa(316,k[f>>2]|0)|0;f=y;y=0;if(f&1)o=31;else{y=0;oa(460,n|0,c|0);f=y;y=0;if(f&1)o=31;else{k[n>>2]=7284;y=0;oa(460,m|0,k[e>>2]|0);f=y;y=0;if(f&1)c=pb()|0;else{k[m>>2]=7284;d=h;c=j;a=d+40|0;do{k[d>>2]=k[c>>2];d=d+4|0;c=c+4|0}while((d|0)<(a|0));y=0;na(422,g|0);j=y;y=0;if(j&1)c=pb()|0;else{d=g+12|0;c=h;a=d+40|0;do{k[d>>2]=k[c>>2];d=d+4|0;c=c+4|0}while((d|0)<(a|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=12348;c=g+60|0;y=0;oa(460,c|0,k[n+4>>2]|0);j=y;y=0;do if(j&1)c=pb()|0;else{k[c>>2]=7284;a=g+68|0;y=0;oa(460,a|0,k[m+4>>2]|0);j=y;y=0;if(j&1){l=pb()|0;DO(c);c=l;break}else{k[a>>2]=7284;DO(m);DO(n);DO(p);DO(q);r=l;return g|0}}while(0)}DO(m)}DO(n)}}if((o|0)==31)c=pb()|0;cra(g)}}while(0);if((o|0)==27){c=pb()|0;o=29}DO(p);p=c;DO(q);sb(p|0)}}while(0);if((o|0)==23)c=pb()|0;p=c;DO(q);sb(p|0);return 0}function Ri(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;m=r;r=r+144|0;l=m+96|0;o=m+88|0;f=m+76|0;j=m+72|0;h=m+12|0;g=m;n=m+24|0;LT(o,k[(k[a+76>>2]|0)+-4>>2]|0);k[o>>2]=6336;c=k[o+4>>2]|0;if(!c)e=3;else if((k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))e=8;else e=3;do if((e|0)==3){k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,47537,70);d=y;y=0;if(!(d&1)){y=0;c=l;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));oa(454,f|0,l|0);e=y;y=0;if(!(e&1)){A9(f);e=8;break}n=pb()|0;A9(f);DO(o);sb(n|0)}}while(0);if((e|0)==8){y=0;oa(456,h|0,b+64|0);f=y;y=0;if(!(f&1)){c=i[h+11>>0]|0;d=k[h>>2]|0;y=0;oa(456,g|0,b+100|0);f=y;y=0;do if(f&1)c=pb()|0;else{y=0;f=Ma(6,(c<<24>>24<0?d:h)|0,((i[g+11>>0]|0)<0?k[g>>2]|0:g)|0,0,0)|0;e=y;y=0;if(e&1){c=pb()|0;A9(g);break}A9(g);A9(h);k[j>>2]=f;g=a+4|0;c=k[g>>2]|0;d=c+276|0;e=k[d>>2]|0;if((e|0)==(k[c+280>>2]|0)){y=0;oa(534,c+272|0,j|0);j=y;y=0;if(j&1)e=25;else e=14}else{k[e>>2]=f;k[d>>2]=(k[d>>2]|0)+4;e=14}if((e|0)==14){y=0;oa(471,n|0,b+64|0);j=y;y=0;if(j&1)e=25;else{d=n+36|0;c=Gt((k[g>>2]|0)+236|0,l,d)|0;c=k[c>>2]|0;do if(!c){c=gb(8)|0;y=0;oa(479,c|0,48160);m=y;y=0;if(m&1){m=pb()|0;fb(c|0);c=m;break}else{k[c>>2]=29256;y=0;Na(75,c|0,5824,407);y=0;e=26;break}}else{y=0;oa(652,a|0,k[c+28+12>>2]|0);a=y;y=0;if(a&1)e=26;else{y=0;na(430,k[(k[(k[g>>2]|0)+276>>2]|0)+-4>>2]|0);a=y;y=0;if(a&1)e=26;else{a=(k[g>>2]|0)+276|0;k[a>>2]=(k[a>>2]|0)+-4;A9(d);A9(n+24|0);A9(n+12|0);A9(n);DO(o);r=m;return 0}}}while(0);if((e|0)==26)c=pb()|0;A9(d);A9(n+24|0);A9(n+12|0);A9(n)}}if((e|0)==25)c=pb()|0;n=c;DO(o);sb(n|0)}while(0);A9(h);n=c;DO(o);sb(n|0)}}n=pb()|0;DO(o);sb(n|0);return 0}function Si(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=r;r=r+128|0;m=q+80|0;o=q+72|0;s=q+48|0;p=q+60|0;j=q+24|0;h=q+36|0;g=q;c=q+12|0;y=0;la(4);y=0;n=db(2224,2240,2256,0)|0;l=N;if((l|0)==(ob(2224)|0)){f=Bb(n|0)|0;k[o>>2]=16680;k[o+4>>2]=k[f+4>>2];vb(n|0)|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,38912,24);f=y;y=0;if(f&1)c=pb()|0;else{y=0;oa(456,c|0,g|0);f=y;y=0;do if(f&1)c=pb()|0;else{y=0;d=m;e=a;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(98,c|0,m|0,b|0);f=y;y=0;if(f&1){f=pb()|0;A9(c);c=f;break}A9(c);A9(g);rb();r=q;return}while(0);A9(g)}y=0;la(3);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}else{s=c;sb(s|0)}}if((l|0)==(ob(2240)|0)){Bb(n|0)|0;k[o>>2]=16700;vb(n|0)|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,38937,21);g=y;y=0;if(g&1)c=pb()|0;else{y=0;oa(456,h|0,j|0);g=y;y=0;do if(g&1)c=pb()|0;else{y=0;d=m;e=a;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(98,h|0,m|0,b|0);g=y;y=0;if(g&1){c=pb()|0;A9(h);break}A9(h);A9(j);rb();r=q;return}while(0);A9(j)}y=0;la(3);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}else{s=c;sb(s|0)}}if((l|0)!=(ob(2256)|0)){vb(n|0)|0;y=0;la(4);y=0;c=pb()|0;y=0;la(3);l=y;y=0;if(l&1){l=tb(0)|0;Sla(l)}else{s=c;sb(s|0)}}l=Bb(n|0)|0;k[o>>2]=16720;i[o+4>>0]=i[l+4>>0]|0;vb(n|0)|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,38959,18);o=y;y=0;if(o&1)c=pb()|0;else{y=0;oa(456,p|0,s|0);o=y;y=0;do if(o&1)c=pb()|0;else{y=0;d=m;e=a;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(98,p|0,m|0,b|0);o=y;y=0;if(o&1){c=pb()|0;A9(p);break}A9(p);A9(s);rb();r=q;return}while(0);A9(s)}y=0;la(3);s=y;y=0;if(s&1){s=tb(0)|0;Sla(s)}else{s=c;sb(s|0)}}function Ti(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;v=r;r=r+80|0;t=v+32|0;w=v+16|0;s=v;u=v+8|0;k[w>>2]=0;x=w+4|0;k[x>>2]=0;k[w+8>>2]=0;c=k[a+76>>2]|0;n=(k[a+80>>2]|0)-c>>3;a:do if(!n)e=3;else{o=a+76|0;p=b+72|0;q=b+76|0;i=b+80|0;j=t+4|0;l=s+4|0;m=w+8|0;b=0;b:while(1){y=0;oa(460,t|0,k[c+(b<<3)+4>>2]|0);h=y;y=0;if(h&1){e=8;break}k[t>>2]=15136;h=(k[i>>2]|0)-(k[q>>2]|0)>>3;if(h|0){g=0;do{y=0;c=Ha(k[(k[p>>2]|0)+16>>2]|0,p|0,g|0)|0;f=y;y=0;if(f&1){e=15;break b}y=0;c=Ha(973,k[j>>2]|0,k[c+4>>2]|0)|0;f=y;y=0;if(f&1){e=16;break b}y=0;oa(460,s|0,c|0);f=y;y=0;if(f&1){e=16;break b}k[s>>2]=6756;d=k[l>>2]|0;c:do if(d|0){f=(k[d+80>>2]|0)-(k[d+76>>2]|0)>>3;if(f|0){c=0;while(1){d=k[d+76>>2]|0;e=k[x>>2]|0;if((e|0)==(k[m>>2]|0)){y=0;oa(513,w|0,d+(c<<3)|0);e=y;y=0;if(e&1){e=23;break b}}else{y=0;oa(460,e|0,k[d+(c<<3)+4>>2]|0);d=y;y=0;if(d&1){e=23;break b}k[e>>2]=15136;k[x>>2]=(k[x>>2]|0)+8}c=c+1|0;if(c>>>0>=f>>>0)break c;d=k[l>>2]|0}}}while(0);DO(s);g=g+1|0}while(g>>>0<h>>>0)}DO(t);b=b+1|0;if(b>>>0>=n>>>0){e=3;break a}c=k[o>>2]|0}if((e|0)==8){d=pb()|0;break}else if((e|0)==15)b=pb()|0;else if((e|0)==16)b=pb()|0;else if((e|0)==23){b=pb()|0;DO(s)}DO(t);d=b}while(0);d:do if((e|0)==3){y=0;f=qa(315,112)|0;s=y;y=0;if(s&1){d=pb()|0;break}y=0;d=t;b=a+12|0;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));Na(80,f|0,t|0,0);t=y;y=0;if(t&1){d=pb()|0;cra(f);break}c=k[w>>2]|0;do if((c|0)==(k[x>>2]|0))b=c;else{d=f+72|0;while(1){b=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,u|0,k[c+4>>2]|0);t=y;y=0;if(t&1){e=41;break}k[u>>2]=15136;y=0;oa(b|0,d|0,u|0);t=y;y=0;if(t&1){e=42;break}DO(u);c=c+8|0;if((c|0)==(k[x>>2]|0)){e=29;break}}if((e|0)==29){b=k[w>>2]|0;break}else if((e|0)==41){d=pb()|0;break d}else if((e|0)==42){d=pb()|0;DO(u);break d}}while(0);if(!b){r=v;return f|0}if((c|0)!=(b|0)){do{u=c+-8|0;k[x>>2]=u;lc[k[k[u>>2]>>2]&511](u);c=k[x>>2]|0}while((c|0)!=(b|0));b=k[w>>2]|0}cra(b);r=v;return f|0}while(0);b=k[w>>2]|0;if(!b)sb(d|0);c=k[x>>2]|0;if((c|0)!=(b|0)){do{v=c+-8|0;k[x>>2]=v;lc[k[k[v>>2]>>2]&511](v);c=k[x>>2]|0}while((c|0)!=(b|0));b=k[w>>2]|0}cra(b);sb(d|0);return 0}function Ui(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;o=r;r=r+80|0;l=o;t=o+72|0;q=o+48|0;n=o+64|0;p=o+40|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;aI(q,39771,4);y=0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=pa(40,q|0,a|0,d|0,l|0,f|0,0)|0;s=y;y=0;if(!(s&1)){y=0;oa(460,t|0,b|0);s=y;y=0;if(!(s&1)){k[t>>2]=16764;A9(q);y=0;s=qa(315,88)|0;m=y;y=0;a:do if(m&1)b=pb()|0;else{m=t+4|0;c=k[m>>2]|0;b=k[c+88>>2]|0;c=k[c+84>>2]|0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(422,s|0);e=y;y=0;do if(e&1)b=pb()|0;else{c=b-c>>3;g=s+12|0;h=l;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;b=s+56|0;k[b>>2]=0;k[s>>2]=9288;h=s+60|0;k[h>>2]=9248;d=s+64|0;f=s+68|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;y=0;oa(514,d|0,c|0);e=y;y=0;if(e&1){b=pb()|0;a=N;c=k[d>>2]|0;if(c|0){g=k[f>>2]|0;if((g|0)!=(c|0)){do{q=g+-8|0;k[f>>2]=q;lc[k[k[q>>2]>>2]&511](q);g=k[f>>2]|0}while((g|0)!=(c|0));c=k[d>>2]|0}cra(c)}break}k[s>>2]=9076;k[h>>2]=9208;k[s+80>>2]=0;i[s+84>>0]=0;i[s+85>>0]=0;k[b>>2]=5;a=k[m>>2]|0;b=k[a+84>>2]|0;a=k[a+88>>2]|0;if((b|0)==(a|0)){DO(t);r=o;return s|0}d=q+4|0;while(1){y=0;oa(460,q|0,k[b+4>>2]|0);e=y;y=0;if(e&1){c=24;break}k[q>>2]=7284;c=k[(k[h>>2]|0)+20>>2]|0;g=k[m>>2]|0;y=0;oa(460,p|0,k[d>>2]|0);e=y;y=0;if(e&1){c=25;break}k[p>>2]=7284;y=0;Na(76,n|0,g+60|0,p|0);e=y;y=0;if(e&1){c=26;break}y=0;oa(c|0,h|0,n|0);e=y;y=0;if(e&1){c=27;break}DO(n);DO(p);DO(q);b=b+8|0;if((b|0)==(a|0)){c=14;break}}if((c|0)==14){DO(t);r=o;return s|0}else if((c|0)==24){b=pb()|0;break a}else if((c|0)==25)b=pb()|0;else if((c|0)==26){b=pb()|0;c=28}else if((c|0)==27){b=pb()|0;DO(n);c=28}if((c|0)==28)DO(p);DO(q);break a}while(0);cra(s)}while(0);DO(t);t=b;sb(t|0)}}t=pb()|0;A9(q);sb(t|0);return 0}function Vi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;e=0;l=r;r=r+64|0;n=l+48|0;c=l+16|0;o=l+24|0;m=l+8|0;i=l;LT(n,k[b+76>>2]|0);k[n>>2]=7284;y=0;oa(460,c|0,k[b+68>>2]|0);j=y;y=0;if(j&1){o=pb()|0;DO(n);sb(o|0)}k[c>>2]=6868;h=k[c+4>>2]|0;DO(c);d=a+48|0;j=a+52|0;c=k[j>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;Na(128,o|0,c|0,1);g=y;y=0;if(g&1){o=pb()|0;DO(n);sb(o|0)}k[m>>2]=o;c=k[j>>2]|0;if(c>>>0<(k[a+56>>2]|0)>>>0){k[c>>2]=o;k[j>>2]=(k[j>>2]|0)+4;e=8}else{y=0;oa(638,d|0,m|0);g=y;y=0;if(g&1)c=pb()|0;else e=8}a:do if((e|0)==8){d=a+72|0;y=0;oa(460,m|0,b|0);g=y;y=0;do if(g&1)c=pb()|0;else{k[m>>2]=6336;g=a+76|0;c=k[g>>2]|0;if(c>>>0<(k[a+80>>2]|0)>>>0){y=0;oa(460,c|0,k[m+4>>2]|0);f=y;y=0;if(f&1)e=28;else{k[c>>2]=6336;k[g>>2]=(k[g>>2]|0)+8}}else{y=0;oa(653,d|0,m|0);f=y;y=0;if(f&1)e=28}if((e|0)==28){c=pb()|0;DO(m);break}DO(m);e=n+4|0;c=k[e>>2]|0;f=a+8|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,f|0)|0;b=y;y=0;if(!(b&1)){y=0;oa(460,m|0,c|0);b=y;y=0;if(!(b&1)){k[m>>2]=7284;d=m+4|0;b=i+4|0;while(1){c=k[d>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+88>>2]|0,c|0)|0;p=y;y=0;if(p&1){e=31;break}if(c){e=35;break}y=0;oa(652,a|0,h|0);p=y;y=0;if(p&1){e=31;break}c=k[e>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,f|0)|0;p=y;y=0;if(p&1){e=32;break}y=0;oa(460,i|0,c|0);p=y;y=0;if(p&1){e=32;break}k[i>>2]=7284;if(k[d>>2]|0){y=0;na(423,m|0);p=y;y=0;if(p&1){e=33;break}}k[d>>2]=k[b>>2];k[b>>2]=0;DO(i)}if((e|0)==31)c=pb()|0;else if((e|0)==32){c=pb()|0;e=34}else if((e|0)==33){c=pb()|0;DO(i);e=34}else if((e|0)==35){d=k[g>>2]|0;c=d+-8|0;do{p=d+-8|0;k[g>>2]=p;lc[k[k[p>>2]>>2]&511](p);d=k[g>>2]|0}while((d|0)!=(c|0));k[j>>2]=(k[j>>2]|0)+-4;DO(m);GC(o,k[o+4>>2]|0);DO(n);r=l;return 0}DO(m);break a}}c=pb()|0;break a}while(0)}while(0);GC(o,k[o+4>>2]|0);p=c;DO(n);sb(p|0);return 0}function Wi(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;x=0;s=r;r=r+576|0;n=s+424|0;q=s;a=s+24|0;u=s+16|0;p=s+12|0;t=s+8|0;m=s+564|0;j=s+4|0;o=s+464|0;k[u>>2]=a;w=u+4|0;k[w>>2]=479;l=a+400|0;y=0;h=qa(323,e|0)|0;z=y;y=0;if(z&1){h=pb()|0;k[u>>2]=0;j=479;x=54}else{k[t>>2]=h;y=0;h=Ha(977,t|0,83992)|0;z=y;y=0;if(z&1)h=pb()|0;else{i[m>>0]=0;k[j>>2]=k[c>>2];a=k[e+4>>2]|0;y=0;k[n>>2]=k[j>>2];a=Fa(2,b|0,n|0,d|0,t|0,a|0,f|0,m|0,h|0,u|0,p|0,l|0)|0;z=y;y=0;a:do if(z&1)x=11;else{b:do if(a){y=0;Ma(k[(k[h>>2]|0)+48>>2]|0,h|0,57671,57681,n|0)|0;z=y;y=0;if(z&1)a=pb()|0;else{a=(k[p>>2]|0)-(k[u>>2]|0)|0;if((a|0)>392){a=ud((a>>2)+2|0)|0;h=a;if(!a){y=0;la(6);z=y;y=0;if(!(z&1)){a=0;x=16}}else x=16}else{a=o;h=0;x=16}do if((x|0)==16){if(i[m>>0]|0){i[a>>0]=45;a=a+1|0}e=n+40|0;m=n;d=k[u>>2]|0;while(1){if(d>>>0>=(k[p>>2]|0)>>>0)break;l=k[d>>2]|0;j=n;while(1){if((j|0)==(e|0)){j=e;break}if((k[j>>2]|0)==(l|0))break;j=j+4|0}i[a>>0]=i[57671+(j-m>>2)>>0]|0;d=d+4|0;a=a+1|0}i[a>>0]=0;k[q>>2]=g;if((qU(o,57556,q)|0)!=1){y=0;na(480,57560);z=y;y=0;if(z&1)break}if(h|0)Wf(h);break b}while(0);a=pb()|0;if(h|0)Wf(h)}break a}while(0);a=k[b>>2]|0;do if(!a)j=1;else{h=k[a+12>>2]|0;if((h|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;z=y;y=0;if(z&1){x=11;break a}}else a=k[h>>2]|0;if((a|0)==-1){k[b>>2]=0;j=1;break}else{j=(k[b>>2]|0)==0;break}}while(0);h=k[c>>2]|0;do if(!h)x=44;else{a=k[h+12>>2]|0;if((a|0)==(k[h+16>>2]|0)){y=0;a=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;z=y;y=0;if(z&1){x=11;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;x=44;break}else if(j)break;else{x=46;break}}while(0);if((x|0)==44)if(j)x=46;if((x|0)==46)k[f>>2]=k[f>>2]|2;h=k[b>>2]|0;RQ(k[t>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(a|0){y=0;na(k[w>>2]|0,a|0);z=y;y=0;if(z&1){z=tb(0)|0;Sla(z)}}r=s;return h|0}while(0);if((x|0)==11)a=pb()|0;h=a}RQ(k[t>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(!a)v=h;else{j=k[w>>2]|0;x=54}}if((x|0)==54){y=0;na(j|0,a|0);z=y;y=0;if(z&1){z=tb(0)|0;Sla(z)}else v=h}sb(v|0);return 0}function Xi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;s=r;r=r+128|0;n=s;w=s+112|0;x=s+104|0;p=s+96|0;o=s+56|0;u=s+48|0;v=s+40|0;Tj(w,b);q=w+4|0;do if(!(k[q>>2]|0)){y=0;oa(460,a|0,0);x=y;y=0;if(!(x&1)){k[a>>2]=11804;x=w;DO(x);r=s;return}}else{g=b+108|0;h=x+4|0;j=u+4|0;l=v+4|0;m=p+4|0;while(1){y=0;c=ta(73,b|0,1,0)|0;t=y;y=0;if(t&1){e=8;break}if(!c){y=0;c=ta(72,b|0,1,0)|0;t=y;y=0;if(t&1){e=8;break}if(!c){e=35;break}else f=1}else f=0;y=0;ta(63,b|0,1,0)|0;t=y;y=0;if(t&1){e=8;break}y=0;oa(631,x|0,b|0);t=y;y=0;if(t&1){e=8;break}y=0;t=qa(315,80)|0;e=y;y=0;if(e&1){e=26;break}c=o;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(460,u|0,k[q>>2]|0);e=y;y=0;if(e&1){e=27;break}k[u>>2]=11804;y=0;oa(460,v|0,k[h>>2]|0);e=y;y=0;if(e&1){e=28;break}k[v>>2]=11804;c=n;d=o;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,t|0);e=y;y=0;if(e&1){c=1;e=29;break}c=t+12|0;d=n;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));i[t+52>>0]=0;i[t+53>>0]=0;i[t+54>>0]=0;k[t+56>>2]=0;k[t>>2]=11820;d=t+60|0;y=0;oa(460,d|0,k[j>>2]|0);e=y;y=0;if(e&1){e=19;break}k[d>>2]=11804;c=t+68|0;y=0;oa(460,c|0,k[l>>2]|0);e=y;y=0;if(e&1){e=20;break}k[c>>2]=11804;k[t+76>>2]=f;y=0;oa(460,p|0,t|0);f=y;y=0;if(f&1){c=0;e=29;break}k[p>>2]=11804;if(k[q>>2]|0){y=0;na(423,w|0);f=y;y=0;if(f&1){e=31;break}}k[q>>2]=k[m>>2];k[m>>2]=0;DO(p);DO(v);DO(u);DO(x)}if((e|0)==8){x=pb()|0;DO(w);sb(x|0)}else if((e|0)==19){c=pb()|0;e=21}else if((e|0)==20){c=pb()|0;DO(d);e=21}else if((e|0)==26)c=pb()|0;else if((e|0)==27){c=pb()|0;e=33}else if((e|0)==28){c=pb()|0;DO(u);e=33}else if((e|0)==29){s=pb()|0;d=c;c=s;e=30}else if((e|0)==31){c=pb()|0;DO(p);d=0;e=32}else if((e|0)==35){y=0;oa(460,a|0,k[q>>2]|0);x=y;y=0;if(x&1)break;k[a>>2]=11804;x=w;DO(x);r=s;return}if((e|0)==21){d=1;e=30}if((e|0)==30)e=32;if((e|0)==32){DO(v);DO(u);if(d)e=33}if((e|0)==33)cra(t);DO(x);x=c;DO(w);sb(x|0)}while(0);x=pb()|0;DO(w);sb(x|0)}function Yi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;h=k[a>>2]|0;e=h;b=h+((k[b>>2]|0)-e>>3<<3)|0;m=k[c>>2]|0;g=k[d>>2]|0;p=g-m|0;i=p>>3;l=g;if((p|0)<=0){p=b;return p|0}o=a+8|0;d=k[o>>2]|0;p=a+4|0;j=k[p>>2]|0;f=j;if((i|0)<=(d-f>>3|0)){e=f-b|0;d=e>>3;if((i|0)>(d|0)){d=m+(d<<3)|0;g=d;if((d|0)==(l|0))f=j;else{f=j;do{LT(f,k[d+4>>2]|0);k[f>>2]=6756;d=d+8|0;f=(k[p>>2]|0)+8|0;k[p>>2]=f}while((d|0)!=(l|0))}if((e|0)<=0){p=b;return p|0}}else f=j;e=f-(b+(i<<3))>>3;h=b+(e<<3)|0;if(h>>>0<j>>>0){d=h;i=f;do{LT(i,k[d+4>>2]|0);k[i>>2]=6756;d=d+8|0;i=(k[p>>2]|0)+8|0;k[p>>2]=i}while(d>>>0<j>>>0)}if(!e)d=m;else{do{d=f;f=f+-8|0;e=h;h=h+-8|0;if((d|0)!=(e|0)){d=d+-4|0;if(k[d>>2]|0)QO(f);p=e+-4|0;k[d>>2]=k[p>>2];k[p>>2]=0}}while((h|0)!=(b|0));d=k[c>>2]|0}if((d|0)==(g|0)){p=b;return p|0}else f=b;while(1){e=f+4|0;if(k[e>>2]|0)QO(f);k[e>>2]=k[d+4>>2];_V(f);d=d+8|0;if((d|0)==(g|0))break;else f=f+8|0}return b|0}f=(f-e>>3)+i|0;if(f>>>0>536870911){pN(a);e=k[a>>2]|0;h=e;d=k[o>>2]|0}n=d-e|0;d=n>>2;f=n>>3>>>0<268435455?(d>>>0<f>>>0?f:d):536870911;d=b-e>>3;do if(!f)n=0;else if(f>>>0>536870911){p=gb(4)|0;Qoa(p);Wb(p|0,5760,404)}else{n=IM(f<<3)|0;break}while(0);c=n+(d<<3)|0;d=c;j=n+(f<<3)|0;do if((m|0)==(l|0)){g=d;i=30}else{g=d;e=m;f=c;while(1){y=0;oa(460,f|0,k[e+4>>2]|0);m=y;y=0;if(m&1){i=45;break}k[f>>2]=6756;f=g+8|0;g=f;e=e+8|0;if((e|0)==(l|0)){i=29;break}}if((i|0)==29){h=k[a>>2]|0;i=30;break}else if((i|0)==45){e=pb()|0;b=g;break}}while(0);a:do if((i|0)==30){b:do if((h|0)==(b|0))e=c;else{f=b;e=c;while(1){e=e+-8|0;y=0;oa(460,e|0,k[f+-4>>2]|0);f=f+-8|0;m=y;y=0;if(m&1)break;k[e>>2]=6756;e=d+-8|0;d=e;if((f|0)==(h|0))break b}e=pb()|0;b=g;break a}while(0);h=k[p>>2]|0;do if((h|0)==(b|0)){f=g;d=e}else{f=g;e=g;while(1){y=0;oa(460,e|0,k[b+4>>2]|0);m=y;y=0;if(m&1){i=43;break}k[e>>2]=6756;b=b+8|0;e=f+8|0;f=e;if((b|0)==(h|0)){i=38;break}}if((i|0)==38){b=k[p>>2]|0;break}else if((i|0)==43){e=pb()|0;b=f;break a}}while(0);e=k[a>>2]|0;k[a>>2]=d;k[p>>2]=f;k[o>>2]=j;if((b|0)!=(e|0))do{b=b+-8|0;lc[k[k[b>>2]>>2]&511](b)}while((b|0)!=(e|0));if(!e){p=c;return p|0}cra(e);p=c;return p|0}while(0);if((b|0)!=(d|0))do{b=b+-8|0;lc[k[k[b>>2]>>2]&511](b)}while((b|0)!=(d|0));if(!n)sb(e|0);cra(n);sb(e|0);return 0}function Zi(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0;m=0;l=r;r=r+64|0;h=l+16|0;n=l+8|0;j=l;LT(n,0);k[n>>2]=7284;a:do if(!(i[k[b+76>>2]>>0]|0)){y=0;oa(460,a|0,0);m=y;y=0;if(!(m&1)){k[a>>2]=7284;DO(n);r=l;return}}else{y=0;c=ta(143,b|0,0,0)|0;g=y;y=0;do if(g&1)m=19;else{if(!c){y=0;oa(460,j|0,0);g=y;y=0;if(g&1){m=19;break}k[j>>2]=7284}else{y=0;c=qa(315,80)|0;g=y;y=0;if(g&1){m=19;break}d=b+156|0;y=0;e=h;f=b+108|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Na(109,c|0,h|0,d|0);g=y;y=0;if(g&1){m=pb()|0;cra(c);c=m;m=20;break}y=0;oa(460,j|0,c|0);g=y;y=0;if(g&1){m=19;break}k[j>>2]=7284}c=n+4|0;if(k[c>>2]|0){y=0;na(423,n|0);g=y;y=0;if(g&1){c=pb()|0;DO(j);break}}g=j+4|0;m=k[g>>2]|0;k[c>>2]=m;k[g>>2]=0;DO(j);if(m|0){y=0;oa(460,a|0,k[c>>2]|0);m=y;y=0;if(m&1)break a;k[a>>2]=7284;DO(n);r=l;return}y=0;oa(621,h|0,b|0);m=y;y=0;do if(m&1)c=pb()|0;else{if(k[c>>2]|0){y=0;na(423,n|0);m=y;y=0;if(m&1){c=pb()|0;DO(h);break}}j=h+4|0;m=k[j>>2]|0;k[c>>2]=m;k[j>>2]=0;DO(h);if(m|0){y=0;oa(460,a|0,k[c>>2]|0);m=y;y=0;if(m&1)break a;k[a>>2]=7284;DO(n);r=l;return}y=0;oa(622,h|0,b|0);m=y;y=0;do if(m&1)c=pb()|0;else{if(k[c>>2]|0){y=0;na(423,n|0);m=y;y=0;if(m&1){c=pb()|0;DO(h);break}}j=h+4|0;m=k[j>>2]|0;k[c>>2]=m;k[j>>2]=0;DO(h);if(m|0){y=0;oa(460,a|0,k[c>>2]|0);m=y;y=0;if(m&1)break a;k[a>>2]=7284;DO(n);r=l;return}y=0;oa(623,h|0,b|0);m=y;y=0;do if(m&1)c=pb()|0;else{if(k[c>>2]|0){y=0;na(423,n|0);m=y;y=0;if(m&1){c=pb()|0;DO(h);break}}m=h+4|0;k[c>>2]=k[m>>2];k[m>>2]=0;DO(h);y=0;oa(460,a|0,k[c>>2]|0);m=y;y=0;if(m&1)break a;k[a>>2]=7284;DO(n);r=l;return}while(0);m=c;DO(n);sb(m|0)}while(0);m=c;DO(n);sb(m|0)}while(0);m=c;DO(n);sb(m|0)}while(0);if((m|0)==19){c=pb()|0;m=20}m=c;DO(n);sb(m|0)}while(0);m=pb()|0;DO(n);sb(m|0)}function _i(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;t=0;q=r;r=r+160|0;g=q+112|0;c=q+104|0;d=q+88|0;s=q+96|0;h=q+48|0;l=q+40|0;m=q+32|0;j=q+24|0;o=q+16|0;n=q+8|0;p=q;f=b+68|0;LT(c,k[f>>2]|0);k[c>>2]=6868;if(!(k[c+4>>2]|0))DO(c);else{y=0;oa(460,d|0,k[f>>2]|0);i=y;y=0;if(i&1){t=pb()|0;DO(c);sb(t|0)}k[d>>2]=6868;i=k[d+4>>2]|0;i=(k[i+72>>2]|0)==(k[i+68>>2]|0);DO(d);DO(c);if(!i){i=IM(80)|0;c=h;d=b+12|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(460,m|0,k[f>>2]|0);f=y;y=0;do if(f&1)c=pb()|0;else{k[m>>2]=6868;y=0;c=Ha(c|0,a|0,k[m+4>>2]|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(460,l|0,c|0);f=y;y=0;if(!(f&1)){k[l>>2]=6868;y=0;c=g;d=h;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Na(135,i|0,g|0,l|0);h=y;y=0;if(h&1)d=1;else{y=0;oa(460,s|0,i|0);h=y;y=0;if(h&1)d=0;else{k[s>>2]=18144;DO(l);DO(m);c=b+76|0;y=0;oa(460,j|0,k[c>>2]|0);m=y;y=0;a:do if(m&1)t=24;else{k[j>>2]=6756;m=(k[j+4>>2]|0)==0;DO(j);f=s+4|0;b:do if(!m){d=k[f>>2]|0;y=0;oa(460,n|0,k[c>>2]|0);m=y;y=0;if(m&1){t=24;break a}k[n>>2]=6756;e=d+72|0;c=d+76|0;if(!(k[c>>2]|0))t=17;else{y=0;na(423,e|0);m=y;y=0;if(!(m&1))t=17}do if((t|0)==17){k[c>>2]=k[n+4>>2];y=0;na(424,e|0);m=y;y=0;if(!(m&1)){y=0;oa(460,o|0,k[c>>2]|0);m=y;y=0;if(m&1)break;k[o>>2]=6756;DO(o);DO(n);break b}}while(0);c=pb()|0;DO(n);break a}while(0);y=0;oa(460,p|0,k[(k[f>>2]|0)+68>>2]|0);o=y;y=0;if(o&1)t=24;else{k[p>>2]=6868;y=0;c=ta(153,a|0,k[p+4>>2]|0,k[f>>2]|0)|0;o=y;y=0;if(o&1){c=pb()|0;DO(p);break}DO(p);DO(s);t=c;r=q;return t|0}}while(0);if((t|0)==24)c=pb()|0;DO(s);t=c;sb(t|0)}}c=pb()|0;DO(l);DO(m);if(d)break;sb(c|0)}}c=pb()|0;DO(m)}while(0);cra(i);t=c;sb(t|0)}}t=b;r=q;return t|0}function $i(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=r;r=r+48|0;u=t+28|0;s=t+16|0;q=t+8|0;p=t;o=a+20|0;m=k[o>>2]|0;n=b+20|0;HB(s,k[n>>2]|0);y=0;Na(145,u|0,m|0,s|0);m=y;y=0;if(m&1){g=pb()|0;h=k[s>>2]|0;a=h;if(h|0){e=s+4|0;f=k[e>>2]|0;if((f|0)!=(h|0))k[e>>2]=f+(~((f+-4-a|0)>>>2)<<2);cra(h)}u=g;sb(u|0)}e=k[s>>2]|0;f=e;if(e|0){g=s+4|0;h=k[g>>2]|0;if((h|0)!=(e|0))k[g>>2]=h+(~((h+-4-f|0)>>>2)<<2);cra(e)}f=k[o>>2]|0;a:do if(f>>>0>1){m=a+16|0;j=a+4|0;l=b+16|0;i=b+4|0;b=1;e=k[n>>2]|0;b:while(1){if(e>>>0>1){a=b+-1|0;h=1;do{y=0;oa(460,s|0,0);g=y;y=0;if(g&1){g=25;break b}k[s>>2]=15136;g=(k[m>>2]|0)+b|0;y=0;oa(460,q|0,k[(k[(k[j>>2]|0)+(g>>>9<<2)>>2]|0)+((g&511)<<3)+4>>2]|0);g=y;y=0;if(g&1){g=26;break b}k[q>>2]=15136;g=(k[l>>2]|0)+h|0;y=0;oa(460,p|0,k[(k[(k[i>>2]|0)+(g>>>9<<2)>>2]|0)+((g&511)<<3)+4>>2]|0);g=y;y=0;if(g&1){g=27;break b}k[p>>2]=15136;y=0;e=Ma(14,c|0,q|0,p|0,s|0)|0;g=y;y=0;if(g&1){g=28;break b}DO(p);DO(q);f=k[u>>2]|0;g=h+-1|0;if(e)k[(k[f+(b*12|0)>>2]|0)+(h<<2)>>2]=(k[(k[f+(a*12|0)>>2]|0)+(g<<2)>>2]|0)+1;else{e=k[f+(b*12|0)>>2]|0;g=k[e+(g<<2)>>2]|0;f=k[(k[f+(a*12|0)>>2]|0)+(h<<2)>>2]|0;k[e+(h<<2)>>2]=(g|0)<(f|0)?f:g}DO(s);h=h+1|0;e=k[n>>2]|0}while(h>>>0<e>>>0);f=k[o>>2]|0}b=b+1|0;if(b>>>0>=f>>>0){g=10;break a}}if((g|0)==25){f=pb()|0;j=N;e=u;break}else if((g|0)==26){f=pb()|0;e=N}else if((g|0)==27){f=pb()|0;e=N;g=29}else if((g|0)==28){f=pb()|0;e=N;DO(p);g=29}if((g|0)==29)DO(q);DO(s);j=e;e=u}else g=10;while(0);do if((g|0)==10){if((u|0)!=(d|0)){y=0;Na(146,d|0,k[u>>2]|0,k[u+4>>2]|0);s=y;y=0;if(s&1){f=pb()|0;j=N;e=u;break}}e=k[u>>2]|0;if(!e){r=t;return}b=u+4|0;f=k[b>>2]|0;if((f|0)!=(e|0)){do{g=f+-12|0;k[b>>2]=g;h=k[g>>2]|0;a=h;if(!h)f=g;else{f=f+-8|0;g=k[f>>2]|0;if((g|0)!=(h|0))k[f>>2]=g+(~((g+-4-a|0)>>>2)<<2);cra(h);f=k[b>>2]|0}}while((f|0)!=(e|0));e=k[u>>2]|0}cra(e);r=t;return}while(0);e=k[e>>2]|0;if(e|0){i=u+4|0;g=k[i>>2]|0;if((g|0)!=(e|0)){do{h=g+-12|0;k[i>>2]=h;a=k[h>>2]|0;b=a;if(!a)g=h;else{g=g+-8|0;h=k[g>>2]|0;if((h|0)!=(a|0))k[g>>2]=h+(~((h+-4-b|0)>>>2)<<2);cra(a);g=k[i>>2]|0}}while((g|0)!=(e|0));e=k[u>>2]|0}cra(e)}u=f;sb(u|0)}function aj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;j=k[a>>2]|0;e=j;i=(k[b>>2]|0)-e>>3;b=j+(i<<3)|0;o=a+4|0;f=k[o>>2]|0;h=a+8|0;n=k[h>>2]|0;g=f;d=n;if(f>>>0<n>>>0){if((b|0)==(f|0)){LT(b,k[c+4>>2]|0);k[b>>2]=6508;k[o>>2]=(k[o>>2]|0)+8;o=b;return o|0}e=g-(b+8)>>3;g=b+(e<<3)|0;if(g>>>0<f>>>0){d=g;h=f;do{LT(h,k[d+4>>2]|0);k[h>>2]=6508;d=d+8|0;h=(k[o>>2]|0)+8|0;k[o>>2]=h}while(d>>>0<f>>>0)}if(e|0)do{d=f;f=f+-8|0;e=g;g=g+-8|0;if((d|0)!=(e|0)){d=d+-4|0;if(k[d>>2]|0)QO(f);a=e+-4|0;k[d>>2]=k[a>>2];k[a>>2]=0}}while((g|0)!=(b|0));if(b>>>0<=c>>>0)c=(k[o>>2]|0)>>>0>c>>>0?c+8|0:c;d=j+(i<<3)+4|0;if(k[d>>2]|0)QO(b);k[d>>2]=k[c+4>>2];_V(b);o=b;return o|0}f=(g-e>>3)+1|0;if(f>>>0>536870911){pN(a);n=h;d=k[h>>2]|0;e=k[a>>2]|0}else n=h;g=d-e|0;i=g>>2;i=g>>3>>>0<268435455?(i>>>0<f>>>0?f:i):536870911;e=b-e|0;g=e>>3;do if(!i)l=0;else if(i>>>0>536870911){o=gb(4)|0;Qoa(o);Wb(o|0,5760,404)}else{l=IM(i<<3)|0;break}while(0);j=l;h=l+(g<<3)|0;d=h;f=l+(i<<3)|0;do if((g|0)==(i|0)){if((e|0)>0){d=h+(((i+1|0)/-2|0)<<3)|0;m=32;break}f=i<<3>>2;f=(f|0)==0?1:f;if(f>>>0>536870911){b=gb(4)|0;Qoa(b);y=0;Na(75,b|0,5760,404);y=0;b=j;m=47;break}y=0;g=qa(315,f<<3|0)|0;m=y;y=0;if(m&1){b=j;m=47}else{e=g;d=g+(f>>>2<<3)|0;f=g+(f<<3)|0;if(!l){j=e;m=32}else{cra(l);j=e;m=32}}}else m=32;while(0);a:do if((m|0)==32){e=d;y=0;oa(460,e|0,k[c+4>>2]|0);l=y;y=0;if(l&1){b=j;m=47}else{k[e>>2]=6508;c=e+8|0;e=c;l=d;i=k[a>>2]|0;b:do if((i|0)==(b|0))g=l;else{h=b;g=l;while(1){g=g+-8|0;y=0;oa(460,g|0,k[h+-4>>2]|0);h=h+-8|0;p=y;y=0;if(p&1)break;k[g>>2]=6508;g=d+-8|0;d=g;if((h|0)==(i|0))break b}p=pb()|0;f=j;c=d;b=e;e=p;break a}while(0);h=k[o>>2]|0;do if((h|0)==(b|0))d=g;else{while(1){y=0;oa(460,c|0,k[b+4>>2]|0);p=y;y=0;if(p&1){m=45;break}k[c>>2]=6508;b=b+8|0;c=e+8|0;e=c;if((b|0)==(h|0)){m=40;break}}if((m|0)==40){b=k[o>>2]|0;break}else if((m|0)==45){p=pb()|0;f=j;c=d;b=e;e=p;break a}}while(0);c=k[a>>2]|0;k[a>>2]=d;k[o>>2]=e;k[n>>2]=f;if((b|0)!=(c|0))do{b=b+-8|0;lc[k[k[b>>2]>>2]&511](b)}while((b|0)!=(c|0));if(!c){p=l;return p|0}cra(c);p=l;return p|0}}while(0);if((m|0)==47){e=pb()|0;f=b;c=d;b=d}d=c;if((b|0)!=(d|0))do{b=b+-8|0;lc[k[k[b>>2]>>2]&511](b)}while((b|0)!=(d|0));if(!f)sb(e|0);cra(f);sb(e|0);return 0}function bj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;j=0;u=r;r=r+64|0;v=u+48|0;n=u+40|0;o=u+32|0;p=u+24|0;q=u+16|0;t=u+8|0;s=u;h=a+4|0;c=k[h>>2]|0;f=(i[c+46>>0]|0)==0;g=a+14|0;do if(i[g>>0]|0){LT(v,0);k[v>>2]=6756;d=c+88|0;e=k[d>>2]|0;if(e>>>0<(k[c+92>>2]|0)>>>0){y=0;oa(460,e|0,k[v+4>>2]|0);m=y;y=0;if(!(m&1)){k[e>>2]=6756;k[d>>2]=(k[d>>2]|0)+8;j=6}}else{y=0;oa(646,c+84|0,v|0);m=y;y=0;if(!(m&1))j=6}if((j|0)==6){DO(v);c=k[h>>2]|0;break}u=pb()|0;DO(v);v=u;sb(v|0)}while(0);LT(v,Yc(b,c+84|0,f)|0);k[v>>2]=6756;if(i[g>>0]|0){c=(k[h>>2]|0)+88|0;e=k[c>>2]|0;d=e+-8|0;do{m=e+-8|0;k[c>>2]=m;lc[k[k[m>>2]>>2]&511](m);e=k[c>>2]|0}while((e|0)!=(d|0))}f=v+4|0;c=k[f>>2]|0;a:do if((k[c+80>>2]|0)!=(k[c+76>>2]|0)){g=n+4|0;h=o+4|0;j=s+4|0;l=t+4|0;m=q+4|0;b=0;b:while(1){c=c+72|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,b|0)|0;e=y;y=0;if(e&1){j=16;break}y=0;oa(647,n|0,k[c+4>>2]|0);e=y;y=0;if(e&1){j=16;break}c=k[g>>2]|0;DO(n);if(c|0)do{e=c+80|0;y=0;oa(460,o|0,k[e>>2]|0);d=y;y=0;if(d&1){j=30;break b}k[o>>2]=15152;d=(k[h>>2]|0)==0;DO(o);if(!d){d=k[(k[a>>2]|0)+264>>2]|0;y=0;oa(460,t|0,k[e>>2]|0);w=y;y=0;if(w&1){j=30;break b}k[t>>2]=15152;y=0;d=Ha(d|0,a|0,k[l>>2]|0)|0;w=y;y=0;if(w&1){j=31;break b}y=0;oa(460,q|0,d|0);w=y;y=0;if(w&1){j=31;break b}k[q>>2]=15152;k[c+68>>2]=0;d=c+76|0;if(k[e>>2]|0){y=0;na(423,d|0);w=y;y=0;if(w&1){j=32;break b}}k[e>>2]=k[m>>2];y=0;na(424,d|0);w=y;y=0;if(w&1){j=32;break b}y=0;oa(460,p|0,k[e>>2]|0);w=y;y=0;if(w&1){j=32;break b}k[p>>2]=15152;DO(p);DO(q);DO(t)}y=0;oa(460,s|0,k[c+88>>2]|0);w=y;y=0;if(w&1){j=30;break b}k[s>>2]=15136;c=k[j>>2]|0;DO(s)}while((c|0)!=0);b=b+1|0;c=k[f>>2]|0;if(b>>>0>=(k[c+80>>2]|0)-(k[c+76>>2]|0)>>3>>>0)break a}if((j|0)==16)c=pb()|0;else if((j|0)==30)c=pb()|0;else if((j|0)==31){c=pb()|0;j=33}else if((j|0)==32){c=pb()|0;DO(q);j=33}if((j|0)==33)DO(t);DO(v);w=c;sb(w|0)}while(0);if(!c){w=0;DO(v);r=u;return w|0}i[c+8>>0]=1;w=c;DO(v);r=u;return w|0}function cj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;o=r;r=r+112|0;m=o+40|0;n=o;p=o+92|0;g=o+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,39825,5);y=0;h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));c=sa(25,g|0,a|0,d|0,m|0,f|0)|0;l=y;y=0;do if(l&1)q=11;else{y=0;ma(5,n|0,c+64|0,0,0,1);l=y;y=0;if(l&1)q=11;else{y=0;oa(554,p|0,n|0);l=y;y=0;if(l&1){c=pb()|0;A9(n);break}A9(n);A9(g);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;c=p+11|0;g=i[c>>0]|0;g=g<<24>>24<0?k[p+4>>2]|0:g&255;y=0;Ra(10,m|0,42040,1,g+1|0);l=y;y=0;do if(l&1)q=14;else{y=0;ta(41,m|0,((i[c>>0]|0)<0?k[p>>2]|0:p)|0,g|0)|0;l=y;y=0;if(l&1)q=14;else{y=0;c=Ha(991,b|0,m|0)|0;b=y;y=0;if(b&1){c=pb()|0;A9(m);q=16;break}A9(m);if(c){y=0;c=qa(315,68)|0;b=y;y=0;if(!(b&1)){h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,c|0);e=y;y=0;if(e&1){e=pb()|0;cra(c);c=e;break}h=c+12|0;j=n;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=1;k[c+64>>2]=0;k[c+56>>2]=1;q=c;A9(p);r=o;return q|0}}else{y=0;c=qa(315,68)|0;n=y;y=0;if(!(n&1)){h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,c|0);e=y;y=0;if(e&1){e=pb()|0;cra(c);c=e;break}h=c+12|0;j=m;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=0;k[c+64>>2]=0;k[c+56>>2]=1;q=c;A9(p);r=o;return q|0}}c=pb()|0}}while(0);if((q|0)==14){c=pb()|0;A9(m);q=16}A9(p);q=c;sb(q|0)}}while(0);if((q|0)==11)c=pb()|0;A9(g);q=c;sb(q|0);return 0}function dj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;o=r;r=r+112|0;m=o+40|0;n=o;p=o+92|0;g=o+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,39825,5);y=0;h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));c=sa(25,g|0,a|0,d|0,m|0,f|0)|0;l=y;y=0;do if(l&1)q=11;else{y=0;ma(5,n|0,c+64|0,0,0,1);l=y;y=0;if(l&1)q=11;else{y=0;oa(554,p|0,n|0);l=y;y=0;if(l&1){c=pb()|0;A9(n);break}A9(n);A9(g);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;c=p+11|0;g=i[c>>0]|0;g=g<<24>>24<0?k[p+4>>2]|0:g&255;y=0;Ra(10,m|0,42040,1,g+1|0);l=y;y=0;do if(l&1)q=14;else{y=0;ta(41,m|0,((i[c>>0]|0)<0?k[p>>2]|0:p)|0,g|0)|0;l=y;y=0;if(l&1)q=14;else{y=0;c=Ha(990,b|0,m|0)|0;b=y;y=0;if(b&1){c=pb()|0;A9(m);q=16;break}A9(m);if(c){y=0;c=qa(315,68)|0;b=y;y=0;if(!(b&1)){h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,c|0);e=y;y=0;if(e&1){e=pb()|0;cra(c);c=e;break}h=c+12|0;j=n;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=1;k[c+64>>2]=0;k[c+56>>2]=1;q=c;A9(p);r=o;return q|0}}else{y=0;c=qa(315,68)|0;n=y;y=0;if(!(n&1)){h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,c|0);e=y;y=0;if(e&1){e=pb()|0;cra(c);c=e;break}h=c+12|0;j=m;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=0;k[c+64>>2]=0;k[c+56>>2]=1;q=c;A9(p);r=o;return q|0}}c=pb()|0}}while(0);if((q|0)==14){c=pb()|0;A9(m);q=16}A9(p);q=c;sb(q|0)}}while(0);if((q|0)==11)c=pb()|0;A9(g);q=c;sb(q|0);return 0}function ej(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;o=r;r=r+64|0;j=o+52|0;h=o+40|0;g=o+28|0;p=o+16|0;l=o+8|0;m=o;n=a+4|0;Rx(n);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,48724,5);y=0;Na(147,n|0,j|0,b|0);i=y;y=0;if(i&1){p=pb()|0;A9(j);sb(p|0)}A9(j);Bla(n);i=b+72|0;xs(h,i);y=0;oa(679,n|0,k[h>>2]|0);f=y;y=0;if(f&1){g=pb()|0;e=N;c=k[h>>2]|0;if(!c){p=g;sb(p|0)}f=h+4|0;d=k[f>>2]|0;if((d|0)!=(c|0)){do{p=d+-12|0;k[f>>2]=p;A9(p);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[h>>2]|0}cra(c);p=g;sb(p|0)}c=k[h>>2]|0;if(c|0){e=h+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{f=d+-12|0;k[e>>2]=f;A9(f);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[h>>2]|0}cra(c)}xs(g,i);f=g+4|0;d=k[f>>2]|0;c=k[g>>2]|0;h=(d-c|0)/12|0;e=c;if(c|0){if((d|0)!=(e|0)){c=d;do{d=c+-12|0;k[f>>2]=d;A9(d);c=k[f>>2]|0}while((c|0)!=(e|0));c=k[g>>2]|0}cra(c)}a:do if(h>>>0>1){g=p+4|0;e=1;while(1){Sz(n);xs(p,i);y=0;oa(679,n|0,(k[p>>2]|0)+(e*12|0)|0);f=y;y=0;if(f&1)break;c=k[p>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{f=d+-12|0;k[g>>2]=f;A9(f);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[p>>2]|0}cra(c)}e=e+1|0;if(e>>>0>=h>>>0)break a}f=pb()|0;e=N;c=k[p>>2]|0;if(!c){p=f;sb(p|0)}d=k[g>>2]|0;if((d|0)!=(c|0)){do{o=d+-12|0;k[g>>2]=o;A9(o);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[p>>2]|0}cra(c);p=f;sb(p|0)}while(0);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,48730,4);y=0;oa(679,n|0,j|0);p=y;y=0;if(p&1){p=pb()|0;A9(j);sb(p|0)}A9(j);LT(l,k[b+88>>2]|0);k[l>>2]=7284;p=k[l+4>>2]|0;y=0;oa(k[(k[p>>2]|0)+44>>2]|0,p|0,a|0);p=y;y=0;if(p&1){p=pb()|0;DO(l);sb(p|0)}DO(l);LT(m,k[b+68>>2]|0);k[m>>2]=6868;p=k[m+4>>2]|0;y=0;oa(k[(k[p>>2]|0)+44>>2]|0,p|0,a|0);p=y;y=0;if(!(p&1)){DO(m);r=o;return}p=pb()|0;DO(m);sb(p|0)}function fj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;o=r;r=r+112|0;m=o+40|0;n=o;p=o+92|0;g=o+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,39825,5);y=0;h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));c=sa(25,g|0,a|0,d|0,m|0,f|0)|0;l=y;y=0;do if(l&1)q=11;else{y=0;ma(5,n|0,c+64|0,0,0,1);l=y;y=0;if(l&1)q=11;else{y=0;oa(554,p|0,n|0);l=y;y=0;if(l&1){c=pb()|0;A9(n);break}A9(n);A9(g);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;l=i[p+11>>0]|0;j=l<<24>>24<0;l=j?k[p+4>>2]|0:l&255;y=0;Ra(10,m|0,(j?k[p>>2]|0:p)|0,l|0,l+3|0);l=y;y=0;do if(l&1)q=14;else{y=0;ta(41,m|0,47269,3)|0;l=y;y=0;if(l&1)q=14;else{y=0;c=Ha(991,b|0,m|0)|0;b=y;y=0;if(b&1){c=pb()|0;A9(m);q=16;break}A9(m);if(c){y=0;c=qa(315,68)|0;b=y;y=0;if(!(b&1)){h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,c|0);e=y;y=0;if(e&1){e=pb()|0;cra(c);c=e;break}h=c+12|0;j=n;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=1;k[c+64>>2]=0;k[c+56>>2]=1;q=c;A9(p);r=o;return q|0}}else{y=0;c=qa(315,68)|0;n=y;y=0;if(!(n&1)){h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,c|0);e=y;y=0;if(e&1){e=pb()|0;cra(c);c=e;break}h=c+12|0;j=m;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=0;k[c+64>>2]=0;k[c+56>>2]=1;q=c;A9(p);r=o;return q|0}}c=pb()|0}}while(0);if((q|0)==14){c=pb()|0;A9(m);q=16}A9(p);q=c;sb(q|0)}}while(0);if((q|0)==11)c=pb()|0;A9(g);q=c;sb(q|0);return 0}function gj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;q=0;s=r;r=r+144|0;t=s+96|0;u=s+88|0;f=s+48|0;h=s+40|0;j=s+32|0;l=s+24|0;m=s+16|0;o=s+8|0;p=s;k[t>>2]=3;n=b+60|0;c=k[n>>2]|0;if(c>>>0<(k[b+64>>2]|0)>>>0){k[c>>2]=3;k[n>>2]=c+4}else kA(b+56|0,t);g=IM(80)|0;c=f;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(460,h|0,0);e=y;y=0;do if(e&1)c=pb()|0;else{k[h>>2]=7172;y=0;oa(460,j|0,0);e=y;y=0;if(e&1){c=pb()|0;DO(h);break}k[j>>2]=6868;y=0;c=t;d=f;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Ra(33,g|0,t|0,h|0,j|0);f=y;y=0;if(f&1)d=1;else{y=0;oa(460,u|0,g|0);f=y;y=0;if(f&1)d=0;else{k[u>>2]=17212;DO(j);DO(h);f=u+4|0;c=k[f>>2]|0;y=0;oa(614,m|0,b|0);j=y;y=0;do if(j&1)q=27;else{d=c+72|0;c=c+76|0;if(!(k[c>>2]|0))q=11;else{y=0;na(423,d|0);j=y;y=0;if(!(j&1))q=11}if((q|0)==11){k[c>>2]=k[m+4>>2];y=0;na(424,d|0);j=y;y=0;if(!(j&1)){y=0;oa(460,l|0,k[c>>2]|0);j=y;y=0;if(!(j&1)){k[l>>2]=7172;DO(l);DO(m);e=b+68|0;y=0;oa(460,t|0,k[e>>2]|0);m=y;y=0;if(m&1){q=27;break}k[t>>2]=17212;c=k[f>>2]|0;k[e>>2]=c;y=0;Na(121,p|0,b|0,0);b=y;y=0;do if(b&1)q=29;else{d=c;c=d+64|0;d=d+68|0;if(!(k[d>>2]|0))q=17;else{y=0;na(423,c|0);b=y;y=0;if(!(b&1))q=17}if((q|0)==17){k[d>>2]=k[p+4>>2];y=0;na(424,c|0);b=y;y=0;if(!(b&1)){y=0;oa(460,o|0,k[d>>2]|0);b=y;y=0;if(!(b&1)){k[o>>2]=6868;DO(o);DO(p);k[e>>2]=k[t+4>>2];k[n>>2]=(k[n>>2]|0)+-4;c=k[f>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(460,a|0,c|0);q=y;y=0;if(q&1){q=29;break}k[a>>2]=17212;DO(t);DO(u);r=s;return}}}c=pb()|0;DO(p)}while(0);if((q|0)==29)c=pb()|0;DO(t);break}}}c=pb()|0;DO(m)}while(0);if((q|0)==27)c=pb()|0;DO(u);u=c;sb(u|0)}}c=pb()|0;DO(j);DO(h);if(!d){u=c;sb(u|0)}}while(0);cra(g);u=c;sb(u|0)}function hj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;o=r;r=r+112|0;m=o+40|0;n=o;p=o+92|0;g=o+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,39825,5);y=0;h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));c=sa(25,g|0,a|0,d|0,m|0,f|0)|0;l=y;y=0;do if(l&1)q=11;else{y=0;ma(5,n|0,c+64|0,0,0,1);l=y;y=0;if(l&1)q=11;else{y=0;oa(554,p|0,n|0);l=y;y=0;if(l&1){c=pb()|0;A9(n);break}A9(n);A9(g);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;l=i[p+11>>0]|0;j=l<<24>>24<0;l=j?k[p+4>>2]|0:l&255;y=0;Ra(10,m|0,(j?k[p>>2]|0:p)|0,l|0,l+3|0);l=y;y=0;do if(l&1)q=14;else{y=0;ta(41,m|0,47111,3)|0;l=y;y=0;if(l&1)q=14;else{y=0;c=Ha(991,b|0,m|0)|0;b=y;y=0;if(b&1){c=pb()|0;A9(m);q=16;break}A9(m);if(c){y=0;c=qa(315,68)|0;b=y;y=0;if(!(b&1)){h=n;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,c|0);e=y;y=0;if(e&1){e=pb()|0;cra(c);c=e;break}h=c+12|0;j=n;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=1;k[c+64>>2]=0;k[c+56>>2]=1;q=c;A9(p);r=o;return q|0}}else{y=0;c=qa(315,68)|0;n=y;y=0;if(!(n&1)){h=m;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,c|0);e=y;y=0;if(e&1){e=pb()|0;cra(c);c=e;break}h=c+12|0;j=m;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=0;k[c+64>>2]=0;k[c+56>>2]=1;q=c;A9(p);r=o;return q|0}}c=pb()|0}}while(0);if((q|0)==14){c=pb()|0;A9(m);q=16}A9(p);q=c;sb(q|0)}}while(0);if((q|0)==11)c=pb()|0;A9(g);q=c;sb(q|0);return 0}function ij(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;w=0;s=r;r=r+240|0;n=s+24|0;q=s;a=s+140|0;u=s+16|0;p=s+12|0;t=s+8|0;m=s+136|0;j=s+4|0;o=s+36|0;k[u>>2]=a;v=u+4|0;k[v>>2]=479;l=a+100|0;y=0;h=qa(323,e|0)|0;z=y;y=0;if(z&1){h=pb()|0;k[u>>2]=0;j=479;w=52}else{k[t>>2]=h;y=0;h=Ha(977,t|0,83960)|0;z=y;y=0;if(z&1)h=pb()|0;else{i[m>>0]=0;k[j>>2]=k[c>>2];a=k[e+4>>2]|0;y=0;k[n>>2]=k[j>>2];a=Fa(1,b|0,n|0,d|0,t|0,a|0,f|0,m|0,h|0,u|0,p|0,l|0)|0;z=y;y=0;a:do if(z&1)w=11;else{b:do if(a){y=0;Ma(k[(k[h>>2]|0)+32>>2]|0,h|0,57545,57555,n|0)|0;z=y;y=0;if(z&1)a=pb()|0;else{a=(k[p>>2]|0)-(k[u>>2]|0)|0;if((a|0)>98){a=ud(a+2|0)|0;h=a;if(!a){y=0;la(6);z=y;y=0;if(!(z&1)){a=0;w=16}}else w=16}else{a=o;h=0;w=16}do if((w|0)==16){if(i[m>>0]|0){i[a>>0]=45;a=a+1|0}e=n+10|0;m=n;d=k[u>>2]|0;while(1){if(d>>>0>=(k[p>>2]|0)>>>0)break;l=i[d>>0]|0;j=n;while(1){if((j|0)==(e|0)){j=e;break}if((i[j>>0]|0)==l<<24>>24)break;j=j+1|0}i[a>>0]=i[57545+(j-m)>>0]|0;d=d+1|0;a=a+1|0}i[a>>0]=0;k[q>>2]=g;if((qU(o,57556,q)|0)!=1){y=0;na(480,57560);z=y;y=0;if(z&1)break}if(h|0)Wf(h);break b}while(0);a=pb()|0;if(h|0)Wf(h)}break a}while(0);a=k[b>>2]|0;do if(!a)a=0;else if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;z=y;y=0;if(z&1){w=11;break a}if((a|0)==-1){k[b>>2]=0;a=0;break}else{a=k[b>>2]|0;break}}while(0);h=(a|0)==0;a=k[c>>2]|0;do if(!a)w=43;else{if((k[a+12>>2]|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;z=y;y=0;if(z&1){w=11;break a}if((a|0)==-1){k[c>>2]=0;w=43;break}}if(!h)w=44}while(0);if((w|0)==43)if(h)w=44;if((w|0)==44)k[f>>2]=k[f>>2]|2;h=k[b>>2]|0;RQ(k[t>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(a|0){y=0;na(k[v>>2]|0,a|0);z=y;y=0;if(z&1){z=tb(0)|0;Sla(z)}}r=s;return h|0}while(0);if((w|0)==11)a=pb()|0;h=a}RQ(k[t>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(!a)x=h;else{j=k[v>>2]|0;w=52}}if((w|0)==52){y=0;na(j|0,a|0);z=y;y=0;if(z&1){z=tb(0)|0;Sla(z)}else x=h}sb(x|0);return 0}function jj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=0;m=r;r=r+192|0;l=m+152|0;q=m+32|0;p=m+24|0;o=m+12|0;j=m;Lg(q,c,b,f,g);k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,39923,10);h=y;y=0;if(h&1)b=pb()|0;else{y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(27,o|0,a|0,d|0,l|0,f|0)|0;h=y;y=0;if(!(h&1)){h=q+8|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,h|0)|0;g=y;y=0;if(!(g&1)){y=0;oa(460,p|0,b|0);g=y;y=0;if(!(g&1)){k[p>>2]=7284;A9(o);b=k[p+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+88>>2]|0,b|0)|0;g=y;y=0;do if(g&1)b=pb()|0;else{k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,(b?39934:39944)|0,(b?9:8)|0);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=l;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(27,j|0,a|0,d|0,l|0,f|0)|0;f=y;y=0;if(!(f&1)){y=0;oa(460,o|0,b|0);f=y;y=0;if(!(f&1)){k[o>>2]=7284;A9(j);c=o+4|0;b=k[c>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,h|0)|0;j=y;y=0;do if(j&1)n=24;else{y=0;oa(460,l|0,b|0);j=y;y=0;if(j&1)n=24;else{k[l>>2]=7284;if(k[c>>2]|0){y=0;na(423,o|0);j=y;y=0;if(j&1){b=pb()|0;DO(l);n=26;break}}j=l+4|0;k[c>>2]=k[j>>2];k[j>>2]=0;DO(l);l=k[c>>2]|0;y=0;oa(k[(k[l>>2]|0)+100>>2]|0,l|0,0);l=y;y=0;if(l&1){b=pb()|0;break}b=k[c>>2]|0;if(!b){n=0;DO(o);DO(p);vt(q);r=m;return n|0}i[b+8>>0]=1;n=b;DO(o);DO(p);vt(q);r=m;return n|0}}while(0);if((n|0)==24){b=pb()|0;n=26}DO(o);break}}b=pb()|0;A9(j)}}while(0);DO(p);p=b;vt(q);sb(p|0)}}}b=pb()|0;A9(o)}p=b;vt(q);sb(p|0);return 0}function kj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;g=0;n=r;r=r+80|0;h=n+32|0;o=n+16|0;m=n+8|0;l=n;k[o>>2]=0;p=o+4|0;k[p>>2]=0;k[o+8>>2]=0;y=0;c=qa(315,112)|0;j=y;y=0;do if(j&1)g=7;else{y=0;d=h;e=b+12|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Na(80,c|0,h|0,0);j=y;y=0;if(j&1){e=pb()|0;cra(c);break}y=0;oa(460,m|0,c|0);j=y;y=0;if(j&1)g=7;else{k[m>>2]=6756;j=m+4|0;f=k[j>>2]|0;g=b+62|0;d=f+62|0;i[d>>0]=i[g>>0]|0;k[f+64>>2]=k[b+64>>2];i[d>>0]=i[g>>0]|0;d=k[b+76>>2]|0;g=(k[b+80>>2]|0)-d>>3;a:do if(!g)g=6;else{e=b+76|0;f=o+8|0;b=h+4|0;c=0;while(1){y=0;d=Ha(k[(k[a>>2]|0)+268>>2]|0,a|0,k[d+(c<<3)+4>>2]|0)|0;q=y;y=0;if(q&1){g=17;break}y=0;oa(460,h|0,d|0);q=y;y=0;if(q&1){g=17;break}k[h>>2]=6756;d=k[p>>2]|0;if(d>>>0<(k[f>>2]|0)>>>0){y=0;oa(460,d|0,k[b>>2]|0);q=y;y=0;if(q&1){g=18;break}k[d>>2]=6756;k[p>>2]=(k[p>>2]|0)+8}else{y=0;oa(646,o|0,h|0);q=y;y=0;if(q&1){g=18;break}}DO(h);c=c+1|0;if(c>>>0>=g>>>0){g=6;break a}d=k[e>>2]|0}if((g|0)==17)c=pb()|0;else if((g|0)==18){c=pb()|0;DO(h)}}while(0);do if((g|0)==6){b=0;b:while(1){e=k[o>>2]|0;g=(k[p>>2]|0)-e>>3;if(!g){g=31;break}c=0;d=1;while(1){q=k[e+(c<<3)+4>>2]|0;f=k[q+76>>2]|0;if((k[q+80>>2]|0)-f>>3>>>0>b>>>0){d=(k[j>>2]|0)+72|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,l|0,k[f+(b<<3)+4>>2]|0);q=y;y=0;if(q&1){g=27;break b}k[l>>2]=15136;y=0;oa(e|0,d|0,l|0);q=y;y=0;if(q&1){g=28;break b}DO(l);d=0}c=c+1|0;if(c>>>0>=g>>>0)break;e=k[o>>2]|0}b=b+1|0;if(d|(b|0)==-1){g=31;break}}if((g|0)==27){c=pb()|0;break}else if((g|0)==28){c=pb()|0;DO(l);break}else if((g|0)==31){c=k[j>>2]|0;if(!c)e=0;else{i[c+8>>0]=1;e=c}DO(m);c=k[o>>2]|0;if(!c){r=n;return e|0}d=k[p>>2]|0;if((d|0)!=(c|0)){do{q=d+-8|0;k[p>>2]=q;lc[k[k[q>>2]>>2]&511](q);d=k[p>>2]|0}while((d|0)!=(c|0));c=k[o>>2]|0}cra(c);r=n;return e|0}}while(0);DO(m);e=c}}while(0);if((g|0)==7)e=pb()|0;c=k[o>>2]|0;if(!c)sb(e|0);d=k[p>>2]|0;if((d|0)!=(c|0)){do{q=d+-8|0;k[p>>2]=q;lc[k[k[q>>2]>>2]&511](q);d=k[p>>2]|0}while((d|0)!=(c|0));c=k[o>>2]|0}cra(c);sb(e|0);return 0}function lj(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0;m=r;r=r+16|0;l=m;j=Cl(a,b,c,d,f)|0;g=e+4|0;h=k[g>>2]|0;if(!h){l=j;r=m;return l|0}i=d+4|0;f=k[i>>2]|0;if(!f){l=j;r=m;return l|0}if(!(Fc[k[(k[h>>2]|0)+156>>2]&2047](h,f)|0)){l=j;r=m;return l|0}LT(l,k[i>>2]|0);k[l>>2]=15136;if((d|0)!=(e|0)){if(k[i>>2]|0){y=0;na(423,d|0);h=y;y=0;if(h&1){m=pb()|0;DO(l);sb(m|0)}}k[i>>2]=k[g>>2];k[g>>2]=0}if((l|0)!=(e|0)){if(k[g>>2]|0){y=0;na(423,e|0);e=y;y=0;if(e&1){m=pb()|0;DO(l);sb(m|0)}}e=l+4|0;k[g>>2]=k[e>>2];k[e>>2]=0}DO(l);f=j+1|0;g=k[i>>2]|0;if(!g){l=f;r=m;return l|0}e=c+4|0;h=k[e>>2]|0;if(!h){l=f;r=m;return l|0}if(!(Fc[k[(k[g>>2]|0)+156>>2]&2047](g,h)|0)){l=f;r=m;return l|0}LT(l,k[e>>2]|0);k[l>>2]=15136;if((c|0)!=(d|0)){if(k[e>>2]|0){y=0;na(423,c|0);h=y;y=0;if(h&1){m=pb()|0;DO(l);sb(m|0)}}k[e>>2]=k[i>>2];k[i>>2]=0}if((l|0)!=(d|0)){if(k[i>>2]|0){y=0;na(423,d|0);d=y;y=0;if(d&1){m=pb()|0;DO(l);sb(m|0)}}d=l+4|0;k[i>>2]=k[d>>2];k[d>>2]=0}DO(l);f=j+2|0;g=k[e>>2]|0;if(!g){l=f;r=m;return l|0}i=b+4|0;h=k[i>>2]|0;if(!h){l=f;r=m;return l|0}if(!(Fc[k[(k[g>>2]|0)+156>>2]&2047](g,h)|0)){l=f;r=m;return l|0}LT(l,k[i>>2]|0);k[l>>2]=15136;if((b|0)!=(c|0)){if(k[i>>2]|0){y=0;na(423,b|0);d=y;y=0;if(d&1){m=pb()|0;DO(l);sb(m|0)}}k[i>>2]=k[e>>2];k[e>>2]=0}if((l|0)!=(c|0)){if(k[e>>2]|0){y=0;na(423,c|0);c=y;y=0;if(c&1){m=pb()|0;DO(l);sb(m|0)}}c=l+4|0;k[e>>2]=k[c>>2];k[c>>2]=0}DO(l);f=j+3|0;g=k[i>>2]|0;if(!g){l=f;r=m;return l|0}h=a+4|0;e=k[h>>2]|0;if(!e){l=f;r=m;return l|0}if(!(Fc[k[(k[g>>2]|0)+156>>2]&2047](g,e)|0)){l=f;r=m;return l|0}LT(l,k[h>>2]|0);k[l>>2]=15136;if((a|0)!=(b|0)){do if(k[h>>2]|0){y=0;na(423,a|0);a=y;y=0;if(!(a&1))break;m=pb()|0;DO(l);sb(m|0)}while(0);k[h>>2]=k[i>>2];k[i>>2]=0}if((l|0)!=(b|0)){do if(k[i>>2]|0){y=0;na(423,b|0);b=y;y=0;if(!(b&1))break;m=pb()|0;DO(l);sb(m|0)}while(0);b=l+4|0;k[i>>2]=k[b>>2];k[b>>2]=0}DO(l);l=j+4|0;r=m;return l|0}function mj(a,b,c,d,e,f,g,h,j,l,m,n,o,p,q){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;var r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;k[c>>2]=a;B=p+8+3|0;I=p+4|0;C=o+8+3|0;D=o+4|0;E=(d&512|0)==0;F=(q|0)>0;G=n+11|0;H=n+4|0;A=0;while(1){if((A|0)==4)break;a:do switch(i[j+A>>0]|0){case 0:{k[b>>2]=k[c>>2];break}case 1:{k[b>>2]=k[c>>2];y=Fc[k[(k[g>>2]|0)+44>>2]&2047](g,32)|0;z=k[c>>2]|0;k[c>>2]=z+4;k[z>>2]=y;break}case 3:{z=i[B>>0]|0;r=z<<24>>24<0;if((r?k[I>>2]|0:z&255)|0){y=k[(r?k[p>>2]|0:p)>>2]|0;z=k[c>>2]|0;k[c>>2]=z+4;k[z>>2]=y}break}case 2:{v=i[C>>0]|0;r=v<<24>>24<0;v=r?k[D>>2]|0:v&255;if(!(E|(v|0)==0)){u=r?k[o>>2]|0:o;s=u+(v<<2)|0;t=k[c>>2]|0;r=t;while(1){if((u|0)==(s|0))break;k[r>>2]=k[u>>2];r=r+4|0;u=u+4|0}k[c>>2]=t+(v<<2)}break}case 4:{s=k[c>>2]|0;e=h?e+4|0:e;r=e;while(1){if(r>>>0>=f>>>0)break;if(!(rc[k[(k[g>>2]|0)+12>>2]&255](g,2048,k[r>>2]|0)|0))break;r=r+4|0}if(F){u=q;while(1){t=(u|0)>0;if(!(r>>>0>e>>>0&t))break;z=r+-4|0;x=k[z>>2]|0;y=k[c>>2]|0;k[c>>2]=y+4;k[y>>2]=x;u=u+-1|0;r=z}if(t)w=Fc[k[(k[g>>2]|0)+44>>2]&2047](g,48)|0;else w=0;v=k[c>>2]|0;while(1){t=v+4|0;if((u|0)<=0)break;k[v>>2]=w;u=u+-1|0;v=t}k[c>>2]=t;k[v>>2]=l}if((r|0)==(e|0)){y=Fc[k[(k[g>>2]|0)+44>>2]&2047](g,48)|0;z=k[c>>2]|0;r=z+4|0;k[c>>2]=r;k[z>>2]=y}else{z=i[G>>0]|0;y=z<<24>>24<0;z=y?k[H>>2]|0:z&255;if(!z){v=-1;t=0;w=0}else{v=i[(y?k[n>>2]|0:n)>>0]|0;t=0;w=0}while(1){if((r|0)==(e|0))break;u=k[c>>2]|0;if((w|0)==(v|0)){x=u+4|0;k[c>>2]=x;k[u>>2]=m;t=t+1|0;if(t>>>0<z>>>0){v=i[(y?k[n>>2]|0:n)+t>>0]|0;v=v<<24>>24|0;v=(v|0)==127?-1:v|0;w=0;u=x}else{v=w;w=0;u=x}}x=r+-4|0;J=k[x>>2]|0;k[c>>2]=u+4;k[u>>2]=J;w=w+1|0;r=x}r=k[c>>2]|0}if((s|0)!=(r|0))while(1){r=r+-4|0;if(s>>>0>=r>>>0)break a;J=k[s>>2]|0;k[s>>2]=k[r>>2];k[r>>2]=J;s=s+4|0}break}default:{}}while(0);A=A+1|0}e=i[B>>0]|0;r=e<<24>>24<0;e=r?k[I>>2]|0:e&255;if(e>>>0>1){r=r?k[p>>2]|0:p;u=r+4|0;r=r+(e<<2)|0;s=k[c>>2]|0;t=r-u|0;e=s;while(1){if((u|0)==(r|0))break;k[e>>2]=k[u>>2];e=e+4|0;u=u+4|0}k[c>>2]=s+(t>>>2<<2)}switch((d&176)<<24>>24){case 32:{k[b>>2]=k[c>>2];break}case 16:break;default:k[b>>2]=a}return}function nj(a,b,c,d,e,f,g,h,l,m,n,o,p,q,r){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;q=q|0;r=r|0;var s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;k[c>>2]=a;z=q+11|0;H=q+4|0;A=p+11|0;B=p+4|0;C=(d&512|0)==0;D=g+8|0;E=(r|0)>0;F=o+11|0;G=o+4|0;y=0;while(1){if((y|0)==4)break;a:do switch(i[l+y>>0]|0){case 0:{k[b>>2]=k[c>>2];break}case 1:{k[b>>2]=k[c>>2];w=Fc[k[(k[g>>2]|0)+28>>2]&2047](g,32)|0;x=k[c>>2]|0;k[c>>2]=x+1;i[x>>0]=w;break}case 3:{x=i[z>>0]|0;s=x<<24>>24<0;if((s?k[H>>2]|0:x&255)|0){w=i[(s?k[q>>2]|0:q)>>0]|0;x=k[c>>2]|0;k[c>>2]=x+1;i[x>>0]=w}break}case 2:{t=i[A>>0]|0;s=t<<24>>24<0;t=s?k[B>>2]|0:t&255;if(!(C|(t|0)==0)){x=s?k[p>>2]|0:p;u=x+t|0;s=k[c>>2]|0;t=x;while(1){if((t|0)==(u|0))break;i[s>>0]=i[t>>0]|0;s=s+1|0;t=t+1|0}k[c>>2]=s}break}case 4:{t=k[c>>2]|0;e=h?e+1|0:e;u=e;while(1){if(u>>>0>=f>>>0)break;s=i[u>>0]|0;if(s<<24>>24<=-1)break;if(!(j[(k[D>>2]|0)+(s<<24>>24<<1)>>1]&2048))break;u=u+1|0}if(E){v=r;while(1){s=(v|0)>0;if(!(u>>>0>e>>>0&s))break;x=u+-1|0;s=i[x>>0]|0;w=k[c>>2]|0;k[c>>2]=w+1;i[w>>0]=s;v=v+-1|0;u=x}if(s)w=Fc[k[(k[g>>2]|0)+28>>2]&2047](g,48)|0;else w=0;s=v;while(1){v=k[c>>2]|0;k[c>>2]=v+1;if((s|0)<=0)break;i[v>>0]=w;s=s+-1|0}i[v>>0]=m}b:do if((u|0)==(e|0)){w=Fc[k[(k[g>>2]|0)+28>>2]&2047](g,48)|0;x=k[c>>2]|0;k[c>>2]=x+1;i[x>>0]=w}else{x=i[F>>0]|0;s=x<<24>>24<0;if(!((s?k[G>>2]|0:x&255)|0)){w=-1;v=0;x=0}else{w=i[(s?k[o>>2]|0:o)>>0]|0;v=0;x=0}while(1){if((u|0)==(e|0))break b;if((x|0)==(w|0)){w=k[c>>2]|0;k[c>>2]=w+1;i[w>>0]=n;v=v+1|0;w=i[F>>0]|0;s=w<<24>>24<0;if(v>>>0<(s?k[G>>2]|0:w&255)>>>0){w=i[(s?k[o>>2]|0:o)+v>>0]|0;w=w<<24>>24|0;w=(w|0)==127?-1:w|0;s=0}else{w=x;s=0}}else s=x;I=u+-1|0;J=i[I>>0]|0;x=k[c>>2]|0;k[c>>2]=x+1;i[x>>0]=J;x=s+1|0;u=I}}while(0);s=k[c>>2]|0;if((t|0)!=(s|0))while(1){s=s+-1|0;if(t>>>0>=s>>>0)break a;J=i[t>>0]|0;i[t>>0]=i[s>>0]|0;i[s>>0]=J;t=t+1|0}break}default:{}}while(0);y=y+1|0}e=i[z>>0]|0;s=e<<24>>24<0;e=s?k[H>>2]|0:e&255;if(e>>>0>1){J=s?k[q>>2]|0:q;t=J+e|0;s=k[c>>2]|0;e=J;while(1){e=e+1|0;if((e|0)==(t|0))break;i[s>>0]=i[e>>0]|0;s=s+1|0}k[c>>2]=s}switch((d&176)<<24>>24){case 32:{k[b>>2]=k[c>>2];break}case 16:break;default:k[b>>2]=a}return}function oj(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;b=aP(a)|0;if(b|0){a=b;return a|0}a:do if(a|0){c=i[50288]|0;b:do if(!(c<<24>>24)){b=a;e=6}else{b=a;d=50288;while(1){if((i[b>>0]|0)!=c<<24>>24)break b;b=b+1|0;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24)){e=6;break}}}while(0);c:do if((e|0)==6){c=i[b>>0]|0;if(c<<24>>24){e=b;d:while(1){if(e|0){b=i[51073]|0;if(!(b<<24>>24)){b=e;e=22;break}if(c<<24>>24==b<<24>>24){b=e;c=51073;do{b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){e=22;break d}}while((i[b>>0]|0)==d<<24>>24)}}e=e+1|0;c=i[e>>0]|0;if(!(c<<24>>24))break c}if((e|0)==22)return b|0}}while(0);c=i[50291]|0;if(!(c<<24>>24))b=a;else{b=a;d=50291;do{if((i[b>>0]|0)!=c<<24>>24)break a;b=b+1|0;d=d+1|0;c=i[d>>0]|0}while(c<<24>>24!=0)}while(1){if(C9(b)|0)break;c=Bka(b)|0;if((c|0)==(b|0)|(c|0)==0)break a;else b=c}if(b|0){a=b;return a|0}}while(0);if((i[a>>0]|0)==47){b=Kx(a+1|0)|0;if(b|0){a=b;return a|0}}a=$f(a)|0;return a|0}function pj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;j=0;v=r;r=r+96|0;w=v+56|0;n=v+48|0;u=v+40|0;o=v+32|0;s=v+24|0;q=v+12|0;t=v;m=a+84|0;p=b+4|0;b=k[p>>2]|0;c=b+84|0;e=i[m+11>>0]|0;f=e<<24>>24<0;e=e&255;l=f?k[a+88>>2]|0:e;h=i[c+11>>0]|0;d=h<<24>>24<0;if((l|0)!=((d?k[b+88>>2]|0:h&255)|0)){w=0;r=v;return w|0}g=k[m>>2]|0;h=f?g:m;c=d?k[c>>2]|0:c;d=(l|0)==0;a:do if(f){if(!d)if(!(bN(h,c,l)|0))j=9;else{w=0;r=v;return w|0}}else if(!d){if((g&255)<<24>>24==(i[c>>0]|0))d=m;else{w=0;r=v;return w|0}while(1){e=e+-1|0;d=d+1|0;if(!e){j=9;break a}c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){b=0;break}}r=v;return b|0}while(0);do if((j|0)==9)if((l|0)==8){y=0;b=sa(21,m|0,0,-1,50826,8)|0;m=y;y=0;if(m&1){m=tb(0)|0;Sla(m)}if(!b){w=0;r=v;return w|0}else{b=k[p>>2]|0;break}}while(0);LT(n,k[b+108>>2]|0);k[n>>2]=6756;b=k[n+4>>2]|0;if(!b)b=0;else b=(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30714?b:0;y=0;oa(460,w|0,b|0);m=y;y=0;if(m&1){w=pb()|0;DO(n);sb(w|0)}k[w>>2]=6756;DO(n);d=w+4|0;b:do if(k[d>>2]|0){y=0;oa(460,o|0,k[a+108>>2]|0);a=y;y=0;do if(a&1)b=pb()|0;else{k[o>>2]=6756;b=k[o+4>>2]|0;if(!b)b=0;else b=(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==30714?b:0;y=0;oa(460,u|0,b|0);a=y;y=0;if(a&1){b=pb()|0;DO(o);break}k[u>>2]=6756;DO(o);c=k[u+4>>2]|0;if(!c){DO(u);break b}b=k[(k[c>>2]|0)+152>>2]|0;y=0;oa(460,s|0,k[d>>2]|0);t=y;y=0;if(t&1)b=pb()|0;else{k[s>>2]=6756;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,87975,0);t=y;y=0;do if(t&1)b=pb()|0;else{y=0;b=ta(b|0,c|0,s|0,q|0)|0;t=y;y=0;if(t&1){b=pb()|0;A9(q);break}A9(q);DO(s);DO(u);DO(w);w=b;r=v;return w|0}while(0);DO(s)}DO(u)}while(0);DO(w);w=b;sb(w|0)}while(0);DO(w);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,33617,41);y=0;d=w;b=(k[p>>2]|0)+12|0;c=d+40|0;do{k[d>>2]=k[b>>2];d=d+4|0;b=b+4|0}while((d|0)<(c|0));oa(454,t|0,w|0);w=y;y=0;if(w&1){w=pb()|0;A9(t);sb(w|0)}else{A9(t);w=0;r=v;return w|0}return 0}function qj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;o=r;r=r+64|0;n=o+52|0;h=o+40|0;g=o+36|0;t=o+24|0;q=o+4|0;j=o+20|0;l=o+16|0;m=o;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;aI(n,55435,1);y=0;na(436,h|0);s=y;y=0;do if(s&1)b=pb()|0;else{y=0;Ra(15,t|0,c+24|0,n|0,h|0);s=y;y=0;if(s&1){b=pb()|0;A9(h);break}A9(h);A9(n);y=0;Ra(19,a|0,t|0,c|0,77612);s=y;y=0;if(s&1)b=pb()|0;else{i=b+336|0;d=k[i>>2]|0;p=(k[b+340>>2]|0)-d|0;f=(p|0)/12|0;s=a+4|0;if(!(p|0?(k[s>>2]|0)==(k[a>>2]|0):0)){A9(t);r=o;return}p=q+4|0;b=0;while(1){y=0;Ra(19,q|0,d+(b*12|0)|0,c|0,77612);e=y;y=0;if(e&1){d=14;break}e=k[p>>2]|0;d=k[q>>2]|0;if((e|0)!=(d|0)){k[j>>2]=k[s>>2];k[l>>2]=d;k[m>>2]=e;y=0;k[g>>2]=k[j>>2];k[h>>2]=k[l>>2];k[n>>2]=k[m>>2];Ma(7,a|0,g|0,h|0,n|0)|0;e=y;y=0;if(e&1){d=15;break}d=k[q>>2]|0}if(d|0){e=k[p>>2]|0;if((e|0)!=(d|0)){do{u=e+-48|0;k[p>>2]=u;A9(e+-12|0);A9(e+-24|0);A9(e+-36|0);A9(u);e=k[p>>2]|0}while((e|0)!=(d|0));d=k[q>>2]|0}cra(d)}b=b+1|0;if(!(b>>>0<f>>>0?(k[s>>2]|0)==(k[a>>2]|0):0)){d=33;break}d=k[i>>2]|0}if((d|0)==14){b=pb()|0;f=N}else if((d|0)==15){b=pb()|0;f=N;d=k[q>>2]|0;if(d|0){e=k[p>>2]|0;if((e|0)!=(d|0)){do{u=e+-48|0;k[p>>2]=u;A9(e+-12|0);A9(e+-24|0);A9(e+-36|0);A9(u);e=k[p>>2]|0}while((e|0)!=(d|0));d=k[q>>2]|0}cra(d)}}else if((d|0)==33){A9(t);r=o;return}d=k[a>>2]|0;if(d){e=k[s>>2]|0;if((e|0)!=(d|0)){do{u=e+-48|0;k[s>>2]=u;A9(e+-12|0);A9(e+-24|0);A9(e+-36|0);A9(u);e=k[s>>2]|0}while((e|0)!=(d|0));d=k[a>>2]|0}cra(d)}}A9(t);u=b;sb(u|0)}while(0);A9(n);u=b;sb(u|0)}function rj(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0;m=r;r=r+16|0;l=m;j=Ol(a,b,c,d,f)|0;g=e+4|0;h=k[g>>2]|0;if(!h){l=j;r=m;return l|0}i=d+4|0;f=k[i>>2]|0;if(!f){l=j;r=m;return l|0}if(!(Cs(h,f)|0)){l=j;r=m;return l|0}LT(l,k[i>>2]|0);k[l>>2]=13284;if((d|0)!=(e|0)){if(k[i>>2]|0){y=0;na(423,d|0);h=y;y=0;if(h&1){m=pb()|0;DO(l);sb(m|0)}}k[i>>2]=k[g>>2];k[g>>2]=0}if((l|0)!=(e|0)){if(k[g>>2]|0){y=0;na(423,e|0);e=y;y=0;if(e&1){m=pb()|0;DO(l);sb(m|0)}}e=l+4|0;k[g>>2]=k[e>>2];k[e>>2]=0}DO(l);f=j+1|0;g=k[i>>2]|0;if(!g){l=f;r=m;return l|0}e=c+4|0;h=k[e>>2]|0;if(!h){l=f;r=m;return l|0}if(!(Cs(g,h)|0)){l=f;r=m;return l|0}LT(l,k[e>>2]|0);k[l>>2]=13284;if((c|0)!=(d|0)){if(k[e>>2]|0){y=0;na(423,c|0);h=y;y=0;if(h&1){m=pb()|0;DO(l);sb(m|0)}}k[e>>2]=k[i>>2];k[i>>2]=0}if((l|0)!=(d|0)){if(k[i>>2]|0){y=0;na(423,d|0);d=y;y=0;if(d&1){m=pb()|0;DO(l);sb(m|0)}}d=l+4|0;k[i>>2]=k[d>>2];k[d>>2]=0}DO(l);f=j+2|0;g=k[e>>2]|0;if(!g){l=f;r=m;return l|0}i=b+4|0;h=k[i>>2]|0;if(!h){l=f;r=m;return l|0}if(!(Cs(g,h)|0)){l=f;r=m;return l|0}LT(l,k[i>>2]|0);k[l>>2]=13284;if((b|0)!=(c|0)){if(k[i>>2]|0){y=0;na(423,b|0);d=y;y=0;if(d&1){m=pb()|0;DO(l);sb(m|0)}}k[i>>2]=k[e>>2];k[e>>2]=0}if((l|0)!=(c|0)){if(k[e>>2]|0){y=0;na(423,c|0);c=y;y=0;if(c&1){m=pb()|0;DO(l);sb(m|0)}}c=l+4|0;k[e>>2]=k[c>>2];k[c>>2]=0}DO(l);f=j+3|0;g=k[i>>2]|0;if(!g){l=f;r=m;return l|0}h=a+4|0;e=k[h>>2]|0;if(!e){l=f;r=m;return l|0}if(!(Cs(g,e)|0)){l=f;r=m;return l|0}LT(l,k[h>>2]|0);k[l>>2]=13284;if((a|0)!=(b|0)){do if(k[h>>2]|0){y=0;na(423,a|0);a=y;y=0;if(!(a&1))break;m=pb()|0;DO(l);sb(m|0)}while(0);k[h>>2]=k[i>>2];k[i>>2]=0}if((l|0)!=(b|0)){do if(k[i>>2]|0){y=0;na(423,b|0);b=y;y=0;if(!(b&1))break;m=pb()|0;DO(l);sb(m|0)}while(0);b=l+4|0;k[i>>2]=k[b>>2];k[b>>2]=0}DO(l);l=j+4|0;r=m;return l|0}function sj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;l=r;r=r+16|0;j=l;switch(b-a>>3|0){case 2:{g=b+-8|0;f=b+-4|0;c=k[f>>2]|0;if(!c){j=1;r=l;return j|0}d=a+4|0;e=k[d>>2]|0;if(!e){j=1;r=l;return j|0}if(!(Fc[k[(k[c>>2]|0)+156>>2]&2047](c,e)|0)){j=1;r=l;return j|0}LT(j,k[d>>2]|0);k[j>>2]=15136;if((g|0)!=(a|0)){if(k[d>>2]|0){y=0;na(423,a|0);a=y;y=0;if(a&1){l=pb()|0;DO(j);sb(l|0)}}k[d>>2]=k[f>>2];k[f>>2]=0}if((j|0)!=(g|0)){if(k[f>>2]|0){y=0;na(423,g|0);a=y;y=0;if(a&1){l=pb()|0;DO(j);sb(l|0)}}a=j+4|0;k[f>>2]=k[a>>2];k[a>>2]=0}DO(j);j=1;r=l;return j|0}case 3:{yi(a,a+8|0,b+-8|0,c)|0;j=1;r=l;return j|0}case 4:{Cl(a,a+8|0,a+16|0,b+-8|0,c)|0;j=1;r=l;return j|0}case 5:{lj(a,a+8|0,a+16|0,a+24|0,b+-8|0,c)|0;j=1;r=l;return j|0}case 1:case 0:{j=1;r=l;return j|0}default:{e=a+16|0;yi(a,a+8|0,e,c)|0;c=a+24|0;a:do if((c|0)==(b|0)){e=1;c=0}else{i=j+4|0;d=0;b:while(1){f=c+4|0;g=k[f>>2]|0;if(g){h=k[e+4>>2]|0;if(h)if(Fc[k[(k[g>>2]|0)+156>>2]&2047](g,h)|0){LT(j,k[f>>2]|0);k[j>>2]=15136;f=c;while(1){if((f|0)!=(e|0)){g=f+4|0;if(k[g>>2]|0){y=0;na(423,f|0);h=y;y=0;if(h&1){d=38;break b}}h=e+4|0;k[g>>2]=k[h>>2];k[h>>2]=0}if((e|0)==(a|0)){e=a;break}f=k[i>>2]|0;if(!f)break;g=k[e+-4>>2]|0;if(!g)break;y=0;f=Ha(k[(k[f>>2]|0)+156>>2]|0,f|0,g|0)|0;h=y;y=0;if(h&1){d=38;break b}if(f){f=e;e=e+-8|0}else break}if((e|0)!=(j|0)){f=e+4|0;if(k[f>>2]|0){y=0;na(423,e|0);h=y;y=0;if(h&1){d=39;break}}k[f>>2]=k[i>>2];k[i>>2]=0}d=d+1|0;DO(j);if((d|0)==8){e=0;c=(c+8|0)==(b|0);break a}}}e=c+8|0;if((e|0)==(b|0)){e=1;c=0;break a}else{h=c;c=e;e=h}}if((d|0)==38){l=pb()|0;DO(j);sb(l|0)}else if((d|0)==39){l=pb()|0;DO(j);sb(l|0)}}while(0);j=e|c;r=l;return j|0}}return 0}function tj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;p=r;r=r+96|0;e=p+40|0;o=p;q=p+88|0;n=p+80|0;l=IM(88)|0;m=b+72|0;j=b+76|0;h=b+80|0;c=k[h>>2]|0;d=k[j>>2]|0;g=e;b=b+12|0;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;na(422,l|0);g=y;y=0;do if(g&1)b=pb()|0;else{d=c-d>>3;g=l+12|0;b=e;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;b=l+56|0;k[b>>2]=0;k[l>>2]=9288;c=l+60|0;k[c>>2]=9248;f=l+64|0;g=l+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(514,f|0,d|0);e=y;y=0;if(e&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{q=d+-8|0;k[g>>2]=q;lc[k[k[q>>2]>>2]&511](q);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c)}break}k[l>>2]=9076;k[c>>2]=9208;k[l+80>>2]=0;i[l+84>>0]=0;i[l+85>>0]=0;k[b>>2]=5;LT(q,l);k[q>>2]=7172;g=q+4|0;b=k[g>>2]|0;i[b+85>>0]=1;f=(k[h>>2]|0)-(k[j>>2]|0)>>3;do if(!f)c=12;else{e=0;while(1){y=0;b=Ha(k[(k[m>>2]|0)+16>>2]|0,m|0,e|0)|0;l=y;y=0;if(l&1){c=18;break}if(k[b+4>>2]|0){c=(k[g>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;b=Ha(k[(k[m>>2]|0)+16>>2]|0,m|0,e|0)|0;l=y;y=0;if(l&1){c=18;break}b=k[b+4>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,a|0)|0;l=y;y=0;if(l&1){c=18;break}y=0;oa(460,n|0,b|0);l=y;y=0;if(l&1){c=18;break}k[n>>2]=7284;y=0;oa(d|0,c|0,n|0);l=y;y=0;if(l&1){c=25;break}DO(n)}e=e+1|0;if(e>>>0>=f>>>0){c=11;break}}if((c|0)==11){b=k[g>>2]|0;c=12;break}else if((c|0)==18){b=pb()|0;break}else if((c|0)==25){b=pb()|0;DO(n);break}}while(0);do if((c|0)==12){if((k[b+68>>2]|0)!=(k[b+64>>2]|0)){if(!b)b=0;else i[b+8>>0]=1;o=b;DO(q);r=p;return o|0}y=0;c=qa(315,60)|0;n=y;y=0;if(n&1){b=pb()|0;break}g=o;b=b+12|0;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;na(422,c|0);n=y;y=0;if(n&1){b=pb()|0;cra(c);break}g=c+12|0;b=o;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=12584;k[c+56>>2]=8;o=c;DO(q);r=p;return o|0}while(0);DO(q);q=b;sb(q|0)}while(0);cra(l);q=b;sb(q|0);return 0}function uj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0;p=r;r=r+32|0;o=p;i=k[a>>2]|0;d=i;h=(k[b>>2]|0)-d>>3;n=i+(h<<3)|0;m=a+4|0;e=k[m>>2]|0;g=a+8|0;l=k[g>>2]|0;f=e;b=l;if(e>>>0<l>>>0){if((n|0)==(e|0)){LT(n,k[c+4>>2]|0);k[n>>2]=13284;k[m>>2]=(k[m>>2]|0)+8;o=n;r=p;return o|0}d=f-(n+8)>>3;f=n+(d<<3)|0;if(f>>>0<e>>>0){b=f;g=e;do{LT(g,k[b+4>>2]|0);k[g>>2]=13284;b=b+8|0;g=(k[m>>2]|0)+8|0;k[m>>2]=g}while(b>>>0<e>>>0)}if(d|0)do{b=e;e=e+-8|0;d=f;f=f+-8|0;if((b|0)!=(d|0)){b=b+-4|0;if(k[b>>2]|0)QO(e);o=d+-4|0;k[b>>2]=k[o>>2];k[o>>2]=0}}while((f|0)!=(n|0));if((n|0)==(c|0)){o=c;r=p;return o|0}b=i+(h<<3)+4|0;if(k[b>>2]|0)QO(n);o=c+4|0;k[b>>2]=k[o>>2];k[o>>2]=0;o=n;r=p;return o|0}e=(f-d>>3)+1|0;if(e>>>0>536870911){pN(a);j=g;b=k[g>>2]|0;d=k[a>>2]|0}else j=g;l=b-d|0;b=l>>2;e=l>>3>>>0<268435455?(b>>>0<e>>>0?e:b):536870911;b=n-d>>3;k[o+12>>2]=0;k[o+16>>2]=a+8;do if(!e)d=0;else if(e>>>0>536870911){p=gb(4)|0;Qoa(p);Wb(p|0,5760,404)}else{d=IM(e<<3)|0;break}while(0);k[o>>2]=d;g=d+(b<<3)|0;l=o+8|0;k[l>>2]=g;h=o+4|0;k[h>>2]=g;g=o+12|0;k[g>>2]=d+(e<<3);y=0;oa(496,o|0,c|0);c=y;y=0;a:do if(c&1)e=pb()|0;else{i=k[h>>2]|0;e=k[a>>2]|0;b:do if((e|0)==(n|0))b=i;else{d=n;b=i;while(1){b=b+-8|0;y=0;oa(460,b|0,k[d+-4>>2]|0);d=d+-8|0;c=y;y=0;if(c&1)break;k[b>>2]=13284;b=(k[h>>2]|0)+-8|0;k[h>>2]=b;if((d|0)==(e|0))break b}e=pb()|0;break a}while(0);d=k[m>>2]|0;do if((d|0)==(n|0))f=h;else{b=n;e=k[l>>2]|0;while(1){y=0;oa(460,e|0,k[b+4>>2]|0);n=y;y=0;if(n&1){e=39;break}k[e>>2]=13284;b=b+8|0;e=(k[l>>2]|0)+8|0;k[l>>2]=e;if((b|0)==(d|0)){e=32;break}}if((e|0)==32){f=h;b=k[h>>2]|0;d=k[m>>2]|0;break}else if((e|0)==39){e=pb()|0;break a}}while(0);e=k[a>>2]|0;k[a>>2]=b;k[f>>2]=e;k[m>>2]=k[l>>2];k[l>>2]=d;b=k[j>>2]|0;k[j>>2]=k[g>>2];k[g>>2]=b;b=k[f>>2]|0;k[o>>2]=b;e=k[h>>2]|0;if((d|0)!=(e|0)){b=d;do{n=b+-8|0;k[l>>2]=n;lc[k[k[n>>2]>>2]&511](n);b=k[l>>2]|0}while((b|0)!=(e|0));b=k[o>>2]|0}if(b|0)cra(b);o=i;r=p;return o|0}while(0);d=k[h>>2]|0;b=k[l>>2]|0;if((b|0)!=(d|0))do{p=b+-8|0;k[l>>2]=p;lc[k[k[p>>2]>>2]&511](p);b=k[l>>2]|0}while((b|0)!=(d|0));b=k[o>>2]|0;if(!b)sb(e|0);cra(b);sb(e|0);return 0}function vj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;l=0;j=a+4|0;h=k[b>>2]|0;b=h;do if((h|0)!=(j|0)){i=d+4|0;g=k[i>>2]|0;e=h+20|0;if(g|0){f=k[e>>2]|0;if(f|0)if(Fc[k[(k[g>>2]|0)+160>>2]&2047](g,f)|0)break}e=k[e>>2]|0;if(e|0){f=k[i>>2]|0;if(f|0)if(Fc[k[(k[e>>2]|0)+160>>2]&2047](e,f)|0){g=h+4|0;b=k[g>>2]|0;if(!b){e=h;while(1){f=k[e+8>>2]|0;if((k[f>>2]|0)==(e|0)){e=f;break}else e=f}}else{e=b;while(1){f=k[e>>2]|0;if(!f)break;else e=f}}do if((e|0)!=(j|0)){b=k[i>>2]|0;if(b|0){f=k[e+20>>2]|0;if(f|0)if(Fc[k[(k[b>>2]|0)+160>>2]&2047](b,f)|0){b=k[g>>2]|0;break}}b=k[j>>2]|0;if(!b){k[c>>2]=j;l=j;return l|0}while(1){f=k[i>>2]|0;e=b+20|0;if(!f)l=50;else{g=k[e>>2]|0;if(!g){l=56;break}if(Fc[k[(k[f>>2]|0)+160>>2]&2047](f,g)|0){e=k[b>>2]|0;if(!e){l=49;break}else b=e}else l=50}if((l|0)==50){l=0;e=k[e>>2]|0;if(!e){l=56;break}f=k[i>>2]|0;if(!f){l=56;break}if(!(Fc[k[(k[e>>2]|0)+160>>2]&2047](e,f)|0)){l=56;break}e=b+4|0;f=k[e>>2]|0;if(!f){l=55;break}else b=f}}if((l|0)==49){k[c>>2]=b;l=b;return l|0}else if((l|0)==55){k[c>>2]=b;l=e;return l|0}else if((l|0)==56){k[c>>2]=b;l=c;return l|0}}while(0);if(!b){k[c>>2]=h;l=g;return l|0}else{k[c>>2]=e;l=e;return l|0}}}k[c>>2]=b;l=c;return l|0}while(0);do if((h|0)!=(k[a>>2]|0)){b=k[h>>2]|0;if(!b){b=h;while(1){e=k[b+8>>2]|0;if((k[e>>2]|0)==(b|0))b=e;else break}}else while(1){e=k[b+4>>2]|0;if(!e){e=b;break}else b=e}b=e;e=k[e+20>>2]|0;if(e|0){f=k[d+4>>2]|0;if(f|0)if(Fc[k[(k[e>>2]|0)+160>>2]&2047](e,f)|0)break}b=k[j>>2]|0;if(!b){k[c>>2]=j;l=j;return l|0}a=d+4|0;while(1){f=k[a>>2]|0;e=b+20|0;if(!f)l=22;else{g=k[e>>2]|0;if(!g){l=28;break}if(Fc[k[(k[f>>2]|0)+160>>2]&2047](f,g)|0){e=k[b>>2]|0;if(!e){l=21;break}else b=e}else l=22}if((l|0)==22){l=0;e=k[e>>2]|0;if(!e){l=28;break}f=k[a>>2]|0;if(!f){l=28;break}if(!(Fc[k[(k[e>>2]|0)+160>>2]&2047](e,f)|0)){l=28;break}e=b+4|0;f=k[e>>2]|0;if(!f){l=27;break}else b=f}}if((l|0)==21){k[c>>2]=b;l=b;return l|0}else if((l|0)==27){k[c>>2]=b;l=e;return l|0}else if((l|0)==28){k[c>>2]=b;l=c;return l|0}}while(0);if(!(k[h>>2]|0)){k[c>>2]=h;l=h;return l|0}else{l=b;k[c>>2]=l;l=l+4|0;return l|0}return 0}function wj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0;l=0;j=a+4|0;h=k[b>>2]|0;b=h;do if((h|0)!=(j|0)){i=d+4|0;g=k[i>>2]|0;e=h+20|0;if(g|0){f=k[e>>2]|0;if(f|0)if(Fc[k[(k[g>>2]|0)+156>>2]&2047](g,f)|0)break}e=k[e>>2]|0;if(e|0){f=k[i>>2]|0;if(f|0)if(Fc[k[(k[e>>2]|0)+156>>2]&2047](e,f)|0){g=h+4|0;b=k[g>>2]|0;if(!b){e=h;while(1){f=k[e+8>>2]|0;if((k[f>>2]|0)==(e|0)){e=f;break}else e=f}}else{e=b;while(1){f=k[e>>2]|0;if(!f)break;else e=f}}do if((e|0)!=(j|0)){b=k[i>>2]|0;if(b|0){f=k[e+20>>2]|0;if(f|0)if(Fc[k[(k[b>>2]|0)+156>>2]&2047](b,f)|0){b=k[g>>2]|0;break}}b=k[j>>2]|0;if(!b){k[c>>2]=j;l=j;return l|0}while(1){f=k[i>>2]|0;e=b+20|0;if(!f)l=50;else{g=k[e>>2]|0;if(!g){l=56;break}if(Fc[k[(k[f>>2]|0)+156>>2]&2047](f,g)|0){e=k[b>>2]|0;if(!e){l=49;break}else b=e}else l=50}if((l|0)==50){l=0;e=k[e>>2]|0;if(!e){l=56;break}f=k[i>>2]|0;if(!f){l=56;break}if(!(Fc[k[(k[e>>2]|0)+156>>2]&2047](e,f)|0)){l=56;break}e=b+4|0;f=k[e>>2]|0;if(!f){l=55;break}else b=f}}if((l|0)==49){k[c>>2]=b;l=b;return l|0}else if((l|0)==55){k[c>>2]=b;l=e;return l|0}else if((l|0)==56){k[c>>2]=b;l=c;return l|0}}while(0);if(!b){k[c>>2]=h;l=g;return l|0}else{k[c>>2]=e;l=e;return l|0}}}k[c>>2]=b;l=c;return l|0}while(0);do if((h|0)!=(k[a>>2]|0)){b=k[h>>2]|0;if(!b){b=h;while(1){e=k[b+8>>2]|0;if((k[e>>2]|0)==(b|0))b=e;else break}}else while(1){e=k[b+4>>2]|0;if(!e){e=b;break}else b=e}b=e;e=k[e+20>>2]|0;if(e|0){f=k[d+4>>2]|0;if(f|0)if(Fc[k[(k[e>>2]|0)+156>>2]&2047](e,f)|0)break}b=k[j>>2]|0;if(!b){k[c>>2]=j;l=j;return l|0}a=d+4|0;while(1){f=k[a>>2]|0;e=b+20|0;if(!f)l=22;else{g=k[e>>2]|0;if(!g){l=28;break}if(Fc[k[(k[f>>2]|0)+156>>2]&2047](f,g)|0){e=k[b>>2]|0;if(!e){l=21;break}else b=e}else l=22}if((l|0)==22){l=0;e=k[e>>2]|0;if(!e){l=28;break}f=k[a>>2]|0;if(!f){l=28;break}if(!(Fc[k[(k[e>>2]|0)+156>>2]&2047](e,f)|0)){l=28;break}e=b+4|0;f=k[e>>2]|0;if(!f){l=27;break}else b=f}}if((l|0)==21){k[c>>2]=b;l=b;return l|0}else if((l|0)==27){k[c>>2]=b;l=e;return l|0}else if((l|0)==28){k[c>>2]=b;l=c;return l|0}}while(0);if(!(k[h>>2]|0)){k[c>>2]=h;l=h;return l|0}else{l=b;k[c>>2]=l;l=l+4|0;return l|0}return 0}function xj(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;A=0;z=r;r=r+480|0;p=z+468|0;E=z+464|0;v=z+472|0;w=z+460|0;x=z+456|0;B=z+444|0;C=z+432|0;D=z+420|0;o=z+416|0;h=z+16|0;q=z+8|0;s=z+4|0;t=z;u=FV(d)|0;k[E>>2]=u;y=0;u=Ha(977,E|0,83992)|0;n=y;y=0;a:do if(n&1)a=pb()|0;else{l=f+8+3|0;m=i[l>>0]|0;a=m<<24>>24<0;n=f+4|0;do if(!((a?k[n>>2]|0:m&255)|0))m=0;else{a=k[(a?k[f>>2]|0:f)>>2]|0;y=0;g=Ha(k[(k[u>>2]|0)+44>>2]|0,u|0,45)|0;m=y;y=0;if(m&1){a=pb()|0;break a}else{m=(a|0)==(g|0);break}}while(0);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[D+(a<<2)>>2]=0;a=a+1|0}y=0;Ga(4,c|0,m|0,E|0,v|0,w|0,x|0,B|0,C|0,D|0,o|0);j=y;y=0;if(j&1)a=pb()|0;else{j=i[l>>0]|0;c=k[n>>2]|0;g=j<<24>>24<0?c:j&255;a=k[o>>2]|0;if((g|0)>(a|0)){G=i[D+8+3>>0]|0;F=i[C+8+3>>0]|0;g=(G<<24>>24<0?k[D+4>>2]|0:G&255)+(g-a<<1|1)+(F<<24>>24<0?k[C+4>>2]|0:F&255)|0}else{G=i[D+8+3>>0]|0;g=i[C+8+3>>0]|0;g=(G<<24>>24<0?k[D+4>>2]|0:G&255)+2+(g<<24>>24<0?k[C+4>>2]|0:g&255)|0}g=g+a|0;do if(g>>>0>100){h=ud(g<<2)|0;g=h;if(!h){y=0;la(6);G=y;y=0;if(G&1){a=pb()|0;break}else{h=0;j=i[l>>0]|0;c=k[n>>2]|0;a=k[o>>2]|0;A=26;break}}else A=26}else{g=0;A=26}while(0);if((A|0)==26){G=j<<24>>24<0;F=G?k[f>>2]|0:f;y=0;va(2,h|0,q|0,s|0,k[d+4>>2]|0,F|0,F+((G?c:j&255)<<2)|0,u|0,m|0,v|0,k[w>>2]|0,k[x>>2]|0,B|0,C|0,D|0,a|0);G=y;y=0;if(!(G&1)){k[t>>2]=k[b>>2];G=k[q>>2]|0;a=k[s>>2]|0;y=0;k[p>>2]=k[t>>2];a=pa(42,p|0,h|0,G|0,a|0,d|0,e|0)|0;G=y;y=0;if(!(G&1)){if(g|0)Wf(g);X8(D);X8(C);A9(B);RQ(k[E>>2]|0)|0;r=z;return a|0}}a=pb()|0}if(g|0)Wf(g)}X8(D);X8(C);A9(B)}while(0);RQ(k[E>>2]|0)|0;sb(a|0);return 0}function yj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;t=0;s=r;r=r+48|0;u=s+32|0;c=s+16|0;q=s+24|0;p=s+8|0;o=s;if(!a){u=0;r=s;return u|0}LT(u,k[a+68>>2]|0);k[u>>2]=6868;y=0;oa(460,c|0,k[a+76>>2]|0);n=y;y=0;if(n&1){t=pb()|0;DO(u);sb(t|0)}k[c>>2]=6756;a=k[c+4>>2]|0;if(!a)t=5;else if((k[481]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)){DO(c);if((k[a+80>>2]|0)==(k[a+76>>2]|0))a=0;else{h=u+4|0;c=k[h>>2]|0;j=(k[c+72>>2]|0)-(k[c+68>>2]|0)>>3;a:do if(!j){c=0;a=0}else{l=q+4|0;n=(b|0)!=3;m=p+4|0;a=0;e=0;g=0;d=0;b:while(1){c=c+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,e|0)|0;f=y;y=0;if(f&1){t=16;break}y=0;oa(460,q|0,k[c+4>>2]|0);f=y;y=0;if(f&1){t=16;break}k[q>>2]=6508;c=k[l>>2]|0;if(!c)t=20;else if((k[119]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){f=0;a=1;c=g}else if((k[133]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;a=Ha(998,c|0,b|0)|0;f=y;y=0;if(f&1){t=19;break}else{f=0;c=g}}else t=20;do if((t|0)==20){t=0;y=0;c=qa(342,c|0)|0;f=y;y=0;if(f&1){t=19;break b}if(!c){c=k[l>>2]|0;if(!c){c=g;d=1}else if((k[167]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))if(!(i[c+72>>0]|0)){c=g;d=n|d;t=33}else{c=g;d=1}else{c=g;d=1}}else{y=0;oa(460,p|0,k[c+68>>2]|0);t=y;y=0;if(t&1){t=26;break b}k[p>>2]=6868;y=0;oa(460,o|0,k[m>>2]|0);t=y;y=0;if(t&1){t=27;break b}k[o>>2]=6868;y=0;c=Ha(999,o|0,b|0)|0;t=y;y=0;if(t&1){t=28;break b}DO(o);DO(p);c=g|c;t=33}if((t|0)==33){t=0;if(!(d|c)){f=1;c=0;d=0;break}}f=0;a=1}while(0);DO(q);e=e+1|0;if(!f){c=1;break a}if(e>>>0>=j>>>0){c=0;break a}g=c;c=k[h>>2]|0}if((t|0)==16){t=pb()|0;DO(u);sb(t|0)}else if((t|0)==19)a=pb()|0;else if((t|0)==26)a=pb()|0;else if((t|0)==27){a=pb()|0;t=29}else if((t|0)==28){a=pb()|0;DO(o);t=29}if((t|0)==29)DO(p);DO(q);t=a;DO(u);sb(t|0)}while(0);a=c&a}}else t=5;if((t|0)==5){DO(c);a=0}DO(u);u=a;r=s;return u|0}function zj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=0;o=r;r=r+64|0;c=o+8|0;q=o+44|0;p=o+32|0;l=o+24|0;i=o+16|0;j=a+76|0;h=(k[a+80>>2]|0)-(k[j>>2]|0)>>3;m=b+76|0;g=(k[b+80>>2]|0)-(k[m>>2]|0)>>3;qs(q,j);y=0;oa(504,p|0,m|0);m=y;y=0;if(m&1){d=pb()|0;a=q}else{m=q+4|0;y=0;Na(78,k[q>>2]|0,k[m>>2]|0,o|0);j=y;y=0;do if(j&1)n=9;else{j=p+4|0;y=0;Na(78,k[p>>2]|0,k[j>>2]|0,c|0);f=y;y=0;if(f&1)n=9;else{e=l+4|0;f=i+4|0;d=0;b=0;a:while(1){if((d|0)==(h|0)){n=6;break}if((b|0)==(g|0)){n=12;break}y=0;oa(460,l|0,k[(k[q>>2]|0)+(d<<3)+4>>2]|0);c=y;y=0;if(c&1){n=8;break}k[l>>2]=15136;y=0;oa(460,i|0,k[(k[p>>2]|0)+(b<<3)+4>>2]|0);c=y;y=0;if(c&1){n=17;break}k[i>>2]=15136;a=k[e>>2]|0;do if(!a){a=d+1|0;n=23}else{c=k[f>>2]|0;if(!c){a=d;b=b+1|0;n=23;break}y=0;a=Ha(k[(k[a>>2]|0)+160>>2]|0,a|0,c|0)|0;c=y;y=0;if(c&1){n=18;break a}if(a){a=d;n=23}else{c=0;a=d}}while(0);if((n|0)==23){n=0;c=1;a=a+1|0;b=b+1|0}DO(i);DO(l);if(c)d=a;else{c=0;break}}if((n|0)==6)c=(h|0)==(g|0);else if((n|0)==8){c=pb()|0;a=p;b=N;n=10;break}else if((n|0)==12)c=(h|0)==(g|0);else if((n|0)==17){c=pb()|0;a=N;n=25}else if((n|0)==18){c=pb()|0;a=N;DO(i);n=25}if((n|0)==25){DO(l);b=a;a=p;break}a=k[p>>2]|0;if(a|0){b=k[j>>2]|0;if((b|0)!=(a|0)){do{n=b+-8|0;k[j>>2]=n;lc[k[k[n>>2]>>2]&511](n);b=k[j>>2]|0}while((b|0)!=(a|0));a=k[p>>2]|0}cra(a)}a=k[q>>2]|0;if(!a){r=o;return c|0}b=k[m>>2]|0;if((b|0)!=(a|0)){do{p=b+-8|0;k[m>>2]=p;lc[k[k[p>>2]>>2]&511](p);b=k[m>>2]|0}while((b|0)!=(a|0));a=k[q>>2]|0}cra(a);r=o;return c|0}}while(0);if((n|0)==9){c=pb()|0;a=p;b=N;n=10}a=k[a>>2]|0;if(a|0){e=p+4|0;d=k[e>>2]|0;if((d|0)!=(a|0)){do{o=d+-8|0;k[e>>2]=o;lc[k[k[o>>2]>>2]&511](o);d=k[e>>2]|0}while((d|0)!=(a|0));a=k[p>>2]|0}cra(a)}d=c;a=q}a=k[a>>2]|0;if(!a)sb(d|0);c=q+4|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{p=b+-8|0;k[c>>2]=p;lc[k[k[p>>2]>>2]&511](p);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[q>>2]|0}cra(a);sb(d|0);return 0}function Aj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;d=a+4|0;if(!b){c=k[a>>2]|0;k[a>>2]=0;if(c|0)cra(c);k[d>>2]=0;return}if(b>>>0>1073741823){a=gb(4)|0;Qoa(a);Wb(a|0,5760,404)}p=IM(b<<2)|0;c=k[a>>2]|0;k[a>>2]=p;if(c|0)cra(c);k[d>>2]=b;c=0;do{k[(k[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));d=a+8|0;g=k[d>>2]|0;if(!g)return;c=k[g+4>>2]|0;o=b+-1|0;p=(o&b|0)==0;if(p)c=c&o;else c=(c>>>0)%(b>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=d;d=k[g>>2]|0;if(!d)return;else{e=c;f=g;c=g}a:while(1){n=c;b:while(1){c:do if(p){c=d;while(1){m=k[c+4>>2]&o;if((m|0)==(e|0))break c;d=(k[a>>2]|0)+(m<<2)|0;if(!(k[d>>2]|0)){e=m;break b}l=c+12|0;g=k[c>>2]|0;d:do if(!g)d=c;else{d=c;j=c;while(1){i=k[l>>2]|0;if(!i)break d;h=g+12|0;do if(!(nx(i,1904,136,-2)|0)){g=k[h>>2]|0;q=23}else{g=k[h>>2]|0;if(!g)q=23;else{if(!(nx(g,1904,136,-2)|0)){q=23;break}g=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;i=k[h>>2]|0;if((g|0)!=(oc[k[(k[i>>2]|0)+8>>2]&511](i)|0))break d}}while(0);if((q|0)==23){q=0;if(!g)break d;if(!(Fc[k[(k[i>>2]|0)+160>>2]&2047](i,g)|0))break d}j=k[j>>2]|0;g=k[j>>2]|0;if(!g){d=j;break}else d=j}}while(0);k[n>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(m<<2)>>2]>>2];k[k[(k[a>>2]|0)+(m<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){q=46;break a}}}else{c=d;while(1){m=((k[c+4>>2]|0)>>>0)%(b>>>0)|0;if((m|0)==(e|0))break c;d=(k[a>>2]|0)+(m<<2)|0;if(!(k[d>>2]|0)){e=m;break b}l=c+12|0;g=k[c>>2]|0;e:do if(!g)d=c;else{d=c;j=c;while(1){i=k[l>>2]|0;if(!i)break e;h=g+12|0;do if(!(nx(i,1904,136,-2)|0)){g=k[h>>2]|0;q=39}else{g=k[h>>2]|0;if(!g)q=39;else{if(!(nx(g,1904,136,-2)|0)){q=39;break}g=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;i=k[h>>2]|0;if((g|0)!=(oc[k[(k[i>>2]|0)+8>>2]&511](i)|0))break e}}while(0);if((q|0)==39){q=0;if(!g)break e;if(!(Fc[k[(k[i>>2]|0)+160>>2]&2047](i,g)|0))break e}j=k[j>>2]|0;g=k[j>>2]|0;if(!g){d=j;break}else d=j}}while(0);k[n>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(m<<2)>>2]>>2];k[k[(k[a>>2]|0)+(m<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){q=46;break a}}}while(0);d=k[c>>2]|0;if(!d){q=46;break a}else{f=c;n=c}}k[d>>2]=n;d=k[c>>2]|0;if(!d){q=46;break}else f=c}if((q|0)==46)return}function Bj(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;A=0;z=r;r=r+176|0;p=z+56|0;E=z+52|0;v=z+164|0;w=z+161|0;x=z+160|0;B=z+40|0;C=z+28|0;D=z+16|0;o=z+12|0;h=z+60|0;q=z+8|0;s=z+4|0;t=z;u=FV(d)|0;k[E>>2]=u;y=0;u=Ha(977,E|0,83960)|0;n=y;y=0;a:do if(n&1)a=pb()|0;else{l=f+11|0;m=i[l>>0]|0;a=m<<24>>24<0;n=f+4|0;do if(!((a?k[n>>2]|0:m&255)|0))m=0;else{a=i[(a?k[f>>2]|0:f)>>0]|0;y=0;g=Ha(k[(k[u>>2]|0)+28>>2]|0,u|0,45)|0;m=y;y=0;if(m&1){a=pb()|0;break a}else{m=a<<24>>24==g<<24>>24;break}}while(0);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[B+(a<<2)>>2]=0;a=a+1|0}k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[C+(a<<2)>>2]=0;a=a+1|0}k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[D+(a<<2)>>2]=0;a=a+1|0}y=0;Ga(3,c|0,m|0,E|0,v|0,w|0,x|0,B|0,C|0,D|0,o|0);j=y;y=0;if(j&1)a=pb()|0;else{j=i[l>>0]|0;c=k[n>>2]|0;g=j<<24>>24<0?c:j&255;a=k[o>>2]|0;if((g|0)>(a|0)){G=i[D+11>>0]|0;F=i[C+11>>0]|0;g=(G<<24>>24<0?k[D+4>>2]|0:G&255)+(g-a<<1|1)+(F<<24>>24<0?k[C+4>>2]|0:F&255)|0}else{G=i[D+11>>0]|0;g=i[C+11>>0]|0;g=(G<<24>>24<0?k[D+4>>2]|0:G&255)+2+(g<<24>>24<0?k[C+4>>2]|0:g&255)|0}g=g+a|0;do if(g>>>0>100){h=ud(g)|0;g=h;if(!h){y=0;la(6);G=y;y=0;if(G&1){a=pb()|0;break}else{h=0;j=i[l>>0]|0;c=k[n>>2]|0;a=k[o>>2]|0;A=26;break}}else A=26}else{g=0;A=26}while(0);if((A|0)==26){G=j<<24>>24<0;F=G?k[f>>2]|0:f;y=0;va(1,h|0,q|0,s|0,k[d+4>>2]|0,F|0,F+(G?c:j&255)|0,u|0,m|0,v|0,i[w>>0]|0,i[x>>0]|0,B|0,C|0,D|0,a|0);G=y;y=0;if(!(G&1)){k[t>>2]=k[b>>2];G=k[q>>2]|0;a=k[s>>2]|0;y=0;k[p>>2]=k[t>>2];a=pa(39,p|0,h|0,G|0,a|0,d|0,e|0)|0;G=y;y=0;if(!(G&1)){if(g|0)Wf(g);A9(D);A9(C);A9(B);RQ(k[E>>2]|0)|0;r=z;return a|0}}a=pb()|0}if(g|0)Wf(g)}A9(D);A9(C);A9(B)}while(0);RQ(k[E>>2]|0)|0;sb(a|0);return 0}function Cj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;d=a+4|0;if(!b){c=k[a>>2]|0;k[a>>2]=0;if(c|0)cra(c);k[d>>2]=0;return}if(b>>>0>1073741823){a=gb(4)|0;Qoa(a);Wb(a|0,5760,404)}p=IM(b<<2)|0;c=k[a>>2]|0;k[a>>2]=p;if(c|0)cra(c);k[d>>2]=b;c=0;do{k[(k[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));d=a+8|0;g=k[d>>2]|0;if(!g)return;c=k[g+4>>2]|0;o=b+-1|0;p=(o&b|0)==0;if(p)c=c&o;else c=(c>>>0)%(b>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=d;d=k[g>>2]|0;if(!d)return;else{e=c;f=g;c=g}a:while(1){n=c;b:while(1){c:do if(p){c=d;while(1){m=k[c+4>>2]&o;if((m|0)==(e|0))break c;d=(k[a>>2]|0)+(m<<2)|0;if(!(k[d>>2]|0)){e=m;break b}l=c+12|0;g=k[c>>2]|0;d:do if(!g)d=c;else{d=c;j=c;while(1){i=k[l>>2]|0;if(!i)break d;h=g+12|0;do if(!(nx(i,1920,136,-2)|0)){g=k[h>>2]|0;q=23}else{g=k[h>>2]|0;if(!g)q=23;else{if(!(nx(g,1920,136,-2)|0)){q=23;break}g=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;i=k[h>>2]|0;if((g|0)!=(oc[k[(k[i>>2]|0)+8>>2]&511](i)|0))break d}}while(0);if((q|0)==23){q=0;if(!g)break d;if(!(Fc[k[(k[i>>2]|0)+164>>2]&2047](i,g)|0))break d}j=k[j>>2]|0;g=k[j>>2]|0;if(!g){d=j;break}else d=j}}while(0);k[n>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(m<<2)>>2]>>2];k[k[(k[a>>2]|0)+(m<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){q=46;break a}}}else{c=d;while(1){m=((k[c+4>>2]|0)>>>0)%(b>>>0)|0;if((m|0)==(e|0))break c;d=(k[a>>2]|0)+(m<<2)|0;if(!(k[d>>2]|0)){e=m;break b}l=c+12|0;g=k[c>>2]|0;e:do if(!g)d=c;else{d=c;j=c;while(1){i=k[l>>2]|0;if(!i)break e;h=g+12|0;do if(!(nx(i,1920,136,-2)|0)){g=k[h>>2]|0;q=39}else{g=k[h>>2]|0;if(!g)q=39;else{if(!(nx(g,1920,136,-2)|0)){q=39;break}g=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;i=k[h>>2]|0;if((g|0)!=(oc[k[(k[i>>2]|0)+8>>2]&511](i)|0))break e}}while(0);if((q|0)==39){q=0;if(!g)break e;if(!(Fc[k[(k[i>>2]|0)+164>>2]&2047](i,g)|0))break e}j=k[j>>2]|0;g=k[j>>2]|0;if(!g){d=j;break}else d=j}}while(0);k[n>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(m<<2)>>2]>>2];k[k[(k[a>>2]|0)+(m<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){q=46;break a}}}while(0);d=k[c>>2]|0;if(!d){q=46;break a}else{f=c;n=c}}k[d>>2]=n;d=k[c>>2]|0;if(!d){q=46;break}else f=c}if((q|0)==46)return}function Dj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=r;r=r+80|0;l=n;q=n+64|0;o=n+40|0;m=n+56|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;aI(o,39771,4);y=0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=pa(40,o|0,a|0,d|0,l|0,f|0,0)|0;p=y;y=0;if(!(p&1)){y=0;oa(460,q|0,b|0);p=y;y=0;if(!(p&1)){k[q>>2]=16764;A9(o);y=0;p=qa(315,88)|0;j=y;y=0;a:do if(j&1)b=pb()|0;else{a=q+4|0;c=k[a>>2]|0;b=k[c+88>>2]|0;c=k[c+84>>2]|0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(422,p|0);e=y;y=0;do if(e&1)b=pb()|0;else{c=b-c>>3;g=p+12|0;h=l;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[p+52>>0]=0;i[p+53>>0]=0;i[p+54>>0]=0;b=p+56|0;k[b>>2]=0;k[p>>2]=9288;d=p+60|0;k[d>>2]=9248;f=p+64|0;h=p+68|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(514,f|0,c|0);e=y;y=0;if(e&1){b=pb()|0;a=N;c=k[f>>2]|0;if(c|0){g=k[h>>2]|0;if((g|0)!=(c|0)){do{o=g+-8|0;k[h>>2]=o;lc[k[k[o>>2]>>2]&511](o);g=k[h>>2]|0}while((g|0)!=(c|0));c=k[f>>2]|0}cra(c)}break}k[p>>2]=9076;k[d>>2]=9208;k[p+80>>2]=0;i[p+84>>0]=0;i[p+85>>0]=0;k[b>>2]=5;g=k[a>>2]|0;b=k[g+84>>2]|0;g=k[g+88>>2]|0;if((b|0)==(g|0)){DO(q);r=n;return p|0}a=o+4|0;while(1){y=0;oa(460,o|0,k[b+4>>2]|0);e=y;y=0;if(e&1){c=23;break}k[o>>2]=7284;c=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,m|0,k[a>>2]|0);e=y;y=0;if(e&1){c=24;break}k[m>>2]=7284;y=0;oa(c|0,d|0,m|0);e=y;y=0;if(e&1){c=25;break}DO(m);DO(o);b=b+8|0;if((b|0)==(g|0)){c=14;break}}if((c|0)==14){DO(q);r=n;return p|0}else if((c|0)==23){b=pb()|0;break a}else if((c|0)==24)b=pb()|0;else if((c|0)==25){b=pb()|0;DO(m)}DO(o);break a}while(0);cra(p)}while(0);DO(q);q=b;sb(q|0)}}q=pb()|0;A9(o);sb(q|0);return 0}function Ej(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0;l=r;r=r+16|0;j=l;switch(b-a>>3|0){case 2:{g=b+-8|0;f=b+-4|0;c=k[f>>2]|0;if(!c){j=1;r=l;return j|0}d=a+4|0;e=k[d>>2]|0;if(!e){j=1;r=l;return j|0}if(!(Cs(c,e)|0)){j=1;r=l;return j|0}LT(j,k[d>>2]|0);k[j>>2]=13284;if((g|0)!=(a|0)){if(k[d>>2]|0){y=0;na(423,a|0);a=y;y=0;if(a&1){l=pb()|0;DO(j);sb(l|0)}}k[d>>2]=k[f>>2];k[f>>2]=0}if((j|0)!=(g|0)){if(k[f>>2]|0){y=0;na(423,g|0);a=y;y=0;if(a&1){l=pb()|0;DO(j);sb(l|0)}}a=j+4|0;k[f>>2]=k[a>>2];k[a>>2]=0}DO(j);j=1;r=l;return j|0}case 3:{Hi(a,a+8|0,b+-8|0,c)|0;j=1;r=l;return j|0}case 4:{Ol(a,a+8|0,a+16|0,b+-8|0,c)|0;j=1;r=l;return j|0}case 5:{rj(a,a+8|0,a+16|0,a+24|0,b+-8|0,c)|0;j=1;r=l;return j|0}case 1:case 0:{j=1;r=l;return j|0}default:{e=a+16|0;Hi(a,a+8|0,e,c)|0;c=a+24|0;a:do if((c|0)==(b|0)){e=1;c=0}else{i=j+4|0;d=0;b:while(1){f=c+4|0;g=k[f>>2]|0;if(g){h=k[e+4>>2]|0;if(h)if(Cs(g,h)|0){LT(j,k[f>>2]|0);k[j>>2]=13284;f=c;while(1){if((f|0)!=(e|0)){g=f+4|0;if(k[g>>2]|0){y=0;na(423,f|0);h=y;y=0;if(h&1){d=38;break b}}h=e+4|0;k[g>>2]=k[h>>2];k[h>>2]=0}if((e|0)==(a|0)){e=a;break}f=k[i>>2]|0;if(!f)break;g=k[e+-4>>2]|0;if(!g)break;y=0;f=Ha(970,f|0,g|0)|0;h=y;y=0;if(h&1){d=38;break b}if(f){f=e;e=e+-8|0}else break}if((e|0)!=(j|0)){f=e+4|0;if(k[f>>2]|0){y=0;na(423,e|0);h=y;y=0;if(h&1){d=39;break}}k[f>>2]=k[i>>2];k[i>>2]=0}d=d+1|0;DO(j);if((d|0)==8){e=0;c=(c+8|0)==(b|0);break a}}}e=c+8|0;if((e|0)==(b|0)){e=1;c=0;break a}else{h=c;c=e;e=h}}if((d|0)==38){l=pb()|0;DO(j);sb(l|0)}else if((d|0)==39){l=pb()|0;DO(j);sb(l|0)}}while(0);j=e|c;r=l;return j|0}}return 0}function Fj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;d=a+4|0;if(!b){c=k[a>>2]|0;k[a>>2]=0;if(c|0)cra(c);k[d>>2]=0;return}if(b>>>0>1073741823){a=gb(4)|0;Qoa(a);Wb(a|0,5760,404)}p=IM(b<<2)|0;c=k[a>>2]|0;k[a>>2]=p;if(c|0)cra(c);k[d>>2]=b;c=0;do{k[(k[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));d=a+8|0;g=k[d>>2]|0;if(!g)return;c=k[g+4>>2]|0;o=b+-1|0;p=(o&b|0)==0;if(p)c=c&o;else c=(c>>>0)%(b>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=d;d=k[g>>2]|0;if(!d)return;else{e=c;f=g;c=g}a:while(1){n=c;b:while(1){c:do if(p){c=d;while(1){m=k[c+4>>2]&o;if((m|0)==(e|0))break c;d=(k[a>>2]|0)+(m<<2)|0;if(!(k[d>>2]|0)){e=m;break b}l=c+12|0;g=k[c>>2]|0;d:do if(!g)d=c;else{d=c;j=c;while(1){i=k[l>>2]|0;if(!i)break d;h=g+12|0;do if(!(nx(i,56,136,0)|0)){g=k[h>>2]|0;q=23}else{g=k[h>>2]|0;if(!g)q=23;else{if(!(nx(g,56,136,0)|0)){q=23;break}g=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;i=k[h>>2]|0;if((g|0)!=(oc[k[(k[i>>2]|0)+8>>2]&511](i)|0))break d}}while(0);if((q|0)==23){q=0;if(!g)break d;if(!(Fc[k[(k[i>>2]|0)+92>>2]&2047](i,g)|0))break d}j=k[j>>2]|0;g=k[j>>2]|0;if(!g){d=j;break}else d=j}}while(0);k[n>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(m<<2)>>2]>>2];k[k[(k[a>>2]|0)+(m<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){q=46;break a}}}else{c=d;while(1){m=((k[c+4>>2]|0)>>>0)%(b>>>0)|0;if((m|0)==(e|0))break c;d=(k[a>>2]|0)+(m<<2)|0;if(!(k[d>>2]|0)){e=m;break b}l=c+12|0;g=k[c>>2]|0;e:do if(!g)d=c;else{d=c;j=c;while(1){i=k[l>>2]|0;if(!i)break e;h=g+12|0;do if(!(nx(i,56,136,0)|0)){g=k[h>>2]|0;q=39}else{g=k[h>>2]|0;if(!g)q=39;else{if(!(nx(g,56,136,0)|0)){q=39;break}g=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;i=k[h>>2]|0;if((g|0)!=(oc[k[(k[i>>2]|0)+8>>2]&511](i)|0))break e}}while(0);if((q|0)==39){q=0;if(!g)break e;if(!(Fc[k[(k[i>>2]|0)+92>>2]&2047](i,g)|0))break e}j=k[j>>2]|0;g=k[j>>2]|0;if(!g){d=j;break}else d=j}}while(0);k[n>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(m<<2)>>2]>>2];k[k[(k[a>>2]|0)+(m<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){q=46;break a}}}while(0);d=k[c>>2]|0;if(!d){q=46;break a}else{f=c;n=c}}k[d>>2]=n;d=k[c>>2]|0;if(!d){q=46;break}else f=c}if((q|0)==46)return}function Gj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;n=0;t=r;r=r+64|0;s=t+44|0;q=t+32|0;p=t+24|0;o=t+16|0;m=t+8|0;l=t;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=31578){s=0;r=t;return s|0}y=0;oa(k[(k[a>>2]|0)+80>>2]|0,s|0,a|0);j=y;y=0;if(j&1){c=cb(5856,0)|0;d=N}else{y=0;oa(k[(k[b>>2]|0)+80>>2]|0,q|0,b|0);j=y;y=0;a:do if(j&1){c=cb(5856,0)|0;d=N}else{e=i[s+11>>0]|0;f=e<<24>>24<0;e=e&255;g=f?k[s+4>>2]|0:e;j=i[q+11>>0]|0;c=j<<24>>24<0;b:do if((g|0)==((c?k[q+4>>2]|0:j&255)|0)){h=k[s>>2]|0;j=f?h:s;c=c?k[q>>2]|0:q;d=(g|0)==0;c:do if(f){if(!d)if(bN(j,c,g)|0){c=0;break b}}else if(!d){if((h&255)<<24>>24==(i[c>>0]|0))d=s;else{c=0;break b}while(1){e=e+-1|0;d=d+1|0;if(!e)break c;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0)){c=0;break b}}}while(0);y=0;oa(460,p|0,k[a+72>>2]|0);j=y;y=0;if(j&1){c=cb(5856,0)|0;d=N}else{k[p>>2]=7284;c=k[p+4>>2]|0;d=k[(k[c>>2]|0)+92>>2]|0;y=0;oa(460,o|0,k[b+72>>2]|0);j=y;y=0;if(j&1){c=cb(5856,0)|0;d=N}else{k[o>>2]=7284;y=0;c=Ha(d|0,c|0,k[o+4>>2]|0)|0;j=y;y=0;d:do if(j&1)n=26;else{e:do if(c){y=0;oa(460,m|0,k[a+80>>2]|0);a=y;y=0;if(a&1){n=26;break d}k[m>>2]=7284;c=k[m+4>>2]|0;d=k[(k[c>>2]|0)+92>>2]|0;y=0;oa(460,l|0,k[b+80>>2]|0);b=y;y=0;do if(b&1){c=cb(5856,0)|0;d=N}else{k[l>>2]=7284;y=0;c=Ha(d|0,c|0,k[l+4>>2]|0)|0;b=y;y=0;if(b&1){c=cb(5856,0)|0;d=N;DO(l);break}else{DO(l);DO(m);break e}}while(0);DO(m);break d}else c=0;while(0);DO(o);DO(p);break b}while(0);if((n|0)==26){c=cb(5856,0)|0;d=N}DO(o)}DO(p)}A9(q);break a}else c=0;while(0);A9(q);A9(s);s=c;r=t;return s|0}while(0);A9(s)}s=(d|0)==(ob(5856)|0);vb(c|0)|0;if(s){rb();s=0;r=t;return s|0}y=0;la(4);y=0;c=pb()|0;y=0;la(3);t=y;y=0;if(t&1){t=tb(0)|0;Sla(t)}else sb(c|0);return 0}function Hj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0;j=0;a=$x(a)|0;if(!a){j=0;return j|0}h=i[48639]|0;d=h<<24>>24==0;a:do if(!d){b=48639;c=h;while(1){if((i[a>>0]|0)!=c<<24>>24){a=0;break}a=a+1|0;b=b+1|0;c=i[b>>0]|0;if(!(c<<24>>24))break a}return a|0}while(0);c=i[a>>0]|0;if(!(c<<24>>24)){j=0;return j|0}if(d){b=0;d=0;while(1){switch(c<<24>>24){case 92:{e=d;a=a+1|0;break}case 34:{b=b^1;e=d;break}case 39:{e=d^1;break}default:if(b){b=1;e=d}else{b=0;e=d;a=d?a:a+-1|0}}a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;break}else d=e}return a|0}else{b=0;d=0;g=0}b:while(1){c:do switch(c<<24>>24){case 92:{a=a+1|0;e=g;break}case 34:{b=b^1;e=g;break}case 39:{d=d^1;e=g;break}default:if(b){b=1;e=g}else if(d){b=0;d=1;e=g}else if(!a){b=0;d=0;a=0;e=g}else{d:do if(c<<24>>24==h<<24>>24){f=a;b=48639;while(1){d=f+1|0;b=b+1|0;e=i[b>>0]|0;if(!(e<<24>>24))break;if((i[d>>0]|0)!=e<<24>>24)break d;else f=d}b=0;d=0;a=f;e=g+1|0;break c}while(0);b=i[50303]|0;e:do if(!(b<<24>>24))c=a;else{if(c<<24>>24==b<<24>>24){b=a;c=50303}else{b=0;d=0;e=g;break c}while(1){b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24)){c=b;break e}if((i[b>>0]|0)!=d<<24>>24){b=0;d=0;e=g;break c}}}while(0);if(!g)break b;else{b=0;d=0;a=c+-1|0;e=g+-1|0}}}while(0);a=a+1|0;c=i[a>>0]|0;if(!(c<<24>>24)){a=0;j=48;break}else g=e}if((j|0)==48)return a|0;if(!c){j=0;return j|0}a=oV(c)|0;do if(!a){a=c+1|0;b=(i[c>>0]|0)==36?a:c;if(b|0){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){a=b;break}}}b=jr(c)|0;if(!b){if((i[c>>0]|0)!=45){j=c;return j|0}}else a=b}while(0);while(1){b=oV(a)|0;if(b|0){a=b;continue}c=a+1|0;b=(i[a>>0]|0)==36?c:a;if(b|0){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(b|0){b=gx(b)|0;if(b|0){a=b;continue}}}b=jr(a)|0;if(b|0){a=b;continue}if((i[a>>0]|0)==45)a=c;else break}return a|0}function Ij(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;n=0;o=r;r=r+64|0;c=o+8|0;q=o+44|0;p=o+32|0;l=o+24|0;i=o+16|0;j=a+76|0;h=(k[a+80>>2]|0)-(k[j>>2]|0)>>3;m=b+76|0;g=(k[b+80>>2]|0)-(k[m>>2]|0)>>3;rs(q,j);y=0;oa(501,p|0,m|0);m=y;y=0;if(m&1){d=pb()|0;a=q}else{m=q+4|0;y=0;Na(77,k[q>>2]|0,k[m>>2]|0,o|0);j=y;y=0;do if(j&1)n=9;else{j=p+4|0;y=0;Na(77,k[p>>2]|0,k[j>>2]|0,c|0);f=y;y=0;if(f&1)n=9;else{e=l+4|0;f=i+4|0;a=0;b=0;while(1){if((a|0)==(h|0)){n=6;break}if((b|0)==(g|0)){n=12;break}y=0;oa(460,l|0,k[(k[q>>2]|0)+(a<<3)+4>>2]|0);d=y;y=0;if(d&1){n=8;break}k[l>>2]=13284;y=0;oa(460,i|0,k[(k[p>>2]|0)+(b<<3)+4>>2]|0);d=y;y=0;if(d&1){n=16;break}k[i>>2]=13284;c=k[e>>2]|0;d=((c|0)==0&1)+a|0;a=k[f>>2]|0;if(!a){b=b+1|0;n=21}else{y=0;a=Ha(k[(k[c>>2]|0)+160>>2]|0,c|0,a|0)|0;c=y;y=0;if(c&1){n=17;break}if(a)n=21;else{c=0;a=d}}if((n|0)==21){n=0;c=1;a=d+1|0;b=b+1|0}DO(i);DO(l);if(!c){c=0;break}}if((n|0)==6)c=(h|0)==(g|0);else if((n|0)==8){c=pb()|0;a=p;b=N;n=10;break}else if((n|0)==12)c=(h|0)==(g|0);else if((n|0)==16){c=pb()|0;a=N;n=23}else if((n|0)==17){c=pb()|0;a=N;DO(i);n=23}if((n|0)==23){DO(l);b=a;a=p;break}a=k[p>>2]|0;if(a|0){b=k[j>>2]|0;if((b|0)!=(a|0)){do{n=b+-8|0;k[j>>2]=n;lc[k[k[n>>2]>>2]&511](n);b=k[j>>2]|0}while((b|0)!=(a|0));a=k[p>>2]|0}cra(a)}a=k[q>>2]|0;if(!a){r=o;return c|0}b=k[m>>2]|0;if((b|0)!=(a|0)){do{p=b+-8|0;k[m>>2]=p;lc[k[k[p>>2]>>2]&511](p);b=k[m>>2]|0}while((b|0)!=(a|0));a=k[q>>2]|0}cra(a);r=o;return c|0}}while(0);if((n|0)==9){c=pb()|0;a=p;b=N;n=10}a=k[a>>2]|0;if(a|0){e=p+4|0;d=k[e>>2]|0;if((d|0)!=(a|0)){do{o=d+-8|0;k[e>>2]=o;lc[k[k[o>>2]>>2]&511](o);d=k[e>>2]|0}while((d|0)!=(a|0));a=k[p>>2]|0}cra(a)}d=c;a=q}a=k[a>>2]|0;if(!a)sb(d|0);c=q+4|0;b=k[c>>2]|0;if((b|0)!=(a|0)){do{p=b+-8|0;k[c>>2]=p;lc[k[k[p>>2]>>2]&511](p);b=k[c>>2]|0}while((b|0)!=(a|0));a=k[q>>2]|0}cra(a);sb(d|0);return 0}function Jj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;q=0;d=a+4|0;if(!b){c=k[a>>2]|0;k[a>>2]=0;if(c|0)cra(c);k[d>>2]=0;return}if(b>>>0>1073741823){a=gb(4)|0;Qoa(a);Wb(a|0,5760,404)}p=IM(b<<2)|0;c=k[a>>2]|0;k[a>>2]=p;if(c|0)cra(c);k[d>>2]=b;c=0;do{k[(k[a>>2]|0)+(c<<2)>>2]=0;c=c+1|0}while((c|0)!=(b|0));d=a+8|0;g=k[d>>2]|0;if(!g)return;c=k[g+4>>2]|0;o=b+-1|0;p=(o&b|0)==0;if(p)c=c&o;else c=(c>>>0)%(b>>>0)|0;k[(k[a>>2]|0)+(c<<2)>>2]=d;d=k[g>>2]|0;if(!d)return;else{e=c;f=g;c=g}a:while(1){n=c;b:while(1){c:do if(p){c=d;while(1){m=k[c+4>>2]&o;if((m|0)==(e|0))break c;d=(k[a>>2]|0)+(m<<2)|0;if(!(k[d>>2]|0)){e=m;break b}l=c+12|0;g=k[c>>2]|0;d:do if(!g)d=c;else{d=c;j=c;while(1){i=k[l>>2]|0;if(!i)break d;h=g+12|0;do if(!(nx(i,24,136,-2)|0)){g=k[h>>2]|0;q=23}else{g=k[h>>2]|0;if(!g)q=23;else{if(!(nx(g,24,136,-2)|0)){q=23;break}g=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;i=k[h>>2]|0;if((g|0)!=(oc[k[(k[i>>2]|0)+8>>2]&511](i)|0))break d}}while(0);if((q|0)==23){q=0;if(!g)break d;if(!(Fc[k[(k[i>>2]|0)+160>>2]&2047](i,g)|0))break d}j=k[j>>2]|0;g=k[j>>2]|0;if(!g){d=j;break}else d=j}}while(0);k[n>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(m<<2)>>2]>>2];k[k[(k[a>>2]|0)+(m<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){q=46;break a}}}else{c=d;while(1){m=((k[c+4>>2]|0)>>>0)%(b>>>0)|0;if((m|0)==(e|0))break c;d=(k[a>>2]|0)+(m<<2)|0;if(!(k[d>>2]|0)){e=m;break b}l=c+12|0;g=k[c>>2]|0;e:do if(!g)d=c;else{d=c;j=c;while(1){i=k[l>>2]|0;if(!i)break e;h=g+12|0;do if(!(nx(i,24,136,-2)|0)){g=k[h>>2]|0;q=39}else{g=k[h>>2]|0;if(!g)q=39;else{if(!(nx(g,24,136,-2)|0)){q=39;break}g=oc[k[(k[i>>2]|0)+8>>2]&511](i)|0;i=k[h>>2]|0;if((g|0)!=(oc[k[(k[i>>2]|0)+8>>2]&511](i)|0))break e}}while(0);if((q|0)==39){q=0;if(!g)break e;if(!(Fc[k[(k[i>>2]|0)+160>>2]&2047](i,g)|0))break e}j=k[j>>2]|0;g=k[j>>2]|0;if(!g){d=j;break}else d=j}}while(0);k[n>>2]=k[d>>2];k[d>>2]=k[k[(k[a>>2]|0)+(m<<2)>>2]>>2];k[k[(k[a>>2]|0)+(m<<2)>>2]>>2]=c;c=k[f>>2]|0;if(!c){q=46;break a}}}while(0);d=k[c>>2]|0;if(!d){q=46;break a}else{f=c;n=c}}k[d>>2]=n;d=k[c>>2]|0;if(!d){q=46;break}else f=c}if((q|0)==46)return}function Kj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;j=0;l=r;r=r+64|0;n=l+32|0;m=l+24|0;f=l+16|0;g=l+8|0;h=l;d=a+48|0;i=a+52|0;c=k[i>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;LR(n,c,1);k[m>>2]=n;c=k[i>>2]|0;if(c>>>0<(k[a+56>>2]|0)>>>0){k[c>>2]=n;k[i>>2]=(k[i>>2]|0)+4;j=6}else{y=0;oa(638,d|0,m|0);e=y;y=0;if(e&1)c=pb()|0;else j=6}a:do if((j|0)==6){c=a+72|0;y=0;oa(460,m|0,b|0);e=y;y=0;do if(e&1)c=pb()|0;else{k[m>>2]=6336;e=a+76|0;d=k[e>>2]|0;if(d>>>0<(k[a+80>>2]|0)>>>0){y=0;oa(460,d|0,k[m+4>>2]|0);c=y;y=0;if(c&1)j=21;else{k[d>>2]=6336;k[e>>2]=(k[e>>2]|0)+8}}else{y=0;oa(653,c|0,m|0);d=y;y=0;if(d&1)j=21}if((j|0)==21){c=pb()|0;DO(m);break}DO(m);y=0;oa(460,f|0,k[b+76>>2]|0);d=y;y=0;if(d&1){c=pb()|0;break a}k[f>>2]=7284;c=k[f+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;d=y;y=0;if(!(d&1)){y=0;oa(460,m|0,c|0);d=y;y=0;if(!(d&1)){k[m>>2]=7284;DO(f);c=k[m+4>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+76>>2]|0,c|0)|0;f=y;y=0;b:do if(f&1)j=25;else{do if(c){y=0;oa(460,g|0,k[b+68>>2]|0);h=y;y=0;if(h&1){j=25;break b}k[g>>2]=6868;y=0;oa(652,a|0,k[g+4>>2]|0);h=y;y=0;if(h&1){c=pb()|0;DO(g);break b}else{DO(g);break}}else{y=0;oa(460,h|0,k[b+84>>2]|0);g=y;y=0;if(g&1){j=25;break b}k[h>>2]=6868;c=k[h+4>>2]|0;DO(h);if(c|0){y=0;oa(652,a|0,c|0);h=y;y=0;if(h&1){c=pb()|0;break b}}}while(0);d=k[e>>2]|0;c=d+-8|0;do{j=d+-8|0;k[e>>2]=j;lc[k[k[j>>2]>>2]&511](j);d=k[e>>2]|0}while((d|0)!=(c|0));k[i>>2]=(k[i>>2]|0)+-4;DO(m);GC(n,k[n+4>>2]|0);r=l;return 0}while(0);if((j|0)==25)c=pb()|0;DO(m);break a}}c=pb()|0;DO(f);break a}while(0)}while(0);GC(n,k[n+4>>2]|0);sb(c|0);return 0}function Lj(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0;d=r;r=r+80|0;g=d;a=d+40|0;p[7457]=3.141592653589793;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51536,5);f=y;y=0;if(f&1){g=pb()|0;sb(g|0)}e=g+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=g+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);c=y;y=0;if(c&1)a=2;else{k[19352]=0;k[19353]=0;k[19354]=0;y=0;b=qa(315,36)|0;c=y;y=0;if(c&1)a=pb()|0;else{k[19353]=b;k[19352]=b;k[19354]=b+36;y=0;oa(456,b|0,g|0);c=y;y=0;if(!(c&1)){c=(k[19353]|0)+12|0;k[19353]=c;y=0;oa(456,c|0,e|0);c=y;y=0;if(!(c&1)){c=(k[19353]|0)+12|0;k[19353]=c;y=0;oa(456,c|0,f|0);c=y;y=0;if(!(c&1)){k[19353]=(k[19353]|0)+12;A9(f);A9(e);A9(g);Pb(426,77408,x|0)|0;k[19355]=0;k[19356]=0;k[19357]=0;aI(77420,51553,21);Pb(427,77420,x|0)|0;k[19358]=0;k[19359]=0;k[19360]=0;aI(77432,51575,19);Pb(427,77432,x|0)|0;k[19361]=0;k[19362]=0;k[19363]=0;aI(77444,51595,22);Pb(427,77444,x|0)|0;k[19364]=0;k[19365]=0;k[19366]=0;aI(77456,51618,23);Pb(427,77456,x|0)|0;k[19367]=0;k[19368]=0;k[19369]=0;aI(77468,51642,6);Pb(427,77468,x|0)|0;ON(a,48606,0,-1);c=g;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));Cda(77480);c=77492;a=g;b=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(b|0));i[77532]=0;i[77533]=0;i[77534]=0;k[19370]=12584;k[19384]=8;Pb(4,77480,x|0)|0;r=d;return}}}a=pb()|0;d=N;b=k[19352]|0;if(b){c=k[19353]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[19353]=h;A9(h);c=k[19353]|0}while((c|0)!=(b|0));b=k[19352]|0}cra(b)}}A9(f);A9(e);A9(g);h=a;sb(h|0)}}b=pb()|0;c=N;a=g+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(g|0));h=b;sb(h|0)}function Mj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0;n=a+4|0;o=k[n>>2]|0;c=o&-8;j=a+c|0;h=k[20607]|0;d=o&3;if(!((d|0)!=1&a>>>0>=h>>>0&a>>>0<j>>>0))Za();e=k[j+4>>2]|0;if(!(e&1))Za();if(!d){if(b>>>0<256){a=0;return a|0}if(c>>>0>=(b+4|0)>>>0)if((c-b|0)>>>0<=k[20723]<<1>>>0)return a|0;a=0;return a|0}if(c>>>0>=b>>>0){c=c-b|0;if(c>>>0<=15)return a|0;m=a+b|0;k[n>>2]=o&1|b|2;k[m+4>>2]=c|3;o=m+c+4|0;k[o>>2]=k[o>>2]|1;hg(m,c);return a|0}if((j|0)==(k[20609]|0)){c=(k[20606]|0)+c|0;if(c>>>0<=b>>>0){a=0;return a|0}m=c-b|0;l=a+b|0;k[n>>2]=o&1|b|2;k[l+4>>2]=m|1;k[20609]=l;k[20606]=m;return a|0}if((j|0)==(k[20608]|0)){d=(k[20605]|0)+c|0;if(d>>>0<b>>>0){a=0;return a|0}c=d-b|0;if(c>>>0>15){d=a+b|0;m=d+c|0;k[n>>2]=o&1|b|2;k[d+4>>2]=c|1;k[m>>2]=c;o=m+4|0;k[o>>2]=k[o>>2]&-2}else{k[n>>2]=o&1|d|2;d=a+d+4|0;k[d>>2]=k[d>>2]|1;d=0;c=0}k[20605]=c;k[20608]=d;return a|0}if(e&2|0){a=0;return a|0}l=(e&-8)+c|0;if(l>>>0<b>>>0){a=0;return a|0}m=l-b|0;f=e>>>3;do if(e>>>0<256){d=k[j+8>>2]|0;e=k[j+12>>2]|0;c=82452+(f<<1<<2)|0;if((d|0)!=(c|0)){if(d>>>0<h>>>0)Za();if((k[d+12>>2]|0)!=(j|0))Za()}if((e|0)==(d|0)){k[20603]=k[20603]&~(1<<f);break}if((e|0)==(c|0))g=e+8|0;else{if(e>>>0<h>>>0)Za();c=e+8|0;if((k[c>>2]|0)==(j|0))g=c;else Za()}k[d+12>>2]=e;k[g>>2]=d}else{g=k[j+24>>2]|0;e=k[j+12>>2]|0;do if((e|0)==(j|0)){e=j+16|0;d=e+4|0;c=k[d>>2]|0;if(!c){c=k[e>>2]|0;if(!c){i=0;break}else d=e}while(1){e=c+20|0;f=k[e>>2]|0;if(f|0){c=f;d=e;continue}e=c+16|0;f=k[e>>2]|0;if(!f)break;else{c=f;d=e}}if(d>>>0<h>>>0)Za();else{k[d>>2]=0;i=c;break}}else{f=k[j+8>>2]|0;if(f>>>0<h>>>0)Za();c=f+12|0;if((k[c>>2]|0)!=(j|0))Za();d=e+8|0;if((k[d>>2]|0)==(j|0)){k[c>>2]=e;k[d>>2]=f;i=e;break}else Za()}while(0);if(g|0){c=k[j+28>>2]|0;d=82716+(c<<2)|0;if((j|0)==(k[d>>2]|0)){k[d>>2]=i;if(!i){k[20604]=k[20604]&~(1<<c);break}}else{if(g>>>0<(k[20607]|0)>>>0)Za();c=g+16|0;if((k[c>>2]|0)==(j|0))k[c>>2]=i;else k[g+20>>2]=i;if(!i)break}e=k[20607]|0;if(i>>>0<e>>>0)Za();k[i+24>>2]=g;c=j+16|0;d=k[c>>2]|0;do if(d|0)if(d>>>0<e>>>0)Za();else{k[i+16>>2]=d;k[d+24>>2]=i;break}while(0);c=k[c+4>>2]|0;if(c|0)if(c>>>0<(k[20607]|0)>>>0)Za();else{k[i+20>>2]=c;k[c+24>>2]=i;break}}}while(0);if(m>>>0<16){k[n>>2]=l|o&1|2;o=a+l+4|0;k[o>>2]=k[o>>2]|1;return a|0}else{l=a+b|0;k[n>>2]=o&1|b|2;k[l+4>>2]=m|3;o=l+m+4|0;k[o>>2]=k[o>>2]|1;hg(l,m);return a|0}return 0}function Nj(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=0;q=r;r=r+432|0;j=q+424|0;a=q+24|0;u=q+16|0;o=q+8|0;s=q+4|0;n=q+428|0;l=q;k[u>>2]=a;w=u+4|0;k[w>>2]=479;m=a+400|0;y=0;h=qa(323,e|0)|0;p=y;y=0;if(p&1){h=pb()|0;k[u>>2]=0;v=43}else{k[s>>2]=h;y=0;h=Ha(977,s|0,83992)|0;p=y;y=0;if(p&1)h=pb()|0;else{i[n>>0]=0;p=k[c>>2]|0;k[l>>2]=p;a=k[e+4>>2]|0;e=p;y=0;k[j>>2]=k[l>>2];a=Fa(2,b|0,j|0,d|0,s|0,a|0,f|0,n|0,h|0,u|0,o|0,m|0)|0;d=y;y=0;a:do if(d&1)v=13;else{if(a){a=g+8+3|0;if((i[a>>0]|0)<0){k[k[g>>2]>>2]=0;k[g+4>>2]=0}else{k[g>>2]=0;i[a>>0]=0}if(i[n>>0]|0){y=0;a=Ha(k[(k[h>>2]|0)+44>>2]|0,h|0,45)|0;n=y;y=0;if(n&1){v=13;break}y=0;oa(706,g|0,a|0);n=y;y=0;if(n&1){v=13;break}}y=0;l=Ha(k[(k[h>>2]|0)+44>>2]|0,h|0,48)|0;n=y;y=0;if(n&1){v=13;break}h=k[o>>2]|0;j=h+-4|0;a=k[u>>2]|0;while(1){if(a>>>0>=j>>>0)break;if((k[a>>2]|0)!=(l|0))break;a=a+4|0}y=0;ta(163,g|0,a|0,h|0)|0;g=y;y=0;if(g&1){a=pb()|0;break}}a=k[b>>2]|0;do if(!a)h=1;else{h=k[a+12>>2]|0;if((h|0)==(k[a+16>>2]|0)){y=0;a=qa(k[(k[a>>2]|0)+36>>2]|0,a|0)|0;g=y;y=0;if(g&1){v=13;break a}}else a=k[h>>2]|0;if((a|0)==-1){k[b>>2]=0;h=1;break}else{h=(k[b>>2]|0)==0;break}}while(0);do if(!p)v=34;else{a=k[e+12>>2]|0;if((a|0)==(k[e+16>>2]|0)){y=0;a=qa(k[(k[p>>2]|0)+36>>2]|0,e|0)|0;p=y;y=0;if(p&1){v=13;break a}}else a=k[a>>2]|0;if((a|0)==-1){k[c>>2]=0;v=34;break}else if(h)break;else{v=36;break}}while(0);if((v|0)==34)if(h)v=36;if((v|0)==36)k[f>>2]=k[f>>2]|2;h=k[b>>2]|0;RQ(k[s>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(a|0){y=0;na(k[w>>2]|0,a|0);w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}}r=q;return h|0}while(0);if((v|0)==13)a=pb()|0;h=a}RQ(k[s>>2]|0)|0;a=k[u>>2]|0;k[u>>2]=0;if(!a)t=h;else v=43}if((v|0)==43){y=0;na(k[w>>2]|0,a|0);w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}else t=h}sb(t|0);return 0}function Oj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=r;r=r+16|0;h=i;switch(b-a>>2|0){case 2:{d=b+-4|0;if(!(Fc[k[c>>2]&2047](d,a)|0)){c=1;r=i;return c|0}c=k[a>>2]|0;k[a>>2]=k[d>>2];k[d>>2]=c;c=1;r=i;return c|0}case 3:{g=a+4|0;d=b+-4|0;b=Fc[k[c>>2]&2047](g,a)|0;e=Fc[k[c>>2]&2047](d,g)|0;if(!b){if(!e){c=1;r=i;return c|0}b=k[g>>2]|0;k[g>>2]=k[d>>2];k[d>>2]=b;if(!(Fc[k[c>>2]&2047](g,a)|0)){c=1;r=i;return c|0}c=k[a>>2]|0;k[a>>2]=k[g>>2];k[g>>2]=c;c=1;r=i;return c|0}f=k[a>>2]|0;if(e){k[a>>2]=k[d>>2];k[d>>2]=f;c=1;r=i;return c|0}k[a>>2]=k[g>>2];k[g>>2]=f;if(!(Fc[k[c>>2]&2047](d,g)|0)){c=1;r=i;return c|0}c=k[g>>2]|0;k[g>>2]=k[d>>2];k[d>>2]=c;c=1;r=i;return c|0}case 4:{Ww(a,a+4|0,a+8|0,b+-4|0,c)|0;c=1;r=i;return c|0}case 5:{e=a+4|0;f=a+8|0;g=a+12|0;d=b+-4|0;Ww(a,e,f,g,c)|0;if(!(Fc[k[c>>2]&2047](d,g)|0)){c=1;r=i;return c|0}b=k[g>>2]|0;k[g>>2]=k[d>>2];k[d>>2]=b;if(!(Fc[k[c>>2]&2047](g,f)|0)){c=1;r=i;return c|0}b=k[f>>2]|0;k[f>>2]=k[g>>2];k[g>>2]=b;if(!(Fc[k[c>>2]&2047](f,e)|0)){c=1;r=i;return c|0}b=k[e>>2]|0;k[e>>2]=k[f>>2];k[f>>2]=b;if(!(Fc[k[c>>2]&2047](e,a)|0)){c=1;r=i;return c|0}c=k[a>>2]|0;k[a>>2]=k[e>>2];k[e>>2]=c;c=1;r=i;return c|0}case 1:case 0:{c=1;r=i;return c|0}default:{f=a+8|0;d=a+4|0;g=Fc[k[c>>2]&2047](d,a)|0;e=Fc[k[c>>2]&2047](f,d)|0;do if(g){g=k[a>>2]|0;if(e){k[a>>2]=k[f>>2];k[f>>2]=g;break}k[a>>2]=k[d>>2];k[d>>2]=g;if(Fc[k[c>>2]&2047](f,d)|0){g=k[d>>2]|0;k[d>>2]=k[f>>2];k[f>>2]=g}}else if(e){g=k[d>>2]|0;k[d>>2]=k[f>>2];k[f>>2]=g;if(Fc[k[c>>2]&2047](d,a)|0){g=k[a>>2]|0;k[a>>2]=k[d>>2];k[d>>2]=g}}while(0);d=a+12|0;a:do if((d|0)==(b|0)){e=1;d=0}else{e=0;while(1){if(Fc[k[c>>2]&2047](d,f)|0){k[h>>2]=k[d>>2];g=d;while(1){k[g>>2]=k[f>>2];if((f|0)==(a|0))break;g=f+-4|0;if(Fc[k[c>>2]&2047](h,g)|0){j=f;f=g;g=j}else break}k[f>>2]=k[h>>2];e=e+1|0;if((e|0)==8){e=0;d=(d+4|0)==(b|0);break a}}f=d+4|0;if((f|0)==(b|0)){e=1;d=0;break}else{j=d;d=f;f=j}}}while(0);j=d|e;r=i;return j|0}}return 0}function Pj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;t=r;r=r+112|0;o=t+72|0;v=t+64|0;u=t+16|0;p=t+24|0;q=t+8|0;s=t;LT(v,k[b+84>>2]|0);k[v>>2]=7492;e=v+4|0;c=k[e>>2]|0;if(!c){c=0;d=3}else{y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;n=y;y=0;if(n&1)d=15;else d=3}do if((d|0)==3){y=0;oa(460,o|0,c|0);n=y;y=0;if(n&1)d=15;else{k[o>>2]=7492;if(k[e>>2]|0){y=0;na(423,v|0);n=y;y=0;if(n&1){c=pb()|0;DO(o);break}}n=o+4|0;k[e>>2]=k[n>>2];k[n>>2]=0;DO(o);y=0;n=qa(315,92)|0;m=y;y=0;if(m&1){u=pb()|0;DO(v);sb(u|0)}h=p;l=b+12|0;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));y=0;oa(460,q|0,k[e>>2]|0);m=y;y=0;if(m&1)c=pb()|0;else{k[q>>2]=7492;c=b+64|0;g=b+68|0;d=(k[g>>2]|0)-(k[c>>2]|0)>>3;f=j[b+88>>1]|0;e=(f&255)<<24>>24!=0;f=(f&65535)>255;y=0;h=o;l=p;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));ya(22,n|0,o|0,q|0,d|0,e|0,f|0);p=y;y=0;if(p&1)d=1;else{y=0;oa(460,u|0,n|0);p=y;y=0;if(p&1)d=0;else{k[u>>2]=17228;DO(q);d=k[c>>2]|0;h=(k[g>>2]|0)-d>>3;l=u+4|0;a:do if(h|0){g=b+64|0;c=0;while(1){e=(k[l>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;d=k[d+(c<<3)+4>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;b=y;y=0;if(b&1){d=27;break}y=0;oa(460,s|0,d|0);b=y;y=0;if(b&1){d=27;break}k[s>>2]=11528;y=0;oa(f|0,e|0,s|0);b=y;y=0;if(b&1){d=28;break}DO(s);c=c+1|0;if(c>>>0>=h>>>0)break a;d=k[g>>2]|0}if((d|0)==27)c=pb()|0;else if((d|0)==28){c=pb()|0;DO(s)}DO(u);u=c;DO(v);sb(u|0)}while(0);c=k[l>>2]|0;if(!c){s=0;DO(u);DO(v);r=t;return s|0}i[c+8>>0]=1;s=c;DO(u);DO(v);r=t;return s|0}}c=pb()|0;DO(q);if(!d){u=c;DO(v);sb(u|0)}}cra(n);u=c;DO(v);sb(u|0)}}while(0);if((d|0)==15)c=pb()|0;u=c;DO(v);sb(u|0);return 0}function Qj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;s=0;l=r;r=r+128|0;e=l;d=l+88|0;q=l+76|0;f=l+64|0;g=l+52|0;h=l+40|0;j=d;m=c+12|0;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));cL(q,82288);j=e;m=d;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));y=0;oa(533,a|0,q|0);p=y;y=0;if(p&1)d=pb()|0;else{k[a>>2]=15644;o=a+8|0;y=0;oa(456,o|0,q|0);p=y;y=0;do if(p&1)d=pb()|0;else{p=a+20|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(74,p|0,51649,5);n=y;y=0;if(n&1){d=pb()|0;A9(o);break}j=a+32|0;m=e;n=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(n|0));k[a+72>>2]=0;A9(q);k[a>>2]=21088;k[a+76>>2]=b;k[a+80>>2]=c;y=0;Ha(1009,o|0,51655)|0;q=y;y=0;a:do if(q&1)s=17;else{q=k[(k[c>>2]|0)+28>>2]|0;k[g>>2]=0;k[g+4>>2]=5;i[g+8>>0]=0;y=0;k[e>>2]=k[g>>2];k[e+4>>2]=k[g+4>>2];k[e+8>>2]=k[g+8>>2];Na(q|0,f|0,c|0,e|0);q=y;y=0;do if(q&1)d=pb()|0;else{q=i[f+11>>0]|0;n=q<<24>>24<0;y=0;ta(41,o|0,(n?k[f>>2]|0:f)|0,(n?k[f+4>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){d=pb()|0;A9(f);break}A9(f);y=0;Ha(974,o|0,51685)|0;q=y;y=0;if(q&1){s=17;break a}q=k[(k[b>>2]|0)+28>>2]|0;k[h>>2]=0;k[h+4>>2]=5;i[h+8>>0]=0;y=0;k[e>>2]=k[h>>2];k[e+4>>2]=k[h+4>>2];k[e+8>>2]=k[h+8>>2];Na(q|0,f|0,b|0,e|0);q=y;y=0;do if(q&1)d=pb()|0;else{q=i[f+11>>0]|0;n=q<<24>>24<0;y=0;ta(41,o|0,(n?k[f>>2]|0:f)|0,(n?k[f+4>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){d=pb()|0;A9(f);break}A9(f);y=0;Ha(974,o|0,51690)|0;s=y;y=0;if(s&1){s=17;break a}r=l;return}while(0);break a}while(0)}while(0);if((s|0)==17)d=pb()|0;k[a>>2]=15644;A9(p);A9(o);Pca(a);a=d;sb(a|0)}while(0);Pca(a)}A9(q);a=d;sb(a|0)}function Rj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;o=0;p=r;r=r+144|0;i=p+104|0;q=p+96|0;d=p+84|0;c=p+72|0;g=p+32|0;j=p+24|0;l=p+16|0;m=p+8|0;n=p;wp(q,b);f=q+4|0;a:do if(!(k[f>>2]|0)){k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(74,i|0,43044,11);h=y;y=0;if(h&1)c=pb()|0;else{k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;Na(74,d|0,43056,7);h=y;y=0;if(h&1)c=pb()|0;else{k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,44429,62);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;ma(10,b|0,i|0,d|0,c|0,0);h=y;y=0;if(h&1){a=pb()|0;A9(c);c=a;break}else{A9(c);A9(d);A9(i);break a}}while(0);A9(d)}A9(i)}a=c;DO(q);sb(a|0)}while(0);y=0;h=qa(315,80)|0;e=y;y=0;if(e&1){a=pb()|0;DO(q);sb(a|0)}c=g;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(460,j|0,k[f>>2]|0);f=y;y=0;do if(f&1)c=pb()|0;else{k[j>>2]=11804;y=0;oa(460,l|0,0);f=y;y=0;if(f&1){c=pb()|0;DO(j);break}k[l>>2]=6868;y=0;c=i;d=g;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Ra(35,h|0,i|0,j|0,l|0);i=y;y=0;if(i&1)d=1;else{y=0;oa(460,a|0,h|0);i=y;y=0;if(i&1)d=0;else{k[a>>2]=17148;DO(l);DO(j);c=k[a+4>>2]|0;y=0;Na(121,n|0,b|0,0);l=y;y=0;if(l&1)c=pb()|0;else{d=c+64|0;c=c+68|0;if(!(k[c>>2]|0))o=23;else{y=0;na(423,d|0);l=y;y=0;if(!(l&1))o=23}if((o|0)==23){k[c>>2]=k[n+4>>2];y=0;na(424,d|0);o=y;y=0;if(!(o&1)){y=0;oa(460,m|0,k[c>>2]|0);o=y;y=0;if(!(o&1)){k[m>>2]=6868;DO(m);DO(n);DO(q);r=p;return}}}c=pb()|0;DO(n)}DO(a);a=c;DO(q);sb(a|0)}}c=pb()|0;DO(l);DO(j);if(!d){a=c;DO(q);sb(a|0)}}while(0);cra(h);a=c;DO(q);sb(a|0)}function Sj(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;B=0;z=r;r=r+64|0;q=z+40|0;t=z+32|0;u=z+24|0;v=z+16|0;w=z+48|0;A=z+8|0;x=z;b=k[a+76>>2]|0;s=(k[a+80>>2]|0)-b>>3;if(!s){r=z;return}g=a+76|0;h=q+4|0;j=t+4|0;l=u+4|0;m=w+4|0;n=v+4|0;o=A+4|0;p=x+4|0;a=0;a:while(1){LT(q,k[(k[b+(a<<3)+4>>2]|0)+80>>2]|0);k[q>>2]=15152;f=(k[h>>2]|0)==0;DO(q);do if(!f){LT(t,k[(k[(k[g>>2]|0)+(a<<3)+4>>2]|0)+80>>2]|0);k[t>>2]=15152;f=k[j>>2]|0;b=k[f+76>>2]|0;if(((k[f+80>>2]|0)-b|0)==8){b=k[b+4>>2]|0;if(b|0){f=(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)==33313;DO(t);if(!f)break;b=k[(k[g>>2]|0)+(a<<3)+4>>2]|0;if(!(k[b+72>>2]|0)){LT(u,k[b+88>>2]|0);k[u>>2]=15136;f=(k[l>>2]|0)==0;DO(u);if(f)break;b=k[g>>2]|0;c=k[b+(a<<3)+4>>2]|0;if(i[c+60>>0]|0){LT(v,k[c+88>>2]|0);k[v>>2]=15136;i[(k[n>>2]|0)+60>>0]=1;DO(v);c=k[g>>2]|0;b=c;c=k[c+(a<<3)+4>>2]|0}d=b+(a<<3)|0;b=d|0;d=d+4|0;LT(w,k[c+88>>2]|0);k[w>>2]=15136;if((b|0)!=(w|0)){if(k[d>>2]|0){y=0;na(423,b|0);f=y;y=0;if(f&1){B=18;break a}}k[d>>2]=k[m>>2];k[m>>2]=0}DO(w);break}LT(A,k[b+80>>2]|0);k[A>>2]=15152;c=k[o>>2]|0;y=0;oa(460,x|0,k[(k[(k[g>>2]|0)+(a<<3)+4>>2]|0)+80>>2]|0);f=y;y=0;if(f&1){B=28;break a}k[x>>2]=15152;d=k[(k[p>>2]|0)+76>>2]|0;b=d+8|0;f=c+80|0;e=k[f>>2]|0;if((b|0)==(e|0)){c=d;B=25}else{do{c=d+4|0;if(k[c>>2]|0){y=0;na(423,d|0);C=y;y=0;if(C&1){B=29;break a}}C=b+4|0;k[c>>2]=k[C>>2];k[C>>2]=0;b=b+8|0;d=d+8|0}while((b|0)!=(e|0));b=k[f>>2]|0;if((b|0)!=(d|0)){c=d;B=25}}if((B|0)==25){B=0;do{C=b+-8|0;k[f>>2]=C;lc[k[k[C>>2]>>2]&511](C);b=k[f>>2]|0}while((b|0)!=(c|0))}DO(x);DO(A);break}}DO(t)}while(0);a=a+1|0;if(a>>>0>=s>>>0){B=3;break}b=k[g>>2]|0}if((B|0)==3){r=z;return}else if((B|0)==18){C=pb()|0;DO(w);sb(C|0)}else if((B|0)==28)a=pb()|0;else if((B|0)==29){a=pb()|0;DO(x)}DO(A);C=a;sb(C|0)}
function Df(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;n=0;t=r;r=r+144|0;l=t;c=t+96|0;f=t+72|0;v=t+88|0;u=t+64|0;m=t+56|0;q=t+48|0;s=t+40|0;x=b+152|0;w=k[x>>2]|0;p=w+1|0;k[x>>2]=p;if(p>>>0>512){e=gb(76)|0;d=c;g=b+108|0;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));y=0;oa(456,f|0,80932);v=y;y=0;if(v&1)c=pb()|0;else{y=0;d=l;g=c;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));Ra(24,e|0,l|0,f|0,0);v=y;y=0;if(v&1)d=1;else{y=0;Na(75,e|0,2912,175);y=0;d=0}c=pb()|0;A9(f);if(!d){v=c;k[x>>2]=w;sb(v|0)}}fb(e|0);v=c;k[x>>2]=w;sb(v|0)}y=0;oa(574,v|0,b|0);p=y;y=0;if(p&1){v=pb()|0;k[x>>2]=w;sb(v|0)}o=b+76|0;y=0;c=qa(343,k[o>>2]|0)|0;p=y;y=0;a:do if(p&1)n=26;else{p=b+80|0;if((c|0)==0?1:c>>>0>(k[p>>2]|0)>>>0)c=k[o>>2]|0;y=0;d=qa(344,c|0)|0;j=y;y=0;if(j&1)n=26;else{c=d|0?d:c;b:do switch(i[c>>0]|0){case 44:case 58:case 41:case 123:case 125:case 59:{c=c+1|0;break}default:{y=0;d=qa(345,c|0)|0;j=y;y=0;if(j&1){n=26;break a}if(!d){d=i[48600]|0;if(d<<24>>24){e=c;f=48600;while(1){if((i[e>>0]|0)!=d<<24>>24)break;e=e+1|0;f=f+1|0;d=i[f>>0]|0;if(!(d<<24>>24)){c=e;break b}}y=0;d=qa(353,c|0)|0;j=y;y=0;if(j&1){n=26;break a}if(!d){y=0;c=qa(354,c|0)|0;j=y;y=0;if(j&1){n=26;break a}}else c=d}}else c=d}}while(0);if(!((c|0)==0?1:c>>>0>(k[p>>2]|0)>>>0)){y=0;oa(460,a|0,k[v+4>>2]|0);u=y;y=0;if(u&1){n=26;break}k[a>>2]=7284;DO(v);k[x>>2]=w;r=t;return}y=0;j=qa(315,88)|0;h=y;y=0;if(h&1)n=26;else{d=l;g=b+108|0;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));y=0;na(422,j|0);h=y;y=0;do if(h&1)c=pb()|0;else{d=j+12|0;g=l;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=9288;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,2);l=y;y=0;if(l&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{u=e+-8|0;k[h>>2]=u;lc[k[k[u>>2]>>2]&511](u);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=9076;k[d>>2]=9208;k[j+80>>2]=1;i[j+84>>0]=0;i[j+85>>0]=0;k[c>>2]=5;y=0;oa(460,u|0,j|0);l=y;y=0;if(l&1){n=26;break a}k[u>>2]=7172;g=u+4|0;c=(k[g>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,m|0,k[v+4>>2]|0);l=y;y=0;do if(l&1)n=65;else{k[m>>2]=7284;y=0;oa(d|0,c|0,m|0);l=y;y=0;if(l&1){c=pb()|0;DO(m);break}DO(m);c:while(1){y=0;c=qa(343,k[o>>2]|0)|0;n=y;y=0;if(n&1){n=64;break}if((c|0)==0?1:c>>>0>(k[p>>2]|0)>>>0)c=k[o>>2]|0;y=0;d=qa(344,c|0)|0;n=y;y=0;if(n&1){n=64;break}c=d|0?d:c;d:do switch(i[c>>0]|0){case 44:case 58:case 41:case 123:case 125:case 59:{c=c+1|0;break}default:{y=0;d=qa(345,c|0)|0;n=y;y=0;if(n&1){n=64;break c}if(d|0){c=d;break d}d=i[48600]|0;if(!(d<<24>>24))break d;else{e=c;f=48600}while(1){if((i[e>>0]|0)!=d<<24>>24)break;e=e+1|0;f=f+1|0;d=i[f>>0]|0;if(!(d<<24>>24)){c=e;break d}}y=0;d=qa(353,c|0)|0;n=y;y=0;if(n&1){n=64;break c}if(d|0){c=d;break d}y=0;c=qa(354,c|0)|0;n=y;y=0;if(n&1){n=64;break c}}}while(0);if(!((c|0)==0?1:c>>>0>(k[p>>2]|0)>>>0)){n=69;break}y=0;c=qa(343,k[o>>2]|0)|0;n=y;y=0;if(n&1){n=64;break}if((c|0)==0?1:c>>>0>(k[p>>2]|0)>>>0)c=k[o>>2]|0;y=0;c=qa(344,c|0)|0;n=y;y=0;if(n&1){n=64;break}n=k[p>>2]|0;if(((c>>>0<=n>>>0?c:0)|0)==(n|0)){n=69;break}c=(k[g>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(574,q|0,b|0);n=y;y=0;if(n&1){n=64;break}y=0;oa(d|0,c|0,q|0);n=y;y=0;if(n&1){n=68;break}DO(q)}if((n|0)==64){c=pb()|0;n=66;break}else if((n|0)==68){c=pb()|0;DO(q);break}else if((n|0)==69){y=0;oa(460,s|0,k[g>>2]|0);b=y;y=0;if(b&1){n=65;break}k[s>>2]=7172;y=0;oa(460,a|0,k[s+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;DO(s);break}k[a>>2]=7284;DO(s);DO(u);DO(v);k[x>>2]=w;r=t;return}}while(0);if((n|0)==65){c=pb()|0;n=66}DO(u);break a}while(0);cra(j)}}}while(0);if((n|0)==26)c=pb()|0;DO(v);v=c;k[x>>2]=w;sb(v|0)}function Ef(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;A=0;s=r;r=r+160|0;o=s;n=s+144|0;u=s+88|0;v=s+64|0;w=s+52|0;q=s+104|0;x=s+40|0;t=s+76|0;z=IM(112)|0;b=q;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,38247,4);g=y;y=0;if(g&1){A=pb()|0;cra(z);sb(A|0)}y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,x|0,a|0,d|0,o|0,f|0)|0;g=y;y=0;if(g&1)A=47;else{y=0;oa(453,w|0,b|0);g=y;y=0;if(g&1)A=47;else{g=i[w+11>>0]|0;if(((g<<24>>24<0?k[w+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,w|0,0,-1,48698,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}A9(w);if(!c){m=+p[b+64>>3]*255.0/100.0;m=m<0.0?0.0:m;m=m>255.0?255.0:m}else A=10}else{A9(w);A=10}if((A|0)==10){m=+p[b+64>>3];m=m<0.0?0.0:m;m=m>255.0?255.0:m}k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(74,w|0,38252,6);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,w|0,a|0,d|0,o|0,f|0)|0;g=y;y=0;if(g&1)A=49;else{y=0;oa(453,v|0,b|0);g=y;y=0;if(g&1)A=49;else{g=i[v+11>>0]|0;if(((g<<24>>24<0?k[v+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,v|0,0,-1,48698,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}A9(v);if(!c){l=+p[b+64>>3]*255.0/100.0;l=l<0.0?0.0:l;l=l>255.0?255.0:l}else A=20}else{A9(v);A=20}if((A|0)==20){l=+p[b+64>>3];l=l<0.0?0.0:l;l=l>255.0?255.0:l}k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,38259,5);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,v|0,a|0,d|0,o|0,f|0)|0;g=y;y=0;if(g&1)A=51;else{y=0;oa(453,u|0,b|0);g=y;y=0;if(g&1)A=51;else{g=i[u+11>>0]|0;if(((g<<24>>24<0?k[u+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,u|0,0,-1,48698,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}A9(u);if(!c){j=+p[b+64>>3]*255.0/100.0;j=j<0.0?0.0:j;j=j>255.0?255.0:j}else A=30}else{A9(u);A=30}if((A|0)==30){j=+p[b+64>>3];j=j<0.0?0.0:j;j=j>255.0?255.0:j}k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,38265,6);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,u|0,a|0,d|0,o|0,f|0)|0;f=y;y=0;do if(f&1)A=53;else{y=0;oa(453,n|0,b|0);f=y;y=0;if(f&1){A=53;break}f=i[n+11>>0]|0;do if(((f<<24>>24<0?k[n+4>>2]|0:f&255)|0)==1){y=0;c=sa(21,n|0,0,-1,48698,1)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}A9(n);if(c|0){A=40;break}h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>100.0?100.0:h}else{A9(n);A=40}while(0);if((A|0)==40){h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>1.0?1.0:h}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(74,t|0,87975,0);f=y;y=0;if(f&1){A=53;break}b=o;c=q;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));y=0;na(422,z|0);f=y;y=0;do if(f&1)b=pb()|0;else{b=z+12|0;c=o;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));i[z+52>>0]=0;i[z+53>>0]=0;i[z+54>>0]=0;b=z+56|0;k[b>>2]=0;k[z>>2]=10548;p[z+64>>3]=m;p[z+72>>3]=l;p[z+80>>3]=j;p[z+88>>3]=h;y=0;oa(456,z+96|0,t|0);f=y;y=0;if(f&1){b=pb()|0;break}else{k[z+108>>2]=0;k[b>>2]=3;A9(t);A9(u);A9(v);A9(w);A9(x);r=s;return z|0}}while(0);A9(t)}while(0);if((A|0)==53)b=pb()|0;A9(u)}}}if((A|0)==51)b=pb()|0;A9(v)}}}if((A|0)==49)b=pb()|0;A9(w)}}}if((A|0)==47)b=pb()|0;A9(x);A=b;cra(z);sb(A|0);return 0}function Ff(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;t=0;F=r;r=r+32|0;G=F+4|0;w=F;D=a+8|0;e=k[D>>2]|0;E=a+4|0;q=k[E>>2]|0;u=((e|0)==(q|0)&1)+b|0;u=(((u>>>0)%146|0|0)!=0&1)+((u>>>0)/146|0)|0;C=a+16|0;b=k[C>>2]|0;B=(b>>>0)/146|0;B=u>>>0<B>>>0?u:B;u=u-B|0;p=e;if(!u){v=(aa(B,-146)|0)+b|0;k[C>>2]=v;if(!B){r=F;return}o=a+12|0;b=B;f=q;l=e;a:while(1){n=k[f>>2]|0;m=f+4|0;k[E>>2]=m;v=k[o>>2]|0;e=v;i=l;do if((l|0)==(v|0)){f=k[a>>2]|0;g=f;if(m>>>0>f>>>0){e=m;g=((e-g>>2)+1|0)/-2|0;h=m+(g<<2)|0;e=i-e|0;f=e>>2;if(!f)e=m;else{fO(h|0,m|0,e|0)|0;e=k[E>>2]|0}v=h+(f<<2)|0;k[D>>2]=v;k[E>>2]=e+(g<<2);e=v;break}e=e-g>>1;e=(e|0)==0?1:e;if(e>>>0>1073741823){t=10;break a}h=IM(e<<2)|0;i=h;g=h+(e>>>2<<2)|0;j=g;h=h+(e<<2)|0;if((m|0)==(l|0))e=j;else{e=j;f=m;do{k[g>>2]=k[f>>2];g=e+4|0;e=g;f=f+4|0}while((f|0)!=(l|0));f=k[a>>2]|0}k[a>>2]=i;k[E>>2]=j;k[D>>2]=e;k[o>>2]=h;if(f){cra(f);e=k[D>>2]|0}}else e=l;while(0);k[e>>2]=n;e=(k[D>>2]|0)+4|0;k[D>>2]=e;b=b+-1|0;if(!b){t=82;break}f=k[E>>2]|0;l=e}if((t|0)==10){G=gb(4)|0;Qoa(G);Wb(G|0,5760,404)}else if((t|0)==82){r=F;return}}v=a+12|0;b=k[v>>2]|0;m=b-(k[a>>2]|0)|0;n=p-q>>2;if(u>>>0<=((m>>2)-n|0)>>>0){b:do if((b|0)==(p|0)){c=u;t=21}else{b=u;while(1){q=IM(4088)|0;k[G>>2]=q;hw(a,G);b=b+-1|0;if(!b)break;if((k[v>>2]|0)==(k[D>>2]|0)){c=b;t=21;break b}}s=B;d=k[C>>2]|0}while(0);if((t|0)==21){b=B;do{d=IM(4088)|0;k[G>>2]=d;Eu(a,G);c=c+-1|0;b=b+1|0;d=(k[C>>2]|0)+146+((((k[D>>2]|0)-(k[E>>2]|0)|0)==4)<<31>>31)|0;k[C>>2]=d}while((c|0)!=0);s=b}t=d+(aa(s,-146)|0)|0;k[C>>2]=t;if(!s){r=F;return}j=s;h=k[D>>2]|0;c:while(1){i=k[E>>2]|0;l=k[i>>2]|0;i=i+4|0;k[E>>2]=i;t=k[v>>2]|0;b=t;f=h;do if((h|0)==(t|0)){c=k[a>>2]|0;d=c;if(i>>>0>c>>>0){b=i;d=((b-d>>2)+1|0)/-2|0;e=i+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=i;else{fO(e|0,i|0,b|0)|0;b=k[E>>2]|0}t=e+(c<<2)|0;k[D>>2]=t;k[E>>2]=b+(d<<2);b=t;break}b=b-d>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){t=33;break c}e=IM(b<<2)|0;f=e;d=e+(b>>>2<<2)|0;g=d;e=e+(b<<2)|0;if((i|0)==(h|0))b=g;else{b=g;c=i;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0));c=k[a>>2]|0}k[a>>2]=f;k[E>>2]=g;k[D>>2]=b;k[v>>2]=e;if(c){cra(c);b=k[D>>2]|0}}else b=h;while(0);k[b>>2]=l;h=(k[D>>2]|0)+4|0;k[D>>2]=h;j=j+-1|0;if(!j){t=82;break}}if((t|0)==33){G=gb(4)|0;Qoa(G);Wb(G|0,5760,404)}else if((t|0)==82){r=F;return}}d=m>>1;b=n+u|0;d=d>>>0<b>>>0?b:d;b=n-B|0;k[G+12>>2]=0;k[G+16>>2]=a+12;do if(!d)c=0;else if(d>>>0>1073741823){G=gb(4)|0;Qoa(G);Wb(G|0,5760,404)}else{c=IM(d<<2)|0;break}while(0);k[G>>2]=c;n=c+(b<<2)|0;p=G+8|0;k[p>>2]=n;o=G+4|0;k[o>>2]=n;n=G+12|0;k[n>>2]=c+(d<<2);b=u;while(1){y=0;c=qa(315,4088)|0;u=y;y=0;if(u&1){t=50;break}k[w>>2]=c;y=0;oa(515,G|0,w|0);u=y;y=0;if(u&1){t=50;break}b=b+-1|0;if(!b){t=45;break}}d:do if((t|0)==45){e:do if(B|0){l=B;h=k[p>>2]|0;m=k[E>>2]|0;f:while(1){x=k[n>>2]|0;b=x;f=h;do if((h|0)==(x|0)){j=k[o>>2]|0;i=k[G>>2]|0;c=i;if(j>>>0>i>>>0){b=j;d=((b-c>>2)+1|0)/-2|0;e=j+(d<<2)|0;b=f-b|0;c=b>>2;if(!c)b=j;else{fO(e|0,j|0,b|0)|0;b=k[o>>2]|0}x=e+(c<<2)|0;k[p>>2]=x;k[o>>2]=b+(d<<2);b=x;break}b=b-c>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){t=59;break f}y=0;c=qa(315,b<<2|0)|0;x=y;y=0;if(x&1){t=66;break f}f=c;d=c+(b>>>2<<2)|0;g=d;e=c+(b<<2)|0;if((j|0)==(h|0))b=g;else{b=g;c=j;do{k[d>>2]=k[c>>2];d=b+4|0;b=d;c=c+4|0}while((c|0)!=(h|0))}k[G>>2]=f;k[o>>2]=g;k[p>>2]=b;k[n>>2]=e;if(i){cra(i);b=k[p>>2]|0}}else b=h;while(0);k[b>>2]=k[m>>2];h=(k[p>>2]|0)+4|0;k[p>>2]=h;m=(k[E>>2]|0)+4|0;k[E>>2]=m;l=l+-1|0;if(!l)break e}if((t|0)==59){z=gb(4)|0;Qoa(z);y=0;Na(75,z|0,5760,404);y=0;z=pb()|0}else if((t|0)==66)z=pb()|0;x=z;break d}while(0);b=k[D>>2]|0;while(1){d=k[E>>2]|0;if((b|0)==(d|0))break;b=b+-4|0;y=0;oa(516,G|0,b|0);A=y;y=0;if(A&1){t=76;break}}if((t|0)==76){x=pb()|0;break}c=k[a>>2]|0;k[a>>2]=k[G>>2];k[G>>2]=c;k[E>>2]=k[o>>2];k[o>>2]=d;b=k[D>>2]|0;k[D>>2]=k[p>>2];k[p>>2]=b;G=k[v>>2]|0;k[v>>2]=k[n>>2];k[n>>2]=G;G=(k[C>>2]|0)+(aa(B,-146)|0)|0;k[C>>2]=G;if((b|0)!=(d|0))k[p>>2]=b+(~((b+-4-d|0)>>>2)<<2);if(c|0)cra(c);r=F;return}else if((t|0)==50){b=tb(0)|0;vb(b|0)|0;b=k[o>>2]|0;if((b|0)!=(k[p>>2]|0))do{cra(k[b>>2]|0);b=b+4|0}while((b|0)!=(k[p>>2]|0));y=0;la(4);y=0;b=pb()|0;y=0;la(3);F=y;y=0;if(F&1){F=tb(0)|0;Sla(F)}else x=b}while(0);b=k[o>>2]|0;c=k[p>>2]|0;if((c|0)!=(b|0))k[p>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[G>>2]|0;if(!b)sb(x|0);cra(b);sb(x|0)}function Gf(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k[a>>2]=15720;n=a+224|0;p=a+228|0;b=k[n>>2]|0;if((k[p>>2]|0)!=(b|0)){c=0;do{Wf(k[b+(c<<3)>>2]|0);Wf(k[(k[n>>2]|0)+(c<<3)+4>>2]|0);c=c+1|0;b=k[n>>2]|0}while(c>>>0<(k[p>>2]|0)-b>>3>>>0)}o=a+212|0;q=a+216|0;b=k[o>>2]|0;if((k[q>>2]|0)!=(b|0)){c=0;do{Wf(k[b+(c<<2)>>2]|0);c=c+1|0;b=k[o>>2]|0}while(c>>>0<(k[q>>2]|0)-b>>2>>>0)}l=a+272|0;m=a+276|0;c=k[m>>2]|0;j=k[l>>2]|0;b=j;a:do if((c|0)==(j|0)){e=c;f=b}else{d=0;while(1){y=0;qa(320,k[b+(d<<2)>>2]|0)|0;j=y;y=0;if(j&1)break;y=0;qa(321,k[(k[l>>2]|0)+(d<<2)>>2]|0)|0;j=y;y=0;if(j&1)break;y=0;na(430,k[(k[l>>2]|0)+(d<<2)>>2]|0);j=y;y=0;if(j&1)break;d=d+1|0;c=k[m>>2]|0;j=k[l>>2]|0;b=j;if(d>>>0>=c-j>>2>>>0){e=c;f=b;break a}}j=tb(0)|0;A9(a+444|0);A9(a+432|0);A9(a+420|0);A9(a+408|0);A9(a+396|0);A9(a+384|0);VP(a+372|0);UP(a+360|0);UP(a+348|0);wK(a+336|0);wK(a+324|0);wK(a+312|0);wK(a+300|0);kP(a+284|0);dQ(a+272|0);mF(a+248|0);tN(a+236|0);WP(n);GQ(a+212|0);eL(a+200|0);fM(a+72|0);Pq(a+36|0);A9(a+20|0);A9(a+4|0);Sla(j)}while(0);b=e;c=k[n>>2]|0;d=k[p>>2]|0;if((d|0)!=(c|0))k[p>>2]=d+(~((d+-8-c|0)>>>3)<<3);if((b|0)!=(f|0))k[m>>2]=b+(~((b+-4-f|0)>>>2)<<2);i=a+248|0;c=k[i>>2]|0;j=a+252|0;b=k[j>>2]|0;if((b|0)!=(c|0))do{h=b+-16|0;k[j>>2]=h;DO(b+-8|0);DO(h);b=k[j>>2]|0}while((b|0)!=(c|0));g=a+260|0;f=a+264|0;$y(g,k[f>>2]|0);k[a+268>>2]=0;k[g>>2]=f;k[f>>2]=0;g=a+236|0;h=a+240|0;eD(g,k[h>>2]|0);k[a+244>>2]=0;k[g>>2]=h;k[h>>2]=0;A9(a+444|0);A9(a+432|0);A9(a+420|0);A9(a+408|0);A9(a+396|0);A9(a+384|0);b=k[a+372>>2]|0;c=b;if(b|0){d=a+376|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}b=k[a+360>>2]|0;c=b;if(b|0){d=a+364|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}b=k[a+348>>2]|0;c=b;if(b|0){d=a+352|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(b)}d=a+336|0;b=k[d>>2]|0;if(b|0){e=a+340|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{r=c+-12|0;k[e>>2]=r;A9(r);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}d=a+324|0;b=k[d>>2]|0;if(b|0){e=a+328|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{r=c+-12|0;k[e>>2]=r;A9(r);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}d=a+312|0;b=k[d>>2]|0;if(b|0){e=a+316|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{r=c+-12|0;k[e>>2]=r;A9(r);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}d=a+300|0;b=k[d>>2]|0;if(b|0){e=a+304|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{r=c+-12|0;k[e>>2]=r;A9(r);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b)}b=k[a+284>>2]|0;c=b;if(b|0){d=a+288|0;e=k[d>>2]|0;if((e|0)!=(b|0))k[d>>2]=e+(~(((e+-24-c|0)>>>0)/24|0)*24|0);cra(b)}b=k[l>>2]|0;c=b;if(b|0){d=k[m>>2]|0;if((d|0)!=(b|0))k[m>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}$y(a+260|0,k[f>>2]|0);b=k[i>>2]|0;if(b|0){c=k[j>>2]|0;if((c|0)!=(b|0)){do{r=c+-16|0;k[j>>2]=r;DO(c+-8|0);DO(r);c=k[j>>2]|0}while((c|0)!=(b|0));b=k[i>>2]|0}cra(b)}eD(g,k[h>>2]|0);b=k[n>>2]|0;c=b;if(b|0){d=k[p>>2]|0;if((d|0)!=(b|0))k[p>>2]=d+(~((d+-8-c|0)>>>3)<<3);cra(b)}b=k[o>>2]|0;c=b;if(b|0){d=k[q>>2]|0;if((d|0)!=(b|0))k[q>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}d=a+200|0;b=k[d>>2]|0;if(!b){r=a+72|0;fM(r);r=a+36|0;Pq(r);r=a+20|0;A9(r);r=a+4|0;A9(r);return}e=a+204|0;c=k[e>>2]|0;if((c|0)!=(b|0)){do{r=c+-8|0;k[e>>2]=r;lc[k[k[r>>2]>>2]&511](r);c=k[e>>2]|0}while((c|0)!=(b|0));b=k[d>>2]|0}cra(b);r=a+72|0;fM(r);r=a+36|0;Pq(r);r=a+20|0;A9(r);r=a+4|0;A9(r);return}function Hf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;if((cc|0)==1)cc=3}Qc(fc+42948|0)}function If(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;t=r;r=r+240|0;p=t;z=t+224|0;x=t+160|0;f=t+184|0;g=t+168|0;m=t+96|0;n=t+120|0;q=t+104|0;s=t+56|0;v=t+48|0;u=t+40|0;LT(z,k[b+64>>2]|0);k[z>>2]=7284;o=z+4|0;c=k[o>>2]|0;if(!c){c=0;w=3}else{y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;w=y;y=0;if(w&1)w=15;else w=3}do if((w|0)==3){y=0;oa(460,p|0,c|0);l=y;y=0;if(l&1)w=15;else{k[p>>2]=7284;if(k[o>>2]|0){y=0;na(423,z|0);l=y;y=0;if(l&1){c=pb()|0;DO(p);break}}c=p+4|0;k[o>>2]=k[c>>2];k[c>>2]=0;DO(p);c=k[o>>2]|0;a:do if(c|0){d=k[307]|0;if((d|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;e=qa(315,80)|0;w=y;y=0;do if(w&1)c=pb()|0;else{h=f;j=c+12|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(456,g|0,((d|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0)+64|0);w=y;y=0;if(w&1)c=pb()|0;else{y=0;h=p;j=f;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Ea(2,e|0,p|0,g|0,0,0,0,1);w=y;y=0;if(w&1)d=1;else{y=0;oa(460,x|0,e|0);w=y;y=0;if(w&1)d=0;else{k[x>>2]=7284;if(k[o>>2]|0){y=0;na(423,z|0);w=y;y=0;if(w&1){c=pb()|0;DO(x);A9(g);break}}w=x+4|0;k[o>>2]=k[w>>2];k[w>>2]=0;DO(x);A9(g);break a}}c=pb()|0;A9(g);if(!d)break}cra(e)}while(0);x=c;DO(z);sb(x|0)}}while(0);y=0;oa(460,x|0,k[b+72>>2]|0);w=y;y=0;if(w&1){x=pb()|0;DO(z);sb(x|0)}k[x>>2]=7284;g=x+4|0;c=k[g>>2]|0;if(!c){c=0;w=28}else{y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;w=y;y=0;if(w&1)w=40;else w=28}b:do if((w|0)==28){y=0;oa(460,p|0,c|0);l=y;y=0;if(l&1)w=40;else{k[p>>2]=7284;if(k[g>>2]|0){y=0;na(423,x|0);l=y;y=0;if(l&1){c=pb()|0;DO(p);w=42;break}}c=p+4|0;k[g>>2]=k[c>>2];k[c>>2]=0;DO(p);c=k[g>>2]|0;c:do if(c|0){d=k[307]|0;if((d|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;e=qa(315,80)|0;l=y;y=0;d:do if(l&1)c=pb()|0;else{h=n;j=c+12|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(456,q|0,((d|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0)+64|0);l=y;y=0;if(l&1)c=pb()|0;else{y=0;h=p;j=n;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Ea(2,e|0,p|0,q|0,0,0,0,1);n=y;y=0;if(n&1)d=1;else{y=0;oa(460,m|0,e|0);n=y;y=0;if(n&1)d=0;else{k[m>>2]=7284;do if(k[g>>2]|0){y=0;na(423,x|0);n=y;y=0;if(!(n&1))break;c=pb()|0;DO(m);A9(q);break d}while(0);n=m+4|0;k[g>>2]=k[n>>2];k[n>>2]=0;DO(m);A9(q);break c}}c=pb()|0;A9(q);if(!d)break}cra(e)}while(0);break b}}while(0);y=0;f=qa(315,80)|0;q=y;y=0;if(q&1){c=pb()|0;break}h=s;j=b+12|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(460,v|0,k[o>>2]|0);q=y;y=0;if(q&1)c=pb()|0;else{k[v>>2]=7284;y=0;oa(460,u|0,k[g>>2]|0);q=y;y=0;if(q&1)c=pb()|0;else{k[u>>2]=7284;e=i[b+76>>0]|0;h=p;j=s;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,f|0);s=y;y=0;if(s&1)c=pb()|0;else{h=f+12|0;j=p;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=11584;c=f+60|0;y=0;oa(460,c|0,k[v+4>>2]|0);s=y;y=0;do if(s&1)c=pb()|0;else{k[c>>2]=7284;d=f+68|0;y=0;oa(460,d|0,k[u+4>>2]|0);s=y;y=0;if(s&1){t=pb()|0;DO(c);c=t;break}else{k[d>>2]=7284;i[f+76>>0]=e;DO(u);DO(v);DO(x);DO(z);r=t;return f|0}}while(0)}DO(u)}DO(v)}cra(f)}}while(0);if((w|0)==40){c=pb()|0;w=42}DO(x);x=c;DO(z);sb(x|0)}}while(0);if((w|0)==15)c=pb()|0;x=c;DO(z);sb(x|0);return 0}function Jf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0;g=0;h=r;r=r+32|0;c=h+8|0;e=h+16|0;f=h;LT(c,k[b+72>>2]|0);k[c>>2]=7284;d=k[c+4>>2]|0;y=0;oa(k[(k[d>>2]|0)+44>>2]|0,d|0,a|0);d=y;y=0;if(d&1){h=pb()|0;DO(c);sb(h|0)}DO(c);c=a+4|0;d=a+98|0;if(!(i[d>>0]|0)){if(($ka(c)|0)==4)g=8;else if((k[b+60+4>>2]&255)<<24>>24)if(!(i[b+54>>0]|0))if(oc[k[(k[b>>2]|0)+108>>2]&511](b)|0)g=8;else if(oc[k[(k[b>>2]|0)+112>>2]&511](b)|0)g=8}else g=8;do if((g|0)==8){k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,51792,1);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break}j=pb()|0;A9(e);sb(j|0)}while(0);a:do switch(k[b+60>>2]|0){case 0:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48676,2);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 1:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48679,2);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 2:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48682,2);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 3:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48685,2);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 4:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48587,1);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 5:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48688,2);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 6:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48691,1);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 7:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48693,2);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 8:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,51014,1);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 9:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48674,1);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 10:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48696,1);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 11:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48589,1);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}case 12:{k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,48698,1);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break a}j=pb()|0;A9(e);sb(j|0)}default:{}}while(0);if(!(i[d>>0]|0))if(($ka(c)|0)==4)g=58;else{j=b+60|0;j=EV(k[j>>2]|0,k[j+4>>2]|0,40)|0;if((j&255)<<24>>24)if(!(i[b+54>>0]|0))if(oc[k[(k[b>>2]|0)+108>>2]&511](b)|0)g=58;else if(oc[k[(k[b>>2]|0)+112>>2]&511](b)|0)g=58}else g=58;do if((g|0)==58){k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;aI(e,51792,1);y=0;oa(679,c|0,e|0);j=y;y=0;if(!(j&1)){A9(e);break}j=pb()|0;A9(e);sb(j|0)}while(0);LT(f,k[b+80>>2]|0);k[f>>2]=7284;j=k[f+4>>2]|0;y=0;oa(k[(k[j>>2]|0)+44>>2]|0,j|0,a|0);j=y;y=0;if(!(j&1)){DO(f);r=h;return}j=pb()|0;DO(f);sb(j|0)}function Kf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=r;r=r+48|0;o=m+32|0;p=m+24|0;j=m+8|0;l=m;LT(o,k[b+80>>2]|0);k[o>>2]=15152;y=0;oa(460,p|0,k[b+88>>2]|0);n=y;y=0;if(n&1){p=pb()|0;DO(o);sb(p|0)}k[p>>2]=15136;h=k[b+72>>2]|0;do if(!h){c=k[o+4>>2]|0;if(c|0)if((k[c+76>>2]|0)!=(k[c+80>>2]|0)){n=9;break}c=k[p+4>>2]|0;if(!c){DO(p);DO(o);r=m;return}y=0;oa(k[(k[c>>2]|0)+44>>2]|0,c|0,a|0);n=y;y=0;if(n&1)n=8;else{DO(p);DO(o);r=m;return}}else n=9;while(0);a:do if((n|0)==9){if(i[b+60>>0]|0){y=0;c=qa(k[(k[b>>2]|0)+124>>2]|0,b|0)|0;g=y;y=0;if(g&1){n=8;break}if(!c){c=a+4|0;y=0;na(455,c|0);g=y;y=0;if(g&1){n=8;break}y=0;na(454,c|0);g=y;y=0;if(g&1){n=8;break}}}d=o+4|0;c=k[d>>2]|0;do if(!c){e=1;d=0}else{if((k[c+80>>2]|0)!=(k[c+76>>2]|0)){y=0;oa(k[(k[c>>2]|0)+44>>2]|0,c|0,a|0);g=y;y=0;if(g&1){n=8;break a}c=k[d>>2]|0;if(!c){e=1;d=0;break}}d=k[c+80>>2]|0;e=k[c+76>>2]|0;if((d|0)==(e|0))e=1;else if((d-e|0)==8){d=k[e+4>>2]|0;if(!d)e=0;else e=(k[427]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)}else e=0;d=k[c+76>>2]|0;if(((k[c+80>>2]|0)-d|0)==8){c=k[d+4>>2]|0;if(c|0)if((k[427]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){d=0;break}}d=(k[p+4>>2]|0)!=0}while(0);g=a+4|0;y=0;c=qa(394,g|0)|0;f=y;y=0;b:do if(!(f&1)){f=(h|0)!=0;if(f&(c|0)==3)k[a+80>>2]=0;c:do switch(h|0){case 0:{if(d){y=0;na(456,g|0);l=y;y=0;if(l&1)break b}break}case 1:{y=0;na(459,g|0);l=y;y=0;if(l&1)break b;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,48587,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(679,g|0,j|0);l=y;y=0;if(l&1){c=pb()|0;A9(j);break}else{A9(j);y=0;na(459,g|0);l=y;y=0;if(l&1)break b;else break c}}while(0);break a}case 3:{y=0;na(459,g|0);l=y;y=0;if(l&1)break b;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,51014,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(679,g|0,j|0);l=y;y=0;if(l&1){c=pb()|0;A9(j);break}else{A9(j);y=0;na(459,g|0);l=y;y=0;if(l&1)break b;else break c}}while(0);break a}case 4:{y=0;na(456,g|0);h=y;y=0;if(h&1)break b;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,48589,1);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;oa(679,g|0,j|0);h=y;y=0;if(h&1){c=pb()|0;A9(j);break}A9(j);y=0;oa(460,l|0,k[b+96>>2]|0);h=y;y=0;if(h&1)break b;k[l>>2]=7492;h=k[l+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){c=pb()|0;DO(l);break a}DO(l);k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,48589,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(679,g|0,j|0);l=y;y=0;if(l&1){c=pb()|0;A9(j);break}else{A9(j);y=0;na(456,g|0);l=y;y=0;if(l&1)break b;else break c}}while(0);break a}while(0);break a}case 2:{if(e){y=0;na(459,g|0);l=y;y=0;if(l&1)break b}else{y=0;na(456,g|0);l=y;y=0;if(l&1)break b}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,48591,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(679,g|0,j|0);l=y;y=0;if(l&1){c=pb()|0;A9(j);break}A9(j);if(!(k[p+4>>2]|0)){y=0;na(459,g|0);l=y;y=0;if(l&1)break b;else break c}else{y=0;na(456,g|0);l=y;y=0;if(l&1)break b;else break c}}while(0);break a}default:{}}while(0);e=p+4|0;c=k[e>>2]|0;if(f&(c|0)!=0)if(!(i[b+61>>0]|0))d=c;else{y=0;na(455,g|0);l=y;y=0;if(l&1)break;c=k[e>>2]|0;d=c}else d=c;if(d|0){y=0;oa(k[(k[c>>2]|0)+44>>2]|0,c|0,a|0);a=y;y=0;if(a&1)break;if(k[e>>2]|0){DO(p);DO(o);r=m;return}}if(!(i[b+61>>0]|0)){DO(p);DO(o);r=m;return}y=0;c=qa(394,g|0)|0;a=y;y=0;if(!(a&1)){if((c|0)!=2){DO(p);DO(o);r=m;return}y=0;na(456,g|0);a=y;y=0;if(!(a&1)){DO(p);DO(o);r=m;return}}}while(0);c=pb()|0}while(0);if((n|0)==8)c=pb()|0;DO(p);p=c;DO(o);sb(p|0)}function Lf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;p=0;x=r;r=r+112|0;u=x;A=x+88|0;f=x+96|0;z=x+72|0;m=x+80|0;q=x+64|0;w=x+56|0;s=x+48|0;t=x+40|0;a:do if(Wu(b,0,0)|0){j=IM(84)|0;v=b+108|0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));y=0;na(422,j|0);o=y;y=0;do if(o&1)c=pb()|0;else{g=j+12|0;h=u;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[j>>2]=10968;k[c>>2]=4;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);o=y;y=0;if(o&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{A=e+-8|0;k[h>>2]=A;lc[k[k[A>>2]>>2]&511](A);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=10796;k[d>>2]=10928;k[j+80>>2]=0;k[c>>2]=4;LT(A,j);k[A>>2]=13080;n=A+4|0;c=(k[n>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(315,80)|0;o=y;y=0;b:do if(o&1)p=24;else{o=b+156|0;y=0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));Na(109,e|0,u|0,o|0);l=y;y=0;if(l&1){c=pb()|0;cra(e);break}y=0;oa(460,f|0,e|0);l=y;y=0;if(l&1)p=24;else{k[f>>2]=7284;y=0;oa(d|0,c|0,f|0);l=y;y=0;if(l&1){c=pb()|0;DO(f);break}DO(f);j=b+76|0;c=k[j>>2]|0;c:do if((i[c>>0]|0)==35)if((i[c+1>>0]|0)==123){y=0;oa(623,z|0,b|0);l=y;y=0;if(l&1){p=24;break b}c=k[z+4>>2]|0;do if(!c)p=18;else{d=(k[n>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,m|0,c|0);l=y;y=0;if(l&1)p=28;else{k[m>>2]=7284;y=0;oa(e|0,d|0,m|0);l=y;y=0;if(l&1){c=pb()|0;DO(m);break}else{DO(m);p=18;break}}}while(0);d:do if((p|0)==18){f=w+4|0;while(1){y=0;c=ta(146,b|0,0,0)|0;p=y;y=0;if(p&1){p=27;break}if(!c){c=0;p=54;break}d=(k[n>>2]|0)+60|0;c=k[(k[d>>2]|0)+20>>2]|0;y=0;e=qa(315,80)|0;p=y;y=0;if(p&1){p=27;break}y=0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));Na(109,e|0,u|0,o|0);p=y;y=0;if(p&1){p=44;break}y=0;oa(460,q|0,e|0);p=y;y=0;if(p&1){p=27;break}k[q>>2]=7284;y=0;oa(c|0,d|0,q|0);p=y;y=0;if(p&1){p=45;break}DO(q);c=k[j>>2]|0;if((i[c>>0]|0)!=35){p=50;break}if((i[c+1>>0]|0)!=123){p=50;break}y=0;oa(623,w|0,b|0);p=y;y=0;if(p&1){p=27;break}c=k[f>>2]|0;if(c|0){d=(k[n>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,s|0,c|0);p=y;y=0;if(p&1){p=46;break}k[s>>2]=7284;y=0;oa(e|0,d|0,s|0);p=y;y=0;if(p&1){p=47;break}DO(s)}DO(w)}do if((p|0)==27){c=pb()|0;p=29;break d}else if((p|0)==44){c=pb()|0;cra(e);break d}else if((p|0)==45){c=pb()|0;DO(q);break d}else if((p|0)==46){c=pb()|0;p=49}else if((p|0)==47){c=pb()|0;DO(s);p=49}else if((p|0)==50){y=0;oa(460,t|0,k[n>>2]|0);w=y;y=0;if(w&1){p=28;break d}k[t>>2]=13080;y=0;oa(460,a|0,k[t+4>>2]|0);w=y;y=0;if(w&1){c=pb()|0;DO(t);break d}else{k[a>>2]=7284;DO(t);c=1;p=54;break}}while(0);if((p|0)==49){DO(w);break}else if((p|0)==54){DO(z);break c}}while(0);if((p|0)==28){c=pb()|0;p=29}DO(z);break b}else p=56;else p=56;while(0);if((p|0)==56){y=0;c=qa(315,80)|0;z=y;y=0;if(z&1){p=24;break}y=0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));Na(109,c|0,u|0,o|0);z=y;y=0;if(z&1){z=pb()|0;cra(c);c=z;break}y=0;oa(460,a|0,c|0);z=y;y=0;if(z&1){p=24;break}k[a>>2]=7284;c=1}DO(A);if(!c)break a;r=x;return}}while(0);if((p|0)==24)c=pb()|0;DO(A);A=c;sb(A|0)}while(0);cra(j);A=c;sb(A|0)}while(0);LT(a,0);k[a>>2]=7284;r=x;return}function Mf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;p=0;x=r;r=r+112|0;u=x;A=x+88|0;f=x+96|0;z=x+72|0;m=x+80|0;q=x+64|0;w=x+56|0;s=x+48|0;t=x+40|0;a:do if(Xu(b,0,0)|0){j=IM(84)|0;v=b+108|0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));y=0;na(422,j|0);o=y;y=0;do if(o&1)c=pb()|0;else{g=j+12|0;h=u;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[j>>2]=10968;k[c>>2]=4;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);o=y;y=0;if(o&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{A=e+-8|0;k[h>>2]=A;lc[k[k[A>>2]>>2]&511](A);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=10796;k[d>>2]=10928;k[j+80>>2]=0;k[c>>2]=4;LT(A,j);k[A>>2]=13080;n=A+4|0;c=(k[n>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(315,80)|0;o=y;y=0;b:do if(o&1)p=24;else{o=b+156|0;y=0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));Na(109,e|0,u|0,o|0);l=y;y=0;if(l&1){c=pb()|0;cra(e);break}y=0;oa(460,f|0,e|0);l=y;y=0;if(l&1)p=24;else{k[f>>2]=7284;y=0;oa(d|0,c|0,f|0);l=y;y=0;if(l&1){c=pb()|0;DO(f);break}DO(f);j=b+76|0;c=k[j>>2]|0;c:do if((i[c>>0]|0)==35)if((i[c+1>>0]|0)==123){y=0;oa(623,z|0,b|0);l=y;y=0;if(l&1){p=24;break b}c=k[z+4>>2]|0;do if(!c)p=18;else{d=(k[n>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,m|0,c|0);l=y;y=0;if(l&1)p=28;else{k[m>>2]=7284;y=0;oa(e|0,d|0,m|0);l=y;y=0;if(l&1){c=pb()|0;DO(m);break}else{DO(m);p=18;break}}}while(0);d:do if((p|0)==18){f=w+4|0;while(1){y=0;c=ta(145,b|0,0,0)|0;p=y;y=0;if(p&1){p=27;break}if(!c){c=0;p=54;break}d=(k[n>>2]|0)+60|0;c=k[(k[d>>2]|0)+20>>2]|0;y=0;e=qa(315,80)|0;p=y;y=0;if(p&1){p=27;break}y=0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));Na(109,e|0,u|0,o|0);p=y;y=0;if(p&1){p=44;break}y=0;oa(460,q|0,e|0);p=y;y=0;if(p&1){p=27;break}k[q>>2]=7284;y=0;oa(c|0,d|0,q|0);p=y;y=0;if(p&1){p=45;break}DO(q);c=k[j>>2]|0;if((i[c>>0]|0)!=35){p=50;break}if((i[c+1>>0]|0)!=123){p=50;break}y=0;oa(623,w|0,b|0);p=y;y=0;if(p&1){p=27;break}c=k[f>>2]|0;if(c|0){d=(k[n>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,s|0,c|0);p=y;y=0;if(p&1){p=46;break}k[s>>2]=7284;y=0;oa(e|0,d|0,s|0);p=y;y=0;if(p&1){p=47;break}DO(s)}DO(w)}do if((p|0)==27){c=pb()|0;p=29;break d}else if((p|0)==44){c=pb()|0;cra(e);break d}else if((p|0)==45){c=pb()|0;DO(q);break d}else if((p|0)==46){c=pb()|0;p=49}else if((p|0)==47){c=pb()|0;DO(s);p=49}else if((p|0)==50){y=0;oa(460,t|0,k[n>>2]|0);w=y;y=0;if(w&1){p=28;break d}k[t>>2]=13080;y=0;oa(460,a|0,k[t+4>>2]|0);w=y;y=0;if(w&1){c=pb()|0;DO(t);break d}else{k[a>>2]=7284;DO(t);c=1;p=54;break}}while(0);if((p|0)==49){DO(w);break}else if((p|0)==54){DO(z);break c}}while(0);if((p|0)==28){c=pb()|0;p=29}DO(z);break b}else p=56;else p=56;while(0);if((p|0)==56){y=0;c=qa(315,80)|0;z=y;y=0;if(z&1){p=24;break}y=0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));Na(109,c|0,u|0,o|0);z=y;y=0;if(z&1){z=pb()|0;cra(c);c=z;break}y=0;oa(460,a|0,c|0);z=y;y=0;if(z&1){p=24;break}k[a>>2]=7284;c=1}DO(A);if(!c)break a;r=x;return}}while(0);if((p|0)==24)c=pb()|0;DO(A);A=c;sb(A|0)}while(0);cra(j);A=c;sb(A|0)}while(0);LT(a,0);k[a>>2]=7284;r=x;return}function Nf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;p=0;x=r;r=r+112|0;u=x;A=x+88|0;f=x+96|0;z=x+72|0;m=x+80|0;q=x+64|0;w=x+56|0;s=x+48|0;t=x+40|0;a:do if(gv(b,0,0)|0){j=IM(84)|0;v=b+108|0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));y=0;na(422,j|0);o=y;y=0;do if(o&1)c=pb()|0;else{g=j+12|0;h=u;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[j>>2]=10968;k[c>>2]=4;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);o=y;y=0;if(o&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{A=e+-8|0;k[h>>2]=A;lc[k[k[A>>2]>>2]&511](A);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=10796;k[d>>2]=10928;k[j+80>>2]=0;k[c>>2]=4;LT(A,j);k[A>>2]=13080;n=A+4|0;c=(k[n>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(315,80)|0;o=y;y=0;b:do if(o&1)p=24;else{o=b+156|0;y=0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));Na(109,e|0,u|0,o|0);l=y;y=0;if(l&1){c=pb()|0;cra(e);break}y=0;oa(460,f|0,e|0);l=y;y=0;if(l&1)p=24;else{k[f>>2]=7284;y=0;oa(d|0,c|0,f|0);l=y;y=0;if(l&1){c=pb()|0;DO(f);break}DO(f);j=b+76|0;c=k[j>>2]|0;c:do if((i[c>>0]|0)==35)if((i[c+1>>0]|0)==123){y=0;oa(623,z|0,b|0);l=y;y=0;if(l&1){p=24;break b}c=k[z+4>>2]|0;do if(!c)p=18;else{d=(k[n>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,m|0,c|0);l=y;y=0;if(l&1)p=28;else{k[m>>2]=7284;y=0;oa(e|0,d|0,m|0);l=y;y=0;if(l&1){c=pb()|0;DO(m);break}else{DO(m);p=18;break}}}while(0);d:do if((p|0)==18){f=w+4|0;while(1){y=0;c=ta(144,b|0,0,0)|0;p=y;y=0;if(p&1){p=27;break}if(!c){c=0;p=54;break}d=(k[n>>2]|0)+60|0;c=k[(k[d>>2]|0)+20>>2]|0;y=0;e=qa(315,80)|0;p=y;y=0;if(p&1){p=27;break}y=0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));Na(109,e|0,u|0,o|0);p=y;y=0;if(p&1){p=44;break}y=0;oa(460,q|0,e|0);p=y;y=0;if(p&1){p=27;break}k[q>>2]=7284;y=0;oa(c|0,d|0,q|0);p=y;y=0;if(p&1){p=45;break}DO(q);c=k[j>>2]|0;if((i[c>>0]|0)!=35){p=50;break}if((i[c+1>>0]|0)!=123){p=50;break}y=0;oa(623,w|0,b|0);p=y;y=0;if(p&1){p=27;break}c=k[f>>2]|0;if(c|0){d=(k[n>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,s|0,c|0);p=y;y=0;if(p&1){p=46;break}k[s>>2]=7284;y=0;oa(e|0,d|0,s|0);p=y;y=0;if(p&1){p=47;break}DO(s)}DO(w)}do if((p|0)==27){c=pb()|0;p=29;break d}else if((p|0)==44){c=pb()|0;cra(e);break d}else if((p|0)==45){c=pb()|0;DO(q);break d}else if((p|0)==46){c=pb()|0;p=49}else if((p|0)==47){c=pb()|0;DO(s);p=49}else if((p|0)==50){y=0;oa(460,t|0,k[n>>2]|0);w=y;y=0;if(w&1){p=28;break d}k[t>>2]=13080;y=0;oa(460,a|0,k[t+4>>2]|0);w=y;y=0;if(w&1){c=pb()|0;DO(t);break d}else{k[a>>2]=7284;DO(t);c=1;p=54;break}}while(0);if((p|0)==49){DO(w);break}else if((p|0)==54){DO(z);break c}}while(0);if((p|0)==28){c=pb()|0;p=29}DO(z);break b}else p=56;else p=56;while(0);if((p|0)==56){y=0;c=qa(315,80)|0;z=y;y=0;if(z&1){p=24;break}y=0;g=u;h=v;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));Na(109,c|0,u|0,o|0);z=y;y=0;if(z&1){z=pb()|0;cra(c);c=z;break}y=0;oa(460,a|0,c|0);z=y;y=0;if(z&1){p=24;break}k[a>>2]=7284;c=1}DO(A);if(!c)break a;r=x;return}}while(0);if((p|0)==24)c=pb()|0;DO(A);A=c;sb(A|0)}while(0);cra(j);A=c;sb(A|0)}while(0);LT(a,0);k[a>>2]=7284;r=x;return}function Of(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0;g=0;k[a+4>>2]=b+-1;k[a>>2]=28548;f=a+8|0;y=0;oa(708,f|0,28);e=y;y=0;if(e&1)b=pb()|0;else{e=a+144|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,56256,1);d=y;y=0;if(d&1)b=pb()|0;else{b=k[f>>2]|0;c=a+12|0;d=k[c>>2]|0;while(1){if((d|0)==(b|0))break;h=d+-4|0;k[c>>2]=h;d=h}k[19227]=0;k[19226]=26212;y=0;oa(709,a|0,76904);h=y;y=0;do if(h&1)g=42;else{k[19229]=0;k[19228]=26244;y=0;oa(710,a|0,76912);h=y;y=0;if(h&1)g=42;else{k[19231]=0;k[19230]=28568;k[19232]=0;i[76932]=0;h=uR()|0;k[19232]=h;y=0;oa(711,a|0,76920);h=y;y=0;if(h&1)g=42;else{k[19235]=0;k[19234]=28764;y=0;oa(712,a|0,76936);h=y;y=0;if(h&1)g=42;else{k[19237]=0;k[19236]=28832;y=0;oa(713,a|0,76944);h=y;y=0;if(h&1)g=42;else{y=0;oa(714,76952,1);h=y;y=0;if(h&1)g=42;else{y=0;oa(715,a|0,76952);h=y;y=0;if(h&1)g=42;else{k[19243]=0;k[19242]=28880;y=0;oa(716,a|0,76968);h=y;y=0;if(h&1)g=42;else{k[19245]=0;k[19244]=28928;y=0;oa(717,a|0,76976);h=y;y=0;if(h&1)g=42;else{_N(76984,1);y=0;oa(718,a|0,76984);h=y;y=0;if(h&1)g=42;else{UN(77008,1);y=0;oa(719,a|0,77008);h=y;y=0;if(h&1)g=42;else{k[19261]=0;k[19260]=26276;y=0;oa(720,a|0,77040);h=y;y=0;if(h&1)g=42;else{k[19263]=0;k[19262]=26340;y=0;oa(721,a|0,77048);h=y;y=0;if(h&1)g=42;else{k[19265]=0;k[19264]=26404;y=0;oa(722,a|0,77056);h=y;y=0;if(h&1)g=42;else{k[19267]=0;k[19266]=26456;y=0;oa(723,a|0,77064);h=y;y=0;if(h&1)g=42;else{k[19269]=0;k[19268]=28004;y=0;oa(724,a|0,77072);h=y;y=0;if(h&1){g=42;break}k[19271]=0;k[19270]=28060;y=0;oa(725,a|0,77080);h=y;y=0;if(h&1){g=42;break}k[19273]=0;k[19272]=28116;y=0;oa(726,a|0,77088);h=y;y=0;if(h&1){g=42;break}k[19275]=0;k[19274]=28172;y=0;oa(727,a|0,77096);h=y;y=0;if(h&1){g=42;break}k[19277]=0;k[19276]=28228;y=0;oa(728,a|0,77104);h=y;y=0;if(h&1){g=42;break}k[19279]=0;k[19278]=28256;y=0;oa(729,a|0,77112);h=y;y=0;if(h&1){g=42;break}k[19281]=0;k[19280]=28284;y=0;oa(730,a|0,77120);h=y;y=0;if(h&1){g=42;break}k[19283]=0;k[19282]=28312;y=0;oa(731,a|0,77128);h=y;y=0;if(h&1){g=42;break}k[19285]=0;k[19284]=26508;k[19286]=26556;y=0;oa(732,a|0,77136);h=y;y=0;if(h&1){g=42;break}k[19289]=0;k[19288]=26592;k[19290]=26640;y=0;oa(733,a|0,77152);h=y;y=0;if(h&1){g=42;break}k[19293]=0;k[19292]=28744;y=0;b=La(3)|0;h=y;y=0;if(h&1){b=pb()|0;break}k[19294]=b;k[19292]=27956;y=0;oa(734,a|0,77168);h=y;y=0;if(h&1){g=42;break}k[19297]=0;k[19296]=28744;y=0;b=La(3)|0;h=y;y=0;if(h&1){b=pb()|0;break}k[19298]=b;k[19296]=27980;y=0;oa(735,a|0,77184);h=y;y=0;if(h&1){g=42;break}k[19301]=0;k[19300]=28340;y=0;oa(736,a|0,77200);h=y;y=0;if(h&1){g=42;break}k[19303]=0;k[19302]=28372;y=0;oa(737,a|0,77208);h=y;y=0;if(h&1){g=42;break}return}}}}}}}}}}}}}}}while(0);if((g|0)==42)b=pb()|0;A9(e)}OL(f)}sb(b|0)}function Pf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;h=0;z=r;r=r+96|0;B=z+88|0;d=z+80|0;f=z+56|0;g=z+48|0;w=z+72|0;t=z+32|0;u=z+24|0;v=z+16|0;q=z+8|0;s=z;A=z+64|0;x=z+40|0;e=b+76|0;LT(d,k[e>>2]|0);k[d>>2]=6756;c=k[d+4>>2]|0;if(!c)c=0;else c=(k[481]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,B|0,c|0);p=y;y=0;if(p&1){B=pb()|0;DO(d);sb(B|0)}k[B>>2]=6756;DO(d);d=B+4|0;c=k[d>>2]|0;a:do if(!c)h=52;else{y=0;c=Ha(1022,0,c|0)|0;p=y;y=0;if(p&1)h=14;else{y=0;oa(460,g|0,c|0);p=y;y=0;if(p&1)h=14;else{k[g>>2]=6756;c=b+72|0;if(!(k[e>>2]|0))h=9;else{y=0;na(423,c|0);p=y;y=0;if(!(p&1))h=9}if((h|0)==9){k[e>>2]=k[g+4>>2];y=0;na(424,c|0);p=y;y=0;if(!(p&1)){y=0;oa(460,f|0,k[e>>2]|0);p=y;y=0;if(!(p&1)){k[f>>2]=6756;DO(f);DO(g);i=k[d>>2]|0;c=k[i+76>>2]|0;i=k[i+80>>2]|0;if((c|0)==(i|0)){h=52;break}j=w+4|0;l=t+4|0;m=A+4|0;n=u+4|0;o=v+4|0;p=s+4|0;b:while(1){y=0;oa(460,w|0,k[c+4>>2]|0);h=y;y=0;if(h&1){h=22;break}k[w>>2]=15136;d=k[j>>2]|0;if(d|0)do{y=0;oa(460,t|0,k[d+80>>2]|0);h=y;y=0;if(h&1){h=23;break b}k[t>>2]=15152;h=(k[l>>2]|0)==0;DO(t);do if(!h){y=0;oa(460,u|0,k[(k[j>>2]|0)+80>>2]|0);h=y;y=0;if(h&1){h=23;break b}k[u>>2]=15152;h=k[n>>2]|0;DO(u);d=k[h+76>>2]|0;h=k[h+80>>2]|0;if((d|0)==(h|0))break;do{f=k[d+4>>2]|0;c:do if(f|0){if((k[23]|0)!=(k[(k[(k[f>>2]|0)+-4>>2]|0)+4>>2]|0))break;g=f+108|0;y=0;oa(460,v|0,k[g>>2]|0);e=y;y=0;if(e&1){h=38;break b}k[v>>2]=6756;e=k[o>>2]|0;do if(e|0){if((k[481]|0)!=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0))break;DO(v);y=0;e=Ha(1022,0,e|0)|0;C=y;y=0;if(C&1){h=39;break b}y=0;na(425,e|0);C=y;y=0;if(C&1){h=40;break b}y=0;oa(460,s|0,e|0);C=y;y=0;if(C&1){h=40;break b}k[s>>2]=6756;e=f+104|0;if(k[g>>2]|0){y=0;na(423,e|0);C=y;y=0;if(C&1){h=41;break b}}k[g>>2]=k[p>>2];y=0;na(424,e|0);C=y;y=0;if(C&1){h=41;break b}y=0;oa(460,q|0,k[g>>2]|0);C=y;y=0;if(C&1){h=41;break b}k[q>>2]=6756;DO(q);DO(s);break c}while(0);DO(v)}while(0);d=d+8|0}while((d|0)!=(h|0))}while(0);y=0;oa(460,A|0,k[(k[j>>2]|0)+88>>2]|0);C=y;y=0;if(C&1){h=47;break b}k[A>>2]=15136;if(k[j>>2]|0){y=0;na(423,w|0);C=y;y=0;if(C&1){h=48;break b}}k[j>>2]=k[m>>2];k[m>>2]=0;DO(A);d=k[j>>2]|0}while((d|0)!=0);DO(w);c=c+8|0;if((c|0)==(i|0)){h=52;break a}}if((h|0)==22){c=pb()|0;break}else if((h|0)==23)c=pb()|0;else if((h|0)==38)c=pb()|0;else if((h|0)==39)c=pb()|0;else if((h|0)==40)c=pb()|0;else if((h|0)==41){c=pb()|0;DO(s)}else if((h|0)==47){c=pb()|0;h=49}else if((h|0)==48){c=pb()|0;DO(A);h=49}DO(w);break}}}c=pb()|0;DO(g)}}}while(0);if((h|0)==52){y=0;oa(460,A|0,k[b+68>>2]|0);C=y;y=0;if(C&1)h=14;else{k[A>>2]=6868;e=A+4|0;d=k[e>>2]|0;f=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>3;if(!f){DO(A);DO(B);r=z;return}g=x+4|0;c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;C=y;y=0;if(C&1){h=62;break}if(k[d+4>>2]|0){d=(k[e>>2]|0)+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;C=y;y=0;if(C&1){h=62;break}y=0;oa(460,x|0,k[d+4>>2]|0);C=y;y=0;if(C&1){h=62;break}k[x>>2]=6508;C=k[g>>2]|0;y=0;oa(k[(k[C>>2]|0)+44>>2]|0,C|0,a|0);C=y;y=0;if(C&1){h=63;break}DO(x)}c=c+1|0;if(c>>>0>=f>>>0){h=55;break}d=k[e>>2]|0}if((h|0)==55){DO(A);DO(B);r=z;return}else if((h|0)==62)c=pb()|0;else if((h|0)==63){c=pb()|0;DO(x)}DO(A)}}if((h|0)==14)c=pb()|0;DO(B);C=c;sb(C|0)}function Qf(a){a=a|0;var b=0,c=0,d=0,e=0;e=0;b=Hj(a)|0;if(!b)e=4;else{while(1){c=Hj(b)|0;if(!c)break;else b=c}if((i[b>>0]|0)==37)e=4}if((e|0)==4){if((i[a>>0]|0)==45){b=a;do b=b+1|0;while((i[b>>0]|0)==45)}else b=a;b=hx(b)|0;if(!b){e=0;return e|0}b=gx(b)|0;if(!b){e=0;return e|0}}d=fm(b)|0;if(!d){e=0;return e|0}if((i[d>>0]|0)!=40){e=d;return e|0}a=ru(d+1|0)|0;if(!a){e=d;return e|0}b=Ar(a)|0;do if(!b)b=0;else{b=ru(b)|0;if(!b)b=0;else if((i[b>>0]|0)==61){c=ru(b+1|0)|0;if(!c)b=0;else{b=c+1|0;if((i[c>>0]|0)==36){if((i[b>>0]|0)==45)do b=b+1|0;while((i[b>>0]|0)==45);b=hx(b)|0;if(!b)e=20;else{b=gx(b)|0;if(!b)e=20}}else e=20;if((e|0)==20){b=Gq(c)|0;if(!b){b=0;break}}c=uq(b)|0;if(c){b=c;while(1){c=uq(b)|0;if(!c)break;else b=c}}}}else b=0}while(0);b=b|0?b:a;if(!b){e=d;return e|0}c=ru(b)|0;if(!c){e=d;return e|0}if((i[c>>0]|0)!=41){e=d;return e|0}while(1){b=c+1|0;if((i[b>>0]|0)!=40){e=43;break}d=ru(c+2|0)|0;if(!d){e=43;break}c=Ar(d)|0;do if(!c)c=0;else{c=ru(c)|0;if(!c)c=0;else if((i[c>>0]|0)==61){a=ru(c+1|0)|0;if(!a)c=0;else{c=a+1|0;if((i[a>>0]|0)==36){if((i[c>>0]|0)==45)do c=c+1|0;while((i[c>>0]|0)==45);c=hx(c)|0;if(!c)e=36;else{c=gx(c)|0;if(!c)e=36}}else e=36;if((e|0)==36){e=0;c=Gq(a)|0;if(!c){c=0;break}}a=uq(c)|0;if(a){c=a;while(1){a=uq(c)|0;if(!a)break;else c=a}}}}else c=0}while(0);c=c|0?c:d;if(!c){e=43;break}c=ru(c)|0;if(!c){e=43;break}if((i[c>>0]|0)!=41){e=43;break}}if((e|0)==43)return b|0;return 0}function Rf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;o=0;l=r;r=r+64|0;q=l+48|0;s=l+40|0;c=l+24|0;p=l+32|0;n=l+16|0;m=l;cL(q,b+72|0);y=0;oa(460,c|0,k[b+88>>2]|0);j=y;y=0;if(j&1){s=pb()|0;A9(q);sb(s|0)}k[c>>2]=6756;y=0;oa(460,s|0,k[c+4>>2]|0);j=y;y=0;if(j&1){s=pb()|0;DO(c);A9(q);sb(s|0)}k[s>>2]=15168;DO(c);y=0;oa(460,p|0,k[b+96>>2]|0);j=y;y=0;if(j&1)c=pb()|0;else{k[p>>2]=7284;y=0;oa(460,n|0,k[b+68>>2]|0);j=y;y=0;if(j&1)c=pb()|0;else{k[n>>2]=6868;j=a+4|0;y=0;na(454,j|0);h=y;y=0;a:do if(h&1)o=15;else{y=0;Na(147,j|0,q|0,b|0);h=y;y=0;if(h&1)o=15;else{c=s+4|0;if(k[c>>2]|0){y=0;na(456,j|0);h=y;y=0;if(h&1){o=15;break}b=a+97|0;i[b>>0]=1;h=k[c>>2]|0;y=0;oa(k[(k[h>>2]|0)+44>>2]|0,h|0,a|0);h=y;y=0;if(h&1){o=15;break}i[b>>0]=0}c=p+4|0;b:do if(k[c>>2]|0){y=0;na(456,j|0);h=y;y=0;if(h&1){o=15;break a}h=k[c>>2]|0;y=0;oa(k[(k[h>>2]|0)+32>>2]|0,m|0,h|0);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;Na(147,j|0,m|0,k[c>>2]|0);h=y;y=0;if(h&1){c=pb()|0;A9(m);break}else{A9(m);break b}}while(0);break a}while(0);h=n+4|0;c=k[h>>2]|0;if(!c){y=0;na(458,j|0);o=y;y=0;if(o&1){o=15;break}DO(n);DO(p);DO(s);A9(q);r=l;return}y=0;c=qa(k[(k[c>>2]|0)+76>>2]|0,c|0)|0;g=y;y=0;if(g&1)o=15;else{if(!c){g=k[h>>2]|0;if((k[g+72>>2]|0)!=(k[g+68>>2]|0)){y=0;oa(680,j|0,0);g=y;y=0;if(g&1){o=15;break}g=i[q+11>>0]|0;do if(((g<<24>>24<0?k[q+4>>2]|0:g&255)|0)==10){y=0;c=sa(21,q|0,0,-1,48520,10)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}else{e=(c|0)==0;break}}else e=0;while(0);b=k[h>>2]|0;f=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>3;c:do if(f|0){g=m+4|0;d=f+-1|0;do if(e){c=0;while(1){b=b+64|0;y=0;b=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,c|0)|0;e=y;y=0;if(e&1){o=48;break}y=0;oa(460,m|0,k[b+4>>2]|0);e=y;y=0;if(e&1){o=48;break}k[m>>2]=6508;e=k[g>>2]|0;y=0;oa(k[(k[e>>2]|0)+44>>2]|0,e|0,a|0);e=y;y=0;if(e&1){o=49;break}DO(m);c=c+1|0;if(c>>>0>=f>>>0)break c;b=k[h>>2]|0}if((o|0)==48){c=pb()|0;o=57;break}else if((o|0)==49){c=pb()|0;o=59;break}}else{c=0;while(1){b=b+64|0;y=0;b=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,c|0)|0;e=y;y=0;if(e&1){o=56;break}y=0;oa(460,m|0,k[b+4>>2]|0);e=y;y=0;if(e&1){o=56;break}k[m>>2]=6508;e=k[g>>2]|0;y=0;oa(k[(k[e>>2]|0)+44>>2]|0,e|0,a|0);e=y;y=0;if(e&1){o=58;break}if(c>>>0<d>>>0){y=0;na(457,j|0);e=y;y=0;if(e&1){o=58;break}}DO(m);c=c+1|0;if(c>>>0>=f>>>0)break c;b=k[h>>2]|0}if((o|0)==56){c=pb()|0;o=57;break}else if((o|0)==58){c=pb()|0;o=59;break}}while(0);if((o|0)==57)break a;else if((o|0)==59){DO(m);break a}}while(0);y=0;oa(681,j|0,0);m=y;y=0;if(m&1){c=pb()|0;break}else{DO(n);DO(p);DO(s);A9(q);r=l;return}}}y=0;na(459,j|0);a=y;y=0;if(a&1)o=15;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,48517,2);a=y;y=0;do if(a&1)c=pb()|0;else{y=0;oa(679,j|0,m|0);a=y;y=0;if(a&1){c=pb()|0;A9(m);break}A9(m);DO(n);DO(p);DO(s);A9(q);r=l;return}while(0)}}}}while(0);if((o|0)==15)c=pb()|0;DO(n)}DO(p)}DO(s);s=c;A9(q);sb(s|0)}function Sf(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;U=0;V=r;r=r+144|0;j=V+128|0;h=V+112|0;S=V+124|0;T=V+120|0;l=V+116|0;m=V+108|0;n=V+104|0;o=V+100|0;p=V+96|0;q=V+92|0;s=V+88|0;t=V+84|0;u=V+80|0;v=V+76|0;w=V+72|0;x=V+68|0;z=V+64|0;A=V+60|0;B=V+56|0;C=V+52|0;D=V+48|0;E=V+44|0;F=V+40|0;G=V+36|0;H=V+32|0;I=V+28|0;J=V+24|0;K=V+20|0;L=V+16|0;M=V+12|0;N=V+8|0;O=V+4|0;P=V;k[e>>2]=0;Q=FV(d)|0;k[j>>2]=Q;y=0;R=Ha(977,j|0,83992)|0;W=y;y=0;if(W&1){W=pb()|0;RQ(Q)|0;sb(W|0)}RQ(Q)|0;do switch(g<<24>>24|0){case 65:case 97:{k[S>>2]=k[c>>2];k[j>>2]=k[S>>2];FE(a,f+24|0,b,j,e,R);U=28;break}case 104:case 66:case 98:{k[T>>2]=k[c>>2];k[j>>2]=k[T>>2];BE(a,f+16|0,b,j,e,R);U=28;break}case 99:{g=a+8|0;g=oc[k[(k[g>>2]|0)+12>>2]&511](g)|0;k[l>>2]=k[b>>2];k[m>>2]=k[c>>2];U=i[g+8+3>>0]|0;c=U<<24>>24<0;W=c?k[g>>2]|0:g;U=W+((c?k[g+4>>2]|0:U&255)<<2)|0;k[h>>2]=k[l>>2];k[j>>2]=k[m>>2];U=sh(a,h,j,d,e,f,W,U)|0;k[b>>2]=U;U=28;break}case 101:case 100:{k[n>>2]=k[c>>2];k[j>>2]=k[n>>2];rG(a,f+12|0,b,j,e,R);U=28;break}case 68:{k[o>>2]=k[b>>2];k[p>>2]=k[c>>2];k[h>>2]=k[o>>2];k[j>>2]=k[p>>2];U=sh(a,h,j,d,e,f,27756,27788)|0;k[b>>2]=U;U=28;break}case 70:{k[q>>2]=k[b>>2];k[s>>2]=k[c>>2];k[h>>2]=k[q>>2];k[j>>2]=k[s>>2];U=sh(a,h,j,d,e,f,27788,27820)|0;k[b>>2]=U;U=28;break}case 72:{k[t>>2]=k[c>>2];k[j>>2]=k[t>>2];EG(a,f+8|0,b,j,e,R);U=28;break}case 73:{k[u>>2]=k[c>>2];k[j>>2]=k[u>>2];nG(a,f+8|0,b,j,e,R);U=28;break}case 106:{k[v>>2]=k[c>>2];k[j>>2]=k[v>>2];sG(a,f+28|0,b,j,e,R);U=28;break}case 109:{k[w>>2]=k[c>>2];k[j>>2]=k[w>>2];wG(a,f+16|0,b,j,e,R);U=28;break}case 77:{k[x>>2]=k[c>>2];k[j>>2]=k[x>>2];AG(a,f+4|0,b,j,e,R);U=28;break}case 116:case 110:{k[z>>2]=k[c>>2];k[j>>2]=k[z>>2];Vo(a,b,j,e,R);U=28;break}case 112:{k[A>>2]=k[c>>2];k[j>>2]=k[A>>2];Nz(a,f+8|0,b,j,e,R);U=28;break}case 114:{k[B>>2]=k[b>>2];k[C>>2]=k[c>>2];k[h>>2]=k[B>>2];k[j>>2]=k[C>>2];U=sh(a,h,j,d,e,f,27820,27864)|0;k[b>>2]=U;U=28;break}case 82:{k[D>>2]=k[b>>2];k[E>>2]=k[c>>2];k[h>>2]=k[D>>2];k[j>>2]=k[E>>2];U=sh(a,h,j,d,e,f,27864,27884)|0;k[b>>2]=U;U=28;break}case 83:{k[F>>2]=k[c>>2];k[j>>2]=k[F>>2];zG(a,f,b,j,e,R);U=28;break}case 84:{k[G>>2]=k[b>>2];k[H>>2]=k[c>>2];k[h>>2]=k[G>>2];k[j>>2]=k[H>>2];U=sh(a,h,j,d,e,f,27884,27916)|0;k[b>>2]=U;U=28;break}case 119:{k[I>>2]=k[c>>2];k[j>>2]=k[I>>2];yG(a,f+24|0,b,j,e,R);U=28;break}case 120:{W=k[(k[a>>2]|0)+20>>2]|0;k[J>>2]=k[b>>2];k[K>>2]=k[c>>2];k[h>>2]=k[J>>2];k[j>>2]=k[K>>2];h=nc[W&63](a,h,j,d,e,f)|0;break}case 88:{g=a+8|0;g=oc[k[(k[g>>2]|0)+24>>2]&511](g)|0;k[L>>2]=k[b>>2];k[M>>2]=k[c>>2];U=i[g+8+3>>0]|0;c=U<<24>>24<0;W=c?k[g>>2]|0:g;U=W+((c?k[g+4>>2]|0:U&255)<<2)|0;k[h>>2]=k[L>>2];k[j>>2]=k[M>>2];U=sh(a,h,j,d,e,f,W,U)|0;k[b>>2]=U;U=28;break}case 121:{k[N>>2]=k[c>>2];k[j>>2]=k[N>>2];VF(a,f+20|0,b,j,e,R);U=28;break}case 89:{k[O>>2]=k[c>>2];k[j>>2]=k[O>>2];BH(a,f+20|0,b,j,e,R);U=28;break}case 37:{k[P>>2]=k[c>>2];k[j>>2]=k[P>>2];Co(a,b,j,e,R);U=28;break}default:{k[e>>2]=k[e>>2]|4;U=28}}while(0);if((U|0)==28)h=k[b>>2]|0;r=V;return h|0}function Tf(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;var j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;U=0;V=r;r=r+144|0;j=V+128|0;h=V+112|0;S=V+124|0;T=V+120|0;l=V+116|0;m=V+108|0;n=V+104|0;o=V+100|0;p=V+96|0;q=V+92|0;s=V+88|0;t=V+84|0;u=V+80|0;v=V+76|0;w=V+72|0;x=V+68|0;z=V+64|0;A=V+60|0;B=V+56|0;C=V+52|0;D=V+48|0;E=V+44|0;F=V+40|0;G=V+36|0;H=V+32|0;I=V+28|0;J=V+24|0;K=V+20|0;L=V+16|0;M=V+12|0;N=V+8|0;O=V+4|0;P=V;k[e>>2]=0;Q=FV(d)|0;k[j>>2]=Q;y=0;R=Ha(977,j|0,83960)|0;W=y;y=0;if(W&1){W=pb()|0;RQ(Q)|0;sb(W|0)}RQ(Q)|0;do switch(g<<24>>24|0){case 65:case 97:{k[S>>2]=k[c>>2];k[j>>2]=k[S>>2];GE(a,f+24|0,b,j,e,R);U=28;break}case 104:case 66:case 98:{k[T>>2]=k[c>>2];k[j>>2]=k[T>>2];CE(a,f+16|0,b,j,e,R);U=28;break}case 99:{g=a+8|0;g=oc[k[(k[g>>2]|0)+12>>2]&511](g)|0;k[l>>2]=k[b>>2];k[m>>2]=k[c>>2];U=i[g+11>>0]|0;c=U<<24>>24<0;W=c?k[g>>2]|0:g;U=W+(c?k[g+4>>2]|0:U&255)|0;k[h>>2]=k[l>>2];k[j>>2]=k[m>>2];U=Gh(a,h,j,d,e,f,W,U)|0;k[b>>2]=U;U=28;break}case 101:case 100:{k[n>>2]=k[c>>2];k[j>>2]=k[n>>2];tG(a,f+12|0,b,j,e,R);U=28;break}case 68:{k[o>>2]=k[b>>2];k[p>>2]=k[c>>2];k[h>>2]=k[o>>2];k[j>>2]=k[p>>2];U=Gh(a,h,j,d,e,f,56959,56967)|0;k[b>>2]=U;U=28;break}case 70:{k[q>>2]=k[b>>2];k[s>>2]=k[c>>2];k[h>>2]=k[q>>2];k[j>>2]=k[s>>2];U=Gh(a,h,j,d,e,f,56967,56975)|0;k[b>>2]=U;U=28;break}case 72:{k[t>>2]=k[c>>2];k[j>>2]=k[t>>2];FG(a,f+8|0,b,j,e,R);U=28;break}case 73:{k[u>>2]=k[c>>2];k[j>>2]=k[u>>2];oG(a,f+8|0,b,j,e,R);U=28;break}case 106:{k[v>>2]=k[c>>2];k[j>>2]=k[v>>2];uG(a,f+28|0,b,j,e,R);U=28;break}case 109:{k[w>>2]=k[c>>2];k[j>>2]=k[w>>2];xG(a,f+16|0,b,j,e,R);U=28;break}case 77:{k[x>>2]=k[c>>2];k[j>>2]=k[x>>2];DG(a,f+4|0,b,j,e,R);U=28;break}case 116:case 110:{k[z>>2]=k[c>>2];k[j>>2]=k[z>>2];eq(a,b,j,e,R);U=28;break}case 112:{k[A>>2]=k[c>>2];k[j>>2]=k[A>>2];Oz(a,f+8|0,b,j,e,R);U=28;break}case 114:{k[B>>2]=k[b>>2];k[C>>2]=k[c>>2];k[h>>2]=k[B>>2];k[j>>2]=k[C>>2];U=Gh(a,h,j,d,e,f,56975,56986)|0;k[b>>2]=U;U=28;break}case 82:{k[D>>2]=k[b>>2];k[E>>2]=k[c>>2];k[h>>2]=k[D>>2];k[j>>2]=k[E>>2];U=Gh(a,h,j,d,e,f,56986,56991)|0;k[b>>2]=U;U=28;break}case 83:{k[F>>2]=k[c>>2];k[j>>2]=k[F>>2];CG(a,f,b,j,e,R);U=28;break}case 84:{k[G>>2]=k[b>>2];k[H>>2]=k[c>>2];k[h>>2]=k[G>>2];k[j>>2]=k[H>>2];U=Gh(a,h,j,d,e,f,56991,56999)|0;k[b>>2]=U;U=28;break}case 119:{k[I>>2]=k[c>>2];k[j>>2]=k[I>>2];BG(a,f+24|0,b,j,e,R);U=28;break}case 120:{W=k[(k[a>>2]|0)+20>>2]|0;k[J>>2]=k[b>>2];k[K>>2]=k[c>>2];k[h>>2]=k[J>>2];k[j>>2]=k[K>>2];h=nc[W&63](a,h,j,d,e,f)|0;break}case 88:{g=a+8|0;g=oc[k[(k[g>>2]|0)+24>>2]&511](g)|0;k[L>>2]=k[b>>2];k[M>>2]=k[c>>2];U=i[g+11>>0]|0;c=U<<24>>24<0;W=c?k[g>>2]|0:g;U=W+(c?k[g+4>>2]|0:U&255)|0;k[h>>2]=k[L>>2];k[j>>2]=k[M>>2];U=Gh(a,h,j,d,e,f,W,U)|0;k[b>>2]=U;U=28;break}case 121:{k[N>>2]=k[c>>2];k[j>>2]=k[N>>2];WF(a,f+20|0,b,j,e,R);U=28;break}case 89:{k[O>>2]=k[c>>2];k[j>>2]=k[O>>2];CH(a,f+20|0,b,j,e,R);U=28;break}case 37:{k[P>>2]=k[c>>2];k[j>>2]=k[P>>2];Cp(a,b,j,e,R);U=28;break}default:{k[e>>2]=k[e>>2]|4;U=28}}while(0);if((U|0)==28)h=k[b>>2]|0;r=V;return h|0}function Uf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;n=0;x=r;r=r+32|0;f=x+4|0;l=x;w=a+8|0;e=k[w>>2]|0;u=a+4|0;h=k[u>>2]|0;j=(e|0)==(h|0);g=(j&1)+b|0;g=(((g>>>0)%146|0|0)!=0&1)+((g>>>0)/146|0)|0;i=e-h>>2;v=a+16|0;d=k[v>>2]|0;b=((((i|0)==0?0:(i*146|0)+-1|0)-((k[a+20>>2]|0)+d)|0)>>>0)/146|0;b=g>>>0<b>>>0?g:b;c=g-b|0;if(!c){k[v>>2]=(b*146|0)+d;if(!b){r=x;return}v=e+-4|0;k[f>>2]=k[v>>2];k[w>>2]=v;Du(a,f);b=b+-1|0;if(!b){r=x;return}do{v=(k[w>>2]|0)+-4|0;k[f>>2]=k[v>>2];k[w>>2]=v;Du(a,f);b=b+-1|0}while((b|0)!=0);r=x;return}s=a+12|0;d=k[a>>2]|0;e=(k[s>>2]|0)-d|0;if(c>>>0<=((e>>2)-i|0)>>>0){a:do if((h|0)==(d|0))n=7;else while(1){d=IM(4088)|0;k[f>>2]=d;Eu(a,f);c=c+-1|0;d=k[u>>2]|0;e=(k[v>>2]|0)+146+((((k[w>>2]|0)-d|0)==4)<<31>>31)|0;k[v>>2]=e;if(!c){c=e;break a}if((d|0)==(k[a>>2]|0)){n=7;break}}while(0);if((n|0)==7){do{u=IM(4088)|0;k[f>>2]=u;hw(a,f);c=c+-1|0;b=b+1|0}while((c|0)!=0);c=k[v>>2]|0}k[v>>2]=c+(b*146|0);if(!b){r=x;return}do{v=(k[w>>2]|0)+-4|0;k[f>>2]=k[v>>2];k[w>>2]=v;Du(a,f);b=b+-1|0}while((b|0)!=0);r=x;return}q=(g*146|0)+(j<<31>>31)|0;d=e>>1;t=i+c|0;d=d>>>0<t>>>0?t:d;k[f+12>>2]=0;k[f+16>>2]=a+12;do if(!d)e=0;else if(d>>>0>1073741823){x=gb(4)|0;Qoa(x);Wb(x|0,5760,404)}else{e=IM(d<<2)|0;break}while(0);k[f>>2]=e;t=f+8|0;k[t>>2]=e;p=f+4|0;k[p>>2]=e;g=f+12|0;k[g>>2]=e+(d<<2);while(1){y=0;d=qa(315,4088)|0;o=y;y=0;if(o&1){n=26;break}k[l>>2]=d;y=0;oa(515,f|0,l|0);o=y;y=0;if(o&1){n=26;break}c=c+-1|0;if(!c){n=20;break}}b:do if((n|0)==20){c:do if(!b)b=k[w>>2]|0;else{c=k[w>>2]|0;m=k[t>>2]|0;d:while(1){o=c+-4|0;n=k[g>>2]|0;c=n;i=m;do if((m|0)==(n|0)){n=k[p>>2]|0;l=k[f>>2]|0;d=l;if(n>>>0>l>>>0){c=n;e=((c-d>>2)+1|0)/-2|0;h=n+(e<<2)|0;c=i-c|0;d=c>>2;if(!d)c=n;else{fO(h|0,n|0,c|0)|0;c=k[p>>2]|0}n=h+(d<<2)|0;k[t>>2]=n;k[p>>2]=c+(e<<2);c=n;break}c=c-d>>1;c=(c|0)==0?1:c;if(c>>>0>1073741823){n=35;break d}y=0;d=qa(315,c<<2|0)|0;j=y;y=0;if(j&1){n=42;break d}i=d;e=d+(c>>>2<<2)|0;j=e;h=d+(c<<2)|0;if((n|0)==(m|0))c=j;else{c=j;d=n;do{k[e>>2]=k[d>>2];e=c+4|0;c=e;d=d+4|0}while((d|0)!=(m|0))}k[f>>2]=i;k[p>>2]=j;k[t>>2]=c;k[g>>2]=h;if(l){cra(l);c=k[t>>2]|0}}else c=m;while(0);k[c>>2]=k[o>>2];m=(k[t>>2]|0)+4|0;k[t>>2]=m;c=(k[w>>2]|0)+-4|0;k[w>>2]=c;b=b+-1|0;if(!b){b=c;break c}}if((n|0)==35){b=gb(4)|0;Qoa(b);y=0;Na(75,b|0,5760,404);y=0;b=pb()|0}else if((n|0)==42)b=pb()|0;m=b;break b}while(0);e=k[u>>2]|0;do if((e|0)==(b|0)){h=p;i=t;d=k[t>>2]|0}else{d=k[t>>2]|0;e:while(1){o=k[g>>2]|0;b=o;i=d;do if((d|0)==(o|0)){n=k[p>>2]|0;m=k[f>>2]|0;c=m;if(n>>>0>m>>>0){b=n;d=((b-c>>2)+1|0)/-2|0;h=n+(d<<2)|0;b=i-b|0;c=b>>2;if(!c)b=n;else{fO(h|0,n|0,b|0)|0;b=k[p>>2]|0}o=h+(c<<2)|0;k[t>>2]=o;k[p>>2]=b+(d<<2);b=o;break}b=b-c>>1;b=(b|0)==0?1:b;if(b>>>0>1073741823){n=59;break e}y=0;c=qa(315,b<<2|0)|0;o=y;y=0;if(o&1){n=66;break e}j=c;h=c+(b>>>2<<2)|0;l=h;i=c+(b<<2)|0;if((n|0)==(d|0))b=l;else{b=l;c=n;do{k[h>>2]=k[c>>2];h=b+4|0;b=h;c=c+4|0}while((c|0)!=(d|0))}k[f>>2]=j;k[p>>2]=l;k[t>>2]=b;k[g>>2]=i;if(m){cra(m);b=k[t>>2]|0}}else b=d;while(0);k[b>>2]=k[e>>2];d=(k[t>>2]|0)+4|0;k[t>>2]=d;e=e+4|0;b=k[w>>2]|0;if((e|0)==(b|0)){n=47;break}}if((n|0)==47){h=p;i=t;e=k[u>>2]|0;break}else if((n|0)==59){b=gb(4)|0;Qoa(b);y=0;Na(75,b|0,5760,404);y=0;b=pb()|0}else if((n|0)==66)b=pb()|0;m=b;break b}while(0);c=k[a>>2]|0;k[a>>2]=k[f>>2];k[f>>2]=c;k[u>>2]=k[h>>2];k[h>>2]=e;k[w>>2]=d;k[i>>2]=b;w=k[s>>2]|0;k[s>>2]=k[g>>2];k[g>>2]=w;k[v>>2]=q+(k[v>>2]|0);if((b|0)!=(e|0))k[t>>2]=b+(~((b+-4-e|0)>>>2)<<2);if(c|0)cra(c);r=x;return}else if((n|0)==26){b=tb(0)|0;vb(b|0)|0;b=k[p>>2]|0;if((b|0)!=(k[t>>2]|0))do{cra(k[b>>2]|0);b=b+4|0}while((b|0)!=(k[t>>2]|0));y=0;la(4);y=0;b=pb()|0;y=0;la(3);x=y;y=0;if(x&1){x=tb(0)|0;Sla(x)}else m=b}while(0);b=k[p>>2]|0;c=k[t>>2]|0;if((c|0)!=(b|0))k[t>>2]=c+(~((c+-4-b|0)>>>2)<<2);b=k[f>>2]|0;if(!b)sb(m|0);cra(b);sb(m|0)}function Vf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0,l=0,m=0.0,n=0.0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;z=0;w=r;r=r+256|0;s=w+216|0;A=w+16|0;x=w;v=w+176|0;t=w+160|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;aI(A,38272,6);y=0;b=s;j=e;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));b=sa(24,A|0,a|0,d|0,s|0,f|0)|0;u=y;y=0;if(u&1){z=pb()|0;A9(A);A=z;sb(A|0)}A9(A);m=+p[b+64>>3];m=m>255.0?255.0:m<0.0?0.0:m;n=+p[b+72>>3];n=n>255.0?255.0:n<0.0?0.0:n;o=+p[b+80>>3];o=o>255.0?255.0:o<0.0?0.0:o;h=+p[b+88>>3];h=h>1.0?255.0:(h<0.0?0.0:h)*255.0;u=A+64|0;b=A+8|0;k[b>>2]=15992;q=A+12|0;k[A>>2]=16032;k[u>>2]=16052;k[A+4>>2]=0;y=0;oa(528,A+64|0,q|0);l=y;y=0;if(l&1){A=pb()|0;Vja(u);sb(A|0)}k[A+136>>2]=0;k[A+140>>2]=-1;k[A>>2]=15972;k[u>>2]=16012;k[b>>2]=15992;y=0;na(433,q|0);l=y;y=0;do if(l&1)b=pb()|0;else{k[q>>2]=15832;d=A+44|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[A+60>>2]=24;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;oa(529,q|0,s|0);l=y;y=0;if(l&1){b=pb()|0;A9(s);A9(d);Xaa(q);break}A9(s);f=A+8|0;i[s>>0]=35;y=0;b=ta(47,f|0,s|0,1)|0;l=y;y=0;do if(l&1)z=24;else{k[b+(k[(k[b>>2]|0)+-12>>2]|0)+12>>2]=2;k[b+(k[(k[b>>2]|0)+-12>>2]|0)+76>>2]=48;b=f+(k[(k[f>>2]|0)+-12>>2]|0)+4|0;k[b>>2]=k[b>>2]&-75|8;k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=2;b=c+16|0;y=0;h=+ua(1,+h,k[(k[b>>2]|0)+4>>2]|0);c=y;y=0;if(!(c&1)){y=0;Ha(982,f|0,~~h>>>0|0)|0;c=y;y=0;if(!(c&1)){c=f+(k[(k[f>>2]|0)+-12>>2]|0)+4|0;k[c>>2]=k[c>>2]&-75|8;k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;h=+ua(1,+m,k[(k[b>>2]|0)+4>>2]|0);c=y;y=0;if(!(c&1)){y=0;Ha(982,f|0,~~h>>>0|0)|0;c=y;y=0;if(!(c&1)){c=f+(k[(k[f>>2]|0)+-12>>2]|0)+4|0;k[c>>2]=k[c>>2]&-75|8;k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;h=+ua(1,+n,k[(k[b>>2]|0)+4>>2]|0);c=y;y=0;if(!(c&1)){y=0;Ha(982,f|0,~~h>>>0|0)|0;c=y;y=0;if(!(c&1)){c=f+(k[(k[f>>2]|0)+-12>>2]|0)+4|0;k[c>>2]=k[c>>2]&-75|8;k[f+(k[(k[f>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;h=+ua(1,+o,k[(k[b>>2]|0)+4>>2]|0);c=y;y=0;if(!(c&1)){y=0;Ha(982,f|0,~~h>>>0|0)|0;c=y;y=0;if(!(c&1)){y=0;oa(530,x|0,q|0);c=y;y=0;if(c&1){z=24;break}g=x+11|0;b=i[g>>0]|0;a=b<<24>>24<0?k[x+4>>2]|0:b&255;do if(a|0){c=b<<24>>24<0?k[x>>2]|0:x;l=(bka(i[c>>0]|0)|0)&255;i[c>>0]=l;if((a|0)==1)break;else b=1;do{c=((i[g>>0]|0)<0?k[x>>2]|0:x)+b|0;l=(bka(i[c>>0]|0)|0)&255;i[c>>0]=l;b=b+1|0}while((b|0)!=(a|0))}while(0);y=0;g=qa(315,80)|0;c=y;y=0;if(c&1)b=pb()|0;else{b=v;j=e;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));y=0;oa(456,t|0,x|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=s;j=v;l=b+40|0;do{k[b>>2]=k[j>>2];b=b+4|0;j=j+4|0}while((b|0)<(l|0));Ea(2,g|0,s|0,t|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;A9(t);break}else{A9(t);A9(x);k[A>>2]=15972;k[u>>2]=16012;k[f>>2]=15992;k[q>>2]=15832;A9(d);Xaa(q);nla(A,16064);Vja(u);r=w;return g|0}}while(0);cra(g)}A9(x);break}}b=pb()|0;break}}b=pb()|0;break}}b=pb()|0;break}}b=pb()|0}while(0);if((z|0)==24)b=pb()|0;k[A>>2]=15972;k[u>>2]=16012;k[f>>2]=15992;k[q>>2]=15832;A9(d);Xaa(q);nla(A,16064);Vja(u);A=b;sb(A|0)}while(0);nla(A,16064);A=b;Vja(u);sb(A|0);return 0}function Wf(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0;if(!a)return;c=a+-8|0;g=k[20607]|0;if(c>>>0<g>>>0)Za();a=k[a+-4>>2]|0;b=a&3;if((b|0)==1)Za();d=a&-8;n=c+d|0;do if(!(a&1)){a=k[c>>2]|0;if(!b)return;j=c+(0-a)|0;i=a+d|0;if(j>>>0<g>>>0)Za();if((j|0)==(k[20608]|0)){a=n+4|0;b=k[a>>2]|0;if((b&3|0)!=3){q=j;e=i;break}k[20605]=i;k[a>>2]=b&-2;k[j+4>>2]=i|1;k[j+i>>2]=i;return}d=a>>>3;if(a>>>0<256){b=k[j+8>>2]|0;c=k[j+12>>2]|0;a=82452+(d<<1<<2)|0;if((b|0)!=(a|0)){if(b>>>0<g>>>0)Za();if((k[b+12>>2]|0)!=(j|0))Za()}if((c|0)==(b|0)){k[20603]=k[20603]&~(1<<d);q=j;e=i;break}if((c|0)==(a|0))f=c+8|0;else{if(c>>>0<g>>>0)Za();a=c+8|0;if((k[a>>2]|0)==(j|0))f=a;else Za()}k[b+12>>2]=c;k[f>>2]=b;q=j;e=i;break}f=k[j+24>>2]|0;c=k[j+12>>2]|0;do if((c|0)==(j|0)){c=j+16|0;b=c+4|0;a=k[b>>2]|0;if(!a){a=k[c>>2]|0;if(!a){h=0;break}else b=c}while(1){c=a+20|0;d=k[c>>2]|0;if(d|0){a=d;b=c;continue}c=a+16|0;d=k[c>>2]|0;if(!d)break;else{a=d;b=c}}if(b>>>0<g>>>0)Za();else{k[b>>2]=0;h=a;break}}else{d=k[j+8>>2]|0;if(d>>>0<g>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(j|0))Za();b=c+8|0;if((k[b>>2]|0)==(j|0)){k[a>>2]=c;k[b>>2]=d;h=c;break}else Za()}while(0);if(!f){q=j;e=i}else{a=k[j+28>>2]|0;b=82716+(a<<2)|0;if((j|0)==(k[b>>2]|0)){k[b>>2]=h;if(!h){k[20604]=k[20604]&~(1<<a);q=j;e=i;break}}else{if(f>>>0<(k[20607]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(j|0))k[a>>2]=h;else k[f+20>>2]=h;if(!h){q=j;e=i;break}}c=k[20607]|0;if(h>>>0<c>>>0)Za();k[h+24>>2]=f;a=j+16|0;b=k[a>>2]|0;do if(b|0)if(b>>>0<c>>>0)Za();else{k[h+16>>2]=b;k[b+24>>2]=h;break}while(0);a=k[a+4>>2]|0;if(!a){q=j;e=i}else if(a>>>0<(k[20607]|0)>>>0)Za();else{k[h+20>>2]=a;k[a+24>>2]=h;q=j;e=i;break}}}else{q=c;e=d}while(0);if(q>>>0>=n>>>0)Za();a=n+4|0;b=k[a>>2]|0;if(!(b&1))Za();if(!(b&2)){if((n|0)==(k[20609]|0)){p=(k[20606]|0)+e|0;k[20606]=p;k[20609]=q;k[q+4>>2]=p|1;if((q|0)!=(k[20608]|0))return;k[20608]=0;k[20605]=0;return}if((n|0)==(k[20608]|0)){p=(k[20605]|0)+e|0;k[20605]=p;k[20608]=q;k[q+4>>2]=p|1;k[q+p>>2]=p;return}e=(b&-8)+e|0;d=b>>>3;do if(b>>>0<256){b=k[n+8>>2]|0;c=k[n+12>>2]|0;a=82452+(d<<1<<2)|0;if((b|0)!=(a|0)){if(b>>>0<(k[20607]|0)>>>0)Za();if((k[b+12>>2]|0)!=(n|0))Za()}if((c|0)==(b|0)){k[20603]=k[20603]&~(1<<d);break}if((c|0)==(a|0))l=c+8|0;else{if(c>>>0<(k[20607]|0)>>>0)Za();a=c+8|0;if((k[a>>2]|0)==(n|0))l=a;else Za()}k[b+12>>2]=c;k[l>>2]=b}else{f=k[n+24>>2]|0;a=k[n+12>>2]|0;do if((a|0)==(n|0)){c=n+16|0;b=c+4|0;a=k[b>>2]|0;if(!a){a=k[c>>2]|0;if(!a){m=0;break}else b=c}while(1){c=a+20|0;d=k[c>>2]|0;if(d|0){a=d;b=c;continue}c=a+16|0;d=k[c>>2]|0;if(!d)break;else{a=d;b=c}}if(b>>>0<(k[20607]|0)>>>0)Za();else{k[b>>2]=0;m=a;break}}else{b=k[n+8>>2]|0;if(b>>>0<(k[20607]|0)>>>0)Za();c=b+12|0;if((k[c>>2]|0)!=(n|0))Za();d=a+8|0;if((k[d>>2]|0)==(n|0)){k[c>>2]=a;k[d>>2]=b;m=a;break}else Za()}while(0);if(f|0){a=k[n+28>>2]|0;b=82716+(a<<2)|0;if((n|0)==(k[b>>2]|0)){k[b>>2]=m;if(!m){k[20604]=k[20604]&~(1<<a);break}}else{if(f>>>0<(k[20607]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(n|0))k[a>>2]=m;else k[f+20>>2]=m;if(!m)break}c=k[20607]|0;if(m>>>0<c>>>0)Za();k[m+24>>2]=f;a=n+16|0;b=k[a>>2]|0;do if(b|0)if(b>>>0<c>>>0)Za();else{k[m+16>>2]=b;k[b+24>>2]=m;break}while(0);a=k[a+4>>2]|0;if(a|0)if(a>>>0<(k[20607]|0)>>>0)Za();else{k[m+20>>2]=a;k[a+24>>2]=m;break}}}while(0);k[q+4>>2]=e|1;k[q+e>>2]=e;if((q|0)==(k[20608]|0)){k[20605]=e;return}}else{k[a>>2]=b&-2;k[q+4>>2]=e|1;k[q+e>>2]=e}a=e>>>3;if(e>>>0<256){c=82452+(a<<1<<2)|0;b=k[20603]|0;a=1<<a;if(!(b&a)){k[20603]=b|a;o=c;p=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[20607]|0)>>>0)Za();else{o=b;p=a}}k[p>>2]=q;k[o+12>>2]=q;k[q+8>>2]=o;k[q+12>>2]=c;return}a=e>>>8;if(!a)a=0;else if(e>>>0>16777215)a=31;else{o=(a+1048320|0)>>>16&8;p=a<<o;n=(p+520192|0)>>>16&4;p=p<<n;a=(p+245760|0)>>>16&2;a=14-(n|o|a)+(p<<a>>>15)|0;a=e>>>(a+7|0)&1|a<<1}d=82716+(a<<2)|0;k[q+28>>2]=a;k[q+20>>2]=0;k[q+16>>2]=0;b=k[20604]|0;c=1<<a;do if(!(b&c)){k[20604]=b|c;k[d>>2]=q;k[q+24>>2]=d;k[q+12>>2]=q;k[q+8>>2]=q}else{b=e<<((a|0)==31?0:25-(a>>>1)|0);d=k[d>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(e|0)){a=130;break}c=d+16+(b>>>31<<2)|0;a=k[c>>2]|0;if(!a){a=127;break}else{b=b<<1;d=a}}if((a|0)==127)if(c>>>0<(k[20607]|0)>>>0)Za();else{k[c>>2]=q;k[q+24>>2]=d;k[q+12>>2]=q;k[q+8>>2]=q;break}else if((a|0)==130){a=d+8|0;b=k[a>>2]|0;p=k[20607]|0;if(b>>>0>=p>>>0&d>>>0>=p>>>0){k[b+12>>2]=q;k[a>>2]=q;k[q+8>>2]=b;k[q+12>>2]=d;k[q+24>>2]=0;break}else Za()}}while(0);q=(k[20611]|0)+-1|0;k[20611]=q;if(!q)a=82868;else return;while(1){a=k[a>>2]|0;if(!a)break;else a=a+8|0}k[20611]=-1;return}function Xf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;u=0;B=r;r=r+160|0;x=B+120|0;q=B;t=B+52|0;s=B+40|0;z=B+80|0;A=B+64|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,38830,7);p=y;y=0;a:do if(p&1){b=tb(0)|0;u=36}else{y=0;g=x;j=e;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));c=sa(25,q|0,a|0,d|0,x|0,f|0)|0;p=y;y=0;if(p&1){b=tb(0)|0;A9(q);u=36;break}A9(q);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,39143,10);p=y;y=0;do if(p&1)b=tb(0)|0;else{y=0;g=x;j=e;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));b=sa(25,q|0,a|0,d|0,x|0,f|0)|0;p=y;y=0;if(p&1){b=tb(0)|0;A9(q);break}A9(q);y=0;oa(456,t|0,c+64|0);p=y;y=0;if(p&1){b=tb(0)|0;u=51;break a}y=0;ma(5,x|0,t|0,0,0,1);p=y;y=0;do if(p&1)b=tb(0)|0;else{c=t+11|0;if((i[c>>0]|0)<0){i[k[t>>2]>>0]=0;k[t+4>>2]=0}else{i[t>>0]=0;i[c>>0]=0}y=0;oa(500,t|0,0);p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}k[t>>2]=k[x>>2];k[t+4>>2]=k[x+4>>2];k[t+8>>2]=k[x+8>>2];k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;A9(x);y=0;oa(456,s|0,b+64|0);p=y;y=0;if(p&1){b=tb(0)|0;break}y=0;ma(5,x|0,s|0,0,0,1);p=y;y=0;b:do if(p&1)b=tb(0)|0;else{b=s+11|0;if((i[b>>0]|0)<0){i[k[s>>2]>>0]=0;k[s+4>>2]=0}else{i[s>>0]=0;i[b>>0]=0}y=0;oa(500,s|0,0);p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}k[s>>2]=k[x>>2];k[s+4>>2]=k[x+4>>2];k[s+8>>2]=k[x+8>>2];k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;A9(x);c=i[c>>0]|0;p=c<<24>>24<0;g=p?k[t>>2]|0:t;c=p?k[t+4>>2]|0:c&255;b=i[b>>0]|0;p=b<<24>>24<0;l=p?k[s>>2]|0:s;b=p?k[s+4>>2]|0:b&255;do if(c>>>0<b>>>0)u=31;else{if(!b)b=0;else{p=g+c|0;m=l+b|0;o=g;n=p;c:do if((c|0)<(b|0))c=n;else{d=p+(1-b)|0;if((d|0)==(g|0)){c=n;break}j=i[l>>0]|0;c=o;b=g;while(1){while(1){if((i[b>>0]|0)==j<<24>>24){g=l;a=b;break}b=b+1|0;if((b|0)==(d|0)){c=n;break c}else c=b}do{g=g+1|0;if((g|0)==(m|0))break c;a=a+1|0}while((i[a>>0]|0)==(i[g>>0]|0));b=b+1|0;if((b|0)==(d|0)){c=n;break}else c=b}}while(0);b=c-o|0;if((c|0)==(p|0)|(b|0)==-1){u=31;break}}y=0;c=ta(50,t|0,0,b|0)|0;q=y;y=0;if(q&1)u=44;else{g=1;b=0;c=c+1|0}}while(0);do if((u|0)==31){y=0;b=qa(315,60)|0;p=y;y=0;if(p&1)u=44;else{g=q;j=e;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));y=0;na(422,b|0);p=y;y=0;if(p&1){u=tb(0)|0;cra(b);b=u;break b}else{g=b+12|0;j=q;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=12584;k[b+56>>2]=8;g=0;c=-1;break}}}while(0);if((u|0)==44){b=tb(0)|0;break}A9(s);A9(t);if(g){v=c;w=e;break a}r=B;return b|0}while(0);A9(s)}while(0);A9(t);u=51;break a}while(0);u=51}while(0);if((u|0)==36)u=51;do if((u|0)==51){vb(b|0)|0;y=0;oa(558,e|0,f|0);f=y;y=0;if(!(f&1)){rb();v=-1;w=e;break}b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}else{B=b;sb(B|0)}}while(0);c=IM(104)|0;g=z;j=w;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(v>>>0);y=0;g=x;j=z;l=g+40|0;do{k[g>>2]=k[j>>2];g=g+4|0;j=j+4|0}while((g|0)<(l|0));Ca(1,c|0,x|0,+h,A|0,1);e=y;y=0;if(e&1){b=pb()|0;A9(A);break}A9(A);e=c;r=B;return e|0}while(0);cra(c);B=b;sb(B|0);return 0}function Yf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;q=0;w=r;r=r+64|0;t=w+40|0;x=w+44|0;p=w+28|0;j=w+24|0;l=w+16|0;o=w+8|0;h=w;k[t>>2]=b;v=a+16|0;u=k[v>>2]|0;f=b;do if(!b){e=0;c=0;q=82}else{n=k[371]|0;if((n|0)!=(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)){do if(oc[k[(k[b>>2]|0)+80>>2]&511](b)|0)if(!u)c=1;else{d=k[(k[(k[u>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[81]|0)!=(d|0)&(k[61]|0)==(d|0)){c=(i[u+84>>0]|0)!=0;if(c){c=c^1;break}}c=(k[371]|0)!=(d|0)}else c=0;while(0);d=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[147]|0)==(d|0)|(k[179]|0)==(d|0)|(k[175]|0)==(d|0)|(k[171]|0)==(d|0)|(k[183]|0)==(d|0))break;e=c;c=(k[105]|0)==(d|0);q=82;break}m=a+4|0;nz(x,m);k[p>>2]=0;s=p+4|0;k[s>>2]=0;k[p+8>>2]=0;h=a+8|0;e=k[h>>2]|0;d=k[m>>2]|0;f=e-d>>2;a:do if(!f)q=5;else{g=p+8|0;c=0;b:while(1){if(e-d>>2>>>0<=c>>>0){y=0;na(428,m|0);q=y;y=0;if(q&1){q=17;break}d=k[m>>2]|0}q=k[d+(c<<2)>>2]|0;k[j>>2]=q;y=0;oa(460,l|0,q|0);q=y;y=0;if(q&1){q=18;break}k[l>>2]=6508;y=0;d=Ha(1016,b|0,l|0)|0;q=y;y=0;if(q&1){q=19;break}DO(l);do if(!d){d=k[s>>2]|0;if((d|0)==(k[g>>2]|0)){y=0;oa(690,p|0,j|0);q=y;y=0;if(q&1){q=18;break b}else break}else{k[d>>2]=k[j>>2];k[s>>2]=(k[s>>2]|0)+4;break}}while(0);c=c+1|0;if(c>>>0>=f>>>0){q=5;break a}e=k[h>>2]|0;d=k[m>>2]|0}if((q|0)==17){c=pb()|0;break}else if((q|0)==18)c=pb()|0;else if((q|0)==19){c=pb()|0;DO(l)}}while(0);c:do if((q|0)==5){if((m|0)!=(p|0)){y=0;Na(148,m|0,k[p>>2]|0,k[s>>2]|0);b=y;y=0;if(b&1){c=pb()|0;break}}d=k[h>>2]|0;e=k[m>>2]|0;c=d-e>>2;d:do if(c|0){while(1){g=c+-1|0;if(d-e>>2>>>0>g>>>0)d=e;else{y=0;na(428,m|0);b=y;y=0;if(b&1){q=31;break}e=k[m>>2]|0;d=e}f=k[d+(g<<2)>>2]|0;if(c>>>0>1){d=c+-2|0;if((k[h>>2]|0)-e>>2>>>0>d>>>0)c=e;else{y=0;na(428,m|0);b=y;y=0;if(b&1){q=31;break}c=k[m>>2]|0}d=k[c+(d<<2)>>2]|0}else d=0;if(!f){c=0;d=0;q=46}else{y=0;c=qa(k[(k[f>>2]|0)+80>>2]|0,f|0)|0;b=y;y=0;if(b&1){q=31;break}do if(c)if(!d)c=1;else{e=k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[81]|0)!=(e|0)&(k[61]|0)==(e|0)){c=(i[d+84>>0]|0)!=0;if(c){c=c^1;break}}c=(n|0)!=(e|0)}else c=0;while(0);d=k[(k[(k[f>>2]|0)+-4>>2]|0)+4>>2]|0;if(!((k[147]|0)==(d|0)|(k[179]|0)==(d|0)|(k[175]|0)==(d|0)|(k[171]|0)==(d|0)|(k[183]|0)==(d|0))){d=(k[105]|0)==(d|0);q=46}}if((q|0)==46){q=0;if(!(c|d)){q=49;break}}if(!g)break d;c=g;d=k[h>>2]|0;e=k[m>>2]|0}if((q|0)==31){c=pb()|0;break c}else if((q|0)==49){k[v>>2]=f;break}}while(0);t=k[t>>2]|0;y=0;oa(460,o|0,k[((n|0)==(k[(k[(k[t>>2]|0)+-4>>2]|0)+4>>2]|0)?t:0)+68>>2]|0);t=y;y=0;if(t&1){c=pb()|0;break}k[o>>2]=6868;y=0;g=Ha(1027,a|0,k[o+4>>2]|0)|0;a=y;y=0;if(a&1){c=pb()|0;DO(o);break}DO(o);k[v>>2]=u;if((m|0)!=(x|0)){y=0;Na(148,m|0,k[x>>2]|0,k[x+4>>2]|0);v=y;y=0;if(v&1){c=pb()|0;break}}c=k[p>>2]|0;d=c;if(c|0){e=k[s>>2]|0;if((e|0)!=(c|0))k[s>>2]=e+(~((e+-4-d|0)>>>2)<<2);cra(c)}e=k[x>>2]|0;f=e;if(e|0){c=x+4|0;d=k[c>>2]|0;if((d|0)!=(e|0))k[c>>2]=d+(~((d+-4-f|0)>>>2)<<2);cra(e)}x=g;r=w;return x|0}while(0);d=k[p>>2]|0;e=d;if(d|0){f=k[s>>2]|0;if((f|0)!=(d|0))k[s>>2]=f+(~((f+-4-e|0)>>>2)<<2);cra(d)}f=k[x>>2]|0;g=f;if(f|0){d=x+4|0;e=k[d>>2]|0;if((e|0)!=(f|0))k[d>>2]=e+(~((e+-4-g|0)>>>2)<<2);cra(f)}x=c;sb(x|0)}while(0);if((q|0)==82)if(!(e|c))k[v>>2]=f;g=a+8|0;c=k[g>>2]|0;if((c|0)==(k[a+12>>2]|0))iA(a+4|0,t);else{k[c>>2]=f;k[g>>2]=(k[g>>2]|0)+4}c=k[t>>2]|0;if(!c)q=89;else if((k[61]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))q=91;else q=89;if((q|0)==89){c=Jaa(c)|0;if(!c)c=0;else{LT(h,k[c+68>>2]|0);k[h>>2]=6868;c=k[h+4>>2]|0;DO(h);if(!c)c=0;else q=91}}e:do if((q|0)==91){d=k[c+68>>2]|0;e=k[c+72>>2]|0;if((d|0)!=(e|0)){f=x+4|0;while(1){LT(x,k[d+4>>2]|0);k[x>>2]=6508;t=k[f>>2]|0;y=0;Ha(k[(k[t>>2]|0)+52>>2]|0,t|0,a|0)|0;t=y;y=0;if(t&1)break;DO(x);d=d+8|0;if((d|0)==(e|0))break e}w=pb()|0;DO(x);x=w;sb(x|0)}}while(0);k[v>>2]=u;k[g>>2]=(k[g>>2]|0)+-4;x=c;r=w;return x|0}function Zf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;u=0;t=r;r=r+96|0;z=t+56|0;w=t+28|0;v=t;jD(z);q=z+20|0;i=k[q>>2]|0;x=z+24|0;o=k[x>>2]|0;p=(o|0)==0;if(!p)Dba(o);y=0;na(451,w|0);s=y;y=0;do if(s&1){f=pb()|0;u=55}else{l=i+8|0;g=k[l>>2]|0;m=i+4|0;f=k[m>>2]|0;s=g-f>>2;j=i+16|0;h=k[j>>2]|0;n=i+20|0;e=k[n>>2]|0;if((((s|0)==0?0:(s*146|0)+-1|0)|0)==(e+h|0)){y=0;na(429,i|0);s=y;y=0;if(!(s&1)){e=k[n>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;u=7}}else u=7;if((u|0)==7){e=e+h|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[w>>2];k[e+4>>2]=k[w+4>>2];k[e+8>>2]=k[w+8>>2];f=e+12|0;y=0;oa(460,f|0,k[w+16>>2]|0);s=y;y=0;if(!(s&1)){k[f>>2]=15136;m=w+20|0;k[e+20>>2]=k[m>>2];s=w+24|0;k[e+24>>2]=k[s>>2];k[m>>2]=0;k[s>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(w+12|0);if(!p)DY(o);y=0;oa(507,z|0,b|0);s=y;y=0;if(!(s&1)){y=0;na(449,w|0);s=y;y=0;if(!(s&1)){p=w+20|0;e=k[p>>2]|0;s=w+24|0;n=k[s>>2]|0;o=(n|0)==0;if(!o)Dba(n);y=0;na(451,v|0);b=y;y=0;do if(b&1){f=pb()|0;u=62}else{l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;A=g-f>>2;i=e+16|0;j=k[i>>2]|0;b=e+20|0;h=k[b>>2]|0;if((((A|0)==0?0:(A*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);A=y;y=0;if(!(A&1)){h=k[b>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;u=20}}else{e=j;u=20}if((u|0)==20){e=h+e|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[v>>2];k[e+4>>2]=k[v+4>>2];k[e+8>>2]=k[v+8>>2];f=e+12|0;y=0;oa(460,f|0,k[v+16>>2]|0);A=y;y=0;if(!(A&1)){k[f>>2]=15136;m=v+20|0;k[e+20>>2]=k[m>>2];A=v+24|0;k[e+24>>2]=k[A>>2];k[m>>2]=0;k[A>>2]=0;k[b>>2]=(k[b>>2]|0)+1;DO(v+12|0);if(!o)DY(n);y=0;oa(507,w|0,c|0);A=y;y=0;if(A&1){f=pb()|0;break}k[v>>2]=0;m=v+4|0;k[m>>2]=0;k[v+8>>2]=0;y=0;Ra(48,z|0,w|0,d|0,v|0);A=y;y=0;do if(A&1){f=pb()|0;l=N}else{e=k[q>>2]|0;i=k[x>>2]|0;j=(i|0)==0;if(!j)Dba(i);f=(k[e+20>>2]|0)+-1|0;e=k[p>>2]|0;g=k[s>>2]|0;h=(g|0)==0;if(!h)Dba(g);y=0;Ea(7,a|0,v|0,z|0,w|0,f|0,(k[e+20>>2]|0)+-1|0,d|0);A=y;y=0;if(A&1){f=pb()|0;e=N;if(!h)DY(g);if(j){l=e;break}DY(i);l=e;break}if(!h)DY(g);if(!j)DY(i);e=k[v>>2]|0;if(e|0){f=k[m>>2]|0;if((f|0)!=(e|0)){do{g=f+-12|0;k[m>>2]=g;h=k[g>>2]|0;i=h;if(!h)f=g;else{f=f+-8|0;g=k[f>>2]|0;if((g|0)!=(h|0))k[f>>2]=g+(~((g+-4-i|0)>>>2)<<2);cra(h);f=k[m>>2]|0}}while((f|0)!=(e|0));e=k[v>>2]|0}cra(e)}e=k[s>>2]|0;if(e|0)DY(e);DO(w+12|0);e=k[x>>2]|0;if(!e){A=z+12|0;DO(A);r=t;return}DY(e);A=z+12|0;DO(A);r=t;return}while(0);e=k[v>>2]|0;if(e|0){g=k[m>>2]|0;if((g|0)!=(e|0)){do{h=g+-12|0;k[m>>2]=h;i=k[h>>2]|0;j=i;if(!i)g=h;else{g=g+-8|0;h=k[g>>2]|0;if((h|0)!=(i|0))k[g>>2]=h+(~((h+-4-j|0)>>>2)<<2);cra(i);g=k[m>>2]|0}}while((g|0)!=(e|0));e=k[v>>2]|0}cra(e)}break}}f=pb()|0;e=k[v+24>>2]|0;if(e|0)DY(e);DO(v+12|0);u=62}while(0);if((u|0)==62)if(!o)DY(n);e=k[s>>2]|0;if(e|0)DY(e);DO(w+12|0);break}}f=pb()|0;break}}f=pb()|0;e=k[w+24>>2]|0;if(e|0)DY(e);DO(w+12|0);u=55}while(0);if((u|0)==55)if(!p)DY(o);e=k[x>>2]|0;if(!e){A=z+12|0;DO(A);sb(f|0)}DY(e);A=z+12|0;DO(A);sb(f|0)}function _f(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;q=0;n=r;r=r+80|0;m=n;j=n+64|0;o=n+40|0;l=n+52|0;cL(j,82288);h=m;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));y=0;oa(533,a|0,j|0);t=y;y=0;if(t&1)b=pb()|0;else{k[a>>2]=15644;s=a+8|0;y=0;oa(456,s|0,j|0);t=y;y=0;do if(t&1)b=pb()|0;else{t=a+20|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(74,t|0,51649,5);p=y;y=0;if(p&1){b=pb()|0;A9(s);break}h=a+32|0;b=m;g=h+40|0;do{k[h>>2]=k[b>>2];h=h+4|0;b=b+4|0}while((h|0)<(g|0));k[a+72>>2]=0;A9(j);k[a>>2]=16740;p=a+76|0;y=0;oa(456,p|0,c|0);j=y;y=0;if(j&1)b=pb()|0;else{j=a+88|0;y=0;oa(456,j|0,d|0);h=y;y=0;if(h&1)b=pb()|0;else{h=a+100|0;y=0;oa(456,h|0,e|0);g=y;y=0;if(g&1)b=pb()|0;else{k[a+112>>2]=f;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;g=i[d+11>>0]|0;b=g<<24>>24<0;g=b?k[d+4>>2]|0:g&255;y=0;Ra(10,m|0,(b?k[d>>2]|0:d)|0,g|0,g+3|0);d=y;y=0;a:do if(d&1)q=26;else{y=0;ta(41,m|0,51767,3)|0;d=y;y=0;if(d&1)q=26;else{b=s+11|0;if((i[b>>0]|0)<0){i[k[s>>2]>>0]=0;k[a+12>>2]=0}else{i[s>>0]=0;i[b>>0]=0}y=0;oa(500,s|0,0);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}k[s>>2]=k[m>>2];k[s+4>>2]=k[m+4>>2];k[s+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;A9(m);b:do if(f|0){d=k[(k[f>>2]|0)+28>>2]|0;k[l>>2]=0;k[l+4>>2]=5;i[l+8>>0]=0;y=0;k[m>>2]=k[l>>2];k[m+4>>2]=k[l+4>>2];k[m+8>>2]=k[l+8>>2];Na(d|0,o|0,f|0,m|0);l=y;y=0;do if(l&1)b=pb()|0;else{l=i[o+11>>0]|0;f=l<<24>>24<0;y=0;ta(41,s|0,(f?k[o>>2]|0:o)|0,(f?k[o+4>>2]|0:l&255)|0)|0;l=y;y=0;if(l&1){b=pb()|0;A9(o);break}else{A9(o);break b}}while(0);break a}while(0);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;b=e+11|0;g=i[b>>0]|0;g=g<<24>>24<0?k[e+4>>2]|0:g&255;y=0;Ra(10,m|0,51771,11,g+11|0);l=y;y=0;do if(l&1)q=38;else{y=0;ta(41,m|0,((i[b>>0]|0)<0?k[e>>2]|0:e)|0,g|0)|0;e=y;y=0;if(e&1)q=38;else{e=i[m+11>>0]|0;l=e<<24>>24<0;y=0;ta(41,s|0,(l?k[m>>2]|0:m)|0,(l?k[m+4>>2]|0:e&255)|0)|0;e=y;y=0;if(e&1){b=pb()|0;A9(m);break}A9(m);k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;b=c+11|0;g=i[b>>0]|0;g=g<<24>>24<0?k[c+4>>2]|0:g&255;y=0;Ra(10,o|0,51783,6,g+6|0);e=y;y=0;do if(e&1)q=41;else{y=0;ta(41,o|0,((i[b>>0]|0)<0?k[c>>2]|0:c)|0,g|0)|0;c=y;y=0;if(c&1){q=41;break}y=0;b=Ha(974,o|0,51790)|0;c=y;y=0;do if(c&1)b=pb()|0;else{k[m>>2]=k[b>>2];k[m+4>>2]=k[b+4>>2];k[m+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;c=i[m+11>>0]|0;e=c<<24>>24<0;y=0;ta(41,s|0,(e?k[m>>2]|0:m)|0,(e?k[m+4>>2]|0:c&255)|0)|0;c=y;y=0;if(c&1){b=pb()|0;A9(m);break}else{A9(m);A9(o);r=n;return}}while(0);A9(o)}while(0);if((q|0)==41){b=pb()|0;A9(o)}break a}}while(0);if((q|0)==38){b=pb()|0;A9(m)}}}while(0);if((q|0)==26){b=pb()|0;A9(m)}A9(h)}A9(j)}A9(p)}k[a>>2]=15644;A9(t);A9(s);Pca(a);a=b;sb(a|0)}while(0);Pca(a)}A9(j);a=b;sb(a|0)}function $f(a){a=a|0;var b=0,c=0,d=0,e=0,f=0;f=0;b=i[35573]|0;a:do if(!(b<<24>>24))f=5;else{d=i[a>>0]|0;c=35573;while(1){if(d<<24>>24==b<<24>>24)break;c=c+1|0;b=i[c>>0]|0;if(!(b<<24>>24)){f=5;break a}}b=a+1|0;if(d<<24>>24){f=b;return f|0}}while(0);if((f|0)==5)b=a+1|0;c=i[35569]|0;b:do if(c<<24>>24){e=i[a>>0]|0;d=35569;while(1){if(e<<24>>24==c<<24>>24)break;d=d+1|0;c=i[d>>0]|0;if(!(c<<24>>24))break b}if(e<<24>>24){f=b;return f|0}}while(0);c=i[a>>0]|0;if(c<<24>>24==40){e=NO(b)|0;if(e|0){c=e+1|0;if((i[e>>0]|0)==38)if((i[c>>0]|0)==45){do c=c+1|0;while((i[c>>0]|0)==45);c=DP(c)|0;if(!c)f=19;else{c=NO(c)|0;if(!c)f=19}}else f=19;else f=19;if((f|0)==19){c=oj(e)|0;if(!c)c=0;else while(1){d=oj(c)|0;if(!d)break;else c=d}}c=c|0?c:e;if(c|0){c=NO(c)|0;if(c|0)if((i[c>>0]|0)==41){f=c+1|0;return f|0}}}c=i[a>>0]|0}if(c<<24>>24==61){f=b;return f|0}b=i[35527]|0;if(!(b<<24>>24)){f=a;return f|0}c:do if(c<<24>>24==b<<24>>24){b=a;d=35527;while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24))break;if((i[b>>0]|0)!=e<<24>>24)break c}return b|0}while(0);b=i[35530]|0;d:do if(!(b<<24>>24))f=46;else{e:do if(c<<24>>24==b<<24>>24){b=a;d=35530;while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24))break;if((i[b>>0]|0)!=e<<24>>24)break e}return b|0}while(0);b=i[35533]|0;if(!(b<<24>>24))f=46;else{f:do if(c<<24>>24==b<<24>>24){b=a;d=35533;while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24))break;if((i[b>>0]|0)!=e<<24>>24)break f}return b|0}while(0);b=i[35536]|0;if(!(b<<24>>24))f=46;else{g:do if(c<<24>>24==b<<24>>24){b=a;d=35536;while(1){b=b+1|0;d=d+1|0;e=i[d>>0]|0;if(!(e<<24>>24))break;if((i[b>>0]|0)!=e<<24>>24)break g}return b|0}while(0);b=i[35539]|0;if(!(b<<24>>24))f=46;else if(c<<24>>24==b<<24>>24){b=a;c=35539;while(1){b=b+1|0;c=c+1|0;d=i[c>>0]|0;if(!(d<<24>>24))break;if((i[b>>0]|0)!=d<<24>>24)break d}return b|0}}}}while(0);if((f|0)==46)if(a|0){f=a;return f|0}f=Om(a)|0;return f|0}function ag(a,b,c){a=a|0;b=b|0;c=c|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;if((cc|0)==1)cc=3}Qc(fc+45432|0)}function bg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;A=0;x=r;r=r+224|0;w=x+184|0;o=x+144|0;q=x+128|0;z=x+64|0;t=x+88|0;u=x+76|0;v=x;j=x+24|0;s=x+12|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;aI(w,38272,6);y=0;b=Ha(975,a|0,w|0)|0;n=y;y=0;if(!(n&1)){y=0;b=qa(332,k[b+4>>2]|0)|0;n=y;y=0;if(!(n&1)){A9(w);if(b|0){j=IM(80)|0;l=o;m=e;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));g=b+64|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;a=g+11|0;v=i[a>>0]|0;b=v<<24>>24<0?k[b+68>>2]|0:v&255;y=0;Ra(10,z|0,38450,6,b+6|0);v=y;y=0;if(v&1)A=10;else{y=0;ta(41,z|0,((i[a>>0]|0)<0?k[g>>2]|0:g)|0,b|0)|0;v=y;y=0;if(v&1)A=10;else{y=0;b=Ha(974,z|0,48585)|0;v=y;y=0;do if(v&1)b=pb()|0;else{k[q>>2]=k[b>>2];k[q+4>>2]=k[b+4>>2];k[q+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;l=w;m=o;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Ea(2,j|0,w|0,q|0,0,0,0,1);w=y;y=0;if(w&1){b=pb()|0;A9(q);break}A9(q);A9(z);A=j;r=x;return A|0}while(0);A9(z)}}if((A|0)==10){b=pb()|0;A9(z)}cra(j);A=b;sb(A|0)}k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;aI(w,38272,6);y=0;b=Ha(975,a|0,w|0)|0;q=y;y=0;if(q&1){A=pb()|0;A9(w);sb(A|0)}b=k[b+4>>2]|0;if(!b)b=0;else b=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(w);if(!b){g=IM(104)|0;l=j;m=e;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(74,z|0,38272,6);v=y;y=0;if(v&1)b=pb()|0;else{y=0;l=w;m=e;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));b=sa(24,z|0,a|0,d|0,w|0,f|0)|0;v=y;y=0;do if(v&1)A=39;else{h=+p[b+88>>3];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,87975,0);v=y;y=0;if(v&1)A=39;else{y=0;l=w;m=j;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Ca(1,g|0,w|0,+h,s|0,1);w=y;y=0;if(w&1){b=pb()|0;A9(s);break}A9(s);A9(z);A=g;r=x;return A|0}}while(0);if((A|0)==39)b=pb()|0;A9(z)}cra(g);A=b;sb(A|0)}a=IM(80)|0;l=t;m=e;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));e=k[(k[b>>2]|0)+28>>2]|0;f=k[c+16>>2]|0;y=0;k[w>>2]=k[f>>2];k[w+4>>2]=k[f+4>>2];k[w+8>>2]=k[f+8>>2];Na(e|0,v|0,b|0,w|0);e=y;y=0;if(e&1)b=pb()|0;else{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;b=v+11|0;g=i[b>>0]|0;g=g<<24>>24<0?k[v+4>>2]|0:g&255;y=0;Ra(10,z|0,38457,8,g+8|0);e=y;y=0;if(e&1)A=27;else{y=0;ta(41,z|0,((i[b>>0]|0)<0?k[v>>2]|0:v)|0,g|0)|0;e=y;y=0;if(e&1)A=27;else{y=0;b=Ha(974,z|0,48585)|0;e=y;y=0;do if(e&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;l=w;m=t;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Ea(2,a|0,w|0,u|0,0,0,0,1);w=y;y=0;if(w&1){b=pb()|0;A9(u);break}A9(u);A9(z);A9(v);A=a;r=x;return A|0}while(0);A9(z)}}if((A|0)==27){b=pb()|0;A9(z)}A9(v)}cra(a);A=b;sb(A|0)}}A=pb()|0;A9(w);sb(A|0);return 0}function cg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;A=0;s=r;r=r+128|0;u=s;z=s+112|0;x=s+88|0;w=s+48|0;t=s+104|0;p=s+80|0;q=s+64|0;v=s+40|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,39771,4);y=0;b=u;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=pa(40,x|0,a|0,d|0,u|0,f|0,0)|0;o=y;y=0;if(!(o&1)){y=0;oa(460,z|0,b|0);o=y;y=0;if(!(o&1)){k[z>>2]=16764;A9(x);k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(74,w|0,39793,5);o=y;y=0;do if(o&1){b=pb()|0;A=16}else{y=0;b=u;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(26,w|0,a|0,d|0,u|0,f|0)|0;o=y;y=0;if(!(o&1)){y=0;oa(460,x|0,b|0);o=y;y=0;if(!(o&1)){k[x>>2]=7172;A9(w);y=0;o=qa(315,108)|0;n=y;y=0;a:do if(n&1)b=pb()|0;else{b=u;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));y=0;na(422,o|0);n=y;y=0;do if(n&1)b=pb()|0;else{b=o+12|0;c=u;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;b=o+56|0;k[b>>2]=0;k[o>>2]=9288;n=o+60|0;y=0;oa(556,n|0,1);m=y;y=0;if(m&1){b=pb()|0;break}k[o>>2]=9412;k[n>>2]=9540;k[b>>2]=6;d=z+4|0;f=k[d>>2]|0;b=k[f+84>>2]|0;f=k[f+88>>2]|0;if((b|0)==(f|0)){DO(x);DO(z);r=s;return o|0}e=x+4|0;h=w+4|0;j=q+8|0;l=u+4|0;m=q+8|0;b:while(1){y=0;oa(460,w|0,k[b+4>>2]|0);a=y;y=0;if(a&1){A=23;break}k[w>>2]=7284;g=k[e>>2]|0;g=(k[g+68>>2]|0)-(k[g+64>>2]|0)>>3;if(!g)A=32;else{c=0;do{y=0;oa(460,t|0,k[h>>2]|0);a=y;y=0;if(a&1){A=28;break b}k[t>>2]=7284;y=0;Na(100,p|0,k[e>>2]|0,c|0);a=y;y=0;if(a&1){A=29;break b}y=0;a=Ha(985,t|0,p|0)|0;B=y;y=0;if(B&1){A=30;break b}DO(p);DO(t);c=c+1|0}while(!(c>>>0>=g>>>0|a));if(!a)A=32}if((A|0)==32){A=0;c=k[d>>2]|0;y=0;oa(460,v|0,k[h>>2]|0);B=y;y=0;if(B&1){A=39;break}k[v>>2]=7284;y=0;Na(76,u|0,c+60|0,v|0);B=y;y=0;if(B&1){A=40;break}y=0;oa(460,q|0,k[h>>2]|0);B=y;y=0;if(B&1){A=41;break}k[q>>2]=7284;y=0;oa(460,j|0,k[l>>2]|0);B=y;y=0;if(B&1){A=36;break}k[j>>2]=7284;y=0;Ha(988,n|0,q|0)|0;B=y;y=0;if(B&1){A=43;break}DO(m);DO(q);DO(u);DO(v)}DO(w);b=b+8|0;if((b|0)==(f|0)){A=12;break}}switch(A|0){case 12:{DO(x);DO(z);r=s;return o|0}case 23:{b=pb()|0;break a}case 28:{b=pb()|0;break}case 29:{b=pb()|0;A=31;break}case 30:{b=pb()|0;DO(p);A=31;break}case 36:{b=pb()|0;DO(q);A=42;break}case 39:{b=pb()|0;A=46;break}case 40:{b=pb()|0;A=45;break}case 41:{b=pb()|0;A=42;break}case 43:{b=pb()|0;DO(m);DO(q);A=44;break}}if((A|0)==31)DO(t);else if((A|0)==42)A=44;if((A|0)==44){DO(u);A=45}if((A|0)==45){DO(v);A=46}DO(w);break a}while(0);cra(o)}while(0);DO(x);break}}b=pb()|0;A9(w);A=16}while(0);DO(z);B=b;sb(B|0)}}B=pb()|0;A9(x);sb(B|0);return 0}function dg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;z=r;r=r+80|0;h=z+56|0;d=z+40|0;A=z+64|0;f=z+8|0;g=z;v=z+28|0;x=z+16|0;e=a+64|0;LT(h,k[e>>2]|0);k[h>>2]=7284;a:do if(!(k[h+4>>2]|0))e=0;else{y=0;oa(460,f|0,k[e>>2]|0);q=y;y=0;if(q&1)c=pb()|0;else{k[f>>2]=7284;q=k[f+4>>2]|0;y=0;oa(k[(k[q>>2]|0)+32>>2]|0,A|0,q|0);q=y;y=0;do if(q&1)c=pb()|0;else{y=0;ma(5,d|0,A|0,0,0,1);q=y;y=0;if(q&1){c=pb()|0;A9(A);break}else{e=(ZN(d,34038)|0)==0;A9(d);A9(A);DO(f);break a}}while(0);DO(f)}DO(h);A=c;sb(A|0)}while(0);DO(h);LT(g,k[a+72>>2]|0);k[g>>2]=7284;a=k[g+4>>2]|0;DO(g);k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;d=(a|0)!=0;do if(e){if(d){s=a+64|0;e=k[s>>2]|0;m=(k[a+68>>2]|0)-e>>3;if(m|0){n=A+11|0;o=A+4|0;p=b+11|0;q=b+4|0;d=0;b:while(1){u=k[e+(d<<3)+4>>2]|0;y=0;oa(k[(k[u>>2]|0)+32>>2]|0,x|0,u|0);u=y;y=0;if(u&1){d=32;break}y=0;ma(5,v|0,x|0,0,0,1);u=y;y=0;if(u&1){d=33;break}if((i[n>>0]|0)<0){i[k[A>>2]>>0]=0;k[o>>2]=0}else{i[A>>0]=0;i[n>>0]=0}y=0;oa(500,A|0,0);u=y;y=0;if(u&1){d=22;break}k[A>>2]=k[v>>2];k[A+4>>2]=k[v+4>>2];k[A+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;A9(v);A9(x);if(!(ZN(A,34043)|0)){w=0;d=62;break}f=i[n>>0]|0;g=f<<24>>24<0;f=f&255;h=g?k[o>>2]|0:f;u=i[p>>0]|0;e=u<<24>>24<0;do if((h|0)==((e?k[q>>2]|0:u&255)|0)){j=k[A>>2]|0;l=g?j:A;e=e?k[b>>2]|0:b;a=(h|0)==0;if(g){if(a){w=0;d=62;break b}if(!(bN(l,e,h)|0)){w=0;d=62;break b}else break}if(a){w=0;d=62;break b}if((j&255)<<24>>24==(i[e>>0]|0)){a=A;do{f=f+-1|0;a=a+1|0;if(!f){w=0;d=62;break b}e=e+1|0}while((i[a>>0]|0)==(i[e>>0]|0))}}while(0);d=d+1|0;if(d>>>0>=m>>>0){w=1;d=62;break}e=k[s>>2]|0}if((d|0)==22){z=tb(0)|0;Sla(z)}else if((d|0)==32)c=pb()|0;else if((d|0)==33){c=pb()|0;A9(x)}else if((d|0)==62){A9(A);r=z;return w|0}break}}x=(ZN(b,48057)|0)!=0;A9(A);r=z;return x|0}else{if(d){q=a+64|0;d=k[q>>2]|0;l=(k[a+68>>2]|0)-d>>3;if(l|0){m=A+11|0;n=A+4|0;o=b+11|0;p=b+4|0;c=0;c:while(1){t=k[d+(c<<3)+4>>2]|0;y=0;oa(k[(k[t>>2]|0)+32>>2]|0,x|0,t|0);t=y;y=0;if(t&1){d=57;break}y=0;ma(5,v|0,x|0,0,0,1);t=y;y=0;if(t&1){d=58;break}if((i[m>>0]|0)<0){i[k[A>>2]>>0]=0;k[n>>2]=0}else{i[A>>0]=0;i[m>>0]=0}y=0;oa(500,A|0,0);t=y;y=0;if(t&1){d=47;break}k[A>>2]=k[v>>2];k[A+4>>2]=k[v+4>>2];k[A+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;A9(v);A9(x);if(!(ZN(A,34043)|0)){w=1;d=62;break}a=i[m>>0]|0;f=a<<24>>24<0;a=a&255;g=f?k[n>>2]|0:a;t=i[o>>0]|0;d=t<<24>>24<0;do if((g|0)==((d?k[p>>2]|0:t&255)|0)){h=k[A>>2]|0;j=f?h:A;d=d?k[b>>2]|0:b;e=(g|0)==0;if(f){if(e){w=1;d=62;break c}if(!(bN(j,d,g)|0)){w=1;d=62;break c}else break}if(e){w=1;d=62;break c}if((h&255)<<24>>24==(i[d>>0]|0)){e=A;do{a=a+-1|0;e=e+1|0;if(!a){w=1;d=62;break c}d=d+1|0}while((i[e>>0]|0)==(i[d>>0]|0))}}while(0);c=c+1|0;if(c>>>0>=l>>>0){w=0;d=62;break}d=k[q>>2]|0}if((d|0)==47){z=tb(0)|0;Sla(z)}else if((d|0)==57)u=pb()|0;else if((d|0)==58){u=pb()|0;A9(x)}else if((d|0)==62){A9(A);r=z;return w|0}c=u;break}}x=(ZN(b,48057)|0)==0;A9(A);r=z;return x|0}while(0);A9(A);A=c;sb(A|0);return 0}function eg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;z=0;q=r;r=r+160|0;A=q+140|0;w=q+128|0;o=q+80|0;u=q+8|0;x=q+68|0;v=q+56|0;s=q+44|0;p=q;t=b+408|0;n=t+11|0;d=i[n>>0]|0;if(d<<24>>24<0)d=k[b+412>>2]|0;else d=d&255;if(!d){LT(a,0);k[a>>2]=6868;r=q;return}WD(w);y=0;Ra(15,A|0,t|0,b+4|0,w|0);l=y;y=0;if(l&1){A=pb()|0;A9(w);sb(A|0)}A9(w);y=0;d=qa(324,A|0)|0;l=y;y=0;a:do if(l&1)c=pb()|0;else{j=b+336|0;f=k[j>>2]|0;h=(k[b+340>>2]|0)-f|0;l=(h|0)/12|0;e=(d|0)==0;b:do if(e&(h|0)!=0){g=A+11|0;h=A+4|0;e=0;d=f;while(1){y=0;na(436,o|0);f=y;y=0;if(f&1){z=23;break}y=0;Ra(15,w|0,t|0,d+(e*12|0)|0,o|0);f=y;y=0;if(f&1){z=24;break}if((i[g>>0]|0)<0){i[k[A>>2]>>0]=0;k[h>>2]=0}else{i[A>>0]=0;i[g>>0]=0}y=0;oa(500,A|0,0);f=y;y=0;if(f&1){z=19;break}k[A>>2]=k[w>>2];k[A+4>>2]=k[w+4>>2];k[A+8>>2]=k[w+8>>2];k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;A9(w);A9(o);y=0;f=qa(324,A|0)|0;d=y;y=0;if(d&1){z=26;break}d=e+1|0;e=(f|0)==0;if(!(e&d>>>0<l>>>0)){c=e;break b}e=d;d=k[j>>2]|0}if((z|0)==19){z=tb(0)|0;Sla(z)}else if((z|0)==23)c=pb()|0;else if((z|0)==24){c=pb()|0;A9(o)}else if((z|0)==26){c=pb()|0;break a}break a}else{f=d;c=e}while(0);if(c){e=gb(8)|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;c=i[n>>0]|0;c=c<<24>>24<0?k[b+412>>2]|0:c&255;y=0;Ra(10,w|0,35048,38,c+38|0);x=y;y=0;if(x&1)z=31;else{y=0;ta(41,w|0,((i[n>>0]|0)<0?k[t>>2]|0:t)|0,c|0)|0;x=y;y=0;if(x&1)z=31;else{y=0;oa(533,e|0,w|0);x=y;y=0;if(x&1)d=1;else{y=0;Na(75,e|0,5792,409);y=0;d=0}c=pb()|0;A9(w);if(!d)break}}if((z|0)==31){c=pb()|0;A9(w)}fb(e|0);break}c=b+20|0;y=0;Ha(969,c|0,A|0)|0;z=y;y=0;if(!(z&1)){if((i[n>>0]|0)<0)d=k[t>>2]|0;else d=t;if((i[c+11>>0]|0)<0)c=k[c>>2]|0;y=0;c=Ma(6,d|0,c|0,f|0,0)|0;z=y;y=0;if(!(z&1)){k[w>>2]=c;d=b+276|0;e=k[d>>2]|0;if((e|0)==(k[b+280>>2]|0)){y=0;oa(534,b+272|0,w|0);z=y;y=0;if(z&1)z=54;else z=45}else{k[e>>2]=c;k[d>>2]=(k[d>>2]|0)+4;z=45}c:do if((z|0)==45){y=0;oa(456,x|0,t|0);w=y;y=0;if(w&1)c=pb()|0;else{k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,55435,1);w=y;y=0;if(w&1)c=pb()|0;else{y=0;Na(92,u|0,x|0,v|0);w=y;y=0;if(w&1)c=pb()|0;else{y=0;oa(456,s|0,A|0);w=y;y=0;if(w&1)c=pb()|0;else{y=0;Na(93,o|0,u|0,s|0);w=y;y=0;do if(w&1)c=pb()|0;else{k[p>>2]=f;k[p+4>>2]=0;y=0;Ra(16,b|0,o|0,p|0,0);w=y;y=0;if(w&1){c=pb()|0;A9(o+36|0);A9(o+24|0);A9(o+12|0);A9(o);break}A9(o+36|0);A9(o+24|0);A9(o+12|0);A9(o);A9(s);A9(u+24|0);A9(u+12|0);A9(u);A9(v);A9(x);y=0;oa(k[(k[b>>2]|0)+12>>2]|0,a|0,b|0);z=y;y=0;if(z&1){z=54;break c}A9(A);r=q;return}while(0);A9(s)}A9(u+24|0);A9(u+12|0);A9(u)}A9(v)}A9(x)}}while(0);if((z|0)==54)c=pb()|0;break}}c=pb()|0}while(0);A9(A);A=c;sb(A|0)}function fg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;C=r;r=r+272|0;A=C;u=C+248|0;v=C+192|0;w=C+152|0;c=C+208|0;f=C+136|0;z=C+96|0;F=C+88|0;E=C+72|0;B=C+64|0;s=C+56|0;t=C+48|0;x=C+40|0;G=b+152|0;H=k[G>>2]|0;D=H+1|0;k[G>>2]=D;if(D>>>0>512){e=gb(76)|0;o=c;p=b+108|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(456,f|0,80932);F=y;y=0;if(F&1)c=pb()|0;else{y=0;o=A;p=c;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));Ra(24,e|0,A|0,f|0,0);F=y;y=0;if(F&1)d=1;else{y=0;Na(75,e|0,2912,175);y=0;d=0}c=pb()|0;A9(f);if(!d){F=c;k[G>>2]=H;sb(F|0)}}fb(e|0);F=c;k[G>>2]=H;sb(F|0)}y=0;ta(53,b|0,0,0)|0;D=y;y=0;if(!(D&1)){m=b+128|0;y=0;oa(569,b+108|0,m|0);D=y;y=0;if(!(D&1)){k[b+132>>2]=0;k[m>>2]=0;n=b+108|0;o=z;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(575,F|0,b|0);D=y;y=0;if(D&1)c=pb()|0;else{k[E>>2]=0;D=E+4|0;k[D>>2]=0;k[E+8>>2]=0;g=b+156|0;h=b+76|0;j=b+84|0;l=b+96|0;d=E+8|0;e=A+4|0;while(1){k[A>>2]=k[g>>2];k[A+4>>2]=k[g+4>>2];k[A+8>>2]=k[g+8>>2];f=k[h>>2]|0;k[u>>2]=k[j>>2];k[u+4>>2]=k[j+4>>2];k[u+8>>2]=k[j+8>>2];k[v>>2]=k[l>>2];k[v+4>>2]=k[l+4>>2];k[v+8>>2]=k[l+8>>2];o=w;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(53,b|0,1,0)|0;q=y;y=0;if(q&1){e=24;break}y=0;c=ta(72,b|0,1,0)|0;q=y;y=0;if(q&1){e=24;break}if(!c){e=15;break}y=0;oa(575,A|0,b|0);q=y;y=0;if(q&1){e=27;break}c=k[D>>2]|0;if(c>>>0<(k[d>>2]|0)>>>0){y=0;oa(460,c|0,k[e>>2]|0);q=y;y=0;if(q&1){e=28;break}k[c>>2]=7284;k[D>>2]=(k[D>>2]|0)+8}else{y=0;oa(548,E|0,A|0);q=y;y=0;if(q&1){e=28;break}}DO(A)}a:do if((e|0)==15){o=n;p=w;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[g>>2]=k[A>>2];k[g+4>>2]=k[A+4>>2];k[g+8>>2]=k[A+8>>2];k[h>>2]=f;k[l>>2]=k[v>>2];k[l+4>>2]=k[v+4>>2];k[l+8>>2]=k[v+8>>2];k[j>>2]=k[u>>2];k[j+4>>2]=k[u+4>>2];k[j+8>>2]=k[u+8>>2];b:do if((k[D>>2]|0)==(k[E>>2]|0)){y=0;oa(460,a|0,k[F+4>>2]|0);B=y;y=0;if(B&1)e=25;else k[a>>2]=7284}else{y=0;oa(460,s|0,k[F+4>>2]|0);w=y;y=0;if(w&1)e=25;else{k[s>>2]=7284;k[t>>2]=1;i[t+4>>0]=0;i[t+5>>0]=0;y=0;k[A>>2]=k[t>>2];k[A+4>>2]=k[t+4>>2];ma(13,B|0,0,s|0,E|0,A|0);w=y;y=0;if(w&1){c=pb()|0;f=N;DO(s);break a}DO(s);c=z+20|0;y=0;Na(113,x|0,n|0,z|0);w=y;y=0;do if(w&1)e=39;else{y=0;Na(114,A|0,x|0,m|0);x=y;y=0;if(x&1)e=39;else{w=A;x=k[w+4>>2]|0;A=c;k[A>>2]=k[w>>2];k[A+4>>2]=x;A=k[B+4>>2]|0;fO(A+12|0,z|0,40)|0;y=0;oa(460,a|0,A|0);A=y;y=0;if(A&1){c=pb()|0;d=N;break}else{k[a>>2]=7284;DO(B);break b}}}while(0);if((e|0)==39){c=pb()|0;d=N}DO(B);f=d;break a}}while(0);if((e|0)==25){c=pb()|0;d=N;e=26;break}c=k[E>>2]|0;if(!c){DO(F);k[G>>2]=H;r=C;return}d=k[D>>2]|0;if((d|0)!=(c|0)){do{B=d+-8|0;k[D>>2]=B;lc[k[k[B>>2]>>2]&511](B);d=k[D>>2]|0}while((d|0)!=(c|0));c=k[E>>2]|0}cra(c);DO(F);k[G>>2]=H;r=C;return}else if((e|0)==24){c=pb()|0;d=N;e=26}else if((e|0)==27){c=pb()|0;d=N;e=29}else if((e|0)==28){c=pb()|0;d=N;DO(A);e=29}while(0);if((e|0)==26)f=d;else if((e|0)==29)f=d;d=k[E>>2]|0;if(d|0){e=k[D>>2]|0;if((e|0)!=(d|0)){do{C=e+-8|0;k[D>>2]=C;lc[k[k[C>>2]>>2]&511](C);e=k[D>>2]|0}while((e|0)!=(d|0));d=k[E>>2]|0}cra(d)}DO(F)}F=c;k[G>>2]=H;sb(F|0)}}F=pb()|0;k[G>>2]=H;sb(F|0)}function gg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;C=r;r=r+272|0;A=C;u=C+248|0;v=C+192|0;w=C+152|0;c=C+208|0;f=C+136|0;z=C+96|0;F=C+88|0;E=C+72|0;B=C+64|0;s=C+56|0;t=C+48|0;x=C+40|0;G=b+152|0;H=k[G>>2]|0;D=H+1|0;k[G>>2]=D;if(D>>>0>512){e=gb(76)|0;o=c;p=b+108|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(456,f|0,80932);F=y;y=0;if(F&1)c=pb()|0;else{y=0;o=A;p=c;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));Ra(24,e|0,A|0,f|0,0);F=y;y=0;if(F&1)d=1;else{y=0;Na(75,e|0,2912,175);y=0;d=0}c=pb()|0;A9(f);if(!d){F=c;k[G>>2]=H;sb(F|0)}}fb(e|0);F=c;k[G>>2]=H;sb(F|0)}y=0;ta(53,b|0,0,0)|0;D=y;y=0;if(!(D&1)){m=b+128|0;y=0;oa(569,b+108|0,m|0);D=y;y=0;if(!(D&1)){k[b+132>>2]=0;k[m>>2]=0;n=b+108|0;o=z;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(576,F|0,b|0);D=y;y=0;if(D&1)c=pb()|0;else{k[E>>2]=0;D=E+4|0;k[D>>2]=0;k[E+8>>2]=0;g=b+156|0;h=b+76|0;j=b+84|0;l=b+96|0;d=E+8|0;e=A+4|0;while(1){k[A>>2]=k[g>>2];k[A+4>>2]=k[g+4>>2];k[A+8>>2]=k[g+8>>2];f=k[h>>2]|0;k[u>>2]=k[j>>2];k[u+4>>2]=k[j+4>>2];k[u+8>>2]=k[j+8>>2];k[v>>2]=k[l>>2];k[v+4>>2]=k[l+4>>2];k[v+8>>2]=k[l+8>>2];o=w;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(53,b|0,1,0)|0;q=y;y=0;if(q&1){e=24;break}y=0;c=ta(73,b|0,1,0)|0;q=y;y=0;if(q&1){e=24;break}if(!c){e=15;break}y=0;oa(576,A|0,b|0);q=y;y=0;if(q&1){e=27;break}c=k[D>>2]|0;if(c>>>0<(k[d>>2]|0)>>>0){y=0;oa(460,c|0,k[e>>2]|0);q=y;y=0;if(q&1){e=28;break}k[c>>2]=7284;k[D>>2]=(k[D>>2]|0)+8}else{y=0;oa(548,E|0,A|0);q=y;y=0;if(q&1){e=28;break}}DO(A)}a:do if((e|0)==15){o=n;p=w;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[g>>2]=k[A>>2];k[g+4>>2]=k[A+4>>2];k[g+8>>2]=k[A+8>>2];k[h>>2]=f;k[l>>2]=k[v>>2];k[l+4>>2]=k[v+4>>2];k[l+8>>2]=k[v+8>>2];k[j>>2]=k[u>>2];k[j+4>>2]=k[u+4>>2];k[j+8>>2]=k[u+8>>2];b:do if((k[D>>2]|0)==(k[E>>2]|0)){y=0;oa(460,a|0,k[F+4>>2]|0);B=y;y=0;if(B&1)e=25;else k[a>>2]=7284}else{y=0;oa(460,s|0,k[F+4>>2]|0);w=y;y=0;if(w&1)e=25;else{k[s>>2]=7284;k[t>>2]=0;i[t+4>>0]=0;i[t+5>>0]=0;y=0;k[A>>2]=k[t>>2];k[A+4>>2]=k[t+4>>2];ma(13,B|0,0,s|0,E|0,A|0);w=y;y=0;if(w&1){c=pb()|0;f=N;DO(s);break a}DO(s);c=z+20|0;y=0;Na(113,x|0,n|0,z|0);w=y;y=0;do if(w&1)e=39;else{y=0;Na(114,A|0,x|0,m|0);x=y;y=0;if(x&1)e=39;else{w=A;x=k[w+4>>2]|0;A=c;k[A>>2]=k[w>>2];k[A+4>>2]=x;A=k[B+4>>2]|0;fO(A+12|0,z|0,40)|0;y=0;oa(460,a|0,A|0);A=y;y=0;if(A&1){c=pb()|0;d=N;break}else{k[a>>2]=7284;DO(B);break b}}}while(0);if((e|0)==39){c=pb()|0;d=N}DO(B);f=d;break a}}while(0);if((e|0)==25){c=pb()|0;d=N;e=26;break}c=k[E>>2]|0;if(!c){DO(F);k[G>>2]=H;r=C;return}d=k[D>>2]|0;if((d|0)!=(c|0)){do{B=d+-8|0;k[D>>2]=B;lc[k[k[B>>2]>>2]&511](B);d=k[D>>2]|0}while((d|0)!=(c|0));c=k[E>>2]|0}cra(c);DO(F);k[G>>2]=H;r=C;return}else if((e|0)==24){c=pb()|0;d=N;e=26}else if((e|0)==27){c=pb()|0;d=N;e=29}else if((e|0)==28){c=pb()|0;d=N;DO(A);e=29}while(0);if((e|0)==26)f=d;else if((e|0)==29)f=d;d=k[E>>2]|0;if(d|0){e=k[D>>2]|0;if((e|0)!=(d|0)){do{C=e+-8|0;k[D>>2]=C;lc[k[k[C>>2]>>2]&511](C);e=k[D>>2]|0}while((e|0)!=(d|0));d=k[E>>2]|0}cra(d)}DO(F)}F=c;k[G>>2]=H;sb(F|0)}}F=pb()|0;k[G>>2]=H;sb(F|0)}function hg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;o=a+b|0;c=k[a+4>>2]|0;do if(!(c&1)){f=k[a>>2]|0;if(!(c&3))return;l=a+(0-f)|0;j=f+b|0;h=k[20607]|0;if(l>>>0<h>>>0)Za();if((l|0)==(k[20608]|0)){a=o+4|0;c=k[a>>2]|0;if((c&3|0)!=3){r=l;e=j;break}k[20605]=j;k[a>>2]=c&-2;k[l+4>>2]=j|1;k[l+j>>2]=j;return}d=f>>>3;if(f>>>0<256){c=k[l+8>>2]|0;b=k[l+12>>2]|0;a=82452+(d<<1<<2)|0;if((c|0)!=(a|0)){if(c>>>0<h>>>0)Za();if((k[c+12>>2]|0)!=(l|0))Za()}if((b|0)==(c|0)){k[20603]=k[20603]&~(1<<d);r=l;e=j;break}if((b|0)==(a|0))g=b+8|0;else{if(b>>>0<h>>>0)Za();a=b+8|0;if((k[a>>2]|0)==(l|0))g=a;else Za()}k[c+12>>2]=b;k[g>>2]=c;r=l;e=j;break}f=k[l+24>>2]|0;b=k[l+12>>2]|0;do if((b|0)==(l|0)){b=l+16|0;c=b+4|0;a=k[c>>2]|0;if(!a){a=k[b>>2]|0;if(!a){i=0;break}else c=b}while(1){b=a+20|0;d=k[b>>2]|0;if(d|0){a=d;c=b;continue}b=a+16|0;d=k[b>>2]|0;if(!d)break;else{a=d;c=b}}if(c>>>0<h>>>0)Za();else{k[c>>2]=0;i=a;break}}else{d=k[l+8>>2]|0;if(d>>>0<h>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(l|0))Za();c=b+8|0;if((k[c>>2]|0)==(l|0)){k[a>>2]=b;k[c>>2]=d;i=b;break}else Za()}while(0);if(!f){r=l;e=j}else{a=k[l+28>>2]|0;c=82716+(a<<2)|0;if((l|0)==(k[c>>2]|0)){k[c>>2]=i;if(!i){k[20604]=k[20604]&~(1<<a);r=l;e=j;break}}else{if(f>>>0<(k[20607]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(l|0))k[a>>2]=i;else k[f+20>>2]=i;if(!i){r=l;e=j;break}}b=k[20607]|0;if(i>>>0<b>>>0)Za();k[i+24>>2]=f;a=l+16|0;c=k[a>>2]|0;do if(c|0)if(c>>>0<b>>>0)Za();else{k[i+16>>2]=c;k[c+24>>2]=i;break}while(0);a=k[a+4>>2]|0;if(!a){r=l;e=j}else if(a>>>0<(k[20607]|0)>>>0)Za();else{k[i+20>>2]=a;k[a+24>>2]=i;r=l;e=j;break}}}else{r=a;e=b}while(0);g=k[20607]|0;if(o>>>0<g>>>0)Za();a=o+4|0;c=k[a>>2]|0;if(!(c&2)){if((o|0)==(k[20609]|0)){q=(k[20606]|0)+e|0;k[20606]=q;k[20609]=r;k[r+4>>2]=q|1;if((r|0)!=(k[20608]|0))return;k[20608]=0;k[20605]=0;return}if((o|0)==(k[20608]|0)){q=(k[20605]|0)+e|0;k[20605]=q;k[20608]=r;k[r+4>>2]=q|1;k[r+q>>2]=q;return}e=(c&-8)+e|0;d=c>>>3;do if(c>>>0<256){c=k[o+8>>2]|0;b=k[o+12>>2]|0;a=82452+(d<<1<<2)|0;if((c|0)!=(a|0)){if(c>>>0<g>>>0)Za();if((k[c+12>>2]|0)!=(o|0))Za()}if((b|0)==(c|0)){k[20603]=k[20603]&~(1<<d);break}if((b|0)==(a|0))m=b+8|0;else{if(b>>>0<g>>>0)Za();a=b+8|0;if((k[a>>2]|0)==(o|0))m=a;else Za()}k[c+12>>2]=b;k[m>>2]=c}else{f=k[o+24>>2]|0;b=k[o+12>>2]|0;do if((b|0)==(o|0)){b=o+16|0;c=b+4|0;a=k[c>>2]|0;if(!a){a=k[b>>2]|0;if(!a){n=0;break}else c=b}while(1){b=a+20|0;d=k[b>>2]|0;if(d|0){a=d;c=b;continue}b=a+16|0;d=k[b>>2]|0;if(!d)break;else{a=d;c=b}}if(c>>>0<g>>>0)Za();else{k[c>>2]=0;n=a;break}}else{d=k[o+8>>2]|0;if(d>>>0<g>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(o|0))Za();c=b+8|0;if((k[c>>2]|0)==(o|0)){k[a>>2]=b;k[c>>2]=d;n=b;break}else Za()}while(0);if(f|0){a=k[o+28>>2]|0;c=82716+(a<<2)|0;if((o|0)==(k[c>>2]|0)){k[c>>2]=n;if(!n){k[20604]=k[20604]&~(1<<a);break}}else{if(f>>>0<(k[20607]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(o|0))k[a>>2]=n;else k[f+20>>2]=n;if(!n)break}b=k[20607]|0;if(n>>>0<b>>>0)Za();k[n+24>>2]=f;a=o+16|0;c=k[a>>2]|0;do if(c|0)if(c>>>0<b>>>0)Za();else{k[n+16>>2]=c;k[c+24>>2]=n;break}while(0);a=k[a+4>>2]|0;if(a|0)if(a>>>0<(k[20607]|0)>>>0)Za();else{k[n+20>>2]=a;k[a+24>>2]=n;break}}}while(0);k[r+4>>2]=e|1;k[r+e>>2]=e;if((r|0)==(k[20608]|0)){k[20605]=e;return}}else{k[a>>2]=c&-2;k[r+4>>2]=e|1;k[r+e>>2]=e}a=e>>>3;if(e>>>0<256){b=82452+(a<<1<<2)|0;c=k[20603]|0;a=1<<a;if(!(c&a)){k[20603]=c|a;p=b;q=b+8|0}else{a=b+8|0;c=k[a>>2]|0;if(c>>>0<(k[20607]|0)>>>0)Za();else{p=c;q=a}}k[q>>2]=r;k[p+12>>2]=r;k[r+8>>2]=p;k[r+12>>2]=b;return}a=e>>>8;if(!a)a=0;else if(e>>>0>16777215)a=31;else{p=(a+1048320|0)>>>16&8;q=a<<p;o=(q+520192|0)>>>16&4;q=q<<o;a=(q+245760|0)>>>16&2;a=14-(o|p|a)+(q<<a>>>15)|0;a=e>>>(a+7|0)&1|a<<1}d=82716+(a<<2)|0;k[r+28>>2]=a;k[r+20>>2]=0;k[r+16>>2]=0;c=k[20604]|0;b=1<<a;if(!(c&b)){k[20604]=c|b;k[d>>2]=r;k[r+24>>2]=d;k[r+12>>2]=r;k[r+8>>2]=r;return}c=e<<((a|0)==31?0:25-(a>>>1)|0);d=k[d>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(e|0)){a=127;break}b=d+16+(c>>>31<<2)|0;a=k[b>>2]|0;if(!a){a=124;break}else{c=c<<1;d=a}}if((a|0)==124){if(b>>>0<(k[20607]|0)>>>0)Za();k[b>>2]=r;k[r+24>>2]=d;k[r+12>>2]=r;k[r+8>>2]=r;return}else if((a|0)==127){a=d+8|0;c=k[a>>2]|0;q=k[20607]|0;if(!(c>>>0>=q>>>0&d>>>0>=q>>>0))Za();k[c+12>>2]=r;k[a>>2]=r;k[r+8>>2]=c;k[r+12>>2]=d;k[r+24>>2]=0;return}}function ig(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;m=0;h=k[a>>2]|0;j=h;b=h+((((k[b>>2]|0)-j|0)/48|0)*48|0)|0;p=k[c>>2]|0;f=k[d>>2]|0;r=f-p|0;l=(r|0)/48|0;o=f;if((r|0)<=0){r=b;return r|0}q=a+8|0;g=k[q>>2]|0;r=a+4|0;n=k[r>>2]|0;d=n;if((l|0)<=((g-d|0)/48|0|0)){h=d-b|0;d=(h|0)/48|0;if((l|0)>(d|0)){g=p+(d*48|0)|0;f=g;if((g|0)==(o|0))d=n;else{d=n;do{Tz(d,g);g=g+48|0;d=(k[r>>2]|0)+48|0;k[r>>2]=d}while((g|0)!=(o|0))}if((h|0)<=0){r=b;return r|0}}else d=n;h=d-(b+(l*48|0))|0;m=b+(((h|0)/48|0)*48|0)|0;if(m>>>0<n>>>0){g=m;j=d;do{k[j>>2]=k[g>>2];k[j+4>>2]=k[g+4>>2];k[j+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;q=j+12|0;a=g+12|0;k[q>>2]=k[a>>2];k[q+4>>2]=k[a+4>>2];k[q+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;a=j+24|0;q=g+24|0;k[a>>2]=k[q>>2];k[a+4>>2]=k[q+4>>2];k[a+8>>2]=k[q+8>>2];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;q=j+36|0;a=g+36|0;k[q>>2]=k[a>>2];k[q+4>>2]=k[a+4>>2];k[q+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;g=g+48|0;j=(k[r>>2]|0)+48|0;k[r>>2]=j}while(g>>>0<n>>>0)}do if(!h)e=p;else{while(1){g=d;d=d+-48|0;j=m;m=m+-48|0;_s(d,m)|0;h=g+-12|0;j=j+-12|0;l=h+11|0;if((i[l>>0]|0)<0){i[k[h>>2]>>0]=0;k[g+-8>>2]=0}else{i[h>>0]=0;i[l>>0]=0}y=0;oa(500,h|0,0);r=y;y=0;if(r&1){m=13;break}k[h>>2]=k[j>>2];k[h+4>>2]=k[j+4>>2];k[h+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;if((m|0)==(b|0)){m=16;break}}if((m|0)==13){r=tb(0)|0;Sla(r)}else if((m|0)==16){e=k[c>>2]|0;break}}while(0);if((e|0)==(f|0)){r=b;return r|0}else d=b;while(1){EN(d,e)|0;EN(d+12|0,e+12|0)|0;EN(d+24|0,e+24|0)|0;EN(d+36|0,e+36|0)|0;e=e+48|0;if((e|0)==(f|0))break;else d=d+48|0}return b|0}f=((d-j|0)/48|0)+l|0;if(f>>>0>89478485){pN(a);d=k[a>>2]|0;h=d;e=k[q>>2]|0}else{e=g;d=j}c=(e-d|0)/48|0;e=c<<1;f=c>>>0<44739242?(e>>>0<f>>>0?f:e):89478485;e=(b-d|0)/48|0;do if(!f)j=0;else if(f>>>0>89478485){r=gb(4)|0;Qoa(r);Wb(r|0,5760,404)}else{j=IM(f*48|0)|0;break}while(0);n=j+(e*48|0)|0;e=n;l=j+(f*48|0)|0;do if((p|0)==(o|0))f=e;else{f=e;g=n;d=p;while(1){y=0;oa(471,g|0,d|0);p=y;y=0;if(p&1)break;g=f+48|0;f=g;d=d+48|0;if((d|0)==(o|0)){m=28;break}}if((m|0)==28){h=k[a>>2]|0;break}e=pb()|0;b=f;if((b|0)!=(n|0))do{A9(b+-12|0);A9(b+-24|0);A9(b+-36|0);b=b+-48|0;A9(b)}while((b|0)!=(n|0));if(!j)sb(e|0);cra(j);sb(e|0)}while(0);if((h|0)==(b|0)){d=n;h=e}else{g=b;d=n;do{p=d+-48|0;c=g;g=g+-48|0;k[p>>2]=k[g>>2];k[p+4>>2]=k[g+4>>2];k[p+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;p=d+-36|0;o=c+-36|0;k[p>>2]=k[o>>2];k[p+4>>2]=k[o+4>>2];k[p+8>>2]=k[o+8>>2];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;o=d+-24|0;p=c+-24|0;k[o>>2]=k[p>>2];k[o+4>>2]=k[p+4>>2];k[o+8>>2]=k[p+8>>2];k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;p=d+-12|0;d=c+-12|0;k[p>>2]=k[d>>2];k[p+4>>2]=k[d+4>>2];k[p+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=e+-48|0;e=d}while((g|0)!=(h|0));h=e}g=k[r>>2]|0;if((g|0)!=(b|0)){d=f;e=f;do{k[e>>2]=k[b>>2];k[e+4>>2]=k[b+4>>2];k[e+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;c=e+12|0;p=b+12|0;k[c>>2]=k[p>>2];k[c+4>>2]=k[p+4>>2];k[c+8>>2]=k[p+8>>2];k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;p=e+24|0;c=b+24|0;k[p>>2]=k[c>>2];k[p+4>>2]=k[c+4>>2];k[p+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;c=e+36|0;p=b+36|0;k[c>>2]=k[p>>2];k[c+4>>2]=k[p+4>>2];k[c+8>>2]=k[p+8>>2];k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;b=b+48|0;e=d+48|0;d=e}while((b|0)!=(g|0));f=d;d=h;b=k[r>>2]|0}e=k[a>>2]|0;k[a>>2]=d;k[r>>2]=f;k[q>>2]=l;if((b|0)!=(e|0))do{A9(b+-12|0);A9(b+-24|0);A9(b+-36|0);b=b+-48|0;A9(b)}while((b|0)!=(e|0));if(!e){r=n;return r|0}cra(e);r=n;return r|0}function jg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;x=r;r=r+144|0;g=x+40|0;j=x;w=x+128|0;u=x+120|0;s=x+112|0;n=x+88|0;v=x+104|0;t=x+80|0;m=k[b+80>>2]|0;if((m|0)!=2){if(i[b+53>>0]|0){r=x;return b|0}n=IM(88)|0;f=b+64|0;l=b+68|0;c=k[l>>2]|0;d=k[f>>2]|0;j=i[b+84>>0]|0;o=g;p=b+12|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(422,n|0);w=y;y=0;do if(w&1)c=pb()|0;else{e=c-d>>3;o=n+12|0;p=g;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;c=n+56|0;k[c>>2]=0;k[n>>2]=9288;d=n+60|0;k[d>>2]=9248;g=n+64|0;h=n+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,e|0);w=y;y=0;if(w&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{x=e+-8|0;k[h>>2]=x;lc[k[k[x>>2]>>2]&511](x);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[n>>2]=9076;k[d>>2]=9208;k[n+80>>2]=m;i[n+84>>0]=j;i[n+85>>0]=0;k[c>>2]=5;LT(v,n);k[v>>2]=7172;e=k[f>>2]|0;h=(k[l>>2]|0)-e>>3;j=v+4|0;c=k[j>>2]|0;a:do if(h){l=b+64|0;d=0;while(1){f=c+60|0;g=k[(k[f>>2]|0)+20>>2]|0;c=k[e+(d<<3)+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;w=y;y=0;if(w&1){e=56;break}y=0;oa(460,t|0,c|0);w=y;y=0;if(w&1){e=56;break}k[t>>2]=7284;y=0;oa(g|0,f|0,t|0);w=y;y=0;if(w&1){e=57;break}DO(t);d=d+1|0;c=k[j>>2]|0;if(d>>>0>=h>>>0)break a;e=k[l>>2]|0}if((e|0)==56)c=pb()|0;else if((e|0)==57){c=pb()|0;DO(t)}DO(v);x=c;sb(x|0)}while(0);i[c+54>>0]=i[b+54>>0]|0;i[c+85>>0]=i[b+85>>0]|0;i[c+53>>0]=1;if(!c)c=0;else i[c+8>>0]=1;DO(v);b=c;r=x;return b|0}while(0);cra(n);x=c;sb(x|0)}g=IM(108)|0;f=b+64|0;h=b+68|0;c=k[h>>2]|0;d=k[f>>2]|0;o=j;p=b+12|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(422,g|0);v=y;y=0;do if(v&1)c=pb()|0;else{e=c-d>>3>>>1;o=g+12|0;p=j;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;c=g+56|0;k[c>>2]=0;k[g>>2]=9288;d=g+60|0;y=0;oa(556,d|0,e|0);v=y;y=0;if(v&1){c=pb()|0;break}k[g>>2]=9412;k[d>>2]=9540;k[c>>2]=6;LT(w,g);k[w>>2]=16764;e=k[f>>2]|0;f=(k[h>>2]|0)-e>>3;b:do if(!f){d=w+4|0;e=27}else{g=b+64|0;h=u+4|0;d=w+4|0;j=n+8|0;l=s+4|0;m=n+8|0;c=0;while(1){e=k[e+(c<<3)+4>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,a|0)|0;v=y;y=0;if(v&1){e=20;break}y=0;oa(460,u|0,e|0);v=y;y=0;if(v&1){e=20;break}k[u>>2]=7284;e=k[(k[g>>2]|0)+((c|1)<<3)+4>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,a|0)|0;v=y;y=0;if(v&1){e=21;break}y=0;oa(460,s|0,e|0);v=y;y=0;if(v&1){e=21;break}k[s>>2]=7284;v=k[h>>2]|0;i[v+52>>0]=1;e=k[d>>2]|0;y=0;oa(460,n|0,v|0);v=y;y=0;if(v&1){e=22;break}k[n>>2]=7284;y=0;oa(460,j|0,k[l>>2]|0);v=y;y=0;if(v&1){e=16;break}k[j>>2]=7284;y=0;Ha(988,e+60|0,n|0)|0;v=y;y=0;if(v&1){e=24;break}DO(m);DO(n);DO(s);DO(u);c=c+2|0;if(c>>>0>=f>>>0){e=27;break b}e=k[g>>2]|0}if((e|0)==16){c=pb()|0;DO(n);e=23}else if((e|0)==20){c=pb()|0;break}else if((e|0)==21)c=pb()|0;else if((e|0)==22){c=pb()|0;e=23}else if((e|0)==24){c=pb()|0;DO(m);DO(n);e=25}if((e|0)==23)e=25;if((e|0)==25)DO(s);DO(u)}while(0);c:do if((e|0)==27){c=k[d>>2]|0;do if(!(k[c+104>>2]|0)){i[c+54>>0]=i[b+54>>0]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;b=y;y=0;if(!(b&1)){DO(w);b=c;r=x;return b|0}}else{c=gb(84)|0;y=0;Na(130,c|0,k[d>>2]|0,b|0);x=y;y=0;if(x&1){x=pb()|0;fb(c|0);c=x;break c}else{y=0;Na(75,c|0,3608,175);y=0;break}}while(0);c=pb()|0}while(0);DO(w);x=c;sb(x|0)}while(0);cra(g);x=c;sb(x|0);return 0}function kg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;u=0;v=r;r=r+64|0;q=v+60|0;p=v+56|0;s=v+48|0;t=v;z=v+16|0;j=v+40|0;x=v+36|0;w=v+4|0;o=c+4|0;n=k[o>>2]|0;k[j>>2]=k[n+76>>2];k[x>>2]=k[n+80>>2];k[p>>2]=k[j>>2];k[q>>2]=k[x>>2];Bh(z,p,q);k[w>>2]=0;x=w+4|0;k[x>>2]=0;k[w+8>>2]=0;j=k[o>>2]|0;j=(k[j+80>>2]|0)-(k[j+76>>2]|0)>>3;do if(!j){c=0;d=0;u=4}else{l=b+16|0;m=b+12|0;n=w+8|0;i=0;a:while(1){c=k[l>>2]|0;b:do if(c|0){g=(k[(k[o>>2]|0)+76>>2]|0)+(i<<3)+4|0;while(1){d=k[g>>2]|0;f=c+20|0;if(!d)u=12;else{e=k[f>>2]|0;if(!e)break;y=0;d=Ha(970,d|0,e|0)|0;h=y;y=0;if(h&1){u=18;break a}if(!d)u=12}if((u|0)==12){u=0;d=k[f>>2]|0;if(!d)break;e=k[g>>2]|0;if(!e)break;y=0;d=Ha(970,d|0,e|0)|0;h=y;y=0;if(h&1){u=18;break a}if(!d)break;c=c+4|0}c=k[c>>2]|0;if(!c)break b}h=(k[(k[o>>2]|0)+76>>2]|0)+(i<<3)|0;k[q>>2]=h;y=0;ya(27,s|0,m|0,h|0,85900,q|0,p|0);h=y;y=0;if(h&1){u=19;break a}h=k[s>>2]|0;c=k[h+24>>2]|0;h=k[h+28>>2]|0;if((c|0)!=(h|0))do{g=k[c+4>>2]|0;d=k[g+76>>2]|0;g=k[g+80>>2]|0;if((d|0)==(g|0))u=29;else{f=1;do{y=0;e=Ha(1030,z|0,d|0)|0;A=y;y=0;if(A&1){u=27;break a}A=(e|0)==0;f=f&(A^1);d=d+8|0}while(!(A|(d|0)==(g|0)));if(f)u=29}do if((u|0)==29){u=0;d=c+8|0;e=k[x>>2]|0;if((e|0)==(k[n>>2]|0)){y=0;oa(701,w|0,d|0);A=y;y=0;if(A&1){u=24;break a}else break}else{k[e>>2]=k[d>>2];k[x>>2]=e+4;break}}while(0);c=c+12|0}while((c|0)!=(h|0))}while(0);i=i+1|0;if(i>>>0>=j>>>0){u=3;break}}if((u|0)==3){c=k[w>>2]|0;d=k[x>>2]|0;u=4;break}else if((u|0)==18)c=pb()|0;else if((u|0)==19)c=pb()|0;else if((u|0)==24){f=pb()|0;break}else if((u|0)==27){f=pb()|0;break}f=c}while(0);c:do if((u|0)==4){y=0;Na(156,c|0,d|0,t|0);A=y;y=0;if(A&1){f=pb()|0;break}c=k[w>>2]|0;h=k[x>>2]|0;i=c;g=h;d:do if((c|0)==(h|0)){d=c;u=39}else{d=c+4|0;if((d|0)==(h|0))f=h;else{e=d;f=k[c>>2]|0;d=c;while(1){A=f;f=k[e>>2]|0;if((A|0)==(f|0)){u=39;break d}d=e+4|0;if((d|0)==(h|0)){f=h;break}else{A=e;e=d;d=A}}}}while(0);if((u|0)==39)if((d|0)==(h|0))f=h;else{e=d+8|0;if((e|0)!=(h|0)){f=k[d>>2]|0;do{A=f;f=k[e>>2]|0;if((A|0)!=(f|0)){d=d+4|0;k[d>>2]=f}e=e+4|0}while((e|0)!=(h|0))}f=d+4|0}d=f-i>>2;e=g-i>>2;do if(d>>>0>e>>>0){y=0;oa(702,w|0,d-e|0);A=y;y=0;if(A&1){f=pb()|0;break c}else{c=k[w>>2]|0;e=k[x>>2]|0;d=c;break}}else if(d>>>0>=e>>>0|(h|0)==(f|0)){e=g;d=i}else{e=h+(~((h+-4-f|0)>>>2)<<2)|0;k[x>>2]=e;d=i}while(0);k[a>>2]=0;l=a+4|0;k[l>>2]=0;k[a+8>>2]=0;i=e-d>>2;e:do if(i){j=a+8|0;d=0;h=0;g=0;while(1){e=k[c+(d<<2)>>2]|0;f=k[b>>2]|0;if((h|0)==(g|0)){y=0;oa(676,a|0,f+(e<<4)|0);A=y;y=0;if(A&1){u=63;break}}else{y=0;oa(460,h|0,k[f+(e<<4)+4>>2]|0);A=y;y=0;if(A&1){u=63;break}k[h>>2]=15136;c=h+8|0;y=0;oa(460,c|0,k[f+(e<<4)+12>>2]|0);A=y;y=0;if(A&1){u=58;break}k[c>>2]=15152;k[l>>2]=(k[l>>2]|0)+16}d=d+1|0;c=k[w>>2]|0;if(d>>>0>=i>>>0)break e;h=k[l>>2]|0;g=k[j>>2]|0}if((u|0)==58){f=pb()|0;e=N;DO(h)}else if((u|0)==63){f=pb()|0;e=N}c=k[a>>2]|0;if(!c)break c;d=k[l>>2]|0;if((d|0)!=(c|0)){do{A=d+-16|0;k[l>>2]=A;DO(d+-8|0);DO(A);d=k[l>>2]|0}while((d|0)!=(c|0));c=k[a>>2]|0}cra(c);break c}while(0);d=c;if(c|0){e=k[x>>2]|0;if((e|0)!=(c|0))k[x>>2]=e+(~((e+-4-d|0)>>>2)<<2);cra(c)}c=k[z+8>>2]|0;if(c|0)do{A=c;c=k[c>>2]|0;x=A+8|0;lc[k[k[x>>2]>>2]&511](x);cra(A)}while((c|0)!=0);c=k[z>>2]|0;k[z>>2]=0;if(!c){r=v;return}cra(c);r=v;return}while(0);c=k[w>>2]|0;d=c;if(c|0){e=k[x>>2]|0;if((e|0)!=(c|0))k[x>>2]=e+(~((e+-4-d|0)>>>2)<<2);cra(c)}c=k[z+8>>2]|0;if(c|0)do{A=c;c=k[c>>2]|0;x=A+8|0;lc[k[k[x>>2]>>2]&511](x);cra(A)}while((c|0)!=0);c=k[z>>2]|0;k[z>>2]=0;if(!c)sb(f|0);cra(c);sb(f|0)}function lg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;q=0;o=r;r=r+144|0;m=o;s=o+88|0;h=o+96|0;j=o+76|0;p=o+52|0;l=o+64|0;n=o+40|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;aI(m,38830,7);y=0;b=Ha(975,a|0,m|0)|0;a=y;y=0;if(!(a&1)){y=0;oa(460,s|0,k[b+4>>2]|0);a=y;y=0;if(!(a&1)){k[s>>2]=6336;A9(m);d=s+4|0;a=k[d>>2]|0;if(!a)q=17;else if((k[307]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;d=qa(315,80)|0;p=y;y=0;if(p&1)q=12;else{g=h;b=e;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;oa(456,j|0,a+64|0);e=y;y=0;if(e&1)b=pb()|0;else{g=m;b=h;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));y=0;na(422,d|0);e=y;y=0;do if(e&1)b=pb()|0;else{g=d+12|0;b=m;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));b=d+52|0;i[b>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=11100;i[d+60>>0]=0;i[d+61>>0]=0;y=0;oa(549,d+64|0,j|0);e=y;y=0;if(e&1){b=pb()|0;break}k[d+76>>2]=0;A9(j);i[b>>0]=1;q=d;DO(s);r=o;return q|0}while(0);A9(j)}cra(d)}}else q=17;do if((q|0)==17){y=0;b=qa(332,a|0)|0;j=y;y=0;if(j&1)q=12;else{if(b|0){q=b;DO(s);r=o;return q|0}y=0;a=qa(333,k[d>>2]|0)|0;j=y;y=0;if(j&1){b=pb()|0;break}if(!a){b=gb(8)|0;y=0;oa(495,b|0,38882);e=y;y=0;if(e&1){e=pb()|0;fb(b|0);b=e;break}else{y=0;Na(75,b|0,5792,409);y=0;b=pb()|0;break}}f=c+16|0;j=k[f>>2]|0;g=k[j>>2]|0;k[j>>2]=0;j=k[d>>2]|0;c=k[(k[j>>2]|0)+28>>2]|0;h=k[f>>2]|0;y=0;k[m>>2]=k[h>>2];k[m+4>>2]=k[h+4>>2];k[m+8>>2]=k[h+8>>2];Na(c|0,p|0,j|0,m|0);j=y;y=0;if(j&1){b=pb()|0;break}b=k[d>>2]|0;if(!b)q=26;else if((k[381]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,48606,4);q=y;y=0;if(q&1)q=38;else q=27}else q=26;if((q|0)==26){y=0;oa(456,m|0,p|0);q=y;y=0;if(q&1)q=38;else q=27}if((q|0)==27){d=p+11|0;if((i[d>>0]|0)<0){i[k[p>>2]>>0]=0;k[p+4>>2]=0}else{i[p>>0]=0;i[d>>0]=0}y=0;oa(500,p|0,0);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}k[p>>2]=k[m>>2];k[p+4>>2]=k[m+4>>2];k[p+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;A9(m);k[k[f>>2]>>2]=g;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;b=i[d>>0]|0;b=b<<24>>24<0?k[p+4>>2]|0:b&255;y=0;Ra(10,n|0,38838,8,b+8|0);j=y;y=0;if(j&1)q=39;else{y=0;ta(41,n|0,((i[d>>0]|0)<0?k[p>>2]|0:p)|0,b|0)|0;j=y;y=0;if(j&1)q=39;else{y=0;b=Ha(974,n|0,38847)|0;j=y;y=0;do if(j&1)b=pb()|0;else{k[l>>2]=k[b>>2];k[l+4>>2]=k[b+4>>2];k[l+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;g=m;b=e;f=g+40|0;do{k[g>>2]=k[b>>2];g=g+4|0;b=b+4|0}while((g|0)<(f|0));oa(557,l|0,m|0);e=y;y=0;if(e&1){b=pb()|0;A9(l);break}A9(l);A9(n);A9(p);q=a;DO(s);r=o;return q|0}while(0);A9(n)}}if((q|0)==39){b=pb()|0;A9(n)}}else if((q|0)==38)b=pb()|0;A9(p)}}while(0);if((q|0)==12)b=pb()|0;DO(s);s=b;sb(s|0)}}s=pb()|0;A9(m);sb(s|0);return 0}function mg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;g=0;d=i[b>>0]|0;a:do if(d<<24>>24){f=b;e=d;b:while(1){c=f+1|0;do if(e<<24>>24>-1)c=1;else{if((e&255)<194){g=22;break b}if((e&255)<224)if((i[c>>0]&-64)<<24>>24==-128){c=2;break}else{g=22;break b}if((e&255)<240){switch(e<<24>>24){case -32:{c=i[c>>0]|0;if((c&255)<160){g=22;break b}break}case -19:{c=i[c>>0]|0;if((c&255)>159){g=22;break b}break}default:c=i[c>>0]|0}if((c&-64)<<24>>24!=-128){g=22;break b}if((i[f+2>>0]&-64)<<24>>24==-128){c=3;break}else{g=22;break b}}if((e&255)>=245){g=22;break b}switch(e<<24>>24){case -16:{c=i[c>>0]|0;if((c&255)<144){g=22;break b}break}case -12:{c=i[c>>0]|0;if((c&255)>143){g=22;break b}break}default:c=i[c>>0]|0}if((c&-64)<<24>>24!=-128){g=22;break b}if((i[f+2>>0]&-64)<<24>>24!=-128){g=22;break b}if((i[f+3>>0]&-64)<<24>>24==-128)c=4;else{g=22;break b}}while(0);f=f+c|0;e=i[f>>0]|0;if(!(e<<24>>24)){e=b;break}}if((g|0)==22){a=gb(8)|0;k[a>>2]=16720;i[a+4>>0]=0;Wb(a|0,2256,220)}c:while(1){c=e+1|0;do if(d<<24>>24>-1)c=1;else{if((d&255)<194){g=43;break c}if((d&255)<224)if((i[c>>0]&-64)<<24>>24==-128){c=2;break}else{g=43;break c}if((d&255)<240){switch(d<<24>>24){case -32:{c=i[c>>0]|0;if((c&255)<160){g=43;break c}break}case -19:{c=i[c>>0]|0;if((c&255)>159){g=43;break c}break}default:c=i[c>>0]|0}if((c&-64)<<24>>24!=-128){g=43;break c}if((i[e+2>>0]&-64)<<24>>24==-128){c=3;break}else{g=43;break c}}if((d&255)>=245){g=43;break c}switch(d<<24>>24){case -16:{c=i[c>>0]|0;if((c&255)<144){g=43;break c}break}case -12:{c=i[c>>0]|0;if((c&255)>143){g=43;break c}break}default:c=i[c>>0]|0}if((c&-64)<<24>>24!=-128){g=43;break c}if((i[e+2>>0]&-64)<<24>>24!=-128){g=43;break c}if((i[e+3>>0]&-64)<<24>>24==-128)c=4;else{g=43;break c}}while(0);e=e+c|0;d=i[e>>0]|0;if(!(d<<24>>24))break a}if((g|0)==43)eb(42676,42493,1167,42695)}while(0);l=a+4|0;e=k[l>>2]|0;d=k[a>>2]|0;c=d;do if((e-d|0)<14){h=a+8|0;f=k[h>>2]|0;g=d-f|0;c=g+14|0;d=e-f|0;do d=d<<1;while(d>>>0<c>>>0);c=tH(f,d|1)|0;k[h>>2]=c;if(!c){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{j=c+g|0;k[a>>2]=j;k[l>>2]=c+d;break}}else j=c;while(0);c=j+1|0;i[j>>0]=34;d=i[b>>0]|0;if(!(d<<24>>24)){j=c;l=j+1|0;i[j>>0]=34;k[a>>2]=l;return}h=a+8|0;f=d;d:while(1){d=b+1|0;e:do switch(f<<24>>24){case 34:{i[c>>0]=92;i[c+1>>0]=34;c=c+2|0;break}case 92:{i[c>>0]=92;i[c+1>>0]=92;c=c+2|0;break}case 8:{i[c>>0]=92;i[c+1>>0]=98;c=c+2|0;break}case 12:{i[c>>0]=92;i[c+1>>0]=102;c=c+2|0;break}case 10:{i[c>>0]=92;i[c+1>>0]=110;c=c+2|0;break}case 13:{i[c>>0]=92;i[c+1>>0]=114;c=c+2|0;break}case 9:{i[c>>0]=92;i[c+1>>0]=116;c=c+2|0;break}default:{do if(f<<24>>24>-1)if((f&255)<31){j=f&255;i[c>>0]=92;i[c+1>>0]=117;i[c+2>>0]=48;i[c+3>>0]=48;i[c+4>>0]=i[42707+(j>>>4)>>0]|0;i[c+5>>0]=i[42707+(j&15)>>0]|0;c=c+6|0;break e}else g=1;else{if((f&255)<194){g=80;break d}if((f&255)<224)if((i[d>>0]&-64)<<24>>24==-128){g=2;break}else{g=80;break d}if((f&255)<240){switch(f<<24>>24){case -32:{d=i[d>>0]|0;if((d&255)<160){g=80;break d}break}case -19:{d=i[d>>0]|0;if((d&255)>159){g=80;break d}break}default:d=i[d>>0]|0}if((d&-64)<<24>>24!=-128){g=80;break d}if((i[b+2>>0]&-64)<<24>>24==-128){g=3;break}else{g=80;break d}}if((f&255)>=245){g=80;break d}switch(f<<24>>24){case -16:{d=i[d>>0]|0;if((d&255)<144){g=80;break d}break}case -12:{d=i[d>>0]|0;if((d&255)>143){g=80;break d}break}default:d=i[d>>0]|0}if((d&-64)<<24>>24!=-128){g=80;break d}if((i[b+2>>0]&-64)<<24>>24!=-128){g=80;break d}if((i[b+3>>0]&-64)<<24>>24==-128)g=4;else{g=80;break d}}while(0);d=b+g|0;e=g+-1|0;i[c>>0]=f;if(e|0){f=c;do{b=b+1|0;f=f+1|0;e=e+-1|0;i[f>>0]=i[b>>0]|0}while((e|0)!=0)}c=c+g|0}}while(0);k[a>>2]=c;b=k[l>>2]|0;e=c;if((b-e|0)<14){f=k[h>>2]|0;g=e-f|0;c=g+14|0;e=b-f|0;do e=e<<1;while(e>>>0<c>>>0);c=tH(f,e|1)|0;k[h>>2]=c;if(!c){g=89;break}j=c+g|0;k[a>>2]=j;k[l>>2]=c+e;c=j}f=i[d>>0]|0;if(!(f<<24>>24)){g=92;break}else b=d}if((g|0)==80)eb(58348,42493,1225,42695);else if((g|0)==89){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else if((g|0)==92){l=c+1|0;i[c>>0]=34;k[a>>2]=l;return}}function ng(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;q=0;t=r;r=r+128|0;s=t;u=t+104|0;n=t+116|0;m=t+52|0;j=t+64|0;l=t+40|0;o=b+76|0;p=k[o>>2]|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;aI(u,87975,0);y=0;c=ta(106,b|0,0,0)|0;h=y;y=0;do if(!(h&1)){a:do if(c|0){f=k[b+160>>2]|0;g=k[b+164>>2]|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;h=g-f|0;if(h>>>0>4294967279){y=0;na(438,s|0);q=y;y=0;if(q&1)q=15;else q=7}else if(h>>>0<11){i[s+11>>0]=h;c=s;q=9}else q=7;if((q|0)==7){d=h+16&-16;y=0;c=qa(315,d|0)|0;q=y;y=0;if(q&1)q=15;else{k[s>>2]=c;k[s+8>>2]=d|-2147483648;k[s+4>>2]=h;q=9}}do if((q|0)==9){if((f|0)!=(g|0)){e=c;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}c=c+h|0}i[c>>0]=0;y=0;Ha(969,u|0,s|0)|0;h=y;y=0;if(h&1){c=pb()|0;A9(s);break}else{A9(s);break a}}else if((q|0)==15)c=pb()|0;while(0);t=c;A9(u);sb(t|0)}while(0);c=k[o>>2]|0;y=0;d=qa(344,c|0)|0;h=y;y=0;if(!(h&1)){c=d|0?d:c;if(c|0){d=i[48639]|0;b:do if(!(d<<24>>24))d=0;else{e=48639;while(1){if((i[c>>0]|0)!=d<<24>>24)break b;c=c+1|0;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){d=0;break}}}while(0);h=d<<24>>24==0?c:0;g=b+80|0;if(!((h|0)==0?1:h>>>0>(k[g>>2]|0)>>>0)){c=k[o>>2]|0;c:do if(!c){c=0;q=38}else{while(1){y=0;d=qa(344,c|0)|0;m=y;y=0;if(m&1)break;d=d|0?d:c;if(!d){q=38;break c}e=i[48639]|0;d:do if(!(e<<24>>24))e=0;else{f=48639;while(1){if((i[d>>0]|0)!=e<<24>>24)break d;d=d+1|0;f=f+1|0;e=i[f>>0]|0;if(!(e<<24>>24)){e=0;break}}}while(0);m=e<<24>>24==0?d:0;if(!(m|0?m>>>0<=(k[g>>2]|0)>>>0:0)){q=38;break c}y=0;c=qa(376,c|0)|0;m=y;y=0;if(m&1)break;if(!c){c=0;q=38;break c}y=0;c=qa(368,c|0)|0;m=y;y=0;if(m&1)break;if(!c){c=0;q=38;break c}}c=pb()|0}while(0);do if((q|0)==38){k[o>>2]=c;k[n>>2]=p;k[n+4>>2]=p;k[n+8>>2]=c;y=0;k[s>>2]=k[n>>2];k[s+4>>2]=k[n+4>>2];k[s+8>>2]=k[n+8>>2];Ra(27,a|0,b|0,s|0,0);a=y;y=0;if(a&1){c=pb()|0;break}else{A9(u);r=t;return}}while(0);t=c;A9(u);sb(t|0)}}q=i[u+11>>0]|0;if(!((q<<24>>24<0?k[u+4>>2]|0:q&255)|0)){y=0;c=sa(21,u|0,0,-1,87975,0)|0;q=y;y=0;if(q&1){q=tb(0)|0;Sla(q)}if(!c){y=0;oa(460,a|0,0);s=y;y=0;if(s&1)break;k[a>>2]=7492;A9(u);r=t;return}}y=0;oa(594,m|0,u|0);q=y;y=0;if(!(q&1)){y=0;f=qa(315,80)|0;q=y;y=0;e:do if(q&1)c=pb()|0;else{e=j;c=b+108|0;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));y=0;oa(456,l|0,m|0);b=y;y=0;do if(b&1)c=pb()|0;else{e=s;c=j;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));y=0;na(422,f|0);b=y;y=0;if(b&1)d=1;else{e=f+12|0;c=s;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=4;k[f>>2]=11100;i[f+60>>0]=0;i[f+61>>0]=0;y=0;oa(549,f+64|0,l|0);s=y;y=0;if(s&1){c=pb()|0;A9(l);break}k[f+76>>2]=0;y=0;oa(460,a|0,f|0);s=y;y=0;if(s&1)d=0;else{k[a>>2]=7492;A9(l);A9(m);A9(u);r=t;return}}c=pb()|0;A9(l);if(!d)break e}while(0);cra(f)}while(0);A9(m);t=c;A9(u);sb(t|0)}}}while(0);t=pb()|0;A9(u);sb(t|0)}function og(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;w=0;s=r;r=r+192|0;o=s;x=s+184|0;z=s+168|0;c=s+176|0;v=s+160|0;d=s+120|0;h=s+112|0;j=s+96|0;q=s+104|0;p=s+56|0;t=s+48|0;u=s+40|0;LT(x,k[b+68>>2]|0);k[x>>2]=6868;y=0;oa(460,c|0,k[b+76>>2]|0);n=y;y=0;if(n&1){z=pb()|0;DO(x);sb(z|0)}k[c>>2]=12568;y=0;oa(460,z|0,k[c+4>>2]|0);n=y;y=0;if(n&1){z=pb()|0;DO(c);DO(x);sb(z|0)}k[z>>2]=7284;DO(c);l=z+4|0;c=k[l>>2]|0;a:do if(!c){y=0;e=qa(315,76)|0;n=y;y=0;b:do if(n&1)c=pb()|0;else{c=d;f=b+12|0;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;oa(460,h|0,0);n=y;y=0;do if(n&1)c=pb()|0;else{k[h>>2]=7284;y=0;oa(460,j|0,0);n=y;y=0;if(n&1){c=pb()|0;DO(h);break}k[j>>2]=7284;c=o;f=d;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;na(422,e|0);n=y;y=0;c:do if(n&1){c=1;w=30}else{c=e+12|0;f=o;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=12348;c=e+60|0;y=0;oa(460,c|0,k[h+4>>2]|0);n=y;y=0;do if(n&1)c=pb()|0;else{k[c>>2]=7284;d=e+68|0;y=0;oa(460,d|0,k[j+4>>2]|0);n=y;y=0;if(n&1){w=pb()|0;DO(c);c=w;break}k[d>>2]=7284;y=0;oa(460,v|0,e|0);n=y;y=0;if(n&1){c=0;w=30;break c}k[v>>2]=7284;if(k[l>>2]|0){y=0;na(423,z|0);n=y;y=0;if(n&1){c=pb()|0;DO(v);d=0;break c}}w=v+4|0;k[l>>2]=k[w>>2];k[w>>2]=0;DO(v);DO(j);DO(h);w=36;break a}while(0);d=1;w=31}while(0);if((w|0)==30){v=pb()|0;d=c;c=v;w=31}DO(j);DO(h);if(!d)break b}while(0);cra(e)}while(0)}else{y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;n=y;y=0;do if(n&1)w=11;else{y=0;oa(460,o|0,c|0);n=y;y=0;if(n&1)w=11;else{k[o>>2]=7284;if(k[l>>2]|0){y=0;na(423,z|0);n=y;y=0;if(n&1){c=pb()|0;DO(o);break}}w=o+4|0;k[l>>2]=k[w>>2];k[w>>2]=0;DO(o);w=36;break a}}while(0);if((w|0)==11)c=pb()|0}while(0);if((w|0)==36){h=a+45|0;j=i[h>>0]|0;i[h>>0]=1;m=a+44|0;n=i[m>>0]|0;i[m>>0]=0;c=k[x+4>>2]|0;if(!c){c=0;w=38}else{y=0;c=Ha(k[(k[a>>2]|0)+12>>2]|0,a|0,c|0)|0;w=y;y=0;if(w&1)w=49;else w=38}if((w|0)==38){y=0;oa(460,v|0,c|0);a=y;y=0;if(a&1)w=49;else{k[v>>2]=6868;y=0;e=qa(315,80)|0;a=y;y=0;d:do if(a&1)c=pb()|0;else{c=p;f=b+12|0;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;oa(460,t|0,k[v+4>>2]|0);b=y;y=0;do if(b&1)c=pb()|0;else{k[t>>2]=6868;c=k[l>>2]|0;if(!c)c=0;else c=(k[367]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,u|0,c|0);b=y;y=0;if(b&1){c=pb()|0;DO(t);break}k[u>>2]=12568;y=0;c=o;f=p;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));Ra(34,e|0,o|0,t|0,u|0);p=y;y=0;if(p&1)d=1;else{y=0;oa(460,q|0,e|0);p=y;y=0;if(p&1)d=0;else{k[q>>2]=17196;DO(u);DO(t);c=k[q+4>>2]|0;if(!c){w=0;DO(q);DO(v);i[m>>0]=n;i[h>>0]=j;DO(z);DO(x);r=s;return w|0}i[c+8>>0]=1;w=c;DO(q);DO(v);i[m>>0]=n;i[h>>0]=j;DO(z);DO(x);r=s;return w|0}}c=pb()|0;DO(u);DO(t);if(!d)break d}while(0);cra(e)}while(0);DO(v)}}if((w|0)==49)c=pb()|0;i[m>>0]=n;i[h>>0]=j}DO(z);z=c;DO(x);sb(z|0);return 0}function pg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=0;g=r;r=r+80|0;f=g+56|0;e=g+52|0;d=g+48|0;n=g+36|0;l=g+24|0;j=g+12|0;h=g;WD(n);c=k[b+12>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=IJ(c)|0;y=0;Na(74,f|0,c|0,o|0);o=y;y=0;do if(o&1)c=pb()|0;else{y=0;Ra(15,l|0,f|0,n|0,n|0);o=y;y=0;if(o&1){c=pb()|0;A9(f);break}A9(f);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=IJ(c)|0;y=0;Na(74,f|0,c|0,o|0);o=y;y=0;do if(o&1){c=pb()|0;m=38}else{y=0;Ra(18,j|0,f|0,n|0,n|0);o=y;y=0;if(o&1){c=pb()|0;A9(f);m=38;break}A9(f);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=IJ(c)|0;y=0;Na(74,f|0,c|0,o|0);o=y;y=0;do if(o&1){c=pb()|0;m=41}else{y=0;Ra(36,h|0,j|0,l|0,f|0);o=y;y=0;if(o&1){c=pb()|0;A9(f);m=41;break}A9(f);y=0;c=ta(47,83256,52018,21)|0;o=y;y=0;a:do if(o&1)m=42;else{o=i[a+11>>0]|0;p=o<<24>>24<0;y=0;a=ta(47,c|0,(p?k[a>>2]|0:a)|0,(p?k[a+4>>2]|0:o&255)|0)|0;o=y;y=0;if(o&1)m=42;else{y=0;c=qa(323,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1)m=42;else{k[d>>2]=c;y=0;c=Ha(977,d|0,83960)|0;p=y;y=0;if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(!(p&1)){Hea(d);y=0;Ha(1015,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;qa(381,a|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;a=ta(47,83256,52040,44)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=qa(323,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1){m=42;break}k[e>>2]=c;y=0;c=Ha(977,e|0,83960)|0;p=y;y=0;do if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(p&1)break;Hea(e);y=0;Ha(1015,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;qa(381,a|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=ta(47,83256,52085,16)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=Ha(976,c|0,(k[b>>2]|0)+1|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=ta(47,c|0,52102,4)|0;p=y;y=0;if(p&1){m=42;break a}a=i[h+11>>0]|0;p=a<<24>>24<0;y=0;a=ta(47,c|0,(p?k[h>>2]|0:h)|0,(p?k[h+4>>2]|0:a&255)|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=qa(323,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1){m=42;break a}k[f>>2]=c;y=0;c=Ha(977,f|0,83960)|0;p=y;y=0;do if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(p&1)break;Hea(f);y=0;Ha(1015,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;qa(381,a|0)|0;p=y;y=0;if(p&1){m=42;break a}A9(h);A9(j);A9(l);A9(n);r=g;return}while(0);c=pb()|0;Hea(f);break a}while(0);c=pb()|0;Hea(e);break}}c=pb()|0;Hea(d)}}}while(0);if((m|0)==42)c=pb()|0;A9(h)}while(0);A9(j)}while(0);A9(l);p=c;A9(n);sb(p|0)}while(0);p=c;A9(n);sb(p|0)}function qg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;x=0;w=r;r=r+272|0;t=w+224|0;z=w+160|0;s=w+16|0;v=w;n=w+208|0;u=w+168|0;h=t;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));LT(z,Hm(b,c,d,t,f)|0);k[z>>2]=7284;o=z+4|0;c=k[o>>2]|0;a:do if((k[c+56>>2]|0)==8){q=s+64|0;c=s+8|0;k[c>>2]=15992;p=s+12|0;k[s>>2]=16032;k[q>>2]=16052;k[s+4>>2]=0;y=0;oa(528,s+64|0,p|0);m=y;y=0;if(m&1)c=pb()|0;else{k[s+136>>2]=0;k[s+140>>2]=-1;k[s>>2]=15972;k[q>>2]=16012;k[c>>2]=15992;y=0;na(433,p|0);m=y;y=0;do if(m&1)c=pb()|0;else{k[p>>2]=15832;f=s+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[s+60>>2]=24;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;oa(529,p|0,t|0);m=y;y=0;if(m&1){c=pb()|0;A9(t);A9(f);Xaa(p);break}A9(t);m=s+8|0;c=i[b+11>>0]|0;l=c<<24>>24<0;y=0;c=ta(47,m|0,(l?k[b>>2]|0:b)|0,(l?k[b+4>>2]|0:c&255)|0)|0;b=y;y=0;b:do if(b&1)x=23;else{y=0;ta(47,c|0,38098,53)|0;b=y;y=0;if(b&1)x=23;else{y=0;c=ta(47,m|0,38152,54)|0;b=y;y=0;if(b&1)x=23;else{k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;b=IJ(d)|0;y=0;Na(74,t|0,d|0,b|0);d=y;y=0;do if(d&1){c=pb()|0;x=25}else{d=dJ(t,40,0)|0;y=0;ma(4,v|0,t|0,0,d|0,t|0);d=y;y=0;if(d&1){c=pb()|0;A9(t);x=25;break}A9(t);d=i[v+11>>0]|0;b=d<<24>>24<0;y=0;c=ta(47,c|0,(b?k[v>>2]|0:v)|0,(b?k[v+4>>2]|0:d&255)|0)|0;d=y;y=0;if(!(d&1)){y=0;ta(47,c|0,51790,1)|0;d=y;y=0;if(!(d&1)){A9(v);y=0;oa(530,n|0,p|0);d=y;y=0;if(d&1){x=23;break b}y=0;h=t;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));oa(454,n|0,t|0);e=y;y=0;if(e&1){c=pb()|0;A9(n);break b}else{A9(n);k[s>>2]=15972;k[q>>2]=16012;k[m>>2]=15992;k[p>>2]=15832;A9(f);Xaa(p);nla(s,16064);Vja(q);c=k[o>>2]|0;x=30;break a}}}c=pb()|0;A9(v)}while(0)}}}while(0);if((x|0)==23)c=pb()|0;k[s>>2]=15972;k[q>>2]=16012;k[m>>2]=15992;k[p>>2]=15832;A9(f);Xaa(p);nla(s,16064);Vja(q);x=c;DO(z);sb(x|0)}while(0);nla(s,16064)}Vja(q)}else x=30;while(0);if((x|0)==30){y=0;c=qa(332,c|0)|0;x=y;y=0;if(!(x&1)){if(c|0)i[c+60>>0]=0;x=k[o>>2]|0;s=k[(k[x>>2]|0)+28>>2]|0;q=k[g+16>>2]|0;y=0;k[t>>2]=k[q>>2];k[t+4>>2]=k[q+4>>2];k[t+8>>2]=k[q+8>>2];Na(s|0,v|0,x|0,t|0);x=y;y=0;if(!(x&1)){c=i[v+11>>0]|0;f=k[v>>2]|0;y=0;Ra(14,u|0,38207,0,-1);x=y;y=0;if(!(x&1)){c=c<<24>>24<0?f:v;y=0;h=t;j=u;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));ma(8,a|0,c|0,g|0,t|0,0);x=y;y=0;if(!(x&1)){A9(v);DO(z);r=w;return}}x=pb()|0;A9(v);DO(z);sb(x|0)}}c=pb()|0}x=c;DO(z);sb(x|0)}function rg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0;m=0;g=r;r=r+80|0;f=g+56|0;e=g+52|0;d=g+48|0;n=g+36|0;l=g+24|0;j=g+12|0;h=g;WD(n);c=k[b+12>>2]|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=IJ(c)|0;y=0;Na(74,f|0,c|0,o|0);o=y;y=0;do if(o&1)c=pb()|0;else{y=0;Ra(15,l|0,f|0,n|0,n|0);o=y;y=0;if(o&1){c=pb()|0;A9(f);break}A9(f);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=IJ(c)|0;y=0;Na(74,f|0,c|0,o|0);o=y;y=0;do if(o&1){c=pb()|0;m=38}else{y=0;Ra(18,j|0,f|0,n|0,n|0);o=y;y=0;if(o&1){c=pb()|0;A9(f);m=38;break}A9(f);k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;o=IJ(c)|0;y=0;Na(74,f|0,c|0,o|0);o=y;y=0;do if(o&1){c=pb()|0;m=41}else{y=0;Ra(36,h|0,j|0,l|0,f|0);o=y;y=0;if(o&1){c=pb()|0;A9(f);m=41;break}A9(f);y=0;c=ta(47,83256,52188,9)|0;o=y;y=0;a:do if(o&1)m=42;else{o=i[a+11>>0]|0;p=o<<24>>24<0;y=0;a=ta(47,c|0,(p?k[a>>2]|0:a)|0,(p?k[a+4>>2]|0:o&255)|0)|0;o=y;y=0;if(o&1)m=42;else{y=0;c=qa(323,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1)m=42;else{k[d>>2]=c;y=0;c=Ha(977,d|0,83960)|0;p=y;y=0;if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(!(p&1)){Hea(d);y=0;Ha(1015,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;qa(381,a|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=ta(47,83256,52085,16)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=Ha(976,c|0,(k[b>>2]|0)+1|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=ta(47,c|0,52102,4)|0;p=y;y=0;if(p&1){m=42;break}a=i[h+11>>0]|0;p=a<<24>>24<0;y=0;a=ta(47,c|0,(p?k[h>>2]|0:h)|0,(p?k[h+4>>2]|0:a&255)|0)|0;p=y;y=0;if(p&1){m=42;break}y=0;c=qa(323,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1){m=42;break}k[e>>2]=c;y=0;c=Ha(977,e|0,83960)|0;p=y;y=0;do if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(p&1)break;Hea(e);y=0;Ha(1015,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;qa(381,a|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;a=ta(47,83256,52198,49)|0;p=y;y=0;if(p&1){m=42;break a}y=0;c=qa(323,a+(k[(k[a>>2]|0)+-12>>2]|0)|0)|0;p=y;y=0;if(p&1){m=42;break a}k[f>>2]=c;y=0;c=Ha(977,f|0,83960)|0;p=y;y=0;do if(!(p&1)){y=0;c=Ha(k[(k[c>>2]|0)+28>>2]|0,c|0,10)|0;p=y;y=0;if(p&1)break;Hea(f);y=0;Ha(1015,a|0,c|0)|0;p=y;y=0;if(p&1){m=42;break a}y=0;qa(381,a|0)|0;p=y;y=0;if(p&1){m=42;break a}A9(h);A9(j);A9(l);A9(n);r=g;return}while(0);c=pb()|0;Hea(f);break a}while(0);c=pb()|0;Hea(e);break}}c=pb()|0;Hea(d)}}}while(0);if((m|0)==42)c=pb()|0;A9(h)}while(0);A9(j)}while(0);A9(l);p=c;A9(n);sb(p|0)}while(0);p=c;A9(n);sb(p|0)}function sg(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0;j=r;r=r+48|0;g=j+24|0;l=j+12|0;h=j;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;f=k[a+72>>2]|0;do switch(i[f>>0]|0){case -17:{if((i[35582]|0)==-17?(f+3|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[35583]|0))b=(i[f+2>>0]|0)==(i[35584]|0)?3:0;else b=0;else b=0;y=0;Ha(1009,l|0,45815)|0;h=y;y=0;if(h&1)c=5;else{h=b;a=a+76|0;g=k[a>>2]|0;h=g+h|0;k[a>>2]=h;A9(l);r=j;return}break}case -2:{if((i[35585]|0)==-2?(f+2|0)>>>0<=(k[a+80>>2]|0)>>>0:0)b=(i[f+1>>0]|0)==(i[35586]|0)?2:0;else b=0;y=0;Ha(1009,l|0,45821)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case -1:{b=k[a+80>>2]|0;c=f+2|0;if(c>>>0<=b>>>0&(i[35587]|0)==-1){d=i[f+1>>0]|0;if(d<<24>>24==(i[35588]|0))if((f+4|0)>>>0<=b>>>0&(i[35593]|0)==-1&d<<24>>24==(i[35594]|0))if((i[c>>0]|0)==(i[35595]|0)){b=(i[f+3>>0]|0)==(i[35596]|0)?4:0;c=2}else{b=0;c=2}else{b=0;c=2}else{b=0;c=0}}else{b=0;c=0}b=b|c;y=0;Ha(1009,l|0,((b|0)==2?45841:45864)|0)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case 0:{if((i[35589]|0)==0?(f+4|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[35590]|0))if((i[f+2>>0]|0)==(i[35591]|0))b=(i[f+3>>0]|0)==(i[35592]|0)?4:0;else b=0;else b=0;else b=0;y=0;Ha(1009,l|0,45887)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case 43:{d=k[a+80>>2]|0;e=f+4|0;if(e>>>0>d>>>0){b=0;c=0}else{if((i[35597]|0)==43)if((i[f+1>>0]|0)==(i[35598]|0))if((i[f+2>>0]|0)==(i[35599]|0))b=(i[f+3>>0]|0)==(i[35600]|0)?4:0;else b=0;else b=0;else b=0;if((i[35601]|0)==43)if((i[f+1>>0]|0)==(i[35602]|0))if((i[f+2>>0]|0)==(i[35603]|0))c=(i[f+3>>0]|0)==(i[35604]|0)?4:0;else c=0;else c=0;else c=0;c=c|b;if((i[35605]|0)==43)if((i[f+1>>0]|0)==(i[35606]|0))if((i[f+2>>0]|0)==(i[35607]|0))b=(i[f+3>>0]|0)==(i[35608]|0)?4:0;else b=0;else b=0;else b=0;b=c|b;if((i[35609]|0)==43)if((i[f+1>>0]|0)==(i[35610]|0))if((i[f+2>>0]|0)==(i[35611]|0))c=(i[f+3>>0]|0)==(i[35612]|0)?4:0;else c=0;else c=0;else c=0}c=b|c;if((f+5|0)>>>0<=d>>>0&(i[35613]|0)==43)if((i[f+1>>0]|0)==(i[35614]|0))if((i[f+2>>0]|0)==(i[35615]|0))if((i[f+3>>0]|0)==(i[35616]|0))b=(i[e>>0]|0)==(i[35617]|0)?5:0;else b=0;else b=0;else b=0;else b=0;y=0;Ha(1009,l|0,45907)|0;f=y;y=0;if(f&1)c=5;else{b=c|b;c=43}break}case -9:{if((i[35618]|0)==-9?(f+3|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[35619]|0))b=(i[f+2>>0]|0)==(i[35620]|0)?3:0;else b=0;else b=0;y=0;Ha(1009,l|0,45913)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case -35:{if((i[35621]|0)==-35?(f+4|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[35622]|0))if((i[f+2>>0]|0)==(i[35623]|0))b=(i[f+3>>0]|0)==(i[35624]|0)?4:0;else b=0;else b=0;else b=0;y=0;Ha(1009,l|0,45919)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case 14:{if((i[35625]|0)==14?(f+3|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[35626]|0))b=(i[f+2>>0]|0)==(i[35627]|0)?3:0;else b=0;else b=0;y=0;Ha(1009,l|0,45930)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case -5:{if((i[35628]|0)==-5?(f+3|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[35629]|0))b=(i[f+2>>0]|0)==(i[35630]|0)?3:0;else b=0;else b=0;y=0;Ha(1009,l|0,45935)|0;f=y;y=0;if(f&1)c=5;else c=43;break}case -124:{if((i[35631]|0)==-124?(f+4|0)>>>0<=(k[a+80>>2]|0)>>>0:0)if((i[f+1>>0]|0)==(i[35632]|0))if((i[f+2>>0]|0)==(i[35633]|0))b=(i[f+3>>0]|0)==(i[35634]|0)?4:0;else b=0;else b=0;else b=0;y=0;Ha(1009,l|0,45942)|0;f=y;y=0;if(f&1)c=5;else c=43;break}default:{h=0;a=a+76|0;g=k[a>>2]|0;h=g+h|0;k[a>>2]=h;A9(l);r=j;return}}while(0);if((c|0)==5)b=pb()|0;else if((c|0)==43){if(!b){h=0;a=a+76|0;g=k[a>>2]|0;h=g+h|0;k[a>>2]=h;A9(l);r=j;return}k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;c=l+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[l+4>>2]|0:d&255;y=0;Ra(10,h|0,45951,74,d+74|0);f=y;y=0;if(!(f&1)){y=0;ta(41,h|0,((i[c>>0]|0)<0?k[l>>2]|0:l)|0,d|0)|0;f=y;y=0;if(!(f&1)){f=a+108|0;y=0;k[g>>2]=k[f>>2];k[g+4>>2]=k[f+4>>2];k[g+8>>2]=k[f+8>>2];Na(108,a|0,h|0,g|0);g=y;y=0;if(g&1){j=pb()|0;A9(h);A9(l);sb(j|0)}else{A9(h);h=b;a=a+76|0;g=k[a>>2]|0;h=g+h|0;k[a>>2]=h;A9(l);r=j;return}}}b=pb()|0;A9(h)}j=b;A9(l);sb(j|0)}function tg(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0,o=0;o=r;r=r+16|0;n=o;if(a){m=RY(c,85680)|0;if(b){mc[k[(k[m>>2]|0)+44>>2]&1023](n,m);a=k[n>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[m>>2]|0)+32>>2]&1023](n,m);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(500,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}A9(n);c=m}else{mc[k[(k[m>>2]|0)+40>>2]&1023](n,m);a=k[n>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[m>>2]|0)+28>>2]&1023](n,m);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(500,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}A9(n);c=m}a=oc[k[(k[m>>2]|0)+12>>2]&511](m)|0;i[e>>0]=a;a=oc[k[(k[m>>2]|0)+16>>2]&511](m)|0;i[f>>0]=a;mc[k[(k[c>>2]|0)+20>>2]&1023](n,m);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(500,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}k[g>>2]=k[n>>2];k[g+4>>2]=k[n+4>>2];k[g+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}A9(n);mc[k[(k[c>>2]|0)+24>>2]&1023](n,m);a=h+11|0;if((i[a>>0]|0)<0){i[k[h>>2]>>0]=0;k[h+4>>2]=0}else{i[h>>0]=0;i[a>>0]=0}y=0;oa(500,h|0,0);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}k[h>>2]=k[n>>2];k[h+4>>2]=k[n+4>>2];k[h+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}A9(n);a=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0}else{m=RY(c,85672)|0;if(b){mc[k[(k[m>>2]|0)+44>>2]&1023](n,m);a=k[n>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[m>>2]|0)+32>>2]&1023](n,m);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(500,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}A9(n);c=m}else{mc[k[(k[m>>2]|0)+40>>2]&1023](n,m);a=k[n>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[m>>2]|0)+28>>2]&1023](n,m);a=j+11|0;if((i[a>>0]|0)<0){i[k[j>>2]>>0]=0;k[j+4>>2]=0}else{i[j>>0]=0;i[a>>0]=0}y=0;oa(500,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}A9(n);c=m}a=oc[k[(k[m>>2]|0)+12>>2]&511](m)|0;i[e>>0]=a;a=oc[k[(k[m>>2]|0)+16>>2]&511](m)|0;i[f>>0]=a;mc[k[(k[c>>2]|0)+20>>2]&1023](n,m);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(500,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}k[g>>2]=k[n>>2];k[g+4>>2]=k[n+4>>2];k[g+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}A9(n);mc[k[(k[c>>2]|0)+24>>2]&1023](n,m);a=h+11|0;if((i[a>>0]|0)<0){i[k[h>>2]>>0]=0;k[h+4>>2]=0}else{i[h>>0]=0;i[a>>0]=0}y=0;oa(500,h|0,0);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}k[h>>2]=k[n>>2];k[h+4>>2]=k[n+4>>2];k[h+8>>2]=k[n+8>>2];a=0;while(1){if((a|0)==3)break;k[n+(a<<2)>>2]=0;a=a+1|0}A9(n);a=oc[k[(k[m>>2]|0)+36>>2]&511](m)|0}k[l>>2]=a;r=o;return}function ug(a,b,c,d,e,f,g,h,j,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;l=l|0;var m=0,n=0;n=r;r=r+16|0;m=n;if(a){c=RY(c,85696)|0;if(b){mc[k[(k[c>>2]|0)+44>>2]&1023](m,c);a=k[m>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[c>>2]|0)+32>>2]&1023](m,c);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(707,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m)}else{mc[k[(k[c>>2]|0)+40>>2]&1023](m,c);a=k[m>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[c>>2]|0)+28>>2]&1023](m,c);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(707,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m)}a=oc[k[(k[c>>2]|0)+12>>2]&511](c)|0;k[e>>2]=a;a=oc[k[(k[c>>2]|0)+16>>2]&511](c)|0;k[f>>2]=a;mc[k[(k[c>>2]|0)+20>>2]&1023](m,c);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(500,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);mc[k[(k[c>>2]|0)+24>>2]&1023](m,c);a=h+8+3|0;if((i[a>>0]|0)<0){k[k[h>>2]>>2]=0;k[h+4>>2]=0}else{k[h>>2]=0;i[a>>0]=0}y=0;oa(707,h|0,0);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m);a=oc[k[(k[c>>2]|0)+36>>2]&511](c)|0}else{c=RY(c,85688)|0;if(b){mc[k[(k[c>>2]|0)+44>>2]&1023](m,c);a=k[m>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[c>>2]|0)+32>>2]&1023](m,c);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(707,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m)}else{mc[k[(k[c>>2]|0)+40>>2]&1023](m,c);a=k[m>>2]|0;i[d>>0]=a;i[d+1>>0]=a>>8;i[d+2>>0]=a>>16;i[d+3>>0]=a>>24;mc[k[(k[c>>2]|0)+28>>2]&1023](m,c);a=j+8+3|0;if((i[a>>0]|0)<0){k[k[j>>2]>>2]=0;k[j+4>>2]=0}else{k[j>>2]=0;i[a>>0]=0}y=0;oa(707,j|0,0);d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}k[j>>2]=k[m>>2];k[j+4>>2]=k[m+4>>2];k[j+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m)}a=oc[k[(k[c>>2]|0)+12>>2]&511](c)|0;k[e>>2]=a;a=oc[k[(k[c>>2]|0)+16>>2]&511](c)|0;k[f>>2]=a;mc[k[(k[c>>2]|0)+20>>2]&1023](m,c);a=g+11|0;if((i[a>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[a>>0]=0}y=0;oa(500,g|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}k[g>>2]=k[m>>2];k[g+4>>2]=k[m+4>>2];k[g+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}A9(m);mc[k[(k[c>>2]|0)+24>>2]&1023](m,c);a=h+8+3|0;if((i[a>>0]|0)<0){k[k[h>>2]>>2]=0;k[h+4>>2]=0}else{k[h>>2]=0;i[a>>0]=0}y=0;oa(707,h|0,0);g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];a=0;while(1){if((a|0)==3)break;k[m+(a<<2)>>2]=0;a=a+1|0}X8(m);a=oc[k[(k[c>>2]|0)+36>>2]&511](c)|0}k[l>>2]=a;r=n;return}function vg(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0,h=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;A=0;x=r;r=r+208|0;z=x;s=x+160|0;u=x+144|0;w=x+132|0;v=x+120|0;m=x+80|0;l=x+64|0;n=x+52|0;q=x+40|0;f=+p[b+64>>3];switch(a|0){case 10:case 8:{d=IM(112)|0;t=s;o=t+40|0;do{k[t>>2]=k[e>>2];t=t+4|0;e=e+4|0}while((t|0)<(o|0));e=17380+(a<<2)|0;y=0;h=+za(k[e>>2]|0,+f,+(+p[c+64>>3]));w=y;y=0;if(w&1)A=10;else{y=0;j=+za(k[e>>2]|0,+f,+(+p[c+72>>3]));w=y;y=0;if(w&1)A=10;else{y=0;g=+za(k[e>>2]|0,+f,+(+p[c+80>>3]));w=y;y=0;if(w&1)A=10;else{f=+p[c+88>>3];k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,87975,0);w=y;y=0;if(w&1)A=10;else{t=z;e=s;o=t+40|0;do{k[t>>2]=k[e>>2];t=t+4|0;e=e+4|0}while((t|0)<(o|0));y=0;na(422,d|0);w=y;y=0;do if(w&1)e=pb()|0;else{t=d+12|0;e=z;o=t+40|0;do{k[t>>2]=k[e>>2];t=t+4|0;e=e+4|0}while((t|0)<(o|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;e=d+56|0;k[e>>2]=0;k[d>>2]=10548;p[d+64>>3]=h;p[d+72>>3]=j;p[d+80>>3]=g;p[d+88>>3]=f;y=0;oa(456,d+96|0,u|0);z=y;y=0;if(z&1){e=pb()|0;break}k[d+108>>2]=0;k[e>>2]=3;A9(u);A=d;r=x;return A|0}while(0);A9(u)}}}}if((A|0)==10)e=pb()|0;cra(d);A=e;sb(A|0)}case 11:case 9:{k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;aI(w,(a|0)==9?48674:48589,1);u=k[(k[c>>2]|0)+28>>2]|0;y=0;k[z>>2]=k[d>>2];k[z+4>>2]=k[d+4>>2];k[z+8>>2]=k[d+8>>2];Na(u|0,v|0,c|0,z|0);u=y;y=0;if(u&1)e=pb()|0;else{y=0;c=qa(315,80)|0;u=y;y=0;if(u&1)e=pb()|0;else{t=m;o=t+40|0;do{k[t>>2]=k[e>>2];t=t+4|0;e=e+4|0}while((t|0)<(o|0));u=k[(k[b>>2]|0)+28>>2]|0;y=0;k[z>>2]=k[d>>2];k[z+4>>2]=k[d+4>>2];k[z+8>>2]=k[d+8>>2];Na(u|0,q|0,b|0,z|0);u=y;y=0;if(u&1)e=pb()|0;else{k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;u=i[q+11>>0]|0;t=u<<24>>24<0;u=t?k[q+4>>2]|0:u&255;e=w+11|0;a=i[e>>0]|0;a=a<<24>>24<0?k[w+4>>2]|0:a&255;y=0;Ra(10,n|0,(t?k[q>>2]|0:q)|0,u|0,a+u|0);u=y;y=0;if(u&1)A=25;else{y=0;ta(41,n|0,((i[e>>0]|0)<0?k[w>>2]|0:w)|0,a|0)|0;u=y;y=0;if(u&1)A=25;else{e=i[v+11>>0]|0;u=e<<24>>24<0;y=0;e=ta(41,n|0,(u?k[v>>2]|0:v)|0,(u?k[v+4>>2]|0:e&255)|0)|0;u=y;y=0;do if(u&1)e=pb()|0;else{k[l>>2]=k[e>>2];k[l+4>>2]=k[e+4>>2];k[l+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;t=z;e=m;o=t+40|0;do{k[t>>2]=k[e>>2];t=t+4|0;e=e+4|0}while((t|0)<(o|0));Ea(2,c|0,z|0,l|0,0,0,0,1);z=y;y=0;if(z&1){e=pb()|0;A9(l);break}A9(l);A9(n);A9(q);A9(v);A9(w);A=c;r=x;return A|0}while(0);A9(n)}}if((A|0)==25){e=pb()|0;A9(n)}A9(q)}cra(c)}A9(v)}A9(w);A=e;sb(A|0)}case 12:{d=gb(40)|0;y=0;oa(650,z|0,12);A=y;y=0;if(A&1)e=pb()|0;else{y=0;Ra(37,d|0,b|0,c|0,z|0);A=y;y=0;if(A&1)a=1;else{y=0;Na(75,d|0,3512,266);y=0;a=0}e=pb()|0;A9(z);if(!a){A=e;sb(A|0)}}fb(d|0);A=e;sb(A|0)}default:{A=0;r=x;return A|0}}return 0}function wg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;o=0;e=r;r=r+336|0;c=e+312|0;s=e+300|0;p=e+160|0;l=e+24|0;f=e+12|0;d=e;Y2(s,b+76|0,b);q=p+60|0;m=p+8|0;k[p>>2]=15756;k[q>>2]=15776;k[p+4>>2]=0;y=0;oa(528,p+60|0,m|0);n=y;y=0;if(n&1)b=pb()|0;else{k[p+132>>2]=0;k[p+136>>2]=-1;k[p>>2]=15796;k[q>>2]=15816;y=0;na(433,m|0);n=y;y=0;do if(n&1)b=pb()|0;else{k[m>>2]=15832;n=p+40|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;k[p+56>>2]=8;y=0;oa(529,m|0,s|0);j=y;y=0;if(j&1){b=pb()|0;A9(n);Xaa(m);break}j=l+56|0;g=l+4|0;k[l>>2]=16172;k[j>>2]=16192;y=0;oa(528,l+56|0,g|0);h=y;y=0;a:do if(h&1){b=pb()|0;o=25}else{k[l+128>>2]=0;k[l+132>>2]=-1;k[l>>2]=15916;k[j>>2]=15936;y=0;na(433,g|0);h=y;y=0;do if(h&1)b=pb()|0;else{k[g>>2]=15832;h=l+36|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[l+52>>2]=16;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;oa(529,g|0,c|0);b=y;y=0;if(b&1){b=pb()|0;A9(c);A9(h);Xaa(g);break}A9(c);k[c+12>>2]=255;y=0;na(434,c|0);b=y;y=0;if(b&1)b=pb()|0;else{y=0;Na(89,c|0,p|0,l|0);c=y;y=0;b:do if(c&1)b=pb()|0;else{y=0;oa(530,d|0,g|0);c=y;y=0;do if(c&1)b=pb()|0;else{y=0;b=ta(46,d|0,0,34722)|0;c=y;y=0;if(c&1){b=pb()|0;A9(d);break}k[f>>2]=k[b>>2];k[f+4>>2]=k[b+4>>2];k[f+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;A9(d);c=f+11|0;t=i[c>>0]|0;b=f+4|0;y=0;ta(42,f|0,(t<<24>>24<0?k[b>>2]|0:t&255)+-1|0,-1)|0;t=y;y=0;if(t&1)b=pb()|0;else{k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;t=i[c>>0]|0;b=t<<24>>24<0?k[b>>2]|0:t&255;y=0;Ra(10,d|0,34700,21,b+21|0);t=y;y=0;do if(t&1)o=32;else{y=0;ta(41,d|0,((i[c>>0]|0)<0?k[f>>2]|0:f)|0,b|0)|0;t=y;y=0;if(t&1){o=32;break}y=0;b=Ha(974,d|0,50284)|0;t=y;y=0;if(t&1){b=pb()|0;A9(d);break}else{k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;A9(d);A9(f);k[l>>2]=15916;k[j>>2]=15936;k[g>>2]=15832;A9(h);Xaa(g);yla(l,15948);Vja(j);k[p>>2]=15796;k[q>>2]=15816;k[m>>2]=15832;A9(n);Xaa(m);zla(p,15892);Vja(q);A9(s);r=e;return}}while(0);if((o|0)==32){b=pb()|0;A9(d)}}A9(f);break b}while(0)}while(0)}k[l>>2]=15916;k[j>>2]=15936;k[g>>2]=15832;A9(h);Xaa(g);yla(l,15948);Vja(j);break a}while(0);yla(l,15948);o=25}while(0);if((o|0)==25)Vja(j);k[p>>2]=15796;k[q>>2]=15816;k[m>>2]=15832;A9(n);Xaa(m);zla(p,15892);Vja(q);t=b;A9(s);sb(t|0)}while(0);zla(p,15892)}Vja(q);t=b;A9(s);sb(t|0)}function xg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;x=0;q=r;r=r+144|0;n=q;m=q+128|0;t=q+76|0;u=q+52|0;o=q+88|0;v=q+40|0;s=q+64|0;w=IM(112)|0;b=o;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,38247,4);g=y;y=0;if(g&1){x=pb()|0;cra(w);sb(x|0)}y=0;b=n;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,v|0,a|0,d|0,n|0,f|0)|0;g=y;y=0;if(g&1)x=37;else{y=0;oa(453,u|0,b|0);g=y;y=0;if(g&1)x=37;else{g=i[u+11>>0]|0;if(((g<<24>>24<0?k[u+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,u|0,0,-1,48698,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}A9(u);if(!c){l=+p[b+64>>3]*255.0/100.0;l=l<0.0?0.0:l;l=l>255.0?255.0:l}else x=10}else{A9(u);x=10}if((x|0)==10){l=+p[b+64>>3];l=l<0.0?0.0:l;l=l>255.0?255.0:l}k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,38252,6);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=n;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,u|0,a|0,d|0,n|0,f|0)|0;g=y;y=0;if(g&1)x=39;else{y=0;oa(453,t|0,b|0);g=y;y=0;if(g&1)x=39;else{g=i[t+11>>0]|0;if(((g<<24>>24<0?k[t+4>>2]|0:g&255)|0)==1){y=0;c=sa(21,t|0,0,-1,48698,1)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}A9(t);if(!c){j=+p[b+64>>3]*255.0/100.0;j=j<0.0?0.0:j;j=j>255.0?255.0:j}else x=20}else{A9(t);x=20}if((x|0)==20){j=+p[b+64>>3];j=j<0.0?0.0:j;j=j>255.0?255.0:j}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(74,t|0,38259,5);g=y;y=0;if(g&1)b=pb()|0;else{y=0;b=n;c=e;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));b=sa(23,t|0,a|0,d|0,n|0,f|0)|0;f=y;y=0;if(f&1)x=41;else{y=0;oa(453,m|0,b|0);f=y;y=0;if(f&1)x=41;else{f=i[m+11>>0]|0;if(((f<<24>>24<0?k[m+4>>2]|0:f&255)|0)==1){y=0;c=sa(21,m|0,0,-1,48698,1)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}A9(m);if(!c){h=+p[b+64>>3]*255.0/100.0;h=h<0.0?0.0:h;h=h>255.0?255.0:h}else x=30}else{A9(m);x=30}if((x|0)==30){h=+p[b+64>>3];h=h<0.0?0.0:h;h=h>255.0?255.0:h}k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,87975,0);f=y;y=0;if(f&1)x=41;else{b=n;c=o;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));y=0;na(422,w|0);f=y;y=0;do if(f&1)b=pb()|0;else{b=w+12|0;c=n;g=b+40|0;do{k[b>>2]=k[c>>2];b=b+4|0;c=c+4|0}while((b|0)<(g|0));i[w+52>>0]=0;i[w+53>>0]=0;i[w+54>>0]=0;b=w+56|0;k[b>>2]=0;k[w>>2]=10548;p[w+64>>3]=l;p[w+72>>3]=j;p[w+80>>3]=h;p[w+88>>3]=1.0;y=0;oa(456,w+96|0,s|0);f=y;y=0;if(f&1){b=pb()|0;break}else{k[w+108>>2]=0;k[b>>2]=3;A9(s);A9(t);A9(u);A9(v);r=q;return w|0}}while(0);A9(s)}}}if((x|0)==41)b=pb()|0;A9(t)}}}if((x|0)==39)b=pb()|0;A9(u)}}}if((x|0)==37)b=pb()|0;A9(v);x=b;cra(w);sb(x|0);return 0}function yg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;p=0;s=r;r=r+208|0;l=s+104|0;t=s;n=s+168|0;o=s+156|0;m=s+144|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,39805,9);y=0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));c=sa(23,t|0,a|0,d|0,l|0,f|0)|0;q=y;y=0;if(q&1){s=pb()|0;A9(t);t=s;sb(t|0)}A9(t);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,39815,9);y=0;g=l;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));b=sa(23,t|0,a|0,d|0,l|0,f|0)|0;q=y;y=0;if(q&1){s=pb()|0;A9(t);t=s;sb(t|0)}A9(t);if(!(xU(c)|0))if(!(xU(b)|0)){lx(t,b);y=0;oa(452,l|0,c|0);q=y;y=0;do if(q&1){c=pb()|0;b=N;p=37}else{y=0;Na(73,t|0,l|0,0);q=y;y=0;if(q&1){c=pb()|0;b=N;A9(l);p=37;break}A9(l);y=0;q=qa(315,68)|0;j=y;y=0;if(j&1){c=pb()|0;f=N;break}g=n;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(453,o|0,c|0);e=y;y=0;if(e&1){c=pb()|0;b=N}else{y=0;oa(453,m|0,t|0);e=y;y=0;do if(e&1){c=pb()|0;b=N}else{g=i[o+11>>0]|0;a=g<<24>>24<0;g=g&255;d=a?k[o+4>>2]|0:g;e=i[m+11>>0]|0;b=e<<24>>24<0;a:do if((d|0)==((b?k[m+4>>2]|0:e&255)|0)){f=k[o>>2]|0;h=a?f:o;b=b?k[m>>2]|0:m;c=(d|0)==0;if(a){if(c){b=1;break}b=(bN(h,b,d)|0)==0&1;break}if(c)b=1;else if((f&255)<<24>>24==(i[b>>0]|0)){c=o;while(1){g=g+-1|0;c=c+1|0;if(!g){b=1;break a}b=b+1|0;if((i[c>>0]|0)!=(i[b>>0]|0)){b=0;break}}}else b=0}else b=0;while(0);g=l;h=n;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(422,q|0);n=y;y=0;if(n&1){c=pb()|0;b=N;A9(m);break}g=q+12|0;h=l;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;k[q>>2]=10672;i[q+60>>0]=b;k[q+64>>2]=0;k[q+56>>2]=1;A9(m);A9(o);k[t>>2]=6e3;g=t+88|0;b=k[g>>2]|0;if(b|0){a=t+92|0;c=k[a>>2]|0;if((c|0)!=(b|0)){do{p=c+-12|0;k[a>>2]=p;A9(p);c=k[a>>2]|0}while((c|0)!=(b|0));b=k[g>>2]|0}cra(b)}a=t+76|0;b=k[a>>2]|0;if(b|0){g=t+80|0;c=k[g>>2]|0;if((c|0)!=(b|0)){do{t=c+-12|0;k[g>>2]=t;A9(t);c=k[g>>2]|0}while((c|0)!=(b|0));b=k[a>>2]|0}cra(b)}t=q;r=s;return t|0}while(0);A9(o)}cra(q);f=b}while(0);if((p|0)==37)f=b;k[t>>2]=6e3;a=t+88|0;b=k[a>>2]|0;if(b|0){d=t+92|0;g=k[d>>2]|0;if((g|0)!=(b|0)){do{s=g+-12|0;k[d>>2]=s;A9(s);g=k[d>>2]|0}while((g|0)!=(b|0));b=k[a>>2]|0}cra(b)}d=t+76|0;b=k[d>>2]|0;if(b|0){a=t+80|0;g=k[a>>2]|0;if((g|0)!=(b|0)){do{t=g+-12|0;k[a>>2]=t;A9(t);g=k[a>>2]|0}while((g|0)!=(b|0));b=k[d>>2]|0}cra(b)}t=c;sb(t|0)}b=IM(68)|0;g=t;h=e;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(422,b|0);q=y;y=0;if(q&1){t=pb()|0;cra(b);sb(t|0)}else{g=b+12|0;h=t;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=10672;i[b+60>>0]=1;k[b+64>>2]=0;k[b+56>>2]=1;t=b;r=s;return t|0}return 0}function zg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;v=0;q=r;r=r+128|0;o=q+80|0;t=q+64|0;d=q+56|0;u=q+48|0;g=q+24|0;f=q+40|0;s=q+12|0;p=q;c=k[a+52>>2]|0;if((c|0)==(k[a+48>>2]|0))n=0;else n=k[c+-4>>2]|0;LT(u,oc[k[(k[b>>2]|0)+12>>2]&511](b)|0);k[u>>2]=17132;y=0;a=qa(338,n|0)|0;m=y;y=0;a:do if(!(m&1)){j=b+72|0;e=b+96|0;c=k[e>>2]|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;l=j+11|0;m=i[l>>0]|0;w=m<<24>>24<0;h=b+76|0;m=w?k[h>>2]|0:m&255;y=0;Ra(10,g|0,(w?k[j>>2]|0:j)|0,m|0,m+3|0);m=y;y=0;if(m&1)v=39;else{y=0;ta(41,g|0,((c|0)==0?47111:47269)|0,3)|0;w=y;y=0;if(w&1)v=39;else{k[o>>2]=g;y=0;ya(24,d|0,a|0,g|0,85899,o|0,t|0);w=y;y=0;if(w&1)a=pb()|0;else{a=k[d>>2]|0;c=a+28|0;m=u+4|0;y=0;oa(460,f|0,k[m>>2]|0);w=y;y=0;if(w&1)a=pb()|0;else{k[f>>2]=17132;y=0;oa(460,o|0,k[f+4>>2]|0);w=y;y=0;do if(w&1)a=pb()|0;else{k[o>>2]=6336;if((c|0)!=(o|0)){a=a+32|0;if(k[a>>2]|0){y=0;na(423,c|0);w=y;y=0;if(w&1){a=pb()|0;DO(o);break}}w=o+4|0;k[a>>2]=k[w>>2];k[w>>2]=0}DO(o);DO(f);A9(g);if((k[e>>2]|0)!=1){w=k[m>>2]|0;w=w+92|0;k[w>>2]=n;DO(u);r=q;return 0}if((i[l>>0]|0)<0)a=k[j>>2]|0;else a=j;y=0;a=qa(365,a|0)|0;w=y;y=0;if(w&1)break a;do if(!a){a=i[l>>0]|0;c=k[h>>2]|0;if(((a<<24>>24<0?c:a&255)|0)==7){y=0;a=sa(21,j|0,0,-1,47273,7)|0;w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}if(!a)break;a=i[l>>0]|0;c=k[h>>2]|0}if(((a<<24>>24<0?c:a&255)|0)==10){y=0;a=sa(21,j|0,0,-1,47281,10)|0;w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}if(!a)break;c=k[h>>2]|0;a=i[l>>0]|0}if(((a<<24>>24<0?c:a&255)|0)!=3){w=k[m>>2]|0;w=w+92|0;k[w>>2]=n;DO(u);r=q;return 0}y=0;a=sa(21,j|0,0,-1,47292,3)|0;w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}if(!a)break;w=k[m>>2]|0;w=w+92|0;k[w>>2]=n;DO(u);r=q;return 0}while(0);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;a=i[l>>0]|0;a=a<<24>>24<0?k[h>>2]|0:a&255;y=0;Ra(10,t|0,47296,19,a+19|0);w=y;y=0;if(w&1)v=48;else{y=0;ta(41,t|0,((i[l>>0]|0)<0?k[j>>2]|0:j)|0,a|0)|0;w=y;y=0;if(w&1)v=48;else{y=0;a=Ha(974,t|0,47316)|0;w=y;y=0;if(w&1)a=pb()|0;else{k[s>>2]=k[a>>2];k[s+4>>2]=k[a+4>>2];k[s+8>>2]=k[a+8>>2];k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(74,p|0,47332,75);w=y;y=0;do if(w&1)a=pb()|0;else{y=0;d=o;a=b+12|0;c=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(c|0));Na(138,s|0,p|0,o|0);w=y;y=0;if(w&1){a=pb()|0;A9(p);break}A9(p);A9(s);A9(t);w=k[m>>2]|0;w=w+92|0;k[w>>2]=n;DO(u);r=q;return 0}while(0);A9(s)}A9(t)}}if((v|0)==48){a=pb()|0;A9(t)}w=a;DO(u);sb(w|0)}while(0);DO(f)}}A9(g)}}if((v|0)==39){a=pb()|0;A9(g)}w=a;DO(u);sb(w|0)}while(0);w=pb()|0;DO(u);sb(w|0);return 0}function Ag(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0;e=r;r=r+96|0;i=e+52|0;d=e+48|0;h=e;p[7460]=3.141592653589793;k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(74,i|0,51536,5);g=y;y=0;if(g&1){i=pb()|0;sb(i|0)}f=i+12|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51542,5);g=y;y=0;if(g&1)a=1;else{g=i+24|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,51548,4);c=y;y=0;if(c&1)a=2;else{k[19421]=0;k[19422]=0;k[19423]=0;y=0;a=qa(315,36)|0;c=y;y=0;if(c&1)a=pb()|0;else{k[19422]=a;k[19421]=a;k[19423]=a+36;y=0;oa(456,a|0,i|0);c=y;y=0;if(!(c&1)){c=(k[19422]|0)+12|0;k[19422]=c;y=0;oa(456,c|0,f|0);c=y;y=0;if(!(c&1)){c=(k[19422]|0)+12|0;k[19422]=c;y=0;oa(456,c|0,g|0);c=y;y=0;if(!(c&1)){k[19422]=(k[19422]|0)+12;A9(g);A9(f);A9(i);Pb(426,77684,x|0)|0;k[19424]=0;k[19425]=0;k[19426]=0;aI(77696,51553,21);Pb(427,77696,x|0)|0;k[19427]=0;k[19428]=0;k[19429]=0;aI(77708,51575,19);Pb(427,77708,x|0)|0;k[19430]=0;k[19431]=0;k[19432]=0;aI(77720,51595,22);Pb(427,77720,x|0)|0;k[19433]=0;k[19434]=0;k[19435]=0;aI(77732,51618,23);Pb(427,77732,x|0)|0;k[19436]=0;k[19437]=0;k[19438]=0;aI(77744,51642,6);Pb(427,77744,x|0)|0;b=KC()|0;k[19439]=b;a=1;do{b=(aa(b>>>30^b,1812433253)|0)+a|0;k[77756+(a<<2)>>2]=b;a=a+1|0}while((a|0)!=624);k[20063]=0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,37914,25);g=y;y=0;if(g&1){i=pb()|0;sb(i|0)}a=h+12|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;y=0;Na(74,a|0,37940,27);g=y;y=0;if(g&1)a=1;else{b=h+24|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;Na(74,b|0,37968,8);g=y;y=0;if(g&1)a=2;else{c=h+36|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,37977,13);g=y;y=0;if(g&1)a=3;else{k[20065]=0;k[20066]=0;k[20064]=80260;k[d>>2]=80260;y=0;k[i>>2]=k[d>>2];Ma(8,80256,i|0,h|0,h|0)|0;g=y;y=0;if(!(g&1)){k[d>>2]=80260;y=0;k[i>>2]=k[d>>2];Ma(8,80256,i|0,a|0,a|0)|0;g=y;y=0;if(!(g&1)){k[d>>2]=80260;y=0;k[i>>2]=k[d>>2];Ma(8,80256,i|0,b|0,b|0)|0;g=y;y=0;if(!(g&1)){k[d>>2]=80260;y=0;k[i>>2]=k[d>>2];Ma(8,80256,i|0,c|0,c|0)|0;i=y;y=0;if(!(i&1)){A9(c);A9(b);A9(a);A9(h);Pb(439,80256,x|0)|0;r=e;return}}}}i=pb()|0;YG(80256,k[20065]|0);A9(c);A9(b);A9(a);A9(h);sb(i|0)}}}b=pb()|0;c=N;a=h+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(h|0));i=b;sb(i|0)}}}a=pb()|0;d=N;b=k[19421]|0;if(b){c=k[19422]|0;if((c|0)!=(b|0)){do{h=c+-12|0;k[19422]=h;A9(h);c=k[19422]|0}while((c|0)!=(b|0));b=k[19421]|0}cra(b)}}A9(g);A9(f);A9(i);i=a;sb(i|0)}}b=pb()|0;c=N;a=i+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(i|0));i=b;sb(i|0)}function Bg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;C=0;s=r;r=r+224|0;o=s+184|0;p=s+128|0;B=s+104|0;j=s+168|0;A=s+56|0;m=s+116|0;z=s+32|0;x=s+16|0;q=s+64|0;v=s+40|0;w=s+24|0;u=s+8|0;t=s;k[o>>2]=4;n=b+60|0;c=k[n>>2]|0;if(c>>>0<(k[b+64>>2]|0)>>>0){k[c>>2]=4;k[n>>2]=c+4}else kA(b+56|0,o);l=b+108|0;d=p;e=l;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));h=(i[(k[(k[b+48>>2]|0)+-4>>2]|0)+84>>0]|0)!=0;cm(o,b);d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(o);C=8}else if(g>>>0<11){i[o+11>>0]=g;c=o}else C=8;if((C|0)==8){e=g+16&-16;c=IM(e)|0;k[o>>2]=c;k[o+8>>2]=e|-2147483648;k[o+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;oa(554,B|0,o|0);g=y;y=0;if(g&1){C=pb()|0;A9(o);sb(C|0)}A9(o);y=0;c=ta(133,b|0,1,0)|0;g=y;y=0;a:do if(g&1)C=19;else{do if(!c){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,45480,41);g=y;y=0;if(g&1){C=19;break a}y=0;k[o>>2]=k[l>>2];k[o+4>>2]=k[l+4>>2];k[o+8>>2]=k[l+8>>2];Na(108,b|0,j|0,o|0);g=y;y=0;if(g&1){c=pb()|0;A9(j);break a}else{A9(j);break}}while(0);y=0;oa(577,A|0,b|0);j=y;y=0;if(j&1)C=19;else{y=0;c=ta(134,b|0,1,0)|0;j=y;y=0;b:do if(j&1)C=24;else{do if(!c){y=0;c=ta(135,b|0,1,0)|0;j=y;y=0;if(j&1){C=24;break b}if(!c){k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,45522,52);j=y;y=0;if(j&1){C=24;break b}y=0;k[o>>2]=k[l>>2];k[o+4>>2]=k[l+4>>2];k[o+8>>2]=k[l+8>>2];Na(108,b|0,m|0,o|0);l=y;y=0;if(l&1){c=pb()|0;A9(m);break b}else{A9(m);c=0;break}}else c=0}else c=1;while(0);y=0;oa(577,z|0,b|0);m=y;y=0;if(m&1)C=24;else{y=0;Na(121,x|0,b|0,h|0);b=y;y=0;if(b&1)c=pb()|0;else{k[n>>2]=(k[n>>2]|0)+-4;y=0;g=qa(315,104)|0;n=y;y=0;c:do if(n&1)c=pb()|0;else{d=q;e=p;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;oa(456,v|0,B|0);p=y;y=0;do if(p&1)c=pb()|0;else{y=0;oa(460,w|0,k[A+4>>2]|0);p=y;y=0;if(p&1){c=pb()|0;A9(v);break}k[w>>2]=7284;y=0;oa(460,u|0,k[z+4>>2]|0);p=y;y=0;if(p&1){c=pb()|0;d=1}else{k[u>>2]=7284;y=0;oa(460,t|0,k[x+4>>2]|0);p=y;y=0;if(p&1){c=pb()|0;d=1}else{k[t>>2]=6868;y=0;d=o;e=q;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));Ea(5,g|0,o|0,v|0,w|0,u|0,t|0,c|0);q=y;y=0;do if(q&1)d=1;else{y=0;oa(460,a|0,g|0);q=y;y=0;if(q&1){d=0;break}k[a>>2]=17292;DO(t);DO(u);DO(w);A9(v);DO(x);DO(z);DO(A);A9(B);r=s;return}while(0);c=pb()|0;DO(t)}DO(u)}DO(w);A9(v);if(!d)break c}while(0);cra(g)}while(0);DO(x)}DO(z)}}while(0);if((C|0)==24)c=pb()|0;DO(A)}}while(0);if((C|0)==19)c=pb()|0;A9(B);C=c;sb(C|0)}function Cg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;J=r;r=r+96|0;K=J+56|0;H=J+28|0;I=J;if(!c){k[a>>2]=k[b>>2];k[a+4>>2]=k[b+4>>2];k[a+8>>2]=k[b+8>>2];K=a+12|0;LT(K,k[b+16>>2]|0);k[K>>2]=15136;k[a+20>>2]=k[b+20>>2];b=k[b+24>>2]|0;k[a+24>>2]=b;if(!b){r=J;return}Dba(b);r=J;return}jD(K);if(i[b>>0]|0)i[K>>0]=1;g=b+20|0;d=k[g>>2]|0;h=b+24|0;e=k[h>>2]|0;f=(e|0)==0;if(!f)Dba(e);G=k[d+4>>2]|0;b=k[d+16>>2]|0;l=G+(((b>>>0)/146|0)<<2)|0;if((k[d+8>>2]|0)==(G|0))j=0;else j=(k[l>>2]|0)+(((b>>>0)%146|0)*28|0)|0;if(!f)DY(e);e=k[g>>2]|0;f=k[h>>2]|0;g=(f|0)==0;if(!g)Dba(f);b=(k[e+16>>2]|0)+(k[e+20>>2]|0)|0;d=k[e+4>>2]|0;if((k[e+8>>2]|0)==(d|0))D=0;else D=(k[d+(((b>>>0)/146|0)<<2)>>2]|0)+(((b>>>0)%146|0)*28|0)|0;if(!g)DY(f);u=c+-1|0;v=H+20|0;E=H+24|0;w=I+12|0;x=I+20|0;B=I+24|0;z=K+20|0;G=K+24|0;A=I+16|0;C=I+12|0;F=H+12|0;b=j;a:while(1){do{if((b|0)==(D|0)){e=21;break a}if((k[b+4>>2]|0)==2){y=0;Na(143,H|0,b|0,u|0);t=y;y=0;if(t&1){e=27;break a}if(i[b>>0]|0){i[K>>0]=1;i[H>>0]=i[b>>0]|0}e=k[v>>2]|0;d=k[E>>2]|0;if(d|0){Dba(d);DY(d)}d=k[e+4>>2]|0;f=k[e+16>>2]|0;g=d+(((f>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(d|0)){t=0;d=0}else{t=f+(k[e+20>>2]|0)|0;t=(k[d+(((t>>>0)/146|0)<<2)>>2]|0)+(((t>>>0)%146|0)*28|0)|0;d=(k[g>>2]|0)+(((f>>>0)%146|0)*28|0)|0}b:while(1){do{if((d|0)==(t|0))break b;k[I>>2]=k[d>>2];k[I+4>>2]=k[d+4>>2];k[I+8>>2]=k[d+8>>2];y=0;oa(460,w|0,k[d+16>>2]|0);s=y;y=0;if(s&1){e=38;break a}k[w>>2]=15136;k[x>>2]=k[d+20>>2];e=k[d+24>>2]|0;k[B>>2]=e;if(e|0)Dba(e);if(i[H>>0]|0)i[I>>0]=1;e=k[z>>2]|0;q=k[G>>2]|0;s=(q|0)==0;if(!s)Dba(q);n=e+8|0;h=k[n>>2]|0;o=e+4|0;f=k[o>>2]|0;L=h-f>>2;j=e+16|0;m=k[j>>2]|0;p=e+20|0;c=k[p>>2]|0;if((((L|0)==0?0:(L*146|0)+-1|0)|0)==(c+m|0)){y=0;na(429,e|0);L=y;y=0;if(L&1){e=60;break a}c=k[p>>2]|0;e=k[j>>2]|0;h=k[n>>2]|0;f=k[o>>2]|0}else e=m;e=c+e|0;if((h|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[I>>2];k[f+4>>2]=k[I+4>>2];k[f+8>>2]=k[I+8>>2];e=f+12|0;y=0;oa(460,e|0,k[A>>2]|0);L=y;y=0;if(L&1){e=60;break a}k[e>>2]=15136;k[f+20>>2]=k[x>>2];e=k[B>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[p>>2]=(k[p>>2]|0)+1;if(!s)DY(q);e=k[B>>2]|0;if(e|0)DY(e);DO(C);d=d+28|0}while((d-(k[g>>2]|0)|0)!=4088);d=g+4|0;g=d;d=k[d>>2]|0}d=k[E>>2]|0;if(d|0)DY(d);DO(F)}else{d=k[z>>2]|0;f=k[G>>2]|0;g=(f|0)==0;if(!g)Dba(f);y=0;oa(522,d|0,b|0);L=y;y=0;if(L&1){e=73;break a}if(!g)DY(f)}b=b+28|0}while((b-(k[l>>2]|0)|0)!=4088);b=l+4|0;l=b;b=k[b>>2]|0}do if((e|0)==21){k[a>>2]=k[K>>2];k[a+4>>2]=k[K+4>>2];k[a+8>>2]=k[K+8>>2];b=a+12|0;y=0;oa(460,b|0,k[K+16>>2]|0);L=y;y=0;if(L&1){d=pb()|0;break}k[b>>2]=15136;L=K+20|0;k[a+20>>2]=k[L>>2];k[a+24>>2]=k[G>>2];k[L>>2]=0;k[G>>2]=0;DO(K+12|0);r=J;return}else if((e|0)==27)d=pb()|0;else if((e|0)==38){d=pb()|0;e=65}else if((e|0)==60){d=pb()|0;if(!s)DY(q);b=k[B>>2]|0;if(b|0)DY(b);DO(C);e=65}else if((e|0)==73){d=pb()|0;if(!g)DY(f)}while(0);if((e|0)==65){b=k[E>>2]|0;if(b|0)DY(b);DO(F)}b=k[G>>2]|0;if(!b){L=K+12|0;DO(L);sb(d|0)}DY(b);L=K+12|0;DO(L);sb(d|0)}function Dg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0;l=0;a:while(1){j=b;m=b+-4|0;while(1){b:while(1){i=a;d=j-i|0;e=d>>2;switch(e|0){case 2:{l=5;break a}case 3:{l=7;break a}case 4:{l=15;break a}case 5:{l=16;break a}case 1:case 0:{l=68;break a}default:{}}if((d|0)<124){l=22;break a}h=a+(((e|0)/2|0)<<2)|0;do if((d|0)>3996){e=(e|0)/4|0;g=a+(e<<2)|0;e=h+(e<<2)|0;d=Ww(a,g,h,e,c)|0;if(Fc[k[c>>2]&2047](m,e)|0){f=k[e>>2]|0;k[e>>2]=k[m>>2];k[m>>2]=f;f=d+1|0;if(Fc[k[c>>2]&2047](e,h)|0){f=k[h>>2]|0;k[h>>2]=k[e>>2];k[e>>2]=f;e=d+2|0;if(Fc[k[c>>2]&2047](h,g)|0){f=k[g>>2]|0;k[g>>2]=k[h>>2];k[h>>2]=f;if(Fc[k[c>>2]&2047](g,a)|0){f=k[a>>2]|0;k[a>>2]=k[g>>2];k[g>>2]=f;d=d+4|0}else d=d+3|0}else d=e}else d=f}}else{g=Fc[k[c>>2]&2047](h,a)|0;d=Fc[k[c>>2]&2047](m,h)|0;if(!g){if(!d){d=0;break}g=k[h>>2]|0;k[h>>2]=k[m>>2];k[m>>2]=g;if(!(Fc[k[c>>2]&2047](h,a)|0)){d=1;break}d=k[a>>2]|0;k[a>>2]=k[h>>2];k[h>>2]=d;d=2;break}e=k[a>>2]|0;if(d){k[a>>2]=k[m>>2];k[m>>2]=e;d=1;break}k[a>>2]=k[h>>2];k[h>>2]=e;if(Fc[k[c>>2]&2047](m,h)|0){d=k[h>>2]|0;k[h>>2]=k[m>>2];k[m>>2]=d;d=2}else d=1}while(0);if(Fc[k[c>>2]&2047](a,h)|0){e=m;break}else e=m;while(1){e=e+-4|0;if((a|0)==(e|0))break;if(Fc[k[c>>2]&2047](e,h)|0){l=51;break b}}d=a+4|0;if(!(Fc[k[c>>2]&2047](a,m)|0)){if((d|0)==(m|0)){l=68;break a}while(1){if(Fc[k[c>>2]&2047](a,d)|0)break;d=d+4|0;if((d|0)==(m|0)){l=68;break a}}i=k[d>>2]|0;k[d>>2]=k[m>>2];k[m>>2]=i;d=d+4|0}if((d|0)==(m|0)){l=68;break a}else e=m;while(1){while(1){f=d+4|0;if(Fc[k[c>>2]&2047](a,d)|0)break;else d=f}do e=e+-4|0;while(Fc[k[c>>2]&2047](a,e)|0);if(d>>>0>=e>>>0){a=d;continue b}i=k[d>>2]|0;k[d>>2]=k[e>>2];k[e>>2]=i;d=f}}if((l|0)==51){l=0;g=k[a>>2]|0;k[a>>2]=k[e>>2];k[e>>2]=g;d=d+1|0}f=a+4|0;c:do if(f>>>0<e>>>0)while(1){while(1){g=f+4|0;if(Fc[k[c>>2]&2047](f,h)|0)f=g;else break}do e=e+-4|0;while(!(Fc[k[c>>2]&2047](e,h)|0));if(f>>>0>e>>>0){e=h;break c}n=k[f>>2]|0;k[f>>2]=k[e>>2];k[e>>2]=n;h=(h|0)==(f|0)?e:h;f=g;d=d+1|0}else e=h;while(0);if((f|0)!=(e|0))if(Fc[k[c>>2]&2047](e,f)|0){n=k[f>>2]|0;k[f>>2]=k[e>>2];k[e>>2]=n;d=d+1|0}if(!d){d=Oj(a,f,c)|0;e=f+4|0;if(Oj(e,b,c)|0){l=67;break}if(d){a=e;continue}}n=f;if((n-i|0)>=(j-n|0)){l=66;break}Dg(a,f,c);a=f+4|0}if((l|0)==66){l=0;Dg(f+4|0,b,c);b=f;continue}else if((l|0)==67){l=0;if(d){l=68;break}else{b=f;continue}}}if((l|0)==5){if(!(Fc[k[c>>2]&2047](m,a)|0))return;n=k[a>>2]|0;k[a>>2]=k[m>>2];k[m>>2]=n;return}else if((l|0)==7){b=a+4|0;n=Fc[k[c>>2]&2047](b,a)|0;d=Fc[k[c>>2]&2047](m,b)|0;if(!n){if(!d)return;n=k[b>>2]|0;k[b>>2]=k[m>>2];k[m>>2]=n;if(!(Fc[k[c>>2]&2047](b,a)|0))return;n=k[a>>2]|0;k[a>>2]=k[b>>2];k[b>>2]=n;return}e=k[a>>2]|0;if(d){k[a>>2]=k[m>>2];k[m>>2]=e;return}k[a>>2]=k[b>>2];k[b>>2]=e;if(!(Fc[k[c>>2]&2047](m,b)|0))return;n=k[b>>2]|0;k[b>>2]=k[m>>2];k[m>>2]=n;return}else if((l|0)==15){Ww(a,a+4|0,a+8|0,m,c)|0;return}else if((l|0)==16){b=a+4|0;d=a+8|0;e=a+12|0;Ww(a,b,d,e,c)|0;if(!(Fc[k[c>>2]&2047](m,e)|0))return;n=k[e>>2]|0;k[e>>2]=k[m>>2];k[m>>2]=n;if(!(Fc[k[c>>2]&2047](e,d)|0))return;n=k[d>>2]|0;k[d>>2]=k[e>>2];k[e>>2]=n;if(!(Fc[k[c>>2]&2047](d,b)|0))return;n=k[b>>2]|0;k[b>>2]=k[d>>2];k[d>>2]=n;if(!(Fc[k[c>>2]&2047](b,a)|0))return;n=k[a>>2]|0;k[a>>2]=k[b>>2];k[b>>2]=n;return}else if((l|0)==22){Iw(a,b,c);return}else if((l|0)==68)return}function Eg(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;L=r;r=r+112|0;x=L;H=L+96|0;z=L+56|0;I=L+48|0;J=L+40|0;t=(k[d+4>>2]|0)-(k[d>>2]|0)>>3;if(!t){da=c+4|0;da=k[da>>2]|0;LT(a,da);k[a>>2]=7284;r=L;return}u=c+4|0;v=I+4|0;w=J+4|0;g=H+4|0;s=e;q=k[s>>2]|0;s=k[s+4>>2]|0;do if((H|0)==(c|0)){e=0;while(1){f=IM(88)|0;b=k[u>>2]|0;h=z;j=b+12|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(460,I|0,b|0);p=y;y=0;if(p&1){b=11;break}k[I>>2]=7284;y=0;oa(460,J|0,k[(k[d>>2]|0)+(e<<3)+4>>2]|0);p=y;y=0;if(p&1){b=12;break}k[J>>2]=7284;h=x;j=z;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,f|0);p=y;y=0;if(p&1){n=1;b=15;break}h=f+12|0;j=x;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=9580;o=f+60|0;k[o>>2]=q;k[o+4>>2]=s;o=f+68|0;y=0;oa(460,o|0,k[v>>2]|0);p=y;y=0;if(p&1){b=13;break}k[o>>2]=7284;b=f+76|0;y=0;oa(460,b|0,k[w>>2]|0);p=y;y=0;if(p&1){b=14;break}k[b>>2]=7284;k[f+84>>2]=0;y=0;oa(460,H|0,f|0);p=y;y=0;if(p&1){n=0;b=15;break}k[H>>2]=7284;DO(H);DO(J);DO(I);e=e+1|0;if(e>>>0>=t>>>0){_=u;b=16;break}}if((b|0)==11){S=pb()|0;W=f;b=32;break}else if((b|0)==12){T=pb()|0;X=f;b=34;break}else if((b|0)==13){R=pb()|0;Y=f;b=23;break}else if((b|0)==14){U=pb()|0;V=o;Z=f;b=25;break}else if((b|0)==15){da=pb()|0;M=n;aa=f;b=36;break}else if((b|0)==16){da=k[_>>2]|0;LT(a,da);k[a>>2]=7284;r=L;return}}else{e=0;while(1){f=IM(88)|0;b=k[u>>2]|0;h=z;j=b+12|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(460,I|0,b|0);o=y;y=0;if(o&1){b=31;break}k[I>>2]=7284;y=0;oa(460,J|0,k[(k[d>>2]|0)+(e<<3)+4>>2]|0);o=y;y=0;if(o&1){b=33;break}k[J>>2]=7284;h=x;j=z;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,f|0);o=y;y=0;if(o&1){m=1;b=35;break}h=f+12|0;j=x;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=9580;p=f+60|0;k[p>>2]=q;k[p+4>>2]=s;p=f+68|0;y=0;oa(460,p|0,k[v>>2]|0);o=y;y=0;if(o&1){b=22;break}k[p>>2]=7284;b=f+76|0;y=0;oa(460,b|0,k[w>>2]|0);o=y;y=0;if(o&1){b=24;break}k[b>>2]=7284;k[f+84>>2]=0;y=0;oa(460,H|0,f|0);o=y;y=0;if(o&1){m=0;b=35;break}k[H>>2]=7284;if(k[u>>2]|0){y=0;na(423,c|0);o=y;y=0;if(o&1){b=37;break}}k[u>>2]=k[g>>2];k[g>>2]=0;DO(H);DO(J);DO(I);e=e+1|0;if(e>>>0>=t>>>0){_=u;b=16;break}}if((b|0)==16){da=k[_>>2]|0;LT(a,da);k[a>>2]=7284;r=L;return}else if((b|0)==22){R=pb()|0;Y=f;b=23;break}else if((b|0)==24){U=pb()|0;V=p;Z=f;b=25;break}else if((b|0)==31){S=pb()|0;W=f;b=32;break}else if((b|0)==33){T=pb()|0;X=f;b=34;break}else if((b|0)==35){da=pb()|0;M=m;aa=f;b=36;break}else if((b|0)==37){N=pb()|0;DO(H);P=0;ca=f;b=38;break}}while(0);if((b|0)==23){O=R;ba=Y;b=26}else if((b|0)==25){DO(V);O=U;ba=Z;b=26}else if((b|0)==32){Q=S;$=W}else if((b|0)==34){DO(I);Q=T;$=X}if((b|0)==26){M=1;aa=ba;da=O;b=36}if((b|0)==36){N=da;P=M;ca=aa;b=38}if((b|0)==38){DO(J);DO(I);if(P){Q=N;$=ca}else{da=N;sb(da|0)}}cra($);da=Q;sb(da|0)}function Fg(a,b){a=a|0;b=b|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;if((cc|0)==1)cc=3}Qc(fc+47492|0)}function Gg(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;C=0;w=r;r=r+144|0;v=w;B=w+128|0;A=w+76|0;z=w+52|0;g=w+40|0;u=w+88|0;x=w+64|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;aI(A,38285,8);y=0;b=v;s=e;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));b=sa(24,A|0,a|0,d|0,v|0,f|0)|0;t=y;y=0;if(!(t&1)){y=0;oa(460,B|0,b|0);t=y;y=0;if(!(t&1)){k[B>>2]=16648;A9(A);k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(74,z|0,38294,8);t=y;y=0;do if(t&1){b=pb()|0;C=23}else{y=0;b=v;s=e;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));b=sa(24,z|0,a|0,d|0,v|0,f|0)|0;t=y;y=0;if(!(t&1)){y=0;oa(460,A|0,b|0);t=y;y=0;if(!(t&1)){k[A>>2]=16648;A9(z);k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,38303,7);t=y;y=0;do if(t&1){b=pb()|0;C=26}else{y=0;b=v;s=e;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));b=Ia(1,g|0,a|0,d|0,v|0,0.0,100.0,f|0)|0;t=y;y=0;if(!(t&1)){y=0;oa(460,z|0,b|0);t=y;y=0;if(!(t&1)){k[z>>2]=16664;A9(g);o=+p[(k[z+4>>2]|0)+64>>3]/100.0;h=o*2.0+-1.0;d=B+4|0;g=k[d>>2]|0;f=A+4|0;a=k[f>>2]|0;j=+p[g+88>>3]-+p[a+88>>3];l=h*j;if(!(l==-1.0))h=(h+j)/(l+1.0);h=(h+1.0)*.5;j=1.0-h;y=0;q=qa(315,112)|0;t=y;y=0;if(t&1)b=pb()|0;else{b=u;s=e;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));b=c+16|0;y=0;m=+ua(1,+(h*+p[g+64>>3]+j*+p[a+64>>3]),k[(k[b>>2]|0)+4>>2]|0);e=y;y=0;do if(e&1)C=28;else{y=0;n=+ua(1,+(h*+p[(k[d>>2]|0)+72>>3]+j*+p[(k[f>>2]|0)+72>>3]),k[(k[b>>2]|0)+4>>2]|0);e=y;y=0;if(e&1)C=28;else{y=0;l=+ua(1,+(h*+p[(k[d>>2]|0)+80>>3]+j*+p[(k[f>>2]|0)+80>>3]),k[(k[b>>2]|0)+4>>2]|0);e=y;y=0;if(e&1)C=28;else{j=+p[(k[d>>2]|0)+88>>3];h=+p[(k[f>>2]|0)+88>>3];k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,87975,0);e=y;y=0;if(e&1){C=28;break}b=v;s=u;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));y=0;na(422,q|0);u=y;y=0;do if(u&1)b=pb()|0;else{h=o*j+(1.0-o)*h;b=q+12|0;s=v;t=b+40|0;do{k[b>>2]=k[s>>2];b=b+4|0;s=s+4|0}while((b|0)<(t|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;b=q+56|0;k[b>>2]=0;k[q>>2]=10548;p[q+64>>3]=m;p[q+72>>3]=n;p[q+80>>3]=l;p[q+88>>3]=h;y=0;oa(456,q+96|0,x|0);v=y;y=0;if(v&1){b=pb()|0;break}else{k[q+108>>2]=0;k[b>>2]=3;A9(x);DO(z);DO(A);DO(B);r=w;return q|0}}while(0);A9(x)}}}while(0);if((C|0)==28)b=pb()|0;cra(q)}DO(z);break}}b=pb()|0;A9(g);C=26}while(0);DO(A);break}}b=pb()|0;A9(z);C=23}while(0);DO(B);C=b;sb(C|0)}}C=pb()|0;A9(A);sb(C|0);return 0}function Hg(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;w=r;r=r+176|0;s=w+40|0;f=w;e=w+136|0;B=w+128|0;A=w+120|0;u=w+112|0;v=w+104|0;x=w+96|0;t=w+88|0;z=w+80|0;n=IM(88)|0;g=e;h=c;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));q=b+60|0;j=b+84|0;l=b+88|0;b=k[l>>2]|0;d=k[j>>2]|0;g=f;h=e;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));y=0;na(422,n|0);p=y;y=0;do if(p&1)b=pb()|0;else{e=b-d>>3;g=n+12|0;h=f;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=9288;d=n+60|0;k[d>>2]=9248;g=n+64|0;h=n+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,e|0);p=y;y=0;if(p&1){b=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{a=e+-8|0;k[h>>2]=a;lc[k[k[a>>2]>>2]&511](a);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[n>>2]=9076;k[d>>2]=9208;k[n+80>>2]=0;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;LT(a,n);k[a>>2]=7172;b=k[j>>2]|0;f=k[l>>2]|0;if((b|0)==(f|0)){r=w;return}j=A+4|0;l=B+4|0;n=a+4|0;o=z+4|0;while(1){y=0;oa(460,B|0,k[b+4>>2]|0);p=y;y=0;if(p&1){d=34;break}k[B>>2]=7284;y=0;p=qa(315,88)|0;m=y;y=0;if(m&1){d=35;break}g=s;h=c;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));y=0;na(422,p|0);m=y;y=0;if(m&1){d=36;break}g=p+12|0;h=s;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));i[p+52>>0]=0;i[p+53>>0]=0;i[p+54>>0]=0;d=p+56|0;k[d>>2]=0;k[p>>2]=9288;e=p+60|0;k[e>>2]=9248;h=p+64|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(514,h|0,2);m=y;y=0;if(m&1){d=18;break}k[p>>2]=9076;k[e>>2]=9208;k[p+80>>2]=1;i[p+84>>0]=0;i[p+85>>0]=0;k[d>>2]=5;y=0;oa(460,A|0,p|0);p=y;y=0;if(p&1){d=35;break}k[A>>2]=7172;d=(k[j>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,u|0,k[l>>2]|0);p=y;y=0;if(p&1){d=38;break}k[u>>2]=7284;y=0;oa(e|0,d|0,u|0);p=y;y=0;if(p&1){d=39;break}DO(u);d=(k[j>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,x|0,k[l>>2]|0);p=y;y=0;if(p&1){d=38;break}k[x>>2]=7284;y=0;Na(76,v|0,q|0,x|0);p=y;y=0;if(p&1){d=40;break}y=0;oa(e|0,d|0,v|0);p=y;y=0;if(p&1){d=41;break}DO(v);DO(x);d=(k[n>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,z|0,k[j>>2]|0);p=y;y=0;if(p&1){d=38;break}k[z>>2]=7172;y=0;oa(460,t|0,k[o>>2]|0);p=y;y=0;if(p&1){d=43;break}k[t>>2]=7284;y=0;oa(e|0,d|0,t|0);p=y;y=0;if(p&1){d=44;break}DO(t);DO(z);DO(A);DO(B);b=b+8|0;if((b|0)==(f|0)){d=11;break}}switch(d|0){case 11:{r=w;return}case 18:{b=pb()|0;f=N;g=p+68|0;d=k[h>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{A=e+-8|0;k[g>>2]=A;lc[k[k[A>>2]>>2]&511](A);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[h>>2]|0}cra(d)}d=37;break}case 34:{b=pb()|0;break}case 35:{b=pb()|0;d=47;break}case 36:{b=pb()|0;d=37;break}case 38:{b=pb()|0;d=46;break}case 39:{b=pb()|0;DO(u);d=46;break}case 40:{b=pb()|0;d=42;break}case 41:{b=pb()|0;DO(v);d=42;break}case 43:{b=pb()|0;d=45;break}case 44:{b=pb()|0;DO(t);d=45;break}}if((d|0)==37){cra(p);d=47}else if((d|0)==42){DO(x);d=46}else if((d|0)==45){DO(z);d=46}if((d|0)==46){DO(A);d=47}if((d|0)==47)DO(B);DO(a);a=b;sb(a|0)}while(0);cra(n);a=b;sb(a|0)}function Ig(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0;v=r;r=r+192|0;x=v+144|0;z=v+136|0;f=v+96|0;h=v+88|0;j=v+80|0;w=v+72|0;n=v+56|0;m=v+44|0;l=v+32|0;o=v+24|0;p=v+16|0;s=v+8|0;t=v;k[x>>2]=4;u=b+60|0;c=k[u>>2]|0;if(c>>>0<(k[b+64>>2]|0)>>>0){k[c>>2]=4;k[u>>2]=c+4}else kA(b+56|0,x);q=(i[(k[(k[b+48>>2]|0)+-4>>2]|0)+84>>0]|0)!=0;g=IM(80)|0;c=f;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(460,h|0,0);e=y;y=0;do if(e&1)c=pb()|0;else{k[h>>2]=7284;y=0;oa(460,j|0,0);e=y;y=0;if(e&1){c=pb()|0;DO(h);break}k[j>>2]=6868;y=0;c=x;d=f;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Ra(30,g|0,x|0,h|0,j|0);f=y;y=0;if(f&1)d=1;else{y=0;oa(460,z|0,g|0);f=y;y=0;if(f&1)d=0;else{k[z>>2]=17260;DO(j);DO(h);y=0;Na(111,x|0,b|0,0);j=y;y=0;if(j&1)c=pb()|0;else{e=x+4|0;y=0;c=qa(336,k[e>>2]|0)|0;j=y;y=0;if(j&1)g=24;else{y=0;oa(460,w|0,c|0);j=y;y=0;if(j&1)g=24;else{k[w>>2]=7172;c=k[e>>2]|0;if(!c)g=14;else{d=k[w+4>>2]|0;if(!d)g=33;else if((k[d+68>>2]|0)==(k[d+64>>2]|0))g=14;else g=33}a:do if((g|0)==14){k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,43044,11);j=y;y=0;if(j&1)c=pb()|0;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,43056,7);j=y;y=0;if(j&1)c=pb()|0;else{k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,43423,44);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;ma(10,b|0,n|0,m|0,l|0,0);j=y;y=0;if(j&1){c=pb()|0;A9(l);break}else{A9(l);A9(m);A9(n);c=k[e>>2]|0;g=33;break a}}while(0);A9(m)}A9(n)}}while(0);b:do if((g|0)==33){f=z+4|0;d=k[f>>2]|0;y=0;oa(460,p|0,c|0);n=y;y=0;c:do if(!(n&1)){k[p>>2]=7284;e=d+72|0;c=d+76|0;if(!(k[c>>2]|0))g=36;else{y=0;na(423,e|0);n=y;y=0;if(!(n&1))g=36}if((g|0)==36){k[c>>2]=k[p+4>>2];y=0;na(424,e|0);n=y;y=0;if(!(n&1)){y=0;oa(460,o|0,k[c>>2]|0);n=y;y=0;if(!(n&1)){k[o>>2]=7284;DO(o);DO(p);c=k[f>>2]|0;y=0;Na(121,t|0,b|0,q|0);b=y;y=0;if(b&1)break;d=c+64|0;c=c+68|0;if(!(k[c>>2]|0))g=41;else{y=0;na(423,d|0);b=y;y=0;if(!(b&1))g=41}do if((g|0)==41){k[c>>2]=k[t+4>>2];y=0;na(424,d|0);b=y;y=0;if(b&1)break;y=0;oa(460,s|0,k[c>>2]|0);b=y;y=0;if(b&1)break;k[s>>2]=6868;DO(s);DO(t);k[u>>2]=(k[u>>2]|0)+-4;c=k[f>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(460,a|0,c|0);u=y;y=0;if(u&1)break c;k[a>>2]=17260;DO(w);DO(x);DO(z);r=v;return}while(0);c=pb()|0;DO(t);break b}}}c=pb()|0;DO(p);break b}while(0);c=pb()|0}while(0);DO(w)}}if((g|0)==24)c=pb()|0;DO(x)}DO(z);z=c;sb(z|0)}}c=pb()|0;DO(j);DO(h);if(!d){z=c;sb(z|0)}}while(0);cra(g);z=c;sb(z|0)}
function td(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;A=0;w=r;r=r+144|0;u=w+124|0;v=w+120|0;m=w+108|0;d=w+84|0;e=w+96|0;h=w+72|0;j=w+36|0;n=w+24|0;p=w+60|0;q=w+48|0;s=w+12|0;t=w;k[a>>2]=15720;ia=a+4|0;WD(ia);o=a+16|0;k[o>>2]=b;ha=a+20|0;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;y=0;Na(74,ha|0,87975,0);ga=y;y=0;if(ga&1){ha=pb()|0;A9(ia);sb(ha|0)}k[a+32>>2]=0;ga=a+36|0;y=0;na(437,ga|0);fa=y;y=0;if(fa&1)b=pb()|0;else{fa=a+72|0;y=0;oa(540,fa|0,k[o>>2]|0);ea=y;y=0;if(ea&1)b=pb()|0;else{da=a+200|0;ea=a+204|0;aa=a+212|0;ca=a+216|0;Z=a+224|0;ba=a+228|0;_=a+236|0;k[a+240>>2]=0;k[a+244>>2]=0;$=a+240|0;b=da;c=b+36|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(c|0));k[_>>2]=$;X=a+248|0;Y=a+252|0;V=a+264|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;k[X+16>>2]=0;k[X+20>>2]=0;k[a+260>>2]=V;T=a+272|0;W=a+276|0;S=a+284|0;U=a+288|0;Q=a+300|0;R=a+304|0;O=a+312|0;P=a+316|0;L=a+324|0;M=a+328|0;J=a+336|0;K=a+340|0;G=a+348|0;I=a+352|0;E=a+360|0;H=a+364|0;D=a+372|0;F=a+376|0;C=a+384|0;b=T;c=b+112|0;do{k[b>>2]=0;b=b+4|0}while((b|0)<(c|0));y=0;b=Ha(979,k[(k[o>>2]|0)+12>>2]|0,49741)|0;B=y;y=0;if(B&1)A=74;else{k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;B=IJ(b)|0;y=0;Na(74,C|0,b|0,B|0);B=y;y=0;if(B&1)A=74;else{B=a+396|0;y=0;b=Ha(979,k[(k[o>>2]|0)+16>>2]|0,52248)|0;z=y;y=0;if(z&1)A=75;else{k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;z=IJ(b)|0;y=0;Na(74,B|0,b|0,z|0);z=y;y=0;if(z&1)A=75;else{z=a+408|0;g=k[(k[o>>2]|0)+28>>2]|0;g=g|0?g:87975;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;x=IJ(g)|0;y=0;Na(74,d|0,g|0,x|0);x=y;y=0;do if(x&1){b=pb()|0;c=N;A=77}else{x=i[d+11>>0]|0;if(!((x<<24>>24<0?k[d+4>>2]|0:x&255)|0)){y=0;b=sa(21,d|0,0,-1,87975,0)|0;x=y;y=0;if(x&1){x=tb(0)|0;Sla(x)}if(!b){k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51326,5);x=y;y=0;if(x&1)A=15}else A=14}else A=14;if((A|0)==14){y=0;oa(456,e|0,d|0);x=y;y=0;if(x&1)A=15}if((A|0)==15){b=pb()|0;c=N;A9(d);A=77;break}A9(d);y=0;oa(535,z|0,e|0);x=y;y=0;if(x&1){b=pb()|0;c=N;A9(e);break}A9(e);x=a+420|0;g=k[(k[o>>2]|0)+32>>2]|0;g=g|0?g:87975;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;A=IJ(g)|0;y=0;Na(74,m|0,g|0,A|0);A=y;y=0;do if(A&1){b=pb()|0;c=N;A=80}else{f=m+11|0;A=i[f>>0]|0;g=m+4|0;a:do if(!((A<<24>>24<0?k[g>>2]|0:A&255)|0)){y=0;b=sa(21,m|0,0,-1,87975,0)|0;A=y;y=0;if(A&1){A=tb(0)|0;Sla(A)}if(b|0){A=40;break}d=z+11|0;c=i[d>>0]|0;e=a+412|0;b=k[e>>2]|0;if(!((c<<24>>24<0?b:c&255)|0)){y=0;b=sa(21,z|0,0,-1,87975,0)|0;A=y;y=0;if(A&1){A=tb(0)|0;Sla(A)}if(!b){A=40;break}d=i[d>>0]|0;b=k[e>>2]|0}else d=c;A=d<<24>>24<0;c=A?k[z>>2]|0:z;e=c;b=c+(A?b:d&255)|0;while(1){if((b|0)==(c|0)){A=30;break}b=b+-1|0;if(aA(55435,l[b>>0]|0,1)|0){A=31;break}}do if((A|0)==30){b=u;A=33}else if((A|0)==31){b=b-e|0;if((b|0)<=-1){b=u;A=33;break}y=0;ma(4,u|0,z|0,0,b|0,z|0);A=y;y=0;if(A&1)A=37;else{b=u;A=34}}while(0);if((A|0)==33){y=0;oa(456,u|0,z|0);A=y;y=0;if(A&1)A=37;else A=34}if((A|0)==34){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;g=i[u+11>>0]|0;f=g<<24>>24<0;g=f?k[u+4>>2]|0:g&255;y=0;Ra(10,h|0,(f?k[u>>2]|0:b)|0,g|0,g+4|0);g=y;y=0;do if(!(g&1)){y=0;ta(41,h|0,51548,4)|0;g=y;y=0;if(g&1)break;A9(u);break a}while(0);b=pb()|0;c=N;A9(h);A9(u)}else if((A|0)==37){b=pb()|0;c=N}A=47}else A=40;while(0);b:do if((A|0)==40){f=i[f>>0]|0;do if(!((f<<24>>24<0?k[g>>2]|0:f&255)|0)){y=0;b=sa(21,m|0,0,-1,87975,0)|0;g=y;y=0;if(g&1){g=tb(0)|0;Sla(g)}if(b|0){A=45;break}k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,35212,6);g=y;y=0;if(!(g&1))break b}else A=45;while(0);if((A|0)==45){y=0;oa(456,h|0,m|0);g=y;y=0;if(!(g&1))break}b=pb()|0;c=N;A=47}while(0);if((A|0)==47){A9(m);A=80;break}A9(m);y=0;oa(535,x|0,h|0);m=y;y=0;if(m&1){b=pb()|0;c=N;A9(h);break}A9(h);m=a+432|0;y=0;b=Ha(979,k[(k[o>>2]|0)+52>>2]|0,87975)|0;h=y;y=0;do if(h&1)A=82;else{k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;h=IJ(b)|0;y=0;Na(74,j|0,b|0,h|0);h=y;y=0;if(h&1){A=82;break}y=0;oa(535,m|0,j|0);h=y;y=0;if(h&1){b=pb()|0;c=N;A9(j);break}A9(j);h=a+444|0;y=0;b=Ha(979,k[(k[o>>2]|0)+56>>2]|0,87975)|0;j=y;y=0;do if(j&1)A=84;else{k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;j=IJ(b)|0;y=0;Na(74,n|0,b|0,j|0);j=y;y=0;if(j&1){A=84;break}y=0;oa(535,h|0,n|0);j=y;y=0;if(j&1){b=pb()|0;c=N;A9(n);break}A9(n);b=k[K>>2]|0;do if((b|0)==(k[a+344>>2]|0)){y=0;oa(457,J|0,ia|0);A=y;y=0;if(A&1)A=88;else A=59}else{y=0;oa(456,b|0,ia|0);A=y;y=0;if(A&1){A=88;break}k[K>>2]=(k[K>>2]|0)+12;A=59}while(0);c:do if((A|0)==59){y=0;oa(541,a|0,k[(k[o>>2]|0)+36>>2]|0);n=y;y=0;if(n&1){A=88;break}c=k[o>>2]|0;b=k[c+44>>2]|0;do if(!b)b=c;else{while(1){y=0;oa(541,a|0,k[b+4>>2]|0);A=y;y=0;if(A&1){A=87;break}b=k[b>>2]|0;if(!b){A=63;break}}if((A|0)==63){b=k[o>>2]|0;break}else if((A|0)==87){b=pb()|0;c=N;A=89;break c}}while(0);y=0;oa(542,a|0,k[b+40>>2]|0);n=y;y=0;if(n&1){A=88;break}b=k[(k[o>>2]|0)+48>>2]|0;d:do if(b|0){while(1){y=0;oa(542,a|0,k[b+4>>2]|0);o=y;y=0;if(o&1)break;b=k[b>>2]|0;if(!b)break d}b=pb()|0;c=N;A=89;break c}while(0);b=k[L>>2]|0;c=k[M>>2]|0;e:do if((b|0)!=(c|0)){while(1){y=0;oa(456,p|0,b|0);o=y;y=0;if(o&1){A=93;break}y=0;Ha(980,ga|0,p|0)|0;o=y;y=0;if(o&1){A=94;break}A9(p);b=b+12|0;if((b|0)==(c|0))break e}if((A|0)==93){b=pb()|0;c=N;break c}else if((A|0)==94){b=pb()|0;c=N;A9(p);break c}}while(0);y=0;oa(543,q|0,ga|0);p=y;y=0;if(p&1){A=88;break}b=k[q>>2]|0;g=q+4|0;e=k[g>>2]|0;do if((b|0)!=(e|0)){f=a+356|0;while(1){c=k[b>>2]|0;k[u>>2]=c;d=k[I>>2]|0;if((d|0)==(k[f>>2]|0)){y=0;oa(544,G|0,u|0);p=y;y=0;if(p&1)break}else{k[d>>2]=c;k[I>>2]=(k[I>>2]|0)+4}b=b+4|0;if((b|0)==(e|0)){A=97;break}}if((A|0)==97){b=k[q>>2]|0;break}b=pb()|0;c=N;d=k[q>>2]|0;e=d;if(d|0){f=k[g>>2]|0;if((f|0)!=(d|0))k[g>>2]=f+(~((f+-4-e|0)>>>2)<<2);cra(d)}break c}while(0);c=b;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0))k[g>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}y=0;oa(543,s|0,a+48|0);q=y;y=0;if(q&1){A=88;break}b=k[s>>2]|0;g=s+4|0;e=k[g>>2]|0;do if((b|0)!=(e|0)){f=a+368|0;while(1){c=k[b>>2]|0;k[u>>2]=c;d=k[H>>2]|0;if((d|0)==(k[f>>2]|0)){y=0;oa(544,E|0,u|0);q=y;y=0;if(q&1)break}else{k[d>>2]=c;k[H>>2]=(k[H>>2]|0)+4}b=b+4|0;if((b|0)==(e|0)){A=114;break}}if((A|0)==114){b=k[s>>2]|0;break}b=pb()|0;c=N;d=k[s>>2]|0;e=d;if(d|0){f=k[g>>2]|0;if((f|0)!=(d|0))k[g>>2]=f+(~((f+-4-e|0)>>>2)<<2);cra(d)}break c}while(0);c=b;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0))k[g>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}y=0;oa(545,t|0,a+60|0);s=y;y=0;if(s&1){A=88;break}b=k[t>>2]|0;g=t+4|0;e=k[g>>2]|0;do if((b|0)!=(e|0)){f=a+380|0;while(1){c=k[b>>2]|0;k[u>>2]=c;d=k[F>>2]|0;if((d|0)==(k[f>>2]|0)){y=0;oa(546,D|0,u|0);s=y;y=0;if(s&1)break}else{k[d>>2]=c;k[F>>2]=(k[F>>2]|0)+4}b=b+4|0;if((b|0)==(e|0)){A=131;break}}if((A|0)==131){b=k[t>>2]|0;break}b=pb()|0;c=N;d=k[t>>2]|0;e=d;if(d|0){f=k[g>>2]|0;if((f|0)!=(d|0))k[g>>2]=f+(~((f+-4-e|0)>>>2)<<2);cra(d)}break c}while(0);c=b;if(b|0){d=k[g>>2]|0;if((d|0)!=(b|0))k[g>>2]=d+(~((d+-4-c|0)>>>2)<<2);cra(b)}s=k[G>>2]|0;t=k[I>>2]|0;k[v>>2]=981;y=0;Na(95,s|0,t|0,v|0);v=y;y=0;if(v&1){A=88;break}t=k[E>>2]|0;v=k[H>>2]|0;k[u>>2]=981;y=0;Na(95,t|0,v|0,u|0);v=y;y=0;if(v&1){A=88;break}y=0;Ra(18,u|0,x|0,m|0,ia|0);v=y;y=0;do if(v&1){b=pb()|0;c=N}else{y=0;oa(547,a+76|0,u|0);v=y;y=0;if(v&1){b=pb()|0;c=N;A9(u);break}else{A9(u);r=w;return}}while(0)}while(0);if((A|0)==88){b=pb()|0;c=N;A=89}A9(h)}while(0);if((A|0)==84){b=pb()|0;c=N}A9(m)}while(0);if((A|0)==82){b=pb()|0;c=N}A9(x)}while(0);A9(z)}while(0);A9(B)}}if((A|0)==75){b=pb()|0;c=N}A9(C);f=c}}if((A|0)==74){b=pb()|0;f=N}c=k[D>>2]|0;d=c;if(c|0){e=k[F>>2]|0;if((e|0)!=(c|0))k[F>>2]=e+(~((e+-4-d|0)>>>2)<<2);cra(c)}c=k[E>>2]|0;d=c;if(c|0){e=k[H>>2]|0;if((e|0)!=(c|0))k[H>>2]=e+(~((e+-4-d|0)>>>2)<<2);cra(c)}c=k[G>>2]|0;d=c;if(c|0){e=k[I>>2]|0;if((e|0)!=(c|0))k[I>>2]=e+(~((e+-4-d|0)>>>2)<<2);cra(c)}c=k[J>>2]|0;if(c|0){d=k[K>>2]|0;if((d|0)!=(c|0)){do{I=d+-12|0;k[K>>2]=I;A9(I);d=k[K>>2]|0}while((d|0)!=(c|0));c=k[J>>2]|0}cra(c)}c=k[L>>2]|0;if(c|0){d=k[M>>2]|0;if((d|0)!=(c|0)){do{K=d+-12|0;k[M>>2]=K;A9(K);d=k[M>>2]|0}while((d|0)!=(c|0));c=k[L>>2]|0}cra(c)}c=k[O>>2]|0;if(c|0){d=k[P>>2]|0;if((d|0)!=(c|0)){do{M=d+-12|0;k[P>>2]=M;A9(M);d=k[P>>2]|0}while((d|0)!=(c|0));c=k[O>>2]|0}cra(c)}c=k[Q>>2]|0;if(c|0){d=k[R>>2]|0;if((d|0)!=(c|0)){do{P=d+-12|0;k[R>>2]=P;A9(P);d=k[R>>2]|0}while((d|0)!=(c|0));c=k[Q>>2]|0}cra(c)}c=k[S>>2]|0;d=c;if(c|0){e=k[U>>2]|0;if((e|0)!=(c|0))k[U>>2]=e+(~(((e+-24-d|0)>>>0)/24|0)*24|0);cra(c)}c=k[T>>2]|0;d=c;if(c|0){e=k[W>>2]|0;if((e|0)!=(c|0))k[W>>2]=e+(~((e+-4-d|0)>>>2)<<2);cra(c)}$y(a+260|0,k[V>>2]|0);c=k[X>>2]|0;if(c|0){d=k[Y>>2]|0;if((d|0)!=(c|0)){do{a=d+-16|0;k[Y>>2]=a;DO(d+-8|0);DO(a);d=k[Y>>2]|0}while((d|0)!=(c|0));c=k[X>>2]|0}cra(c)}eD(_,k[$>>2]|0);c=k[Z>>2]|0;d=c;if(c|0){e=k[ba>>2]|0;if((e|0)!=(c|0))k[ba>>2]=e+(~((e+-8-d|0)>>>3)<<3);cra(c)}c=k[aa>>2]|0;d=c;if(c|0){e=k[ca>>2]|0;if((e|0)!=(c|0))k[ca>>2]=e+(~((e+-4-d|0)>>>2)<<2);cra(c)}c=k[da>>2]|0;if(c|0){d=k[ea>>2]|0;if((d|0)!=(c|0)){do{ca=d+-8|0;k[ea>>2]=ca;lc[k[k[ca>>2]>>2]&511](ca);d=k[ea>>2]|0}while((d|0)!=(c|0));c=k[da>>2]|0}cra(c)}fM(fa)}Pq(ga)}A9(ha);ha=b;A9(ia);sb(ha|0)}function ud(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;w=0;D=r;r=r+16|0;o=D;do if(a>>>0<245){n=a>>>0<11?16:a+11&-8;a=n>>>3;t=k[20603]|0;b=t>>>a;if(b&3|0){b=(b&1^1)+a|0;c=82452+(b<<1<<2)|0;d=c+8|0;e=k[d>>2]|0;f=e+8|0;g=k[f>>2]|0;do if((c|0)==(g|0))k[20603]=t&~(1<<b);else{if(g>>>0<(k[20607]|0)>>>0)Za();a=g+12|0;if((k[a>>2]|0)==(e|0)){k[a>>2]=c;k[d>>2]=g;break}else Za()}while(0);C=b<<3;k[e+4>>2]=C|3;C=e+C+4|0;k[C>>2]=k[C>>2]|1;C=f;r=D;return C|0}s=k[20605]|0;if(n>>>0>s>>>0){if(b|0){h=2<<a;b=b<<a&(h|0-h);b=(b&0-b)+-1|0;h=b>>>12&16;b=b>>>h;d=b>>>5&8;b=b>>>d;f=b>>>2&4;b=b>>>f;c=b>>>1&2;b=b>>>c;a=b>>>1&1;a=(d|h|f|c|a)+(b>>>a)|0;b=82452+(a<<1<<2)|0;c=b+8|0;f=k[c>>2]|0;h=f+8|0;d=k[h>>2]|0;do if((b|0)==(d|0)){i=t&~(1<<a);k[20603]=i}else{if(d>>>0<(k[20607]|0)>>>0)Za();e=d+12|0;if((k[e>>2]|0)==(f|0)){k[e>>2]=b;k[c>>2]=d;i=t;break}else Za()}while(0);g=(a<<3)-n|0;k[f+4>>2]=n|3;d=f+n|0;k[d+4>>2]=g|1;k[d+g>>2]=g;if(s|0){e=k[20608]|0;a=s>>>3;c=82452+(a<<1<<2)|0;a=1<<a;if(!(i&a)){k[20603]=i|a;j=c;l=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[20607]|0)>>>0)Za();else{j=b;l=a}}k[l>>2]=e;k[j+12>>2]=e;k[e+8>>2]=j;k[e+12>>2]=c}k[20605]=g;k[20608]=d;C=h;r=D;return C|0}h=k[20604]|0;if(h){b=(h&0-h)+-1|0;B=b>>>12&16;b=b>>>B;A=b>>>5&8;b=b>>>A;C=b>>>2&4;b=b>>>C;i=b>>>1&2;b=b>>>i;j=b>>>1&1;j=k[82716+((A|B|C|i|j)+(b>>>j)<<2)>>2]|0;b=j;i=j;j=(k[j+4>>2]&-8)-n|0;while(1){a=k[b+16>>2]|0;if(!a){a=k[b+20>>2]|0;if(!a)break}C=(k[a+4>>2]&-8)-n|0;B=C>>>0<j>>>0;b=a;i=B?a:i;j=B?C:j}e=k[20607]|0;if(i>>>0<e>>>0)Za();g=i+n|0;if(i>>>0>=g>>>0)Za();f=k[i+24>>2]|0;c=k[i+12>>2]|0;do if((c|0)==(i|0)){b=i+20|0;a=k[b>>2]|0;if(!a){b=i+16|0;a=k[b>>2]|0;if(!a){m=0;break}}while(1){c=a+20|0;d=k[c>>2]|0;if(d|0){a=d;b=c;continue}c=a+16|0;d=k[c>>2]|0;if(!d)break;else{a=d;b=c}}if(b>>>0<e>>>0)Za();else{k[b>>2]=0;m=a;break}}else{d=k[i+8>>2]|0;if(d>>>0<e>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(i|0))Za();b=c+8|0;if((k[b>>2]|0)==(i|0)){k[a>>2]=c;k[b>>2]=d;m=c;break}else Za()}while(0);do if(f|0){a=k[i+28>>2]|0;b=82716+(a<<2)|0;if((i|0)==(k[b>>2]|0)){k[b>>2]=m;if(!m){k[20604]=h&~(1<<a);break}}else{if(f>>>0<(k[20607]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(i|0))k[a>>2]=m;else k[f+20>>2]=m;if(!m)break}b=k[20607]|0;if(m>>>0<b>>>0)Za();k[m+24>>2]=f;a=k[i+16>>2]|0;do if(a|0)if(a>>>0<b>>>0)Za();else{k[m+16>>2]=a;k[a+24>>2]=m;break}while(0);a=k[i+20>>2]|0;if(a|0)if(a>>>0<(k[20607]|0)>>>0)Za();else{k[m+20>>2]=a;k[a+24>>2]=m;break}}while(0);if(j>>>0<16){C=j+n|0;k[i+4>>2]=C|3;C=i+C+4|0;k[C>>2]=k[C>>2]|1}else{k[i+4>>2]=n|3;k[g+4>>2]=j|1;k[g+j>>2]=j;if(s|0){d=k[20608]|0;a=s>>>3;c=82452+(a<<1<<2)|0;a=1<<a;if(!(t&a)){k[20603]=t|a;p=c;q=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[20607]|0)>>>0)Za();else{p=b;q=a}}k[q>>2]=d;k[p+12>>2]=d;k[d+8>>2]=p;k[d+12>>2]=c}k[20605]=j;k[20608]=g}C=i+8|0;r=D;return C|0}}}else if(a>>>0>4294967231)n=-1;else{a=a+11|0;n=a&-8;j=k[20604]|0;if(j){c=0-n|0;a=a>>>8;if(!a)g=0;else if(n>>>0>16777215)g=31;else{q=(a+1048320|0)>>>16&8;w=a<<q;p=(w+520192|0)>>>16&4;w=w<<p;g=(w+245760|0)>>>16&2;g=14-(p|q|g)+(w<<g>>>15)|0;g=n>>>(g+7|0)&1|g<<1}a=k[82716+(g<<2)>>2]|0;a:do if(!a){b=0;d=0;w=86}else{d=0;f=a;e=n<<((g|0)==31?0:25-(g>>>1)|0);b=0;while(1){a=(k[f+4>>2]&-8)-n|0;if(a>>>0<c>>>0)if(!a){a=f;c=0;b=f;w=90;break a}else{d=f;c=a}a=k[f+20>>2]|0;f=k[f+16+(e>>>31<<2)>>2]|0;b=(a|0)==0|(a|0)==(f|0)?b:a;a=(f|0)==0;if(a){w=86;break}else e=e<<(a&1^1)}}while(0);if((w|0)==86){if((b|0)==0&(d|0)==0){a=2<<g;a=j&(a|0-a);if(!a)break;q=(a&0-a)+-1|0;l=q>>>12&16;q=q>>>l;i=q>>>5&8;q=q>>>i;m=q>>>2&4;q=q>>>m;p=q>>>1&2;q=q>>>p;b=q>>>1&1;b=k[82716+((i|l|m|p|b)+(q>>>b)<<2)>>2]|0}if(!b){i=d;g=c}else{a=d;w=90}}if((w|0)==90)while(1){w=0;q=(k[b+4>>2]&-8)-n|0;d=q>>>0<c>>>0;c=d?q:c;a=d?b:a;d=k[b+16>>2]|0;if(d|0){b=d;w=90;continue}b=k[b+20>>2]|0;if(!b){i=a;g=c;break}else w=90}if(i)if(g>>>0<((k[20605]|0)-n|0)>>>0){e=k[20607]|0;if(i>>>0<e>>>0)Za();h=i+n|0;if(i>>>0>=h>>>0)Za();f=k[i+24>>2]|0;c=k[i+12>>2]|0;do if((c|0)==(i|0)){b=i+20|0;a=k[b>>2]|0;if(!a){b=i+16|0;a=k[b>>2]|0;if(!a){s=0;break}}while(1){c=a+20|0;d=k[c>>2]|0;if(d|0){a=d;b=c;continue}c=a+16|0;d=k[c>>2]|0;if(!d)break;else{a=d;b=c}}if(b>>>0<e>>>0)Za();else{k[b>>2]=0;s=a;break}}else{d=k[i+8>>2]|0;if(d>>>0<e>>>0)Za();a=d+12|0;if((k[a>>2]|0)!=(i|0))Za();b=c+8|0;if((k[b>>2]|0)==(i|0)){k[a>>2]=c;k[b>>2]=d;s=c;break}else Za()}while(0);do if(!f)t=j;else{a=k[i+28>>2]|0;b=82716+(a<<2)|0;if((i|0)==(k[b>>2]|0)){k[b>>2]=s;if(!s){t=j&~(1<<a);k[20604]=t;break}}else{if(f>>>0<(k[20607]|0)>>>0)Za();a=f+16|0;if((k[a>>2]|0)==(i|0))k[a>>2]=s;else k[f+20>>2]=s;if(!s){t=j;break}}b=k[20607]|0;if(s>>>0<b>>>0)Za();k[s+24>>2]=f;a=k[i+16>>2]|0;do if(a|0)if(a>>>0<b>>>0)Za();else{k[s+16>>2]=a;k[a+24>>2]=s;break}while(0);a=k[i+20>>2]|0;if(!a)t=j;else if(a>>>0<(k[20607]|0)>>>0)Za();else{k[s+20>>2]=a;k[a+24>>2]=s;t=j;break}}while(0);do if(g>>>0<16){C=g+n|0;k[i+4>>2]=C|3;C=i+C+4|0;k[C>>2]=k[C>>2]|1}else{k[i+4>>2]=n|3;k[h+4>>2]=g|1;k[h+g>>2]=g;a=g>>>3;if(g>>>0<256){c=82452+(a<<1<<2)|0;b=k[20603]|0;a=1<<a;if(!(b&a)){k[20603]=b|a;u=c;v=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[20607]|0)>>>0)Za();else{u=b;v=a}}k[v>>2]=h;k[u+12>>2]=h;k[h+8>>2]=u;k[h+12>>2]=c;break}a=g>>>8;if(!a)a=0;else if(g>>>0>16777215)a=31;else{B=(a+1048320|0)>>>16&8;C=a<<B;A=(C+520192|0)>>>16&4;C=C<<A;a=(C+245760|0)>>>16&2;a=14-(A|B|a)+(C<<a>>>15)|0;a=g>>>(a+7|0)&1|a<<1}c=82716+(a<<2)|0;k[h+28>>2]=a;b=h+16|0;k[b+4>>2]=0;k[b>>2]=0;b=1<<a;if(!(t&b)){k[20604]=t|b;k[c>>2]=h;k[h+24>>2]=c;k[h+12>>2]=h;k[h+8>>2]=h;break}b=g<<((a|0)==31?0:25-(a>>>1)|0);d=k[c>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(g|0)){w=148;break}c=d+16+(b>>>31<<2)|0;a=k[c>>2]|0;if(!a){w=145;break}else{b=b<<1;d=a}}if((w|0)==145)if(c>>>0<(k[20607]|0)>>>0)Za();else{k[c>>2]=h;k[h+24>>2]=d;k[h+12>>2]=h;k[h+8>>2]=h;break}else if((w|0)==148){a=d+8|0;b=k[a>>2]|0;C=k[20607]|0;if(b>>>0>=C>>>0&d>>>0>=C>>>0){k[b+12>>2]=h;k[a>>2]=h;k[h+8>>2]=b;k[h+12>>2]=d;k[h+24>>2]=0;break}else Za()}}while(0);C=i+8|0;r=D;return C|0}}}while(0);c=k[20605]|0;if(c>>>0>=n>>>0){a=c-n|0;b=k[20608]|0;if(a>>>0>15){C=b+n|0;k[20608]=C;k[20605]=a;k[C+4>>2]=a|1;k[C+a>>2]=a;k[b+4>>2]=n|3}else{k[20605]=0;k[20608]=0;k[b+4>>2]=c|3;C=b+c+4|0;k[C>>2]=k[C>>2]|1}C=b+8|0;r=D;return C|0}g=k[20606]|0;if(g>>>0>n>>>0){A=g-n|0;k[20606]=A;C=k[20609]|0;B=C+n|0;k[20609]=B;k[B+4>>2]=A|1;k[C+4>>2]=n|3;C=C+8|0;r=D;return C|0}if(!(k[20721]|0)){k[20723]=4096;k[20722]=4096;k[20724]=-1;k[20725]=-1;k[20726]=0;k[20714]=0;a=o&-16^1431655768;k[o>>2]=a;k[20721]=a;a=4096}else a=k[20723]|0;h=n+48|0;i=n+47|0;f=a+i|0;d=0-a|0;j=f&d;if(j>>>0<=n>>>0){C=0;r=D;return C|0}a=k[20713]|0;if(a|0){u=k[20711]|0;v=u+j|0;if(v>>>0<=u>>>0|v>>>0>a>>>0){C=0;r=D;return C|0}}b:do if(!(k[20714]&4)){b=k[20609]|0;c:do if(!b)w=172;else{c=82860;while(1){a=k[c>>2]|0;if(a>>>0<=b>>>0){e=c+4|0;if((a+(k[e>>2]|0)|0)>>>0>b>>>0)break}a=k[c+8>>2]|0;if(!a){w=172;break c}else c=a}a=f-g&d;if(a>>>0<2147483647){b=CM(a|0)|0;if((b|0)==((k[c>>2]|0)+(k[e>>2]|0)|0)){if((b|0)!=(-1|0)){g=a;f=b;w=190;break b}}else{d=b;w=180}}}while(0);do if((w|0)==172){e=CM(0)|0;if((e|0)!=(-1|0)){a=e;b=k[20722]|0;c=b+-1|0;a=((c&a|0)==0?0:(c+a&0-b)-a|0)+j|0;b=k[20711]|0;c=a+b|0;if(a>>>0>n>>>0&a>>>0<2147483647){d=k[20713]|0;if(d|0)if(c>>>0<=b>>>0|c>>>0>d>>>0)break;b=CM(a|0)|0;if((b|0)==(e|0)){g=a;f=e;w=190;break b}else{d=b;w=180}}}}while(0);d:do if((w|0)==180){c=0-a|0;do if(h>>>0>a>>>0&(a>>>0<2147483647&(d|0)!=(-1|0))){b=k[20723]|0;b=i-a+b&0-b;if(b>>>0<2147483647)if((CM(b|0)|0)==(-1|0)){CM(c|0)|0;break d}else{a=b+a|0;break}}while(0);if((d|0)!=(-1|0)){g=a;f=d;w=190;break b}}while(0);k[20714]=k[20714]|4;w=187}else w=187;while(0);if((w|0)==187)if(j>>>0<2147483647){b=CM(j|0)|0;a=CM(0)|0;if(b>>>0<a>>>0&((b|0)!=(-1|0)&(a|0)!=(-1|0))){a=a-b|0;if(a>>>0>(n+40|0)>>>0){g=a;f=b;w=190}}}if((w|0)==190){a=(k[20711]|0)+g|0;k[20711]=a;if(a>>>0>(k[20712]|0)>>>0)k[20712]=a;j=k[20609]|0;do if(!j){C=k[20607]|0;if((C|0)==0|f>>>0<C>>>0)k[20607]=f;k[20715]=f;k[20716]=g;k[20718]=0;k[20612]=k[20721];k[20611]=-1;a=0;do{C=82452+(a<<1<<2)|0;k[C+12>>2]=C;k[C+8>>2]=C;a=a+1|0}while((a|0)!=32);C=f+8|0;C=(C&7|0)==0?0:0-C&7;B=f+C|0;C=g+-40-C|0;k[20609]=B;k[20606]=C;k[B+4>>2]=C|1;k[B+C+4>>2]=40;k[20610]=k[20725]}else{a=82860;do{b=k[a>>2]|0;c=a+4|0;d=k[c>>2]|0;if((f|0)==(b+d|0)){w=200;break}a=k[a+8>>2]|0}while((a|0)!=0);if((w|0)==200)if(!(k[a+12>>2]&8))if(j>>>0<f>>>0&j>>>0>=b>>>0){k[c>>2]=d+g;C=j+8|0;C=(C&7|0)==0?0:0-C&7;B=j+C|0;C=g-C+(k[20606]|0)|0;k[20609]=B;k[20606]=C;k[B+4>>2]=C|1;k[B+C+4>>2]=40;k[20610]=k[20725];break}a=k[20607]|0;if(f>>>0<a>>>0){k[20607]=f;h=f}else h=a;b=f+g|0;a=82860;while(1){if((k[a>>2]|0)==(b|0)){w=208;break}a=k[a+8>>2]|0;if(!a){b=82860;break}}if((w|0)==208)if(!(k[a+12>>2]&8)){k[a>>2]=f;m=a+4|0;k[m>>2]=(k[m>>2]|0)+g;m=f+8|0;m=f+((m&7|0)==0?0:0-m&7)|0;a=b+8|0;a=b+((a&7|0)==0?0:0-a&7)|0;l=m+n|0;i=a-m-n|0;k[m+4>>2]=n|3;do if((a|0)==(j|0)){C=(k[20606]|0)+i|0;k[20606]=C;k[20609]=l;k[l+4>>2]=C|1}else{if((a|0)==(k[20608]|0)){C=(k[20605]|0)+i|0;k[20605]=C;k[20608]=l;k[l+4>>2]=C|1;k[l+C>>2]=C;break}b=k[a+4>>2]|0;if((b&3|0)==1){g=b&-8;e=b>>>3;e:do if(b>>>0<256){c=k[a+8>>2]|0;d=k[a+12>>2]|0;b=82452+(e<<1<<2)|0;do if((c|0)!=(b|0)){if(c>>>0<h>>>0)Za();if((k[c+12>>2]|0)==(a|0))break;Za()}while(0);if((d|0)==(c|0)){k[20603]=k[20603]&~(1<<e);break}do if((d|0)==(b|0))x=d+8|0;else{if(d>>>0<h>>>0)Za();b=d+8|0;if((k[b>>2]|0)==(a|0)){x=b;break}Za()}while(0);k[c+12>>2]=d;k[x>>2]=c}else{f=k[a+24>>2]|0;d=k[a+12>>2]|0;do if((d|0)==(a|0)){d=a+16|0;c=d+4|0;b=k[c>>2]|0;if(!b){b=k[d>>2]|0;if(!b){A=0;break}else c=d}while(1){d=b+20|0;e=k[d>>2]|0;if(e|0){b=e;c=d;continue}d=b+16|0;e=k[d>>2]|0;if(!e)break;else{b=e;c=d}}if(c>>>0<h>>>0)Za();else{k[c>>2]=0;A=b;break}}else{e=k[a+8>>2]|0;if(e>>>0<h>>>0)Za();b=e+12|0;if((k[b>>2]|0)!=(a|0))Za();c=d+8|0;if((k[c>>2]|0)==(a|0)){k[b>>2]=d;k[c>>2]=e;A=d;break}else Za()}while(0);if(!f)break;b=k[a+28>>2]|0;c=82716+(b<<2)|0;do if((a|0)==(k[c>>2]|0)){k[c>>2]=A;if(A|0)break;k[20604]=k[20604]&~(1<<b);break e}else{if(f>>>0<(k[20607]|0)>>>0)Za();b=f+16|0;if((k[b>>2]|0)==(a|0))k[b>>2]=A;else k[f+20>>2]=A;if(!A)break e}while(0);d=k[20607]|0;if(A>>>0<d>>>0)Za();k[A+24>>2]=f;b=a+16|0;c=k[b>>2]|0;do if(c|0)if(c>>>0<d>>>0)Za();else{k[A+16>>2]=c;k[c+24>>2]=A;break}while(0);b=k[b+4>>2]|0;if(!b)break;if(b>>>0<(k[20607]|0)>>>0)Za();else{k[A+20>>2]=b;k[b+24>>2]=A;break}}while(0);a=a+g|0;e=g+i|0}else e=i;a=a+4|0;k[a>>2]=k[a>>2]&-2;k[l+4>>2]=e|1;k[l+e>>2]=e;a=e>>>3;if(e>>>0<256){c=82452+(a<<1<<2)|0;b=k[20603]|0;a=1<<a;do if(!(b&a)){k[20603]=b|a;B=c;C=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0>=(k[20607]|0)>>>0){B=b;C=a;break}Za()}while(0);k[C>>2]=l;k[B+12>>2]=l;k[l+8>>2]=B;k[l+12>>2]=c;break}a=e>>>8;do if(!a)a=0;else{if(e>>>0>16777215){a=31;break}B=(a+1048320|0)>>>16&8;C=a<<B;A=(C+520192|0)>>>16&4;C=C<<A;a=(C+245760|0)>>>16&2;a=14-(A|B|a)+(C<<a>>>15)|0;a=e>>>(a+7|0)&1|a<<1}while(0);d=82716+(a<<2)|0;k[l+28>>2]=a;b=l+16|0;k[b+4>>2]=0;k[b>>2]=0;b=k[20604]|0;c=1<<a;if(!(b&c)){k[20604]=b|c;k[d>>2]=l;k[l+24>>2]=d;k[l+12>>2]=l;k[l+8>>2]=l;break}b=e<<((a|0)==31?0:25-(a>>>1)|0);d=k[d>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(e|0)){w=278;break}c=d+16+(b>>>31<<2)|0;a=k[c>>2]|0;if(!a){w=275;break}else{b=b<<1;d=a}}if((w|0)==275)if(c>>>0<(k[20607]|0)>>>0)Za();else{k[c>>2]=l;k[l+24>>2]=d;k[l+12>>2]=l;k[l+8>>2]=l;break}else if((w|0)==278){a=d+8|0;b=k[a>>2]|0;C=k[20607]|0;if(b>>>0>=C>>>0&d>>>0>=C>>>0){k[b+12>>2]=l;k[a>>2]=l;k[l+8>>2]=b;k[l+12>>2]=d;k[l+24>>2]=0;break}else Za()}}while(0);C=m+8|0;r=D;return C|0}else b=82860;while(1){a=k[b>>2]|0;if(a>>>0<=j>>>0){c=a+(k[b+4>>2]|0)|0;if(c>>>0>j>>>0)break}b=k[b+8>>2]|0}e=c+-47|0;b=e+8|0;b=e+((b&7|0)==0?0:0-b&7)|0;e=j+16|0;b=b>>>0<e>>>0?j:b;a=b+8|0;d=f+8|0;d=(d&7|0)==0?0:0-d&7;C=f+d|0;d=g+-40-d|0;k[20609]=C;k[20606]=d;k[C+4>>2]=d|1;k[C+d+4>>2]=40;k[20610]=k[20725];d=b+4|0;k[d>>2]=27;k[a>>2]=k[20715];k[a+4>>2]=k[20716];k[a+8>>2]=k[20717];k[a+12>>2]=k[20718];k[20715]=f;k[20716]=g;k[20718]=0;k[20717]=a;a=b+24|0;do{a=a+4|0;k[a>>2]=7}while((a+4|0)>>>0<c>>>0);if((b|0)!=(j|0)){f=b-j|0;k[d>>2]=k[d>>2]&-2;k[j+4>>2]=f|1;k[b>>2]=f;a=f>>>3;if(f>>>0<256){c=82452+(a<<1<<2)|0;b=k[20603]|0;a=1<<a;if(!(b&a)){k[20603]=b|a;y=c;z=c+8|0}else{a=c+8|0;b=k[a>>2]|0;if(b>>>0<(k[20607]|0)>>>0)Za();else{y=b;z=a}}k[z>>2]=j;k[y+12>>2]=j;k[j+8>>2]=y;k[j+12>>2]=c;break}a=f>>>8;if(!a)c=0;else if(f>>>0>16777215)c=31;else{B=(a+1048320|0)>>>16&8;C=a<<B;A=(C+520192|0)>>>16&4;C=C<<A;c=(C+245760|0)>>>16&2;c=14-(A|B|c)+(C<<c>>>15)|0;c=f>>>(c+7|0)&1|c<<1}d=82716+(c<<2)|0;k[j+28>>2]=c;k[j+20>>2]=0;k[e>>2]=0;a=k[20604]|0;b=1<<c;if(!(a&b)){k[20604]=a|b;k[d>>2]=j;k[j+24>>2]=d;k[j+12>>2]=j;k[j+8>>2]=j;break}b=f<<((c|0)==31?0:25-(c>>>1)|0);d=k[d>>2]|0;while(1){if((k[d+4>>2]&-8|0)==(f|0)){w=304;break}c=d+16+(b>>>31<<2)|0;a=k[c>>2]|0;if(!a){w=301;break}else{b=b<<1;d=a}}if((w|0)==301)if(c>>>0<(k[20607]|0)>>>0)Za();else{k[c>>2]=j;k[j+24>>2]=d;k[j+12>>2]=j;k[j+8>>2]=j;break}else if((w|0)==304){a=d+8|0;b=k[a>>2]|0;C=k[20607]|0;if(b>>>0>=C>>>0&d>>>0>=C>>>0){k[b+12>>2]=j;k[a>>2]=j;k[j+8>>2]=b;k[j+12>>2]=d;k[j+24>>2]=0;break}else Za()}}}while(0);a=k[20606]|0;if(a>>>0>n>>>0){A=a-n|0;k[20606]=A;C=k[20609]|0;B=C+n|0;k[20609]=B;k[B+4>>2]=A|1;k[C+4>>2]=n|3;C=C+8|0;r=D;return C|0}}C=W8()|0;k[C>>2]=12;C=0;r=D;return C|0}function vd(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;da=0;ba=r;r=r+640|0;aa=ba+200|0;N=ba+160|0;U=ba+120|0;O=ba+80|0;n=ba+40|0;D=ba;l=ba+624|0;o=ba+584|0;p=ba+576|0;q=ba+568|0;ca=ba+560|0;I=ba+552|0;L=ba+512|0;V=ba+504|0;W=ba+496|0;T=ba+456|0;Z=ba+448|0;_=ba+440|0;M=ba+400|0;X=ba+392|0;Y=ba+384|0;E=ba+344|0;P=ba+336|0;Q=ba+328|0;F=ba+288|0;R=ba+280|0;S=ba+272|0;G=ba+264|0;H=ba+256|0;J=ba+248|0;K=ba+240|0;$=c+4|0;m=k[$>>2]|0;a:do if(m|0)if((k[291]|0)==(k[(k[(k[m>>2]|0)+-4>>2]|0)+4>>2]|0)){g=k[m+64>>2]|0;h=k[m+68>>2]|0;if((g|0)!=(h|0)){j=aa+4|0;while(1){LT(aa,k[g+4>>2]|0);k[aa>>2]=7284;C=i[(k[j>>2]|0)+54>>0]|0;DO(aa);g=g+8|0;if(C<<24>>24)break;if((g|0)==(h|0))break a}g=f+1|0;C=k[d>>2]|0;h=C;if(g>>>0<(k[d+4>>2]|0)-C>>3>>>0){switch(k[k[e>>2]>>2]|0){case 5:case 7:case 4:case 6:case 3:case 10:case 11:case 8:case 2:break;default:break a}LT(l,k[h+(f<<3)+4>>2]|0);k[l>>2]=7284;y=0;ya(17,a|0,b|0,l|0,d|0,e|0,g|0);ca=y;y=0;if(ca&1){da=pb()|0;DO(l);sb(da|0)}DO(l);y=0;l=qa(315,88)|0;ca=y;y=0;b:do if(ca&1)g=pb()|0;else{A=o;B=(k[$>>2]|0)+12|0;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));h=k[e>>2]|0;g=k[h>>2]|0;h=k[h+4>>2]|0;y=0;oa(460,p|0,m|0);ca=y;y=0;do if(ca&1)g=pb()|0;else{k[p>>2]=7284;j=a+4|0;y=0;oa(460,q|0,k[j>>2]|0);ca=y;y=0;if(ca&1){g=pb()|0;DO(p);break}k[q>>2]=7284;A=n;B=o;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));y=0;na(422,l|0);ca=y;y=0;c:do if(ca&1){g=1;da=29}else{A=l+12|0;B=n;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=9580;ca=l+60|0;k[ca>>2]=g;k[ca+4>>2]=h;g=l+68|0;y=0;oa(460,g|0,k[p+4>>2]|0);ca=y;y=0;do if(ca&1)g=pb()|0;else{k[g>>2]=7284;h=l+76|0;y=0;oa(460,h|0,k[q+4>>2]|0);ca=y;y=0;if(ca&1){da=pb()|0;DO(g);g=da;break}k[h>>2]=7284;k[l+84>>2]=0;y=0;oa(460,aa|0,l|0);ca=y;y=0;if(ca&1){g=0;da=29;break c}k[aa>>2]=7284;if((aa|0)!=(a|0)){do if(k[j>>2]|0){y=0;na(423,a|0);ca=y;y=0;if(!(ca&1))break;g=pb()|0;DO(aa);h=0;break c}while(0);da=aa+4|0;k[j>>2]=k[da>>2];k[da>>2]=0}DO(aa);DO(q);DO(p);r=ba;return}while(0);h=1;da=30}while(0);if((da|0)==29){ca=pb()|0;h=g;g=ca;da=30}DO(q);DO(p);if(!h)break b}while(0);cra(l)}while(0);DO(a);da=g;sb(da|0)}}}while(0);g=k[d>>2]|0;z=(k[d+4>>2]|0)-g>>3;d:do if(z>>>0>f>>>0){m=R+4|0;n=S+4|0;o=(aa|0)==(c|0);p=aa+4|0;q=G+4|0;s=H+4|0;t=P+4|0;u=Q+4|0;v=(N|0)==(c|0);w=N+4|0;x=aa+4|0;e:while(1){l=k[g+(f<<3)+4>>2]|0;if(!l)da=137;else if((k[291]|0)==(k[(k[(k[l>>2]|0)+-4>>2]|0)+4>>2]|0)){g=k[l+64>>2]|0;h=k[l+68>>2]|0;if((g|0)!=(h|0))do{LT(aa,k[g+4>>2]|0);k[aa>>2]=7284;C=i[(k[x>>2]|0)+54>>0]|0;DO(aa);g=g+8|0;if(C<<24>>24){da=42;break e}}while((g|0)!=(h|0));l=IM(88)|0;g=k[$>>2]|0;A=E;B=g+12|0;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));j=(k[e>>2]|0)+(f<<3)|0;h=k[j>>2]|0;j=k[j+4>>2]|0;y=0;oa(460,P|0,g|0);C=y;y=0;if(C&1){da=129;break}k[P>>2]=7284;y=0;oa(460,Q|0,k[(k[d>>2]|0)+(f<<3)+4>>2]|0);C=y;y=0;if(C&1){da=130;break}k[Q>>2]=7284;A=aa;B=E;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));y=0;na(422,l|0);C=y;y=0;if(C&1){g=1;da=131;break}A=l+12|0;B=aa;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=9580;g=l+60|0;k[g>>2]=h;k[g+4>>2]=j;g=l+68|0;y=0;oa(460,g|0,k[t>>2]|0);C=y;y=0;if(C&1){da=120;break}k[g>>2]=7284;h=l+76|0;y=0;oa(460,h|0,k[u>>2]|0);C=y;y=0;if(C&1){da=121;break}k[h>>2]=7284;k[l+84>>2]=0;y=0;oa(460,N|0,l|0);C=y;y=0;if(C&1){g=0;da=131;break}k[N>>2]=7284;if(!v){if(k[$>>2]|0){y=0;na(423,c|0);C=y;y=0;if(C&1){da=133;break}}k[$>>2]=k[w>>2];k[w>>2]=0}DO(N);DO(Q);DO(P)}else da=137;if((da|0)==137){da=0;l=IM(88)|0;g=k[$>>2]|0;A=F;B=g+12|0;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));j=(k[e>>2]|0)+(f<<3)|0;h=k[j>>2]|0;j=k[j+4>>2]|0;y=0;oa(460,R|0,g|0);C=y;y=0;if(C&1){da=151;break}k[R>>2]=7284;y=0;oa(460,S|0,k[(k[d>>2]|0)+(f<<3)+4>>2]|0);C=y;y=0;if(C&1){da=152;break}k[S>>2]=7284;A=D;B=F;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));y=0;na(422,l|0);C=y;y=0;if(C&1){g=1;da=153;break}A=l+12|0;B=D;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=9580;g=l+60|0;k[g>>2]=h;k[g+4>>2]=j;g=l+68|0;y=0;oa(460,g|0,k[m>>2]|0);C=y;y=0;if(C&1){da=142;break}k[g>>2]=7284;h=l+76|0;y=0;oa(460,h|0,k[n>>2]|0);C=y;y=0;if(C&1){da=143;break}k[h>>2]=7284;k[l+84>>2]=0;y=0;oa(460,aa|0,l|0);C=y;y=0;if(C&1){g=0;da=153;break}k[aa>>2]=7284;if(!o){if(k[$>>2]|0){y=0;na(423,c|0);C=y;y=0;if(C&1){da=155;break}}k[$>>2]=k[p>>2];k[p>>2]=0}DO(aa);DO(S);DO(R)}g=k[$>>2]|0;do if(g|0)if((k[239]|0)==(k[(k[(k[g>>2]|0)+-4>>2]|0)+4>>2]|0))if((k[(k[e>>2]|0)+(f<<3)>>2]|0)==11){LT(G,k[g+72>>2]|0);k[G>>2]=7284;if(!(i[(k[q>>2]|0)+52>>0]|0)){DO(G);break}y=0;oa(460,H|0,k[g+80>>2]|0);C=y;y=0;if(C&1){da=167;break e}k[H>>2]=7284;C=(i[(k[s>>2]|0)+52>>0]|0)==0;DO(H);DO(G);if(!C)i[(k[$>>2]|0)+52>>0]=1}while(0);g=f+1|0;if(g>>>0>=z>>>0)break d;f=g;g=k[d>>2]|0}switch(da|0){case 42:{g=f+1|0;if(g>>>0>=z>>>0){l=IM(88)|0;j=k[$>>2]|0;A=M;B=j+12|0;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));h=(k[e>>2]|0)+(f<<3)|0;g=k[h>>2]|0;h=k[h+4>>2]|0;y=0;oa(460,X|0,j|0);ca=y;y=0;do if(ca&1){g=pb()|0;da=113}else{k[X>>2]=7284;y=0;oa(460,Y|0,k[(k[d>>2]|0)+(f<<3)+4>>2]|0);ca=y;y=0;if(ca&1){g=pb()|0;DO(X);da=113;break}k[Y>>2]=7284;A=N;B=M;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));y=0;na(422,l|0);ca=y;y=0;f:do if(ca&1){g=1;da=109}else{A=l+12|0;B=N;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=9580;ca=l+60|0;k[ca>>2]=g;k[ca+4>>2]=h;g=l+68|0;y=0;oa(460,g|0,k[X+4>>2]|0);ca=y;y=0;do if(ca&1)g=pb()|0;else{k[g>>2]=7284;h=l+76|0;y=0;oa(460,h|0,k[Y+4>>2]|0);ca=y;y=0;if(ca&1){da=pb()|0;DO(g);g=da;break}k[h>>2]=7284;k[l+84>>2]=0;y=0;oa(460,aa|0,l|0);ca=y;y=0;if(ca&1){g=0;da=109;break f}k[aa>>2]=7284;if((aa|0)!=(c|0)){if(k[$>>2]|0){y=0;na(423,c|0);ca=y;y=0;if(ca&1){g=pb()|0;DO(aa);h=0;break f}}da=aa+4|0;k[$>>2]=k[da>>2];k[da>>2]=0}DO(aa);DO(Y);DO(X);LT(a,k[$>>2]|0);k[a>>2]=7284;r=ba;return}while(0);h=1;da=110}while(0);if((da|0)==109){a=pb()|0;h=g;g=a;da=110}DO(Y);DO(X);if(h)da=113}while(0);if((da|0)==113)cra(l);da=g;sb(da|0)}LT(I,k[(k[d>>2]|0)+(g<<3)+4>>2]|0);k[I>>2]=7284;y=0;ya(17,ca|0,b|0,I|0,d|0,e|0,f+2|0);Y=y;y=0;if(Y&1){da=pb()|0;DO(I);sb(da|0)}DO(I);y=0;j=qa(315,88)|0;Y=y;y=0;g:do if(Y&1){g=pb()|0;da=81}else{A=L;B=(k[$>>2]|0)+12|0;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));h=(k[e>>2]|0)+(f<<3)|0;g=k[h>>2]|0;h=k[h+4>>2]|0;y=0;oa(460,V|0,l|0);Y=y;y=0;do if(Y&1)g=pb()|0;else{k[V>>2]=7284;l=ca+4|0;y=0;oa(460,W|0,k[l>>2]|0);Y=y;y=0;if(Y&1){g=pb()|0;DO(V);break}k[W>>2]=7284;A=O;B=L;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));y=0;na(422,j|0);Y=y;y=0;h:do if(Y&1){g=1;da=76}else{A=j+12|0;B=O;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=0;k[j>>2]=9580;Y=j+60|0;k[Y>>2]=g;k[Y+4>>2]=h;g=j+68|0;y=0;oa(460,g|0,k[V+4>>2]|0);Y=y;y=0;do if(Y&1)g=pb()|0;else{k[g>>2]=7284;h=j+76|0;y=0;oa(460,h|0,k[W+4>>2]|0);Y=y;y=0;if(Y&1){da=pb()|0;DO(g);g=da;break}k[h>>2]=7284;k[j+84>>2]=0;y=0;oa(460,aa|0,j|0);Y=y;y=0;if(Y&1){g=0;da=76;break h}k[aa>>2]=7284;if(k[l>>2]|0){y=0;na(423,ca|0);Y=y;y=0;if(Y&1){g=pb()|0;DO(aa);h=0;break h}}m=aa+4|0;k[l>>2]=k[m>>2];k[m>>2]=0;DO(aa);DO(W);DO(V);y=0;m=qa(315,88)|0;Y=y;y=0;i:do if(Y&1)g=pb()|0;else{j=k[$>>2]|0;A=T;B=j+12|0;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));h=(k[e>>2]|0)+(f<<3)|0;g=k[h>>2]|0;h=k[h+4>>2]|0;y=0;oa(460,Z|0,j|0);Y=y;y=0;do if(Y&1)g=pb()|0;else{k[Z>>2]=7284;y=0;oa(460,_|0,k[l>>2]|0);Y=y;y=0;if(Y&1){g=pb()|0;DO(Z);break}k[_>>2]=7284;A=U;B=T;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));y=0;na(422,m|0);Y=y;y=0;j:do if(Y&1){g=1;da=85}else{A=m+12|0;B=U;C=A+40|0;do{k[A>>2]=k[B>>2];A=A+4|0;B=B+4|0}while((A|0)<(C|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;k[m+56>>2]=0;k[m>>2]=9580;Y=m+60|0;k[Y>>2]=g;k[Y+4>>2]=h;g=m+68|0;y=0;oa(460,g|0,k[Z+4>>2]|0);Y=y;y=0;do if(Y&1)g=pb()|0;else{k[g>>2]=7284;h=m+76|0;y=0;oa(460,h|0,k[_+4>>2]|0);Y=y;y=0;if(Y&1){da=pb()|0;DO(g);g=da;break}k[h>>2]=7284;k[m+84>>2]=0;y=0;oa(460,aa|0,m|0);Y=y;y=0;if(Y&1){g=0;da=85;break j}k[aa>>2]=7284;if((aa|0)!=(c|0)){do if(k[$>>2]|0){y=0;na(423,c|0);c=y;y=0;if(!(c&1))break;g=pb()|0;DO(aa);h=0;break j}while(0);c=aa+4|0;k[$>>2]=k[c>>2];k[c>>2]=0}DO(aa);DO(_);DO(Z);y=0;oa(460,a|0,k[$>>2]|0);aa=y;y=0;if(aa&1){g=pb()|0;break g}k[a>>2]=7284;DO(ca);r=ba;return}while(0);h=1;da=86}while(0);if((da|0)==85){a=pb()|0;h=g;g=a;da=86}DO(_);DO(Z);if(!h)break i}while(0);cra(m)}while(0);break g}while(0);h=1;da=77}while(0);if((da|0)==76){a=pb()|0;h=g;g=a;da=77}DO(W);DO(V);if(!h){da=81;break g}}while(0);cra(j);da=81}while(0);DO(ca);da=g;sb(da|0)}case 120:{g=pb()|0;da=122;break}case 121:{a=pb()|0;DO(g);g=a;da=122;break}case 129:{g=pb()|0;da=135;break}case 130:{g=pb()|0;DO(P);da=135;break}case 131:{a=pb()|0;h=g;g=a;da=132;break}case 133:{g=pb()|0;DO(N);h=0;da=134;break}case 142:{g=pb()|0;da=144;break}case 143:{a=pb()|0;DO(g);g=a;da=144;break}case 151:{g=pb()|0;da=157;break}case 152:{g=pb()|0;DO(R);da=157;break}case 153:{a=pb()|0;h=g;g=a;da=154;break}case 155:{g=pb()|0;DO(aa);h=0;da=156;break}case 167:{da=pb()|0;DO(G);sb(da|0)}}if((da|0)==122){h=1;da=132}else if((da|0)==144){h=1;da=154}if((da|0)==132)da=134;else if((da|0)==154)da=156;if((da|0)==134){DO(Q);DO(P);if(h)da=135;else da=136}else if((da|0)==156){DO(S);DO(R);if(h)da=157;else da=158}if((da|0)==135){cra(l);da=136}else if((da|0)==157){cra(l);da=158}if((da|0)==136){da=g;sb(da|0)}else if((da|0)==158){da=g;sb(da|0)}}while(0);g=k[$>>2]|0;do if(g|0){j=k[239]|0;if((j|0)==(k[(k[(k[g>>2]|0)+-4>>2]|0)+4>>2]|0)){LT(J,k[g+72>>2]|0);k[J>>2]=7284;h=k[J+4>>2]|0;if(!h)da=174;else if((j|0)==(k[(k[(k[h>>2]|0)+-4>>2]|0)+4>>2]|0)){DO(J);ca=k[$>>2]|0;mc[k[(k[ca>>2]|0)+100>>2]&1023](ca,0)}else da=174;if((da|0)==174)DO(J);LT(K,k[g+80>>2]|0);k[K>>2]=7284;g=k[K+4>>2]|0;if(g|0)if((j|0)==(k[(k[(k[g>>2]|0)+-4>>2]|0)+4>>2]|0)){DO(K);da=k[$>>2]|0;mc[k[(k[da>>2]|0)+100>>2]&1023](da,0);break}DO(K)}}while(0);LT(a,k[$>>2]|0);k[a>>2]=7284;r=ba;return}function wd(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;ga=0;da=r;r=r+672|0;ba=da+120|0;R=da+80|0;O=da+40|0;f=da;e=da+624|0;h=da+608|0;ha=da+600|0;m=da+560|0;n=da+528|0;V=da+544|0;S=da+536|0;H=da+488|0;T=da+476|0;I=da+456|0;P=da+440|0;J=da+464|0;Q=da+448|0;K=da+240|0;L=da+232|0;M=da+428|0;ea=da+416|0;ca=da+408|0;X=da+192|0;Z=da+176|0;Y=da+168|0;_=da+160|0;ia=b+152|0;ja=k[ia>>2]|0;fa=ja+1|0;k[ia>>2]=fa;if(fa>>>0>512){g=gb(76)|0;j=e;l=b+108|0;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));y=0;oa(456,h|0,80932);ha=y;y=0;if(ha&1)e=pb()|0;else{y=0;j=ba;l=e;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));Ra(24,g|0,ba|0,h|0,0);ha=y;y=0;if(ha&1)f=1;else{y=0;Na(75,g|0,2912,175);y=0;f=0}e=pb()|0;A9(h);if(!f){ha=e;k[ia>>2]=ja;sb(ha|0)}}fb(g|0);ha=e;k[ia>>2]=ja;sb(ha|0)}y=0;ta(91,b|0,1,0)|0;fa=y;y=0;if(fa&1){ha=pb()|0;k[ia>>2]=ja;sb(ha|0)}$=b+76|0;e=k[$>>2]|0;y=0;fa=qa(315,84)|0;aa=y;y=0;if(aa&1){ha=pb()|0;k[ia>>2]=ja;sb(ha|0)}aa=b+108|0;j=f;l=aa;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));y=0;na(422,fa|0);W=y;y=0;do if(W&1)e=pb()|0;else{j=fa+12|0;l=f;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));i[fa+52>>0]=0;i[fa+53>>0]=0;i[fa+54>>0]=0;f=fa+56|0;k[fa>>2]=10968;k[f>>2]=4;W=fa+60|0;k[W>>2]=9248;j=fa+64|0;l=fa+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(514,j|0,0);U=y;y=0;if(U&1){e=pb()|0;h=N;f=k[j>>2]|0;if(f|0){g=k[l>>2]|0;if((g|0)!=(f|0)){do{ha=g+-8|0;k[l>>2]=ha;lc[k[k[ha>>2]>>2]&511](ha);g=k[l>>2]|0}while((g|0)!=(f|0));f=k[j>>2]|0}cra(f)}break}k[fa>>2]=10796;k[W>>2]=10928;k[fa+80>>2]=0;k[f>>2]=4;y=0;g=qa(315,72)|0;U=y;y=0;if(U&1){ha=pb()|0;k[ia>>2]=ja;sb(ha|0)}j=m;l=aa;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));y=0;oa(460,n|0,fa|0);U=y;y=0;do if(U&1)e=pb()|0;else{k[n>>2]=7492;j=O;l=m;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));y=0;na(422,g|0);U=y;y=0;if(U&1)f=1;else{j=g+12|0;l=O;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));k[g>>2]=12976;f=g+52|0;y=0;oa(460,f|0,k[n+4>>2]|0);U=y;y=0;if(U&1){e=pb()|0;DO(n);break}k[f>>2]=7492;i[g+60>>0]=1;k[g+64>>2]=0;k[g+68>>2]=0;y=0;oa(460,ha|0,g|0);U=y;y=0;if(U&1)f=0;else{k[ha>>2]=15628;DO(n);U=ha+4|0;f=k[U>>2]|0;i[f+60>>0]=d&1^1;k[f+64>>2]=k[b+68>>2];a:do if(e>>>0<c>>>0){n=c;A=ea+8|0;B=ea+4|0;F=ca+4|0;G=_+4|0;x=ea+11|0;d=V+8|0;p=V+4|0;q=S+4|0;s=P+4|0;t=V+11|0;u=b+40|0;z=K+56|0;D=K+44|0;v=Q+4|0;E=K+48|0;C=K+60|0;w=b+80|0;b:while(1){h=0;f=e;c:while(1){g=i[f>>0]|0;if(!(g<<24>>24)){ga=134;break b}d:do if(h)h=0;else{if(g<<24>>24==92){h=1;break}y=0;g=qa(351,f|0)|0;o=y;y=0;if(o&1){ga=69;break b}if(g|0){h=0;f=g;break}g=i[48639]|0;if(!(g<<24>>24))if(!f){h=0;f=0;break}else break c;else{h=f;j=48639}while(1){if((i[h>>0]|0)!=g<<24>>24){h=0;break d}j=j+1|0;g=i[j>>0]|0;if(!(g<<24>>24)){ga=37;break c}else h=h+1|0}}while(0);f=f+1|0;if(f>>>0>=c>>>0){ga=134;break b}}if((ga|0)==37){ga=0;if(!f){ga=134;break}}if(e>>>0<f>>>0){k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;j=f-e|0;do if(j>>>0>4294967279){y=0;na(438,V|0);ga=y;y=0;if(ga&1){ga=72;break b}else ga=43}else{if(j>>>0>=11){ga=43;break}i[t>>0]=j;h=V}while(0);if((ga|0)==43){ga=0;g=j+16&-16;y=0;h=qa(315,g|0)|0;o=y;y=0;if(o&1){ga=72;break}k[V>>2]=h;k[d>>2]=g|-2147483648;k[p>>2]=j}if((e|0)==(f|0))e=h;else{g=h;while(1){i[g>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(f|0))break;else g=g+1|0}e=h+j|0}i[e>>0]=0;y=0;g=qa(315,80)|0;o=y;y=0;if(o&1){ga=75;break}j=H;l=aa;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));y=0;oa(456,T|0,V|0);o=y;y=0;if(o&1){ga=76;break}j=R;l=H;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));y=0;na(422,g|0);o=y;y=0;if(o&1){f=1;ga=77;break}j=g+12|0;l=R;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=4;k[g>>2]=11100;i[g+60>>0]=0;i[g+61>>0]=0;y=0;oa(549,g+64|0,T|0);o=y;y=0;if(o&1){ga=52;break}k[g+76>>2]=0;y=0;oa(460,S|0,g|0);o=y;y=0;if(o&1){f=0;ga=77;break}k[S>>2]=16780;A9(T);y=0;oa(615,ba|0,V|0);o=y;y=0;if(o&1){ga=79;break}y=0;oa(569,aa|0,ba|0);o=y;y=0;if(o&1){ga=79;break}y=0;oa(568,k[q>>2]|0,aa|0);o=y;y=0;if(o&1){ga=80;break}e=k[(k[W>>2]|0)+20>>2]|0;y=0;oa(460,P|0,k[q>>2]|0);o=y;y=0;if(o&1){ga=80;break}k[P>>2]=16780;y=0;oa(460,I|0,k[s>>2]|0);o=y;y=0;if(o&1){ga=81;break}k[I>>2]=7284;y=0;oa(e|0,W|0,I|0);o=y;y=0;if(o&1){ga=82;break}DO(I);DO(P);DO(S);A9(V)}m=f+2|0;e=zk(m,c)|0;do if(!e)ga=94;else{y=0;g=qa(344,m|0)|0;o=y;y=0;if(o&1){ga=99;break b}y=0;g=qa(352,(g|0?g:m)|0)|0;o=y;y=0;if(o&1){ga=99;break b}if(!g)break;h=i[50303]|0;e:do if(!(h<<24>>24))h=0;else{j=50303;while(1){if((i[g>>0]|0)!=h<<24>>24)break e;g=g+1|0;j=j+1|0;h=i[j>>0]|0;if(!(h<<24>>24)){h=0;break}}}while(0);o=h<<24>>24==0?g:0;if(!((o|0)==0?1:o>>>0>(k[w>>2]|0)>>>0))ga=94}while(0);if((ga|0)==94){ga=0;k[$>>2]=m;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;y=0;Na(74,ba|0,43044,11);o=y;y=0;if(o&1){ga=100;break}k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;y=0;Na(74,R|0,43056,7);o=y;y=0;if(o&1){ga=101;break}k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;y=0;Na(74,O|0,43423,44);o=y;y=0;if(o&1){ga=102;break}y=0;ma(10,b|0,ba|0,R|0,O|0,1);o=y;y=0;if(o&1){ga=103;break}A9(O);A9(R);A9(ba)}y=0;Ra(31,J|0,aa|0,f|0,m|0);o=y;y=0;if(o&1){ga=99;break}f=k[u>>2]|0;y=0;j=ba;l=aa;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));ya(18,K|0,m|0,e|0,f|0,ba|0,0);o=y;y=0;if(o&1){ga=99;break}y=0;Na(111,Q|0,K|0,0);o=y;y=0;if(o&1){ga=122;break}f=k[z>>2]|0;g=f;if(f|0){h=k[C>>2]|0;if((h|0)!=(f|0))k[C>>2]=h+(~((h+-4-g|0)>>>2)<<2);cra(f)}f=k[D>>2]|0;if(f|0){g=k[E>>2]|0;if((g|0)!=(f|0)){do{o=g+-8|0;k[E>>2]=o;lc[k[k[o>>2]>>2]&511](o);g=k[E>>2]|0}while((g|0)!=(f|0));f=k[D>>2]|0}cra(f)}o=k[v>>2]|0;i[o+54>>0]=1;f=k[(k[W>>2]|0)+20>>2]|0;y=0;oa(460,L|0,o|0);o=y;y=0;if(o&1){ga=131;break}k[L>>2]=7284;y=0;oa(f|0,W|0,L|0);o=y;y=0;if(o&1){ga=132;break}DO(L);y=0;Ra(31,M|0,aa|0,m|0,e|0);o=y;y=0;if(o&1){ga=131;break}DO(Q);if(e>>>0>=c>>>0){ga=168;break}}f:switch(ga|0){case 52:{e=pb()|0;A9(T);ga=78;break}case 69:{e=pb()|0;ga=71;break a}case 72:{e=pb()|0;ga=74;break}case 75:{e=pb()|0;ga=85;break}case 76:{e=pb()|0;ga=78;break}case 77:{e=pb()|0;A9(T);if(f)ga=78;else ga=85;break}case 79:{e=pb()|0;ga=84;break}case 80:{e=pb()|0;ga=84;break}case 81:{e=pb()|0;ga=83;break}case 82:{e=pb()|0;DO(I);ga=83;break}case 99:{e=pb()|0;break a}case 100:{e=pb()|0;ga=106;break}case 101:{e=pb()|0;ga=105;break}case 102:{e=pb()|0;ga=104;break}case 103:{e=pb()|0;A9(O);ga=104;break}case 122:{e=pb()|0;j=N;f=k[z>>2]|0;g=f;if(f|0){h=k[C>>2]|0;if((h|0)!=(f|0))k[C>>2]=h+(~((h+-4-g|0)>>>2)<<2);cra(f)}f=k[D>>2]|0;if(!f)break a;g=k[E>>2]|0;if((g|0)!=(f|0)){do{fa=g+-8|0;k[E>>2]=fa;lc[k[k[fa>>2]>>2]&511](fa);g=k[E>>2]|0}while((g|0)!=(f|0));f=k[D>>2]|0}cra(f);break a}case 131:{e=pb()|0;ga=133;break}case 132:{e=pb()|0;DO(L);ga=133;break}case 134:{k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;h=n-e|0;if(h>>>0>4294967279){y=0;na(438,ea|0);ga=y;y=0;if(ga&1)ga=73;else ga=138}else if(h>>>0<11){i[x>>0]=h;f=ea}else ga=138;if((ga|0)==138){g=h+16&-16;y=0;f=qa(315,g|0)|0;V=y;y=0;if(V&1)ga=73;else{k[ea>>2]=f;k[A>>2]=g|-2147483648;k[B>>2]=h}}if((ga|0)==73){e=pb()|0;ga=74;break}if((e|0)==(c|0))e=f;else{g=f;while(1){i[g>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(c|0))break;else g=g+1|0}e=f+h|0}i[e>>0]=0;y=0;g=qa(315,80)|0;V=y;y=0;g:do if(V&1)e=pb()|0;else{j=X;l=aa;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));y=0;oa(456,Z|0,ea|0);V=y;y=0;h:do if(V&1)e=pb()|0;else{j=ba;l=X;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));y=0;na(422,g|0);X=y;y=0;do if(X&1)f=1;else{j=g+12|0;l=ba;o=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(o|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=4;k[g>>2]=11100;i[g+60>>0]=0;i[g+61>>0]=0;y=0;oa(549,g+64|0,Z|0);X=y;y=0;if(X&1){e=pb()|0;A9(Z);break h}k[g+76>>2]=0;y=0;oa(460,ca|0,g|0);X=y;y=0;if(X&1){f=0;break}k[ca>>2]=16780;A9(Z);y=0;oa(615,ba|0,ea|0);Z=y;y=0;i:do if(Z&1)ga=161;else{y=0;oa(569,aa|0,ba|0);ba=y;y=0;if(ba&1){ga=161;break}y=0;oa(568,k[F>>2]|0,aa|0);ba=y;y=0;do if(!(ba&1)){e=k[(k[W>>2]|0)+20>>2]|0;y=0;oa(460,_|0,k[F>>2]|0);ba=y;y=0;if(ba&1)break;k[_>>2]=16780;y=0;oa(460,Y|0,k[G>>2]|0);ba=y;y=0;do if(ba&1)e=pb()|0;else{k[Y>>2]=7284;y=0;oa(e|0,W|0,Y|0);ba=y;y=0;if(ba&1){e=pb()|0;DO(Y);break}else{DO(Y);DO(_);DO(ca);A9(ea);e=c;ga=168;break f}}while(0);DO(_);break i}while(0);e=pb()|0}while(0);if((ga|0)==161)e=pb()|0;DO(ca);break g}while(0);e=pb()|0;A9(Z);if(!f)break g}while(0);cra(g)}while(0);A9(ea);break a}}if((ga|0)==74)break;else if((ga|0)==78){cra(g);ga=85}else if((ga|0)==83){DO(P);ga=84}else if((ga|0)==104){A9(R);ga=105}else if((ga|0)==133){DO(Q);break}else if((ga|0)==168){f=k[U>>2]|0;ga=169;break}if((ga|0)==84){DO(S);ga=85}else if((ga|0)==105){A9(ba);ga=106}if((ga|0)==85){A9(V);break}else if((ga|0)==106)break}else ga=169;while(0);if((ga|0)==169){k[$>>2]=e;y=0;oa(568,f|0,aa|0);ga=y;y=0;if(!(ga&1)){y=0;oa(568,fa|0,aa|0);ga=y;y=0;if(!(ga&1)){e=b+96|0;ga=b+84|0;k[ga>>2]=k[aa>>2];k[ga+4>>2]=k[aa+4>>2];k[ga+8>>2]=k[aa+8>>2];k[e>>2]=k[aa>>2];k[e+4>>2]=k[aa+4>>2];k[e+8>>2]=k[aa+8>>2];e=k[U>>2]|0;if(!e)e=0;else i[e+8>>0]=1;y=0;oa(460,a|0,e|0);ga=y;y=0;if(!(ga&1)){k[a>>2]=15628;DO(ha);k[ia>>2]=ja;r=da;return}}}e=pb()|0;ga=71}DO(ha);ha=e;k[ia>>2]=ja;sb(ha|0)}}e=pb()|0;DO(n);if(!f){ha=e;k[ia>>2]=ja;sb(ha|0)}}while(0);cra(g);ha=e;k[ia>>2]=ja;sb(ha|0)}while(0);cra(fa);ha=e;k[ia>>2]=ja;sb(ha|0)}function xd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0;ra=0;$=r;r=r+464|0;P=$+40|0;ja=$+436|0;da=$;sa=$+376|0;D=$+368|0;z=$+456|0;A=$+448|0;C=$+360|0;B=$+344|0;w=$+424|0;x=$+384|0;pa=$+304|0;ma=$+256|0;Q=$+336|0;R=$+328|0;ea=$+240|0;S=$+312|0;T=$+264|0;la=$+216|0;ka=$+200|0;aa=$+232|0;U=$+224|0;V=$+208|0;ia=$+192|0;fa=$+184|0;W=$+144|0;ga=$+128|0;ha=$+120|0;ba=$+112|0;ca=$+136|0;X=$+104|0;Y=$+96|0;Z=$+88|0;_=$+80|0;v=b+4|0;b=k[v>>2]|0;if(!b)b=0;else b=(k[481]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;LT(ja,b);k[ja>>2]=6756;b=k[ja+4>>2]|0;a:do if(b|0){d=k[b+76>>2]|0;g=k[b+80>>2]|0;if((d|0)!=(g|0)){h=sa+4|0;j=D+4|0;l=z+4|0;m=P+4|0;n=A+4|0;o=C+4|0;p=a+4|0;q=B+11|0;s=B+4|0;t=a+108|0;u=a+112|0;b:while(1){y=0;oa(460,sa|0,k[d+4>>2]|0);O=y;y=0;if(O&1){ra=13;break}k[sa>>2]=15136;y=0;oa(460,D|0,k[h>>2]|0);O=y;y=0;if(O&1){ra=14;break}k[D>>2]=15136;b=k[j>>2]|0;if(b|0)do{y=0;oa(460,z|0,k[b+80>>2]|0);O=y;y=0;if(O&1){ra=15;break b}k[z>>2]=15152;O=(k[l>>2]|0)==0;DO(z);if(!O){y=0;oa(460,A|0,k[(k[j>>2]|0)+80>>2]|0);O=y;y=0;if(O&1){ra=15;break b}k[A>>2]=15152;f=k[n>>2]|0;DO(A);b=k[f+76>>2]|0;f=k[f+80>>2]|0;if((b|0)!=(f|0))do{y=0;oa(460,C|0,k[b+4>>2]|0);O=y;y=0;if(O&1){ra=19;break b}k[C>>2]=13284;e=k[o>>2]|0;if(e|0)if((k[427]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)){O=k[h>>2]|0;M=k[(k[O>>2]|0)+28>>2]|0;L=k[(k[p>>2]|0)+16>>2]|0;y=0;k[P>>2]=k[L>>2];k[P+4>>2]=k[L+4>>2];k[P+8>>2]=k[L+8>>2];Na(M|0,B|0,O|0,P|0);O=y;y=0;if(O&1){ra=20;break b}k[da>>2]=0;k[da+4>>2]=0;k[da+8>>2]=0;e=i[q>>0]|0;e=e<<24>>24<0?k[s>>2]|0:e&255;y=0;Ra(10,da|0,47408,13,e+13|0);O=y;y=0;if(O&1){ra=30;break b}y=0;ta(41,da|0,((i[q>>0]|0)<0?k[B>>2]|0:B)|0,e|0)|0;O=y;y=0;if(O&1){ra=30;break b}y=0;e=Ha(974,da|0,47422)|0;O=y;y=0;if(O&1){ra=31;break b}k[w>>2]=k[e>>2];k[w+4>>2]=k[e+4>>2];k[w+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;O=x;L=(k[o>>2]|0)+12|0;M=O+40|0;do{k[O>>2]=k[L>>2];O=O+4|0;L=L+4|0}while((O|0)<(M|0));e=k[u>>2]|0;if((e|0)==(k[t>>2]|0))e=0;else e=k[e+-4>>2]|0;y=0;O=P;L=x;M=O+40|0;do{k[O>>2]=k[L>>2];O=O+4|0;L=L+4|0}while((O|0)<(M|0));Na(98,w|0,P|0,e|0);O=y;y=0;if(O&1){ra=32;break b}A9(w);A9(da);A9(B)}DO(C);b=b+8|0}while((b|0)!=(f|0))}y=0;oa(460,P|0,k[(k[j>>2]|0)+88>>2]|0);O=y;y=0;if(O&1){ra=40;break b}k[P>>2]=15136;if(k[j>>2]|0){y=0;na(423,D|0);O=y;y=0;if(O&1){ra=41;break b}}k[j>>2]=k[m>>2];k[m>>2]=0;DO(P);b=k[j>>2]|0}while((b|0)!=0);DO(D);DO(sa);d=d+8|0;if((d|0)==(g|0))break a}switch(ra|0){case 13:{b=pb()|0;break}case 14:{b=pb()|0;ra=45;break}case 15:{b=pb()|0;ra=44;break}case 19:{b=pb()|0;ra=44;break}case 20:{b=pb()|0;ra=35;break}case 30:{b=pb()|0;A9(da);ra=34;break}case 31:{b=pb()|0;ra=33;break}case 32:{b=pb()|0;A9(w);ra=33;break}case 40:{b=pb()|0;ra=42;break}case 41:{b=pb()|0;DO(P);ra=42;break}}if((ra|0)==33){A9(da);ra=34}else if((ra|0)==42)ra=44;if((ra|0)==34){A9(B);ra=35}if((ra|0)==35){DO(C);ra=44}if((ra|0)==44){DO(D);ra=45}if((ra|0)==45)DO(sa);DO(ja);sa=b;sb(sa|0)}}while(0);DO(ja);b=k[v>>2]|0;b=Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a+8|0)|0;if(!b)b=0;else b=(k[481]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;LT(sa,b);k[sa>>2]=6756;K=sa+4|0;b=k[K>>2]|0;if(!b){DO(sa);r=$;return}d=k[b+76>>2]|0;C=k[b+80>>2]|0;if((d|0)==(C|0)){DO(sa);r=$;return}D=pa+4|0;E=ma+4|0;F=Q+4|0;G=a+4|0;H=ea+11|0;I=ea+4|0;J=a+108|0;B=a+112|0;l=c+4|0;m=ka+4|0;n=aa+4|0;o=ia+4|0;p=fa+4|0;q=ca+4|0;s=Y+4|0;t=_+4|0;u=P+8|0;v=la+4|0;w=P+8|0;x=U+4|0;z=V+4|0;A=R+4|0;c:while(1){y=0;oa(460,pa|0,k[d+4>>2]|0);O=y;y=0;if(O&1){ra=67;break}k[pa>>2]=15136;y=0;oa(460,ma|0,k[D>>2]|0);O=y;y=0;if(O&1){ra=68;break}k[ma>>2]=15136;y=0;oa(460,Q|0,k[(k[E>>2]|0)+80>>2]|0);O=y;y=0;if(O&1){ra=69;break}k[Q>>2]=15152;if(!(k[F>>2]|0)){DO(Q);ra=59}else{y=0;oa(460,R|0,k[(k[E>>2]|0)+88>>2]|0);O=y;y=0;if(O&1){ra=70;break}k[R>>2]=15136;O=(k[A>>2]|0)==0;DO(R);DO(Q);if(!O)ra=59}if((ra|0)==59){ra=0;O=k[K>>2]|0;M=k[(k[O>>2]|0)+28>>2]|0;L=k[(k[G>>2]|0)+16>>2]|0;y=0;k[P>>2]=k[L>>2];k[P+4>>2]=k[L+4>>2];k[P+8>>2]=k[L+8>>2];Na(M|0,ea|0,O|0,P|0);O=y;y=0;if(O&1){ra=69;break}k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;b=i[H>>0]|0;b=b<<24>>24<0?k[I>>2]|0:b&255;y=0;Ra(10,ja|0,47408,13,b+13|0);O=y;y=0;if(O&1){ra=71;break}y=0;ta(41,ja|0,((i[H>>0]|0)<0?k[ea>>2]|0:ea)|0,b|0)|0;O=y;y=0;if(O&1){ra=71;break}y=0;b=Ha(974,ja|0,47454)|0;O=y;y=0;if(O&1){ra=72;break}k[S>>2]=k[b>>2];k[S+4>>2]=k[b+4>>2];k[S+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;O=T;L=(k[E>>2]|0)+12|0;M=O+40|0;do{k[O>>2]=k[L>>2];O=O+4|0;L=L+4|0}while((O|0)<(M|0));b=k[B>>2]|0;if((b|0)==(k[J>>2]|0))b=0;else b=k[b+-4>>2]|0;y=0;O=P;L=T;M=O+40|0;do{k[O>>2]=k[L>>2];O=O+4|0;L=L+4|0}while((O|0)<(M|0));Na(98,S|0,P|0,b|0);O=y;y=0;if(O&1){ra=73;break}A9(S);A9(ja);A9(ea)}y=0;oa(460,la|0,k[(k[E>>2]|0)+80>>2]|0);O=y;y=0;if(O&1){ra=69;break}k[la>>2]=15152;if(i[(k[K>>2]|0)+62>>0]|0)i[(k[v>>2]|0)+62>>0]=1;e=k[l>>2]|0;g=(k[e+80>>2]|0)-(k[e+76>>2]|0)>>3;d:do if(g|0){b=0;while(1){y=0;oa(460,ka|0,k[(k[e+76>>2]|0)+(b<<3)+4>>2]|0);O=y;y=0;if(O&1){ra=110;break c}k[ka>>2]=15136;y=0;oa(460,aa|0,k[(k[m>>2]|0)+80>>2]|0);O=y;y=0;if(O&1){ra=111;break c}k[aa>>2]=15152;do if(!(k[n>>2]|0)){DO(aa);ra=92}else{y=0;oa(460,U|0,k[(k[m>>2]|0)+80>>2]|0);O=y;y=0;if(O&1){ra=112;break c}k[U>>2]=15152;O=k[x>>2]|0;if((k[O+80>>2]|0)==(k[O+76>>2]|0)){DO(U);DO(aa);ra=92;break}y=0;oa(460,V|0,k[(k[m>>2]|0)+80>>2]|0);O=y;y=0;if(O&1){ra=113;break c}k[V>>2]=15152;e=k[(k[(k[z>>2]|0)+76>>2]|0)+4>>2]|0;if(!e)e=0;else e=(k[427]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;DO(V);DO(U);DO(aa);if(!e)ra=92}while(0);if((ra|0)==92){ra=0;y=0;j=qa(315,108)|0;O=y;y=0;if(O&1){ra=111;break c}O=P;L=(k[(k[(k[l>>2]|0)+76>>2]|0)+(b<<3)+4>>2]|0)+12|0;M=O+40|0;do{k[O>>2]=k[L>>2];O=O+4|0;L=L+4|0}while((O|0)<(M|0));y=0;na(422,j|0);O=y;y=0;if(O&1){ra=115;break c}O=j+12|0;L=P;M=O+40|0;do{k[O>>2]=k[L>>2];O=O+4|0;L=L+4|0}while((O|0)<(M|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j>>2]=13472;i[j+60>>0]=0;i[j+61>>0]=0;i[j+62>>0]=0;k[j+64>>2]=0;k[j+68>>2]=0;k[j+56>>2]=7;e=j+72|0;k[e>>2]=15096;h=j+76|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(512,h|0,0);O=y;y=0;if(O&1){ra=95;break c}k[j>>2]=14880;k[e>>2]=15056;O=j+96|0;k[O>>2]=0;k[j+100>>2]=0;k[j+92>>2]=O;i[j+104>>0]=0;i[j+105>>0]=0;y=0;oa(460,ia|0,j|0);O=y;y=0;if(O&1){ra=111;break c}k[ia>>2]=15152;e=(k[l>>2]|0)+76|0;k[(k[o>>2]|0)+64>>2]=k[(k[(k[e>>2]|0)+(b<<3)+4>>2]|0)+64>>2];y=0;f=qa(315,100)|0;O=y;y=0;if(O&1){ra=117;break c}O=W;L=(k[(k[e>>2]|0)+(b<<3)+4>>2]|0)+12|0;M=O+40|0;do{k[O>>2]=k[L>>2];O=O+4|0;L=L+4|0}while((O|0)<(M|0));y=0;oa(460,ga|0,0);O=y;y=0;if(O&1){ra=118;break c}k[ga>>2]=15152;y=0;oa(460,ha|0,0);O=y;y=0;if(O&1){ra=119;break c}k[ha>>2]=15136;y=0;oa(460,ba|0,0);O=y;y=0;if(O&1){ra=120;break c}k[ba>>2]=7492;y=0;O=P;L=W;M=O+40|0;do{k[O>>2]=k[L>>2];O=O+4|0;L=L+4|0}while((O|0)<(M|0));ya(11,f|0,P|0,0,ga|0,ha|0,ba|0);O=y;y=0;if(O&1){b=1;ra=121;break c}y=0;oa(460,fa|0,f|0);O=y;y=0;if(O&1){b=0;ra=121;break c}k[fa>>2]=15136;DO(ba);DO(ha);DO(ga);e=k[p>>2]|0;f=(k[l>>2]|0)+76|0;k[e+64>>2]=k[(k[(k[f>>2]|0)+(b<<3)+4>>2]|0)+64>>2];if(i[(k[m>>2]|0)+60>>0]|0)i[e+60>>0]=1;y=0;e=qa(315,104)|0;O=y;y=0;if(O&1){ra=124;break c}fO(da|0,(k[(k[f>>2]|0)+(b<<3)+4>>2]|0)+12|0,40)|0;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;y=0;Na(74,ja|0,48604,1);O=y;y=0;if(O&1){ra=145;break c}y=0;O=P;L=da;M=O+40|0;do{k[O>>2]=k[L>>2];O=O+4|0;L=L+4|0}while((O|0)<(M|0));Na(85,e|0,P|0,ja|0);O=y;y=0;if(O&1){ra=128;break c}A9(ja);k[e>>2]=13300;i[e+101>>0]=1;y=0;oa(460,ca|0,e|0);O=y;y=0;if(O&1){ra=124;break c}k[ca>>2]=13096;O=k[q>>2]|0;k[O+64>>2]=k[(k[(k[(k[l>>2]|0)+76>>2]|0)+(b<<3)+4>>2]|0)+64>>2];y=0;oa(571,k[o>>2]|0,O|0);O=y;y=0;if(O&1){ra=147;break c}e=k[p>>2]|0;y=0;oa(460,Y|0,k[m>>2]|0);O=y;y=0;if(O&1){ra=147;break c}k[Y>>2]=15136;k[e+68>>2]=0;f=e+84|0;e=e+88|0;if(k[e>>2]|0){y=0;na(423,f|0);O=y;y=0;if(O&1){ra=148;break c}}k[e>>2]=k[s>>2];y=0;na(424,f|0);O=y;y=0;if(O&1){ra=148;break c}y=0;oa(460,X|0,k[e>>2]|0);O=y;y=0;if(O&1){ra=148;break c}k[X>>2]=15136;DO(X);DO(Y);e=k[p>>2]|0;y=0;oa(460,_|0,k[o>>2]|0);O=y;y=0;if(O&1){ra=147;break c}k[_>>2]=15152;k[e+68>>2]=0;f=e+76|0;e=e+80|0;if(k[e>>2]|0){y=0;na(423,f|0);O=y;y=0;if(O&1){ra=149;break c}}k[e>>2]=k[t>>2];y=0;na(424,f|0);O=y;y=0;if(O&1){ra=149;break c}y=0;oa(460,Z|0,k[e>>2]|0);O=y;y=0;if(O&1){ra=149;break c}k[Z>>2]=15152;DO(Z);DO(_);if(k[m>>2]|0){y=0;na(423,ka|0);O=y;y=0;if(O&1){ra=147;break c}}k[m>>2]=k[p>>2];y=0;na(424,ka|0);O=y;y=0;if(O&1){ra=147;break c}DO(ca);DO(fa);DO(ia)}e=k[G>>2]|0;y=0;oa(460,P|0,k[m>>2]|0);O=y;y=0;if(O&1){ra=159;break c}k[P>>2]=15136;y=0;oa(460,u|0,k[v>>2]|0);O=y;y=0;if(O&1){ra=155;break c}k[u>>2]=15152;y=0;Na(83,e+248|0,la|0,P|0);O=y;y=0;if(O&1){ra=161;break c}DO(w);DO(P);DO(ka);b=b+1|0;if(b>>>0>=g>>>0)break d;e=k[l>>2]|0}}while(0);DO(la);DO(ma);DO(pa);d=d+8|0;if((d|0)==(C|0)){ra=168;break}}switch(ra|0){case 67:{b=pb()|0;break}case 68:{b=pb()|0;ra=166;break}case 69:{b=pb()|0;ra=165;break}case 70:{b=pb()|0;DO(Q);ra=165;break}case 71:{b=pb()|0;A9(ja);ra=75;break}case 72:{b=pb()|0;ra=74;break}case 73:{b=pb()|0;A9(S);ra=74;break}case 95:{b=pb()|0;f=N;g=j+80|0;d=k[h>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{ra=e+-8|0;k[g>>2]=ra;lc[k[k[ra>>2]>>2]&511](ra);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[h>>2]|0}cra(d)}ra=116;break}case 110:{b=pb()|0;ra=164;break}case 111:{b=pb()|0;ra=163;break}case 112:{b=pb()|0;ra=114;break}case 113:{b=pb()|0;DO(U);ra=114;break}case 115:{b=pb()|0;ra=116;break}case 117:{b=pb()|0;ra=152;break}case 118:{b=pb()|0;ra=123;break}case 119:{b=pb()|0;DO(ga);ra=123;break}case 120:{d=1;b=pb()|0;ra=122;break}case 121:{ja=pb()|0;DO(ba);d=b;b=ja;ra=122;break}case 124:{b=pb()|0;ra=151;break}case 128:{b=pb()|0;A9(ja);ra=146;break}case 145:{b=pb()|0;ra=146;break}case 147:{b=pb()|0;ra=150;break}case 148:{b=pb()|0;DO(Y);ra=150;break}case 149:{b=pb()|0;DO(_);ra=150;break}case 155:{b=pb()|0;DO(P);ra=160;break}case 159:{b=pb()|0;ra=160;break}case 161:{b=pb()|0;DO(w);DO(P);ra=162;break}case 168:{DO(sa);r=$;return}}if((ra|0)==74){A9(ja);ra=75}else if((ra|0)==114){DO(aa);ra=163}else if((ra|0)==116){cra(j);ra=163}else if((ra|0)==122){DO(ha);DO(ga);if(d)ra=123;else ra=152}else if((ra|0)==146){cra(e);ra=151}else if((ra|0)==150){DO(ca);ra=151}else if((ra|0)==160)ra=162;if((ra|0)==75){A9(ea);ra=165}else if((ra|0)==123){cra(f);ra=152}else if((ra|0)==151){DO(fa);ra=152}else if((ra|0)==162)ra=163;if((ra|0)==152){DO(ia);ra=163}if((ra|0)==163){DO(ka);ra=164}if((ra|0)==164){DO(la);ra=165}if((ra|0)==165){DO(ma);ra=166}if((ra|0)==166)DO(pa);DO(sa);sa=b;sb(sa|0)}function yd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0.0,g=0.0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;I=0;H=r;r=r+512|0;G=H+464|0;N=H+432|0;O=H+424|0;d=H+456|0;j=H+444|0;M=H+416|0;h=H+408|0;l=H+384|0;L=H+400|0;K=H+376|0;t=H+232|0;J=H+152|0;q=H+216|0;s=H+176|0;v=H+144|0;D=H+80|0;w=H+104|0;B=H+88|0;z=H+72|0;E=H+64|0;x=H+24|0;C=H+8|0;A=H;cL(N,b+72|0);y=0;oa(460,d|0,k[b+88>>2]|0);F=y;y=0;if(F&1){O=pb()|0;A9(N);sb(O|0)}k[d>>2]=7284;c=k[d+4>>2]|0;e=a+8|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,e|0)|0;F=y;y=0;if(!(F&1)){y=0;oa(460,O|0,c|0);F=y;y=0;if(!(F&1)){k[O>>2]=7284;DO(d);F=O+4|0;do if((k[(k[F>>2]|0)+56>>2]|0)==2){y=0;oa(460,h|0,k[b+96>>2]|0);u=y;y=0;if(u&1){c=pb()|0;break}k[h>>2]=7284;c=k[h+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,e|0)|0;u=y;y=0;if(!(u&1)){y=0;oa(460,M|0,c|0);u=y;y=0;if(!(u&1)){k[M>>2]=7284;DO(h);d=M+4|0;do if((k[(k[d>>2]|0)+56>>2]|0)==2){c=k[F>>2]|0;if(!c)c=0;else c=(k[35]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,L|0,c|0);u=y;y=0;if(u&1){c=pb()|0;break}k[L>>2]=16664;c=k[d>>2]|0;if(!c)c=0;else c=(k[35]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,K|0,c|0);u=y;y=0;if(u&1)c=pb()|0;else{k[K>>2]=16664;o=L+4|0;y=0;oa(453,G|0,k[o>>2]|0);u=y;y=0;a:do if(u&1){c=pb()|0;I=66}else{u=K+4|0;y=0;oa(453,t|0,k[u>>2]|0);n=y;y=0;if(n&1){c=pb()|0;A9(G);I=66;break}e=i[G+11>>0]|0;h=e<<24>>24<0;e=e&255;j=h?k[G+4>>2]|0:e;n=i[t+11>>0]|0;c=n<<24>>24<0;b:do if((j|0)==((c?k[t+4>>2]|0:n&255)|0)){l=k[G>>2]|0;m=h?l:G;c=c?k[t>>2]|0:t;d=(j|0)==0;if(h)if(d){A9(t);A9(G);break}else{n=(bN(m,c,j)|0)==0;A9(t);A9(G);if(n)break;else{I=44;break}}if(d){A9(t);A9(G);break}c:do if((l&255)<<24>>24==(i[c>>0]|0)){d=G;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break c}A9(t);A9(G);break b}while(0);A9(t);A9(G);I=44}else{A9(t);A9(G);I=44}while(0);d:do if((I|0)==44){j=t+64|0;c=t+8|0;k[c>>2]=15992;h=t+12|0;k[t>>2]=16032;k[j>>2]=16052;k[t+4>>2]=0;y=0;oa(528,t+64|0,h|0);n=y;y=0;if(n&1)c=pb()|0;else{k[t+136>>2]=0;k[t+140>>2]=-1;k[t>>2]=15972;k[j>>2]=16012;k[c>>2]=15992;y=0;na(433,h|0);n=y;y=0;do if(n&1)c=pb()|0;else{k[h>>2]=15832;d=t+44|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[t+60>>2]=24;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;oa(529,h|0,G|0);n=y;y=0;if(n&1){c=pb()|0;A9(G);A9(d);Xaa(h);break}A9(G);e=t+8|0;y=0;c=ta(47,e|0,51954,21)|0;n=y;y=0;e:do if(n&1)I=68;else{y=0;oa(453,G|0,k[o>>2]|0);n=y;y=0;if(n&1)c=pb()|0;else{n=i[G+11>>0]|0;m=n<<24>>24<0;y=0;c=ta(47,c|0,(m?k[G>>2]|0:G)|0,(m?k[G+4>>2]|0:n&255)|0)|0;n=y;y=0;do if(n&1)I=70;else{y=0;c=ta(47,c|0,51976,7)|0;n=y;y=0;if(n&1){I=70;break}y=0;oa(453,J|0,k[u>>2]|0);n=y;y=0;if(n&1)c=pb()|0;else{n=i[J+11>>0]|0;m=n<<24>>24<0;y=0;c=ta(47,c|0,(m?k[J>>2]|0:J)|0,(m?k[J+4>>2]|0:n&255)|0)|0;n=y;y=0;do if(!(n&1)){y=0;ta(47,c|0,51984,2)|0;n=y;y=0;if(n&1)break;A9(J);A9(G);y=0;oa(530,q|0,h|0);n=y;y=0;if(n&1){I=68;break e}l=s;m=(k[F>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));c=k[a+112>>2]|0;if((c|0)==(k[a+108>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;l=G;m=s;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Na(98,q|0,G|0,c|0);s=y;y=0;if(s&1){c=pb()|0;A9(q);break e}else{A9(q);k[t>>2]=15972;k[j>>2]=16012;k[e>>2]=15992;k[h>>2]=15832;A9(d);Xaa(h);nla(t,16064);Vja(j);break d}}while(0);c=pb()|0;A9(J)}}while(0);if((I|0)==70)c=pb()|0;A9(G)}}while(0);if((I|0)==68)c=pb()|0;k[t>>2]=15972;k[j>>2]=16012;k[e>>2]=15992;k[h>>2]=15832;A9(d);Xaa(h);nla(t,16064);Vja(j);break a}while(0);nla(t,16064)}Vja(j);break a}while(0);f=+p[(k[o>>2]|0)+64>>3];g=+p[(k[u>>2]|0)+64>>3];d=a+48|0;o=a+52|0;c=k[o>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;Na(128,J|0,c|0,1);t=y;y=0;if(t&1){c=pb()|0;break}k[G>>2]=J;c=k[o>>2]|0;do if(c>>>0<(k[a+56>>2]|0)>>>0){k[c>>2]=J;k[o>>2]=(k[o>>2]|0)+4;I=87}else{y=0;oa(638,d|0,G|0);t=y;y=0;if(!(t&1)){I=87;break}c=pb()|0}while(0);f:do if((I|0)==87){c=a+72|0;y=0;oa(460,G|0,b|0);t=y;y=0;do if(t&1)c=pb()|0;else{k[G>>2]=6336;j=a+76|0;d=k[j>>2]|0;do if(d>>>0<(k[a+80>>2]|0)>>>0){y=0;oa(460,d|0,k[G+4>>2]|0);t=y;y=0;if(t&1){I=99;break}k[d>>2]=6336;k[j>>2]=(k[j>>2]|0)+8}else{y=0;oa(653,c|0,G|0);t=y;y=0;if(t&1)I=99}while(0);if((I|0)==99){c=pb()|0;DO(G);break}DO(G);y=0;oa(460,v|0,k[b+68>>2]|0);t=y;y=0;if(t&1){c=pb()|0;break f}k[v>>2]=6868;h=k[v+4>>2]|0;DO(v);c=(i[b+100>>0]|0)!=0;g:do if(f<g){g=c?g+1.0:g;if(!(f<g))break;c=D+4|0;d=z+4|0;while(1){y=0;e=qa(315,104)|0;I=y;y=0;if(I&1){I=111;break}l=w;m=(k[F>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(453,B|0,k[u>>2]|0);I=y;y=0;if(I&1){I=112;break}y=0;l=G;m=w;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Ca(1,e|0,G|0,+f,B|0,1);I=y;y=0;if(I&1){d=1;I=113;break}y=0;oa(460,D|0,e|0);I=y;y=0;if(I&1){d=0;I=113;break}k[D>>2]=16664;A9(B);y=0;oa(460,z|0,k[c>>2]|0);I=y;y=0;if(I&1){I=115;break}k[z>>2]=16664;y=0;oa(460,G|0,k[d>>2]|0);I=y;y=0;if(I&1){I=116;break}k[G>>2]=6336;y=0;Na(124,J|0,N|0,G|0);I=y;y=0;if(I&1){I=117;break}DO(G);DO(z);y=0;oa(652,a|0,h|0);I=y;y=0;if(I&1){I=120;break}DO(D);f=f+1.0;if(!(f<g))break g}if((I|0)==111){c=pb()|0;break f}else if((I|0)==112){c=pb()|0;I=114}else if((I|0)==113){c=pb()|0;A9(B);if(d)I=114;else break f}else if((I|0)==115){c=pb()|0;I=119}else if((I|0)==116){c=pb()|0;I=118}else if((I|0)==117){c=pb()|0;DO(G);I=118}else if((I|0)==120)c=pb()|0;if((I|0)==114){cra(e);break f}else if((I|0)==118){DO(z);I=119}DO(D);break f}else{g=c?g+-1.0:g;if(!(f>g))break;c=E+4|0;d=A+4|0;while(1){y=0;e=qa(315,104)|0;I=y;y=0;if(I&1){I=133;break}l=x;m=(k[F>>2]|0)+12|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(453,C|0,k[u>>2]|0);I=y;y=0;if(I&1){I=134;break}y=0;l=G;m=x;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Ca(1,e|0,G|0,+f,C|0,1);I=y;y=0;if(I&1){d=1;I=135;break}y=0;oa(460,E|0,e|0);I=y;y=0;if(I&1){d=0;I=135;break}k[E>>2]=16664;A9(C);y=0;oa(460,A|0,k[c>>2]|0);I=y;y=0;if(I&1){I=137;break}k[A>>2]=16664;y=0;oa(460,G|0,k[d>>2]|0);I=y;y=0;if(I&1){I=138;break}k[G>>2]=6336;y=0;Na(124,J|0,N|0,G|0);I=y;y=0;if(I&1){I=139;break}DO(G);DO(A);y=0;oa(652,a|0,h|0);I=y;y=0;if(I&1){I=142;break}DO(E);f=f+-1.0;if(!(f>g))break g}if((I|0)==133){c=pb()|0;break f}else if((I|0)==134){c=pb()|0;I=136}else if((I|0)==135){c=pb()|0;A9(C);if(d)I=136;else break f}else if((I|0)==137){c=pb()|0;I=141}else if((I|0)==138){c=pb()|0;I=140}else if((I|0)==139){c=pb()|0;DO(G);I=140}else if((I|0)==142)c=pb()|0;if((I|0)==136){cra(e);break f}else if((I|0)==140){DO(A);I=141}DO(E);break f}while(0);d=k[j>>2]|0;c=d+-8|0;do{I=d+-8|0;k[j>>2]=I;lc[k[k[I>>2]>>2]&511](I);d=k[j>>2]|0}while((d|0)!=(c|0));k[o>>2]=(k[o>>2]|0)+-4;GC(J,k[J+4>>2]|0);DO(K);DO(L);DO(M);DO(O);A9(N);r=H;return 0}while(0)}while(0);GC(J,k[J+4>>2]|0)}while(0);DO(K)}DO(L)}else{e=gb(92)|0;c=k[d>>2]|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,47529,7);L=y;y=0;if(L&1)c=pb()|0;else{y=0;Na(129,e|0,c|0,l|0);L=y;y=0;if(L&1)d=1;else{y=0;Na(75,e|0,3624,270);y=0;d=0}c=pb()|0;A9(l);if(!d)break}fb(e|0)}while(0);DO(M);break}}c=pb()|0;DO(h)}else{e=gb(92)|0;c=k[F>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,47529,7);M=y;y=0;if(M&1)c=pb()|0;else{y=0;Na(129,e|0,c|0,j|0);M=y;y=0;if(M&1)d=1;else{y=0;Na(75,e|0,3624,270);y=0;d=0}c=pb()|0;A9(j);if(!d)break}fb(e|0)}while(0);DO(O);O=c;A9(N);sb(O|0)}}O=pb()|0;DO(d);A9(N);sb(O|0);return 0}function zd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;O=r;r=r+528|0;C=O+120|0;v=O+80|0;L=O+40|0;c=O;X=O+520|0;o=O+504|0;n=O+512|0;V=O+496|0;p=O+480|0;U=O+488|0;q=O+464|0;P=O+472|0;u=O+408|0;z=O+400|0;w=O+360|0;A=O+352|0;B=O+336|0;x=O+328|0;D=O+320|0;E=O+280|0;I=O+272|0;J=O+264|0;G=O+248|0;T=O+456|0;F=O+240|0;S=O+448|0;H=O+232|0;M=O+224|0;K=O+184|0;Q=O+176|0;R=O+160|0;l=IM(84)|0;t=c;h=b+12|0;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));y=0;na(422,l|0);W=y;y=0;do if(W&1)c=pb()|0;else{t=l+12|0;h=c;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));k[l>>2]=6212;i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;c=l+60|0;k[c>>2]=10136;g=l+64|0;h=l+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(550,g|0,0);W=y;y=0;if(W&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{X=e+-8|0;k[h>>2]=X;lc[k[k[X>>2]>>2]&511](X);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[l>>2]=9952;k[c>>2]=10080;i[l+80>>0]=0;i[l+81>>0]=0;i[l+82>>0]=0;LT(X,l);k[X>>2]=8964;d=k[b+64>>2]|0;g=(k[b+68>>2]|0)-d>>3;if(!g){c=k[X+4>>2]|0;if(!c){W=0;DO(X);r=O;return W|0}i[c+8>>0]=1;W=c;DO(X);r=O;return W|0}h=b+64|0;l=o+4|0;m=X+4|0;c=0;while(1){d=k[d+(c<<3)+4>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;W=y;y=0;if(W&1){W=25;break}y=0;oa(460,o|0,d|0);W=y;y=0;if(W&1){W=25;break}k[o>>2]=7284;d=k[l>>2]|0;if(!d)d=0;else d=(k[251]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;W=j[d+80>>1]|0;if((W&255)<<24>>24==0&(W&65535)<256){e=(k[m>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(460,n|0,d|0);W=y;y=0;if(W&1){W=26;break}k[n>>2]=10120;y=0;oa(f|0,e|0,n|0);W=y;y=0;if(W&1){W=27;break}DO(n)}DO(o);c=c+1|0;if(c>>>0>=g>>>0){W=16;break}d=k[h>>2]|0}a:do if((W|0)==16){b:do if(!(i[b+81>>0]|0))W=110;else{y=0;oa(644,p|0,b|0);t=y;y=0;if(!(t&1)){c=k[p+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;t=y;y=0;if(!(t&1)){y=0;oa(460,V|0,c|0);t=y;y=0;if(!(t&1)){k[V>>2]=7284;DO(p);t=k[V+4>>2]|0;y=0;oa(460,q|0,k[((k[251]|0)==(k[(k[(k[t>>2]|0)+-4>>2]|0)+4>>2]|0)?t:0)+64>>2]|0);t=y;y=0;do if(t&1)c=pb()|0;else{k[q>>2]=7284;c=k[q+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;t=y;y=0;if(!(t&1)){y=0;oa(460,U|0,c|0);t=y;y=0;if(!(t&1)){k[U>>2]=7284;DO(q);o=U+4|0;y=0;l=qa(336,k[o>>2]|0)|0;t=y;y=0;c:do if(t&1)c=pb()|0;else{c=k[o>>2]|0;if(!c)m=0;else m=(k[229]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;n=qa(315,88)|0;t=y;y=0;d:do if(!(t&1)){t=u;h=c+12|0;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));f=(l|0)!=0;if(f)e=k[l+80>>2]|0;else e=0;t=v;h=u;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));y=0;na(422,n|0);u=y;y=0;do if(u&1)c=pb()|0;else{t=n+12|0;h=v;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;c=n+56|0;k[c>>2]=0;k[n>>2]=9288;d=n+60|0;k[d>>2]=9248;g=n+64|0;h=n+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);v=y;y=0;if(v&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{T=e+-8|0;k[h>>2]=T;lc[k[k[T>>2]>>2]&511](T);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[n>>2]=9076;k[d>>2]=9208;k[n+80>>2]=e;i[n+84>>0]=1;i[n+85>>0]=0;k[c>>2]=5;y=0;oa(460,P|0,n|0);v=y;y=0;if(v&1)break d;k[P>>2]=7172;do if(f){if(!(i[l+84>>0]|0)){W=63;break}c=P+4|0;W=(k[c>>2]|0)+60|0;y=0;oa(k[(k[W>>2]|0)+24>>2]|0,W|0,l+60|0);W=y;y=0;if(W&1)W=62;else W=89}else W=63;while(0);e:do if((W|0)==63){if(!m){c=P+4|0;e=(k[c>>2]|0)+60|0;if(f){y=0;oa(k[(k[e>>2]|0)+24>>2]|0,e|0,l+60|0);W=y;y=0;if(W&1){W=62;break}else{W=89;break}}d=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(460,x|0,k[o>>2]|0);B=y;y=0;if(B&1){W=62;break}k[x>>2]=7284;y=0;oa(d|0,e|0,x|0);B=y;y=0;if(B&1){c=pb()|0;DO(x);break}else{DO(x);W=89;break}}d=(k[X+4>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;f=qa(315,88)|0;x=y;y=0;if(x&1){W=62;break}t=w;h=(k[o>>2]|0)+12|0;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));y=0;oa(460,A|0,m|0);x=y;y=0;do if(x&1)c=pb()|0;else{k[A>>2]=7284;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(74,B|0,87975,0);x=y;y=0;if(x&1){c=pb()|0;DO(A);break}t=C;h=w;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));y=0;na(422,f|0);x=y;y=0;f:do if(x&1){c=1;W=78}else{t=f+12|0;h=C;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=9828;c=f+60|0;y=0;oa(460,c|0,k[A+4>>2]|0);x=y;y=0;do if(x&1)c=pb()|0;else{k[c>>2]=7284;y=0;oa(456,f+68|0,B|0);x=y;y=0;if(x&1){W=pb()|0;DO(c);c=W;break}i[f+80>>0]=0;i[f+81>>0]=1;k[f+84>>2]=0;y=0;oa(460,z|0,f|0);x=y;y=0;if(x&1){c=0;W=78;break f}k[z>>2]=10120;y=0;oa(e|0,d|0,z|0);x=y;y=0;if(x&1){c=pb()|0;DO(z);d=0;break f}else{DO(z);A9(B);DO(A);c=P+4|0;W=89;break e}}while(0);d=1;W=79}while(0);if((W|0)==78){T=pb()|0;d=c;c=T;W=79}A9(B);DO(A);if(!d)break e}while(0);cra(f)}while(0);g:do if((W|0)==89){c=k[c>>2]|0;h:do if((k[c+68>>2]|0)!=(k[c+64>>2]|0)){d=(k[X+4>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;f=qa(315,88)|0;B=y;y=0;if(B&1){W=62;break g}t=E;h=(k[o>>2]|0)+12|0;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));y=0;oa(460,J|0,c|0);B=y;y=0;do if(B&1)c=pb()|0;else{k[J>>2]=7172;y=0;oa(460,I|0,k[J+4>>2]|0);B=y;y=0;if(B&1){c=pb()|0;DO(J);break}k[I>>2]=7284;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(74,G|0,87975,0);B=y;y=0;if(B&1){c=pb()|0;d=1}else{y=0;t=C;h=E;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));ya(14,f|0,C|0,I|0,G|0,1,0);E=y;y=0;do if(E&1){c=1;W=101}else{y=0;oa(460,D|0,f|0);E=y;y=0;if(E&1){c=0;W=101;break}k[D>>2]=10120;y=0;oa(e|0,d|0,D|0);E=y;y=0;if(E&1){c=pb()|0;DO(D);d=0;break}else{DO(D);A9(G);DO(I);DO(J);break h}}while(0);if((W|0)==101){T=pb()|0;d=c;c=T}A9(G)}DO(I);DO(J);if(!d)break g}while(0);cra(f);break g}while(0);DO(P);DO(U);DO(V);W=110;break b}while(0);if((W|0)==62)c=pb()|0;DO(P);break c}while(0);cra(n);break c}while(0);c=pb()|0}while(0);DO(U);break}}c=pb()|0;DO(q)}while(0);DO(V);break a}}c=pb()|0;DO(p);break a}}while(0);i:do if((W|0)==110){j:do if(!(i[b+82>>0]|0))c=X+4|0;else{y=0;oa(645,F|0,b|0);V=y;y=0;if(V&1)break i;c=k[F+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;V=y;y=0;if(!(V&1)){y=0;oa(460,T|0,c|0);V=y;y=0;if(!(V&1)){k[T>>2]=7284;DO(F);c=k[T+4>>2]|0;if(!c)c=0;else c=(k[251]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,H|0,k[c+64>>2]|0);V=y;y=0;do if(V&1)c=pb()|0;else{k[H>>2]=7284;c=k[H+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;V=y;y=0;if(!(V&1)){y=0;oa(460,S|0,c|0);V=y;y=0;if(!(V&1)){k[S>>2]=7284;DO(H);c=X+4|0;e=(k[c>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;g=qa(315,88)|0;V=y;y=0;k:do if(V&1)c=pb()|0;else{d=k[S+4>>2]|0;t=K;h=d+12|0;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));y=0;oa(460,Q|0,d|0);V=y;y=0;do if(V&1)c=pb()|0;else{k[Q>>2]=7284;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;y=0;Na(74,R|0,87975,0);V=y;y=0;if(V&1){c=pb()|0;DO(Q);break}t=L;h=K;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));y=0;na(422,g|0);V=y;y=0;l:do if(V&1){c=1;W=138}else{t=g+12|0;h=L;s=t+40|0;do{k[t>>2]=k[h>>2];t=t+4|0;h=h+4|0}while((t|0)<(s|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=9828;d=g+60|0;y=0;oa(460,d|0,k[Q+4>>2]|0);V=y;y=0;do if(V&1)c=pb()|0;else{k[d>>2]=7284;y=0;oa(456,g+68|0,R|0);V=y;y=0;if(V&1){c=pb()|0;DO(d);break}i[g+80>>0]=0;i[g+81>>0]=1;k[g+84>>2]=0;y=0;oa(460,M|0,g|0);V=y;y=0;if(V&1){c=0;W=138;break l}k[M>>2]=10120;y=0;oa(f|0,e|0,M|0);V=y;y=0;if(V&1){c=pb()|0;DO(M);d=0;break l}else{DO(M);A9(R);DO(Q);DO(S);DO(T);break j}}while(0);d=1;W=139}while(0);if((W|0)==138){V=pb()|0;d=c;c=V;W=139}A9(R);DO(Q);if(!d)break k}while(0);cra(g)}while(0);DO(S);break}}c=pb()|0;DO(H)}while(0);DO(T);break a}}c=pb()|0;DO(F);break a}while(0);c=k[c>>2]|0;if(!c){W=0;DO(X);r=O;return W|0}i[c+8>>0]=1;W=c;DO(X);r=O;return W|0}while(0);c=pb()|0}else if((W|0)==25)c=pb()|0;else if((W|0)==26){c=pb()|0;W=30}else if((W|0)==27){c=pb()|0;DO(n);W=30}while(0);if((W|0)==30)DO(o);DO(X);X=c;sb(X|0)}while(0);cra(l);X=c;sb(X|0);return 0}function Ad(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;ea=0;ca=r;r=r+528|0;aa=ca+80|0;X=ca+40|0;$=ca;l=ca+488|0;n=ca+472|0;da=ca+456|0;U=ca+464|0;V=ca+416|0;Y=ca+400|0;W=ca+224|0;P=ca+232|0;Q=ca+208|0;R=ca+200|0;S=ca+184|0;Z=ca+176|0;_=ca+136|0;ba=ca+120|0;T=c+4|0;e=k[T>>2]|0;O=c+8|0;q=k[O>>2]|0;m=e>>>0<q>>>0;a:do if(d)if(m){c=0;j=e;while(1){f=i[j>>0]|0;if(!(f<<24>>24)){ea=23;break a}do if(c)c=0;else if(f<<24>>24==92)c=1;else{c=i[48639]|0;if(!(c<<24>>24))if(!j){c=0;break}else{f=0;break a}if(f<<24>>24==c<<24>>24){c=j;g=48639;while(1){c=c+1|0;g=g+1|0;h=i[g>>0]|0;if(!(h<<24>>24)){c=j;ea=22;break a}if((i[c>>0]|0)!=h<<24>>24){c=0;break}}}else c=0}while(0);j=j+1|0;if(j>>>0>=q>>>0){ea=23;break}}}else ea=23;else if(m){f=0;c=e;while(1){g=i[c>>0]|0;if(!(g<<24>>24)){ea=23;break a}b:do if(f)f=0;else if(g<<24>>24==92)f=1;else{g=sB(c)|0;if(!g){f=i[48639]|0;if(!(f<<24>>24))if(!c){f=0;c=0;break}else{f=0;break a}else{g=c;h=48639;j=f}while(1){if((i[g>>0]|0)!=j<<24>>24){f=0;break b}h=h+1|0;j=i[h>>0]|0;if(!(j<<24>>24)){ea=22;break a}else g=g+1|0}}else{f=0;c=g}}while(0);c=c+1|0;if(c>>>0>=q>>>0){ea=23;break}}}else ea=23;while(0);if((ea|0)==22)if(!c)ea=23;if((ea|0)==23){h=IM(80)|0;g=l;o=b+108|0;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;g=q-e|0;if(g>>>0>4294967279){y=0;na(438,n|0);ea=y;y=0;if(ea&1)ea=36;else ea=27}else if(g>>>0<11){i[n+11>>0]=g;c=n;ea=29}else ea=27;if((ea|0)==27){f=g+16&-16;y=0;c=qa(315,f|0)|0;ea=y;y=0;if(ea&1)ea=36;else{k[n>>2]=c;k[n+8>>2]=f|-2147483648;k[n+4>>2]=g;ea=29}}do if((ea|0)==29){if((e|0)!=(q|0)){f=c;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(q|0))break;else f=f+1|0}c=c+g|0}i[c>>0]=0;y=0;g=aa;o=l;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));Ea(2,h|0,aa|0,n|0,0,0,0,1);ea=y;y=0;if(ea&1){c=pb()|0;A9(n);break}A9(n);if(!d){c=h+60|0;if(i[c>>0]|0)i[c>>0]=42}LT(a,h);k[a>>2]=7492;r=ca;return}else if((ea|0)==36)c=pb()|0;while(0);cra(h);ea=c;sb(ea|0)}l=IM(84)|0;L=b+108|0;g=aa;o=L;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));y=0;na(422,l|0);M=y;y=0;do if(M&1)c=pb()|0;else{g=l+12|0;o=aa;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;c=l+56|0;k[l>>2]=10968;k[c>>2]=4;g=l+60|0;k[g>>2]=9248;h=l+64|0;j=l+68|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(514,h|0,0);M=y;y=0;if(M&1){c=pb()|0;g=N;e=k[h>>2]|0;if(e|0){f=k[j>>2]|0;if((f|0)!=(e|0)){do{ea=f+-8|0;k[j>>2]=ea;lc[k[k[ea>>2]>>2]&511](ea);f=k[j>>2]|0}while((f|0)!=(e|0));e=k[h>>2]|0}cra(e)}break}k[l>>2]=10796;k[g>>2]=10928;k[l+80>>2]=0;k[c>>2]=4;LT(da,l);k[da>>2]=13080;M=da+4|0;i[(k[M>>2]|0)+54>>0]=1;c:do if(m){t=Y+8|0;u=Y+4|0;v=Y+11|0;w=b+80|0;x=X+8|0;z=X+4|0;A=X+11|0;B=Q+4|0;C=Q+8|0;D=b+40|0;E=b+72|0;H=P+56|0;J=P+44|0;F=W+4|0;K=P+48|0;I=P+60|0;G=b+76|0;m=q;l=f;c=f;d:while(1){e:do if(d){c=0;h=e;j=l;while(1){f=i[h>>0]|0;if(!(f<<24>>24)){ea=164;break d}do if(c){c=0;f=j}else if(f<<24>>24==92){c=1;f=j}else{if(!(j<<24>>24))if(!h){c=0;f=0;break}else{f=h;s=0;q=0;break e}if(f<<24>>24==j<<24>>24){c=h;f=48639;while(1){c=c+1|0;f=f+1|0;g=i[f>>0]|0;if(!(g<<24>>24)){f=h;g=j;c=j;ea=70;break e}if((i[c>>0]|0)!=g<<24>>24){c=0;f=j;break}}}else{c=0;f=j}}while(0);h=h+1|0;if(h>>>0>=m>>>0){ea=164;break d}else j=f}}else{h=0;f=e;while(1){g=i[f>>0]|0;if(!(g<<24>>24)){ea=164;break d}f:do if(h)h=0;else if(g<<24>>24==92)h=1;else{y=0;g=qa(351,f|0)|0;s=y;y=0;if(s&1){ea=90;break d}if(!g){if(!(c<<24>>24))if(!f){h=0;f=0;c=0;break}else{s=0;q=l;break e}else{g=f;h=48639;j=c}while(1){if((i[g>>0]|0)!=j<<24>>24){h=0;break f}h=h+1|0;j=i[h>>0]|0;if(!(j<<24>>24)){g=l;ea=70;break e}else g=g+1|0}}else{h=0;f=g}}while(0);f=f+1|0;if(f>>>0>=m>>>0){ea=164;break d}}}while(0);if((ea|0)==70){ea=0;if(!f){ea=164;break}else{s=c;q=g}}if(e>>>0<f>>>0){l=(k[M>>2]|0)+60|0;m=k[(k[l>>2]|0)+20>>2]|0;y=0;n=qa(315,80)|0;p=y;y=0;if(p&1){ea=91;break}g=V;o=L;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;j=f-e|0;if(j>>>0>4294967279){y=0;na(438,Y|0);ea=y;y=0;if(ea&1){ea=94;break}else ea=77}else if(j>>>0<11){i[v>>0]=j;c=Y}else ea=77;if((ea|0)==77){ea=0;g=j+16&-16;y=0;c=qa(315,g|0)|0;p=y;y=0;if(p&1){ea=94;break}k[Y>>2]=c;k[t>>2]=g|-2147483648;k[u>>2]=j}if((e|0)!=(f|0)){g=c;h=e;while(1){i[g>>0]=i[h>>0]|0;h=h+1|0;if((h|0)==(f|0))break;else g=g+1|0}c=c+j|0}i[c>>0]=0;g=X;o=V;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));y=0;na(422,n|0);p=y;y=0;if(p&1){e=1;ea=96;break}g=n+12|0;o=X;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n+56>>2]=4;k[n>>2]=11100;i[n+60>>0]=0;i[n+61>>0]=0;y=0;oa(549,n+64|0,Y|0);p=y;y=0;if(p&1){ea=84;break}k[n+76>>2]=0;y=0;oa(460,U|0,n|0);p=y;y=0;if(p&1){e=0;ea=96;break}k[U>>2]=7284;y=0;oa(m|0,l|0,U|0);p=y;y=0;if(p&1){ea=95;break}DO(U);A9(Y)}h=f+2|0;y=0;c=qa(344,h|0)|0;p=y;y=0;if(p&1){ea=91;break}y=0;c=qa(352,(c|0?c:h)|0)|0;p=y;y=0;if(p&1){ea=91;break}if(c|0){f=i[50303]|0;g:do if(!(f<<24>>24))f=0;else{g=50303;while(1){if((i[c>>0]|0)!=f<<24>>24)break g;c=c+1|0;g=g+1|0;f=i[g>>0]|0;if(!(f<<24>>24)){f=0;break}}}while(0);p=f<<24>>24==0?c:0;if(!((p|0)==0?1:p>>>0>(k[w>>2]|0)>>>0)){k[G>>2]=h;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;y=0;Na(74,aa|0,43044,11);p=y;y=0;if(p&1){ea=110;break}k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;y=0;Na(74,X|0,43056,7);p=y;y=0;if(p&1){ea=111;break}k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;y=0;Na(74,$|0,43423,44);p=y;y=0;if(p&1){ea=112;break}y=0;ma(10,b|0,aa|0,X|0,$|0,1);p=y;y=0;if(p&1){ea=113;break}A9($);A9(X);A9(aa)}}j=k[O>>2]|0;c=zk(h,j)|0;if(!c){f=k[T>>2]|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;h=j-f|0;if(h>>>0>4294967279){y=0;na(438,X|0);ea=y;y=0;if(ea&1){ea=158;break}else ea=149}else if(h>>>0<11){i[A>>0]=h;c=X}else ea=149;if((ea|0)==149){ea=0;g=h+16&-16;y=0;c=qa(315,g|0)|0;p=y;y=0;if(p&1){ea=158;break}k[X>>2]=c;k[x>>2]=g|-2147483648;k[z>>2]=h}if((f|0)!=(j|0)){g=c;while(1){i[g>>0]=i[f>>0]|0;f=f+1|0;if((f|0)==(j|0))break;else g=g+1|0}c=c+h|0}i[c>>0]=0;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;c=i[A>>0]|0;c=c<<24>>24<0?k[z>>2]|0:c&255;y=0;Ra(10,S|0,43468,48,c+48|0);p=y;y=0;if(p&1){ea=159;break}y=0;ta(41,S|0,((i[A>>0]|0)<0?k[X>>2]|0:X)|0,c|0)|0;p=y;y=0;if(p&1){ea=159;break}y=0;k[aa>>2]=k[L>>2];k[aa+4>>2]=k[L+4>>2];k[aa+8>>2]=k[L+8>>2];Na(108,b|0,S|0,aa|0);p=y;y=0;if(p&1){ea=160;break}A9(S);A9(X);c=k[O>>2]|0}else{e=c+-1|0;k[Q>>2]=h;k[B>>2]=h;k[C>>2]=e;c=k[D>>2]|0;f=k[E>>2]|0;y=0;k[X>>2]=k[Q>>2];k[X+4>>2]=k[Q+4>>2];k[X+8>>2]=k[Q+8>>2];g=aa;o=L;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));ma(12,P|0,X|0,c|0,aa|0,f|0);p=y;y=0;if(p&1){ea=132;break}y=0;Na(111,W|0,P|0,0);p=y;y=0;if(p&1){ea=133;break}c=k[H>>2]|0;f=c;if(c|0){g=k[I>>2]|0;if((g|0)!=(c|0))k[I>>2]=g+(~((g+-4-f|0)>>>2)<<2);cra(c)}c=k[J>>2]|0;if(c|0){f=k[K>>2]|0;if((f|0)!=(c|0)){do{p=f+-8|0;k[K>>2]=p;lc[k[k[p>>2]>>2]&511](p);f=k[K>>2]|0}while((f|0)!=(c|0));c=k[J>>2]|0}cra(c)}p=k[F>>2]|0;i[p+54>>0]=1;c=(k[M>>2]|0)+60|0;f=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,R|0,p|0);p=y;y=0;if(p&1){ea=142;break}k[R>>2]=7284;y=0;oa(f|0,c|0,R|0);p=y;y=0;if(p&1){ea=143;break}DO(R);DO(W);c=j}e=e+1|0;if(e>>>0<c>>>0){m=c;l=q;c=s}else{ea=185;break c}}switch(ea|0){case 84:{c=pb()|0;A9(Y);ea=97;break}case 90:{c=pb()|0;ea=93;break c}case 91:{c=pb()|0;ea=93;break c}case 94:{c=pb()|0;ea=97;break}case 95:{c=pb()|0;DO(U);A9(Y);break c}case 96:{c=pb()|0;A9(Y);if(e)ea=97;else break c;break}case 110:{c=pb()|0;break}case 111:{c=pb()|0;ea=115;break}case 112:{c=pb()|0;ea=114;break}case 113:{c=pb()|0;A9($);ea=114;break}case 132:{c=pb()|0;break c}case 133:{c=pb()|0;h=N;e=k[H>>2]|0;f=e;if(e|0){g=k[I>>2]|0;if((g|0)!=(e|0))k[I>>2]=g+(~((g+-4-f|0)>>>2)<<2);cra(e)}e=k[J>>2]|0;if(!e)break c;f=k[K>>2]|0;if((f|0)!=(e|0)){do{ca=f+-8|0;k[K>>2]=ca;lc[k[k[ca>>2]>>2]&511](ca);f=k[K>>2]|0}while((f|0)!=(e|0));e=k[J>>2]|0}cra(e);break c}case 142:{c=pb()|0;ea=144;break}case 143:{c=pb()|0;DO(R);ea=144;break}case 158:{c=pb()|0;ea=162;break}case 159:{c=pb()|0;A9(S);ea=161;break}case 160:{c=pb()|0;A9(S);ea=161;break}case 164:{if(e>>>0>=m>>>0){ea=185;break c}h=(k[M>>2]|0)+60|0;j=k[(k[h>>2]|0)+20>>2]|0;y=0;l=qa(315,80)|0;ea=y;y=0;if(ea&1){ea=92;break c}g=_;o=L;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;g=m-e|0;if(g>>>0>4294967279){y=0;na(438,ba|0);ea=y;y=0;if(ea&1)ea=181;else ea=170}else if(g>>>0<11){i[ba+11>>0]=g;c=ba;ea=172}else ea=170;if((ea|0)==170){f=g+16&-16;y=0;c=qa(315,f|0)|0;ea=y;y=0;if(ea&1)ea=181;else{k[ba>>2]=c;k[ba+8>>2]=f|-2147483648;k[ba+4>>2]=g;ea=172}}do if((ea|0)==172){if((e|0)!=(m|0)){f=c;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(m|0))break;else f=f+1|0}c=c+g|0}i[c>>0]=0;g=$;o=_;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));y=0;na(422,l|0);aa=y;y=0;if(aa&1)e=1;else{g=l+12|0;o=$;p=g+40|0;do{k[g>>2]=k[o>>2];g=g+4|0;o=o+4|0}while((g|0)<(p|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=4;k[l>>2]=11100;i[l+60>>0]=0;i[l+61>>0]=0;y=0;oa(549,l+64|0,ba|0);aa=y;y=0;if(aa&1){c=pb()|0;A9(ba);break}k[l+76>>2]=0;y=0;oa(460,Z|0,l|0);aa=y;y=0;if(aa&1)e=0;else{k[Z>>2]=7284;y=0;oa(j|0,h|0,Z|0);aa=y;y=0;if(aa&1){c=pb()|0;DO(Z);A9(ba);break c}else{DO(Z);A9(ba);ea=185;break c}}}c=pb()|0;A9(ba);if(!e)break c}else if((ea|0)==181)c=pb()|0;while(0);cra(l);break c}}if((ea|0)==97){cra(n);break}else if((ea|0)==114){A9(X);ea=115}else if((ea|0)==144){DO(W);break}else if((ea|0)==161){A9(X);ea=162}if((ea|0)==115)A9(aa);else if((ea|0)==162)break}else ea=185;while(0);if((ea|0)==185){c=k[M>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(460,a|0,c|0);ea=y;y=0;if(ea&1)ea=92;else{k[a>>2]=7492;DO(da);r=ca;return}}if((ea|0)==92){c=pb()|0;ea=93}DO(da);ea=c;sb(ea|0)}while(0);cra(l);ea=c;sb(ea|0)}function Bd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;u=0;w=r;r=r+384|0;v=w+200|0;t=w+160|0;j=w+120|0;l=w+80|0;f=w+40|0;g=w+252|0;h=w;c=w+376|0;e=w+368|0;d=w+360|0;o=w+320|0;q=w+304|0;p=w+264|0;s=w+240|0;jx(b,0,0)|0;if(gw(b,1,0)|0){d=IM(104)|0;e=h;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,48604,1);b=y;y=0;do if(b&1)c=pb()|0;else{y=0;e=v;m=h;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));Na(85,d|0,v|0,g|0);v=y;y=0;if(v&1){c=pb()|0;A9(g);break}A9(g);k[d>>2]=13300;i[d+101>>0]=1;LT(a,d);k[a>>2]=7284;r=w;return}while(0);cra(d);w=c;sb(w|0)}if(Dv(b,1,0)|0){d=IM(80)|0;e=f;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));y=0;na(422,d|0);b=y;y=0;if(b&1)c=pb()|0;else{e=d+12|0;m=f;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=11100;i[d+60>>0]=0;i[d+61>>0]=0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,48780,10);b=y;y=0;do if(b&1)c=pb()|0;else{y=0;oa(549,d+64|0,v|0);b=y;y=0;if(b&1){c=pb()|0;A9(v);break}A9(v);k[d+76>>2]=0;LT(a,d);k[a>>2]=7284;r=w;return}while(0)}cra(d);w=c;sb(w|0)}if(Ls(b,1,0)|0){d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(v);u=23}else if(g>>>0<11){i[v+11>>0]=g;c=v}else u=23;if((u|0)==23){u=g+16&-16;c=IM(u)|0;k[v>>2]=c;k[v+8>>2]=u|-2147483648;k[v+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;c=Ha(1005,b+108|0,v|0)|0;b=y;y=0;if(!(b&1)){y=0;oa(460,a|0,c|0);b=y;y=0;if(!(b&1)){k[a>>2]=7284;A9(v);r=w;return}}w=pb()|0;A9(v);sb(w|0)}if(Pr(b,1,0)|0){d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(v);u=36}else if(g>>>0<11){i[v+11>>0]=g;c=v}else u=36;if((u|0)==36){u=g+16&-16;c=IM(u)|0;k[v>>2]=c;k[v+8>>2]=u|-2147483648;k[v+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;c=Ha(1004,b+108|0,v|0)|0;b=y;y=0;if(!(b&1)){y=0;oa(460,a|0,c|0);b=y;y=0;if(!(b&1)){k[a>>2]=7284;A9(v);r=w;return}}w=pb()|0;A9(v);sb(w|0)}if(Rs(b,1,0)|0){u=b+156|0;k[v>>2]=k[u>>2];k[v+4>>2]=k[u+4>>2];k[v+8>>2]=k[u+8>>2];Ad(c,b,v,0);y=0;oa(460,a|0,k[c+4>>2]|0);v=y;y=0;if(v&1){w=pb()|0;DO(c);sb(w|0)}else{k[a>>2]=7284;DO(c);r=w;return}}c=k[b+76>>2]|0;n=mW(c)|0;c=Ts(n|0?n:c)|0;if(!((c|0)==0?1:c>>>0>(k[b+80>>2]|0)>>>0)){bd(e,b,c);y=0;oa(460,a|0,k[e+4>>2]|0);v=y;y=0;if(v&1){w=pb()|0;DO(e);sb(w|0)}else{k[a>>2]=7284;DO(e);r=w;return}}if(Av(b,1,0)|0){u=b+156|0;k[v>>2]=k[u>>2];k[v+4>>2]=k[u+4>>2];k[v+8>>2]=k[u+8>>2];Ad(d,b,v,0);y=0;oa(460,a|0,k[d+4>>2]|0);v=y;y=0;if(v&1){w=pb()|0;DO(d);sb(w|0)}else{k[a>>2]=7284;DO(d);r=w;return}}if(kw(b,1,0)|0){c=IM(68)|0;e=l;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));y=0;na(422,c|0);v=y;y=0;if(v&1){w=pb()|0;cra(c);sb(w|0)}else{e=c+12|0;m=l;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=1;k[c+64>>2]=0;k[c+56>>2]=1;LT(a,c);k[a>>2]=7284;r=w;return}}if(ew(b,1,0)|0){c=IM(68)|0;e=j;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));y=0;na(422,c|0);v=y;y=0;if(v&1){w=pb()|0;cra(c);sb(w|0)}else{e=c+12|0;m=j;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=10672;i[c+60>>0]=0;k[c+64>>2]=0;k[c+56>>2]=1;LT(a,c);k[a>>2]=7284;r=w;return}}if(mw(b,1,0)|0){c=IM(60)|0;e=t;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));y=0;na(422,c|0);v=y;y=0;if(v&1){w=pb()|0;cra(c);sb(w|0)}else{e=c+12|0;m=t;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=12584;k[c+56>>2]=8;LT(a,c);k[a>>2]=7284;r=w;return}}if(Yv(b,1,0)|0){c=IM(80)|0;d=b+156|0;y=0;e=v;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));Na(109,c|0,v|0,d|0);v=y;y=0;if(v&1){w=pb()|0;cra(c);sb(w|0)}else{LT(a,c);k[a>>2]=7284;r=w;return}}if(Vv(b,1,0)|0){d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(v);u=77}else if(g>>>0<11){i[v+11>>0]=g;c=v}else u=77;if((u|0)==77){u=g+16&-16;c=IM(u)|0;k[v>>2]=c;k[v+8>>2]=u|-2147483648;k[v+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;c=Ha(1005,b+108|0,v|0)|0;b=y;y=0;if(!(b&1)){y=0;oa(460,a|0,c|0);b=y;y=0;if(!(b&1)){k[a>>2]=7284;A9(v);r=w;return}}w=pb()|0;A9(v);sb(w|0)}if(Kr(b,1,0)|0){d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(v);u=90}else if(g>>>0<11){i[v+11>>0]=g;c=v}else u=90;if((u|0)==90){u=g+16&-16;c=IM(u)|0;k[v>>2]=c;k[v+8>>2]=u|-2147483648;k[v+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;c=Ha(1006,b+108|0,v|0)|0;b=y;y=0;if(!(b&1)){y=0;oa(460,a|0,c|0);b=y;y=0;if(!(b&1)){k[a>>2]=7284;A9(v);r=w;return}}w=pb()|0;A9(v);sb(w|0)}if(Hs(b,1,0)|0){h=IM(80)|0;e=o;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,q|0);b=y;y=0;if(b&1)u=111;else u=103}else if(g>>>0<11){i[q+11>>0]=g;c=q;u=105}else u=103;if((u|0)==103){e=g+16&-16;y=0;c=qa(315,e|0)|0;b=y;y=0;if(b&1)u=111;else{k[q>>2]=c;k[q+8>>2]=e|-2147483648;k[q+4>>2]=g;u=105}}if((u|0)==105){if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;e=v;m=o;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));Ea(2,h|0,v|0,q|0,0,0,0,1);v=y;y=0;do if(v&1)d=1;else{y=0;oa(460,a|0,h|0);v=y;y=0;if(v&1){d=0;break}k[a>>2]=7284;A9(q);r=w;return}while(0);c=pb()|0;A9(q);if(!d){w=c;sb(w|0)}}else if((u|0)==111)c=pb()|0;cra(h);w=c;sb(w|0)}if(or(b,1,0)|0){d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(v);u=119}else if(g>>>0<11){i[v+11>>0]=g;c=v}else u=119;if((u|0)==119){u=g+16&-16;c=IM(u)|0;k[v>>2]=c;k[v+8>>2]=u|-2147483648;k[v+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;c=Ha(1007,b+108|0,v|0)|0;b=y;y=0;do if(!(b&1)){y=0;oa(460,a|0,c|0);b=y;y=0;if(b&1)break;k[a>>2]=7284;A9(v);r=w;return}while(0);w=pb()|0;A9(v);sb(w|0)}if(Fr(b,1,0)|0){c=IM(80)|0;d=b+156|0;y=0;e=v;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));Na(109,c|0,v|0,d|0);v=y;y=0;if(v&1){w=pb()|0;cra(c);sb(w|0)}else{LT(a,c);k[a>>2]=7284;r=w;return}}if(zw(b,1,0)|0){d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;g=f-d|0;do if(g>>>0>4294967279){mN(v);u=136}else{if(g>>>0>=11){u=136;break}i[v+11>>0]=g;c=v}while(0);if((u|0)==136){u=g+16&-16;c=IM(u)|0;k[v>>2]=c;k[v+8>>2]=u|-2147483648;k[v+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;c=Ha(1004,b+108|0,v|0)|0;b=y;y=0;do if(!(b&1)){y=0;oa(460,a|0,c|0);b=y;y=0;if(b&1)break;k[a>>2]=7284;A9(v);r=w;return}while(0);w=pb()|0;A9(v);sb(w|0)}if(!(iw(b,1,0)|0)){if(fs(b,1,0)|0){c=IM(80)|0;d=b+156|0;y=0;e=v;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));Na(109,c|0,v|0,d|0);v=y;y=0;if(v&1){w=pb()|0;cra(c);sb(w|0)}else{LT(a,c);k[a>>2]=7284;r=w;return}}k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;aI(v,43044,11);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(74,t|0,43056,7);u=y;y=0;if(u&1)c=pb()|0;else{k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,43423,44);u=y;y=0;do if(u&1)c=pb()|0;else{y=0;ma(10,b|0,v|0,t|0,j|0,1);b=y;y=0;if(b&1){c=pb()|0;A9(j);break}A9(j);A9(t);A9(v);LT(a,0);k[a>>2]=7284;r=w;return}while(0);A9(t)}A9(v);w=c;sb(w|0)}j=IM(72)|0;e=p;m=b+108|0;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));f=k[b+160>>2]|0;g=k[b+164>>2]|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;h=g-f|0;do if(h>>>0>4294967279){y=0;na(438,t|0);b=y;y=0;if(b&1)u=160;else u=149}else{if(h>>>0>=11){u=149;break}i[t+11>>0]=h;c=t;u=151}while(0);do if((u|0)==149){d=h+16&-16;y=0;c=qa(315,d|0)|0;b=y;y=0;if(b&1){u=160;break}k[t>>2]=c;k[t+8>>2]=d|-2147483648;k[t+4>>2]=h;u=151}while(0);do if((u|0)==151){if((f|0)!=(g|0)){e=c;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}c=c+h|0}i[c>>0]=0;y=0;oa(554,s|0,t|0);b=y;y=0;if(b&1){c=pb()|0;A9(t);break}e=v;m=p;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));y=0;na(422,j|0);b=y;y=0;do if(b&1){c=1;u=162}else{e=j+12|0;m=v;n=e+40|0;do{k[e>>2]=k[m>>2];e=e+4|0;m=m+4|0}while((e|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=10424;y=0;oa(456,j+60|0,s|0);v=y;y=0;if(v&1){c=pb()|0;d=1;break}k[c>>2]=12;y=0;oa(460,a|0,j|0);v=y;y=0;if(v&1){c=0;u=162;break}k[a>>2]=7284;A9(s);A9(t);r=w;return}while(0);if((u|0)==162){w=pb()|0;d=c;c=w}A9(s);A9(t);if(d)break;sb(c|0)}else if((u|0)==160)c=pb()|0;while(0);cra(j);w=c;sb(w|0)}function Cd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;U=0;R=r;r=r+384|0;F=R+80|0;q=R+40|0;p=R;H=R+344|0;d=R+376|0;g=R+360|0;e=R+352|0;T=R+296|0;h=R+304|0;m=R+288|0;n=R+272|0;j=R+264|0;o=R+240|0;l=R+224|0;S=R+280|0;w=R+216|0;x=R+208|0;v=R+200|0;z=R+192|0;A=R+184|0;B=R+176|0;L=R+256|0;I=R+168|0;D=R+160|0;E=R+152|0;G=R+144|0;J=R+136|0;K=R+232|0;P=R+128|0;Q=R+120|0;O=a+20|0;k[F>>2]=b;M=a+24|0;c=k[M>>2]|0;if(c>>>0<(k[a+28>>2]|0)>>>0){k[c>>2]=b;k[M>>2]=(k[M>>2]|0)+4}else mA(O,F);c=k[(k[a>>2]|0)+12>>2]|0;f=b+68|0;LT(d,k[f>>2]|0);k[d>>2]=6868;y=0;c=Ha(c|0,a|0,k[d+4>>2]|0)|0;C=y;y=0;if(C&1){U=pb()|0;DO(d);sb(U|0)}DO(d);a:do if(!(Iaa(c)|0)){k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;aI(g,48934,66);y=0;oa(460,e|0,k[f>>2]|0);C=y;y=0;do if(C&1)c=pb()|0;else{k[e>>2]=6868;y=0;s=F;t=(k[e+4>>2]|0)+12|0;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));oa(454,g|0,F|0);C=y;y=0;if(C&1){c=pb()|0;DO(e);break}else{DO(e);A9(g);break a}}while(0);A9(g);U=c;sb(U|0)}while(0);e=IM(84)|0;s=h;t=b+12|0;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));y=0;oa(460,m|0,k[b+76>>2]|0);C=y;y=0;do if(C&1)c=pb()|0;else{k[m>>2]=6756;y=0;oa(460,n|0,c|0);C=y;y=0;if(C&1){c=pb()|0;DO(m);break}k[n>>2]=6868;y=0;s=F;t=h;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));Ra(32,e|0,F|0,m|0,n|0);C=y;y=0;if(C&1)d=1;else{y=0;oa(460,T|0,e|0);C=y;y=0;if(C&1)d=0;else{k[T>>2]=17180;DO(n);DO(m);C=T+4|0;u=k[C>>2]|0;i[u+80>>0]=i[b+80>>0]|0;k[M>>2]=(k[M>>2]|0)+-4;y=0;oa(460,j|0,k[u+68>>2]|0);u=y;y=0;b:do if(u&1)U=27;else{k[j>>2]=6868;u=(k[j+4>>2]|0)==0;DO(j);c:do if(u){k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,48934,66);u=y;y=0;if(u&1){U=27;break b}y=0;oa(460,l|0,k[f>>2]|0);u=y;y=0;do if(u&1)c=pb()|0;else{k[l>>2]=6868;y=0;s=F;t=(k[l+4>>2]|0)+12|0;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));oa(454,o|0,F|0);u=y;y=0;if(u&1){c=pb()|0;DO(l);break}else{DO(l);A9(o);break c}}while(0);A9(o);break b}while(0);y=0;b=qa(315,88)|0;u=y;y=0;if(u&1)U=27;else{y=0;oa(460,w|0,k[(k[C>>2]|0)+68>>2]|0);u=y;y=0;do if(u&1)c=pb()|0;else{k[w>>2]=6868;s=p;t=(k[w+4>>2]|0)+12|0;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));y=0;na(422,b|0);u=y;y=0;if(u&1)d=1;else{s=b+12|0;t=p;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));k[b>>2]=6564;k[b+52>>2]=0;k[b+56>>2]=0;i[b+60>>0]=0;c=b+64|0;k[c>>2]=6524;g=b+68|0;h=b+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);u=y;y=0;if(u&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{S=e+-8|0;k[h>>2]=S;lc[k[k[S>>2]>>2]&511](S);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}DO(w);break}k[b>>2]=6368;k[c>>2]=6468;i[b+84>>0]=0;y=0;oa(460,S|0,b|0);u=y;y=0;if(u&1)d=0;else{k[S>>2]=6868;DO(w);y=0;n=qa(315,88)|0;w=y;y=0;d:do if(w&1)c=pb()|0;else{y=0;oa(460,x|0,k[(k[C>>2]|0)+68>>2]|0);w=y;y=0;if(w&1)c=pb()|0;else{k[x>>2]=6868;s=q;t=(k[x+4>>2]|0)+12|0;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));y=0;na(422,n|0);w=y;y=0;do if(w&1)c=pb()|0;else{s=n+12|0;t=q;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));k[n>>2]=6564;k[n+52>>2]=0;k[n+56>>2]=0;i[n+60>>0]=0;j=n+64|0;k[j>>2]=6524;m=n+68|0;l=n+72|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(565,m|0,0);w=y;y=0;if(w&1){c=pb()|0;f=N;d=k[m>>2]|0;if(d|0){e=k[l>>2]|0;if((e|0)!=(d|0)){do{R=e+-8|0;k[l>>2]=R;lc[k[k[R>>2]>>2]&511](R);e=k[l>>2]|0}while((e|0)!=(d|0));d=k[m>>2]|0}cra(d)}break}k[n>>2]=6368;k[j>>2]=6468;i[n+84>>0]=0;DO(x);y=0;oa(460,v|0,k[(k[C>>2]|0)+68>>2]|0);x=y;y=0;if(x&1){c=pb()|0;break d}k[v>>2]=6868;b=k[v+4>>2]|0;b=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>3;DO(v);e:do if(!b)d=S+4|0;else{h=z+4|0;d=S+4|0;g=0;f:while(1){y=0;oa(460,z|0,k[(k[C>>2]|0)+68>>2]|0);x=y;y=0;if(x&1){U=74;break}k[z>>2]=6868;c=(k[h>>2]|0)+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,g|0)|0;x=y;y=0;if(x&1){U=75;break}f=k[c+4>>2]|0;DO(z);c=k[f>>2]|0;e=k[81]|0;if((e|0)==(k[(k[c+-4>>2]|0)+4>>2]|0))U=71;else{y=0;c=qa(k[c+80>>2]|0,f|0)|0;x=y;y=0;if(x&1){U=76;break}if(c)U=71}if((U|0)==71){U=0;c=k[(k[j>>2]|0)+20>>2]|0;y=0;oa(460,A|0,f|0);x=y;y=0;if(x&1){U=76;break}k[A>>2]=6508;y=0;oa(c|0,j|0,A|0);x=y;y=0;if(x&1){U=77;break}DO(A)}c=k[f>>2]|0;do if((e|0)!=(k[(k[c+-4>>2]|0)+4>>2]|0)){y=0;c=qa(k[c+80>>2]|0,f|0)|0;x=y;y=0;if(x&1){U=76;break f}if(c)break;c=(k[d>>2]|0)+64|0;e=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,B|0,f|0);x=y;y=0;if(x&1){U=76;break f}k[B>>2]=6508;y=0;oa(e|0,c|0,B|0);x=y;y=0;if(x&1){U=84;break f}DO(B)}while(0);g=g+1|0;if(g>>>0>=b>>>0)break e}if((U|0)==74){c=pb()|0;break d}else if((U|0)==75){c=pb()|0;DO(z);break d}else if((U|0)==76){c=pb()|0;break d}else if((U|0)==77){c=pb()|0;DO(A);break d}else if((U|0)==84){c=pb()|0;DO(B);break d}}while(0);B=k[d>>2]|0;g:do if((k[B+72>>2]|0)!=(k[B+68>>2]|0)){y=0;b=qa(315,88)|0;B=y;y=0;if(B&1){c=pb()|0;break d}y=0;oa(460,I|0,k[(k[C>>2]|0)+68>>2]|0);B=y;y=0;h:do if(B&1)c=pb()|0;else{k[I>>2]=6868;s=F;t=(k[I+4>>2]|0)+12|0;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));y=0;na(422,b|0);B=y;y=0;do if(B&1)d=1;else{s=b+12|0;t=F;u=s+40|0;do{k[s>>2]=k[t>>2];s=s+4|0;t=t+4|0}while((s|0)<(u|0));k[b>>2]=6564;k[b+52>>2]=0;k[b+56>>2]=0;i[b+60>>0]=0;c=b+64|0;k[c>>2]=6524;g=b+68|0;h=b+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);B=y;y=0;if(B&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{R=e+-8|0;k[h>>2]=R;lc[k[k[R>>2]>>2]&511](R);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}DO(I);break h}k[b>>2]=6368;k[c>>2]=6468;i[b+84>>0]=0;y=0;oa(460,L|0,b|0);B=y;y=0;if(B&1){d=0;break}k[L>>2]=6868;DO(I);c=L+4|0;B=(k[c>>2]|0)+64|0;I=k[d>>2]|0;y=0;oa(k[(k[B>>2]|0)+24>>2]|0,B|0,((I|0)==0?0:I+64|0)|0);I=y;y=0;i:do if(I&1)U=110;else{d=k[C>>2]|0;y=0;oa(460,E|0,k[c>>2]|0);I=y;y=0;if(I&1){U=110;break}k[E>>2]=6868;e=d+64|0;c=d+68|0;if(!(k[c>>2]|0))U=101;else{y=0;na(423,e|0);I=y;y=0;if(!(I&1))U=101}do if((U|0)==101){k[c>>2]=k[E+4>>2];y=0;na(424,e|0);I=y;y=0;if(I&1)break;y=0;oa(460,D|0,k[c>>2]|0);I=y;y=0;if(I&1)break;k[D>>2]=6868;DO(D);DO(E);d=(k[l>>2]|0)-(k[m>>2]|0)>>3;j:do if(d|0){c=0;while(1){y=0;e=Ha(k[(k[j>>2]|0)+16>>2]|0,j|0,c|0)|0;I=y;y=0;if(I&1)break;I=(k[e+4>>2]|0)+56|0;k[I>>2]=(k[I>>2]|0)+1;c=c+1|0;if(c>>>0>=d>>>0)break j}c=pb()|0;break i}while(0);y=0;oa(460,J|0,k[C>>2]|0);I=y;y=0;if(I&1){U=110;break i}k[J>>2]=17180;y=0;oa(460,G|0,k[J+4>>2]|0);I=y;y=0;do if(I&1)c=pb()|0;else{k[G>>2]=6508;k[H>>2]=k[m>>2];y=0;k[F>>2]=k[H>>2];ta(152,m|0,F|0,G|0)|0;I=y;y=0;if(I&1){c=pb()|0;DO(G);break}else{DO(G);DO(J);DO(L);break g}}while(0);DO(J);break i}while(0);c=pb()|0;DO(E)}while(0);if((U|0)==110)c=pb()|0;DO(L);break d}while(0);c=pb()|0;DO(I);if(!d)break d}while(0);cra(b);break d}while(0);y=0;f=ta(153,a|0,n|0,0)|0;L=y;y=0;if(L&1){c=pb()|0;break d}do if((n|0)==(f|0))U=128;else{y=0;oa(460,K|0,n|0);L=y;y=0;if(L&1)break;k[K>>2]=6868;DO(K);U=128}while(0);do if((U|0)==128){e=f+72|0;c=k[e>>2]|0;if((c|0)==(k[f+68>>2]|0)){DO(S);DO(T);r=R;return f|0}y=0;oa(460,P|0,k[c+-4>>2]|0);L=y;y=0;if(L&1)break;k[P>>2]=6508;c=k[P+4>>2]|0;d=k[c>>2]|0;do if((k[81]|0)!=(k[(k[d+-4>>2]|0)+4>>2]|0)){y=0;c=qa(k[d+80>>2]|0,c|0)|0;L=y;y=0;if(L&1){c=pb()|0;DO(P);break d}if(c)break;DO(P);DO(S);DO(T);r=R;return f|0}while(0);c=k[M>>2]|0;if((c|0)==(k[O>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;O=(k[(k[c>>2]|0)+52>>2]|0)==1;DO(P);if(O){DO(S);DO(T);r=R;return f|0}y=0;oa(460,Q|0,k[(k[e>>2]|0)+-4>>2]|0);P=y;y=0;if(P&1)break;k[Q>>2]=6508;i[(k[Q+4>>2]|0)+60>>0]=1;DO(Q);DO(S);DO(T);r=R;return f|0}while(0);c=pb()|0;break d}while(0);DO(x)}cra(n)}while(0);DO(S);break b}}c=pb()|0;DO(w);if(!d)break b}while(0);cra(b)}}while(0);if((U|0)==27)c=pb()|0;DO(T);U=c;sb(U|0)}}c=pb()|0;DO(n);DO(m);if(!d){U=c;sb(U|0)}}while(0);cra(e);U=c;sb(U|0);return 0}function Dd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;E=0;x=r;r=r+240|0;u=x+40|0;t=x;G=x+232|0;F=x+216|0;D=x+192|0;q=x+112|0;C=x+96|0;h=x+224|0;B=x+80|0;p=x+200|0;w=x+184|0;v=x+144|0;z=x+136|0;A=x+124|0;s=x+104|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;aI(u,39457,5);y=0;b=Ha(975,a|0,u|0)|0;o=y;y=0;if(!(o&1)){b=k[b+4>>2]|0;if(!b)b=0;else b=(k[229]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;oa(460,G|0,b|0);o=y;y=0;if(!(o&1)){k[G>>2]=16764;A9(u);k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,39457,5);o=y;y=0;do if(o&1){b=pb()|0;E=27}else{y=0;b=Ha(975,a|0,u|0)|0;o=y;y=0;if(!(o&1)){y=0;b=qa(336,k[b+4>>2]|0)|0;o=y;y=0;if(!(o&1)){y=0;oa(460,F|0,b|0);o=y;y=0;if(!(o&1)){k[F>>2]=7172;A9(u);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(74,t|0,39759,4);o=y;y=0;do if(o&1){b=pb()|0;E=30}else{y=0;j=u;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));b=sa(27,t|0,a|0,d|0,u|0,f|0)|0;o=y;y=0;if(!(o&1)){y=0;oa(460,D|0,b|0);o=y;y=0;if(!(o&1)){k[D>>2]=7284;A9(t);k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,39457,5);o=y;y=0;a:do if(o&1){b=pb()|0;E=33}else{y=0;b=Ha(975,a|0,u|0)|0;o=y;y=0;if(o&1){b=pb()|0;A9(u);E=33;break}b=k[b+4>>2]|0;if(!b)b=0;else b=(k[481]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(u);b:do if(b|0){y=0;na(440,q|0);o=y;y=0;if(o&1){b=pb()|0;break a}y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,q|0)|0;o=y;y=0;c:do if(o&1)E=35;else{y=0;b=qa(336,b|0)|0;o=y;y=0;if(o&1){E=35;break}y=0;oa(460,u|0,b|0);o=y;y=0;if(o&1){E=35;break}k[u>>2]=7172;b=F+4|0;do if(k[b>>2]|0){y=0;na(423,F|0);o=y;y=0;if(!(o&1))break;b=pb()|0;DO(u);break c}while(0);o=u+4|0;k[b>>2]=k[o>>2];k[o>>2]=0;DO(u);break b}while(0);if((E|0)==35)b=pb()|0;break a}while(0);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(74,t|0,39623,10);o=y;y=0;if(o&1)b=pb()|0;else{y=0;j=u;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));b=sa(25,t|0,a|0,d|0,u|0,f|0)|0;o=y;y=0;do if(!(o&1)){y=0;oa(460,C|0,b|0);o=y;y=0;if(o&1)break;k[C>>2]=16780;A9(t);o=F+4|0;d:do if(!(k[o>>2]|0)){y=0;n=qa(315,88)|0;m=y;y=0;e:do if(m&1)E=63;else{j=t;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;na(422,n|0);m=y;y=0;do if(m&1)b=pb()|0;else{j=n+12|0;l=t;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=9288;c=n+60|0;k[c>>2]=9248;j=n+64|0;l=n+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(514,j|0,1);m=y;y=0;if(m&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[l>>2]|0;if((g|0)!=(c|0)){do{B=g+-8|0;k[l>>2]=B;lc[k[k[B>>2]>>2]&511](B);g=k[l>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}cra(c)}break}k[n>>2]=9076;k[c>>2]=9208;k[n+80>>2]=1;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;y=0;oa(460,u|0,n|0);n=y;y=0;if(n&1){E=63;break e}k[u>>2]=7172;do if(k[o>>2]|0){y=0;na(423,F|0);n=y;y=0;if(!(n&1))break;b=pb()|0;DO(u);break e}while(0);c=u+4|0;k[o>>2]=k[c>>2];k[c>>2]=0;DO(u);c=(k[o>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(74,t|0,39457,5);n=y;y=0;if(n&1)b=pb()|0;else{y=0;j=u;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));b=sa(27,t|0,a|0,d|0,u|0,f|0)|0;f=y;y=0;do if(f&1)E=69;else{y=0;oa(460,h|0,b|0);f=y;y=0;if(f&1){E=69;break}k[h>>2]=7284;y=0;oa(g|0,c|0,h|0);f=y;y=0;if(f&1){b=pb()|0;DO(h);break}else{DO(h);A9(t);E=73;break d}}while(0);if((E|0)==69)b=pb()|0;A9(t)}break d}while(0);cra(n)}while(0);if((E|0)==63)b=pb()|0}else E=73;while(0);f:do if((E|0)==73){b=k[G+4>>2]|0;g:do if(b|0){y=0;Na(101,u|0,b|0,e|0);f=y;y=0;h:do if(f&1)b=pb()|0;else{do if(k[o>>2]|0){y=0;na(423,F|0);f=y;y=0;if(!(f&1))break;b=pb()|0;DO(u);break h}while(0);f=u+4|0;k[o>>2]=k[f>>2];k[f>>2]=0;DO(u);break g}while(0);break f}while(0);n=k[o>>2]|0;y=0;n=qa(k[(k[n>>2]|0)+12>>2]|0,n|0)|0;f=y;y=0;if(f&1){b=pb()|0;break}y=0;ma(5,B|0,(k[C+4>>2]|0)+64|0,0,0,1);f=y;y=0;if(f&1){b=pb()|0;break}g=B+11|0;c=i[g>>0]|0;h=B+4|0;b=k[h>>2]|0;do if(((c<<24>>24<0?b:c&255)|0)==4){y=0;b=sa(21,B|0,0,-1,39646,4)|0;E=y;y=0;if(E&1){E=tb(0)|0;Sla(E)}if(!b){E=113;break}c=i[g>>0]|0;b=k[h>>2]|0;E=88}else E=88;while(0);i:do if((E|0)==88){do if(((c<<24>>24<0?b:c&255)|0)==5){y=0;b=sa(21,B|0,0,-1,39634,5)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}if(!b){k[n+80>>2]=1;E=113;break i}else{c=i[g>>0]|0;b=k[h>>2]|0;break}}while(0);do if(((c<<24>>24<0?b:c&255)|0)==5){y=0;b=sa(21,B|0,0,-1,39640,5)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}if(b|0)break;k[n+80>>2]=0;E=113;break i}while(0);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;f=IJ(d)|0;y=0;Na(74,q|0,d|0,f|0);d=y;y=0;if(d&1)b=pb()|0;else{y=0;b=ta(46,q|0,0,39651)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[t>>2]=k[b>>2];k[t+4>>2]=k[b+4>>2];k[t+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,t|0,39678)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[p>>2]=k[b>>2];k[p+4>>2]=k[b+4>>2];k[p+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;j=u;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));oa(454,p|0,u|0);e=y;y=0;if(e&1){b=pb()|0;A9(p);break}else{A9(p);A9(t);A9(q);E=113;break i}}while(0);A9(t)}A9(q)}}while(0);j:do if((E|0)==113){c=n+60|0;g=k[(k[c>>2]|0)+20>>2]|0;do if(!(i[(k[o>>2]|0)+84>>0]|0)){y=0;oa(460,s|0,k[D+4>>2]|0);A=y;y=0;if(A&1)break;k[s>>2]=7284;y=0;oa(g|0,c|0,s|0);A=y;y=0;if(A&1){b=pb()|0;DO(s);break j}DO(s);A9(B);DO(C);DO(D);DO(F);DO(G);r=x;return n|0}else{y=0;h=qa(315,88)|0;e=y;y=0;if(e&1)break;b=k[D+4>>2]|0;j=v;l=b+12|0;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;oa(460,z|0,b|0);e=y;y=0;do if(e&1)b=pb()|0;else{k[z>>2]=7284;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,87975,0);e=y;y=0;if(e&1){b=pb()|0;DO(z);break}j=u;l=v;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;na(422,h|0);v=y;y=0;k:do if(v&1){b=1;E=128}else{j=h+12|0;l=u;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=0;k[h>>2]=9828;b=h+60|0;y=0;oa(460,b|0,k[z+4>>2]|0);v=y;y=0;do if(v&1)b=pb()|0;else{k[b>>2]=7284;y=0;oa(456,h+68|0,A|0);v=y;y=0;if(v&1){E=pb()|0;DO(b);b=E;break}i[h+80>>0]=0;i[h+81>>0]=0;k[h+84>>2]=0;y=0;oa(460,w|0,h|0);v=y;y=0;if(v&1){b=0;E=128;break k}k[w>>2]=7284;y=0;oa(g|0,c|0,w|0);v=y;y=0;if(v&1){b=pb()|0;DO(w);c=0;break k}DO(w);A9(A);DO(z);A9(B);DO(C);DO(D);DO(F);DO(G);r=x;return n|0}while(0);c=1;E=129}while(0);if((E|0)==128){x=pb()|0;c=b;b=x;E=129}A9(A);DO(z);if(!c)break j}while(0);cra(h);break j}while(0);b=pb()|0}while(0);A9(B)}while(0);DO(C);break a}while(0);b=pb()|0;A9(t)}}while(0);DO(D);break}}b=pb()|0;A9(t);E=30}while(0);DO(F);break}}}b=pb()|0;A9(u);E=27}while(0);DO(G);G=b;sb(G|0)}}G=pb()|0;A9(u);sb(G|0);return 0}function Ed(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;K=0;E=r;r=r+320|0;H=E+280|0;B=E+256|0;x=E+232|0;m=E+152|0;L=E+144|0;J=E+88|0;o=E+268|0;p=E+244|0;t=E+192|0;z=E+136|0;w=E+128|0;A=E+120|0;u=E+112|0;I=E+32|0;s=E+8|0;v=E+104|0;C=E+48|0;F=E+40|0;G=E+24|0;D=E;LT(L,0);k[L>>2]=7492;y=0;c=ta(139,b|0,1,0)|0;q=y;y=0;a:do if(!(q&1)){b:do if(!c){y=0;c=ta(140,b|0,1,0)|0;q=y;y=0;if(q&1)break a;if(c|0){y=0;c=qa(315,80)|0;q=y;y=0;do if(q&1)K=19;else{d=b+156|0;y=0;g=H;h=b+108|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));Na(109,c|0,H|0,d|0);q=y;y=0;if(q&1){J=pb()|0;cra(c);c=J;break}y=0;oa(460,B|0,c|0);q=y;y=0;if(q&1)K=19;else{k[B>>2]=7492;c=L+4|0;if(k[c>>2]|0){y=0;na(423,L|0);q=y;y=0;if(q&1){c=pb()|0;DO(B);break}}q=B+4|0;k[c>>2]=k[q>>2];k[q>>2]=0;DO(B);break b}}while(0);if((K|0)==19)c=pb()|0;K=c;DO(L);sb(K|0)}k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;y=0;Na(74,H|0,43044,11);q=y;y=0;if(q&1)c=pb()|0;else{k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(74,B|0,43056,7);q=y;y=0;if(q&1)c=pb()|0;else{k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,43592,20);q=y;y=0;do if(q&1)c=pb()|0;else{y=0;ma(10,b|0,H|0,B|0,x|0,1);q=y;y=0;if(q&1){c=pb()|0;A9(x);break}else{A9(x);A9(B);A9(H);break b}}while(0);A9(B)}A9(H)}K=c;DO(L);sb(K|0)}else{y=0;oa(586,H|0,b|0);q=y;y=0;do if(q&1)c=pb()|0;else{c=L+4|0;if(k[c>>2]|0){y=0;na(423,L|0);q=y;y=0;if(q&1){c=pb()|0;DO(H);break}}q=H+4|0;k[c>>2]=k[q>>2];k[q>>2]=0;DO(H);break b}while(0);K=c;DO(L);sb(K|0)}while(0);l=b+156|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,J|0);K=y;y=0;if(K&1)K=52;else K=39}else if(g>>>0<11){i[J+11>>0]=g;c=J}else K=39;if((K|0)==39){e=g+16&-16;y=0;c=qa(315,e|0)|0;q=y;y=0;if(q&1)K=52;else{k[J>>2]=c;k[J+8>>2]=e|-2147483648;k[J+4>>2]=g}}if((K|0)==52){K=pb()|0;DO(L);sb(K|0)}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;k[H>>2]=k[l>>2];k[H+4>>2]=k[l+4>>2];k[H+8>>2]=k[l+8>>2];n=b+76|0;d=k[n>>2]|0;e=b+84|0;k[B>>2]=k[e>>2];k[B+4>>2]=k[e+4>>2];k[B+8>>2]=k[e+8>>2];f=b+96|0;k[x>>2]=k[f>>2];k[x+4>>2]=k[f+4>>2];k[x+8>>2]=k[f+8>>2];q=b+108|0;g=m;h=q;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;ta(53,b|0,1,0)|0;j=y;y=0;c:do if(j&1)K=53;else{y=0;c=ta(141,b|0,1,0)|0;j=y;y=0;if(j&1)K=53;else{d:do if(!c){g=q;h=m;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));k[l>>2]=k[H>>2];k[l+4>>2]=k[H+4>>2];k[l+8>>2]=k[H+8>>2];k[n>>2]=d;k[f>>2]=k[x>>2];k[f+4>>2]=k[x+4>>2];k[f+8>>2]=k[x+8>>2];k[e>>2]=k[B>>2];k[e+4>>2]=k[B+4>>2];k[e+8>>2]=k[B+8>>2];k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;c=J+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[J+4>>2]|0:d&255;y=0;Ra(10,B|0,44172,10,d+10|0);m=y;y=0;if(m&1)K=54;else{y=0;ta(41,B|0,((i[c>>0]|0)<0?k[J>>2]|0:J)|0,d|0)|0;m=y;y=0;if(m&1)K=54;else{y=0;c=Ha(974,B|0,44183)|0;m=y;y=0;do if(m&1)c=pb()|0;else{k[o>>2]=k[c>>2];k[o+4>>2]=k[c+4>>2];k[o+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;m=b+108|0;y=0;k[H>>2]=k[m>>2];k[H+4>>2]=k[m+4>>2];k[H+8>>2]=k[m+8>>2];Na(108,b|0,o|0,H|0);m=y;y=0;if(m&1){c=pb()|0;A9(o);break}else{A9(o);A9(B);break d}}while(0);A9(B)}}if((K|0)==54){c=pb()|0;A9(B)}break c}while(0);y=0;ta(53,b|0,0,0)|0;o=y;y=0;if(o&1)K=53;else{y=0;c=qa(343,k[n>>2]|0)|0;o=y;y=0;if(o&1)K=53;else{e=b+80|0;if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[n>>2]|0;y=0;d=qa(344,c|0)|0;o=y;y=0;if(o&1)K=53;else{o=d|0?d:c;o=(i[o>>0]|0)==59?o+1|0:0;do if(!((o|0)==0?1:o>>>0>(k[e>>2]|0)>>>0)){k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(74,p|0,44211,38);o=y;y=0;if(o&1){K=53;break c}o=b+108|0;y=0;k[H>>2]=k[o>>2];k[H+4>>2]=k[o+4>>2];k[H+8>>2]=k[o+8>>2];Na(108,b|0,p|0,H|0);o=y;y=0;if(o&1){c=pb()|0;A9(p);break c}else{A9(p);break}}while(0);y=0;c=qa(343,k[n>>2]|0)|0;p=y;y=0;if(p&1)K=53;else{if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[n>>2]|0;y=0;d=qa(344,c|0)|0;p=y;y=0;if(p&1)K=53;else{f=d|0?d:c;f=(i[f>>0]|0)==123?f+1|0:0;f=(f|0)==0?1:f>>>0>(k[e>>2]|0)>>>0;y=0;c=qa(343,k[n>>2]|0)|0;p=y;y=0;if(p&1)K=53;else{if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[n>>2]|0;y=0;d=qa(344,c|0)|0;p=y;y=0;if(p&1)K=53;else{y=0;c=qa(349,(d|0?d:c)|0)|0;p=y;y=0;if(p&1){K=53;break}if(!((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)){y=0;e=qa(315,92)|0;I=y;y=0;if(I&1){K=53;break}c=k[L+4>>2]|0;g=t;h=c+12|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(460,z|0,c|0);I=y;y=0;do if(I&1)c=pb()|0;else{k[z>>2]=7492;y=0;oa(618,A|0,b|0);I=y;y=0;if(I&1){c=pb()|0;DO(z);break}y=0;oa(460,w|0,k[A+4>>2]|0);I=y;y=0;if(I&1){c=pb()|0;d=1}else{k[w>>2]=7284;y=0;oa(460,u|0,0);I=y;y=0;if(I&1){c=pb()|0;d=1}else{k[u>>2]=6868;y=0;g=H;h=t;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));ya(21,e|0,H|0,z|0,w|0,0,u|0);I=y;y=0;do if(I&1)c=1;else{y=0;oa(460,a|0,e|0);I=y;y=0;if(I&1){c=0;break}k[a>>2]=17100;DO(u);DO(w);DO(A);DO(z);A9(J);DO(L);r=E;return}while(0);I=pb()|0;DO(u);d=c;c=I}DO(w)}DO(A);DO(z);if(!d)break c}while(0);cra(e);break}y=0;oa(460,I|0,0);A=y;y=0;if(A&1){K=53;break}k[I>>2]=7284;y=0;Na(122,s|0,b|0,k[n>>2]|0);A=y;y=0;if(A&1)c=pb()|0;else{c=k[s>>2]|0;e:do if(!c){y=0;Na(111,H|0,b|0,1);A=y;y=0;f:do if(A&1)c=pb()|0;else{c=I+4|0;do if(k[c>>2]|0){y=0;na(423,I|0);A=y;y=0;if(!(A&1))break;c=pb()|0;DO(H);break f}while(0);A=H+4|0;k[c>>2]=k[A>>2];k[A>>2]=0;DO(H);y=0;c=qa(336,k[c>>2]|0)|0;A=y;y=0;if(A&1){K=134;break e}if(!c){K=143;break e}if((k[c+68>>2]|0)!=(k[c+64>>2]|0)){K=143;break e}c=k[n>>2]|0;y=0;d=qa(344,c|0)|0;A=y;y=0;if(A&1){c=pb()|0;break e}A=d|0?d:c;A=(i[A>>0]|0)==123?A+1|0:0;if(!((A|0)==0?1:A>>>0>(k[e>>2]|0)>>>0)){K=143;break e}k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;y=0;Na(74,H|0,43044,11);A=y;y=0;if(A&1)c=pb()|0;else{k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(74,B|0,43056,7);A=y;y=0;if(A&1)c=pb()|0;else{k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,43423,44);A=y;y=0;do if(A&1)c=pb()|0;else{y=0;ma(10,b|0,H|0,B|0,x|0,1);A=y;y=0;if(A&1){c=pb()|0;A9(x);break}else{A9(x);A9(B);A9(H);K=143;break e}}while(0);A9(B)}A9(H)}break e}while(0)}else{if(!(i[s+13>>0]|0)){y=0;Na(111,H|0,b|0,1);B=y;y=0;g:do if(B&1)c=pb()|0;else{c=I+4|0;do if(k[c>>2]|0){y=0;na(423,I|0);B=y;y=0;if(!(B&1))break;c=pb()|0;DO(H);break g}while(0);K=H+4|0;k[c>>2]=k[K>>2];k[K>>2]=0;DO(H);K=143;break e}while(0);break}y=0;Na(115,v|0,b|0,c|0);B=y;y=0;if(B&1)c=pb()|0;else{y=0;oa(460,H|0,k[v+4>>2]|0);B=y;y=0;h:do if(B&1)c=pb()|0;else{k[H>>2]=7284;c=I+4|0;do if(k[c>>2]|0){y=0;na(423,I|0);B=y;y=0;if(!(B&1))break;c=pb()|0;DO(H);break h}while(0);K=H+4|0;k[c>>2]=k[K>>2];k[K>>2]=0;DO(H);DO(v);K=143;break e}while(0);DO(v)}}while(0);i:do if((K|0)==143){y=0;ta(53,b|0,0,0)|0;b=y;y=0;if(b&1){K=134;break}y=0;e=qa(315,92)|0;b=y;y=0;if(b&1){K=134;break}c=k[L+4>>2]|0;g=C;h=c+12|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(460,F|0,c|0);b=y;y=0;do if(b&1)c=pb()|0;else{k[F>>2]=7492;y=0;oa(460,G|0,k[I+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;DO(F);break}k[G>>2]=7284;y=0;oa(460,D|0,0);b=y;y=0;if(b&1){c=pb()|0;d=1}else{k[D>>2]=6868;y=0;g=H;h=C;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));ya(21,e|0,H|0,F|0,G|0,0,D|0);H=y;y=0;do if(H&1)c=1;else{y=0;oa(460,a|0,e|0);H=y;y=0;if(H&1){c=0;break}k[a>>2]=17100;DO(D);DO(G);DO(F);H=k[a+4>>2]|0;i[H+89>>0]=f&1;y=0;oa(568,H|0,q|0);H=y;y=0;if(H&1){c=pb()|0;DO(a);break i}DO(I);A9(J);DO(L);r=E;return}while(0);H=pb()|0;DO(D);d=c;c=H}DO(G);DO(F);if(!d)break i}while(0);cra(e)}while(0);if((K|0)==134)c=pb()|0}DO(I)}}}}}}}}}while(0);if((K|0)==53)c=pb()|0;A9(J);K=c;DO(L);sb(K|0)}while(0);K=pb()|0;DO(L);sb(K|0)}function Fd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;ba=0;X=r;r=r+688|0;U=X+648|0;K=X+636|0;L=X+624|0;O=X+584|0;F=X+568|0;G=X+556|0;H=X+544|0;I=X+504|0;E=X+488|0;B=X+476|0;C=X+464|0;D=X+424|0;o=X+412|0;p=X+400|0;q=X+376|0;s=X+336|0;j=X+272|0;l=X+248|0;m=X+224|0;n=X+184|0;V=X+64|0;c=X+388|0;aa=X+40|0;t=X+296|0;z=X+284|0;A=X+260|0;v=X+240|0;x=X+168|0;$=X+16|0;_=X;J=X+156|0;R=X+144|0;T=X+104|0;Y=X+52|0;Z=X+28|0;W=X+8|0;S=b+108|0;f=V;g=S;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));M=b+156|0;k[U>>2]=k[M>>2];k[U+4>>2]=k[M+4>>2];k[U+8>>2]=k[M+8>>2];N=b+76|0;d=k[N>>2]|0;P=b+84|0;k[K>>2]=k[P>>2];k[K+4>>2]=k[P+4>>2];k[K+8>>2]=k[P+8>>2];Q=b+96|0;k[L>>2]=k[Q>>2];k[L+4>>2]=k[Q+4>>2];k[L+8>>2]=k[Q+8>>2];f=O;g=S;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));jx(b,1,0)|0;do if(!(xv(b,1,0)|0)){f=S;g=O;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));k[M>>2]=k[U>>2];k[M+4>>2]=k[U+4>>2];k[M+8>>2]=k[U+8>>2];k[N>>2]=d;k[Q>>2]=k[L>>2];k[Q+4>>2]=k[L+4>>2];k[Q+8>>2]=k[L+8>>2];k[P>>2]=k[K>>2];k[P+4>>2]=k[K+4>>2];k[P+8>>2]=k[K+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,43229,44);y=0;k[U>>2]=k[S>>2];k[U+4>>2]=k[S+4>>2];k[U+8>>2]=k[S+8>>2];Na(108,b|0,c|0,U|0);w=y;y=0;if(!(w&1)){A9(c);break}ba=pb()|0;A9(c);sb(ba|0)}while(0);u=b+160|0;d=k[u>>2]|0;w=b+164|0;f=k[w>>2]|0;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(aa);ba=10}else if(g>>>0<11){i[aa+11>>0]=g;c=aa}else ba=10;if((ba|0)==10){h=g+16&-16;c=IM(h)|0;k[aa>>2]=c;k[aa+8>>2]=h|-2147483648;k[aa+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;k[j>>2]=k[M>>2];k[j+4>>2]=k[M+4>>2];k[j+8>>2]=k[M+8>>2];d=k[N>>2]|0;k[l>>2]=k[P>>2];k[l+4>>2]=k[P+4>>2];k[l+8>>2]=k[P+8>>2];k[m>>2]=k[Q>>2];k[m+4>>2]=k[Q+4>>2];k[m+8>>2]=k[Q+8>>2];f=n;g=S;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;ta(53,b|0,1,0)|0;h=y;y=0;a:do if(h&1)ba=25;else{y=0;c=ta(69,b|0,1,0)|0;h=y;y=0;if(h&1)ba=25;else{if(c|0){y=0;e=qa(315,124)|0;$=y;y=0;if($&1){ba=25;break}f=t;g=V;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(456,z|0,aa|0);$=y;y=0;do if($&1)c=pb()|0;else{k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,87975,0);$=y;y=0;if($&1){c=pb()|0;A9(z);break}y=0;oa(460,v|0,0);$=y;y=0;if($&1){c=pb()|0;d=1}else{k[v>>2]=7492;y=0;f=U;g=t;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));ma(11,e|0,U|0,z|0,A|0,v|0);$=y;y=0;if($&1)d=1;else{y=0;oa(460,a|0,e|0);$=y;y=0;if($&1)d=0;else{k[a>>2]=17052;DO(v);A9(A);A9(z);A9(aa);r=X;return}}c=pb()|0;DO(v)}A9(A);A9(z);if(!d)break a}while(0);cra(e);break}f=S;g=n;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));k[M>>2]=k[j>>2];k[M+4>>2]=k[j+4>>2];k[M+8>>2]=k[j+8>>2];k[N>>2]=d;k[Q>>2]=k[m>>2];k[Q+4>>2]=k[m+4>>2];k[Q+8>>2]=k[m+8>>2];k[P>>2]=k[l>>2];k[P+4>>2]=k[l+4>>2];k[P+8>>2]=k[l+8>>2];k[o>>2]=k[M>>2];k[o+4>>2]=k[M+4>>2];k[o+8>>2]=k[M+8>>2];k[p>>2]=k[P>>2];k[p+4>>2]=k[P+4>>2];k[p+8>>2]=k[P+8>>2];k[q>>2]=k[Q>>2];k[q+4>>2]=k[Q+4>>2];k[q+8>>2]=k[Q+8>>2];f=s;g=S;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;ta(53,b|0,1,0)|0;A=y;y=0;if(A&1)ba=25;else{y=0;c=ta(70,b|0,1,0)|0;A=y;y=0;if(A&1)ba=25;else{do if(!c){f=S;g=s;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));k[M>>2]=k[o>>2];k[M+4>>2]=k[o+4>>2];k[M+8>>2]=k[o+8>>2];k[N>>2]=d;k[Q>>2]=k[q>>2];k[Q+4>>2]=k[q+4>>2];k[Q+8>>2]=k[q+8>>2];k[P>>2]=k[p>>2];k[P+4>>2]=k[p+4>>2];k[P+8>>2]=k[p+8>>2];k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;c=aa+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[aa+4>>2]|0:d&255;y=0;Ra(10,x|0,43274,43,d+43|0);A=y;y=0;if(!(A&1)){y=0;ta(41,x|0,((i[c>>0]|0)<0?k[aa>>2]|0:aa)|0,d|0)|0;A=y;y=0;if(!(A&1)){y=0;k[U>>2]=k[S>>2];k[U+4>>2]=k[S+4>>2];k[U+8>>2]=k[S+8>>2];Na(108,b|0,x|0,U|0);A=y;y=0;if(A&1){c=pb()|0;A9(x);break a}else{A9(x);break}}}c=pb()|0;A9(x);ba=26;break a}while(0);d=k[u>>2]|0;f=k[w>>2]|0;k[$>>2]=0;k[$+4>>2]=0;k[$+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,$|0);ba=y;y=0;if(ba&1){ba=25;break}else ba=46}else if(g>>>0<11){i[$+11>>0]=g;c=$}else ba=46;if((ba|0)==46){e=g+16&-16;y=0;c=qa(315,e|0)|0;A=y;y=0;if(A&1){ba=25;break}k[$>>2]=c;k[$+8>>2]=e|-2147483648;k[$+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;oa(460,_|0,0);A=y;y=0;if(A&1)c=pb()|0;else{k[_>>2]=7492;k[E>>2]=k[M>>2];k[E+4>>2]=k[M+4>>2];k[E+8>>2]=k[M+8>>2];d=k[N>>2]|0;k[B>>2]=k[P>>2];k[B+4>>2]=k[P+4>>2];k[B+8>>2]=k[P+8>>2];k[C>>2]=k[Q>>2];k[C+4>>2]=k[Q+4>>2];k[C+8>>2]=k[Q+8>>2];f=D;g=S;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;ta(53,b|0,1,0)|0;A=y;y=0;b:do if(A&1)ba=63;else{y=0;c=ta(48,b|0,1,0)|0;A=y;y=0;if(A&1)ba=63;else{c:do if(!c){f=S;g=D;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));k[M>>2]=k[E>>2];k[M+4>>2]=k[E+4>>2];k[M+8>>2]=k[E+8>>2];k[N>>2]=d;k[Q>>2]=k[C>>2];k[Q+4>>2]=k[C+4>>2];k[Q+8>>2]=k[C+8>>2];k[P>>2]=k[B>>2];k[P+4>>2]=k[B+4>>2];k[P+8>>2]=k[B+8>>2];k[F>>2]=k[M>>2];k[F+4>>2]=k[M+4>>2];k[F+8>>2]=k[M+8>>2];k[G>>2]=k[P>>2];k[G+4>>2]=k[P+4>>2];k[G+8>>2]=k[P+8>>2];k[H>>2]=k[Q>>2];k[H+4>>2]=k[Q+4>>2];k[H+8>>2]=k[Q+8>>2];f=I;g=S;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;ta(53,b|0,1,0)|0;E=y;y=0;if(E&1){ba=63;break b}y=0;c=ta(71,b|0,1,0)|0;E=y;y=0;if(E&1){ba=63;break b}if(!c){f=S;g=I;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));k[M>>2]=k[F>>2];k[M+4>>2]=k[F+4>>2];k[M+8>>2]=k[F+8>>2];k[N>>2]=d;k[Q>>2]=k[H>>2];k[Q+4>>2]=k[H+4>>2];k[Q+8>>2]=k[H+8>>2];k[P>>2]=k[G>>2];k[P+4>>2]=k[G+4>>2];k[P+8>>2]=k[G+8>>2];k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;c=aa+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[aa+4>>2]|0:d&255;y=0;Ra(10,J|0,43318,67,d+67|0);I=y;y=0;do if(!(I&1)){y=0;ta(41,J|0,((i[c>>0]|0)<0?k[aa>>2]|0:aa)|0,d|0)|0;I=y;y=0;if(I&1)break;y=0;k[U>>2]=k[S>>2];k[U+4>>2]=k[S+4>>2];k[U+8>>2]=k[S+8>>2];Na(108,b|0,J|0,U|0);I=y;y=0;if(I&1){c=pb()|0;A9(J);break b}else{A9(J);break c}}while(0);c=pb()|0;A9(J);ba=64;break b}y=0;k[U>>2]=k[M>>2];k[U+4>>2]=k[M+4>>2];k[U+8>>2]=k[M+8>>2];Ra(27,K|0,b|0,U|0,1);J=y;y=0;d:do if(J&1)c=pb()|0;else{c=_+4|0;do if(k[c>>2]|0){y=0;na(423,_|0);J=y;y=0;if(!(J&1))break;c=pb()|0;DO(K);break d}while(0);J=K+4|0;k[c>>2]=k[J>>2];k[J>>2]=0;DO(K);break c}while(0);break b}else{y=0;c=qa(315,80)|0;J=y;y=0;e:do if(J&1)ba=65;else{y=0;f=U;g=V;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Na(109,c|0,U|0,M|0);J=y;y=0;if(J&1){Z=pb()|0;cra(c);c=Z;break}y=0;oa(460,K|0,c|0);J=y;y=0;if(J&1){ba=65;break}k[K>>2]=7492;c=_+4|0;do if(k[c>>2]|0){y=0;na(423,_|0);J=y;y=0;if(!(J&1))break;c=pb()|0;DO(K);break e}while(0);J=K+4|0;k[c>>2]=k[J>>2];k[J>>2]=0;DO(K);break c}while(0);if((ba|0)==65)c=pb()|0;break b}while(0);k[U>>2]=k[M>>2];k[U+4>>2]=k[M+4>>2];k[U+8>>2]=k[M+8>>2];d=k[N>>2]|0;k[K>>2]=k[P>>2];k[K+4>>2]=k[P+4>>2];k[K+8>>2]=k[P+8>>2];k[L>>2]=k[Q>>2];k[L+4>>2]=k[Q+4>>2];k[L+8>>2]=k[Q+8>>2];f=O;g=S;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;ta(53,b|0,1,0)|0;J=y;y=0;if(J&1)ba=63;else{y=0;c=ta(69,b|0,1,0)|0;J=y;y=0;if(J&1)ba=63;else{f:do if(!c){f=S;g=O;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));k[M>>2]=k[U>>2];k[M+4>>2]=k[U+4>>2];k[M+8>>2]=k[U+8>>2];k[N>>2]=d;k[Q>>2]=k[L>>2];k[Q+4>>2]=k[L+4>>2];k[Q+8>>2]=k[L+8>>2];k[P>>2]=k[K>>2];k[P+4>>2]=k[K+4>>2];k[P+8>>2]=k[K+8>>2];k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;c=aa+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[aa+4>>2]|0:d&255;y=0;Ra(10,R|0,43386,36,d+36|0);Q=y;y=0;do if(!(Q&1)){y=0;ta(41,R|0,((i[c>>0]|0)<0?k[aa>>2]|0:aa)|0,d|0)|0;Q=y;y=0;if(Q&1)break;y=0;k[U>>2]=k[S>>2];k[U+4>>2]=k[S+4>>2];k[U+8>>2]=k[S+8>>2];Na(108,b|0,R|0,U|0);S=y;y=0;if(S&1){c=pb()|0;A9(R);break b}else{A9(R);break f}}while(0);c=pb()|0;A9(R);ba=64;break b}while(0);y=0;e=qa(315,124)|0;S=y;y=0;if(S&1){ba=63;break}f=T;g=V;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(456,Y|0,aa|0);V=y;y=0;do if(V&1)c=pb()|0;else{y=0;oa(456,Z|0,$|0);V=y;y=0;if(V&1){c=pb()|0;A9(Y);break}y=0;oa(460,W|0,k[_+4>>2]|0);V=y;y=0;if(V&1){c=pb()|0;d=1}else{k[W>>2]=7492;y=0;f=U;g=T;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));ma(11,e|0,U|0,Y|0,Z|0,W|0);V=y;y=0;do if(V&1)c=1;else{y=0;oa(460,a|0,e|0);V=y;y=0;if(V&1){c=0;break}k[a>>2]=17052;DO(W);A9(Z);A9(Y);DO(_);A9($);A9(aa);r=X;return}while(0);X=pb()|0;DO(W);d=c;c=X}A9(Z);A9(Y);if(!d)break b}while(0);cra(e)}}}}while(0);if((ba|0)==63){c=pb()|0;ba=64}DO(_)}A9($)}}}}while(0);if((ba|0)==25){c=pb()|0;ba=26}A9(aa);ba=c;sb(ba|0)}function Gd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;F=0;E=r;r=r+208|0;C=E+40|0;D=E;h=E+184|0;G=E+92|0;q=E+172|0;c=E+160|0;w=E+80|0;t=E+152|0;u=E+140|0;v=E+128|0;x=E+120|0;A=E+112|0;B=E+104|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;aI(D,39463,2);y=0;j=C;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));n=sa(23,D|0,a|0,d|0,C|0,f|0)|0;z=y;y=0;if(z&1){G=pb()|0;A9(D);sb(G|0)}A9(D);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;aI(C,39457,5);y=0;b=Ha(975,a|0,C|0)|0;z=y;y=0;if(z&1){G=pb()|0;A9(C);sb(G|0)}b=k[b+4>>2]|0;if(!b)z=0;else z=(k[229]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(C);k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;aI(C,39457,5);y=0;b=Ha(975,a|0,C|0)|0;s=y;y=0;if(s&1){G=pb()|0;A9(C);sb(G|0)}b=k[b+4>>2]|0;if(!b)g=0;else g=(k[481]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(C);if(g|0){if(!z){B=k[g+80>>2]|0;A=k[g+76>>2]|0;b=B-A>>3;if((A|0)==(B|0))F=12}else{B=k[z+88>>2]|0;A=k[z+84>>2]|0;b=B-A>>3;if((A|0)==(B|0))F=12}a:do if((F|0)==12){k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;aI(G,d,IJ(d)|0);y=0;c=ta(46,G|0,0,39466)|0;B=y;y=0;if(B&1)b=pb()|0;else{k[D>>2]=k[c>>2];k[D+4>>2]=k[c+4>>2];k[D+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(974,D|0,39488)|0;B=y;y=0;do if(B&1)b=pb()|0;else{k[h>>2]=k[c>>2];k[h+4>>2]=k[c+4>>2];k[h+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;j=C;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(454,h|0,C|0);B=y;y=0;if(B&1){b=pb()|0;A9(h);break}else{A9(h);A9(D);A9(G);break a}}while(0);A9(D)}A9(G);G=b;sb(G|0)}while(0);l=+p[n+64>>3];l=+O(+(l+(l<0.0?+(b>>>0):-1.0)));if(l<0.0)F=26;else if(l>+((b+-1|0)>>>0))F=26;b:do if((F|0)==26){k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;aI(G,d,IJ(d)|0);y=0;b=ta(46,G|0,0,39508)|0;F=y;y=0;if(F&1)b=pb()|0;else{k[D>>2]=k[b>>2];k[D+4>>2]=k[b+4>>2];k[D+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,D|0,47187)|0;F=y;y=0;do if(F&1)b=pb()|0;else{k[q>>2]=k[b>>2];k[q+4>>2]=k[b+4>>2];k[q+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;j=C;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(454,q|0,C|0);F=y;y=0;if(F&1){b=pb()|0;A9(q);break}else{A9(q);A9(D);A9(G);break b}}while(0);A9(D)}A9(G);G=b;sb(G|0)}while(0);Moa(C);b=k[(k[g+76>>2]|0)+(~~l<<3)+4>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,C|0)|0;G=y;y=0;if(G&1){G=pb()|0;sb(G|0)}else{G=b;r=E;return G|0}}k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;aI(C,39457,5);y=0;b=Ha(975,a|0,C|0)|0;s=y;y=0;if(!(s&1)){y=0;b=qa(336,k[b+4>>2]|0)|0;s=y;y=0;if(!(s&1)){y=0;oa(460,G|0,b|0);s=y;y=0;if(!(s&1)){k[G>>2]=7172;A9(C);q=n+64|0;c:do if(+p[q>>3]==0.0){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;s=IJ(d)|0;y=0;Na(74,w|0,d|0,s|0);s=y;y=0;if(s&1)b=pb()|0;else{y=0;b=ta(46,w|0,0,39534)|0;s=y;y=0;if(s&1)b=pb()|0;else{k[D>>2]=k[b>>2];k[D+4>>2]=k[b+4>>2];k[D+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,D|0,39553)|0;s=y;y=0;do if(s&1)b=pb()|0;else{k[c>>2]=k[b>>2];k[c+4>>2]=k[b+4>>2];k[c+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;j=C;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(454,c|0,C|0);s=y;y=0;if(s&1){b=pb()|0;A9(c);break}else{A9(c);A9(D);A9(w);F=55;break c}}while(0);A9(D)}A9(w)}}else F=55;while(0);d:do if((F|0)==55){s=(z|0)!=0;if(s){f=k[z+88>>2]|0;a=k[z+84>>2]|0;b=f-a>>3;if((a|0)==(f|0))F=86}else{h=G+4|0;c=k[h>>2]|0;e:do if(!c){y=0;n=qa(315,88)|0;o=y;y=0;f:do if(o&1)F=74;else{j=C;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));y=0;na(422,n|0);o=y;y=0;do if(o&1)b=pb()|0;else{j=n+12|0;m=C;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=9288;c=n+60|0;k[c>>2]=9248;j=n+64|0;m=n+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(514,j|0,1);o=y;y=0;if(o&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[m>>2]|0;if((g|0)!=(c|0)){do{E=g+-8|0;k[m>>2]=E;lc[k[k[E>>2]>>2]&511](E);g=k[m>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}cra(c)}break}k[n>>2]=9076;k[c>>2]=9208;k[n+80>>2]=1;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;y=0;oa(460,D|0,n|0);o=y;y=0;if(o&1){F=74;break f}k[D>>2]=7172;do if(k[h>>2]|0){y=0;na(423,G|0);o=y;y=0;if(!(o&1))break;b=pb()|0;DO(D);break f}while(0);c=D+4|0;k[h>>2]=k[c>>2];k[c>>2]=0;DO(D);c=(k[h>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;Na(74,D|0,39457,5);o=y;y=0;if(o&1)b=pb()|0;else{y=0;j=C;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));b=sa(27,D|0,a|0,d|0,C|0,f|0)|0;f=y;y=0;do if(f&1)F=80;else{y=0;oa(460,t|0,b|0);f=y;y=0;if(f&1){F=80;break}k[t>>2]=7284;y=0;oa(g|0,c|0,t|0);f=y;y=0;if(f&1){b=pb()|0;DO(t);break}else{DO(t);A9(D);c=k[h>>2]|0;break e}}while(0);if((F|0)==80)b=pb()|0;A9(D)}break d}while(0);cra(n)}while(0);if((F|0)==74)b=pb()|0;break d}while(0);b=(k[c+68>>2]|0)-(k[c+64>>2]|0)>>3;if((k[c+64>>2]|0)==(k[c+68>>2]|0))F=86}g:do if((F|0)==86){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;f=IJ(d)|0;y=0;Na(74,w|0,d|0,f|0);f=y;y=0;if(f&1)b=pb()|0;else{y=0;c=ta(46,w|0,0,39466)|0;f=y;y=0;if(f&1)b=pb()|0;else{k[D>>2]=k[c>>2];k[D+4>>2]=k[c+4>>2];k[D+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(974,D|0,39488)|0;f=y;y=0;do if(f&1)b=pb()|0;else{k[u>>2]=k[c>>2];k[u+4>>2]=k[c+4>>2];k[u+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;j=C;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(454,u|0,C|0);f=y;y=0;if(f&1){b=pb()|0;A9(u);break}else{A9(u);A9(D);A9(w);break g}}while(0);A9(D)}A9(w)}break d}while(0);l=+p[q>>3];l=+O(+(l+(l<0.0?+(b>>>0):-1.0)));if(l<0.0)F=100;else if(l>+((b+-1|0)>>>0))F=100;h:do if((F|0)==100){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;u=IJ(d)|0;y=0;Na(74,w|0,d|0,u|0);d=y;y=0;if(d&1)b=pb()|0;else{y=0;b=ta(46,w|0,0,39508)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[D>>2]=k[b>>2];k[D+4>>2]=k[b+4>>2];k[D+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,D|0,47187)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[v>>2]=k[b>>2];k[v+4>>2]=k[b+4>>2];k[v+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;j=C;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));oa(454,v|0,C|0);d=y;y=0;if(d&1){b=pb()|0;A9(v);break}else{A9(v);A9(D);A9(w);break h}}while(0);A9(D)}A9(w)}break d}while(0);i:do if(s){y=0;n=qa(315,88)|0;w=y;y=0;j:do if(w&1)F=133;else{j=D;m=e;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));y=0;na(422,n|0);e=y;y=0;do if(e&1)b=pb()|0;else{j=n+12|0;m=D;o=j+40|0;do{k[j>>2]=k[m>>2];j=j+4|0;m=m+4|0}while((j|0)<(o|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=9288;c=n+60|0;k[c>>2]=9248;j=n+64|0;m=n+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(514,j|0,1);D=y;y=0;if(D&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[m>>2]|0;if((g|0)!=(c|0)){do{E=g+-8|0;k[m>>2]=E;lc[k[k[E>>2]>>2]&511](E);g=k[m>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}cra(c)}break}k[n>>2]=9076;k[c>>2]=9208;k[n+80>>2]=1;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;y=0;oa(460,C|0,n|0);D=y;y=0;if(D&1){F=133;break j}k[C>>2]=7172;j=G+4|0;do if(k[j>>2]|0){y=0;na(423,G|0);D=y;y=0;if(!(D&1))break;b=pb()|0;DO(C);break j}while(0);b=C+4|0;k[j>>2]=k[b>>2];k[b>>2]=0;DO(C);b=(k[j>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;g=~~l>>>0;h=z+84|0;y=0;oa(460,x|0,k[(k[h>>2]|0)+(g<<3)+4>>2]|0);D=y;y=0;if(D&1){F=138;break i}k[x>>2]=7284;y=0;oa(c|0,b|0,x|0);D=y;y=0;if(D&1){b=pb()|0;DO(x);break d}DO(x);b=(k[j>>2]|0)+60|0;c=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(460,B|0,k[(k[h>>2]|0)+(g<<3)+4>>2]|0);D=y;y=0;if(D&1){F=138;break i}k[B>>2]=7284;y=0;Na(76,A|0,z+60|0,B|0);D=y;y=0;do if(D&1)b=pb()|0;else{y=0;oa(c|0,b|0,A|0);D=y;y=0;if(D&1){b=pb()|0;DO(A);break}DO(A);DO(B);b=k[j>>2]|0;if(!b)b=0;else i[b+8>>0]=1;break i}while(0);DO(B);break d}while(0);cra(n)}while(0);if((F|0)==133)b=pb()|0;break d}else{y=0;Na(100,w|0,k[G+4>>2]|0,~~l|0);D=y;y=0;if(D&1)F=138;else{b=w+4|0;D=k[b>>2]|0;y=0;oa(k[(k[D>>2]|0)+100>>2]|0,D|0,0);D=y;y=0;if(D&1){b=pb()|0;DO(w);break d}b=k[b>>2]|0;if(!b)b=0;else i[b+8>>0]=1;DO(w)}}while(0);if((F|0)==138){b=pb()|0;break}DO(G);G=b;r=E;return G|0}while(0);DO(G);G=b;sb(G|0)}}}G=pb()|0;A9(C);sb(G|0);return 0}function Hd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;ca=0;ba=r;r=r+352|0;H=ba+80|0;M=ba+312|0;Q=ba+40|0;S=ba+288|0;T=ba;da=ba+280|0;P=ba+304|0;aa=ba+248|0;$=ba+224|0;_=ba+212|0;I=ba+268|0;Y=ba+200|0;J=ba+256|0;K=ba+232|0;U=ba+132|0;V=ba+120|0;L=ba+160|0;R=ba+144|0;j=IM(108)|0;O=b+108|0;e=H;f=O;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(422,j|0);Z=y;y=0;do if(Z&1)c=pb()|0;else{e=j+12|0;f=H;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j>>2]=13472;i[j+60>>0]=0;i[j+61>>0]=0;i[j+62>>0]=0;k[j+64>>2]=0;k[j+68>>2]=0;k[j+56>>2]=7;c=j+72|0;k[c>>2]=15096;g=j+76|0;h=j+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(512,g|0,0);Z=y;y=0;if(Z&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{da=e+-8|0;k[h>>2]=da;lc[k[k[da>>2]>>2]&511](da);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=14880;k[c>>2]=15056;Z=j+96|0;k[Z>>2]=0;k[j+100>>2]=0;k[j+92>>2]=Z;i[j+104>>0]=0;i[j+105>>0]=0;LT(da,j);k[da>>2]=15152;Z=da+4|0;k[(k[Z>>2]|0)+64>>2]=k[b+68>>2];y=0;ta(63,b|0,1,0)|0;X=y;y=0;a:do if(X&1)ca=20;else{W=b+76|0;X=b+80|0;l=U+4|0;m=b+160|0;n=b+164|0;o=R+8|0;p=R+4|0;q=R+11|0;s=$+4|0;t=I+4|0;u=I+8|0;v=aa+4|0;w=J+4|0;x=J+8|0;z=_+11|0;A=_+4|0;B=Y+11|0;C=Y+4|0;D=H+8|0;E=H+4|0;F=H+11|0;G=P+4|0;b:while(1){y=0;ta(64,b|0,0,0)|0;j=y;y=0;if(j&1){ca=19;break}y=0;c=qa(347,k[W>>2]|0)|0;j=y;y=0;if(j&1){ca=19;break}if(c|0){c=k[Z>>2]|0;y=0;oa(572,P|0,b|0);j=y;y=0;if(j&1){ca=19;break}y=0;oa(571,c|0,k[G>>2]|0);j=y;y=0;if(j&1){ca=22;break}DO(P);continue}y=0;c=ta(65,b|0,0,0)|0;j=y;y=0;if(j&1){ca=19;break}if(c|0){c=k[Z>>2]|0;i[c+105>>0]=1;y=0;d=qa(315,104)|0;j=y;y=0;if(j&1){ca=19;break}e=T;f=O;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;y=0;Na(74,S|0,48604,1);j=y;y=0;if(j&1){ca=48;break}y=0;e=H;f=T;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Na(85,d|0,H|0,S|0);j=y;y=0;if(j&1){ca=28;break}A9(S);k[d>>2]=13300;i[d+101>>0]=1;y=0;oa(571,c|0,d|0);j=y;y=0;if(j&1){ca=19;break}d=k[Z>>2]|0;c=k[d+76>>2]|0;d=(k[d+80>>2]|0)-c>>3;if(d>>>0<=1)continue;e=M;f=O;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(460,aa|0,k[c+(d+-1<<3)+4>>2]|0);j=y;y=0;if(j&1){ca=50;break}k[aa>>2]=13284;h=k[Z>>2]|0;j=k[h+76>>2]|0;y=0;oa(460,$|0,k[j+(((k[h+80>>2]|0)-j>>3)+-2<<3)+4>>2]|0);j=y;y=0;if(j&1){ca=51;break}k[$>>2]=13284;j=k[s>>2]|0;h=k[(k[j>>2]|0)+28>>2]|0;k[I>>2]=0;k[t>>2]=5;i[u>>0]=0;y=0;k[H>>2]=k[I>>2];k[H+4>>2]=k[I+4>>2];k[H+8>>2]=k[I+8>>2];Na(h|0,_|0,j|0,H|0);j=y;y=0;if(j&1){ca=52;break}j=k[v>>2]|0;h=k[(k[j>>2]|0)+28>>2]|0;k[J>>2]=0;k[w>>2]=5;i[x>>0]=0;y=0;k[H>>2]=k[J>>2];k[H+4>>2]=k[J+4>>2];k[H+8>>2]=k[J+8>>2];Na(h|0,Y|0,j|0,H|0);j=y;y=0;if(j&1){ca=53;break}y=0;c=ta(48,b|0,1,0)|0;j=y;y=0;if(j&1){ca=54;break}if(c|0){d=k[m>>2]|0;f=k[n>>2]|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;g=f-d|0;do if(g>>>0>4294967279){y=0;na(438,H|0);ca=y;y=0;if(ca&1){ca=55;break b}else ca=41}else{if(g>>>0>=11){ca=41;break}i[F>>0]=g;c=H}while(0);if((ca|0)==41){ca=0;e=g+16&-16;y=0;c=qa(315,e|0)|0;j=y;y=0;if(j&1){ca=55;break}k[H>>2]=c;k[D>>2]=e|-2147483648;k[E>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;j=i[F>>0]|0;h=j<<24>>24<0;y=0;ta(41,Y|0,(h?k[H>>2]|0:H)|0,(h?k[E>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){ca=56;break}A9(H)}k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;c=i[z>>0]|0;c=c<<24>>24<0?k[A>>2]|0:c&255;y=0;Ra(10,V|0,43090,19,c+19|0);j=y;y=0;if(j&1){ca=67;break}y=0;ta(41,V|0,((i[z>>0]|0)<0?k[_>>2]|0:_)|0,c|0)|0;j=y;y=0;if(j&1){ca=67;break}y=0;c=Ha(974,V|0,43110)|0;j=y;y=0;if(j&1){ca=68;break}k[U>>2]=k[c>>2];k[U+4>>2]=k[c+4>>2];k[U+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;c=i[B>>0]|0;j=c<<24>>24<0;y=0;c=ta(41,U|0,(j?k[Y>>2]|0:Y)|0,(j?k[C>>2]|0:c&255)|0)|0;j=y;y=0;if(j&1){ca=69;break}k[T>>2]=k[c>>2];k[T+4>>2]=k[c+4>>2];k[T+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(974,T|0,43133)|0;j=y;y=0;if(j&1){ca=70;break}k[S>>2]=k[c>>2];k[S+4>>2]=k[c+4>>2];k[S+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;c=i[B>>0]|0;j=c<<24>>24<0;y=0;c=ta(41,S|0,(j?k[Y>>2]|0:Y)|0,(j?k[C>>2]|0:c&255)|0)|0;j=y;y=0;if(j&1){ca=71;break}k[Q>>2]=k[c>>2];k[Q+4>>2]=k[c+4>>2];k[Q+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(974,Q|0,43138)|0;j=y;y=0;if(j&1){ca=72;break}k[K>>2]=k[c>>2];k[K+4>>2]=k[c+4>>2];k[K+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;k[H>>2]=k[M>>2];k[H+4>>2]=k[M+4>>2];k[H+8>>2]=k[M+8>>2];Na(108,b|0,K|0,H|0);j=y;y=0;if(j&1){ca=73;break}A9(K);A9(Q);A9(S);A9(T);A9(U);A9(V);A9(Y);A9(_);DO($);DO(aa);continue}y=0;c=ta(66,b|0,0,0)|0;j=y;y=0;if(j&1){ca=19;break}if(c|0){h=k[Z>>2]|0;y=0;j=qa(315,104)|0;g=y;y=0;if(g&1){ca=19;break}e=L;f=O;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));d=k[m>>2]|0;f=k[n>>2]|0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,R|0);ca=y;y=0;if(ca&1){ca=102;break}else ca=92}else if(g>>>0<11){i[q>>0]=g;c=R}else ca=92;if((ca|0)==92){ca=0;e=g+16&-16;y=0;c=qa(315,e|0)|0;ea=y;y=0;if(ea&1){ca=102;break}k[R>>2]=c;k[o>>2]=e|-2147483648;k[p>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;e=Q;f=L;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(456,M|0,R|0);ea=y;y=0;if(ea&1){d=1;ca=103;break}y=0;e=H;f=Q;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Na(85,j|0,H|0,M|0);ea=y;y=0;if(ea&1){ca=99;break}A9(M);k[j>>2]=13792;y=0;oa(571,h|0,j|0);ea=y;y=0;if(ea&1){d=0;ca=103;break}A9(R);continue}y=0;c=qa(348,k[W>>2]|0)|0;ea=y;y=0;if(ea&1){ca=19;break}if(!((c|0)==0?1:c>>>0>(k[X>>2]|0)>>>0)){ca=136;break}c=k[W>>2]|0;y=0;d=qa(344,c|0)|0;ea=y;y=0;if(ea&1){ca=19;break}y=0;c=qa(345,(d|0?d:c)|0)|0;ea=y;y=0;if(ea&1){ca=19;break}if(!((c|0)==0?1:c>>>0>(k[X>>2]|0)>>>0)){ca=136;break}y=0;c=qa(343,k[W>>2]|0)|0;ea=y;y=0;if(ea&1){ca=19;break}if((c|0)==0?1:c>>>0>(k[X>>2]|0)>>>0)c=k[W>>2]|0;y=0;d=qa(344,c|0)|0;ea=y;y=0;if(ea&1){ca=19;break}f=d|0?d:c;d=i[35569]|0;c:do if(!(d<<24>>24))c=0;else{c=i[f>>0]|0;e=35569;while(1){if(c<<24>>24==d<<24>>24)break c;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){c=0;break}}}while(0);ea=c<<24>>24?f+1|0:0;if(!((ea|0)==0?1:ea>>>0>(k[X>>2]|0)>>>0)){ca=136;break}y=0;c=qa(343,k[W>>2]|0)|0;ea=y;y=0;if(ea&1){ca=19;break}if((c|0)==0?1:c>>>0>(k[X>>2]|0)>>>0)c=k[W>>2]|0;y=0;d=qa(344,c|0)|0;ea=y;y=0;if(ea&1){ca=19;break}f=d|0?d:c;d=i[35562]|0;d:do if(!(d<<24>>24))c=0;else{c=i[f>>0]|0;e=35562;while(1){if(c<<24>>24==d<<24>>24)break d;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){c=0;break}}}while(0);ea=c<<24>>24?f+1|0:0;if(!((ea|0)==0?1:ea>>>0>(k[X>>2]|0)>>>0)){ca=136;break}y=0;oa(572,U|0,b|0);ea=y;y=0;if(ea&1){ca=19;break}c=k[l>>2]|0;if(!c){ca=130;break}y=0;oa(571,k[Z>>2]|0,c|0);ea=y;y=0;if(ea&1){ca=131;break}DO(U)}switch(ca|0){case 19:{c=pb()|0;ca=21;break a}case 22:{c=pb()|0;DO(P);break a}case 28:{c=pb()|0;A9(S);ca=49;break}case 48:{c=pb()|0;ca=49;break}case 50:{c=pb()|0;break}case 51:{c=pb()|0;ca=83;break}case 52:{c=pb()|0;ca=82;break}case 53:{c=pb()|0;ca=81;break}case 54:{c=pb()|0;ca=80;break}case 55:{c=pb()|0;ca=57;break}case 56:{c=pb()|0;A9(H);ca=57;break}case 67:{c=pb()|0;A9(V);ca=79;break}case 68:{c=pb()|0;ca=78;break}case 69:{c=pb()|0;ca=77;break}case 70:{c=pb()|0;ca=76;break}case 71:{c=pb()|0;ca=75;break}case 72:{c=pb()|0;ca=74;break}case 73:{c=pb()|0;A9(K);ca=74;break}case 99:{c=pb()|0;A9(M);A9(R);ca=104;break}case 102:{c=pb()|0;ca=104;break}case 103:{c=pb()|0;A9(R);if(d)ca=104;else break a;break}case 130:{y=0;oa(460,a|0,0);ea=y;y=0;if(ea&1){c=pb()|0;ca=133;break}k[a>>2]=15152;DO(U);DO(da);r=ba;return}case 131:{c=pb()|0;ca=133;break}case 136:{if(k[Z>>2]|0){y=0;c=qa(343,k[W>>2]|0)|0;ea=y;y=0;if(ea&1){ca=20;break a}if((c|0)==0?1:c>>>0>(k[X>>2]|0)>>>0)c=k[W>>2]|0;y=0;d=qa(344,c|0)|0;ea=y;y=0;if(ea&1){ca=20;break a}d=d|0?d:c;y=0;c=qa(345,d|0)|0;ea=y;y=0;if(ea&1){ca=20;break a}if(!c)c=(i[d>>0]|0)==123?d+1|0:0;if((c|0)==0?1:c>>>0>(k[X>>2]|0)>>>0){e=k[Z>>2]|0;y=0;c=qa(346,k[W>>2]|0)|0;ea=y;y=0;if(ea&1){ca=20;break a}if(c){y=0;c=qa(343,k[W>>2]|0)|0;ea=y;y=0;if(ea&1){ca=20;break a}if((c|0)==0?1:c>>>0>(k[X>>2]|0)>>>0)c=k[W>>2]|0;y=0;d=qa(344,c|0)|0;ea=y;y=0;if(ea&1){ca=20;break a}c=d|0?d:c;c=(i[c>>0]|0)==123?c+1|0:0;c=((c|0)==0?1:c>>>0>(k[X>>2]|0)>>>0)&1}else c=0;i[e+61>>0]=c}}y=0;oa(460,a|0,k[Z>>2]|0);ea=y;y=0;if(ea&1){ca=20;break a}k[a>>2]=15152;DO(da);r=ba;return}}if((ca|0)==49){cra(d);break}else if((ca|0)==57)ca=80;else if((ca|0)==74){A9(Q);ca=75}else if((ca|0)==104){cra(j);break}else if((ca|0)==133){DO(U);break}if((ca|0)==75){A9(S);ca=76}if((ca|0)==76){A9(T);ca=77}if((ca|0)==77){A9(U);ca=78}if((ca|0)==78){A9(V);ca=79}if((ca|0)==79)ca=80;if((ca|0)==80){A9(Y);ca=81}if((ca|0)==81){A9(_);ca=82}if((ca|0)==82){DO($);ca=83}if((ca|0)==83)DO(aa)}while(0);if((ca|0)==20){c=pb()|0;ca=21}DO(da);ea=c;sb(ea|0)}while(0);cra(j);ea=c;sb(ea|0)}function Id(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0;n=0;Q=r;r=r+400|0;M=Q+40|0;H=Q+384|0;K=Q;T=Q+320|0;S=Q+304|0;c=Q+344|0;g=Q+336|0;h=Q+312|0;e=Q+288|0;R=Q+296|0;w=Q+280|0;x=Q+272|0;D=Q+264|0;z=Q+256|0;A=Q+248|0;B=Q+208|0;I=Q+200|0;J=Q+192|0;F=Q+184|0;C=Q+176|0;E=Q+136|0;L=Q+96|0;O=Q+88|0;P=Q+80|0;d=a+4|0;switch(k[d>>2]|0){case 2:{j=k[a+20>>2]|0;b=k[a+24>>2]|0;if(b|0){Dba(b);DY(b)}k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;aI(T,87975,0);y=0;f=qa(315,100)|0;G=y;y=0;if(G&1){S=pb()|0;A9(T);sb(S|0)}y=0;Ra(14,c|0,34623,0,-1);G=y;y=0;do if(G&1)n=16;else{y=0;oa(460,g|0,0);G=y;y=0;if(G&1)n=16;else{k[g>>2]=15152;y=0;oa(460,h|0,0);G=y;y=0;if(G&1){b=pb()|0;DO(g);break}k[h>>2]=15136;y=0;oa(460,e|0,0);G=y;y=0;if(G&1){b=pb()|0;c=1}else{k[e>>2]=7492;y=0;m=M;b=c;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));ya(11,f|0,M|0,0,g|0,h|0,e|0);G=y;y=0;if(G&1)c=1;else{y=0;oa(460,S|0,f|0);G=y;y=0;if(G&1)c=0;else{k[S>>2]=15136;DO(e);DO(h);DO(g);G=S+4|0;y=0;oa(460,R|0,k[G>>2]|0);v=y;y=0;if(v&1)b=pb()|0;else{k[R>>2]=15136;switch(k[d>>2]|0){case 0:{i[(k[G>>2]|0)+60>>0]=i[a>>0]|0;break}case 1:{i[(k[G>>2]|0)+60>>0]=i[a>>0]|0;break}default:{}}b=k[j+4>>2]|0;c=k[j+16>>2]|0;d=b+(((c>>>0)/146|0)<<2)|0;if((k[j+8>>2]|0)==(b|0)){v=0;b=0}else{v=c+(k[j+20>>2]|0)|0;v=(k[b+(((v>>>0)/146|0)<<2)>>2]|0)+(((v>>>0)%146|0)*28|0)|0;b=(k[d>>2]|0)+(((c>>>0)%146|0)*28|0)|0}n=R+4|0;o=D+4|0;p=x+4|0;q=M+4|0;s=A+4|0;t=M+4|0;u=C+4|0;j=d;a:while(1){do{h=b;if((h|0)==(v|0)){n=30;break a}b:do switch(k[h+4>>2]|0){case 0:{c=k[n>>2]|0;y=0;oa(460,D|0,k[h+16>>2]|0);m=y;y=0;if(m&1){n=43;break a}k[D>>2]=15136;b=k[o>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;m=y;y=0;if(m&1){n=45;break a}y=0;oa(460,x|0,b|0);m=y;y=0;if(m&1){n=45;break a}k[x>>2]=15136;k[c+68>>2]=0;d=c+84|0;b=c+88|0;if(k[b>>2]|0){y=0;na(423,d|0);m=y;y=0;if(m&1){n=46;break a}}k[b>>2]=k[p>>2];y=0;na(424,d|0);m=y;y=0;if(m&1){n=46;break a}y=0;oa(460,w|0,k[b>>2]|0);m=y;y=0;if(m&1){n=46;break a}k[w>>2]=15136;DO(w);DO(x);DO(D);y=0;oa(460,M|0,k[(k[n>>2]|0)+88>>2]|0);m=y;y=0;if(m&1){n=48;break a}k[M>>2]=15136;if(k[n>>2]|0){y=0;na(423,R|0);m=y;y=0;if(m&1){n=49;break a}}k[n>>2]=k[q>>2];k[q>>2]=0;DO(M);break}case 1:{g=k[n>>2]|0;m=k[h+8>>2]|0;f=g+68|0;k[f>>2]=0;k[g+72>>2]=m;if(i[h>>0]|0)i[g+60>>0]=1;e=b-(k[j>>2]|0)|0;c=(e|0)/28|0;d=c+1|0;e=(e|0)>-28;if(e)b=(k[j+(((d>>>0)/146|0)<<2)>>2]|0)+(((d>>>0)%146|0)*28|0)|0;else{b=144-c|0;b=(k[j+(((b|0)/-146|0)<<2)>>2]|0)+((145-((b|0)%146|0)|0)*28|0)|0}if((b|0)==(v|0))break b;if(e)d=(k[j+(((d>>>0)/146|0)<<2)>>2]|0)+(((d>>>0)%146|0)*28|0)|0;else{d=144-c|0;d=(k[j+(((d|0)/-146|0)<<2)>>2]|0)+((145-((d|0)%146|0)|0)*28|0)|0}if((k[d+4>>2]|0)!=1)break b;y=0;e=qa(315,100)|0;m=y;y=0;if(m&1){n=75;break a}y=0;Ra(14,B|0,34623,0,-1);m=y;y=0;if(m&1){n=76;break a}y=0;oa(460,I|0,0);m=y;y=0;if(m&1){n=76;break a}k[I>>2]=15152;y=0;oa(460,J|0,0);m=y;y=0;if(m&1){n=77;break a}k[J>>2]=15136;y=0;oa(460,F|0,0);m=y;y=0;if(m&1){n=78;break a}k[F>>2]=7492;y=0;m=M;b=B;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));ya(11,e|0,M|0,0,I|0,J|0,F|0);m=y;y=0;if(m&1){b=1;n=79;break a}y=0;oa(460,A|0,e|0);m=y;y=0;if(m&1){b=0;n=79;break a}k[A>>2]=15136;k[f>>2]=0;c=g+84|0;b=g+88|0;if(k[b>>2]|0){y=0;na(423,c|0);m=y;y=0;if(m&1){n=80;break a}}k[b>>2]=k[s>>2];y=0;na(424,c|0);m=y;y=0;if(m&1){n=80;break a}y=0;oa(460,z|0,k[b>>2]|0);m=y;y=0;if(m&1){n=80;break a}k[z>>2]=15136;DO(z);DO(A);DO(F);DO(J);DO(I);if(i[d>>0]|0){y=0;oa(460,C|0,k[(k[n>>2]|0)+88>>2]|0);m=y;y=0;if(m&1){n=75;break a}k[C>>2]=15136;i[(k[u>>2]|0)+60>>0]=i[d>>0]|0;DO(C)}y=0;oa(460,M|0,k[(k[n>>2]|0)+88>>2]|0);m=y;y=0;if(m&1){n=88;break a}k[M>>2]=15136;if(k[n>>2]|0){y=0;na(423,R|0);m=y;y=0;if(m&1){n=89;break a}}k[n>>2]=k[t>>2];k[t>>2]=0;DO(M);break}default:{n=91;break a}}while(0);b=h+28|0}while((b-(k[j>>2]|0)|0)!=4088);b=j+4|0;j=b;b=k[b>>2]|0}c:switch(n|0){case 30:{y=0;h=qa(315,108)|0;J=y;y=0;if(J&1){b=pb()|0;break}y=0;Ra(14,E|0,34623,0,-1);J=y;y=0;do if(J&1)n=115;else{m=M;b=E;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));y=0;na(422,h|0);J=y;y=0;if(J&1)n=115;else{m=h+12|0;b=M;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h>>2]=13472;i[h+60>>0]=0;i[h+61>>0]=0;i[h+62>>0]=0;k[h+64>>2]=0;k[h+68>>2]=0;k[h+56>>2]=7;b=h+72|0;k[b>>2]=15096;f=h+76|0;g=h+80|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(512,f|0,1);J=y;y=0;if(J&1){b=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{Q=d+-8|0;k[g>>2]=Q;lc[k[k[Q>>2]>>2]&511](Q);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c)}break}k[h>>2]=14880;k[b>>2]=15056;c=h+96|0;k[c>>2]=0;k[h+100>>2]=0;k[h+92>>2]=c;i[h+104>>0]=0;i[h+105>>0]=0;y=0;c=qa(315,104)|0;J=y;y=0;if(J&1){b=pb()|0;break c}y=0;Ra(14,L|0,34623,0,-1);J=y;y=0;do if(J&1)n=118;else{m=K;b=L;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;y=0;Na(74,H|0,48604,1);L=y;y=0;if(L&1){n=118;break}y=0;m=M;b=K;l=m+40|0;do{k[m>>2]=k[b>>2];m=m+4|0;b=b+4|0}while((m|0)<(l|0));Na(85,c|0,M|0,H|0);L=y;y=0;if(L&1){b=pb()|0;A9(H);break}A9(H);k[c>>2]=13300;i[c+101>>0]=1;y=0;oa(460,M|0,c|0);L=y;y=0;do if(L&1)b=pb()|0;else{k[M>>2]=13284;b=k[g>>2]|0;do if(b>>>0<(k[h+84>>2]|0)>>>0){y=0;oa(460,b|0,k[M+4>>2]|0);L=y;y=0;if(L&1){n=122;break}k[b>>2]=13284;k[g>>2]=(k[g>>2]|0)+8}else{y=0;oa(519,f|0,M|0);L=y;y=0;if(L&1)n=122}while(0);if((n|0)==122){b=pb()|0;DO(M);break}DO(M);b=k[G>>2]|0;if(i[a>>0]|0)i[b+60>>0]=1;y=0;oa(460,P|0,h|0);a=y;y=0;d:do if(!(a&1)){k[P>>2]=15152;k[b+68>>2]=0;c=b+76|0;b=b+80|0;if(!(k[b>>2]|0))n=127;else{y=0;na(423,c|0);a=y;y=0;if(!(a&1))n=127}do if((n|0)==127){k[b>>2]=k[P+4>>2];y=0;na(424,c|0);a=y;y=0;if(a&1)break;y=0;oa(460,O|0,k[b>>2]|0);a=y;y=0;if(a&1)break;k[O>>2]=15152;DO(O);DO(P);b=k[G>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;P=y;y=0;if(P&1)break d;DO(R);DO(S);A9(T);T=b;r=Q;return T|0}while(0);b=pb()|0;DO(P);break c}while(0);b=pb()|0;break c}while(0);break c}while(0);if((n|0)==118)b=pb()|0;cra(c);break c}}while(0);if((n|0)==115)b=pb()|0;cra(h);break}case 43:{b=pb()|0;n=44;break}case 45:{b=pb()|0;n=47;break}case 46:{b=pb()|0;DO(x);n=47;break}case 48:{b=pb()|0;n=50;break}case 49:{b=pb()|0;DO(M);n=50;break}case 75:{b=pb()|0;break}case 76:{b=pb()|0;n=83;break}case 77:{b=pb()|0;DO(I);n=83;break}case 78:{c=1;b=pb()|0;n=82;break}case 79:{c=b;b=pb()|0;n=81;break}case 80:{b=pb()|0;DO(A);c=0;n=81;break}case 88:{b=pb()|0;n=90;break}case 89:{b=pb()|0;DO(M);n=90;break}case 91:{b=gb(4)|0;k[b>>2]=34630;y=0;Na(75,b|0,5960,0);y=0;b=pb()|0;n=44;break}}if((n|0)!=44)if((n|0)==47)DO(D);else if((n|0)!=50)if((n|0)==81){DO(F);n=82}if((n|0)==82){DO(J);DO(I);if(c)n=83}if((n|0)==83)cra(e);DO(R)}DO(S);S=b;A9(T);sb(S|0)}}b=pb()|0;DO(e)}DO(h);DO(g);if(!c){S=b;A9(T);sb(S|0)}}}while(0);if((n|0)==16)b=pb()|0;cra(f);S=b;A9(T);sb(S|0)}case 3:{T=0;r=Q;return T|0}default:{T=gb(4)|0;k[T>>2]=34543;Wb(T|0,5960,0)}}return 0}function Jd(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,m=0,n=0.0,o=0,q=0,s=0,t=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;L=0;ja=r;r=r+624|0;fa=ja+24|0;ga=ja+16|0;ha=ja+588|0;X=ja+576|0;ia=ja;S=ja+536|0;M=ja+8|0;O=ja+528|0;P=(a|0)!=0;Q=S+40|0;R=Q;S=S+39|0;T=M+4|0;U=ha;V=0-U|0;W=X+12|0;X=X+11|0;Y=W;Z=Y-U|0;_=-2-U|0;$=Y+2|0;ba=fa+288|0;ca=ha+9|0;da=ca;ea=ha+8|0;g=0;f=0;q=0;a:while(1){do if((f|0)>-1)if((g|0)>(2147483647-f|0)){f=W8()|0;k[f>>2]=75;f=-1;break}else{f=g+f|0;break}while(0);g=i[b>>0]|0;if(!(g<<24>>24)){L=243;break}else h=b;b:while(1){switch(g<<24>>24){case 37:{g=h;L=9;break b}case 0:{g=h;break b}default:{}}g=h+1|0;h=g;g=i[g>>0]|0}c:do if((L|0)==9)while(1){L=0;if((i[h+1>>0]|0)!=37)break c;g=g+1|0;h=h+2|0;if((i[h>>0]|0)==37)L=9;else break}while(0);g=g-b|0;if(P)if(!(k[a>>2]&32))vB(b,g,a)|0;if(g|0){b=h;continue}o=h+1|0;m=i[o>>0]|0;g=(m<<24>>24)+-48|0;if(g>>>0<10){t=(i[h+2>>0]|0)==36;o=t?h+3|0:o;w=t?g:-1;t=t?1:q;g=i[o>>0]|0}else{w=-1;t=q;g=m}h=(g<<24>>24)+-32|0;d:do if(h>>>0<32){m=0;do{if(!(1<<h&75913))break d;m=1<<(g<<24>>24)+-32|m;o=o+1|0;g=i[o>>0]|0;h=(g<<24>>24)+-32|0}while(h>>>0<32)}else m=0;while(0);do if(g<<24>>24==42){s=o+1|0;g=i[s>>0]|0;h=(g<<24>>24)+-48|0;if(h>>>0<10)if((i[o+2>>0]|0)==36){k[e+(h<<2)>>2]=10;g=k[d+((i[s>>0]|0)+-48<<3)>>2]|0;h=1;s=o+3|0}else L=24;else L=24;if((L|0)==24){L=0;if(t|0){f=-1;break a}if(!P){q=0;K=0;o=s;break}h=(k[c>>2]|0)+(4-1)&~(4-1);g=k[h>>2]|0;k[c>>2]=h+4;h=0}K=(g|0)<0;q=K?0-g|0:g;m=K?m|8192:m;K=h;o=s;g=i[s>>0]|0}else{h=(g<<24>>24)+-48|0;if(h>>>0<10){q=0;do{q=(q*10|0)+h|0;o=o+1|0;g=i[o>>0]|0;h=(g<<24>>24)+-48|0}while(h>>>0<10);if((q|0)<0){f=-1;break a}else K=t}else{q=0;K=t}}while(0);e:do if(g<<24>>24==46){g=o+1|0;h=i[g>>0]|0;if(h<<24>>24!=42){o=(h<<24>>24)+-48|0;if(o>>>0<10)h=0;else{x=0;break}while(1){h=(h*10|0)+o|0;g=g+1|0;o=(i[g>>0]|0)+-48|0;if(o>>>0>=10){x=h;break e}}}g=o+2|0;h=(i[g>>0]|0)+-48|0;if(h>>>0<10)if((i[o+3>>0]|0)==36){k[e+(h<<2)>>2]=10;x=k[d+((i[g>>0]|0)+-48<<3)>>2]|0;g=o+4|0;break}if(K|0){f=-1;break a}if(P){J=(k[c>>2]|0)+(4-1)&~(4-1);x=k[J>>2]|0;k[c>>2]=J+4}else x=0}else{x=-1;g=o}while(0);t=0;while(1){h=(i[g>>0]|0)+-65|0;if(h>>>0>57){f=-1;break a}J=g+1|0;h=i[53002+(t*58|0)+h>>0]|0;o=h&255;if((o+-1|0)>>>0<8){t=o;g=J}else break}if(!(h<<24>>24)){f=-1;break}s=(w|0)>-1;do if(h<<24>>24==19)if(s){f=-1;break a}else L=51;else{if(s){k[e+(w<<2)>>2]=o;H=d+(w<<3)|0;I=k[H+4>>2]|0;L=ia;k[L>>2]=k[H>>2];k[L+4>>2]=I;L=51;break}if(!P){f=0;break a}mq(ia,o,c)}while(0);if((L|0)==51){L=0;if(!P){g=0;q=K;b=J;continue}}E=i[g>>0]|0;E=(t|0)!=0&(E&15|0)==3?E&-33:E;s=m&-65537;I=(m&8192|0)==0?m:s;f:do switch(E|0){case 110:switch((t&255)<<24>>24){case 0:{k[k[ia>>2]>>2]=f;g=0;q=K;b=J;continue a}case 1:{k[k[ia>>2]>>2]=f;g=0;q=K;b=J;continue a}case 2:{g=k[ia>>2]|0;k[g>>2]=f;k[g+4>>2]=((f|0)<0)<<31>>31;g=0;q=K;b=J;continue a}case 3:{j[k[ia>>2]>>1]=f;g=0;q=K;b=J;continue a}case 4:{i[k[ia>>2]>>0]=f;g=0;q=K;b=J;continue a}case 6:{k[k[ia>>2]>>2]=f;g=0;q=K;b=J;continue a}case 7:{g=k[ia>>2]|0;k[g>>2]=f;k[g+4>>2]=((f|0)<0)<<31>>31;g=0;q=K;b=J;continue a}default:{g=0;q=K;b=J;continue a}}case 112:{s=120;t=x>>>0>8?x:8;g=I|8;L=63;break}case 88:case 120:{s=E;t=x;g=I;L=63;break}case 111:{h=ia;g=k[h>>2]|0;h=k[h+4>>2]|0;if((g|0)==0&(h|0)==0)b=Q;else{b=Q;do{b=b+-1|0;i[b>>0]=g&7|48;g=EV(g|0,h|0,3)|0;h=N}while(!((g|0)==0&(h|0)==0))}if(!(I&8)){h=0;m=53482;o=x;g=I;L=76}else{o=R-b|0;h=0;m=53482;o=(x|0)>(o|0)?x:o+1|0;g=I;L=76}break}case 105:case 100:{b=ia;g=k[b>>2]|0;b=k[b+4>>2]|0;if((b|0)<0){g=mU(0,0,g|0,b|0)|0;b=N;h=ia;k[h>>2]=g;k[h+4>>2]=b;h=1;m=53482;L=75;break f}if(!(I&2048)){m=I&1;h=m;m=(m|0)==0?53482:53484;L=75}else{h=1;m=53483;L=75}break}case 117:{b=ia;h=0;m=53482;g=k[b>>2]|0;b=k[b+4>>2]|0;L=75;break}case 99:{i[S>>0]=k[ia>>2];b=S;w=0;t=53482;h=Q;g=1;break}case 109:{g=W8()|0;g=EK(k[g>>2]|0)|0;L=81;break}case 115:{g=k[ia>>2]|0;g=g|0?g:53492;L=81;break}case 67:{k[M>>2]=k[ia>>2];k[T>>2]=0;k[ia>>2]=M;s=-1;h=M;L=85;break}case 83:{g=k[ia>>2]|0;if(!x){uF(a,32,q,0,I);g=0;L=96}else{s=x;h=g;L=85}break}case 65:case 71:case 70:case 69:case 97:case 103:case 102:case 101:{n=+p[ia>>3];k[ga>>2]=0;p[u>>3]=n;if((k[u+4>>2]|0)<0){n=-n;G=1;H=53499}else{g=I&1;if(!(I&2048)){G=g;H=(g|0)==0?53500:53505}else{G=1;H=53502}}p[u>>3]=n;F=k[u+4>>2]&2146435072;do if(F>>>0<2146435072|(F|0)==2146435072&0<0){v=+lpa(n,ga)*2.0;b=v!=0.0;if(b)k[ga>>2]=(k[ga>>2]|0)+-1;z=E|32;if((z|0)==97){o=E&32;w=(o|0)==0?H:H+9|0;t=G|2;g=12-x|0;do if(x>>>0>11|(g|0)==0)n=v;else{n=8.0;do{g=g+-1|0;n=n*16.0}while((g|0)!=0);if((i[w>>0]|0)==45){n=-(n+(-v-n));break}else{n=v+n-n;break}}while(0);b=k[ga>>2]|0;g=(b|0)<0?0-b|0:b;g=$H(g,((g|0)<0)<<31>>31,W)|0;if((g|0)==(W|0)){i[X>>0]=48;g=X}i[g+-1>>0]=(b>>31&2)+43;s=g+-2|0;i[s>>0]=E+15;m=(x|0)<1;h=(I&8|0)==0;g=ha;do{H=~~n;b=g+1|0;i[g>>0]=l[53466+H>>0]|o;n=(n-+(H|0))*16.0;do if((b-U|0)==1){if(h&(m&n==0.0)){g=b;break}i[b>>0]=46;g=g+2|0}else g=b;while(0)}while(n!=0.0);m=s;h=(x|0)!=0&(_+g|0)<(x|0)?$+x-m|0:Z-m+g|0;o=h+t|0;uF(a,32,q,o,I);if(!(k[a>>2]&32))vB(w,t,a)|0;uF(a,48,q,o,I^65536);b=g-U|0;if(!(k[a>>2]&32))vB(ha,b,a)|0;g=Y-m|0;uF(a,48,h-(b+g)|0,0,0);if(!(k[a>>2]&32))vB(s,g,a)|0;uF(a,32,q,o,I^8192);g=(o|0)<(q|0)?q:o;break}g=(x|0)<0?6:x;if(b){b=(k[ga>>2]|0)+-28|0;k[ga>>2]=b;n=v*268435456.0}else{n=v;b=k[ga>>2]|0}F=(b|0)<0?fa:ba;h=F;do{D=~~n>>>0;k[h>>2]=D;h=h+4|0;n=(n-+(D>>>0))*1.0e9}while(n!=0.0);if((b|0)>0){m=F;s=h;while(1){o=(b|0)>29?29:b;b=s+-4|0;do if(b>>>0>=m>>>0){h=0;do{C=_U(k[b>>2]|0,0,o|0)|0;C=P5(C|0,N|0,h|0,0)|0;D=N;B=CQ(C|0,D|0,1e9,0)|0;k[b>>2]=B;h=oda(C|0,D|0,1e9,0)|0;b=b+-4|0}while(b>>>0>=m>>>0);if(!h)break;m=m+-4|0;k[m>>2]=h}while(0);h=s;while(1){if(h>>>0<=m>>>0)break;b=h+-4|0;if(!(k[b>>2]|0))h=b;else break}b=(k[ga>>2]|0)-o|0;k[ga>>2]=b;if((b|0)>0)s=h;else break}}else m=F;if((b|0)<0){x=((g+25|0)/9|0)+1|0;y=(z|0)==102;do{w=0-b|0;w=(w|0)>9?9:w;do if(m>>>0<h>>>0){o=(1<<w)+-1|0;s=1e9>>>w;t=0;b=m;do{D=k[b>>2]|0;k[b>>2]=(D>>>w)+t;t=aa(D&o,s)|0;b=b+4|0}while(b>>>0<h>>>0);b=(k[m>>2]|0)==0?m+4|0:m;if(!t){m=b;b=h;break}k[h>>2]=t;m=b;b=h+4|0}else{m=(k[m>>2]|0)==0?m+4|0:m;b=h}while(0);h=y?F:m;h=(b-h>>2|0)>(x|0)?h+(x<<2)|0:b;b=(k[ga>>2]|0)+w|0;k[ga>>2]=b}while((b|0)<0)}D=F;do if(m>>>0<h>>>0){b=(D-m>>2)*9|0;s=k[m>>2]|0;if(s>>>0<10)break;else o=10;do{o=o*10|0;b=b+1|0}while(s>>>0>=o>>>0)}else b=0;while(0);A=(z|0)==103;B=(g|0)!=0;o=g-((z|0)!=102?b:0)+((B&A)<<31>>31)|0;if((o|0)<(((h-D>>2)*9|0)+-9|0)){o=o+9216|0;t=F+4+(((o|0)/9|0)+-1024<<2)|0;o=((o|0)%9|0)+1|0;if((o|0)<9){s=10;do{s=s*10|0;o=o+1|0}while((o|0)!=9)}else s=10;x=k[t>>2]|0;y=(x>>>0)%(s>>>0)|0;o=(t+4|0)==(h|0);do if(o&(y|0)==0)o=t;else{v=(((x>>>0)/(s>>>0)|0)&1|0)==0?9007199254740992.0:9007199254740994.0;w=(s|0)/2|0;if(y>>>0<w>>>0)n=.5;else n=o&(y|0)==(w|0)?1.0:1.5;do if(G){if((i[H>>0]|0)!=45)break;n=-n;v=-v}while(0);o=x-y|0;k[t>>2]=o;if(!(v+n!=v)){o=t;break}C=o+s|0;k[t>>2]=C;if(C>>>0>999999999){o=t;while(1){b=o+-4|0;k[o>>2]=0;if(b>>>0<m>>>0){m=m+-4|0;k[m>>2]=0}C=(k[b>>2]|0)+1|0;k[b>>2]=C;if(C>>>0>999999999)o=b;else{t=b;break}}}b=(D-m>>2)*9|0;s=k[m>>2]|0;if(s>>>0<10){o=t;break}else o=10;do{o=o*10|0;b=b+1|0}while(s>>>0>=o>>>0);o=t}while(0);C=o+4|0;h=h>>>0>C>>>0?C:h}y=0-b|0;C=h;while(1){if(C>>>0<=m>>>0){z=0;break}h=C+-4|0;if(!(k[h>>2]|0))C=h;else{z=1;break}}do if(A){g=(B&1^1)+g|0;if((g|0)>(b|0)&(b|0)>-5){t=E+-1|0;g=g+-1-b|0}else{t=E+-2|0;g=g+-1|0}h=I&8;if(h|0){w=h;break}do if(z){s=k[C+-4>>2]|0;if(!s){o=9;break}if(!((s>>>0)%10|0)){o=0;h=10}else{o=0;break}do{h=h*10|0;o=o+1|0}while(!((s>>>0)%(h>>>0)|0|0))}else o=9;while(0);h=((C-D>>2)*9|0)+-9|0;if((t|32|0)==102){w=h-o|0;w=(w|0)<0?0:w;g=(g|0)<(w|0)?g:w;w=0;break}else{w=h+b-o|0;w=(w|0)<0?0:w;g=(g|0)<(w|0)?g:w;w=0;break}}else{t=E;w=I&8}while(0);x=g|w;o=(x|0)!=0&1;s=(t|32|0)==102;if(s){y=0;b=(b|0)>0?b:0}else{h=(b|0)<0?y:b;h=$H(h,((h|0)<0)<<31>>31,W)|0;if((Y-h|0)<2)do{h=h+-1|0;i[h>>0]=48}while((Y-h|0)<2);i[h+-1>>0]=(b>>31&2)+43;b=h+-2|0;i[b>>0]=t;y=b;b=Y-b|0}A=G+1+g+o+b|0;uF(a,32,q,A,I);if(!(k[a>>2]&32))vB(H,G,a)|0;uF(a,48,q,A,I^65536);do if(s){m=m>>>0>F>>>0?F:m;h=m;do{b=$H(k[h>>2]|0,0,ca)|0;do if((h|0)==(m|0)){if((b|0)!=(ca|0))break;i[ea>>0]=48;b=ea}else{if(b>>>0<=ha>>>0)break;kK(ha|0,48,b-U|0)|0;do b=b+-1|0;while(b>>>0>ha>>>0)}while(0);if(!(k[a>>2]&32))vB(b,da-b|0,a)|0;h=h+4|0}while(h>>>0<=F>>>0);do if(x|0){if(k[a>>2]&32|0)break;vB(55435,1,a)|0}while(0);if((g|0)>0&h>>>0<C>>>0)while(1){b=$H(k[h>>2]|0,0,ca)|0;if(b>>>0>ha>>>0){kK(ha|0,48,b-U|0)|0;do b=b+-1|0;while(b>>>0>ha>>>0)}if(!(k[a>>2]&32))vB(b,(g|0)>9?9:g,a)|0;h=h+4|0;b=g+-9|0;if(!((g|0)>9&h>>>0<C>>>0)){g=b;break}else g=b}uF(a,48,g+9|0,9,0)}else{t=z?C:m+4|0;if((g|0)>-1){s=(w|0)==0;o=m;do{b=$H(k[o>>2]|0,0,ca)|0;if((b|0)==(ca|0)){i[ea>>0]=48;b=ea}do if((o|0)==(m|0)){h=b+1|0;if(!(k[a>>2]&32))vB(b,1,a)|0;if(s&(g|0)<1){b=h;break}if(k[a>>2]&32|0){b=h;break}vB(55435,1,a)|0;b=h}else{if(b>>>0<=ha>>>0)break;kK(ha|0,48,b+V|0)|0;do b=b+-1|0;while(b>>>0>ha>>>0)}while(0);h=da-b|0;if(!(k[a>>2]&32))vB(b,(g|0)>(h|0)?h:g,a)|0;g=g-h|0;o=o+4|0}while(o>>>0<t>>>0&(g|0)>-1)}uF(a,48,g+18|0,18,0);if(k[a>>2]&32|0)break;vB(y,Y-y|0,a)|0}while(0);uF(a,32,q,A,I^8192);g=(A|0)<(q|0)?q:A}else{o=(E&32|0)!=0;m=n!=n|0.0!=0.0;b=m?0:G;h=b+3|0;uF(a,32,q,h,s);g=k[a>>2]|0;if(!(g&32)){vB(H,b,a)|0;g=k[a>>2]|0}if(!(g&32))vB(m?(o?55431:53526):o?53518:53522,3,a)|0;uF(a,32,q,h,I^8192);g=(h|0)<(q|0)?q:h}while(0);q=K;b=J;continue a}default:{w=0;t=53482;h=Q;g=x;s=I}}while(0);g:do if((L|0)==63){m=ia;h=k[m>>2]|0;m=k[m+4>>2]|0;o=s&32;if((h|0)==0&(m|0)==0){b=Q;h=0;m=0}else{b=Q;do{b=b+-1|0;i[b>>0]=l[53466+(h&15)>>0]|o;h=EV(h|0,m|0,4)|0;m=N}while(!((h|0)==0&(m|0)==0));m=ia;h=k[m>>2]|0;m=k[m+4>>2]|0}m=(g&8|0)==0|(h|0)==0&(m|0)==0;h=m?0:2;m=m?53482:53482+(s>>4)|0;o=t;L=76}else if((L|0)==75){b=$H(g,b,Q)|0;o=x;g=I;L=76}else if((L|0)==81){L=0;I=aA(g,0,x)|0;H=(I|0)==0;b=g;w=0;t=53482;h=H?g+x|0:I;g=H?x:I-g|0}else if((L|0)==85){L=0;o=h;g=0;b=0;while(1){m=k[o>>2]|0;if(!m)break;b=sha(O,m)|0;if((b|0)<0|b>>>0>(s-g|0)>>>0)break;g=b+g|0;if(s>>>0>g>>>0)o=o+4|0;else break}if((b|0)<0){f=-1;break a}uF(a,32,q,g,I);if(!g){g=0;L=96}else{m=0;while(1){b=k[h>>2]|0;if(!b){L=96;break g}b=sha(O,b)|0;m=b+m|0;if((m|0)>(g|0)){L=96;break g}if(!(k[a>>2]&32))vB(O,b,a)|0;if(m>>>0>=g>>>0){L=96;break}else h=h+4|0}}}while(0);if((L|0)==96){L=0;uF(a,32,q,g,I^8192);g=(q|0)>(g|0)?q:g;q=K;b=J;continue}if((L|0)==76){L=0;s=(o|0)>-1?g&-65537:g;g=ia;g=(k[g>>2]|0)!=0|(k[g+4>>2]|0)!=0;if((o|0)!=0|g){g=(g&1^1)+(R-b)|0;w=h;t=m;h=Q;g=(o|0)>(g|0)?o:g}else{b=Q;w=h;t=m;h=Q;g=0}}o=h-b|0;h=(g|0)<(o|0)?o:g;m=h+w|0;g=(q|0)<(m|0)?m:q;uF(a,32,g,m,s);if(!(k[a>>2]&32))vB(t,w,a)|0;uF(a,48,g,m,s^65536);uF(a,48,h,o,0);if(!(k[a>>2]&32))vB(b,o,a)|0;uF(a,32,g,m,s^8192);q=K;b=J}h:do if((L|0)==243)if(!a)if(!q)f=0;else{f=1;while(1){g=k[e+(f<<2)>>2]|0;if(!g)break;mq(d+(f<<3)|0,g,c);f=f+1|0;if((f|0)>=10){f=1;break h}}while(1){if(k[e+(f<<2)>>2]|0){f=-1;break h}f=f+1|0;if((f|0)>=10){f=1;break}}}while(0);r=ja;return f|0}function Kd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0;ra=r;r=r+240|0;O=ra+80|0;B=ra+40|0;pa=ra;Ia=ra+224|0;I=ra+208|0;C=ra+216|0;J=ra+200|0;D=ra+192|0;E=ra+184|0;K=ra+176|0;A=ra+168|0;F=ra+160|0;L=ra+152|0;M=ra+144|0;ha=ra+136|0;ia=ra+128|0;ma=ra+120|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;aI(B,39764,6);y=0;n=O;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));b=sa(26,B|0,a|0,d|0,O|0,f|0)|0;fa=y;y=0;if(!(fa&1)){y=0;b=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;fa=y;y=0;if(!(fa&1)){y=0;oa(460,Ia|0,b|0);fa=y;y=0;if(!(fa&1)){k[Ia>>2]=7172;A9(B);fa=Ia+4|0;c=k[fa>>2]|0;d=(k[c+68>>2]|0)-(k[c+64>>2]|0)>>3;a:do if(!d){ta=0;b=6}else{f=C+4|0;l=D+4|0;m=I+4|0;q=J+4|0;s=O+4|0;t=M+4|0;u=O+4|0;v=K+4|0;w=L+4|0;x=F+4|0;z=O+4|0;b=0;a=0;b:while(1){y=0;Na(100,C|0,c|0,a|0);p=y;y=0;if(p&1){b=21;break}y=0;c=qa(336,k[f>>2]|0)|0;p=y;y=0;if(p&1){b=22;break}y=0;oa(460,I|0,c|0);p=y;y=0;if(p&1){b=22;break}k[I>>2]=7172;DO(C);y=0;Na(100,D|0,k[fa>>2]|0,a|0);p=y;y=0;if(p&1){b=23;break}c=k[l>>2]|0;if(!c)c=0;else c=(k[229]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,J|0,c|0);p=y;y=0;if(p&1){b=24;break}k[J>>2]=16764;DO(D);do if(!(k[m>>2]|0)){c=k[q>>2]|0;if(!c){y=0;ea=qa(315,88)|0;p=y;y=0;if(p&1){b=44;break b}n=B;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(422,ea|0);p=y;y=0;if(p&1){b=45;break b}n=ea+12|0;o=B;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[ea+52>>0]=0;i[ea+53>>0]=0;i[ea+54>>0]=0;c=ea+56|0;k[c>>2]=0;k[ea>>2]=9288;g=ea+60|0;k[g>>2]=9248;X=ea+64|0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;k[X+12>>2]=0;y=0;oa(514,X|0,1);p=y;y=0;if(p&1){b=32;break b}k[ea>>2]=9076;k[g>>2]=9208;k[ea+80>>2]=1;i[ea+84>>0]=0;i[ea+85>>0]=0;k[c>>2]=5;y=0;oa(460,O|0,ea|0);p=y;y=0;if(p&1){b=44;break b}k[O>>2]=7172;if(k[m>>2]|0){y=0;na(423,I|0);p=y;y=0;if(p&1){b=47;break b}}k[m>>2]=k[s>>2];k[s>>2]=0;DO(O);c=(k[m>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;y=0;Na(100,E|0,k[fa>>2]|0,a|0);p=y;y=0;if(p&1){b=25;break b}y=0;oa(g|0,c|0,E|0);p=y;y=0;if(p&1){b=49;break b}DO(E)}else{y=0;Na(101,O|0,c|0,e|0);p=y;y=0;if(p&1){b=26;break b}if(k[m>>2]|0){y=0;na(423,I|0);p=y;y=0;if(p&1){b=27;break b}}k[m>>2]=k[z>>2];k[z>>2]=0;DO(O)}c=k[fa>>2]|0;if(!(i[c+84>>0]|0)){c=k[c+64>>2]|0;g=c+(a<<3)|0;y=0;oa(460,M|0,k[m>>2]|0);p=y;y=0;if(p&1){b=72;break b}k[M>>2]=7172;y=0;oa(460,O|0,k[t>>2]|0);p=y;y=0;if(p&1){b=73;break b}k[O>>2]=7284;if((g|0)!=(O|0)){c=c+(a<<3)+4|0;if(k[c>>2]|0){y=0;na(423,g|0);p=y;y=0;if(p&1){b=74;break b}}k[c>>2]=k[u>>2];k[u>>2]=0}DO(O);DO(M);break}c=c+60|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,a|0)|0;p=y;y=0;if(p&1){b=25;break b}y=0;oa(460,K|0,k[c+4>>2]|0);p=y;y=0;if(p&1){b=25;break b}k[K>>2]=10120;c=k[v>>2]|0;y=0;oa(460,L|0,k[m>>2]|0);p=y;y=0;if(p&1){b=60;break b}k[L>>2]=7172;y=0;oa(460,F|0,k[w>>2]|0);p=y;y=0;if(p&1){b=61;break b}k[F>>2]=7284;k[c+84>>2]=0;g=c+60|0;c=c+64|0;if(k[c>>2]|0){y=0;na(423,g|0);p=y;y=0;if(p&1){b=62;break b}}k[c>>2]=k[x>>2];y=0;na(424,g|0);p=y;y=0;if(p&1){b=62;break b}y=0;oa(460,A|0,k[c>>2]|0);p=y;y=0;if(p&1){b=62;break b}k[A>>2]=7284;DO(A);DO(F);DO(L);DO(K)}while(0);c=k[m>>2]|0;c=(k[c+68>>2]|0)-(k[c+64>>2]|0)>>3;b=(a|0)==0|c>>>0<b>>>0?c:b;DO(J);DO(I);c=a+1|0;if(c>>>0>=d>>>0){ta=b;b=6;break a}a=c;c=k[fa>>2]|0}switch(b|0){case 21:{h=pb()|0;break a}case 22:{h=pb()|0;DO(C);break a}case 23:{da=pb()|0;break}case 24:{da=pb()|0;DO(D);break}case 25:{ca=pb()|0;b=79;break}case 26:{Y=pb()|0;b=28;break}case 27:{Y=pb()|0;DO(O);b=28;break}case 32:{j=pb()|0;c=N;g=ea+68|0;h=k[X>>2]|0;if(h|0){b=k[g>>2]|0;if((b|0)!=(h|0)){do{H=b+-8|0;k[g>>2]=H;lc[k[k[H>>2]>>2]&511](H);b=k[g>>2]|0}while((b|0)!=(h|0));h=k[X>>2]|0}cra(h)}b=46;break}case 44:{Z=pb()|0;b=48;break}case 45:{j=pb()|0;b=46;break}case 47:{Z=pb()|0;DO(O);b=48;break}case 49:{ca=pb()|0;DO(E);b=79;break}case 60:{$=pb()|0;b=64;break}case 61:{_=pb()|0;b=63;break}case 62:{_=pb()|0;DO(F);b=63;break}case 72:{ba=pb()|0;b=76;break}case 73:{aa=pb()|0;b=75;break}case 74:{aa=pb()|0;DO(O);b=75;break}}if((b|0)==28){ca=Y;b=79}else if((b|0)==46){cra(ea);Z=j;b=48}else if((b|0)==63){DO(L);$=_;b=64}else if((b|0)==75){DO(M);ba=aa;b=76}if((b|0)==48){ca=Z;b=79}else if((b|0)==64){DO(K);ca=$;b=79}else if((b|0)==76){ca=ba;b=79}if((b|0)==79){DO(J);da=ca}DO(I);h=da}while(0);c:do if((b|0)==6){y=0;m=qa(315,88)|0;ea=y;y=0;if(ea&1){h=pb()|0;break}n=O;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(422,m|0);ea=y;y=0;do if(ea&1)h=pb()|0;else{n=m+12|0;o=O;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;h=m+56|0;k[h>>2]=0;k[m>>2]=9288;l=m+60|0;k[l>>2]=9248;j=m+64|0;a=m+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(514,j|0,ta|0);ea=y;y=0;if(ea&1){h=pb()|0;g=N;b=k[j>>2]|0;if(b|0){c=k[a>>2]|0;if((c|0)!=(b|0)){do{Ga=c+-8|0;k[a>>2]=Ga;lc[k[k[Ga>>2]>>2]&511](Ga);c=k[a>>2]|0}while((c|0)!=(b|0));b=k[j>>2]|0}cra(b)}break}k[m>>2]=9076;k[l>>2]=9208;k[m+80>>2]=0;i[m+84>>0]=0;i[m+85>>0]=0;k[h>>2]=5;a=k[fa>>2]|0;a=(k[a+68>>2]|0)-(k[a+64>>2]|0)>>3;if(!ta){DO(Ia);r=ra;return m|0}d=ia+4|0;do if(!a){c=0;while(1){y=0;g=qa(315,88)|0;la=y;y=0;if(la&1){b=128;break}n=pa;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(422,g|0);la=y;y=0;if(la&1){b=130;break}n=g+12|0;o=pa;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;h=g+56|0;k[h>>2]=0;k[g>>2]=9288;b=g+60|0;k[b>>2]=9248;ga=g+64|0;k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;k[ga+12>>2]=0;y=0;oa(514,ga|0,0);la=y;y=0;if(la&1){b=120;break}k[g>>2]=9076;k[b>>2]=9208;k[g+80>>2]=1;i[g+84>>0]=0;i[g+85>>0]=0;k[h>>2]=5;h=k[(k[l>>2]|0)+20>>2]|0;y=0;oa(460,ma|0,g|0);la=y;y=0;if(la&1){b=135;break}k[ma>>2]=7284;y=0;oa(h|0,l|0,ma|0);la=y;y=0;if(la&1){b=137;break}DO(ma);c=c+1|0;if(c>>>0>=ta>>>0){b=113;break}}if((b|0)==113){DO(Ia);r=ra;return m|0}else if((b|0)==120){Fa=pb()|0;Da=N;Ea=ga;Ga=g;b=121;break}else if((b|0)==128){ua=pb()|0;b=129;break}else if((b|0)==130){Ca=pb()|0;Aa=g;break}else if((b|0)==135){wa=pb()|0;b=136;break}else if((b|0)==137){ya=pb()|0;b=138;break}}else{j=0;d:while(1){y=0;f=qa(315,88)|0;ga=y;y=0;if(ga&1){b=105;break}n=pa;o=e;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(422,f|0);ga=y;y=0;if(ga&1){b=106;break}n=f+12|0;o=pa;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;h=f+56|0;k[h>>2]=0;k[f>>2]=9288;g=f+60|0;k[g>>2]=9248;la=f+64|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;k[la+12>>2]=0;y=0;oa(514,la|0,a|0);ga=y;y=0;if(ga&1){b=107;break}k[f>>2]=9076;k[g>>2]=9208;k[f+80>>2]=1;i[f+84>>0]=0;i[f+85>>0]=0;k[h>>2]=5;h=0;b=9208;while(1){c=k[b+20>>2]|0;y=0;Na(100,ia|0,k[fa>>2]|0,h|0);ga=y;y=0;if(ga&1){b=110;break d}y=0;b=qa(336,k[d>>2]|0)|0;ga=y;y=0;if(ga&1){b=111;break d}b=b+60|0;y=0;b=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,j|0)|0;ga=y;y=0;if(ga&1){b=111;break d}y=0;oa(460,ha|0,k[b+4>>2]|0);ga=y;y=0;if(ga&1){b=111;break d}k[ha>>2]=7284;y=0;oa(c|0,g|0,ha|0);ga=y;y=0;if(ga&1){b=112;break d}DO(ha);DO(ia);h=h+1|0;if(h>>>0>=a>>>0)break;b=k[g>>2]|0}h=k[(k[l>>2]|0)+20>>2]|0;y=0;oa(460,ma|0,f|0);ga=y;y=0;if(ga&1){b=108;break}k[ma>>2]=7284;y=0;oa(h|0,l|0,ma|0);ga=y;y=0;if(ga&1){b=109;break}DO(ma);j=j+1|0;if(j>>>0>=ta>>>0){b=113;break}}if((b|0)==105){ua=pb()|0;b=129;break}else if((b|0)==106){Ca=pb()|0;Aa=f;break}else if((b|0)==107){Fa=pb()|0;Da=N;Ea=la;Ga=f;b=121;break}else if((b|0)==108){wa=pb()|0;b=136;break}else if((b|0)==109){ya=pb()|0;b=138;break}else if((b|0)==110){h=pb()|0;break c}else if((b|0)==111)ja=pb()|0;else if((b|0)==112){ja=pb()|0;DO(ha)}else if((b|0)==113){DO(Ia);r=ra;return m|0}DO(ia);h=ja;break c}while(0);if((b|0)==121){c=Ga+68|0;h=k[Ea>>2]|0;if(h|0){b=k[c>>2]|0;if((b|0)!=(h|0)){do{Ca=b+-8|0;k[c>>2]=Ca;lc[k[k[Ca>>2]>>2]&511](Ca);b=k[c>>2]|0}while((b|0)!=(h|0));h=k[Ea>>2]|0}cra(h)}Aa=Ga;Ca=Fa}else if((b|0)==129){h=ua;break c}else if((b|0)==136){h=wa;break c}else if((b|0)==138){DO(ma);h=ya;break c}cra(Aa);h=Ca;break c}while(0);cra(m)}while(0);DO(Ia);Ia=h;sb(Ia|0)}}}Ia=pb()|0;A9(B);sb(Ia|0);return 0}function Ld(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0.0,g=0,h=0,j=0,m=0,n=0,o=0.0,p=0.0,q=0,s=0.0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0.0;y=0;J=r;r=r+512|0;F=J;switch(b|0){case 0:{G=-149;I=24;y=4;break}case 1:{G=-1074;I=53;y=4;break}case 2:{G=-1074;I=53;y=4;break}default:d=0.0}a:do if((y|0)==4){A=a+4|0;z=a+100|0;do{b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;b=l[b>>0]|0}else b=eC(a)|0}while((Pma(b)|0)!=0);b:do switch(b|0){case 43:case 45:{e=1-(((b|0)==45&1)<<1)|0;b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;g=l[b>>0]|0;H=e;break b}else{g=eC(a)|0;H=e;break b}}default:{g=b;H=1}}while(0);b=0;do{if((g|32|0)!=(i[55422+b>>0]|0))break;do if(b>>>0<7){e=k[A>>2]|0;if(e>>>0<(k[z>>2]|0)>>>0){k[A>>2]=e+1;g=l[e>>0]|0;break}else{g=eC(a)|0;break}}while(0);b=b+1|0}while(b>>>0<8);c:do switch(b|0){case 8:break;case 3:{y=23;break}default:{h=(c|0)!=0;if(h&b>>>0>3)if((b|0)==8)break c;else{y=23;break c}d:do if(!b){b=0;do{if((g|32|0)!=(i[55431+b>>0]|0))break d;do if(b>>>0<2){e=k[A>>2]|0;if(e>>>0<(k[z>>2]|0)>>>0){k[A>>2]=e+1;g=l[e>>0]|0;break}else{g=eC(a)|0;break}}while(0);b=b+1|0}while(b>>>0<3)}while(0);switch(b|0){case 3:{b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;b=l[b>>0]|0}else b=eC(a)|0;if((b|0)==40)b=1;else{if(!(k[z>>2]|0)){d=C;break a}k[A>>2]=(k[A>>2]|0)+-1;d=C;break a}while(1){e=k[A>>2]|0;if(e>>>0<(k[z>>2]|0)>>>0){k[A>>2]=e+1;e=l[e>>0]|0}else e=eC(a)|0;if(!((e+-48|0)>>>0<10|(e+-65|0)>>>0<26))if(!((e|0)==95|(e+-97|0)>>>0<26))break;b=b+1|0}if((e|0)==41){d=C;break a}e=(k[z>>2]|0)==0;if(!e)k[A>>2]=(k[A>>2]|0)+-1;if(!h){I=W8()|0;k[I>>2]=22;_O(a,0);d=0.0;break a}if(!b){d=C;break a}while(1){b=b+-1|0;if(!e)k[A>>2]=(k[A>>2]|0)+-1;if(!b){d=C;break a}}}case 0:{do if((g|0)==48){b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;b=l[b>>0]|0}else b=eC(a)|0;if((b|32|0)!=120){if(!(k[z>>2]|0)){g=48;break}k[A>>2]=(k[A>>2]|0)+-1;g=48;break}b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;e=l[b>>0]|0;g=0}else{e=eC(a)|0;g=0}e:while(1){switch(e|0){case 46:{y=74;break e}case 48:break;default:{t=0;j=0;o=1.0;d=0.0;b=0;h=e;u=g;w=0;v=0;g=0;e=0;break e}}b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;e=l[b>>0]|0;g=1;continue}else{e=eC(a)|0;g=1;continue}}if((y|0)==74){b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;e=l[b>>0]|0}else e=eC(a)|0;if((e|0)==48){g=0;e=0;do{b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;h=l[b>>0]|0}else h=eC(a)|0;g=P5(g|0,e|0,-1,-1)|0;e=N}while((h|0)==48);t=1;j=0;o=1.0;d=0.0;b=0;u=1;w=0;v=0}else{t=1;j=0;o=1.0;d=0.0;b=0;h=e;u=g;w=0;v=0;g=0;e=0}}while(1){n=h+-48|0;m=h|32;if(n>>>0<10)y=86;else{q=(h|0)==46;if(!(q|(m+-97|0)>>>0<6))break;if(q)if(!t){t=1;f=o;q=u;g=v;e=w;n=v;m=w}else{h=46;break}else y=86}if((y|0)==86){y=0;h=(h|0)>57?m+-87|0:n;do if((w|0)<0|(w|0)==0&v>>>0<8){f=o;b=h+(b<<4)|0}else{if((w|0)<0|(w|0)==0&v>>>0<14){s=o*.0625;f=s;d=d+s*+(h|0);break}if((j|0)!=0|(h|0)==0)f=o;else{j=1;f=o;d=d+o*.5}}while(0);n=P5(v|0,w|0,1,0)|0;q=1;m=N}h=k[A>>2]|0;if(h>>>0<(k[z>>2]|0)>>>0){k[A>>2]=h+1;o=f;h=l[h>>0]|0;u=q;w=m;v=n;continue}else{o=f;h=eC(a)|0;u=q;w=m;v=n;continue}}if(!u){b=(k[z>>2]|0)==0;if(!b)k[A>>2]=(k[A>>2]|0)+-1;if(!c)_O(a,0);else if(!b){b=k[A>>2]|0;k[A>>2]=b+-1;if(t|0)k[A>>2]=b+-2}d=+(H|0)*0.0;break a}m=(t|0)==0;n=m?v:g;m=m?w:e;if((w|0)<0|(w|0)==0&v>>>0<8){g=v;e=w;do{b=b<<4;g=P5(g|0,e|0,1,0)|0;e=N}while((e|0)<0|(e|0)==0&g>>>0<8);j=b}else j=b;if((h|32|0)==112){e=Qq(a,c)|0;b=N;if((e|0)==0&(b|0)==-2147483648){if(!c){_O(a,0);d=0.0;break a}if(!(k[z>>2]|0)){e=0;b=0}else{k[A>>2]=(k[A>>2]|0)+-1;e=0;b=0}}}else if(!(k[z>>2]|0)){e=0;b=0}else{k[A>>2]=(k[A>>2]|0)+-1;e=0;b=0}g=_U(n|0,m|0,2)|0;g=P5(g|0,N|0,-32,-1)|0;g=P5(g|0,N|0,e|0,b|0)|0;b=N;if(!j){d=+(H|0)*0.0;break a}if((b|0)>0|(b|0)==0&g>>>0>(0-G|0)>>>0){I=W8()|0;k[I>>2]=34;d=+(H|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break a}F=G+-106|0;E=((F|0)<0)<<31>>31;if((b|0)<(E|0)|(b|0)==(E|0)&g>>>0<F>>>0){I=W8()|0;k[I>>2]=34;d=+(H|0)*2.2250738585072014e-308*2.2250738585072014e-308;break a}if((j|0)>-1){e=j;do{E=!(d>=.5);F=E&1|e<<1;e=F^1;d=d+(E?d:d+-1.0);g=P5(g|0,b|0,-1,-1)|0;b=N}while((F|0)>-1);o=d;h=e}else{o=d;h=j}G=mU(32,0,G|0,((G|0)<0)<<31>>31|0)|0;b=P5(g|0,b|0,G|0,N|0)|0;G=N;if(0>(G|0)|0==(G|0)&I>>>0>b>>>0)if((b|0)<0){e=0;b=84;y=127}else y=125;else{b=I;y=125}if((y|0)==125)if((b|0)<53){e=b;b=84-b|0;y=127}else{f=0.0;d=+(H|0)}if((y|0)==127){d=+(H|0);f=+Woa(+KF(1.0,b),d);b=e}I=(h&1|0)==0&(o!=0.0&(b|0)<32);d=d*(I?0.0:o)+(f+d*+(((I&1)+h|0)>>>0))-f;if(!(d!=0.0)){I=W8()|0;k[I>>2]=34}d=+$oa(d,g);break a}while(0);B=G+I|0;E=0-B|0;e=0;f:while(1){switch(g|0){case 46:{y=138;break f}case 48:break;default:{j=0;h=e;m=0;b=0;break f}}b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;g=l[b>>0]|0;e=1;continue}else{g=eC(a)|0;e=1;continue}}if((y|0)==138){b=k[A>>2]|0;if(b>>>0<(k[z>>2]|0)>>>0){k[A>>2]=b+1;g=l[b>>0]|0}else g=eC(a)|0;if((g|0)==48){e=0;b=0;do{e=P5(e|0,b|0,-1,-1)|0;b=N;g=k[A>>2]|0;if(g>>>0<(k[z>>2]|0)>>>0){k[A>>2]=g+1;g=l[g>>0]|0}else g=eC(a)|0}while((g|0)==48);j=1;h=1;m=e}else{j=1;h=e;m=0;b=0}}k[F>>2]=0;q=g+-48|0;n=(g|0)==46;g:do if(n|q>>>0<10){y=F+496|0;u=0;e=0;x=0;v=j;w=h;j=0;h=0;h:while(1){do if(n)if(!v){v=1;t=x;m=j;b=h}else break h;else{j=P5(j|0,h|0,1,0)|0;h=N;t=(g|0)!=48;if((e|0)>=125){if(!t){t=x;break}k[y>>2]=k[y>>2]|1;t=x;break}n=F+(e<<2)|0;if(!u)g=q;else g=g+-48+((k[n>>2]|0)*10|0)|0;k[n>>2]=g;u=u+1|0;w=(u|0)==9;u=w?0:u;e=(w&1)+e|0;t=t?j:x;w=1}while(0);g=k[A>>2]|0;if(g>>>0<(k[z>>2]|0)>>>0){k[A>>2]=g+1;g=l[g>>0]|0}else g=eC(a)|0;q=g+-48|0;n=(g|0)==46;if(!(n|q>>>0<10)){n=t;t=v;q=w;v=j;y=161;break g}else x=t}q=u;n=x;g=(w|0)!=0;y=169}else{u=0;e=0;n=0;t=j;q=h;v=0;h=0;y=161}while(0);do if((y|0)==161){t=(t|0)==0;m=t?v:m;b=t?h:b;t=(q|0)!=0;if(!(t&(g|32|0)==101))if((g|0)>-1){q=u;j=v;g=t;y=169;break}else{q=u;j=v;g=t;y=171;break}j=Qq(a,c)|0;g=N;if((j|0)==0&(g|0)==-2147483648){if(!c){_O(a,0);d=0.0;break}if(!(k[z>>2]|0)){j=0;g=0}else{k[A>>2]=(k[A>>2]|0)+-1;j=0;g=0}}w=P5(j|0,g|0,m|0,b|0)|0;q=u;j=v;b=N;y=173}while(0);if((y|0)==169)if(!(k[z>>2]|0))y=171;else{k[A>>2]=(k[A>>2]|0)+-1;if(g){w=m;y=173}else y=172}if((y|0)==171)if(g){w=m;y=173}else y=172;do if((y|0)==172){I=W8()|0;k[I>>2]=22;_O(a,0);d=0.0}else if((y|0)==173){g=k[F>>2]|0;if(!g){d=+(H|0)*0.0;break}if(((h|0)<0|(h|0)==0&j>>>0<10)&((w|0)==(j|0)&(b|0)==(h|0)))if(I>>>0>30|(g>>>I|0)==0){d=+(H|0)*+(g>>>0);break}a=(G|0)/-2|0;A=((a|0)<0)<<31>>31;if((b|0)>(A|0)|(b|0)==(A|0)&w>>>0>a>>>0){I=W8()|0;k[I>>2]=34;d=+(H|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}a=G+-106|0;A=((a|0)<0)<<31>>31;if((b|0)<(A|0)|(b|0)==(A|0)&w>>>0<a>>>0){I=W8()|0;k[I>>2]=34;d=+(H|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if(q){if((q|0)<9){h=F+(e<<2)|0;b=q;g=k[h>>2]|0;do{g=g*10|0;b=b+1|0}while((b|0)!=9);k[h>>2]=g}e=e+1|0}if((n|0)<9)if((n|0)<=(w|0)&(w|0)<18){if((w|0)==9){d=+(H|0)*+((k[F>>2]|0)>>>0);break}if((w|0)<9){d=+(H|0)*+((k[F>>2]|0)>>>0)/+(k[25108+(8-w<<2)>>2]|0);break}a=I+27+(aa(w,-3)|0)|0;b=k[F>>2]|0;if((a|0)>30|(b>>>a|0)==0){d=+(H|0)*+(b>>>0)*+(k[25108+(w+-10<<2)>>2]|0);break}}b=(w|0)%9|0;if(!b){b=0;h=0}else{q=(w|0)>-1?b:b+9|0;m=k[25108+(8-q<<2)>>2]|0;if(!e){h=0;e=0;g=w}else{n=1e9/(m|0)|0;h=0;j=0;g=w;b=0;do{z=F+(b<<2)|0;A=k[z>>2]|0;a=((A>>>0)/(m>>>0)|0)+h|0;k[z>>2]=a;h=aa((A>>>0)%(m>>>0)|0,n)|0;a=(b|0)==(j|0)&(a|0)==0;g=a?g+-9|0:g;j=a?j+1&127:j;b=b+1|0}while((b|0)!=(e|0));if(!h)h=j;else{k[F+(e<<2)>>2]=h;h=j;e=e+1|0}}b=0;w=9-q+g|0}i:while(1){q=(w|0)<18;t=(w|0)==18;u=F+(h<<2)|0;while(1){if(!q){if(!t){g=w;break i}if((k[u>>2]|0)>>>0>=9007199){g=18;break i}}g=0;v=e;e=e+127|0;while(1){j=e&127;m=F+(j<<2)|0;e=_U(k[m>>2]|0,0,29)|0;e=P5(e|0,N|0,g|0,0)|0;g=N;if(g>>>0>0|(g|0)==0&e>>>0>1e9){n=oda(e|0,g|0,1e9,0)|0;e=CQ(e|0,g|0,1e9,0)|0}else n=0;k[m>>2]=e;a=(j|0)==(h|0);v=(j|0)!=(v+127&127|0)|a?v:(e|0)==0?j:v;if(a)break;else{g=n;e=j+-1|0}}b=b+-29|0;if(n|0)break;else e=v}h=h+127&127;e=v+127&127;g=F+((v+126&127)<<2)|0;if((h|0)==(v|0))k[g>>2]=k[g>>2]|k[F+(e<<2)>>2];else e=v;k[F+(h<<2)>>2]=n;w=w+9|0}j:while(1){v=e+1&127;w=F+((e+127&127)<<2)|0;t=g;while(1){m=(t|0)==18;u=(t|0)>27?9:1;x=h;while(1){g=0;while(1){h=g+x&127;if((h|0)==(e|0)){g=2;y=220;break}h=k[F+(h<<2)>>2]|0;j=k[25140+(g<<2)>>2]|0;if(h>>>0<j>>>0){g=2;y=220;break}if(h>>>0>j>>>0)break;g=g+1|0;if((g|0)>=2){y=220;break}}if((y|0)==220){y=0;if(m&(g|0)==2){d=0.0;j=0;break j}}b=b+u|0;if((x|0)==(e|0))x=e;else break}n=(1<<u)+-1|0;q=1e9>>>u;m=0;h=x;g=t;j=x;do{z=F+(j<<2)|0;A=k[z>>2]|0;a=(A>>>u)+m|0;k[z>>2]=a;m=aa(A&n,q)|0;a=(j|0)==(h|0)&(a|0)==0;g=a?g+-9|0:g;h=a?h+1&127:h;j=j+1&127}while((j|0)!=(e|0));if(!m){t=g;continue}if((v|0)!=(h|0))break;k[w>>2]=k[w>>2]|1;t=g}k[F+(e<<2)>>2]=m;e=v}while(1){h=j+x&127;g=e+1&127;if((h|0)==(e|0))k[F+(g+-1<<2)>>2]=0;else g=e;d=d*1.0e9+ +((k[F+(h<<2)>>2]|0)>>>0);j=j+1|0;if((j|0)==2)break;else e=g}s=+(H|0);f=s*d;m=b+53|0;n=m-G|0;q=(n|0)<(I|0);e=q&1;j=q?((n|0)<0?0:n):I;if((j|0)<53){K=+Woa(+KF(1.0,105-j|0),f);o=+Npa(f,+KF(1.0,53-j|0));p=K;d=o;o=K+(f-o)}else{p=0.0;d=0.0;o=f}h=x+2&127;do if((h|0)==(g|0))f=d;else{h=k[F+(h<<2)>>2]|0;do if(h>>>0<5e8){if(!h)if((x+3&127|0)==(g|0))break;d=s*.25+d}else{if((h|0)!=5e8){d=s*.75+d;break}if((x+3&127|0)==(g|0)){d=s*.5+d;break}else{d=s*.75+d;break}}while(0);if((53-j|0)>1){if(+Npa(d,1.0)!=0.0){f=d;break}f=d+1.0}else f=d}while(0);d=o+f-p;do if((m&2147483647|0)>(-2-B|0)){if(+P(+d)>=9007199254740992.0){d=d*.5;e=q&(j|0)==(n|0)?0:e;b=b+1|0}if((b+50|0)<=(E|0))if(!(f!=0.0&(e|0)!=0))break;I=W8()|0;k[I>>2]=34}while(0);d=+$oa(d,b)}while(0);break a}default:{if(k[z>>2]|0)k[A>>2]=(k[A>>2]|0)+-1;I=W8()|0;k[I>>2]=22;_O(a,0);d=0.0;break a}}}}while(0);if((y|0)==23){e=(k[z>>2]|0)==0;if(!e)k[A>>2]=(k[A>>2]|0)+-1;if((c|0)!=0&b>>>0>3)do{if(!e)k[A>>2]=(k[A>>2]|0)+-1;b=b+-1|0}while(b>>>0>3)}d=+(H|0)*D}while(0);r=J;return +d}
function ie(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0;R=0;J=r;r=r+416|0;u=J+80|0;Q=J+40|0;I=J;f=J+400|0;j=J+392|0;q=J+384|0;p=J+368|0;P=J+376|0;c=J+320|0;D=J+312|0;E=J+304|0;t=J+296|0;v=J+288|0;O=J+360|0;w=J+248|0;F=J+232|0;G=J+224|0;A=J+216|0;x=J+208|0;z=J+200|0;B=J+192|0;C=J+184|0;H=J+144|0;L=J+136|0;M=J+128|0;K=J+120|0;o=IM(88)|0;n=a+20|0;m=a+24|0;d=k[m>>2]|0;if((d|0)==(k[n>>2]|0))d=k[a+8>>2]|0;else d=d+-4|0;l=Q;g=(k[d>>2]|0)+12|0;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;na(422,o|0);s=y;y=0;do if(s&1)c=pb()|0;else{l=o+12|0;g=Q;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));k[o>>2]=6564;k[o+52>>2]=0;k[o+56>>2]=0;i[o+60>>0]=0;d=o+64|0;k[d>>2]=6524;g=o+68|0;h=o+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);s=y;y=0;if(s&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{R=e+-8|0;k[h>>2]=R;lc[k[k[R>>2]>>2]&511](R);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[o>>2]=6368;k[d>>2]=6468;i[o+84>>0]=0;d=k[m>>2]|0;if((d|0)==(k[n>>2]|0))d=k[a+8>>2]|0;else d=d+-4|0;s=k[d>>2]|0;LT(Q,Jaa(oc[k[(k[s>>2]|0)+12>>2]&511](s)|0)|0);k[Q>>2]=18728;s=Q+4|0;d=k[s>>2]|0;y=0;oa(460,j|0,o|0);o=y;y=0;a:do if(o&1)R=63;else{k[j>>2]=6868;e=d+64|0;d=d+68|0;if(!(k[d>>2]|0))R=18;else{y=0;na(423,e|0);o=y;y=0;if(!(o&1))R=18}if((R|0)==18){k[d>>2]=k[j+4>>2];y=0;na(424,e|0);o=y;y=0;if(!(o&1)){y=0;oa(460,f|0,k[d>>2]|0);o=y;y=0;if(!(o&1)){k[f>>2]=6868;DO(f);DO(j);e=k[s>>2]|0;d=k[m>>2]|0;if((d|0)==(k[n>>2]|0))d=k[a+8>>2]|0;else d=d+-4|0;k[e+56>>2]=k[(k[d>>2]|0)+56>>2];y=0;oa(460,q|0,k[e+68>>2]|0);o=y;y=0;if(o&1){R=63;break}k[q>>2]=6868;d=(k[q+4>>2]|0)+64|0;e=k[(k[d>>2]|0)+24>>2]|0;f=b+68|0;y=0;oa(460,p|0,k[f>>2]|0);o=y;y=0;do if(o&1)c=pb()|0;else{k[p>>2]=6868;o=k[p+4>>2]|0;y=0;oa(e|0,d|0,((o|0)==0?0:o+64|0)|0);o=y;y=0;if(o&1){c=pb()|0;DO(p);break}DO(p);DO(q);y=0;m=qa(315,88)|0;q=y;y=0;if(q&1){R=63;break a}y=0;oa(460,D|0,k[f>>2]|0);q=y;y=0;b:do if(q&1)c=pb()|0;else{k[D>>2]=6868;do if(!(k[D+4>>2]|0)){l=c;g=b+12|0;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));j=0}else{y=0;oa(460,E|0,k[f>>2]|0);q=y;y=0;if(q&1){c=pb()|0;DO(D);break b}else{k[E>>2]=6868;l=c;g=(k[E+4>>2]|0)+12|0;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));j=1;break}}while(0);l=u;g=c;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;na(422,m|0);q=y;y=0;do if(q&1){c=1;R=70}else{l=m+12|0;g=u;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));k[m>>2]=6564;k[m+52>>2]=0;k[m+56>>2]=0;i[m+60>>0]=0;c=m+64|0;k[c>>2]=6524;g=m+68|0;h=m+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);q=y;y=0;if(q&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{P=e+-8|0;k[h>>2]=P;lc[k[k[P>>2]>>2]&511](P);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}d=1;break}k[m>>2]=6368;k[c>>2]=6468;i[m+84>>0]=0;y=0;oa(460,P|0,m|0);q=y;y=0;if(q&1){c=0;R=70;break}k[P>>2]=6868;if(j)DO(E);DO(D);e=P+4|0;c=(k[e>>2]|0)+64|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,v|0,k[s>>2]|0);E=y;y=0;c:do if(E&1)R=75;else{k[v>>2]=18728;y=0;oa(460,t|0,k[v+4>>2]|0);E=y;y=0;do if(E&1)c=pb()|0;else{k[t>>2]=6508;y=0;oa(d|0,c|0,t|0);E=y;y=0;if(E&1){c=pb()|0;DO(t);break}DO(t);DO(v);y=0;f=qa(315,100)|0;E=y;y=0;if(E&1){R=75;break c}l=w;g=b+12|0;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;oa(456,F|0,b+72|0);E=y;y=0;do if(E&1)c=pb()|0;else{y=0;oa(460,G|0,k[b+88>>2]|0);E=y;y=0;if(E&1){c=pb()|0;A9(F);break}k[G>>2]=6756;y=0;oa(460,A|0,k[e>>2]|0);E=y;y=0;if(E&1){c=pb()|0;d=1}else{k[A>>2]=6868;y=0;oa(460,x|0,0);E=y;y=0;if(E&1){c=pb()|0;d=1}else{k[x>>2]=7284;y=0;l=u;g=w;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));ya(20,f|0,u|0,F|0,G|0,A|0,x|0);E=y;y=0;do if(E&1)c=1;else{y=0;oa(460,O|0,f|0);E=y;y=0;if(E&1){c=0;break}k[O>>2]=17116;DO(x);DO(A);DO(G);A9(F);c=b+96|0;y=0;oa(460,z|0,k[c>>2]|0);G=y;y=0;d:do if(G&1)R=87;else{k[z>>2]=7284;G=(k[z+4>>2]|0)==0;DO(z);e:do if(!G){d=k[O+4>>2]|0;y=0;oa(460,C|0,k[c>>2]|0);G=y;y=0;if(G&1){R=87;break d}k[C>>2]=7284;e=d+92|0;c=d+96|0;if(!(k[c>>2]|0))R=58;else{y=0;na(423,e|0);G=y;y=0;if(!(G&1))R=58}do if((R|0)==58){k[c>>2]=k[C+4>>2];y=0;na(424,e|0);G=y;y=0;if(G&1)break;y=0;oa(460,B|0,k[c>>2]|0);G=y;y=0;if(G&1)break;k[B>>2]=7284;DO(B);DO(C);break e}while(0);c=pb()|0;DO(C);break d}while(0);y=0;d=qa(315,76)|0;G=y;y=0;if(G&1){R=87;break}c=k[O+4>>2]|0;l=H;g=c+12|0;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;oa(460,M|0,c|0);G=y;y=0;if(G&1)c=pb()|0;else{k[M>>2]=17116;y=0;oa(460,L|0,k[M+4>>2]|0);G=y;y=0;if(G&1)c=pb()|0;else{k[L>>2]=6508;y=0;oa(460,K|0,0);G=y;y=0;if(G&1)c=pb()|0;else{k[K>>2]=6508;l=I;g=H;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;na(422,d|0);H=y;y=0;do if(H&1)c=pb()|0;else{l=d+12|0;g=I;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));k[d+52>>2]=6;k[d+56>>2]=0;i[d+60>>0]=0;k[d>>2]=6884;c=d+64|0;y=0;oa(460,c|0,k[L+4>>2]|0);I=y;y=0;if(I&1){c=pb()|0;break}else{k[c>>2]=6508;i[d+72>>0]=(k[K+4>>2]|0)==0&1;DO(K);DO(L);DO(M);DO(O);DO(P);DO(Q);r=J;return d|0}}while(0);DO(K)}DO(L)}DO(M)}cra(d)}while(0);if((R|0)==87)c=pb()|0;DO(O);break c}while(0);O=pb()|0;DO(x);d=c;c=O}DO(A)}DO(G);A9(F);if(!d)break c}while(0);cra(f);break c}while(0);DO(v)}while(0);if((R|0)==75)c=pb()|0;DO(P);break a}while(0);if((R|0)==70){P=pb()|0;d=c;c=P}if(j){DO(E);DO(D);if(d)break;else break a}else{DO(D);if(d)break;else break a}}while(0);cra(m);break a}while(0);DO(q);break}}}c=pb()|0;DO(j)}while(0);if((R|0)==63)c=pb()|0;DO(Q);R=c;sb(R|0)}while(0);cra(o);R=c;sb(R|0);return 0}function je(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0.0;I=0;G=r;r=r+496|0;F=G+80|0;g=G+488|0;B=G+40|0;e=G;J=G+432|0;d=G+480|0;j=G+440|0;H=G+424|0;h=G+416|0;u=G+400|0;n=G+360|0;q=G+344|0;f=G+336|0;s=G+328|0;t=G+320|0;o=G+280|0;v=G+264|0;w=G+224|0;A=G+208|0;x=G+200|0;z=G+192|0;l=G+184|0;m=G+176|0;D=G+136|0;E=G+120|0;C=b+68|0;LT(d,k[C>>2]|0);k[d>>2]=7284;c=k[d+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;K=y;y=0;if(!(K&1)){y=0;oa(460,J|0,c|0);K=y;y=0;if(!(K&1)){k[J>>2]=7284;DO(d);d=b+60|0;if((k[d>>2]|0)==2){y=0;d=qa(315,68)|0;K=y;y=0;if(K&1)I=9;else{h=j;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));c=k[J+4>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+76>>2]|0,c|0)|0;K=y;y=0;if(!(K&1)){h=e;f=j;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(422,d|0);K=y;y=0;if(!(K&1)){h=d+12|0;f=e;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d>>2]=10672;k[d+56>>2]=1;k[d+64>>2]=0;i[d+60>>0]=c&1^1;K=d;DO(J);r=G;return K|0}}c=pb()|0;cra(d)}}else{j=J+4|0;c=k[j>>2]|0;if(!c)c=0;else c=(k[35]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,H|0,c|0);K=y;y=0;if(K&1)I=9;else{k[H>>2]=16664;c=k[H+4>>2]|0;a:do if(!c){c=k[j>>2]|0;b:do if((k[c+56>>2]|0)==8){y=0;oa(460,f|0,k[C>>2]|0);K=y;y=0;if(K&1){I=21;break a}k[f>>2]=7284;c=k[f+4>>2]|0;if(c|0)if((k[279]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){DO(f);y=0;a=qa(315,80)|0;K=y;y=0;if(K&1){I=21;break a}h=o;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,87975,0);K=y;y=0;if(K&1)c=pb()|0;else{y=0;h=F;f=o;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));Ea(2,a|0,F|0,v|0,0,0,0,1);K=y;y=0;do if(K&1)d=1;else{y=0;oa(460,t|0,a|0);K=y;y=0;if(K&1){d=0;break}k[t>>2]=7284;k[b+72>>2]=0;c=b+64|0;if(!(k[C>>2]|0))I=52;else{y=0;na(423,c|0);K=y;y=0;if(!(K&1))I=52}do if((I|0)==52){k[C>>2]=k[t+4>>2];y=0;na(424,c|0);K=y;y=0;if(K&1)break;y=0;oa(460,s|0,k[C>>2]|0);K=y;y=0;if(K&1)break;k[s>>2]=7284;DO(s);DO(t);A9(v);break b}while(0);c=pb()|0;DO(t);A9(v);break a}while(0);c=pb()|0;A9(v);if(!d)break a}cra(a);break a}DO(f);d=k[j>>2]|0;I=59}else{d=c;I=59}while(0);c:do if((I|0)==59){d:do if(!d)I=87;else if((k[283]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)){a=d+96|0;c=i[a+11>>0]|0;if(c<<24>>24<0)c=k[a+4>>2]|0;else c=c&255;if(!c)break c;y=0;e=qa(315,80)|0;K=y;y=0;e:do if(K&1)c=pb()|0;else{h=w;f=d+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;oa(456,A|0,a|0);K=y;y=0;f:do if(K&1)c=pb()|0;else{h=B;f=w;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(422,e|0);K=y;y=0;do if(K&1)d=1;else{h=e+12|0;f=B;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=4;k[e>>2]=11100;i[e+60>>0]=0;i[e+61>>0]=0;y=0;oa(549,e+64|0,A|0);K=y;y=0;if(K&1){c=pb()|0;A9(A);break f}k[e+76>>2]=0;y=0;oa(460,F|0,e|0);K=y;y=0;if(K&1){d=0;break}k[F>>2]=7284;do if(k[j>>2]|0){y=0;na(423,J|0);K=y;y=0;if(!(K&1))break;c=pb()|0;DO(F);A9(A);break e}while(0);K=F+4|0;k[j>>2]=k[K>>2];k[K>>2]=0;DO(F);A9(A);y=0;oa(460,z|0,k[j>>2]|0);K=y;y=0;if(K&1)break d;k[z>>2]=7284;k[b+72>>2]=0;c=b+64|0;if(!(k[C>>2]|0))I=76;else{y=0;na(423,c|0);K=y;y=0;if(!(K&1))I=76}do if((I|0)==76){k[C>>2]=k[z+4>>2];y=0;na(424,c|0);K=y;y=0;if(K&1)break;y=0;oa(460,x|0,k[C>>2]|0);K=y;y=0;if(K&1)break;k[x>>2]=7284;DO(x);DO(z);break c}while(0);c=pb()|0;DO(z);break a}while(0);c=pb()|0;A9(A);if(!d)break e}while(0);cra(e)}while(0);break a}else I=87;while(0);if((I|0)==87){y=0;oa(460,m|0,d|0);K=y;y=0;if(!(K&1)){k[m>>2]=7284;k[b+72>>2]=0;c=b+64|0;if(!(k[C>>2]|0))I=90;else{y=0;na(423,c|0);K=y;y=0;if(!(K&1))I=90}if((I|0)==90){k[C>>2]=k[m+4>>2];y=0;na(424,c|0);K=y;y=0;if(!(K&1)){y=0;oa(460,l|0,k[C>>2]|0);K=y;y=0;if(!(K&1)){k[l>>2]=7284;DO(l);DO(m);break}}}c=pb()|0;DO(m);break a}}c=pb()|0;break a}while(0);y=0;d=qa(315,80)|0;K=y;y=0;if(K&1)I=21;else{h=D;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;oa(k[(k[b>>2]|0)+20>>2]|0,E|0,b|0);K=y;y=0;do if(K&1)c=pb()|0;else{y=0;h=F;f=D;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));Ea(2,d|0,F|0,E|0,0,0,0,1);K=y;y=0;if(K&1){c=pb()|0;A9(E);break}else{A9(E);c=d;I=101;break a}}while(0);cra(d)}}else switch(k[d>>2]|0){case 1:{y=0;c=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;K=y;y=0;if(K&1){I=21;break a}y=0;oa(460,h|0,c|0);K=y;y=0;if(K&1){I=21;break a}k[h>>2]=16664;c=k[h+4>>2]|0;K=c+64|0;L=-+p[K>>3];k[c+100>>2]=0;p[K>>3]=L;if(!c)c=0;else i[c+8>>0]=1;DO(h);I=101;break a}case 3:{K=k[(k[c>>2]|0)+28>>2]|0;E=k[(k[a+8>>2]|0)+16>>2]|0;y=0;k[F>>2]=k[E>>2];k[F+4>>2]=k[E+4>>2];k[F+8>>2]=k[E+8>>2];Na(K|0,B|0,c|0,F|0);K=y;y=0;if(K&1)c=pb()|0;else{i[g>>0]=47;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;c=B+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[B+4>>2]|0:d&255;y=0;Ra(10,u|0,g|0,1,d+1|0);K=y;y=0;if(!(K&1)){y=0;ta(41,u|0,((i[c>>0]|0)<0?k[B>>2]|0:B)|0,d|0)|0;K=y;y=0;if(!(K&1)){A9(B);y=0;d=qa(315,80)|0;K=y;y=0;if(K&1)c=pb()|0;else{h=n;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;oa(456,q|0,u|0);K=y;y=0;if(K&1)c=pb()|0;else{h=F;f=n;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(422,d|0);K=y;y=0;do if(K&1)c=pb()|0;else{h=d+12|0;f=F;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=11100;i[d+60>>0]=0;i[d+61>>0]=0;y=0;oa(549,d+64|0,q|0);K=y;y=0;if(K&1){c=pb()|0;break}else{k[d+76>>2]=0;A9(q);A9(u);c=d;I=101;break a}}while(0);A9(q)}cra(d)}A9(u);break a}}c=pb()|0;A9(u);A9(B)}break a}default:{i[c+8>>0]=1;I=101;break a}}while(0);if((I|0)==21)c=pb()|0;else if((I|0)==101){DO(H);K=c;DO(J);r=G;return K|0}DO(H)}}if((I|0)==9)c=pb()|0;DO(J);K=c;sb(K|0)}}K=pb()|0;DO(d);sb(K|0);return 0}function ke(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=r;r=r+32|0;C=F+16|0;A=F+8|0;B=F;p=d;q=k[p>>2]|0;p=k[p+4>>2]|0;t=e;j=k[t>>2]|0;t=k[t+4>>2]|0;if((t|0)==(p|0))s=0;else s=((t-(k[j>>2]|0)|0)/28|0)+((j-q>>2)*146|0)+((p-(k[q>>2]|0)|0)/-28|0)|0;y=b+4|0;g=k[y>>2]|0;z=b+16|0;o=k[z>>2]|0;h=g+(((o>>>0)/146|0)<<2)|0;E=b+8|0;f=k[E>>2]|0;m=f;n=g;if((f|0)==(g|0))l=0;else l=(k[h>>2]|0)+(((o>>>0)%146|0)*28|0)|0;i=k[c+4>>2]|0;if((i|0)==(l|0))D=0;else{D=k[c>>2]|0;D=((D-h>>2)*146|0)+((i-(k[D>>2]|0)|0)/28|0)+((l-(k[h>>2]|0)|0)/-28|0)|0}x=b+20|0;i=k[x>>2]|0;if(D>>>0<(i-D|0)>>>0){if(s>>>0>o>>>0){Uf(b,s-o|0);h=k[z>>2]|0;g=k[y>>2]|0;f=k[E>>2]|0}else h=o;v=g+(((h>>>0)/146|0)<<2)|0;if((f|0)==(g|0))u=0;else u=(k[v>>2]|0)+(((h>>>0)%146|0)*28|0)|0;g=v;f=u;if(s>>>0>D>>>0){do if(D>>>0<s>>>1>>>0)if(!D)p=t;else{i=j;h=((t-(k[j>>2]|0)|0)/28|0)-D|0;if((h|0)>0){p=i+(((h>>>0)/146|0)<<2)|0;j=p;p=(k[p>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{p=145-h|0;w=i+(((p|0)/-146|0)<<2)|0;j=w;p=(k[w>>2]|0)+((145-((p|0)%146|0)|0)*28|0)|0;break}}else{h=s-D|0;if(!h)j=q;else{i=q;h=((p-(k[q>>2]|0)|0)/28|0)+h|0;if((h|0)>0){p=i+(((h>>>0)/146|0)<<2)|0;j=p;p=(k[p>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{p=145-h|0;w=i+(((p|0)/-146|0)<<2)|0;j=w;p=(k[w>>2]|0)+((145-((p|0)%146|0)|0)*28|0)|0;break}}}while(0);i=p;o=k[d+4>>2]|0;if((i|0)==(o|0)){s=D;m=g;l=f}else{c=j;m=g;h=f;while(1){l=m;if((h|0)==(k[l>>2]|0)){h=l+-4|0;m=h;h=(k[h>>2]|0)+4088|0}n=h+-28|0;b=n;l=c;if((i|0)==(k[l>>2]|0)){l=l+-4|0;c=l;l=(k[l>>2]|0)+4088|0}else l=i;i=l+-28|0;k[n>>2]=k[i>>2];k[n+4>>2]=k[i+4>>2];k[n+8>>2]=k[i+8>>2];d=h+-16|0;LT(d,k[l+-12>>2]|0);k[d>>2]=15136;k[h+-8>>2]=k[l+-8>>2];l=k[l+-4>>2]|0;k[h+-4>>2]=l;if(l|0)Dba(l);k[z>>2]=(k[z>>2]|0)+-1;k[x>>2]=(k[x>>2]|0)+1;if((i|0)==(o|0)){s=D;l=b;break}else h=b}}}else{j=q;m=g;l=f}if(s|0){h=((f-(k[v>>2]|0)|0)/28|0)+s|0;if((h|0)>0){n=v+(((h>>>0)/146|0)<<2)|0;i=(k[n>>2]|0)+(((h>>>0)%146|0)*28|0)|0}else{i=145-h|0;n=v+(((i|0)/-146|0)<<2)|0;i=(k[n>>2]|0)+((145-((i|0)%146|0)|0)*28|0)|0}q=n;if((i|0)!=(u|0)){c=q;b=i;while(1){h=m;if((l|0)==(k[h>>2]|0)){o=h+-4|0;m=o;o=(k[o>>2]|0)+4088|0}else o=l;l=o+-28|0;h=c;if((b|0)==(k[h>>2]|0)){c=h+-4|0;h=c;c=(k[c>>2]|0)+4088|0}else{h=c;c=b}b=c+-28|0;k[l>>2]=k[b>>2];k[l+4>>2]=k[b+4>>2];k[l+8>>2]=k[b+8>>2];w=o+-16|0;LT(w,k[c+-12>>2]|0);k[w>>2]=15136;w=c+-8|0;k[o+-8>>2]=k[w>>2];d=c+-4|0;k[o+-4>>2]=k[d>>2];k[w>>2]=0;k[d>>2]=0;k[z>>2]=(k[z>>2]|0)+-1;k[x>>2]=(k[x>>2]|0)+1;if((b|0)==(u|0))break;else c=h}}if(s>>>0<D>>>0){do if(!D){l=g;h=f}else{h=((f-(k[v>>2]|0)|0)/28|0)+D|0;if((h|0)>0){x=v+(((h>>>0)/146|0)<<2)|0;l=x;h=(k[x>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{h=145-h|0;x=v+(((h|0)/-146|0)<<2)|0;l=x;h=(k[x>>2]|0)+((145-((h|0)%146|0)|0)*28|0)|0;break}}while(0);m=i;if((h|0)!=(i|0)){c=k[n>>2]|0;h=((h-(k[l>>2]|0)|0)/28|0)+((l-q>>2)*146|0)+((m-c|0)/-28|0)|0;if((h|0)>0)while(1){c=c+4088|0;l=(c-i|0)/28|0;x=(l|0)>(h|0);l=x?h:l;d=B;k[d>>2]=g;k[d+4>>2]=f;k[C>>2]=k[B>>2];k[C+4>>2]=k[B+4>>2];rp(A,i,x?i+(h*28|0)|0:c,C,0);f=A;g=k[f>>2]|0;f=k[f+4>>2]|0;c=h-l|0;do if(!l)l=n;else{h=((m-(k[n>>2]|0)|0)/28|0)+l|0;if((h|0)>0){l=n+(((h>>>0)/146|0)<<2)|0;i=(k[l>>2]|0)+(((h>>>0)%146|0)*28|0)|0;m=i;break}else{i=145-h|0;l=n+(((i|0)/-146|0)<<2)|0;i=(k[l>>2]|0)+((145-((i|0)%146|0)|0)*28|0)|0;m=i;break}}while(0);if((c|0)<=0)break;h=c;c=k[l>>2]|0;n=l}}c=g}else c=g;h=e;g=k[h>>2]|0;h=k[h+4>>2]|0;i=p;if((h|0)!=(i|0)){g=((h-(k[g>>2]|0)|0)/28|0)+((g-j>>2)*146|0)+((p-(k[j>>2]|0)|0)/-28|0)|0;if((g|0)>0){l=f;h=p;while(1){x=(k[j>>2]|0)+4088|0;f=(x-i|0)/28|0;e=(f|0)>(g|0);f=e?g:f;d=B;k[d>>2]=c;k[d+4>>2]=l;k[C>>2]=k[B>>2];k[C+4>>2]=k[B+4>>2];Zp(A,i,e?i+(g*28|0)|0:x,C,0);x=A;c=k[x>>2]|0;l=k[x+4>>2]|0;g=g-f|0;do if(!f)f=j;else{f=((h-(k[j>>2]|0)|0)/28|0)+f|0;if((f|0)>0){x=j+(((f>>>0)/146|0)<<2)|0;i=(k[x>>2]|0)+(((f>>>0)%146|0)*28|0)|0;h=i;f=x;break}else{i=145-f|0;f=j+(((i|0)/-146|0)<<2)|0;i=(k[f>>2]|0)+((145-((i|0)%146|0)|0)*28|0)|0;h=i;break}}while(0);if((g|0)<=0)break;else j=f}}}}}else{h=m-n>>2;h=((h|0)==0?0:(h*146|0)+-1|0)-(i+o)|0;if(s>>>0>h>>>0){Ff(b,s-h|0);h=k[z>>2]|0;l=k[x>>2]|0;i=k[y>>2]|0;f=k[E>>2]|0}else{h=o;l=i;i=g}g=h+l|0;w=i+(((g>>>0)/146|0)<<2)|0;if((f|0)==(i|0))v=0;else v=(k[w>>2]|0)+(((g>>>0)%146|0)*28|0)|0;g=w;f=v;u=l-D|0;if(s>>>0>u>>>0){do if(u>>>0<s>>>1>>>0)if(!u){j=q;o=p}else{i=q;h=((p-(k[q>>2]|0)|0)/28|0)+u|0;if((h|0)>0){o=i+(((h>>>0)/146|0)<<2)|0;j=o;o=(k[o>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{o=145-h|0;t=i+(((o|0)/-146|0)<<2)|0;j=t;o=(k[t>>2]|0)+((145-((o|0)%146|0)|0)*28|0)|0;break}}else{h=s-u|0;if(!h)o=t;else{i=j;h=((t-(k[j>>2]|0)|0)/28|0)-h|0;if((h|0)>0){o=i+(((h>>>0)/146|0)<<2)|0;j=o;o=(k[o>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{o=145-h|0;t=i+(((o|0)/-146|0)<<2)|0;j=t;o=(k[t>>2]|0)+((145-((o|0)%146|0)|0)*28|0)|0;break}}}while(0);h=o;n=k[e+4>>2]|0;if((h|0)==(n|0)){n=u;c=g;l=f}else{m=j;c=g;i=f;while(1){k[i>>2]=k[h>>2];k[i+4>>2]=k[h+4>>2];k[i+8>>2]=k[h+8>>2];l=i+12|0;LT(l,k[h+16>>2]|0);k[l>>2]=15136;k[i+20>>2]=k[h+20>>2];l=k[h+24>>2]|0;k[i+24>>2]=l;if(l|0)Dba(l);i=i+28|0;if((i-(k[c>>2]|0)|0)==4088){i=c+4|0;c=i;i=k[i>>2]|0}h=h+28|0;if((h-(k[m>>2]|0)|0)==4088){h=m+4|0;l=h;h=k[h>>2]|0}else l=m;k[x>>2]=(k[x>>2]|0)+1;if((h|0)==(n|0)){n=u;l=i;break}else m=l}}}else{o=t;n=s;c=g;l=f}if(n|0){h=((f-(k[w>>2]|0)|0)/28|0)-n|0;if((h|0)>0){p=w+(((h>>>0)/146|0)<<2)|0;i=(k[p>>2]|0)+(((h>>>0)%146|0)*28|0)|0}else{i=145-h|0;p=w+(((i|0)/-146|0)<<2)|0;i=(k[p>>2]|0)+((145-((i|0)%146|0)|0)*28|0)|0}b=p;if((i|0)!=(v|0)){m=b;h=i;do{k[l>>2]=k[h>>2];k[l+4>>2]=k[h+4>>2];k[l+8>>2]=k[h+8>>2];t=l+12|0;LT(t,k[h+16>>2]|0);k[t>>2]=15136;t=h+20|0;k[l+20>>2]=k[t>>2];e=h+24|0;k[l+24>>2]=k[e>>2];k[t>>2]=0;k[e>>2]=0;l=l+28|0;if((l-(k[c>>2]|0)|0)==4088){l=c+4|0;c=l;l=k[l>>2]|0}h=h+28|0;if((h-(k[m>>2]|0)|0)==4088){h=m+4|0;m=h;h=k[h>>2]|0}k[x>>2]=(k[x>>2]|0)+1}while((h|0)!=(v|0))}if(n>>>0<u>>>0){do if(!u){c=g;h=f}else{h=((f-(k[w>>2]|0)|0)/28|0)-u|0;if((h|0)>0){x=w+(((h>>>0)/146|0)<<2)|0;c=x;h=(k[x>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{h=145-h|0;x=w+(((h|0)/-146|0)<<2)|0;c=x;h=(k[x>>2]|0)+((145-((h|0)%146|0)|0)*28|0)|0;break}}while(0);if((i|0)!=(h|0)){l=k[p>>2]|0;h=((i-l|0)/28|0)+((b-c>>2)*146|0)+((h-(k[c>>2]|0)|0)/-28|0)|0;if((h|0)>0){c=p;while(1){if((i|0)==(l|0)){c=c+-4|0;l=k[c>>2]|0;i=l+4088|0}m=i+-28|0;x=(i-l|0)/28|0;e=(x|0)>(h|0);x=e?h:x;w=B;k[w>>2]=g;k[w+4>>2]=f;k[C>>2]=k[B>>2];k[C+4>>2]=k[B+4>>2];Yn(A,e?i+((0-h|0)*28|0)|0:l,i,C,0);f=A;g=k[f>>2]|0;f=k[f+4>>2]|0;h=h-x|0;i=x+-1|0;do if(!i)i=m;else{i=((m-(k[c>>2]|0)|0)/28|0)-i|0;if((i|0)>0){x=c+(((i>>>0)/146|0)<<2)|0;c=x;i=(k[x>>2]|0)+(((i>>>0)%146|0)*28|0)|0;break}else{i=145-i|0;x=c+(((i|0)/-146|0)<<2)|0;c=x;i=(k[x>>2]|0)+((145-((i|0)%146|0)|0)*28|0)|0;break}}while(0);if((h|0)<=0)break;l=k[c>>2]|0}}}l=g;i=f}else{l=g;i=f}h=d;f=k[h>>2]|0;h=k[h+4>>2]|0;g=o;if((g|0)!=(h|0)){f=((o-(k[j>>2]|0)|0)/28|0)+((j-f>>2)*146|0)+((h-(k[f>>2]|0)|0)/-28|0)|0;if((f|0)>0){c=i;while(1){h=k[j>>2]|0;if((g|0)==(h|0)){j=j+-4|0;h=k[j>>2]|0;g=h+4088|0}i=g+-28|0;x=(g-h|0)/28|0;e=(x|0)>(f|0);x=e?f:x;d=B;k[d>>2]=l;k[d+4>>2]=c;k[C>>2]=k[B>>2];k[C+4>>2]=k[B+4>>2];eo(A,e?g+((0-f|0)*28|0)|0:h,g,C,0);g=A;l=k[g>>2]|0;c=k[g+4>>2]|0;f=f-x|0;g=x+-1|0;do if(!g){h=j;g=i}else{g=((i-(k[j>>2]|0)|0)/28|0)-g|0;if((g|0)>0){x=j+(((g>>>0)/146|0)<<2)|0;h=x;g=(k[x>>2]|0)+(((g>>>0)%146|0)*28|0)|0;break}else{g=145-g|0;x=j+(((g|0)/-146|0)<<2)|0;h=x;g=(k[x>>2]|0)+((145-((g|0)%146|0)|0)*28|0)|0;break}}while(0);if((f|0)<=0)break;else j=h}}}}}C=k[y>>2]|0;f=k[z>>2]|0;h=C+(((f>>>0)/146|0)<<2)|0;if((k[E>>2]|0)==(C|0)){g=0;f=0}else{g=0;f=(k[h>>2]|0)+(((f>>>0)%146|0)*28|0)|0}E=a;k[E>>2]=g|h;k[E+4>>2]=f;if(!D){r=F;return}g=a+4|0;f=((f-(k[h>>2]|0)|0)/28|0)+D|0;if((f|0)>0){E=h+(((f>>>0)/146|0)<<2)|0;k[a>>2]=E;k[g>>2]=(k[E>>2]|0)+(((f>>>0)%146|0)*28|0);r=F;return}else{E=145-f|0;D=h+(((E|0)/-146|0)<<2)|0;k[a>>2]=D;k[g>>2]=(k[D>>2]|0)+((145-((E|0)%146|0)|0)*28|0);r=F;return}}function le(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;J=0;G=r;r=r+368|0;E=G;L=G+344|0;K=G+336|0;f=G+360|0;I=G+308|0;m=G+352|0;l=G+328|0;u=G+320|0;v=G+256|0;w=G+240|0;p=G+232|0;q=G+184|0;x=G+168|0;z=G+160|0;A=G+120|0;C=G+104|0;H=G+296|0;s=G+96|0;t=G+56|0;B=G+40|0;F=G+224|0;j=IM(88)|0;D=b+12|0;h=E;n=D;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));y=0;na(422,j|0);o=y;y=0;do if(o&1)c=pb()|0;else{h=j+12|0;n=E;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=9288;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,2);o=y;y=0;if(o&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{L=e+-8|0;k[h>>2]=L;lc[k[k[L>>2]>>2]&511](L);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=9076;k[d>>2]=9208;k[j+80>>2]=1;i[j+84>>0]=0;i[j+85>>0]=0;k[c>>2]=5;LT(L,j);k[L>>2]=7172;j=L+4|0;i[(k[j>>2]|0)+85>>0]=1;y=0;oa(460,K|0,k[b+80>>2]|0);o=y;y=0;if(o&1)c=pb()|0;else{k[K>>2]=15152;d=k[K+4>>2]|0;do if(!d)J=25;else{c=k[d+76>>2]|0;if(((k[d+80>>2]|0)-c|0)==8){c=k[c+4>>2]|0;if(c|0)if((k[427]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){J=25;break}}y=0;c=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;o=y;y=0;if(o&1)J=22;else if(!c)J=25;else{d=(k[j>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,f|0,c|0);o=y;y=0;if(o&1){c=pb()|0;break}k[f>>2]=7284;y=0;oa(e|0,d|0,f|0);o=y;y=0;if(o&1){c=pb()|0;DO(f);break}else{DO(f);J=25;break}}}while(0);do if((J|0)==25){c=b+96|0;y=0;oa(460,m|0,k[c>>2]|0);o=y;y=0;if(o&1)J=22;else{k[m>>2]=7492;do if(!(k[m+4>>2]|0)){k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;y=0;Na(74,I|0,87975,0);J=y;y=0;if(J&1)J=32;else J=31}else{y=0;oa(460,l|0,k[c>>2]|0);o=y;y=0;if(o&1)J=32;else{k[l>>2]=7492;o=k[l+4>>2]|0;y=0;oa(k[(k[o>>2]|0)+32>>2]|0,I|0,o|0);o=y;y=0;if(o&1){c=pb()|0;DO(l);break}else{DO(l);J=31;break}}}while(0);if((J|0)==31){DO(m);a:do switch(k[b+72>>2]|0){case 1:{c=(k[j>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;f=qa(315,80)|0;C=y;y=0;if(C&1)J=35;else{h=v;n=D;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(74,w|0,48587,1);D=y;y=0;if(D&1){c=pb()|0;d=N}else{y=0;h=E;n=v;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));Ea(2,f|0,E|0,w|0,0,0,0,1);E=y;y=0;if(E&1)e=1;else{y=0;oa(460,u|0,f|0);E=y;y=0;if(E&1)e=0;else{k[u>>2]=7284;y=0;oa(d|0,c|0,u|0);E=y;y=0;if(E&1){c=pb()|0;DO(u);A9(w);break a}else{DO(u);A9(w);J=80;break a}}}c=pb()|0;d=N;A9(w);if(!e)break a}cra(f)}break}case 3:{c=(k[j>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;f=qa(315,80)|0;C=y;y=0;if(C&1)J=35;else{h=q;n=D;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,51014,1);D=y;y=0;if(D&1){c=pb()|0;d=N}else{y=0;h=E;n=q;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));Ea(2,f|0,E|0,x|0,0,0,0,1);E=y;y=0;if(E&1)e=1;else{y=0;oa(460,p|0,f|0);E=y;y=0;if(E&1)e=0;else{k[p>>2]=7284;y=0;oa(d|0,c|0,p|0);E=y;y=0;if(E&1){c=pb()|0;DO(p);A9(x);break a}else{DO(p);A9(x);J=80;break a}}}c=pb()|0;d=N;A9(x);if(!e)break a}cra(f)}break}case 4:{e=(k[j>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;g=qa(315,80)|0;B=y;y=0;if(B&1)J=35;else{h=A;n=D;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;c=I+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[I+4>>2]|0:d&255;y=0;Ra(10,H|0,48589,1,d+1|0);D=y;y=0;do if(D&1)J=64;else{y=0;ta(41,H|0,((i[c>>0]|0)<0?k[I>>2]|0:I)|0,d|0)|0;D=y;y=0;if(D&1)J=64;else{y=0;c=Ha(974,H|0,48589)|0;D=y;y=0;if(D&1){c=pb()|0;d=N;A9(H);break}k[C>>2]=k[c>>2];k[C+4>>2]=k[c+4>>2];k[C+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;h=E;n=A;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));Ea(2,g|0,E|0,C|0,0,0,0,1);E=y;y=0;do if(E&1){c=1;J=66}else{y=0;oa(460,z|0,g|0);E=y;y=0;if(E&1){c=0;J=66}else{k[z>>2]=7284;y=0;oa(f|0,e|0,z|0);E=y;y=0;if(E&1){c=pb()|0;d=N;DO(z);e=0;break}else{DO(z);A9(C);A9(H);J=80;break a}}}while(0);if((J|0)==66){d=pb()|0;e=c;c=d;d=N}A9(C);A9(H);if(!e)break a}}while(0);if((J|0)==64){c=pb()|0;d=N;A9(H)}cra(g)}break}case 2:{c=(k[j>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;f=qa(315,80)|0;C=y;y=0;if(C&1)J=35;else{h=t;n=D;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(74,B|0,48591,1);D=y;y=0;if(D&1){c=pb()|0;d=N}else{y=0;h=E;n=t;o=h+40|0;do{k[h>>2]=k[n>>2];h=h+4|0;n=n+4|0}while((h|0)<(o|0));Ea(2,f|0,E|0,B|0,0,0,0,1);E=y;y=0;if(E&1)e=1;else{y=0;oa(460,s|0,f|0);E=y;y=0;if(E&1)e=0;else{k[s>>2]=7284;y=0;oa(d|0,c|0,s|0);E=y;y=0;if(E&1){c=pb()|0;DO(s);A9(B);break a}else{DO(s);A9(B);J=80;break a}}}c=pb()|0;d=N;A9(B);if(!e)break a}cra(f)}break}default:J=80}while(0);b:do if((J|0)==80){y=0;oa(460,H|0,k[b+88>>2]|0);b=y;y=0;if(b&1)J=35;else{k[H>>2]=15136;c=k[H+4>>2]|0;c:do if(c|0){y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;a=y;y=0;if(a&1)J=87;else{y=0;oa(460,F|0,c|0);a=y;y=0;if(a&1)J=87;else{k[F>>2]=7284;y=0;c=qa(336,k[F+4>>2]|0)|0;a=y;y=0;d:do if(a&1)c=pb()|0;else{do if(c|0){a=(k[j>>2]|0)+60|0;y=0;oa(k[(k[a>>2]|0)+24>>2]|0,a|0,c+60|0);a=y;y=0;if(!(a&1))break;c=pb()|0;break d}while(0);DO(F);break c}while(0);DO(F)}}if((J|0)==87)c=pb()|0;DO(H);break b}while(0);c=k[j>>2]|0;if((k[c+68>>2]|0)==(k[c+64>>2]|0)){J=0;DO(H);A9(I);DO(K);DO(L);r=G;return J|0}if(!c)c=0;else i[c+8>>0]=1;J=c;DO(H);A9(I);DO(K);DO(L);r=G;return J|0}}while(0);if((J|0)==35)c=pb()|0;A9(I);break}else if((J|0)==32)c=pb()|0;DO(m)}}while(0);if((J|0)==22)c=pb()|0;DO(K)}DO(L);L=c;sb(L|0)}while(0);cra(j);L=c;sb(L|0);return 0}function me(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;N=r;r=r+224|0;M=N+40|0;K=N;x=N+200|0;H=N+160|0;J=N+144|0;B=N+104|0;C=N+92|0;w=N+80|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,38272,6);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));L=sa(24,K|0,a|0,d|0,M|0,f|0)|0;I=y;y=0;if(I&1){N=pb()|0;A9(K);sb(N|0)}A9(K);k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38247,4);y=0;b=Ha(975,a|0,M|0)|0;I=y;y=0;if(I&1){N=pb()|0;A9(M);sb(N|0)}b=k[b+4>>2]|0;if(!b)g=0;else g=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(M);k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38252,6);y=0;b=Ha(975,a|0,M|0)|0;I=y;y=0;if(I&1){N=pb()|0;A9(M);sb(N|0)}b=k[b+4>>2]|0;if(!b)c=0;else c=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(M);k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38259,5);y=0;b=Ha(975,a|0,M|0)|0;I=y;y=0;if(I&1){N=pb()|0;A9(M);sb(N|0)}b=k[b+4>>2]|0;if(!b)v=0;else v=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(M);k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38376,4);y=0;b=Ha(975,a|0,M|0)|0;I=y;y=0;if(I&1){N=pb()|0;A9(M);sb(N|0)}b=k[b+4>>2]|0;if(!b)G=0;else G=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(M);k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38381,11);y=0;b=Ha(975,a|0,M|0)|0;I=y;y=0;if(I&1){N=pb()|0;A9(M);sb(N|0)}b=k[b+4>>2]|0;if(!b)t=0;else t=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(M);k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38393,10);y=0;b=Ha(975,a|0,M|0)|0;I=y;y=0;if(I&1){N=pb()|0;A9(M);sb(N|0)}b=k[b+4>>2]|0;if(!b)A=0;else A=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(M);k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38265,6);y=0;b=Ha(975,a|0,M|0)|0;I=y;y=0;if(I&1){N=pb()|0;A9(M);sb(N|0)}b=k[b+4>>2]|0;if(!b)I=0;else I=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(M);g=(g|0)!=0;u=(c|0)!=0;c=g|u|(v|0)!=0;z=(G|0)!=0;t=(t|0)!=0;b=z|t|(A|0)!=0;do if(c&b){k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,38466,81);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));oa(454,x|0,M|0);F=y;y=0;if(!(F&1)){A9(x);break}N=pb()|0;A9(x);sb(N|0)}while(0);if(c){do if(g){k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,38247,4);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,M|0,-255.0,255.0,f|0)|0;G=y;y=0;if(!(G&1)){m=+p[b+64>>3];A9(K);break}N=pb()|0;A9(K);sb(N|0)}else m=0.0;while(0);do if(u){k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,38252,6);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,M|0,-255.0,255.0,f|0)|0;G=y;y=0;if(!(G&1)){l=+p[b+64>>3];A9(K);break}N=pb()|0;A9(K);sb(N|0)}else l=0.0;while(0);do if(!v)s=0.0;else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,38259,5);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,M|0,-255.0,255.0,f|0)|0;G=y;y=0;if(!(G&1)){s=+p[b+64>>3];A9(K);break}N=pb()|0;A9(K);sb(N|0)}while(0);do if(!I)q=0.0;else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,38265,6);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,M|0,-1.0,1.0,f|0)|0;f=y;y=0;if(!(f&1)){q=+p[b+64>>3];A9(K);break}N=pb()|0;A9(K);sb(N|0)}while(0);c=IM(112)|0;D=H;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));h=+p[L+64>>3];j=+p[L+72>>3];n=+p[L+80>>3];o=+p[L+88>>3];k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(74,J|0,87975,0);L=y;y=0;if(L&1)b=pb()|0;else{D=M;E=H;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));y=0;na(422,c|0);L=y;y=0;do if(L&1)b=pb()|0;else{m=m+h;l=l+j;j=s+n;h=q+o;D=c+12|0;E=M;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=10548;p[c+64>>3]=m;p[c+72>>3]=l;p[c+80>>3]=j;p[c+88>>3]=h;y=0;oa(456,c+96|0,J|0);M=y;y=0;if(M&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;A9(J);M=c;r=N;return M|0}while(0);A9(J)}cra(c);N=b;sb(N|0)}if(!b){if(!I){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;aI(w,38548,39);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));oa(454,w|0,M|0);M=y;y=0;if(M&1){N=pb()|0;A9(w);sb(N|0)}else{A9(w);M=L;r=N;return M|0}}c=IM(112)|0;D=B;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));l=+p[L+64>>3];m=+p[L+72>>3];n=+p[L+80>>3];j=+p[L+88>>3];h=+p[I+64>>3];k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(74,C|0,87975,0);M=y;y=0;if(M&1)b=pb()|0;else{D=K;E=B;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));y=0;na(422,c|0);M=y;y=0;do if(M&1)b=pb()|0;else{h=j+h;D=c+12|0;E=K;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=10548;p[c+64>>3]=l;p[c+72>>3]=m;p[c+80>>3]=n;p[c+88>>3]=h;y=0;oa(456,c+96|0,C|0);M=y;y=0;if(M&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;A9(C);M=c;r=N;return M|0}while(0);A9(C)}cra(c);N=b;sb(N|0)}m=+p[L+64>>3]/255.0;n=+p[L+72>>3]/255.0;o=+p[L+80>>3]/255.0;b=n<o;l=b?o:n;l=m<l?l:m;h=o<n?o:n;h=h<m?h:m;q=l-h;j=l+h;s=j*.5;do if(l==h){h=0.0;j=0.0}else{j=q/(s<.5?j:2.0-l-h);if(m==l){h=(b?6.0:0.0)+(n-o)/q;break}if(n==l){h=(o-m)/q+2.0;break}if(!(o==l)){h=0.0;break}h=(m-n)/q+4.0}while(0);m=h/6.0*360.0;o=j*100.0;q=s*100.0;do if(t){k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,38381,11);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,M|0,-100.0,100.0,f|0)|0;J=y;y=0;if(!(J&1)){l=+p[b+64>>3];A9(K);break}N=pb()|0;A9(K);sb(N|0)}else l=0.0;while(0);do if(!A)j=0.0;else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,38393,10);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,M|0,-100.0,100.0,f|0)|0;J=y;y=0;if(!(J&1)){j=+p[b+64>>3];A9(K);break}N=pb()|0;A9(K);sb(N|0)}while(0);do if(!I)n=0.0;else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,38265,6);y=0;D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));b=Ia(1,K|0,a|0,d|0,M|0,-1.0,1.0,f|0)|0;f=y;y=0;if(!(f&1)){n=+p[b+64>>3];A9(K);break}N=pb()|0;A9(K);sb(N|0)}while(0);if(z)h=+p[G+64>>3];else h=0.0;m=m+h;l=o+l;j=q+j;h=n+ +p[L+88>>3];D=M;E=e;F=D+40|0;do{k[D>>2]=k[E>>2];D=D+4|0;E=E+4|0}while((D|0)<(F|0));M=Wm(m,l,j,h,0,M)|0;r=N;return M|0}function ne(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;N=r;r=r+112|0;K=N+96|0;G=N+72|0;F=N+56|0;H=N;z=N+40|0;A=N+32|0;B=N+88|0;D=N+16|0;C=N+8|0;q=k[d+8>>2]|0;w=d+12|0;o=k[w>>2]|0;u=k[e+8>>2]|0;x=e+12|0;s=k[x>>2]|0;t=s;v=o;if((o|0)==(s|0))p=0;else p=((v-(k[q>>2]|0)|0)/28|0)+((q-u>>2)*146|0)+((t-(k[u>>2]|0)|0)/-28|0)|0;I=b+4|0;i=k[I>>2]|0;J=b+16|0;h=k[J>>2]|0;g=i+(((h>>>0)/146|0)<<2)|0;M=b+8|0;f=k[M>>2]|0;m=f;n=i;if((f|0)==(i|0))l=0;else l=(k[g>>2]|0)+(((h>>>0)%146|0)*28|0)|0;j=k[c+4>>2]|0;if((j|0)==(l|0))L=0;else{L=k[c>>2]|0;L=((L-g>>2)*146|0)+((j-(k[L>>2]|0)|0)/28|0)+((l-(k[g>>2]|0)|0)/-28|0)|0}E=b+20|0;l=k[E>>2]|0;if(L>>>0<(l-L|0)>>>0){if(p>>>0>h>>>0){Uf(b,p-h|0);h=k[J>>2]|0;g=k[I>>2]|0;f=k[M>>2]|0}else g=i;y=g+(((h>>>0)/146|0)<<2)|0;if((f|0)==(g|0))x=0;else x=(k[y>>2]|0)+(((h>>>0)%146|0)*28|0)|0;g=y;f=x;h=d;j=k[h>>2]|0;h=k[h+4>>2]|0;d=H;k[d>>2]=j;k[d+4>>2]=h;if(p>>>0>L>>>0){do if(L>>>0<p>>>1>>>0){h=e;j=k[h>>2]|0;h=k[h+4>>2]|0;if(!L){q=u;b=t;i=j}else{i=((t-(k[u>>2]|0)|0)/28|0)+L|0;if((i|0)>0){b=u+(((i>>>0)/146|0)<<2)|0;q=b;b=(k[b>>2]|0)+(((i>>>0)%146|0)*28|0)|0;i=j;break}else{b=145-i|0;i=u+(((b|0)/-146|0)<<2)|0;q=i;b=(k[i>>2]|0)+((145-((b|0)%146|0)|0)*28|0)|0;i=j;break}}}else{i=p-L|0;if(!i){b=v;i=j}else{i=((v-(k[q>>2]|0)|0)/28|0)-i|0;if((i|0)>0){b=q+(((i>>>0)/146|0)<<2)|0;q=b;b=(k[b>>2]|0)+(((i>>>0)%146|0)*28|0)|0;i=j;break}else{b=145-i|0;i=q+(((b|0)/-146|0)<<2)|0;q=i;b=(k[i>>2]|0)+((145-((b|0)%146|0)|0)*28|0)|0;i=j;break}}}while(0);d=H;k[d>>2]=i;k[d+4>>2]=h;i=b;if((i|0)==(o|0)){p=L;l=g;s=b;j=f}else{l=g;c=q;h=f;while(1){j=l;if((h|0)==(k[j>>2]|0)){h=j+-4|0;l=h;h=(k[h>>2]|0)+4088|0}m=h+-28|0;n=m;i=i+28|0;j=k[c>>2]|0;if((i-j|0)==4088){c=c+4|0;i=k[c>>2]|0;j=i}if((i|0)==(j|0))j=(k[c+-4>>2]|0)+4088|0;else j=i;d=j+-28|0;k[m>>2]=k[d>>2];k[m+4>>2]=k[d+4>>2];k[m+8>>2]=k[d+8>>2];d=h+-16|0;LT(d,k[j+-12>>2]|0);k[d>>2]=15136;k[h+-8>>2]=k[j+-8>>2];j=k[j+-4>>2]|0;k[h+-4>>2]=j;if(j|0)Dba(j);k[J>>2]=(k[J>>2]|0)+-1;k[E>>2]=(k[E>>2]|0)+1;if((i|0)==(k[w>>2]|0)){p=L;s=b;j=n;break}else h=n}}}else{l=g;s=v;j=f}if(p|0){h=((f-(k[y>>2]|0)|0)/28|0)+p|0;if((h|0)>0){m=y+(((h>>>0)/146|0)<<2)|0;i=(k[m>>2]|0)+(((h>>>0)%146|0)*28|0)|0}else{i=145-h|0;m=y+(((i|0)/-146|0)<<2)|0;i=(k[m>>2]|0)+((145-((i|0)%146|0)|0)*28|0)|0}o=m;if((i|0)!=(x|0)){c=o;b=i;while(1){h=l;if((j|0)==(k[h>>2]|0)){n=h+-4|0;l=n;n=(k[n>>2]|0)+4088|0}else n=j;j=n+-28|0;h=c;if((b|0)==(k[h>>2]|0)){c=h+-4|0;h=c;c=(k[c>>2]|0)+4088|0}else{h=c;c=b}b=c+-28|0;k[j>>2]=k[b>>2];k[j+4>>2]=k[b+4>>2];k[j+8>>2]=k[b+8>>2];D=n+-16|0;LT(D,k[c+-12>>2]|0);k[D>>2]=15136;D=c+-8|0;k[n+-8>>2]=k[D>>2];d=c+-4|0;k[n+-4>>2]=k[d>>2];k[D>>2]=0;k[d>>2]=0;k[J>>2]=(k[J>>2]|0)+-1;k[E>>2]=(k[E>>2]|0)+1;if((b|0)==(x|0))break;else c=h}}if(p>>>0<L>>>0){do if(!L){j=g;h=f}else{h=((f-(k[y>>2]|0)|0)/28|0)+L|0;if((h|0)>0){E=y+(((h>>>0)/146|0)<<2)|0;j=E;h=(k[E>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{h=145-h|0;E=y+(((h|0)/-146|0)<<2)|0;j=E;h=(k[E>>2]|0)+((145-((h|0)%146|0)|0)*28|0)|0;break}}while(0);c=i;if((h|0)!=(i|0)){l=k[m>>2]|0;h=((h-(k[j>>2]|0)|0)/28|0)+((j-o>>2)*146|0)+((c-l|0)/-28|0)|0;if((h|0)>0)while(1){l=l+4088|0;j=(l-i|0)/28|0;E=(j|0)>(h|0);j=E?h:j;d=F;k[d>>2]=g;k[d+4>>2]=f;k[K>>2]=k[F>>2];k[K+4>>2]=k[F+4>>2];rp(G,i,E?i+(h*28|0)|0:l,K,0);f=G;g=k[f>>2]|0;f=k[f+4>>2]|0;l=h-j|0;do if(!j)j=m;else{h=((c-(k[m>>2]|0)|0)/28|0)+j|0;if((h|0)>0){j=m+(((h>>>0)/146|0)<<2)|0;i=(k[j>>2]|0)+(((h>>>0)%146|0)*28|0)|0;c=i;break}else{i=145-h|0;j=m+(((i|0)/-146|0)<<2)|0;i=(k[j>>2]|0)+((145-((i|0)%146|0)|0)*28|0)|0;c=i;break}}while(0);if((l|0)<=0)break;h=l;l=k[j>>2]|0;m=j}}}d=H;E=k[d+4>>2]|0;H=z;k[H>>2]=k[d>>2];k[H+4>>2]=E;k[z+8>>2]=q;k[z+12>>2]=s;k[A>>2]=g;k[A+4>>2]=f;k[F>>2]=k[z>>2];k[F+4>>2]=k[z+4>>2];k[F+8>>2]=k[z+8>>2];k[F+12>>2]=k[z+12>>2];k[G>>2]=k[e>>2];k[G+4>>2]=k[e+4>>2];k[G+8>>2]=k[e+8>>2];k[G+12>>2]=k[e+12>>2];k[K>>2]=k[A>>2];k[K+4>>2]=k[A+4>>2];Vk(B,F,G,K,0)}}else{g=m-n>>2;g=((g|0)==0?0:(g*146|0)+-1|0)-(l+h)|0;if(p>>>0>g>>>0){Ff(b,p-g|0);h=k[J>>2]|0;l=k[E>>2]|0;i=k[I>>2]|0;g=k[M>>2]|0}else g=f;f=h+l|0;z=i+(((f>>>0)/146|0)<<2)|0;if((g|0)==(i|0))y=0;else y=(k[z>>2]|0)+(((f>>>0)%146|0)*28|0)|0;g=z;f=y;j=e;i=k[j>>2]|0;j=k[j+4>>2]|0;w=l-L|0;if(p>>>0>w>>>0){do if(w>>>0<p>>>1>>>0){j=d;i=k[j>>2]|0;j=k[j+4>>2]|0;if(!w)h=v;else{h=((v-(k[q>>2]|0)|0)/28|0)-w|0;if((h|0)>0){e=q+(((h>>>0)/146|0)<<2)|0;q=e;h=(k[e>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{h=145-h|0;e=q+(((h|0)/-146|0)<<2)|0;q=e;h=(k[e>>2]|0)+((145-((h|0)%146|0)|0)*28|0)|0;break}}}else{h=p-w|0;if(!h){q=u;h=t}else{h=((t-(k[u>>2]|0)|0)/28|0)+h|0;if((h|0)>0){e=u+(((h>>>0)/146|0)<<2)|0;q=e;h=(k[e>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{h=145-h|0;e=u+(((h|0)/-146|0)<<2)|0;q=e;h=(k[e>>2]|0)+((145-((h|0)%146|0)|0)*28|0)|0;break}}}while(0);if((h|0)==(s|0)){p=w;b=g;l=f;o=i;n=j}else{b=g;o=q;m=h;l=f;c=k[q>>2]|0;while(1){n=l;if((m|0)==(c|0))l=(k[o+-4>>2]|0)+4088|0;else l=m;e=l+-28|0;k[n>>2]=k[e>>2];k[n+4>>2]=k[e+4>>2];k[n+8>>2]=k[e+8>>2];e=n+12|0;LT(e,k[l+-12>>2]|0);k[e>>2]=15136;k[n+20>>2]=k[l+-8>>2];l=k[l+-4>>2]|0;k[n+24>>2]=l;if(l|0)Dba(l);l=n+28|0;if((l-(k[b>>2]|0)|0)==4088){l=b+4|0;b=l;l=k[l>>2]|0}c=k[o>>2]|0;if((m|0)==(c|0)){n=o+-4|0;c=k[n>>2]|0;m=c+4088|0}else n=o;m=m+-28|0;k[E>>2]=(k[E>>2]|0)+1;if((m|0)==(k[x>>2]|0)){p=w;s=h;o=i;n=j;break}else o=n}}}else{b=g;q=u;l=f;o=i;n=j}if(p|0){h=((f-(k[z>>2]|0)|0)/28|0)-p|0;if((h|0)>0){m=z+(((h>>>0)/146|0)<<2)|0;i=(k[m>>2]|0)+(((h>>>0)%146|0)*28|0)|0}else{i=145-h|0;m=z+(((i|0)/-146|0)<<2)|0;i=(k[m>>2]|0)+((145-((i|0)%146|0)|0)*28|0)|0}c=m;if((i|0)!=(y|0)){j=c;h=i;do{k[l>>2]=k[h>>2];k[l+4>>2]=k[h+4>>2];k[l+8>>2]=k[h+8>>2];B=l+12|0;LT(B,k[h+16>>2]|0);k[B>>2]=15136;B=h+20|0;k[l+20>>2]=k[B>>2];e=h+24|0;k[l+24>>2]=k[e>>2];k[B>>2]=0;k[e>>2]=0;l=l+28|0;if((l-(k[b>>2]|0)|0)==4088){l=b+4|0;b=l;l=k[l>>2]|0}h=h+28|0;if((h-(k[j>>2]|0)|0)==4088){h=j+4|0;j=h;h=k[h>>2]|0}k[E>>2]=(k[E>>2]|0)+1}while((h|0)!=(y|0))}if(p>>>0<w>>>0){do if(!w){l=g;h=f}else{h=((f-(k[z>>2]|0)|0)/28|0)-w|0;if((h|0)>0){E=z+(((h>>>0)/146|0)<<2)|0;l=E;h=(k[E>>2]|0)+(((h>>>0)%146|0)*28|0)|0;break}else{h=145-h|0;E=z+(((h|0)/-146|0)<<2)|0;l=E;h=(k[E>>2]|0)+((145-((h|0)%146|0)|0)*28|0)|0;break}}while(0);if((i|0)!=(h|0)){j=k[m>>2]|0;h=((i-j|0)/28|0)+((c-l>>2)*146|0)+((h-(k[l>>2]|0)|0)/-28|0)|0;if((h|0)>0){l=m;while(1){if((i|0)==(j|0)){l=l+-4|0;j=k[l>>2]|0;i=j+4088|0}c=i+-28|0;E=(i-j|0)/28|0;e=(E|0)>(h|0);E=e?h:E;B=F;k[B>>2]=g;k[B+4>>2]=f;k[K>>2]=k[F>>2];k[K+4>>2]=k[F+4>>2];Yn(G,e?i+((0-h|0)*28|0)|0:j,i,K,0);f=G;g=k[f>>2]|0;f=k[f+4>>2]|0;h=h-E|0;i=E+-1|0;do if(!i)i=c;else{i=((c-(k[l>>2]|0)|0)/28|0)-i|0;if((i|0)>0){E=l+(((i>>>0)/146|0)<<2)|0;l=E;i=(k[E>>2]|0)+(((i>>>0)%146|0)*28|0)|0;break}else{i=145-i|0;E=l+(((i|0)/-146|0)<<2)|0;l=E;i=(k[E>>2]|0)+((145-((i|0)%146|0)|0)*28|0)|0;break}}while(0);if((h|0)<=0)break;j=k[l>>2]|0}}}}E=D;k[E>>2]=o;k[E+4>>2]=n;k[D+8>>2]=q;k[D+12>>2]=s;k[C>>2]=g;k[C+4>>2]=f;k[F>>2]=k[d>>2];k[F+4>>2]=k[d+4>>2];k[F+8>>2]=k[d+8>>2];k[F+12>>2]=k[d+12>>2];k[G>>2]=k[D>>2];k[G+4>>2]=k[D+4>>2];k[G+8>>2]=k[D+8>>2];k[G+12>>2]=k[D+12>>2];k[K>>2]=k[C>>2];k[K+4>>2]=k[C+4>>2];Yj(H,F,G,K,0)}}K=k[I>>2]|0;f=k[J>>2]|0;h=K+(((f>>>0)/146|0)<<2)|0;if((k[M>>2]|0)==(K|0)){g=0;f=0}else{g=0;f=(k[h>>2]|0)+(((f>>>0)%146|0)*28|0)|0}M=a;k[M>>2]=g|h;k[M+4>>2]=f;if(!L){r=N;return}g=a+4|0;f=((f-(k[h>>2]|0)|0)/28|0)+L|0;if((f|0)>0){M=h+(((f>>>0)/146|0)<<2)|0;k[a>>2]=M;k[g>>2]=(k[M>>2]|0)+(((f>>>0)%146|0)*28|0);r=N;return}else{M=145-f|0;L=h+(((M|0)/-146|0)<<2)|0;k[a>>2]=L;k[g>>2]=(k[L>>2]|0)+((145-((M|0)%146|0)|0)*28|0);r=N;return}}function oe(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;R=r;r=r+352|0;S=R;W=R+296|0;h=R+328|0;O=R+288|0;I=R+320|0;M=R+104|0;J=R+308|0;G=R+96|0;L=R+80|0;K=R+72|0;H=R+248|0;U=R+64|0;T=R+56|0;Q=R+48|0;P=R+40|0;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;aI(W,39953,10);y=0;j=S;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));E=sa(26,W|0,a|0,d|0,S|0,f|0)|0;V=y;y=0;if(V&1){V=pb()|0;A9(W);W=V;sb(W|0)}A9(W);f=E+64|0;d=E+68|0;a=k[d>>2]|0;b=k[f>>2]|0;do if((a|0)==(b|0)){k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;aI(h,39964,68);y=0;j=S;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));oa(454,h|0,S|0);V=y;y=0;if(!(V&1)){A9(h);a=k[d>>2]|0;b=k[f>>2]|0;break}W=pb()|0;A9(h);sb(W|0)}while(0);k[W>>2]=0;V=W+4|0;k[V>>2]=0;k[W+8>>2]=0;f=a-b>>3;a:do if(!f)h=50;else{h=I+4|0;n=O+4|0;F=M+64|0;o=M+8|0;B=M+12|0;p=M+4|0;q=M+64|0;s=M+136|0;t=M+140|0;C=M+44|0;u=M+60|0;D=M+8|0;v=G+4|0;w=c+16|0;x=L+11|0;z=W+8|0;A=K+4|0;d=0;while(1){y=0;Na(100,I|0,E|0,d|0);m=y;y=0;if(m&1){h=27;break}y=0;b=qa(333,k[h>>2]|0)|0;m=y;y=0;if(m&1){h=28;break}y=0;oa(460,O|0,b|0);m=y;y=0;if(m&1){h=28;break}k[O>>2]=7284;DO(I);b=k[n>>2]|0;if((k[b+56>>2]|0)==8){k[o>>2]=15992;k[M>>2]=16032;k[F>>2]=16052;k[p>>2]=0;y=0;oa(528,q|0,B|0);m=y;y=0;if(m&1){h=18;break}k[s>>2]=0;k[t>>2]=-1;k[M>>2]=15972;k[F>>2]=16012;k[o>>2]=15992;y=0;na(433,B|0);m=y;y=0;if(m&1){h=19;break}k[B>>2]=15832;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;k[C+12>>2]=0;k[u>>2]=24;k[S>>2]=0;k[S+4>>2]=0;k[S+8>>2]=0;y=0;oa(529,B|0,S|0);m=y;y=0;if(m&1){h=17;break}A9(S);y=0;ta(47,D|0,40033,63)|0;m=y;y=0;if(m&1){h=31;break}y=0;ta(47,D|0,40097,68)|0;m=y;y=0;if(m&1){h=31;break}y=0;oa(530,J|0,B|0);m=y;y=0;if(m&1){h=31;break}y=0;j=S;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));oa(454,J|0,S|0);m=y;y=0;if(m&1){h=32;break}A9(J);k[M>>2]=15972;k[F>>2]=16012;k[D>>2]=15992;k[B>>2]=15832;A9(C);Xaa(B);nla(M,16064);Vja(F);b=k[n>>2]|0}y=0;b=qa(332,b|0)|0;m=y;y=0;if(m&1){h=29;break}y=0;oa(460,G|0,b|0);m=y;y=0;if(m&1){h=29;break}k[G>>2]=16780;b=k[v>>2]|0;if(b|0)i[b+60>>0]=0;DO(G);m=k[n>>2]|0;l=k[(k[m>>2]|0)+28>>2]|0;j=k[w>>2]|0;y=0;k[S>>2]=k[j>>2];k[S+4>>2]=k[j+4>>2];k[S+8>>2]=k[j+8>>2];Na(l|0,L|0,m|0,S|0);m=y;y=0;if(m&1){h=29;break}b=i[x>>0]|0;a=k[L>>2]|0;y=0;Ra(14,H|0,38207,0,-1);m=y;y=0;if(m&1){h=46;break}b=b<<24>>24<0?a:L;y=0;j=S;l=H;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));ma(8,K|0,b|0,c|0,S|0,0);m=y;y=0;if(m&1){h=46;break}b=k[V>>2]|0;if((b|0)==(k[z>>2]|0)){y=0;oa(559,W|0,K|0);m=y;y=0;if(m&1){h=47;break}}else{y=0;oa(460,b|0,k[A>>2]|0);m=y;y=0;if(m&1){h=47;break}k[b>>2]=6756;k[V>>2]=(k[V>>2]|0)+8}DO(K);A9(L);DO(O);d=d+1|0;if(d>>>0>=f>>>0){h=9;break}}switch(h|0){case 9:{b=k[W>>2]|0;if((b|0)==(k[V>>2]|0)){h=50;break a}y=0;oa(460,U|0,k[b+4>>2]|0);O=y;y=0;if(O&1){f=pb()|0;d=N;h=107;break a}k[U>>2]=6756;a=b+8|0;b:do if((a|0)==(k[V>>2]|0))h=96;else{s=S+4|0;j=S+8|0;l=g+4|0;m=g+8|0;n=T+4|0;o=Q+4|0;p=U+4|0;q=S+8|0;c:while(1){y=0;oa(460,T|0,k[b+12>>2]|0);O=y;y=0;if(O&1){h=71;break}k[T>>2]=6756;k[S>>2]=0;k[s>>2]=0;k[j>>2]=0;b=k[l>>2]|0;if((b|0)==(k[m>>2]|0)){y=0;oa(559,g|0,U|0);O=y;y=0;if(O&1){h=74;break}}else{y=0;oa(460,b|0,k[p>>2]|0);O=y;y=0;if(O&1){h=74;break}k[b>>2]=6756;k[l>>2]=(k[l>>2]|0)+8}y=0;b=ta(45,k[n>>2]|0,g|0,1)|0;O=y;y=0;if(O&1){h=74;break}y=0;oa(460,Q|0,b|0);O=y;y=0;if(O&1){h=74;break}k[Q>>2]=6756;d=k[l>>2]|0;b=d+-8|0;do{O=d+-8|0;k[l>>2]=O;lc[k[k[O>>2]>>2]&511](O);d=k[l>>2]|0}while((d|0)!=(b|0));d=k[o>>2]|0;h=(k[d+80>>2]|0)-(k[d+76>>2]|0)>>3;d:do if(h|0){b=0;while(1){d=k[d+76>>2]|0;f=k[s>>2]|0;if((f|0)==(k[q>>2]|0)){y=0;oa(513,S|0,d+(b<<3)|0);O=y;y=0;if(O&1){h=82;break c}}else{y=0;oa(460,f|0,k[d+(b<<3)+4>>2]|0);O=y;y=0;if(O&1){h=82;break c}k[f>>2]=15136;k[s>>2]=(k[s>>2]|0)+8}b=b+1|0;if(b>>>0>=h>>>0)break d;d=k[o>>2]|0}}while(0);b=(k[p>>2]|0)+76|0;if((b|0)!=(S|0)){y=0;Na(102,b|0,k[S>>2]|0,k[s>>2]|0);O=y;y=0;if(O&1){h=75;break}}DO(Q);b=k[S>>2]|0;if(b|0){d=k[s>>2]|0;if((d|0)!=(b|0)){do{O=d+-8|0;k[s>>2]=O;lc[k[k[O>>2]>>2]&511](O);d=k[s>>2]|0}while((d|0)!=(b|0));b=k[S>>2]|0}cra(b)}DO(T);b=a+8|0;if((b|0)==(k[V>>2]|0)){h=96;break b}else{O=a;a=b;b=O}}if((h|0)==71){b=pb()|0;a=N;h=73;break}else if((h|0)==74){b=pb()|0;a=N}else if((h|0)==75){b=pb()|0;a=N;h=89}else if((h|0)==82){b=pb()|0;a=N;h=89}if((h|0)==89)DO(Q);d=k[S>>2]|0;if(d|0){f=k[s>>2]|0;if((f|0)!=(d|0)){do{R=f+-8|0;k[s>>2]=R;lc[k[k[R>>2]>>2]&511](R);f=k[s>>2]|0}while((f|0)!=(d|0));d=k[S>>2]|0}cra(d)}DO(T)}while(0);do if((h|0)==96){y=0;na(440,P|0);T=y;y=0;if(T&1){b=pb()|0;a=N;h=73;break}b=k[U+4>>2]|0;y=0;b=Ha(k[(k[b>>2]|0)+56>>2]|0,b|0,P|0)|0;T=y;y=0;if(T&1){b=pb()|0;a=N;break}else{DO(U);d=b;h=101;break a}}while(0);DO(U);f=b;d=a;h=107;break a}case 17:{b=pb()|0;a=N;A9(S);A9(C);Xaa(B);h=20;break}case 18:{b=pb()|0;a=N;h=21;break}case 19:{b=pb()|0;a=N;h=20;break}case 27:{f=pb()|0;d=N;h=107;break a}case 28:{f=pb()|0;d=N;DO(I);h=107;break a}case 29:{b=pb()|0;a=N;h=30;break}case 31:{b=pb()|0;a=N;h=33;break}case 32:{b=pb()|0;a=N;A9(J);h=33;break}case 46:{b=pb()|0;a=N;h=48;break}case 47:{b=pb()|0;a=N;DO(K);h=48;break}}if((h|0)==20){nla(M,16064);h=21}else if((h|0)==33){k[M>>2]=15972;k[F>>2]=16012;k[D>>2]=15992;k[B>>2]=15832;A9(C);Xaa(B);nla(M,16064);Vja(F)}else if((h|0)==48)A9(L);if((h|0)==21){Vja(F);h=30}DO(O);f=b;d=a;h=107}while(0);do if((h|0)==50){y=0;d=qa(315,60)|0;U=y;y=0;if(U&1){f=pb()|0;d=N;h=107;break}j=S;l=e;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));y=0;na(422,d|0);U=y;y=0;if(U&1){f=pb()|0;h=N;cra(d);d=h;h=107;break}else{j=d+12|0;l=S;m=j+40|0;do{k[j>>2]=k[l>>2];j=j+4|0;l=l+4|0}while((j|0)<(m|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d>>2]=12584;k[d+56>>2]=8;h=101;break}}while(0);if((h|0)==101){b=k[W>>2]|0;if(!b){r=R;return d|0}a=k[V>>2]|0;if((a|0)!=(b|0)){do{U=a+-8|0;k[V>>2]=U;lc[k[k[U>>2]>>2]&511](U);a=k[V>>2]|0}while((a|0)!=(b|0));b=k[W>>2]|0}cra(b);r=R;return d|0}else if((h|0)==107){b=k[W>>2]|0;if(b|0){a=k[V>>2]|0;if((a|0)!=(b|0)){do{U=a+-8|0;k[V>>2]=U;lc[k[k[U>>2]>>2]&511](U);a=k[V>>2]|0}while((a|0)!=(b|0));b=k[W>>2]|0}cra(b)}W=f;sb(W|0)}return 0}function pe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;M=0;D=r;r=r+384|0;F=D+360|0;E=D+348|0;B=D+336|0;C=D+296|0;x=D+40|0;p=D;m=D+280|0;n=D+268|0;o=D+244|0;j=D+192|0;c=D+256|0;L=D+176|0;l=D+232|0;K=D+128|0;J=D+104|0;q=D+184|0;w=D+136|0;H=D+120|0;G=D+112|0;I=D+96|0;z=D+80|0;A=b+76|0;v=k[A>>2]|0;e=mW(v)|0;v=e|0?e:v;v=(i[v>>0]|0)==41?v+1|0:0;e=b+80|0;do if(!((v|0)==0?1:v>>>0>(k[e>>2]|0)>>>0)){k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,44796,46);v=b+108|0;y=0;k[F>>2]=k[v>>2];k[F+4>>2]=k[v+4>>2];k[F+8>>2]=k[v+8>>2];Na(108,b|0,c|0,F|0);v=y;y=0;if(!(v&1)){A9(c);break}M=pb()|0;A9(c);sb(M|0)}while(0);d=k[A>>2]|0;c=mW(d)|0;d=c|0?c:d;c=fL(d)|0;if(!c)c=XK(d)|0;a:do if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0){k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;aI(F,43044,11);k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;y=0;Na(74,E|0,43056,7);v=y;y=0;if(v&1)c=pb()|0;else{k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(74,B|0,44843,36);v=y;y=0;do if(v&1)c=pb()|0;else{y=0;ma(10,b|0,F|0,E|0,B|0,1);v=y;y=0;if(v&1){c=pb()|0;A9(B);break}else{A9(B);A9(E);A9(F);break a}}while(0);A9(E)}A9(F);M=c;sb(M|0)}while(0);ow(L,b,0);s=b+156|0;k[m>>2]=k[s>>2];k[m+4>>2]=k[s+4>>2];k[m+8>>2]=k[s+8>>2];d=k[A>>2]|0;t=b+84|0;k[n>>2]=k[t>>2];k[n+4>>2]=k[t+4>>2];k[n+8>>2]=k[t+8>>2];u=b+96|0;k[o>>2]=k[u>>2];k[o+4>>2]=k[u+4>>2];k[o+8>>2]=k[u+8>>2];v=b+108|0;f=j;g=v;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;ta(53,b|0,1,0)|0;h=y;y=0;b:do if(h&1)M=23;else{y=0;c=ta(88,b|0,1,0)|0;h=y;y=0;if(h&1)M=23;else{do if(!c){f=v;g=j;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));k[s>>2]=k[m>>2];k[s+4>>2]=k[m+4>>2];k[s+8>>2]=k[m+8>>2];k[A>>2]=d;k[u>>2]=k[o>>2];k[u+4>>2]=k[o+4>>2];k[u+8>>2]=k[o+8>>2];k[t>>2]=k[n>>2];k[t+4>>2]=k[n+4>>2];k[t+8>>2]=k[n+8>>2];k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,44211,38);o=y;y=0;if(o&1){M=23;break b}o=b+108|0;y=0;k[F>>2]=k[o>>2];k[F+4>>2]=k[o+4>>2];k[F+8>>2]=k[o+8>>2];Na(108,b|0,l|0,F|0);o=y;y=0;if(o&1){c=pb()|0;A9(l);break b}else{A9(l);break}}while(0);y=0;Na(111,K|0,b|0,0);o=y;y=0;if(o&1)M=23;else{y=0;j=qa(315,88)|0;o=y;y=0;c:do if(o&1)M=43;else{l=L+4|0;f=p;g=(k[l>>2]|0)+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(422,j|0);o=y;y=0;do if(o&1)c=pb()|0;else{f=j+12|0;g=p;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=9288;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,1);p=y;y=0;if(p&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{J=e+-8|0;k[h>>2]=J;lc[k[k[J>>2]>>2]&511](J);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=9076;k[d>>2]=9208;k[j+80>>2]=1;i[j+84>>0]=0;i[j+85>>0]=0;k[c>>2]=5;y=0;oa(460,J|0,j|0);p=y;y=0;if(p&1){M=43;break c}k[J>>2]=7172;c=k[K+4>>2]|0;d:do if((k[c+56>>2]|0)==5){y=0;c=qa(336,c|0)|0;q=y;y=0;e:do if(q&1)M=47;else{y=0;oa(460,F|0,c|0);q=y;y=0;if(q&1)M=47;else{k[F>>2]=7172;c=J+4|0;do if(k[c>>2]|0){y=0;na(423,J|0);q=y;y=0;if(!(q&1))break;c=pb()|0;DO(F);break e}while(0);M=F+4|0;k[c>>2]=k[M>>2];k[M>>2]=0;DO(F);M=54;break d}}while(0);if((M|0)==47)c=pb()|0}else{d=(k[J+4>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,q|0,c|0);p=y;y=0;if(p&1)M=46;else{k[q>>2]=7284;y=0;oa(e|0,d|0,q|0);p=y;y=0;if(p&1){c=pb()|0;DO(q);break}else{DO(q);M=54;break}}}while(0);f:do if((M|0)==54){y=0;e=qa(315,76)|0;q=y;y=0;if(q&1)M=46;else{c=J+4|0;f=w;g=(k[c>>2]|0)+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(460,H|0,k[l>>2]|0);q=y;y=0;do if(q&1)c=pb()|0;else{k[H>>2]=7284;y=0;oa(460,I|0,k[c>>2]|0);q=y;y=0;if(q&1){c=pb()|0;DO(H);break}k[I>>2]=7172;y=0;oa(460,G|0,k[I+4>>2]|0);q=y;y=0;if(q&1){c=pb()|0;d=1}else{k[G>>2]=7284;f=x;g=w;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(422,e|0);w=y;y=0;g:do if(w&1){c=1;M=74}else{f=e+12|0;g=x;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=12348;c=e+60|0;y=0;oa(460,c|0,k[H+4>>2]|0);x=y;y=0;do if(x&1)c=pb()|0;else{k[c>>2]=7284;d=e+68|0;y=0;oa(460,d|0,k[G+4>>2]|0);x=y;y=0;if(x&1){F=pb()|0;DO(c);c=F;break}k[d>>2]=7284;y=0;oa(460,a|0,e|0);x=y;y=0;if(x&1){c=0;M=74;break g}k[a>>2]=12568;DO(G);DO(I);DO(H);k[F>>2]=k[s>>2];k[F+4>>2]=k[s+4>>2];k[F+8>>2]=k[s+8>>2];d=k[A>>2]|0;k[E>>2]=k[t>>2];k[E+4>>2]=k[t+4>>2];k[E+8>>2]=k[t+8>>2];k[B>>2]=k[u>>2];k[B+4>>2]=k[u+4>>2];k[B+8>>2]=k[u+8>>2];f=C;g=v;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;ta(53,b|0,1,0)|0;I=y;y=0;do if(I&1)M=78;else{y=0;c=ta(67,b|0,1,0)|0;I=y;y=0;if(I&1){M=78;break}if(c|0){DO(J);DO(K);DO(L);r=D;return}f=v;g=C;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));k[s>>2]=k[F>>2];k[s+4>>2]=k[F+4>>2];k[s+8>>2]=k[F+8>>2];k[A>>2]=d;k[u>>2]=k[B>>2];k[u+4>>2]=k[B+4>>2];k[u+8>>2]=k[B+8>>2];k[t>>2]=k[E>>2];k[t+4>>2]=k[E+4>>2];k[t+8>>2]=k[E+8>>2];k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(74,z|0,44880,43);I=y;y=0;if(I&1){M=78;break}I=b+108|0;y=0;k[F>>2]=k[I>>2];k[F+4>>2]=k[I+4>>2];k[F+8>>2]=k[I+8>>2];Na(108,b|0,z|0,F|0);I=y;y=0;if(I&1){c=pb()|0;A9(z);break}A9(z);DO(J);DO(K);DO(L);r=D;return}while(0);if((M|0)==78)c=pb()|0;DO(a);break f}while(0);d=1}while(0);if((M|0)==74){F=pb()|0;d=c;c=F}DO(G)}DO(I);DO(H);if(!d)break f}while(0);cra(e)}}while(0);if((M|0)==46)c=pb()|0;DO(J);break c}while(0);cra(j)}while(0);if((M|0)==43)c=pb()|0;DO(K)}}}while(0);if((M|0)==23)c=pb()|0;DO(L);M=c;sb(M|0)}function qe(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;A=0;C=r;r=r+80|0;t=C+68|0;x=C+56|0;G=C+44|0;H=C+32|0;z=C+24|0;D=C;k[G+4>>2]=0;B=G+8|0;k[B>>2]=0;F=G+4|0;k[G>>2]=F;q=H+4|0;k[q>>2]=0;s=H+8|0;k[s>>2]=0;E=H+4|0;k[H>>2]=E;b=k[a>>2]|0;h=k[a+4>>2]|0;a:do if((b|0)!=(h|0)){i=z+4|0;j=t+4|0;l=t+4|0;w=x+4|0;m=x+8|0;n=D+4|0;o=E;u=D+8|0;p=D+12|0;v=D+4|0;g=b;b:while(1){f=g+4|0;y=0;oa(460,z|0,k[f>>2]|0);e=y;y=0;if(e&1){A=47;break}k[z>>2]=15136;e=k[i>>2]|0;y=0;e=qa(k[(k[e>>2]|0)+8>>2]|0,e|0)|0;d=y;y=0;if(d&1){A=48;break}a=k[E>>2]|0;do if(!a)A=15;else{b=E;c:while(1){d=a;while(1){if((k[d+16>>2]|0)>>>0>=e>>>0)break;a=k[d+4>>2]|0;if(!a)break c;else d=a}a=k[d>>2]|0;if(!a){b=d;break}else b=d}if((b|0)==(E|0))A=15;else if(e>>>0<(k[b+16>>2]|0)>>>0)A=15;else{d=k[i>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+8>>2]|0,d|0)|0;e=y;y=0;if(e&1){A=83;break b}b=k[E>>2]|0;if(!b){A=74;break b}while(1){a=k[b+16>>2]|0;if(d>>>0<a>>>0){b=k[b>>2]|0;if(!b){A=74;break b}}else{if(a>>>0>=d>>>0)break;b=k[b+4>>2]|0;if(!b){A=74;break b}}}if(!b){A=74;break b}a=b+24|0;d=k[a>>2]|0;if((d|0)==(k[b+28>>2]|0)){y=0;oa(676,b+20|0,g|0);f=y;y=0;if(f&1){A=85;break b}else break}y=0;oa(460,d|0,k[f>>2]|0);f=y;y=0;if(f&1){A=85;break b}k[d>>2]=15136;b=d+8|0;y=0;oa(460,b|0,k[g+12>>2]|0);f=y;y=0;if(f&1){A=80;break b}k[b>>2]=15152;k[a>>2]=(k[a>>2]|0)+16}}while(0);if((A|0)==15){A=0;k[t>>2]=k[B>>2];y=0;oa(460,j|0,k[i>>2]|0);f=y;y=0;if(f&1){A=49;break}k[j>>2]=15136;y=0;Ra(50,x|0,G|0,t|0,t|0);f=y;y=0;if(f&1){A=50;break}DO(l);k[x>>2]=0;k[w>>2]=0;k[m>>2]=0;y=0;oa(676,x|0,g|0);f=y;y=0;if(f&1){A=52;break}b=k[i>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;f=y;y=0;if(f&1){A=53;break}k[D>>2]=b;y=0;oa(677,n|0,x|0);f=y;y=0;if(f&1){A=53;break}b=k[E>>2]|0;do if(!b){k[t>>2]=E;a=o;d=E}else{e=k[D>>2]|0;while(1){a=k[b+16>>2]|0;if(e>>>0<a>>>0){a=k[b>>2]|0;if(!a){A=24;break}else b=a}else{if(a>>>0>=e>>>0){A=29;break}d=b+4|0;a=k[d>>2]|0;if(!a){A=28;break}else b=a}}if((A|0)==24){A=0;k[t>>2]=b;a=b;d=b;break}else if((A|0)==28){A=0;k[t>>2]=b;a=b;break}else if((A|0)==29){A=0;k[t>>2]=b;a=b;d=t;break}}while(0);if(!(k[d>>2]|0)){y=0;b=qa(315,32)|0;f=y;y=0;if(f&1){A=54;break}k[b+16>>2]=k[D>>2];k[b+20>>2]=k[n>>2];k[b+24>>2]=k[u>>2];k[b+28>>2]=k[p>>2];k[p>>2]=0;k[u>>2]=0;k[n>>2]=0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=a;k[d>>2]=b;a=k[k[H>>2]>>2]|0;if(a){k[H>>2]=a;b=k[d>>2]|0}Qn(k[q>>2]|0,b);k[s>>2]=(k[s>>2]|0)+1}b=k[v>>2]|0;if(b|0){a=k[u>>2]|0;if((a|0)!=(b|0)){do{f=a+-16|0;k[u>>2]=f;DO(a+-8|0);DO(f);a=k[u>>2]|0}while((a|0)!=(b|0));b=k[v>>2]|0}cra(b)}b=k[x>>2]|0;if(b|0){a=k[w>>2]|0;if((a|0)!=(b|0)){do{f=a+-16|0;k[w>>2]=f;DO(a+-8|0);DO(f);a=k[w>>2]|0}while((a|0)!=(b|0));b=k[x>>2]|0}cra(b)}}DO(z);g=g+16|0;if((g|0)==(h|0)){A=3;break}}d:switch(A|0){case 3:{if(!(k[B>>2]|0))break a;f=D+8|0;g=c+4|0;h=c+8|0;l=D+8|0;m=D+12|0;i=D+4|0;j=0;e:while(1){b=k[F>>2]|0;if(!b){A=97;break}while(1){a=k[b+16>>2]|0;if(j>>>0<a>>>0){b=k[b>>2]|0;if(!b){A=97;break e}}else{if(a>>>0>=j>>>0)break;b=k[b+4>>2]|0;if(!b){A=97;break e}}}if(!b){A=97;break}d=b+24|0;e=k[d>>2]|0;y=0;e=qa(k[(k[e>>2]|0)+8>>2]|0,e|0)|0;A=y;y=0;if(A&1){A=127;break}b=k[E>>2]|0;if(!b){A=108;break}while(1){a=k[b+16>>2]|0;if(e>>>0<a>>>0){b=k[b>>2]|0;if(!b){A=108;break e}}else{if(a>>>0>=e>>>0)break;b=k[b+4>>2]|0;if(!b){A=108;break e}}}if(!b){A=108;break}y=0;oa(460,D|0,k[d>>2]|0);A=y;y=0;if(A&1){A=129;break}k[D>>2]=15136;y=0;oa(677,f|0,b+20|0);A=y;y=0;if(A&1){A=113;break}b=k[g>>2]|0;if((b|0)==(k[h>>2]|0)){y=0;oa(678,c|0,D|0);A=y;y=0;if(A&1){A=131;break}}else{y=0;oa(460,b|0,k[i>>2]|0);A=y;y=0;if(A&1){A=131;break}k[b>>2]=15136;y=0;oa(677,b+8|0,f|0);A=y;y=0;if(A&1){A=117;break}k[g>>2]=(k[g>>2]|0)+20}b=k[l>>2]|0;if(b|0){a=k[m>>2]|0;if((a|0)!=(b|0)){do{A=a+-16|0;k[m>>2]=A;DO(a+-8|0);DO(A);a=k[m>>2]|0}while((a|0)!=(b|0));b=k[l>>2]|0}cra(b)}DO(D);j=j+1|0;if(j>>>0>=(k[B>>2]|0)>>>0){a=E;b=F;A=89;break}}do if((A|0)==89){F=k[a>>2]|0;ez(H,F);H=k[b>>2]|0;hF(G,H);r=C;return}else if((A|0)==97){b=gb(8)|0;y=0;oa(479,b|0,48160);D=y;y=0;if(D&1){D=pb()|0;fb(b|0);b=D}else{k[b>>2]=29256;y=0;Na(75,b|0,5824,407);y=0;b=pb()|0}a=b;b=E;break d}else if((A|0)==108){b=gb(8)|0;y=0;oa(479,b|0,48160);D=y;y=0;if(D&1){A=pb()|0;fb(b|0);b=A;A=128;break}else{k[b>>2]=29256;y=0;Na(75,b|0,5824,407);y=0;b=pb()|0;A=128;break}}else if((A|0)==113){b=pb()|0;DO(D);A=130}else if((A|0)==117){a=pb()|0;e=N;DO(b);A=132}else if((A|0)==127){b=pb()|0;A=128}else if((A|0)==129){b=pb()|0;A=130}else if((A|0)==131){a=pb()|0;e=N;A=132}while(0);if((A|0)==128){a=b;b=E;break}else if((A|0)==130){a=b;b=E;break}else if((A|0)==132){b=k[l>>2]|0;if(b|0){d=k[m>>2]|0;if((d|0)!=(b|0)){do{C=d+-16|0;k[m>>2]=C;DO(d+-8|0);DO(C);d=k[m>>2]|0}while((d|0)!=(b|0));b=k[l>>2]|0}cra(b)}DO(D);b=E;break}break}case 47:{a=pb()|0;b=E;break}case 48:{b=pb()|0;A=88;break}case 49:{b=pb()|0;A=51;break}case 50:{b=pb()|0;DO(l);A=51;break}case 52:{b=pb()|0;e=N;A=60;break}case 53:{b=pb()|0;a=N;A=59;break}case 54:{b=pb()|0;e=N;a=k[v>>2]|0;if(!a){a=e;A=59}else{d=k[u>>2]|0;if((d|0)!=(a|0)){do{D=d+-16|0;k[u>>2]=D;DO(d+-8|0);DO(D);d=k[u>>2]|0}while((d|0)!=(a|0));a=k[v>>2]|0}cra(a);a=e;A=59}break}case 74:{b=gb(8)|0;y=0;oa(479,b|0,48160);D=y;y=0;if(D&1){A=pb()|0;fb(b|0);b=A;A=84;break}else{k[b>>2]=29256;y=0;Na(75,b|0,5824,407);y=0;b=pb()|0;A=84;break}}case 80:{b=pb()|0;DO(d);A=86;break}case 83:{b=pb()|0;A=84;break}case 85:{b=pb()|0;A=86;break}}if((A|0)==51)A=88;else if((A|0)==59){e=a;A=60}else if((A|0)==84)A=88;else if((A|0)==86)A=88;if((A|0)==60){a=k[x>>2]|0;if(a|0){d=k[w>>2]|0;if((d|0)!=(a|0)){do{D=d+-16|0;k[w>>2]=D;DO(d+-8|0);DO(D);d=k[w>>2]|0}while((d|0)!=(a|0));a=k[x>>2]|0}cra(a)}A=88}if((A|0)==88){DO(z);a=b;b=E}ez(H,k[b>>2]|0);hF(G,k[F>>2]|0);sb(a|0)}while(0);E=k[E>>2]|0;ez(H,E);H=k[F>>2]|0;hF(G,H);r=C;return}function re(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0.0,l=0.0,m=0,n=0.0,o=0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;x=0;H=r;r=r+192|0;E=H+152|0;A=H+88|0;z=H+44|0;w=H+40|0;s=H;I=H+16|0;D=H+4|0;t=H+112|0;u=H+100|0;F=H+48|0;G=H+28|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,38830,7);B=y;y=0;a:do if(B&1){h=tb(0)|0;x=21}else{y=0;c=E;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));o=sa(25,A|0,a|0,d|0,E|0,f|0)|0;B=y;y=0;if(B&1){h=tb(0)|0;A9(A);x=21;break}A9(A);k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,39154,9);B=y;y=0;do if(B&1)h=tb(0)|0;else{y=0;c=E;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));b=sa(23,A|0,a|0,d|0,E|0,f|0)|0;B=y;y=0;if(B&1){h=tb(0)|0;A9(A);break}j=+p[b+64>>3];A9(A);k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,39164,7);B=y;y=0;do if(B&1)h=tb(0)|0;else{y=0;c=E;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));b=sa(23,A|0,a|0,d|0,E|0,f|0)|0;B=y;y=0;if(B&1){h=tb(0)|0;A9(A);break}l=+p[b+64>>3];A9(A);if(!o)B=0;else B=(k[307]|0)==(k[(k[(k[o>>2]|0)+-4>>2]|0)+4>>2]|0)?o:0;y=0;ma(5,D|0,o+64|0,0,0,1);v=y;y=0;if(v&1){h=tb(0)|0;x=106;break a}v=D+11|0;d=i[v>>0]|0;c=d<<24>>24<0;g=c?k[D>>2]|0:D;d=c?k[D+4>>2]|0:d&255;c=g+d|0;k[s>>2]=g;g=c;b:do if((d|0)>0){b=0;while(1){k[w>>2]=g;y=0;k[E>>2]=k[w>>2];Ha(984,s|0,E|0)|0;d=y;y=0;if(d&1)break;b=b+1|0;if((k[s>>2]|0)>>>0>=c>>>0){c=b;x=14;break b}}h=tb(0)|0}else{c=0;x=14}while(0);c:do if((x|0)==14){k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;y=0;Na(74,E|0,39164,7);x=y;y=0;do if(x&1)h=tb(0)|0;else{y=0;b=Ha(975,a|0,E|0)|0;x=y;y=0;if(x&1){h=tb(0)|0;A9(E);break}b=k[b+4>>2]|0;if(!b)b=0;else b=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(E);l=(b|0)==0?-1.0:l;if(!(l==0.0)){n=+(c>>>0);if(!(n+l<0.0)){do if(l<0.0){l=+((c+1|0)>>>0)+l;if(!(l==0.0))break;l=1.0}while(0);q=l>n?n:l;do if(j<0.0){j=j+ +((c+1|0)>>>0);if(!(j<0.0))break;j=0.0}else{if(!(j==0.0))break;j=j+1.0}while(0);d:do if(j<=q){m=i[v>>0]|0;g=m<<24>>24<0;c=k[D>>2]|0;h=g?c:D;k[w>>2]=h;n=j+-1.0;o=D+4|0;b=k[o>>2]|0;g=h+(g?b:m&255)|0;do if(n>0.0){l=0.0;while(1){k[z>>2]=g;y=0;k[E>>2]=k[z>>2];Ha(984,w|0,E|0)|0;x=y;y=0;if(x&1){x=88;break}l=l+1.0;if(!(l<n)){x=68;break}}if((x|0)==68){d=w;h=k[w>>2]|0;g=i[v>>0]|0;c=k[D>>2]|0;b=k[o>>2]|0;x=69;break}else if((x|0)==88){h=tb(0)|0;break}}else{d=w;g=m;x=69}while(0);if((x|0)==69){k[z>>2]=h;l=q-j+1.0;x=g<<24>>24<0;b=(x?c:D)+(x?b:g&255)|0;do if(l>0.0){j=0.0;while(1){k[A>>2]=b;y=0;k[E>>2]=k[A>>2];Ha(984,z|0,E|0)|0;x=y;y=0;if(x&1){x=89;break}j=j+1.0;if(!(j<l)){x=73;break}}if((x|0)==73){h=k[z>>2]|0;x=74;break}else if((x|0)==89){C=tb(0)|0;break}}else x=74;while(0);do if((x|0)==74){c=k[d>>2]|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;m=h-c|0;b=c;o=h;do if(m>>>0>4294967279){y=0;na(438,E|0);A=y;y=0;if(A&1)x=90;else x=78}else{if(m>>>0>=11){x=78;break}i[E+11>>0]=m;h=E}while(0);do if((x|0)==78){g=m+16&-16;y=0;h=qa(315,g|0)|0;A=y;y=0;if(A&1){x=90;break}k[E>>2]=h;k[E+8>>2]=g|-2147483648;k[E+4>>2]=m}while(0);if((x|0)==90){C=tb(0)|0;break}if((b|0)!=(o|0))while(1){i[h>>0]=i[b>>0]|0;b=c+1|0;h=h+1|0;if((b|0)==(o|0))break;else c=b}i[h>>0]=0;h=I+11|0;if((i[h>>0]|0)<0){i[k[I>>2]>>0]=0;k[I+4>>2]=0}else{i[I>>0]=0;i[h>>0]=0}y=0;oa(500,I|0,0);A=y;y=0;if(A&1){B=tb(0)|0;Sla(B)}else{k[I>>2]=k[E>>2];k[I+4>>2]=k[E+4>>2];k[I+8>>2]=k[E+8>>2];k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;A9(E);break d}}while(0);h=C}break c}while(0);do if(B|0){if(!(i[B+60>>0]|0))break;y=0;Na(99,E|0,I|0,0);C=y;y=0;if(C&1){h=tb(0)|0;break c}h=I+11|0;if((i[h>>0]|0)<0){i[k[I>>2]>>0]=0;k[I+4>>2]=0}else{i[I>>0]=0;i[h>>0]=0}y=0;oa(500,I|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}else{k[I>>2]=k[E>>2];k[I+4>>2]=k[E+4>>2];k[I+8>>2]=k[E+8>>2];k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;A9(E);break}}while(0);A9(D);x=108;break a}}e:do if(B|0){if(!(i[B+60>>0]|0))break;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,87975,0);C=y;y=0;do if(C&1)h=tb(0)|0;else{y=0;Na(99,E|0,A|0,0);C=y;y=0;if(C&1){h=tb(0)|0;A9(A);break}b=I+11|0;if((i[b>>0]|0)<0){i[k[I>>2]>>0]=0;k[I+4>>2]=0}else{i[I>>0]=0;i[b>>0]=0}y=0;oa(500,I|0,0);C=y;y=0;if(C&1){C=tb(0)|0;Sla(C)}else{k[I>>2]=k[E>>2];k[I+4>>2]=k[E+4>>2];k[I+8>>2]=k[E+8>>2];k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;A9(E);A9(A);break e}}while(0);break c}while(0);y=0;b=qa(315,80)|0;C=y;y=0;if(C&1){h=tb(0)|0;break c}c=t;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));y=0;oa(456,u|0,I|0);C=y;y=0;do if(C&1)h=tb(0)|0;else{y=0;c=E;g=t;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));Ea(2,b|0,E|0,u|0,0,0,0,1);C=y;y=0;if(C&1){h=tb(0)|0;A9(u);break}A9(u);A9(D);e=b;A9(I);r=H;return e|0}while(0);cra(b);break c}while(0)}while(0);A9(D);x=106;break a}while(0);x=106;break a}while(0);x=106}while(0);if((x|0)==21)x=106;do if((x|0)==106){vb(h|0)|0;y=0;oa(558,e|0,f|0);f=y;y=0;if(!(f&1)){y=0;la(3);f=y;y=0;if(f&1)break;else{x=108;break}}h=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}else{e=h;A9(I);sb(e|0)}}while(0);if((x|0)==108){y=0;b=qa(315,80)|0;f=y;y=0;if(!(f&1)){c=F;g=e;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));y=0;oa(456,G|0,I|0);e=y;y=0;do if(e&1)h=pb()|0;else{y=0;c=E;g=F;m=c+40|0;do{k[c>>2]=k[g>>2];c=c+4|0;g=g+4|0}while((c|0)<(m|0));Ea(2,b|0,E|0,G|0,0,0,0,1);e=y;y=0;if(e&1){h=pb()|0;A9(G);break}A9(G);e=b;A9(I);r=H;return e|0}while(0);cra(b);e=h;A9(I);sb(e|0)}}e=pb()|0;A9(I);sb(e|0);return 0}function se(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;T=r;r=r+320|0;U=T+280|0;fa=T+272|0;ea=T+264|0;da=T+248|0;ba=T+232|0;R=T+224|0;O=T+216|0;S=T+192|0;J=T+200|0;P=T+24|0;_=T+48|0;W=T+32|0;V=T+12|0;Q=T;LT(fa,b);k[fa>>2]=15136;K=fa+4|0;L=ea+4|0;M=U+4|0;v=a+4|0;ca=da+4|0;w=ba+8|0;x=ba+12|0;aa=ba+8|0;$=_+64|0;z=_+8|0;X=_+12|0;A=_+4|0;B=_+64|0;C=_+136|0;D=_+140|0;Y=_+44|0;E=_+60|0;Z=_+8|0;F=U+11|0;G=U+4|0;H=V+11|0;I=V+4|0;l=b+12|0;m=R+4|0;n=O+4|0;o=S+4|0;p=P+4|0;q=U+11|0;s=U+4|0;t=J+11|0;u=J+4|0;a:while(1){c=k[K>>2]|0;if(!c){c=0;b=102;break}y=0;oa(460,ea|0,k[c+80>>2]|0);j=y;y=0;if(j&1){b=14;break}k[ea>>2]=15152;if(!(k[L>>2]|0))c=0;else{y=0;Na(141,da|0,k[v>>2]|0,ea|0);j=y;y=0;if(j&1){b=15;break}c=k[da>>2]|0;b=k[ca>>2]|0;if((c|0)==(b|0)){a=c;d=c}else{j=c;do{y=0;oa(460,ba|0,k[j+4>>2]|0);h=y;y=0;if(h&1){b=20;break a}k[ba>>2]=15136;y=0;oa(460,w|0,k[j+12>>2]|0);h=y;y=0;if(h&1){b=18;break a}k[w>>2]=15152;c=k[(k[x>>2]|0)+64>>2]|0;b:do if(c|0){do if(k[(k[L>>2]|0)+64>>2]|0){y=0;oa(460,R|0,k[c+76>>2]|0);h=y;y=0;if(h&1){b=22;break a}k[R>>2]=7172;if(!(k[m>>2]|0)){DO(R);break}y=0;oa(460,O|0,k[(k[(k[L>>2]|0)+64>>2]|0)+76>>2]|0);h=y;y=0;if(h&1){b=44;break a}k[O>>2]=7172;h=(k[n>>2]|0)==0;DO(O);DO(R);if(!h){y=0;oa(460,S|0,k[(k[(k[x>>2]|0)+64>>2]|0)+76>>2]|0);h=y;y=0;if(h&1){b=22;break a}k[S>>2]=7172;h=k[o>>2]|0;y=0;oa(k[(k[h>>2]|0)+32>>2]|0,U|0,h|0);h=y;y=0;if(h&1){b=45;break a}DO(S);y=0;oa(460,P|0,k[(k[(k[L>>2]|0)+64>>2]|0)+76>>2]|0);h=y;y=0;if(h&1){b=46;break a}k[P>>2]=7172;h=k[p>>2]|0;y=0;oa(k[(k[h>>2]|0)+32>>2]|0,J|0,h|0);h=y;y=0;if(h&1){b=47;break a}DO(P);d=i[q>>0]|0;e=d<<24>>24<0;d=d&255;f=e?k[s>>2]|0:d;h=i[t>>0]|0;c=h<<24>>24<0;c:do if((f|0)==((c?k[u>>2]|0:h&255)|0)){g=k[U>>2]|0;h=e?g:U;c=c?k[J>>2]|0:J;a=(f|0)==0;d:do if(e){if(a)break;if(bN(h,c,f)|0)break c}else{if(a)break;if((g&255)<<24>>24==(i[c>>0]|0))a=U;else break c;while(1){d=d+-1|0;a=a+1|0;if(!d)break d;c=c+1|0;if((i[a>>0]|0)!=(i[c>>0]|0))break c}}while(0);A9(J);A9(U);break b}while(0);A9(J);A9(U)}}while(0);k[z>>2]=15992;k[_>>2]=16032;k[$>>2]=16052;k[A>>2]=0;y=0;oa(528,B|0,X|0);h=y;y=0;if(h&1){b=53;break a}k[C>>2]=0;k[D>>2]=-1;k[_>>2]=15972;k[$>>2]=16012;k[z>>2]=15992;y=0;na(433,X|0);h=y;y=0;if(h&1){b=54;break a}k[X>>2]=15832;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;k[Y+12>>2]=0;k[E>>2]=24;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;y=0;oa(529,X|0,U|0);h=y;y=0;if(h&1){b=52;break a}A9(U);y=0;na(436,W|0);h=y;y=0;if(h&1){b=75;break a}g=k[x>>2]|0;a=k[g+12>>2]|0;g=k[g+24>>2]|0;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;h=IJ(g)|0;y=0;Na(74,U|0,g|0,h|0);h=y;y=0;if(h&1){b=76;break a}y=0;Ra(18,V|0,U|0,W|0,W|0);h=y;y=0;if(h&1){b=77;break a}A9(U);y=0;ta(47,Z|0,48184,58)|0;h=y;y=0;if(h&1){b=79;break a}y=0;ta(47,Z|0,48243,58)|0;h=y;y=0;if(h&1){b=79;break a}y=0;c=ta(47,Z|0,48302,14)|0;h=y;y=0;if(h&1){b=79;break a}h=k[x>>2]|0;y=0;oa(k[(k[h>>2]|0)+32>>2]|0,U|0,h|0);h=y;y=0;if(h&1){b=80;break a}h=i[F>>0]|0;g=h<<24>>24<0;y=0;c=ta(47,c|0,(g?k[U>>2]|0:U)|0,(g?k[G>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1){b=81;break a}y=0;ta(47,c|0,51690,1)|0;h=y;y=0;if(h&1){b=81;break a}A9(U);y=0;c=ta(47,Z|0,49972,9)|0;h=y;y=0;if(h&1){b=79;break a}y=0;c=Ha(976,c|0,a+1|0)|0;h=y;y=0;if(h&1){b=79;break a}y=0;c=ta(47,c|0,52102,4)|0;h=y;y=0;if(h&1){b=79;break a}h=i[H>>0]|0;g=h<<24>>24<0;y=0;c=ta(47,c|0,(g?k[V>>2]|0:V)|0,(g?k[I>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1){b=79;break a}y=0;ta(47,c|0,52248,1)|0;h=y;y=0;if(h&1){b=79;break a}y=0;oa(530,Q|0,X|0);h=y;y=0;if(h&1){b=79;break a}y=0;c=U;a=l;d=c+40|0;do{k[c>>2]=k[a>>2];c=c+4|0;a=a+4|0}while((c|0)<(d|0));oa(454,Q|0,U|0);h=y;y=0;if(h&1){b=83;break a}A9(Q);A9(V);A9(W);k[_>>2]=15972;k[$>>2]=16012;k[Z>>2]=15992;k[X>>2]=15832;A9(Y);Xaa(X);nla(_,16064);Vja($)}while(0);DO(aa);DO(ba);j=j+16|0}while((j|0)!=(b|0));d=k[ca>>2]|0;b=d;a=k[da>>2]|0}c=(b|0)!=(a|0);b=a;if(a|0){if((d|0)!=(b|0)){a=d;do{j=a+-16|0;k[ca>>2]=j;DO(a+-8|0);DO(j);a=k[ca>>2]|0}while((a|0)!=(b|0));a=k[da>>2]|0}cra(a)}}y=0;oa(460,U|0,k[(k[K>>2]|0)+88>>2]|0);j=y;y=0;if(j&1){b=98;break}k[U>>2]=15136;if(k[K>>2]|0){y=0;na(423,fa|0);j=y;y=0;if(j&1){b=99;break}}k[K>>2]=k[M>>2];k[M>>2]=0;DO(U);DO(ea);if(c){c=1;b=102;break}}switch(b|0){case 14:{ea=pb()|0;DO(fa);sb(ea|0)}case 15:{c=pb()|0;break}case 18:{c=pb()|0;a=N;DO(ba);b=21;break}case 20:{c=pb()|0;a=N;b=21;break}case 22:{c=pb()|0;a=N;b=23;break}case 44:{c=pb()|0;a=N;DO(R);b=87;break}case 45:{c=pb()|0;a=N;DO(S);b=87;break}case 46:{c=pb()|0;a=N;b=48;break}case 47:{c=pb()|0;a=N;DO(P);b=48;break}case 52:{c=pb()|0;a=N;A9(U);A9(Y);Xaa(X);b=55;break}case 53:{c=pb()|0;a=N;b=56;break}case 54:{c=pb()|0;a=N;b=55;break}case 75:{c=pb()|0;a=N;b=86;break}case 76:{c=pb()|0;a=N;b=78;break}case 77:{c=pb()|0;a=N;A9(U);b=78;break}case 79:{c=pb()|0;a=N;b=84;break}case 80:{c=pb()|0;a=N;b=82;break}case 81:{c=pb()|0;a=N;A9(U);b=82;break}case 83:{c=pb()|0;a=N;A9(Q);b=84;break}case 98:{c=pb()|0;b=100;break}case 99:{c=pb()|0;DO(U);b=100;break}case 102:{DO(fa);r=T;return c|0}}if((b|0)==21){d=a;b=88}else if((b|0)==48){A9(U);b=87}else if((b|0)==55){nla(_,16064);b=56}else if((b|0)==78)b=85;else if((b|0)==82)b=84;if((b|0)==56){Vja($);b=23}else if((b|0)==84){A9(V);b=85}if((b|0)==23)b=87;else if((b|0)==85){A9(W);b=86}if((b|0)==86){k[_>>2]=15972;k[$>>2]=16012;k[Z>>2]=15992;k[X>>2]=15832;A9(Y);Xaa(X);nla(_,16064);Vja($);b=87}if((b|0)==87){DO(aa);DO(ba);d=a;b=88}if((b|0)==88){a=k[da>>2]|0;if(a|0){b=k[ca>>2]|0;if((b|0)!=(a|0)){do{ba=b+-16|0;k[ca>>2]=ba;DO(b+-8|0);DO(ba);b=k[ca>>2]|0}while((b|0)!=(a|0));a=k[da>>2]|0}cra(a)}}DO(ea);ea=c;DO(fa);sb(ea|0);return 0}function te(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;J=0;D=r;r=r+432|0;H=D+40|0;x=D+420|0;z=D+408|0;A=D+368|0;B=D+328|0;s=D+316|0;t=D+304|0;u=D+248|0;v=D+200|0;I=D;c=D+264|0;g=D+240|0;h=D+192|0;f=D+184|0;d=D+168|0;j=D+156|0;G=D+88|0;w=D+144|0;C=D+104|0;E=D+96|0;F=D+80|0;if(lv(b,1,0)|0){be(H,b);y=0;e=qa(315,80)|0;G=y;y=0;a:do if(G&1)c=pb()|0;else{o=c;p=b+108|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(460,h|0,k[H+4>>2]|0);G=y;y=0;do if(G&1)c=pb()|0;else{k[h>>2]=7492;y=0;oa(460,g|0,k[h+4>>2]|0);G=y;y=0;if(G&1){c=pb()|0;DO(h);break}k[g>>2]=7284;y=0;oa(460,f|0,0);G=y;y=0;if(G&1){c=pb()|0;d=1}else{k[f>>2]=7284;o=I;p=c;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(422,e|0);G=y;y=0;b:do if(G&1){d=1;J=18}else{o=e+12|0;p=I;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=11584;c=e+60|0;y=0;oa(460,c|0,k[g+4>>2]|0);I=y;y=0;do if(I&1)c=pb()|0;else{k[c>>2]=7284;d=e+68|0;y=0;oa(460,d|0,k[f+4>>2]|0);I=y;y=0;if(I&1){I=pb()|0;DO(c);c=I;break}k[d>>2]=7284;i[e+76>>0]=1;y=0;oa(460,a|0,e|0);J=y;y=0;if(J&1){d=0;J=18;break b}k[a>>2]=11528;DO(f);DO(g);DO(h);DO(H);r=D;return}while(0);d=1}while(0);if((J|0)==18)c=pb()|0;DO(f)}DO(g);DO(h);if(!d)break a}while(0);cra(e)}while(0);DO(H);J=c;sb(J|0)}g=b+156|0;k[H>>2]=k[g>>2];k[H+4>>2]=k[g+4>>2];k[H+8>>2]=k[g+8>>2];h=b+76|0;c=k[h>>2]|0;l=b+84|0;k[x>>2]=k[l>>2];k[x+4>>2]=k[l+4>>2];k[x+8>>2]=k[l+8>>2];m=b+96|0;k[z>>2]=k[m>>2];k[z+4>>2]=k[m+4>>2];k[z+8>>2]=k[m+8>>2];n=b+108|0;o=A;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));jx(b,1,0)|0;do if(!(_t(b,1,0)|0)){o=n;p=A;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[g>>2]=k[H>>2];k[g+4>>2]=k[H+4>>2];k[g+8>>2]=k[H+8>>2];k[h>>2]=c;k[m>>2]=k[z>>2];k[m+4>>2]=k[z+4>>2];k[m+8>>2]=k[z+8>>2];k[l>>2]=k[x>>2];k[l+4>>2]=k[x+4>>2];k[l+8>>2]=k[x+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;aI(d,44924,42);q=b+108|0;y=0;k[H>>2]=k[q>>2];k[H+4>>2]=k[q+4>>2];k[H+8>>2]=k[q+8>>2];Na(108,b|0,d|0,H|0);q=y;y=0;if(!(q&1)){A9(d);break}J=pb()|0;A9(d);sb(J|0)}while(0);LT(I,0);k[I>>2]=7284;y=0;c=qa(343,k[h>>2]|0)|0;q=y;y=0;c:do if(q&1)J=36;else{e=b+80|0;if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[h>>2]|0;y=0;d=qa(344,c|0)|0;q=y;y=0;if(q&1)J=36;else{q=d|0?d:c;q=(i[q>>0]|0)==41?q+1|0:0;do if(!((q|0)==0?1:q>>>0>(k[e>>2]|0)>>>0)){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,44967,48);q=y;y=0;if(q&1){J=36;break c}q=b+108|0;y=0;k[H>>2]=k[q>>2];k[H+4>>2]=k[q+4>>2];k[H+8>>2]=k[q+8>>2];Na(108,b|0,j|0,H|0);q=y;y=0;if(q&1){c=pb()|0;A9(j);break c}else{A9(j);break}}while(0);y=0;oa(577,H|0,b|0);q=y;y=0;do if(q&1)c=pb()|0;else{f=I+4|0;if(k[f>>2]|0){y=0;na(423,I|0);q=y;y=0;if(q&1){c=pb()|0;DO(H);break}}q=H+4|0;k[f>>2]=k[q>>2];k[q>>2]=0;DO(H);y=0;oa(460,G|0,0);q=y;y=0;if(q&1){J=36;break c}k[G>>2]=7284;k[s>>2]=k[g>>2];k[s+4>>2]=k[g+4>>2];k[s+8>>2]=k[g+8>>2];d=k[h>>2]|0;k[t>>2]=k[l>>2];k[t+4>>2]=k[l+4>>2];k[t+8>>2]=k[l+8>>2];k[u>>2]=k[m>>2];k[u+4>>2]=k[m+4>>2];k[u+8>>2]=k[m+8>>2];o=v;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(53,b|0,1,0)|0;q=y;y=0;d:do if(q&1)J=53;else{y=0;c=ta(88,b|0,1,0)|0;q=y;y=0;if(q&1)J=53;else{e:do if(!c){o=n;p=v;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[g>>2]=k[s>>2];k[g+4>>2]=k[s+4>>2];k[g+8>>2]=k[s+8>>2];k[h>>2]=d;k[m>>2]=k[u>>2];k[m+4>>2]=k[u+4>>2];k[m+8>>2]=k[u+8>>2];k[l>>2]=k[t>>2];k[l+4>>2]=k[t+4>>2];k[l+8>>2]=k[t+8>>2]}else{y=0;Na(111,H|0,b|0,1);v=y;y=0;f:do if(v&1)c=pb()|0;else{c=G+4|0;do if(k[c>>2]|0){y=0;na(423,G|0);v=y;y=0;if(!(v&1))break;c=pb()|0;DO(H);break f}while(0);d=H+4|0;k[c>>2]=k[d>>2];k[d>>2]=0;DO(H);d=k[h>>2]|0;break e}while(0);break d}while(0);k[x>>2]=k[g>>2];k[x+4>>2]=k[g+4>>2];k[x+8>>2]=k[g+8>>2];k[z>>2]=k[l>>2];k[z+4>>2]=k[l+4>>2];k[z+8>>2]=k[l+8>>2];k[A>>2]=k[m>>2];k[A+4>>2]=k[m+4>>2];k[A+8>>2]=k[m+8>>2];o=B;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(53,b|0,1,0)|0;v=y;y=0;if(v&1)J=53;else{y=0;c=ta(67,b|0,1,0)|0;v=y;y=0;if(v&1)J=53;else{do if(!c){o=n;p=B;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[g>>2]=k[x>>2];k[g+4>>2]=k[x+4>>2];k[g+8>>2]=k[x+8>>2];k[h>>2]=d;k[m>>2]=k[A>>2];k[m+4>>2]=k[A+4>>2];k[m+8>>2]=k[A+8>>2];k[l>>2]=k[z>>2];k[l+4>>2]=k[z+4>>2];k[l+8>>2]=k[z+8>>2];k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(74,w|0,45016,46);B=y;y=0;if(B&1){J=53;break d}B=b+108|0;y=0;k[H>>2]=k[B>>2];k[H+4>>2]=k[B+4>>2];k[H+8>>2]=k[B+8>>2];Na(108,b|0,w|0,H|0);b=y;y=0;if(b&1){c=pb()|0;A9(w);break d}else{A9(w);break}}while(0);y=0;e=qa(315,80)|0;b=y;y=0;if(b&1)J=53;else{c=k[f>>2]|0;o=C;p=c+12|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(460,E|0,c|0);b=y;y=0;do if(b&1)c=pb()|0;else{k[E>>2]=7284;y=0;oa(460,F|0,k[G+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;DO(E);break}k[F>>2]=7284;o=H;p=C;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(422,e|0);C=y;y=0;g:do if(C&1){c=1;J=78}else{o=e+12|0;p=H;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=11584;c=e+60|0;y=0;oa(460,c|0,k[E+4>>2]|0);H=y;y=0;do if(H&1)c=pb()|0;else{k[c>>2]=7284;d=e+68|0;y=0;oa(460,d|0,k[F+4>>2]|0);H=y;y=0;if(H&1){H=pb()|0;DO(c);c=H;break}k[d>>2]=7284;i[e+76>>0]=0;y=0;oa(460,a|0,e|0);J=y;y=0;if(J&1){c=0;J=78;break g}k[a>>2]=11528;DO(F);DO(E);DO(G);DO(I);r=D;return}while(0);d=1}while(0);if((J|0)==78){H=pb()|0;d=c;c=H}DO(F);DO(E);if(!d)break d}while(0);cra(e)}}}}}while(0);if((J|0)==53)c=pb()|0;DO(G);break c}while(0)}}while(0);if((J|0)==36)c=pb()|0;DO(I);J=c;sb(J|0)}function ue(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;A=0;H=r;r=r+208|0;I=H;j=H+168|0;n=H+152|0;G=H+140|0;F=H+128|0;E=H+120|0;D=H+104|0;z=+p[b+64>>3];w=c+64|0;l=+p[w>>3];x=(a|0)==11;if(x&l==0.0){h=IM(80)|0;g=j;d=e;f=g+40|0;do{k[g>>2]=k[d>>2];g=g+4|0;d=d+4|0}while((g|0)<(f|0));G=z!=0.0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,(G?46684:46693)|0,(G?8:3)|0);G=y;y=0;do if(G&1)d=pb()|0;else{y=0;g=I;d=j;f=g+40|0;do{k[g>>2]=k[d>>2];g=g+4|0;d=d+4|0}while((g|0)<(f|0));Ea(2,h|0,I|0,n|0,0,0,0,1);I=y;y=0;if(I&1){d=pb()|0;A9(n);break}A9(n);I=h;r=H;return I|0}while(0);cra(h);I=d;sb(I|0)}if(!((a|0)!=12|l!=0.0)){d=gb(28)|0;y=0;Na(133,d|0,b|0,c|0);I=y;y=0;if(!(I&1))Wb(d|0,3552,177);I=pb()|0;fb(d|0);sb(I|0)}f=k[b+80>>2]|0;d=k[b+76>>2]|0;g=f-d|0;t=(g|0)/12|0;C=c+88|0;B=c+92|0;v=k[C>>2]|0;u=(k[B>>2]|0)-v|0;s=(u|0)/12|0;a:do if((t|0)==(s|0)&((s|t)&2147483647|0)==0){h=k[c+76>>2]|0;if((g|0)==((k[c+80>>2]|0)-h|0)){if((d|0)!=(f|0)){t=h;while(1){j=i[d+11>>0]|0;n=j<<24>>24<0;j=j&255;o=n?k[d+4>>2]|0:j;s=i[t+11>>0]|0;g=s<<24>>24<0;if((o|0)!=((g?k[t+4>>2]|0:s&255)|0)){A=38;break a}q=k[d>>2]|0;s=n?q:d;g=g?k[t>>2]|0:t;h=(o|0)==0;b:do if(n){if(!h)if(bN(s,g,o)|0){A=38;break a}}else if(!h){if((q&255)<<24>>24==(i[g>>0]|0))h=d;else{A=38;break a}while(1){j=j+-1|0;h=h+1|0;if(!j)break b;g=g+1|0;if((i[h>>0]|0)!=(i[g>>0]|0)){A=38;break a}}}while(0);d=d+12|0;if((d|0)==(f|0))break;else t=t+12|0}}q=k[b+92>>2]|0;s=k[b+88>>2]|0;d=s;t=q;if((q-s|0)==(u|0)){if((d|0)!=(t|0)){s=v;while(1){h=i[d+11>>0]|0;j=h<<24>>24<0;h=h&255;n=j?k[d+4>>2]|0:h;v=i[s+11>>0]|0;f=v<<24>>24<0;if((n|0)!=((f?k[s+4>>2]|0:v&255)|0)){A=38;break a}o=k[d>>2]|0;q=j?o:d;f=f?k[s>>2]|0:s;g=(n|0)==0;c:do if(j){if(!g)if(bN(q,f,n)|0){A=38;break a}}else if(!g){if((o&255)<<24>>24==(i[f>>0]|0))g=d;else{A=38;break a}while(1){h=h+-1|0;g=g+1|0;if(!h)break c;f=f+1|0;if((i[g>>0]|0)!=(i[f>>0]|0)){A=38;break a}}}while(0);d=d+12|0;if((d|0)==(t|0))break;else s=s+12|0}}d=oc[k[(k[b>>2]|0)+12>>2]&511](b)|0;z=+xc[k[17380+(a<<2)>>2]&7](z,l);k[d+100>>2]=0;p[d+64>>3]=z}else A=38}else A=38}else A=38;while(0);d:do if((A|0)==38){lx(I,c);y=0;oa(452,G|0,b|0);v=y;y=0;do if(v&1){d=pb()|0;f=N;A=52}else{y=0;Na(73,I|0,G|0,(a&-2|0)!=10|0);v=y;y=0;if(v&1){d=pb()|0;f=N;A9(G);A=52;break}A9(G);y=0;oa(453,G|0,b|0);v=y;y=0;if(v&1){n=pb()|0;f=N;break}y=0;oa(453,F|0,I|0);v=y;y=0;if(v&1){d=pb()|0;f=N}else{y=0;d=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;A=y;y=0;do if(A&1)A=55;else{y=0;oa(460,E|0,d|0);A=y;y=0;if(A&1)A=55;else{k[E>>2]=16664;q=E+4|0;d=k[q>>2]|0;fO(d+12|0,e|0,40)|0;A=i[G+11>>0]|0;e:do if(!((A<<24>>24<0?k[G+4>>2]|0:A&255)|0)){switch(a|0){case 10:{A=58;break e}case 8:case 9:case 12:break;default:{A=77;break e}}if((d|0)==(c|0))A=57;else{y=0;Na(134,d+76|0,k[c+76>>2]|0,k[c+80>>2]|0);A=y;y=0;if(A&1)A=56;else{d=k[q>>2]|0;if((d|0)==(c|0))A=57;else{y=0;Na(134,d+88|0,k[C>>2]|0,k[B>>2]|0);A=y;y=0;if(A&1)A=56;else A=57}}}}else A=57;while(0);if((A|0)==57){d=k[q>>2]|0;if((a|0)==10)A=58;else A=77}f:do if((A|0)==58){y=0;l=+za(k[17380+(a<<2)>>2]|0,+z,+l);A=y;y=0;if(A&1)A=56;else{k[d+100>>2]=0;p[d+64>>3]=l;o=c+76|0;f=k[o>>2]|0;A=(k[c+80>>2]|0)-f|0;n=(A|0)/12|0;g:do if(A|0){d=0;while(1){j=k[q>>2]|0;f=f+(d*12|0)|0;g=j+80|0;h=k[g>>2]|0;if((h|0)==(k[j+84>>2]|0)){y=0;oa(457,j+76|0,f|0);A=y;y=0;if(A&1)break}else{y=0;oa(456,h|0,f|0);A=y;y=0;if(A&1)break;k[g>>2]=(k[g>>2]|0)+12}d=d+1|0;if(d>>>0>=n>>>0)break g;f=k[o>>2]|0}d=pb()|0;f=N;A=119;break f}while(0);f=k[C>>2]|0;B=(k[B>>2]|0)-f|0;n=(B|0)/12|0;if(!B)A=101;else{d=0;while(1){j=k[q>>2]|0;f=f+(d*12|0)|0;g=j+92|0;h=k[g>>2]|0;if((h|0)==(k[j+96>>2]|0)){y=0;oa(457,j+88|0,f|0);B=y;y=0;if(B&1)break}else{y=0;oa(456,h|0,f|0);B=y;y=0;if(B&1)break;k[g>>2]=(k[g>>2]|0)+12}d=d+1|0;if(d>>>0>=n>>>0){A=101;break f}f=k[C>>2]|0}d=pb()|0;f=N;A=119}}}else if((A|0)==77){f=k[17380+(a<<2)>>2]|0;if(!x){m=+p[w>>3];y=0;l=+Ka(1,c|0,b|0);D=y;y=0;if(D&1){A=56;break}y=0;l=+za(f|0,+z,+(m*l));D=y;y=0;if(D&1){A=56;break}k[d+100>>2]=0;p[d+64>>3]=l;d=k[q>>2]|0;if(!d){d=0;break}i[d+8>>0]=1;break}y=0;l=+za(f|0,+z,+l);A=y;y=0;if(A&1)A=56;else{k[d+100>>2]=0;p[d+64>>3]=l;o=c+76|0;f=k[o>>2]|0;A=(k[c+80>>2]|0)-f|0;n=(A|0)/12|0;h:do if(A|0){d=0;while(1){j=k[q>>2]|0;f=f+(d*12|0)|0;g=j+92|0;h=k[g>>2]|0;if((h|0)==(k[j+96>>2]|0)){y=0;oa(457,j+88|0,f|0);A=y;y=0;if(A&1)break}else{y=0;oa(456,h|0,f|0);A=y;y=0;if(A&1)break;k[g>>2]=(k[g>>2]|0)+12}d=d+1|0;if(d>>>0>=n>>>0)break h;f=k[o>>2]|0}d=pb()|0;f=N;A=119;break f}while(0);f=k[C>>2]|0;B=(k[B>>2]|0)-f|0;n=(B|0)/12|0;if(!B)A=101;else{d=0;while(1){j=k[q>>2]|0;f=f+(d*12|0)|0;g=j+80|0;h=k[g>>2]|0;if((h|0)==(k[j+84>>2]|0)){y=0;oa(457,j+76|0,f|0);B=y;y=0;if(B&1)break}else{y=0;oa(456,h|0,f|0);B=y;y=0;if(B&1)break;k[g>>2]=(k[g>>2]|0)+12}d=d+1|0;if(d>>>0>=n>>>0){A=101;break f}f=k[C>>2]|0}d=pb()|0;f=N;A=119}}}while(0);i:do if((A|0)==56){d=pb()|0;f=N;A=119}else if((A|0)==101){d=k[q>>2]|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;Na(74,D|0,87975,0);C=y;y=0;do if(C&1){d=pb()|0;f=N}else{y=0;Na(73,d|0,D|0,0);C=y;y=0;if(C&1){d=pb()|0;f=N;A9(D);break}A9(D);d=k[q>>2]|0;if(!d){d=0;break i}i[d+8>>0]=1;break i}while(0);A=119}while(0);if((A|0)==119){DO(E);break}DO(E);A9(F);A9(G);k[I>>2]=6e3;h=I+88|0;f=k[h>>2]|0;if(f|0){j=I+92|0;g=k[j>>2]|0;if((g|0)!=(f|0)){do{G=g+-12|0;k[j>>2]=G;A9(G);g=k[j>>2]|0}while((g|0)!=(f|0));f=k[h>>2]|0}cra(f)}j=I+76|0;f=k[j>>2]|0;if(f|0){h=I+80|0;g=k[h>>2]|0;if((g|0)!=(f|0)){do{I=g+-12|0;k[h>>2]=I;A9(I);g=k[h>>2]|0}while((g|0)!=(f|0));f=k[j>>2]|0}cra(f)}break d}}while(0);if((A|0)==55){d=pb()|0;f=N}A9(F)}A9(G);n=d}while(0);if((A|0)==52)n=d;k[I>>2]=6e3;h=I+88|0;d=k[h>>2]|0;if(d|0){j=I+92|0;g=k[j>>2]|0;if((g|0)!=(d|0)){do{H=g+-12|0;k[j>>2]=H;A9(H);g=k[j>>2]|0}while((g|0)!=(d|0));d=k[h>>2]|0}cra(d)}j=I+76|0;d=k[j>>2]|0;if(d|0){h=I+80|0;g=k[h>>2]|0;if((g|0)!=(d|0)){do{I=g+-12|0;k[h>>2]=I;A9(I);g=k[h>>2]|0}while((g|0)!=(d|0));d=k[j>>2]|0}cra(d)}I=n;sb(I|0)}while(0);I=d;r=H;return I|0}function ve(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;D=0;C=r;r=r+384|0;v=C+344|0;H=C+320|0;g=C+336|0;h=C+328|0;j=C+312|0;G=C+304|0;l=C+296|0;F=C+284|0;m=C+280|0;E=C+112|0;o=C+104|0;p=C+96|0;q=C+80|0;t=C+72|0;B=C+88|0;u=C+64|0;w=C+24|0;z=C+16|0;A=C+8|0;x=C;LT(H,oc[k[(k[b>>2]|0)+12>>2]&511](b)|0);k[H>>2]=17212;n=a+4|0;c=k[n>>2]|0;d=c+200|0;s=H+4|0;y=0;oa(460,g|0,k[s>>2]|0);f=y;y=0;if(f&1)c=pb()|0;else{k[g>>2]=17212;y=0;oa(460,v|0,k[g+4>>2]|0);f=y;y=0;do if(f&1)c=pb()|0;else{k[v>>2]=6336;e=c+204|0;f=k[e>>2]|0;if(f>>>0<(k[c+208>>2]|0)>>>0){y=0;oa(460,f|0,k[v+4>>2]|0);d=y;y=0;if(d&1)D=54;else{k[f>>2]=6336;k[e>>2]=(k[e>>2]|0)+8}}else{y=0;oa(653,d|0,v|0);f=y;y=0;if(f&1)D=54}if((D|0)==54){c=pb()|0;DO(v);break}DO(v);DO(g);c=k[s>>2]|0;y=0;oa(460,j|0,0);g=y;y=0;do if(!(g&1)){k[j>>2]=6868;d=c+64|0;c=c+68|0;if(!(k[c>>2]|0))D=10;else{y=0;na(423,d|0);g=y;y=0;if(!(g&1))D=10}if((D|0)==10){k[c>>2]=k[j+4>>2];y=0;na(424,d|0);D=y;y=0;if(!(D&1)){y=0;oa(460,h|0,k[c>>2]|0);D=y;y=0;if(!(D&1)){k[h>>2]=6868;DO(h);DO(j);y=0;oa(460,l|0,k[b+76>>2]|0);D=y;y=0;if(D&1)break;k[l>>2]=7172;y=0;c=Ha(513,a+8|0,k[l+4>>2]|0)|0;D=y;y=0;if(!(D&1)){y=0;oa(460,G|0,c|0);D=y;y=0;if(!(D&1)){k[G>>2]=7284;DO(l);l=G+4|0;D=k[l>>2]|0;j=k[(k[D>>2]|0)+28>>2]|0;h=k[(k[n>>2]|0)+16>>2]|0;y=0;k[v>>2]=k[h>>2];k[v+4>>2]=k[h+4>>2];k[v+8>>2]=k[h+8>>2];Na(j|0,F|0,D|0,v|0);D=y;y=0;if(D&1)c=pb()|0;else{y=0;c=qa(322,((i[F+11>>0]|0)<0?k[F>>2]|0:F)|0)|0;D=y;y=0;if(D&1)c=pb()|0;else{k[m>>2]=c;d=k[n>>2]|0;e=d+216|0;f=k[e>>2]|0;if((f|0)==(k[d+220>>2]|0)){y=0;oa(539,d+212|0,m|0);D=y;y=0;if(D&1)D=62;else D=20}else{k[f>>2]=c;k[e>>2]=(k[e>>2]|0)+4;D=20}do if((D|0)==20){d=k[m>>2]|0;c=k[n>>2]|0;y=0;f=v;g=(k[l>>2]|0)+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));ma(17,E|0,d|0,c|0,v|0,0);n=y;y=0;if(n&1){D=62;break}y=0;oa(614,o|0,E|0);n=y;y=0;a:do if(n&1){c=pb()|0;d=N;D=67}else{y=0;oa(460,v|0,k[o+4>>2]|0);n=y;y=0;b:do if(n&1){c=pb()|0;d=N}else{k[v>>2]=7284;do if(k[l>>2]|0){y=0;na(423,G|0);n=y;y=0;if(!(n&1))break;c=pb()|0;d=N;DO(v);break b}while(0);c=v+4|0;k[l>>2]=k[c>>2];k[c>>2]=0;DO(v);DO(o);c=k[s>>2]|0;y=0;oa(460,t|0,k[l>>2]|0);o=y;y=0;c:do if(!(o&1)){k[t>>2]=7284;y=0;oa(460,q|0,k[t+4>>2]|0);o=y;y=0;if(o&1){c=pb()|0;d=N}else{k[q>>2]=7172;d=c+72|0;c=c+76|0;if(!(k[c>>2]|0))D=29;else{y=0;na(423,d|0);o=y;y=0;if(!(o&1))D=29}do if((D|0)==29){k[c>>2]=k[q+4>>2];y=0;na(424,d|0);o=y;y=0;if(o&1)break;y=0;oa(460,p|0,k[c>>2]|0);o=y;y=0;if(o&1)break;k[p>>2]=7172;DO(p);DO(q);DO(t);c=k[s>>2]|0;k[v>>2]=c;e=a+100|0;d=k[e>>2]|0;do if(d>>>0<(k[a+104>>2]|0)>>>0){k[d>>2]=c;k[e>>2]=(k[e>>2]|0)+4}else{y=0;oa(654,a+96|0,v|0);t=y;y=0;if(!(t&1))break;c=pb()|0;h=N;break a}while(0);c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(460,u|0,k[b+68>>2]|0);t=y;y=0;if(t&1)break c;k[u>>2]=6868;y=0;c=Ha(c|0,a|0,k[u+4>>2]|0)|0;a=y;y=0;do if(!(a&1)){y=0;oa(460,B|0,c|0);a=y;y=0;if(a&1)break;k[B>>2]=6868;DO(u);y=0;j=qa(315,80)|0;u=y;y=0;if(u&1){c=pb()|0;d=N}else{f=w;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(460,A|0,k[l>>2]|0);u=y;y=0;if(u&1){c=pb()|0;d=N}else{k[A>>2]=7284;y=0;oa(460,z|0,k[A+4>>2]|0);u=y;y=0;if(u&1){c=pb()|0;d=N}else{k[z>>2]=7172;y=0;oa(460,x|0,k[B+4>>2]|0);u=y;y=0;do if(u&1){c=pb()|0;d=N}else{k[x>>2]=6868;y=0;f=v;g=w;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));Ra(33,j|0,v|0,z|0,x|0);w=y;y=0;if(w&1){c=pb()|0;d=N;DO(x);break}DO(x);DO(z);DO(A);k[e>>2]=(k[e>>2]|0)+-4;k[j+56>>2]=k[b+56>>2];DO(B);c=k[E+56>>2]|0;d=c;if(c|0){e=E+60|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);cra(c)}f=E+44|0;c=k[f>>2]|0;if(!c){A9(F);DO(G);DO(H);r=C;return j|0}e=E+48|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{E=d+-8|0;k[e>>2]=E;lc[k[k[E>>2]>>2]&511](E);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c);A9(F);DO(G);DO(H);r=C;return j|0}while(0);DO(z)}DO(A)}cra(j)}DO(B);h=d;break a}while(0);c=pb()|0;h=N;DO(u);break a}while(0);c=pb()|0;d=N;DO(q)}DO(t);h=d;break a}while(0);c=pb()|0;h=N;break a}while(0);DO(o);D=67}while(0);if((D|0)==67)h=d;d=k[E+56>>2]|0;e=d;if(d|0){f=E+60|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~((g+-4-e|0)>>>2)<<2);cra(d)}g=E+44|0;d=k[g>>2]|0;if(d|0){f=E+48|0;e=k[f>>2]|0;if((e|0)!=(d|0)){do{E=e+-8|0;k[f>>2]=E;lc[k[k[E>>2]>>2]&511](E);e=k[f>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}}while(0);if((D|0)==62)c=pb()|0}A9(F)}DO(G);G=c;DO(H);sb(G|0)}}G=pb()|0;DO(l);DO(H);sb(G|0)}}}G=pb()|0;DO(j);DO(H);sb(G|0)}while(0);G=pb()|0;DO(H);sb(G|0)}while(0);DO(g)}G=c;DO(H);sb(G|0);return 0}function we(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;u=0;w=r;r=r+256|0;s=w+216|0;F=w+208|0;E=w+200|0;D=w+192|0;C=w+176|0;B=w+168|0;l=w+184|0;m=w+160|0;o=w+120|0;n=w+80|0;A=w+128|0;z=w+88|0;q=w+72|0;p=w+44|0;x=w+16|0;v=w+8|0;t=w;if(!a)d=0;else{e=s+4|0;d=a;while(1){LT(s,k[d+88>>2]|0);k[s>>2]=15136;f=k[e>>2]|0;DO(s);if(!f)break;else d=f}}LT(F,d);k[F>>2]=15136;a:do if(!b){d=0;u=8}else{e=s+4|0;d=b;while(1){y=0;oa(460,s|0,k[d+88>>2]|0);j=y;y=0;if(j&1)break;k[s>>2]=15136;f=k[e>>2]|0;DO(s);if(!f){u=8;break a}else d=f}c=pb()|0}while(0);do if((u|0)==8){y=0;oa(460,E|0,d|0);j=y;y=0;if(j&1){c=pb()|0;break}k[E>>2]=15136;h=F+4|0;d=k[h>>2]|0;do if(!d){y=0;Ra(12,34047,34071,991,34083);y=0;u=14}else{j=E+4|0;e=k[j>>2]|0;if(!e){y=0;Ra(12,34094,34071,992,34083);y=0;u=14;break}if(k[d+72>>2]|0){D=0;DO(E);DO(F);r=w;return D|0}if(k[e+72>>2]|0){D=0;DO(E);DO(F);r=w;return D|0}y=0;oa(460,D|0,k[d+80>>2]|0);g=y;y=0;if(g&1)u=14;else{k[D>>2]=15152;y=0;oa(460,C|0,k[(k[j>>2]|0)+80>>2]|0);g=y;y=0;if(g&1)c=pb()|0;else{k[C>>2]=15152;f=D+4|0;d=k[f>>2]|0;b:do if(!d){y=0;Ra(12,34118,34071,1005,34083);y=0;u=24}else{g=C+4|0;e=k[g>>2]|0;if(!e){y=0;Ra(12,34152,34071,1006,34083);y=0;u=24;break}y=0;d=Ha(971,e|0,d|0)|0;e=y;y=0;if(e&1)u=24;else{y=0;oa(460,B|0,d|0);e=y;y=0;if(e&1)u=24;else{k[B>>2]=15152;e=B+4|0;c:do if(!(k[e>>2]|0))c=0;else{f=k[f>>2]|0;d=k[f+76>>2]|0;do if(((k[f+80>>2]|0)-d|0)==8){G=k[d+4>>2]|0;d=G+84|0;f=i[d+11>>0]|0;if(((f<<24>>24<0?k[G+88>>2]|0:f&255)|0)!=1){u=35;break}y=0;d=sa(21,d|0,0,-1,48696,1)|0;G=y;y=0;if(G&1){G=tb(0)|0;Sla(G)}else if(!d){u=40;break}else{u=35;break}}else u=35;while(0);do if((u|0)==35){G=k[g>>2]|0;d=k[G+76>>2]|0;if(((k[G+80>>2]|0)-d|0)!=8){c=0;u=54;break}g=k[d+4>>2]|0;d=g+84|0;G=i[d+11>>0]|0;if(((G<<24>>24<0?k[g+88>>2]|0:G&255)|0)!=1){c=0;u=54;break}y=0;d=sa(21,d|0,0,-1,48696,1)|0;G=y;y=0;if(G&1){G=tb(0)|0;Sla(G)}else if(!d){u=40;break}else{c=0;u=54;break}}while(0);d:do if((u|0)==40){c=k[h>>2]|0;y=0;oa(460,m|0,0);G=y;y=0;if(G&1){u=51;break}k[m>>2]=15152;k[c+68>>2]=0;d=c+76|0;c=c+80|0;if(!(k[c>>2]|0))u=43;else{y=0;na(423,d|0);G=y;y=0;if(!(G&1))u=43}do if((u|0)==43){k[c>>2]=k[m+4>>2];y=0;na(424,d|0);G=y;y=0;if(G&1)break;y=0;oa(460,l|0,k[c>>2]|0);G=y;y=0;if(G&1)break;k[l>>2]=15152;DO(l);DO(m);c=k[j>>2]|0;y=0;oa(460,n|0,k[e>>2]|0);G=y;y=0;if(G&1){u=51;break d}k[n>>2]=15152;k[c+68>>2]=0;d=c+76|0;c=c+80|0;if(!(k[c>>2]|0))u=48;else{y=0;na(423,d|0);G=y;y=0;if(!(G&1))u=48}do if((u|0)==48){k[c>>2]=k[n+4>>2];y=0;na(424,d|0);G=y;y=0;if(G&1)break;y=0;oa(460,o|0,k[c>>2]|0);G=y;y=0;if(G&1)break;k[o>>2]=15152;DO(o);DO(n);c=1;u=54;break d}while(0);c=pb()|0;DO(n);break d}while(0);c=pb()|0;DO(m)}while(0);do if((u|0)==54){y=0;oa(505,A|0,a|0);G=y;y=0;if(G&1){u=51;break}y=0;oa(505,z|0,b|0);G=y;y=0;if(G&1)c=pb()|0;else{e:do if(c)u=70;else{y=0;oa(506,q|0,k[e>>2]|0);G=y;y=0;if(G&1){u=64;break}y=0;oa(505,p|0,k[q+4>>2]|0);G=y;y=0;do if(G&1)c=pb()|0;else{y=0;oa(507,z|0,p|0);G=y;y=0;if(G&1){c=pb()|0;d=k[p+24>>2]|0;if(d|0)DY(d);DO(p+12|0);break}else{c=k[p+24>>2]|0;if(c|0)DY(c);DO(p+12|0);DO(q);u=70;break e}}while(0);DO(q)}while(0);do if((u|0)==70){y=0;Na(79,x|0,A|0,z|0);G=y;y=0;if(G&1){u=64;break}y=0;e=qa(315,112)|0;G=y;y=0;do if(G&1)u=82;else{y=0;f=s;c=a+12|0;d=f+40|0;do{k[f>>2]=k[c>>2];f=f+4|0;c=c+4|0}while((f|0)<(d|0));Na(80,e|0,s|0,0);G=y;y=0;if(G&1){c=pb()|0;cra(e);break}y=0;oa(460,v|0,e|0);G=y;y=0;if(G&1){u=82;break}k[v>>2]=6756;c=k[x+20>>2]|0;n=x+24|0;o=k[n>>2]|0;b=(o|0)==0;if(!b)Dba(o);d=k[c+4>>2]|0;e=k[c+16>>2]|0;f=d+(((e>>>0)/146|0)<<2)|0;if((k[c+8>>2]|0)==(d|0)){j=0;c=0}else{j=e+(k[c+20>>2]|0)|0;j=(k[d+(((j>>>0)/146|0)<<2)>>2]|0)+(((j>>>0)%146|0)*28|0)|0;c=(k[f>>2]|0)+(((e>>>0)%146|0)*28|0)|0}h=v+4|0;l=s+24|0;m=s+12|0;f:while(1){do{g=c;c=k[h>>2]|0;e=c+72|0;if((g|0)==(j|0)){u=81;break f}c=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(508,s|0,g|0);G=y;y=0;if(G&1){u=92;break f}y=0;d=qa(318,s|0)|0;G=y;y=0;if(G&1){u=93;break f}y=0;oa(460,t|0,d|0);G=y;y=0;if(G&1){u=93;break f}k[t>>2]=15136;y=0;oa(c|0,e|0,t|0);G=y;y=0;if(G&1){u=94;break f}DO(t);c=k[l>>2]|0;if(c|0)DY(c);DO(m);c=g+28|0}while((c-(k[f>>2]|0)|0)!=4088);c=f+4|0;f=c;c=k[c>>2]|0}if((u|0)==81){if((k[c+80>>2]|0)==(k[c+76>>2]|0))c=0;else i[c+8>>0]=1;if(!b)DY(o);DO(v);d=k[n>>2]|0;if(d|0)DY(d);DO(x+12|0);d=k[z+24>>2]|0;if(d|0)DY(d);DO(z+12|0);d=k[A+24>>2]|0;if(d|0)DY(d);DO(A+12|0);break c}else if((u|0)==92)c=pb()|0;else if((u|0)==93){c=pb()|0;u=95}else if((u|0)==94){c=pb()|0;DO(t);u=95}if((u|0)==95){d=k[l>>2]|0;if(d|0)DY(d);DO(m)}if(!b)DY(o);DO(v)}while(0);if((u|0)==82)c=pb()|0;d=k[x+24>>2]|0;if(d|0)DY(d);DO(x+12|0)}while(0);if((u|0)==64)c=pb()|0;d=k[z+24>>2]|0;if(d|0)DY(d);DO(z+12|0)}d=k[A+24>>2]|0;if(d|0)DY(d);DO(A+12|0)}while(0);if((u|0)==51)c=pb()|0;DO(B);break b}while(0);DO(B);DO(C);DO(D);G=c;DO(E);DO(F);r=w;return G|0}}}while(0);if((u|0)==24)c=pb()|0;DO(C)}DO(D)}}while(0);if((u|0)==14)c=pb()|0;DO(E);G=c;DO(F);sb(G|0)}while(0);G=c;DO(F);sb(G|0);return 0}function xe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;x=0;z=r;r=r+240|0;f=z+224|0;B=z+216|0;c=z+208|0;A=z+200|0;j=z+56|0;w=z+40|0;v=z+28|0;d=z+16|0;s=z+8|0;t=z;LT(c,k[b+76>>2]|0);k[c>>2]=6756;y=0;oa(460,B|0,k[c+4>>2]|0);u=y;y=0;if(u&1){B=pb()|0;DO(c);sb(B|0)}k[B>>2]=15168;DO(c);y=0;oa(460,A|0,k[b+68>>2]|0);u=y;y=0;if(u&1)c=pb()|0;else{k[A>>2]=6868;u=a+4|0;y=0;c=qa(394,u|0)|0;q=y;y=0;a:do if(q&1)x=10;else{y=0;c=Ha(1e3,b|0,c|0)|0;q=y;y=0;if(q&1)x=10;else{if(!c){f=A+4|0;d=k[f>>2]|0;g=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>3;if(!g){DO(A);DO(B);r=z;return}c=0;while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;x=y;y=0;if(x&1){x=17;break}d=d+4|0;y=0;e=qa(342,k[d>>2]|0)|0;x=y;y=0;if(x&1){x=18;break}if(e|0){d=k[d>>2]|0;e=k[d>>2]|0;if((k[133]|0)!=(k[(k[e+-4>>2]|0)+4>>2]|0)){y=0;oa(k[e+44>>2]|0,d|0,a|0);x=y;y=0;if(x&1){x=18;break}}}c=c+1|0;if(c>>>0>=g>>>0){x=105;break}d=k[f>>2]|0}if((x|0)==17)c=pb()|0;else if((x|0)==18)c=pb()|0;else if((x|0)==105){DO(A);DO(B);r=z;return}break}y=0;c=qa(394,u|0)|0;q=y;y=0;if(q&1)x=10;else{if(!c){q=a+76|0;k[q>>2]=(k[q>>2]|0)+(k[b+56>>2]|0)}b:do if(i[(k[a+72>>2]|0)+20>>0]|0){h=j+64|0;c=j+8|0;k[c>>2]=15992;g=j+12|0;k[j>>2]=16032;k[h>>2]=16052;k[j+4>>2]=0;y=0;oa(528,j+64|0,g|0);q=y;y=0;if(q&1)c=pb()|0;else{k[j+136>>2]=0;k[j+140>>2]=-1;k[j>>2]=15972;k[h>>2]=16012;k[c>>2]=15992;y=0;na(433,g|0);q=y;y=0;do if(q&1)c=pb()|0;else{k[g>>2]=15832;e=j+44|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;k[e+12>>2]=0;k[j+60>>2]=24;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;oa(529,g|0,f|0);q=y;y=0;if(q&1){c=pb()|0;A9(f);A9(e);Xaa(g);break}A9(f);y=0;na(454,u|0);q=y;y=0;c:do if(q&1)c=pb()|0;else{p=k[b+24>>2]|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;q=IJ(p)|0;y=0;Na(74,w|0,p|0,q|0);q=y;y=0;if(q&1)c=pb()|0;else{k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,55435,1);q=y;y=0;if(q&1)c=pb()|0;else{y=0;na(436,d|0);q=y;y=0;do if(q&1)c=pb()|0;else{y=0;Ra(18,f|0,w|0,v|0,d|0);q=y;y=0;if(q&1){c=pb()|0;A9(d);break}A9(d);A9(v);A9(w);d=j+8|0;y=0;c=ta(47,d|0,48531,8)|0;q=y;y=0;d:do if(q&1)x=56;else{y=0;c=Ha(976,c|0,(k[b+12>>2]|0)+1|0)|0;q=y;y=0;if(q&1){x=56;break}y=0;c=ta(47,c|0,48597,2)|0;q=y;y=0;if(q&1){x=56;break}q=i[f+11>>0]|0;p=q<<24>>24<0;y=0;c=ta(47,c|0,(p?k[f>>2]|0:f)|0,(p?k[f+4>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){x=56;break}y=0;ta(47,c|0,50284,3)|0;q=y;y=0;if(q&1){x=56;break}y=0;oa(530,w|0,g|0);q=y;y=0;do if(q&1)c=pb()|0;else{y=0;oa(679,u|0,w|0);q=y;y=0;if(q&1){c=pb()|0;A9(w);break}A9(w);y=0;na(455,u|0);q=y;y=0;if(q&1){x=56;break d}A9(f);k[j>>2]=15972;k[h>>2]=16012;k[d>>2]=15992;k[g>>2]=15832;A9(e);Xaa(g);nla(j,16064);Vja(h);break b}while(0)}while(0);if((x|0)==56)c=pb()|0;A9(f);break c}while(0);A9(v)}A9(w)}}while(0);k[j>>2]=15972;k[h>>2]=16012;k[j+8>>2]=15992;k[g>>2]=15832;A9(e);Xaa(g);nla(j,16064);Vja(h);break a}while(0);nla(j,16064)}Vja(h);x=11;break a}while(0);c=k[B+4>>2]|0;if(c|0){y=0;oa(k[(k[c>>2]|0)+44>>2]|0,c|0,a|0);q=y;y=0;if(q&1){x=10;break}}q=A+4|0;y=0;oa(680,u|0,k[q>>2]|0);p=y;y=0;if(p&1)x=10;else{d=k[q>>2]|0;j=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>3;e:do if(j|0){l=w+4|0;m=s+4|0;n=t+4|0;o=v+11|0;p=v+4|0;c=0;f:while(1){d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;h=y;y=0;if(h&1){x=79;break}y=0;oa(460,w|0,k[d+4>>2]|0);h=y;y=0;if(h&1){x=79;break}k[w>>2]=6508;d=k[l>>2]|0;g:do if(!d)x=98;else if((k[133]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)){d=d+84|0;y=0;oa(460,s|0,k[d>>2]|0);h=y;y=0;if(h&1){x=81;break f}k[s>>2]=7284;y=0;e=qa(332,k[m>>2]|0)|0;h=y;y=0;if(h&1){x=82;break f}DO(s);if(e|0){y=0;oa(456,v|0,e+64|0);h=y;y=0;if(h&1){x=83;break f}do if((k[307]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)){if(i[e+60>>0]|0)break;h=i[o>>0]|0;h=((h<<24>>24<0?k[p>>2]|0:h&255)|0)==0;A9(v);if(h)break g;else{x=98;break g}}while(0);A9(v);x=98;break}y=0;oa(460,t|0,k[d>>2]|0);h=y;y=0;if(h&1){x=83;break f}k[t>>2]=7284;y=0;d=qa(336,k[n>>2]|0)|0;h=y;y=0;if(h&1){x=90;break f}DO(t);if(!d){x=98;break}h=d+60|0;g=(k[d+68>>2]|0)-(k[d+64>>2]|0)>>3;if(!g)break;e=0;f=1;do{y=0;d=Ha(k[(k[h>>2]|0)+16>>2]|0,h|0,e|0)|0;C=y;y=0;if(C&1){x=94;break f}d=k[d+4>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+84>>2]|0,d|0)|0;C=y;y=0;if(C&1){x=95;break f}f=f&d;e=e+1|0}while(e>>>0<g>>>0);if(!f)x=98}else x=98;while(0);if((x|0)==98){x=0;C=k[l>>2]|0;y=0;oa(k[(k[C>>2]|0)+44>>2]|0,C|0,a|0);C=y;y=0;if(C&1){x=80;break}}DO(w);c=c+1|0;if(c>>>0>=j>>>0)break e;d=k[q>>2]|0}if((x|0)==79){c=pb()|0;break a}else if((x|0)==80)c=pb()|0;else if((x|0)==81)c=pb()|0;else if((x|0)==82){c=pb()|0;DO(s)}else if((x|0)==83)c=pb()|0;else if((x|0)==90){c=pb()|0;DO(t)}else if((x|0)==94){c=pb()|0;x=96}else if((x|0)==95){c=pb()|0;x=96}DO(w);break a}while(0);y=0;c=qa(394,u|0)|0;C=y;y=0;if(C&1)x=10;else{if(!c){C=a+76|0;k[C>>2]=(k[C>>2]|0)-(k[b+56>>2]|0)}y=0;oa(681,u|0,k[q>>2]|0);C=y;y=0;if(C&1)x=10;else{DO(A);DO(B);r=z;return}}}}}}while(0);if((x|0)==10){c=pb()|0;x=11}DO(A)}DO(B);C=c;sb(C|0)}function ye(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;w=0;u=r;r=r+256|0;m=u+240|0;E=u+228|0;F=u+216|0;C=u+72|0;v=u+12|0;n=u;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;y=0;Na(74,F|0,87975,0);D=y;y=0;if(D&1){F=pb()|0;A9(E);sb(F|0)}D=C+64|0;c=C+8|0;k[c>>2]=15992;B=C+12|0;k[C>>2]=16032;k[D>>2]=16052;k[C+4>>2]=0;y=0;oa(528,C+64|0,B|0);A=y;y=0;a:do if(A&1){c=pb()|0;w=42}else{k[C+136>>2]=0;k[C+140>>2]=-1;k[C>>2]=15972;k[D>>2]=16012;k[c>>2]=15992;y=0;na(433,B|0);A=y;y=0;do if(A&1)c=pb()|0;else{k[B>>2]=15832;A=C+44|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;k[A+12>>2]=0;k[C+60>>2]=24;y=0;oa(529,B|0,a|0);z=y;y=0;if(z&1){c=pb()|0;A9(A);Xaa(B);break}x=v+8|0;z=v+24|0;c=z;a=c+36|0;do{k[c>>2]=0;c=c+4|0}while((c|0)<(a|0));t=v+4|0;j=v+20|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[t+12>>2]=0;i[t+16>>0]=0;y=0;Ha(1009,x|0,87975)|0;t=y;y=0;b:do if(t&1)w=45;else{y=0;Ha(1009,z|0,87975)|0;t=y;y=0;if(t&1)w=45;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,87975,0);t=y;y=0;c:do if(t&1){c=pb()|0;a=N}else{s=v+36|0;t=v+44|0;e=k[t>>2]|0;q=v+40|0;d=k[q>>2]|0;h=e-d>>2;p=v+52|0;a=k[p>>2]|0;o=v+56|0;c=k[o>>2]|0;do if((((h|0)==0?0:(h*341|0)+-1|0)|0)==(c+a|0)){y=0;na(465,s|0);h=y;y=0;if(h&1){c=pb()|0;a=N;A9(m);break c}else{c=k[o>>2]|0;a=k[p>>2]|0;e=k[t>>2]|0;d=k[q>>2]|0;break}}while(0);c=c+a|0;if((e|0)==(d|0))c=0;else c=(k[d+(((c>>>0)/341|0)<<2)>>2]|0)+(((c>>>0)%341|0)*12|0)|0;k[c>>2]=k[m>>2];k[c+4>>2]=k[m+4>>2];k[c+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[o>>2]=(k[o>>2]|0)+1;A9(m);k[v>>2]=b;a=E+11|0;d=E+4|0;e=m+11|0;b=m+4|0;d:while(1){if((i[a>>0]|0)<0){i[k[E>>2]>>0]=0;k[d>>2]=0}else{i[E>>0]=0;i[a>>0]=0}y=0;Na(151,m|0,C|0,1);h=y;y=0;if(h&1){w=44;break}f=k[C+(k[(k[C>>2]|0)+-12>>2]|0)+24>>2]|0;g=f+12|0;h=f+16|0;e:while(1){c=k[g>>2]|0;if((c|0)==(k[h>>2]|0)){y=0;c=qa(k[(k[f>>2]|0)+40>>2]|0,f|0)|0;G=y;y=0;if(G&1){w=43;break d}}else{k[g>>2]=c+1;c=l[c>>0]|0}switch(c|0){case 10:break e;case 13:{w=27;break e}case -1:{w=34;break e}default:{}}y=0;oa(458,E|0,c&255|0);G=y;y=0;if(G&1){w=43;break d}}do if((w|0)==27){w=0;c=k[g>>2]|0;if((c|0)==(k[h>>2]|0)){y=0;c=qa(k[(k[f>>2]|0)+36>>2]|0,f|0)|0;G=y;y=0;if(G&1){w=44;break d}}else c=l[c>>0]|0;if((c|0)==10){c=k[g>>2]|0;if((c|0)==(k[h>>2]|0)){y=0;qa(k[(k[f>>2]|0)+40>>2]|0,f|0)|0;G=y;y=0;if(G&1){w=44;break d}else break}else{k[g>>2]=c+1;break}}}else if((w|0)==34){w=0;G=i[a>>0]|0;if(!((G<<24>>24<0?k[d>>2]|0:G&255)|0)){G=C+(k[(k[C>>2]|0)+-12>>2]|0)|0;y=0;oa(532,G|0,k[G+16>>2]|2|0);G=y;y=0;if(G&1){w=44;break d}}}while(0);if(k[C+(k[(k[C>>2]|0)+-12>>2]|0)+16>>2]&7|0){w=53;break}y=0;Na(152,m|0,E|0,v|0);G=y;y=0;if(G&1){w=50;break}G=i[e>>0]|0;h=G<<24>>24<0;y=0;ta(41,F|0,(h?k[m>>2]|0:m)|0,(h?k[b>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){w=51;break}A9(m)}if((w|0)==43){c=pb()|0;a=N;w=46;break b}else if((w|0)==44){c=pb()|0;a=N;w=46;break b}else if((w|0)==50){c=pb()|0;a=N}else if((w|0)==51){c=pb()|0;a=N;A9(m)}else if((w|0)==53){k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,87975,0);G=y;y=0;if(G&1){w=45;break b}i[j>>0]=1;y=0;Na(152,m|0,n|0,v|0);G=y;y=0;do if(G&1){c=pb()|0;a=N}else{G=i[m+11>>0]|0;j=G<<24>>24<0;y=0;ta(41,F|0,(j?k[m>>2]|0:m)|0,(j?k[m+4>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){c=pb()|0;a=N;A9(m);break}A9(m);b=i[F+11>>0]|0;c=b<<24>>24<0;b=ud((c?k[F+4>>2]|0:b&255)+1|0)|0;gna(b,c?k[F>>2]|0:F)|0;A9(n);c=k[q>>2]|0;a=k[p>>2]|0;d=c+(((a>>>0)/341|0)<<2)|0;if((k[t>>2]|0)==(c|0)){e=0;c=0}else{e=(k[o>>2]|0)+a|0;e=(k[c+(((e>>>0)/341|0)<<2)>>2]|0)+(((e>>>0)%341|0)*12|0)|0;c=(k[d>>2]|0)+(((a>>>0)%341|0)*12|0)|0}f:while(1){do{if((c|0)==(e|0))break f;A9(c);c=c+12|0}while((c-(k[d>>2]|0)|0)!=4092);c=d+4|0;d=c;c=k[c>>2]|0}k[o>>2]=0;d=k[t>>2]|0;a=k[q>>2]|0;e=d-a>>2;c=a;if(e>>>0>2)do{cra(k[a>>2]|0);c=(k[q>>2]|0)+4|0;k[q>>2]=c;d=k[t>>2]|0;a=c;e=d-a>>2}while(e>>>0>2);switch(e|0){case 1:{k[p>>2]=170;break}case 2:{k[p>>2]=341;break}default:{}}do if((c|0)!=(d|0)){do{cra(k[c>>2]|0);c=c+4|0}while((c|0)!=(d|0));c=k[q>>2]|0;a=k[t>>2]|0;if((a|0)==(c|0))break;k[t>>2]=a+(~((a+-4-c|0)>>>2)<<2)}while(0);c=k[s>>2]|0;if(!c){A9(z);A9(x);k[C>>2]=15972;k[D>>2]=16012;G=C+8|0;k[G>>2]=15992;k[B>>2]=15832;A9(A);Xaa(B);nla(C,16064);Vja(D);A9(F);A9(E);r=u;return b|0}cra(c);A9(z);A9(x);k[C>>2]=15972;k[D>>2]=16012;G=C+8|0;k[G>>2]=15992;k[B>>2]=15832;A9(A);Xaa(B);nla(C,16064);Vja(D);A9(F);A9(E);r=u;return b|0}while(0);A9(n);break b}break b}while(0)}}while(0);if((w|0)==45){c=pb()|0;a=N;w=46}j=v+40|0;d=k[j>>2]|0;h=v+52|0;e=k[h>>2]|0;b=d+(((e>>>0)/341|0)<<2)|0;m=v+44|0;if((k[m>>2]|0)==(d|0)){f=0;g=v+56|0;d=0}else{g=v+56|0;f=(k[g>>2]|0)+e|0;f=(k[d+(((f>>>0)/341|0)<<2)>>2]|0)+(((f>>>0)%341|0)*12|0)|0;d=(k[b>>2]|0)+(((e>>>0)%341|0)*12|0)|0}g:while(1){do{if((d|0)==(f|0))break g;A9(d);d=d+12|0}while((d-(k[b>>2]|0)|0)!=4092);d=b+4|0;b=d;d=k[d>>2]|0}k[g>>2]=0;b=k[m>>2]|0;e=k[j>>2]|0;f=b-e>>2;d=e;if(f>>>0>2)do{cra(k[e>>2]|0);d=(k[j>>2]|0)+4|0;k[j>>2]=d;b=k[m>>2]|0;e=d;f=b-e>>2}while(f>>>0>2);switch(f|0){case 1:{k[h>>2]=170;break}case 2:{k[h>>2]=341;break}default:{}}if((d|0)!=(b|0)){do{cra(k[d>>2]|0);d=d+4|0}while((d|0)!=(b|0));a=k[j>>2]|0;d=k[m>>2]|0;if((d|0)!=(a|0))k[m>>2]=d+(~((d+-4-a|0)>>>2)<<2)}a=k[v+36>>2]|0;if(a|0)cra(a);A9(z);A9(x);k[C>>2]=15972;k[D>>2]=16012;k[C+8>>2]=15992;k[B>>2]=15832;A9(A);Xaa(B);nla(C,16064);Vja(D);break a}while(0);nla(C,16064);w=42}while(0);if((w|0)==42)Vja(D);A9(F);G=c;A9(E);sb(G|0);return 0}function ze(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;T=0;Q=r;r=r+112|0;U=Q+84|0;N=Q+56|0;S=Q+48|0;R=Q+32|0;P=Q+24|0;O=Q+16|0;M=Q;g=c+20|0;b=k[g>>2]|0;h=c+24|0;e=k[h>>2]|0;if(!e){if((k[b+20>>2]|0)>>>0>100)T=4}else{Dba(e);L=(k[b+20>>2]|0)>>>0>100;DY(e);if(L)T=4}if((T|0)==4){k[a>>2]=k[c>>2];k[a+4>>2]=k[c+4>>2];k[a+8>>2]=k[c+8>>2];b=a+12|0;LT(b,k[c+16>>2]|0);k[b>>2]=15136;k[a+20>>2]=k[g>>2];b=k[h>>2]|0;k[a+24>>2]=b;if(!b){r=Q;return}Dba(b);r=Q;return}jD(U);y=0;oa(507,U|0,c|0);L=y;y=0;a:do if(L&1){e=pb()|0;b=U+24|0}else{b=k[g>>2]|0;c=k[h>>2]|0;f=(c|0)==0;if(!f)Dba(c);L=k[b+4>>2]|0;e=k[b+16>>2]|0;l=L+(((e>>>0)/146|0)<<2)|0;if((k[b+8>>2]|0)==(L|0))j=0;else j=(k[l>>2]|0)+(((e>>>0)%146|0)*28|0)|0;if(!f)DY(c);c=k[g>>2]|0;f=k[h>>2]|0;g=(f|0)==0;if(!g)Dba(f);b=(k[c+16>>2]|0)+(k[c+20>>2]|0)|0;e=k[c+4>>2]|0;if((k[c+8>>2]|0)==(e|0))I=0;else I=(k[e+(((b>>>0)/146|0)<<2)>>2]|0)+(((b>>>0)%146|0)*28|0)|0;if(!g)DY(f);B=S+4|0;J=R+4|0;H=U+20|0;b=U+24|0;C=P+4|0;D=N+20|0;K=N+24|0;E=U+20|0;F=N+16|0;G=N+20|0;L=N+12|0;c=0;A=l;e=j;b:while(1){z=c;do{if((e|0)==(I|0)){T=22;break b}y=0;na(449,N|0);x=y;y=0;if(x&1){T=49;break b}i[N>>0]=i[e>>0]|0;w=e+20|0;f=k[w>>2]|0;x=e+24|0;g=k[x>>2]|0;h=(g|0)==0;if(!h)Dba(g);v=k[f+4>>2]|0;c=k[f+16>>2]|0;m=v+(((c>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(v|0))c=0;else c=(k[m>>2]|0)+(((c>>>0)%146|0)*28|0)|0;if(!h)DY(g);f=k[w>>2]|0;j=k[x>>2]|0;l=(j|0)==0;if(!l)Dba(j);g=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;h=k[f+4>>2]|0;if((k[f+8>>2]|0)==(h|0))v=0;else v=(k[h+(((g>>>0)/146|0)<<2)>>2]|0)+(((g>>>0)%146|0)*28|0)|0;if(l)u=m;else{DY(j);u=m}c:while(1){do{if((c|0)==(v|0))break c;y=0;f=qa(318,c|0)|0;t=y;y=0;if(t&1){T=68;break b}y=0;oa(460,S|0,f|0);t=y;y=0;if(t&1){T=68;break b}k[S>>2]=15136;if(d){f=k[B>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+116>>2]|0,f|0)|0;t=y;y=0;if(t&1){T=69;break b}}else f=0;y=0;oa(666,R|0,k[B>>2]|0);t=y;y=0;if(t&1){T=70;break b}g=k[R>>2]|0;if((g|0)!=(J|0))do{h=k[g+20>>2]|0;y=0;h=qa(k[(k[h>>2]|0)+116>>2]|0,h|0)|0;t=y;y=0;if(t&1){T=77;break b}f=f>>>0<h>>>0?h:f;h=k[g+4>>2]|0;if(!h)while(1){h=k[g+8>>2]|0;if((k[h>>2]|0)==(g|0)){g=h;break}else g=h}else{g=h;while(1){h=k[g>>2]|0;if(!h)break;else g=h}}}while((g|0)!=(J|0));g=k[H>>2]|0;j=k[b>>2]|0;l=(j|0)==0;if(!l)Dba(j);t=k[g+4>>2]|0;h=k[g+16>>2]|0;o=t+(((h>>>0)/146|0)<<2)|0;if((k[g+8>>2]|0)==(t|0))g=0;else g=(k[o>>2]|0)+(((h>>>0)%146|0)*28|0)|0;if(!l)DY(j);h=k[H>>2]|0;m=k[b>>2]|0;n=(m|0)==0;if(!n)Dba(m);j=(k[h+16>>2]|0)+(k[h+20>>2]|0)|0;l=k[h+4>>2]|0;if((k[h+8>>2]|0)==(l|0))t=0;else t=(k[l+(((j>>>0)/146|0)<<2)>>2]|0)+(((j>>>0)%146|0)*28|0)|0;if(n)s=o;else{DY(m);s=o}d:while(1){do{if((g|0)==(t|0)){T=121;break d}h=k[w>>2]|0;m=k[x>>2]|0;n=(m|0)==0;if(!n)Dba(m);o=g+20|0;j=k[o>>2]|0;p=g+24|0;l=k[p>>2]|0;if(!l)h=(h|0)==(j|0);else{Dba(l);DY(l);h=(h|0)==(j|0)}if(!n)DY(m);e:do if(!h){h=k[o>>2]|0;l=k[p>>2]|0;m=(l|0)==0;if(!m)Dba(l);n=k[h+4>>2]|0;j=k[h+16>>2]|0;q=n+(((j>>>0)/146|0)<<2)|0;if((k[h+8>>2]|0)==(n|0))h=0;else h=(k[q>>2]|0)+(((j>>>0)%146|0)*28|0)|0;if(!m)DY(l);m=k[o>>2]|0;n=k[p>>2]|0;o=(n|0)==0;if(!o)Dba(n);j=(k[m+16>>2]|0)+(k[m+20>>2]|0)|0;l=k[m+4>>2]|0;if((k[m+8>>2]|0)==(l|0))p=0;else p=(k[l+(((j>>>0)/146|0)<<2)>>2]|0)+(((j>>>0)%146|0)*28|0)|0;if(o)m=q;else{DY(n);m=q}while(1){do{if((h|0)==(p|0))break e;y=0;j=qa(318,h|0)|0;q=y;y=0;if(q&1){T=110;break b}y=0;oa(460,P|0,j|0);q=y;y=0;if(q&1){T=110;break b}k[P>>2]=15136;j=k[C>>2]|0;y=0;j=qa(k[(k[j>>2]|0)+116>>2]|0,j|0)|0;q=y;y=0;if(q&1){T=111;break b}if(j>>>0<f>>>0)DO(P);else{j=k[C>>2]|0;l=k[(k[j>>2]|0)+144>>2]|0;y=0;oa(460,O|0,k[B>>2]|0);q=y;y=0;if(q&1){T=111;break b}k[O>>2]=15136;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(74,M|0,87975,0);q=y;y=0;if(q&1){T=112;break b}y=0;j=ta(l|0,j|0,O|0,M|0)|0;q=y;y=0;if(q&1){T=113;break b}A9(M);DO(O);DO(P);if(j)break d}h=h+28|0}while((h-(k[m>>2]|0)|0)!=4088);h=m+4|0;m=h;h=k[h>>2]|0}}while(0);g=g+28|0}while((g-(k[s>>2]|0)|0)!=4088);g=s+4|0;s=g;g=k[g>>2]|0}do if((T|0)==121){T=0;f=k[D>>2]|0;g=k[K>>2]|0;h=(g|0)==0;if(!h)Dba(g);y=0;oa(522,f|0,c|0);t=y;y=0;if(t&1){T=126;break b}if(h)break;DY(g)}while(0);kH(R,k[J>>2]|0);DO(S);c=c+28|0}while((c-(k[u>>2]|0)|0)!=4088);c=u+4|0;u=c;c=k[c>>2]|0}c=k[E>>2]|0;j=k[b>>2]|0;l=(j|0)==0;if(!l)Dba(j);h=(k[c+16>>2]|0)+z|0;g=k[(k[c+4>>2]|0)+(((h>>>0)/146|0)<<2)>>2]|0;h=(h>>>0)%146|0;f=g+(h*28|0)|0;c=f|0;k[c>>2]=k[N>>2];k[c+4>>2]=k[N+4>>2];k[c+8>>2]=k[N+8>>2];c=f+12|0;f=f+16|0;if(k[f>>2]|0){y=0;na(423,c|0);x=y;y=0;if(x&1){T=138;break b}}k[f>>2]=k[F>>2];y=0;na(424,c|0);x=y;y=0;if(x&1){T=138;break b}c=k[G>>2]|0;f=k[K>>2]|0;if(f|0)Dba(f);x=g+(h*28|0)|0;k[x+20>>2]=c;x=x+24|0;c=k[x>>2]|0;k[x>>2]=f;if(c|0)DY(c);if(!l)DY(j);z=z+1|0;c=k[K>>2]|0;if(c|0)DY(c);DO(L);e=e+28|0}while((e-(k[A>>2]|0)|0)!=4088);e=A+4|0;c=z;A=e;e=k[e>>2]|0}switch(T|0){case 22:{k[a>>2]=k[U>>2];k[a+4>>2]=k[U+4>>2];k[a+8>>2]=k[U+8>>2];e=a+12|0;y=0;oa(460,e|0,k[U+16>>2]|0);T=y;y=0;if(T&1){e=pb()|0;break a}k[e>>2]=15136;k[a+20>>2]=k[H>>2];k[a+24>>2]=k[b>>2];k[H>>2]=0;k[b>>2]=0;DO(U+12|0);r=Q;return}case 49:{e=pb()|0;break a}case 68:{e=pb()|0;break}case 69:{e=pb()|0;T=131;break}case 70:{e=pb()|0;T=131;break}case 77:{e=pb()|0;T=130;break}case 110:{e=pb()|0;T=130;break}case 111:{e=pb()|0;T=117;break}case 112:{e=pb()|0;T=114;break}case 113:{e=pb()|0;A9(M);T=114;break}case 126:{e=pb()|0;if(h)T=130;else{DY(g);T=130}break}case 138:{e=pb()|0;if(!l)DY(j);break}}if((T|0)==114){DO(O);T=117}if((T|0)==117){DO(P);T=130}if((T|0)==130){kH(R,k[J>>2]|0);T=131}if((T|0)==131)DO(S);c=k[K>>2]|0;if(c|0)DY(c);DO(L)}while(0);b=k[b>>2]|0;if(!b){U=U+12|0;DO(U);sb(e|0)}DY(b);U=U+12|0;DO(U);sb(e|0)}function Ae(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0;s=0;p=r;r=r+96|0;t=p+80|0;q=p+72|0;l=p+64|0;g=p+56|0;f=p+48|0;o=p+40|0;n=p+32|0;m=p+24|0;h=p+16|0;j=p+8|0;e=p;d=cV(k[a+4>>2]|0)|0;cL(t,b+64|0);c=(i[b+84>>0]|0)!=0;do if(!(i[b+85>>0]|0)){if(!c){y=0;oa(460,e|0,k[b+80>>2]|0);o=y;y=0;if(o&1)c=pb()|0;else{k[e>>2]=7284;c=k[e+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;o=y;y=0;do if(o&1)s=126;else{y=0;oa(460,q|0,c|0);o=y;y=0;if(o&1)s=126;else{k[q>>2]=6336;y=0;Na(125,d|0,t|0,q|0);o=y;y=0;if(o&1){c=pb()|0;DO(q);break}DO(q);DO(e);A9(t);r=p;return 0}}while(0);if((s|0)==126)c=pb()|0;DO(e)}s=c;A9(t);sb(s|0)}y=0;c=Ha(1012,d|0,t|0)|0;l=y;y=0;if(!(l&1)){if(c){a:do if(!d)s=74;else{while(1){y=0;c=qa(377,d|0)|0;m=y;y=0;if(m&1){s=59;break}if(!c){s=74;break a}y=0;c=Ha(993,d|0,t|0)|0;m=y;y=0;if(m&1){s=59;break}if(c)break;c=k[d+12>>2]|0;if(!c){s=74;break a}else d=c}if((s|0)==59){c=pb()|0;break}y=0;c=Ha(1013,d|0,t|0)|0;m=y;y=0;if(m&1)s=60;else{y=0;oa(460,q|0,k[c+4>>2]|0);m=y;y=0;if(m&1)s=60;else{k[q>>2]=6336;c=k[q+4>>2]|0;b:do if(!c){c=gb(8)|0;y=0;oa(495,c|0,47608);p=y;y=0;if(p&1){p=pb()|0;fb(c|0);c=p;break}else{y=0;Na(75,c|0,5792,409);y=0;s=62;break}}else{y=0;c=qa(333,c|0)|0;m=y;y=0;if(m&1)s=62;else{if(!c)s=54;else if((k[c+56>>2]|0)==8)s=54;c:do if((s|0)==54){y=0;oa(460,n|0,k[b+80>>2]|0);b=y;y=0;if(b&1)c=pb()|0;else{k[n>>2]=7284;c=k[n+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)s=64;else{y=0;oa(460,o|0,c|0);b=y;y=0;if(b&1)s=64;else{k[o>>2]=6336;y=0;Na(124,d|0,t|0,o|0);b=y;y=0;if(b&1){c=pb()|0;DO(o);break}else{DO(o);DO(n);break c}}}while(0);if((s|0)==64)c=pb()|0;DO(n)}break b}while(0);DO(q);A9(t);r=p;return 0}}while(0);if((s|0)==62)c=pb()|0;DO(q);s=c;A9(t);sb(s|0)}}}while(0);do if((s|0)==74){c=gb(8)|0;y=0;oa(495,c|0,47608);s=y;y=0;if(!(s&1)){y=0;Na(75,c|0,5792,409);y=0;s=60;break}s=pb()|0;fb(c|0);A9(t);sb(s|0)}while(0);if((s|0)==60)c=pb()|0;s=c;A9(t);sb(s|0)}y=0;c=Ha(991,d|0,t|0)|0;n=y;y=0;if(!(n&1)){if(c){y=0;c=Ha(1011,d|0,t|0)|0;n=y;y=0;if(n&1)break;y=0;oa(460,o|0,k[c+4>>2]|0);n=y;y=0;if(n&1)break;k[o>>2]=6336;c=k[o+4>>2]|0;d:do if(c|0){y=0;c=qa(333,c|0)|0;n=y;y=0;if(n&1)c=pb()|0;else{if(c|0)if((k[c+56>>2]|0)!=8)break;y=0;oa(460,m|0,k[b+80>>2]|0);b=y;y=0;if(b&1)c=pb()|0;else{k[m>>2]=7284;c=k[m+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;b=y;y=0;do if(b&1)s=92;else{y=0;oa(460,q|0,c|0);b=y;y=0;if(b&1)s=92;else{k[q>>2]=6336;y=0;Na(123,d|0,t|0,q|0);b=y;y=0;if(b&1){c=pb()|0;DO(q);break}else{DO(q);DO(m);break d}}}while(0);if((s|0)==92)c=pb()|0;DO(m)}}DO(o);s=c;A9(t);sb(s|0)}while(0);DO(o);A9(t);r=p;return 0}y=0;c=qa(377,d|0)|0;o=y;y=0;if(!(o&1))if(c){y=0;oa(460,h|0,k[b+80>>2]|0);o=y;y=0;if(o&1)c=pb()|0;else{k[h>>2]=7284;c=k[h+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;o=y;y=0;do if(o&1)s=106;else{y=0;oa(460,q|0,c|0);o=y;y=0;if(o&1)s=106;else{k[q>>2]=6336;y=0;Na(124,d|0,t|0,q|0);o=y;y=0;if(o&1){c=pb()|0;DO(q);break}DO(q);DO(h);A9(t);r=p;return 0}}while(0);if((s|0)==106)c=pb()|0;DO(h)}s=c;A9(t);sb(s|0)}else{y=0;oa(460,j|0,k[b+80>>2]|0);o=y;y=0;if(o&1)c=pb()|0;else{k[j>>2]=7284;c=k[j+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;o=y;y=0;do if(o&1)s=116;else{y=0;oa(460,q|0,c|0);o=y;y=0;if(o&1)s=116;else{k[q>>2]=6336;y=0;Na(124,d|0,t|0,q|0);o=y;y=0;if(o&1){c=pb()|0;DO(q);break}DO(q);DO(j);A9(t);r=p;return 0}}while(0);if((s|0)==116)c=pb()|0;DO(j)}s=c;A9(t);sb(s|0)}}}}else{if(!c){y=0;oa(460,f|0,k[b+80>>2]|0);o=y;y=0;if(o&1)c=pb()|0;else{k[f>>2]=7284;c=k[f+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;o=y;y=0;do if(o&1)s=36;else{y=0;oa(460,q|0,c|0);o=y;y=0;if(o&1)s=36;else{k[q>>2]=6336;y=0;Na(123,d|0,t|0,q|0);o=y;y=0;if(o&1){c=pb()|0;DO(q);break}DO(q);DO(f);A9(t);r=p;return 0}}while(0);if((s|0)==36)c=pb()|0;DO(f)}s=c;A9(t);sb(s|0)}y=0;c=Ha(991,d|0,t|0)|0;o=y;y=0;if(!(o&1)){if(!c){y=0;oa(460,g|0,k[b+80>>2]|0);o=y;y=0;if(o&1)c=pb()|0;else{k[g>>2]=7284;c=k[g+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;o=y;y=0;do if(o&1)s=26;else{y=0;oa(460,q|0,c|0);o=y;y=0;if(o&1)s=26;else{k[q>>2]=6336;y=0;Na(123,d|0,t|0,q|0);o=y;y=0;if(o&1){c=pb()|0;DO(q);break}DO(q);DO(g);A9(t);r=p;return 0}}while(0);if((s|0)==26)c=pb()|0;DO(g)}s=c;A9(t);sb(s|0)}y=0;c=Ha(1011,d|0,t|0)|0;o=y;y=0;if(!(o&1)){y=0;c=qa(333,k[c+4>>2]|0)|0;o=y;y=0;if(!(o&1)){if(c|0)if((k[c+56>>2]|0)!=8){A9(t);r=p;return 0}y=0;oa(460,l|0,k[b+80>>2]|0);o=y;y=0;if(o&1)c=pb()|0;else{k[l>>2]=7284;c=k[l+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;o=y;y=0;do if(o&1)s=16;else{y=0;oa(460,q|0,c|0);o=y;y=0;if(o&1)s=16;else{k[q>>2]=6336;y=0;Na(123,d|0,t|0,q|0);o=y;y=0;if(o&1){c=pb()|0;DO(q);break}DO(q);DO(l);A9(t);r=p;return 0}}while(0);if((s|0)==16)c=pb()|0;DO(l)}s=c;A9(t);sb(s|0)}}}}while(0);s=pb()|0;A9(t);sb(s|0);return 0}function Be(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;K=0;z=r;r=r+352|0;o=z+40|0;g=z+328|0;h=z;J=z+320|0;f=z+280|0;m=z+264|0;E=z+256|0;j=z+216|0;q=z+208|0;D=z+200|0;p=z+160|0;t=z+152|0;u=z+144|0;s=z+136|0;C=z+128|0;v=z+120|0;B=z+112|0;w=z+104|0;A=z+96|0;x=z+80|0;c=b+20|0;e=k[c>>2]|0;d=b+24|0;b=k[d>>2]|0;if(!b)if(!(k[e+20>>2]|0)){K=0;r=z;return K|0}else{H=0;I=1;b=e}else{Dba(b);I=(k[e+20>>2]|0)==0;DY(b);if(I){K=0;r=z;return K|0}c=k[c>>2]|0;b=k[d>>2]|0;if(!b){H=0;I=1;b=c}else{Dba(b);H=b;I=0;b=c}}l=k[b+16>>2]|0;l=(k[(k[b+4>>2]|0)+(((l>>>0)/146|0)<<2)>>2]|0)+(((l>>>0)%146|0)*28|0)|0;F=k[a>>2]|0;b=k[F+20>>2]|0;F=k[F+24>>2]|0;G=(F|0)==0;if(!G)Dba(F);n=k[b+16>>2]|0;n=(k[(k[b+4>>2]|0)+(((n>>>0)/146|0)<<2)>>2]|0)+(((n>>>0)%146|0)*28|0)|0;y=0;d=qa(315,104)|0;a=y;y=0;if(a&1)b=pb()|0;else{y=0;Ra(14,f|0,48148,0,-1);a=y;y=0;do if(a&1)K=50;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,48155,4);a=y;y=0;if(a&1)K=50;else{e=h;b=f;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;oa(456,g|0,m|0);f=y;y=0;if(f&1)c=1;else{y=0;e=o;b=h;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));Na(85,d|0,o|0,g|0);h=y;y=0;if(h&1){b=pb()|0;A9(g);A9(m);K=52;break}A9(g);k[d>>2]=13792;y=0;oa(460,J|0,d|0);h=y;y=0;if(h&1)c=0;else{k[J>>2]=16812;A9(m);y=0;g=qa(315,108)|0;m=y;y=0;a:do if(m&1)K=53;else{y=0;Ra(14,j|0,48148,0,-1);m=y;y=0;do if(m&1)K=54;else{e=o;b=j;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));y=0;na(422,g|0);m=y;y=0;if(m&1)K=54;else{e=g+12|0;b=o;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g>>2]=13472;i[g+60>>0]=0;i[g+61>>0]=0;i[g+62>>0]=0;k[g+64>>2]=0;k[g+68>>2]=0;k[g+56>>2]=7;b=g+72|0;k[b>>2]=15096;a=g+76|0;f=g+80|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;y=0;oa(512,a|0,1);m=y;y=0;if(m&1){b=pb()|0;e=N;c=k[a>>2]|0;if(c|0){d=k[f>>2]|0;if((d|0)!=(c|0)){do{E=d+-8|0;k[f>>2]=E;lc[k[k[E>>2]>>2]&511](E);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[a>>2]|0}cra(c)}break}k[g>>2]=14880;k[b>>2]=15056;m=g+96|0;k[m>>2]=0;k[g+100>>2]=0;k[g+92>>2]=m;i[g+104>>0]=0;i[g+105>>0]=0;y=0;oa(460,E|0,g|0);m=y;y=0;if(m&1){K=53;break a}k[E>>2]=15152;a=E+4|0;b=k[a>>2]|0;c=b+76|0;y=0;oa(460,q|0,k[J+4>>2]|0);m=y;y=0;b:do if(m&1){b=pb()|0;K=61}else{k[q>>2]=16812;y=0;oa(460,o|0,k[q+4>>2]|0);m=y;y=0;do if(m&1)b=pb()|0;else{k[o>>2]=13284;d=b+80|0;e=k[d>>2]|0;do if(e>>>0<(k[b+84>>2]|0)>>>0){y=0;oa(460,e|0,k[o+4>>2]|0);m=y;y=0;if(m&1){K=59;break}k[e>>2]=13284;k[d>>2]=(k[d>>2]|0)+8}else{y=0;oa(519,c|0,o|0);m=y;y=0;if(m&1)K=59}while(0);if((K|0)==59){b=pb()|0;DO(o);break}DO(o);DO(q);y=0;d=qa(315,100)|0;q=y;y=0;if(q&1){b=pb()|0;break b}y=0;Ra(14,p|0,48148,0,-1);q=y;y=0;do if(q&1)K=62;else{y=0;oa(460,t|0,k[a>>2]|0);q=y;y=0;if(q&1){K=62;break}k[t>>2]=15152;y=0;oa(460,u|0,0);q=y;y=0;if(q&1){b=pb()|0;DO(t);break}k[u>>2]=15136;y=0;oa(460,s|0,0);q=y;y=0;if(q&1){b=pb()|0;c=1}else{k[s>>2]=7492;y=0;e=o;b=p;c=e+40|0;do{k[e>>2]=k[b>>2];e=e+4|0;b=b+4|0}while((e|0)<(c|0));ya(11,d|0,o|0,0,t|0,u|0,s|0);q=y;y=0;do if(q&1)b=1;else{y=0;oa(460,D|0,d|0);q=y;y=0;if(q&1){b=0;break}k[D>>2]=15136;DO(s);DO(u);DO(t);y=0;b=qa(318,l|0)|0;u=y;y=0;do if(u&1)K=68;else{y=0;oa(460,C|0,b|0);u=y;y=0;if(u&1){K=68;break}k[C>>2]=15136;c=C+4|0;b=k[c>>2]|0;e=D+4|0;y=0;oa(460,v|0,k[e>>2]|0);u=y;y=0;do if(u&1)K=69;else{k[v>>2]=15136;y=0;Na(82,b|0,v|0,0);u=y;y=0;if(u&1){b=pb()|0;DO(v);break}DO(v);y=0;b=qa(318,n|0)|0;v=y;y=0;if(v&1){K=69;break}y=0;oa(460,B|0,b|0);v=y;y=0;if(v&1){K=69;break}k[B>>2]=15136;d=B+4|0;b=k[d>>2]|0;y=0;oa(460,w|0,k[e>>2]|0);v=y;y=0;do if(v&1)K=71;else{k[w>>2]=15136;y=0;Na(82,b|0,w|0,0);v=y;y=0;if(v&1){b=pb()|0;DO(w);break}DO(w);b=k[c>>2]|0;c=k[(k[b>>2]|0)+144>>2]|0;y=0;oa(460,A|0,k[d>>2]|0);w=y;y=0;if(w&1){K=71;break}k[A>>2]=15136;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,87975,0);w=y;y=0;do if(w&1)b=pb()|0;else{y=0;b=ta(c|0,b|0,A|0,x|0)|0;w=y;y=0;if(w&1){b=pb()|0;A9(x);break}A9(x);DO(A);DO(B);DO(C);DO(D);DO(E);DO(J);if(!G)DY(F);if(I){K=b;r=z;return K|0}DY(H);K=b;r=z;return K|0}while(0);DO(A)}while(0);if((K|0)==71)b=pb()|0;DO(B)}while(0);if((K|0)==69)b=pb()|0;DO(C)}while(0);if((K|0)==68)b=pb()|0;DO(D);break b}while(0);D=pb()|0;DO(s);c=b;b=D}DO(u);DO(t);if(!c)break b}while(0);if((K|0)==62)b=pb()|0;cra(d);break b}while(0);DO(q);K=61}while(0);DO(E);break a}}while(0);if((K|0)==54)b=pb()|0;cra(g)}while(0);if((K|0)==53)b=pb()|0;DO(J);break}}b=pb()|0;A9(m);if(c)K=52}}while(0);if((K|0)==50){b=pb()|0;K=52}if((K|0)==52)cra(d)}if(!G)DY(F);if(I)sb(b|0);DY(H);sb(b|0);return 0}function Ce(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;u=0;n=r;r=r+192|0;q=n+180|0;w=n+168|0;v=n+24|0;h=n+12|0;m=n;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;x=v+64|0;c=v+8|0;k[c>>2]=15992;t=v+12|0;k[v>>2]=16032;k[x>>2]=16052;k[v+4>>2]=0;y=0;oa(528,v+64|0,t|0);s=y;y=0;if(s&1)c=pb()|0;else{k[v+136>>2]=0;k[v+140>>2]=-1;k[v>>2]=15972;k[x>>2]=16012;k[c>>2]=15992;y=0;na(433,t|0);s=y;y=0;do if(s&1)c=pb()|0;else{k[t>>2]=15832;o=v+44|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;k[o+12>>2]=0;k[v+60>>2]=24;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;oa(529,t|0,q|0);s=y;y=0;if(s&1){c=pb()|0;A9(q);A9(o);Xaa(t);break}A9(q);k[v+(k[(k[v>>2]|0)+-12>>2]|0)+8>>2]=12;s=v+8|0;j=b+64|0;y=0;Da(1,s|0,+(+p[j>>3]))|0;e=y;y=0;a:do if(e&1)u=21;else{y=0;oa(530,h|0,t|0);e=y;y=0;if(e&1)u=21;else{c=i[h+11>>0]|0;d=c<<24>>24<0;e=d?k[h>>2]|0:h;c=d?k[h+4>>2]|0:c&255;b:do if(!c)u=15;else{d=e+c|0;c=e;while(1){if((i[c>>0]|0)==101)break;c=c+1|0;if((c|0)==(d|0)){u=15;break b}}if((c|0)==(d|0))u=15;else{A9(h);if((c-e|0)!=-1){y=0;oa(532,v+(k[(k[v>>2]|0)+-12>>2]|0)|0,0);h=y;y=0;if(h&1){u=21;break a}k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;oa(529,t|0,q|0);h=y;y=0;if(h&1){c=pb()|0;A9(q);break a}else{A9(q);h=k[(k[a+72>>2]|0)+4>>2]|0;k[v+(k[(k[v>>2]|0)+-12>>2]|0)+8>>2]=(h|0)>12?h:12;h=s+(k[(k[s>>2]|0)+-12>>2]|0)+4|0;k[h>>2]=k[h>>2]&-261|4;y=0;Da(1,s|0,+(+p[j>>3]))|0;h=y;y=0;if(h&1){u=21;break a}else break}}}}while(0);if((u|0)==15)A9(h);y=0;oa(530,q|0,t|0);h=y;y=0;if(h&1)u=21;else{h=i[q+11>>0]|0;d=h<<24>>24<0;e=d?k[q>>2]|0:q;h=d?k[q+4>>2]|0:h&255;d=e+h|0;if(!h)h=-1;else{c=e;c:while(1){switch(i[c>>0]|0){case 44:case 46:break c;default:{}}c=c+1|0;if((c|0)==(d|0)){c=d;break}}h=(c|0)==(d|0)?-1:c-e|0}c=d;while(1){if((c|0)==(e|0)){e=-1;break}c=c+-1|0;if(!(aA(48660,l[c>>0]|0,1)|0)){u=30;break}}if((u|0)==30)e=c-e|0;c=(h|0)==-1|(e|0)==(h|0);y=0;oa(532,v+(k[(k[v>>2]|0)+-12>>2]|0)|0,0);d=y;y=0;d:do if(d&1)u=42;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;oa(529,t|0,m|0);d=y;y=0;if(d&1){c=pb()|0;A9(m);break}A9(m);e:do if(c){k[v+(k[(k[v>>2]|0)+-12>>2]|0)+8>>2]=0;h=s+(k[(k[s>>2]|0)+-12>>2]|0)+4|0;k[h>>2]=k[h>>2]&-261|4;y=0;Da(1,s|0,+(+p[j>>3]))|0;j=y;y=0;if(j&1){u=42;break d}y=0;oa(530,m|0,t|0);j=y;y=0;if(j&1){c=pb()|0;break d}c=w+11|0;if((i[c>>0]|0)<0){i[k[w>>2]>>0]=0;k[w+4>>2]=0}else{i[w>>0]=0;i[c>>0]=0}y=0;oa(500,w|0,0);j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}else{k[w>>2]=k[m>>2];k[w+4>>2]=k[m+4>>2];k[w+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;A9(m);f=c;g=w+4|0;break}}else{c=k[(k[a+72>>2]|0)+4>>2]|0;d=v+(k[(k[v>>2]|0)+-12>>2]|0)|0;if(e>>>0<(c+h|0)>>>0)k[d+8>>2]=e-h;else k[d+8>>2]=c;h=s+(k[(k[s>>2]|0)+-12>>2]|0)+4|0;k[h>>2]=k[h>>2]&-261|4;y=0;Da(1,s|0,+(+p[j>>3]))|0;j=y;y=0;if(j&1){u=42;break d}y=0;oa(530,m|0,t|0);j=y;y=0;if(j&1){c=pb()|0;break d}f=w+11|0;if((i[f>>0]|0)<0){i[k[w>>2]>>0]=0;k[w+4>>2]=0}else{i[w>>0]=0;i[f>>0]=0}y=0;oa(500,w|0,0);u=y;y=0;if(u&1){u=tb(0)|0;Sla(u)}k[w>>2]=k[m>>2];k[w+4>>2]=k[m+4>>2];k[w+8>>2]=k[m+8>>2];k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;A9(m);c=i[f>>0]|0;u=c<<24>>24<0;g=w+4|0;d=u?k[w>>2]|0:w;c=d+(u?k[g>>2]|0:c&255)|0;while(1){if((c|0)==(d|0)){u=59;break}c=c+-1|0;e=i[c>>0]|0;if(!(aA(48660,e&255,1)|0)){u=58;break}}do if((u|0)==58){c=c-d|0;if((c|0)==-1){u=59;break}switch(e<<24>>24){case 44:case 46:{c=c+1|0;break}default:{}}y=0;Na(90,w|0,c+1|0,0);j=y;y=0;if(!(j&1))break e;c=pb()|0}while(0);if((u|0)==59){y=0;Ha(1009,w|0,48662)|0;j=y;y=0;if(!(j&1))break;c=pb()|0}break d}while(0);d=i[f>>0]|0;c=k[g>>2]|0;do if(((d<<24>>24<0?c:d&255)|0)==3){y=0;c=sa(21,w|0,0,-1,48662,3)|0;j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}if(!c){y=0;Ha(1009,w|0,48660)|0;j=y;y=0;if(j&1){u=42;break d}else break}else{d=i[f>>0]|0;c=k[g>>2]|0;u=73;break}}else u=73;while(0);f:do if((u|0)==73){do if(!((d<<24>>24<0?c:d&255)|0)){y=0;c=sa(21,w|0,0,-1,87975,0)|0;j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}if(!c){y=0;Ha(1009,w|0,48660)|0;j=y;y=0;if(j&1){u=42;break d}else break f}else{d=i[f>>0]|0;c=k[g>>2]|0;break}}while(0);do if(((d<<24>>24<0?c:d&255)|0)==2){y=0;c=sa(21,w|0,0,-1,48666,2)|0;j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}if(!c){y=0;Ha(1009,w|0,48660)|0;j=y;y=0;if(j&1){u=42;break d}else break f}else{d=i[f>>0]|0;c=k[g>>2]|0;break}}while(0);do if(((d<<24>>24<0?c:d&255)|0)==4){y=0;c=sa(21,w|0,0,-1,48669,4)|0;j=y;y=0;if(j&1){j=tb(0)|0;Sla(j)}if(c|0)break;y=0;Ha(1009,w|0,48660)|0;j=y;y=0;if(j&1){u=42;break d}else break f}while(0);if((k[k[a+72>>2]>>2]|0)!=3)break;c=(i[f>>0]|0)<0?k[w>>2]|0:w;d=(i[c>>0]|0)==45;e=d&1;if(!(i[b+72>>0]|0))break;if((i[c+e>>0]|0)!=48)break;if((i[c+(d?2:1)>>0]|0)!=46)break;y=0;ta(42,w|0,e|0,1)|0;j=y;y=0;if(!(j&1))break;c=pb()|0;break d}while(0);y=0;oa(453,m|0,b|0);j=y;y=0;do if(j&1)c=pb()|0;else{j=i[m+11>>0]|0;h=j<<24>>24<0;y=0;ta(41,w|0,(h?k[m>>2]|0:m)|0,(h?k[m+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){c=pb()|0;A9(m);break}A9(m);y=0;Na(147,a+4|0,w|0,b|0);u=y;y=0;if(u&1){u=42;break d}A9(q);k[v>>2]=15972;k[x>>2]=16012;k[s>>2]=15992;k[t>>2]=15832;A9(o);Xaa(t);nla(v,16064);Vja(x);A9(w);r=n;return}while(0)}while(0);if((u|0)==42)c=pb()|0;A9(q)}}}while(0);if((u|0)==21)c=pb()|0;k[v>>2]=15972;k[x>>2]=16012;k[s>>2]=15992;k[t>>2]=15832;A9(o);Xaa(t);nla(v,16064);Vja(x);x=c;A9(w);sb(x|0)}while(0);nla(v,16064)}Vja(x);x=c;A9(w);sb(x|0)}function De(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0;i=0;j=r;r=r+16|0;b=j;h=j+8|0;c=j+4|0;k[h>>2]=a;do if(a>>>0<212){a=$M(25204,25396,h,b)|0;a=k[a>>2]|0}else{if(a>>>0>4294967291){a=gb(8)|0;y=0;oa(495,a|0,55447);j=y;y=0;if(j&1){j=pb()|0;fb(a|0);sb(j|0)}else{k[a>>2]=29276;Wb(a|0,5840,409)}}g=(a>>>0)/210|0;e=g*210|0;k[c>>2]=a-e;d=($M(25396,25588,c,b)|0)-25396>>2;a=0;f=d;e=(k[25396+(d<<2)>>2]|0)+e|0;a:while(1){b=5;while(1){if(b>>>0>=47){d=211;i=12;break}c=k[25204+(b<<2)>>2]|0;d=(e>>>0)/(c>>>0)|0;if(d>>>0<c>>>0){i=111;break a}if((e|0)==(aa(d,c)|0))break;else b=b+1|0}b:do if((i|0)==12){c:while(1){i=0;b=(e>>>0)/(d>>>0)|0;do if(b>>>0<d>>>0){b=d;c=1;a=e}else if((e|0)==(aa(b,d)|0)){b=d;c=9}else{b=d+10|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+12|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+16|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+18|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+22|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else if((e|0)==(aa(c,b)|0))c=9;else{b=d+28|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e}else{if((e|0)==(aa(c,b)|0)){c=9;break}b=d+30|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+36|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+40|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+42|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+46|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+52|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+58|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+60|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+66|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+70|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+72|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+78|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+82|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+88|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+96|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+100|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+102|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+106|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+108|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+112|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+120|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+126|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+130|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+136|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+138|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+142|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+148|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+150|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+156|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+162|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+166|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+168|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+172|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+178|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+180|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+186|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+190|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+192|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+196|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+198|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}if((e|0)==(aa(c,b)|0)){c=9;break}b=d+208|0;c=(e>>>0)/(b>>>0)|0;if(c>>>0<b>>>0){c=1;a=e;break}c=(e|0)==(aa(c,b)|0);b=c?b:d+210|0;c=c?9:0}}}}}}}while(0);switch(c&15){case 9:break b;case 0:{d=b;i=12;break}default:break c}}if(c){i=112;break a}}while(0);d=f+1|0;c=(d|0)==48;e=(c&1)+g|0;d=c?0:d;f=d;g=e;e=(k[25396+(d<<2)>>2]|0)+(e*210|0)|0}if((i|0)==111){k[h>>2]=e;a=e;break}else if((i|0)==112){k[h>>2]=e;break}}while(0);r=j;return a|0}function Ee(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D=0;C=r;r=r+256|0;n=C+40|0;m=C;w=C+240|0;x=C+228|0;z=C+216|0;A=C+176|0;d=C+136|0;g=C+112|0;E=C+128|0;B=C+104|0;p=C+96|0;u=C+88|0;v=C+80|0;F=b+152|0;G=k[F>>2]|0;t=G+1|0;k[F>>2]=t;if(t>>>0>512){f=gb(76)|0;c=d;h=b+108|0;l=c+40|0;do{k[c>>2]=k[h>>2];c=c+4|0;h=h+4|0}while((c|0)<(l|0));y=0;oa(456,g|0,80932);E=y;y=0;if(E&1)d=pb()|0;else{y=0;c=n;h=d;l=c+40|0;do{k[c>>2]=k[h>>2];c=c+4|0;h=h+4|0}while((c|0)<(l|0));Ra(24,f|0,n|0,g|0,0);E=y;y=0;if(E&1)e=1;else{y=0;Na(75,f|0,2912,175);y=0;e=0}d=pb()|0;A9(g);if(!e){E=d;k[F>>2]=G;sb(E|0)}}fb(f|0);E=d;k[F>>2]=G;sb(E|0)}s=b+76|0;y=0;d=qa(343,k[s>>2]|0)|0;t=y;y=0;a:do if(!(t&1)){t=b+80|0;if((d|0)==0?1:d>>>0>(k[t>>2]|0)>>>0)d=k[s>>2]|0;y=0;e=qa(344,d|0)|0;q=y;y=0;if(!(q&1)){d=e|0?e:d;b:do switch(i[d>>0]|0){case 41:case 58:case 123:case 125:case 59:{d=d+1|0;break}default:{y=0;e=qa(345,d|0)|0;q=y;y=0;if(q&1)break a;if(!e){e=i[48600]|0;if(e<<24>>24){f=d;g=48600;while(1){if((i[f>>0]|0)!=e<<24>>24)break;f=f+1|0;g=g+1|0;e=i[g>>0]|0;if(!(e<<24>>24)){d=f;break b}}y=0;e=qa(353,d|0)|0;q=y;y=0;if(q&1)break a;if(!e){y=0;d=qa(354,d|0)|0;q=y;y=0;if(q&1)break a}else d=e}}else d=e}}while(0);if(!((d|0)==0?1:d>>>0>(k[t>>2]|0)>>>0)){y=0;j=qa(315,88)|0;E=y;y=0;if(E&1)break;c=m;h=b+108|0;l=c+40|0;do{k[c>>2]=k[h>>2];c=c+4|0;h=h+4|0}while((c|0)<(l|0));y=0;na(422,j|0);E=y;y=0;if(E&1)d=pb()|0;else{c=j+12|0;h=m;l=c+40|0;do{k[c>>2]=k[h>>2];c=c+4|0;h=h+4|0}while((c|0)<(l|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;d=j+56|0;k[d>>2]=0;k[j>>2]=9288;e=j+60|0;k[e>>2]=9248;c=j+64|0;h=j+68|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;y=0;oa(514,c|0,0);E=y;y=0;if(!(E&1)){k[j>>2]=9076;k[e>>2]=9208;k[j+80>>2]=1;i[j+84>>0]=0;i[j+85>>0]=0;k[d>>2]=5;y=0;oa(460,a|0,j|0);E=y;y=0;if(E&1)break;k[a>>2]=7284;k[F>>2]=G;r=C;return}d=pb()|0;g=N;e=k[c>>2]|0;if(e|0){f=k[h>>2]|0;if((f|0)!=(e|0)){do{E=f+-8|0;k[h>>2]=E;lc[k[k[E>>2]>>2]&511](E);f=k[h>>2]|0}while((f|0)!=(e|0));e=k[c>>2]|0}cra(e)}}cra(j);E=d;k[F>>2]=G;sb(E|0)}y=0;oa(573,E|0,b|0);q=y;y=0;if(!(q&1)){y=0;d=qa(343,k[s>>2]|0)|0;q=y;y=0;c:do if(q&1)D=44;else{if((d|0)==0?1:d>>>0>(k[t>>2]|0)>>>0)d=k[s>>2]|0;y=0;e=qa(344,d|0)|0;q=y;y=0;if(q&1)D=44;else{q=e|0?e:d;q=(i[q>>0]|0)==44?q+1|0:0;d:do if((q|0)==0?1:q>>>0>(k[t>>2]|0)>>>0){d=E+4|0;if(!c){D=k[d>>2]|0;y=0;oa(k[(k[D>>2]|0)+100>>2]|0,D|0,0);D=y;y=0;if(D&1){D=44;break c}}y=0;oa(460,a|0,k[d>>2]|0);D=y;y=0;if(D&1){D=44;break c}k[a>>2]=7284}else{y=0;j=qa(315,88)|0;q=y;y=0;if(q&1){D=44;break c}q=b+108|0;c=n;h=q;l=c+40|0;do{k[c>>2]=k[h>>2];c=c+4|0;h=h+4|0}while((c|0)<(l|0));y=0;na(422,j|0);o=y;y=0;do if(o&1)d=pb()|0;else{c=j+12|0;h=n;l=c+40|0;do{k[c>>2]=k[h>>2];c=c+4|0;h=h+4|0}while((c|0)<(l|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;d=j+56|0;k[d>>2]=0;k[j>>2]=9288;e=j+60|0;k[e>>2]=9248;c=j+64|0;h=j+68|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;y=0;oa(514,c|0,2);o=y;y=0;if(o&1){d=pb()|0;g=N;e=k[c>>2]|0;if(e|0){f=k[h>>2]|0;if((f|0)!=(e|0)){do{C=f+-8|0;k[h>>2]=C;lc[k[k[C>>2]>>2]&511](C);f=k[h>>2]|0}while((f|0)!=(e|0));e=k[c>>2]|0}cra(e)}break}k[j>>2]=9076;k[e>>2]=9208;k[j+80>>2]=0;i[j+84>>0]=0;i[j+85>>0]=0;k[d>>2]=5;y=0;oa(460,B|0,j|0);o=y;y=0;if(o&1){D=44;break c}k[B>>2]=7172;o=B+4|0;d=(k[o>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,p|0,k[E+4>>2]|0);n=y;y=0;do if(n&1)D=81;else{k[p>>2]=7284;y=0;oa(e|0,d|0,p|0);n=y;y=0;if(n&1){d=pb()|0;DO(p);break}DO(p);j=b+156|0;m=b+84|0;n=b+96|0;e:while(1){k[w>>2]=k[j>>2];k[w+4>>2]=k[j+4>>2];k[w+8>>2]=k[j+8>>2];e=k[s>>2]|0;k[x>>2]=k[m>>2];k[x+4>>2]=k[m+4>>2];k[x+8>>2]=k[m+8>>2];k[z>>2]=k[n>>2];k[z+4>>2]=k[n+4>>2];k[z+8>>2]=k[n+8>>2];c=A;h=q;l=c+40|0;do{k[c>>2]=k[h>>2];c=c+4|0;h=h+4|0}while((c|0)<(l|0));y=0;ta(53,b|0,1,0)|0;p=y;y=0;if(p&1){D=80;break}y=0;d=ta(54,b|0,1,0)|0;p=y;y=0;if(p&1){D=80;break}if(!d){D=63;break}y=0;d=qa(343,k[s>>2]|0)|0;p=y;y=0;if(p&1){D=80;break}if((d|0)==0?1:d>>>0>(k[t>>2]|0)>>>0)d=k[s>>2]|0;y=0;e=qa(344,d|0)|0;p=y;y=0;if(p&1){D=80;break}d=e|0?e:d;f:do switch(i[d>>0]|0){case 41:case 58:case 123:case 125:case 59:{d=d+1|0;break}default:{y=0;e=qa(345,d|0)|0;p=y;y=0;if(p&1){D=80;break e}if(e|0){d=e;break f}e=i[48600]|0;if(!(e<<24>>24))break f;else{f=d;g=48600}while(1){if((i[f>>0]|0)!=e<<24>>24)break;f=f+1|0;g=g+1|0;e=i[g>>0]|0;if(!(e<<24>>24)){d=f;break f}}y=0;e=qa(353,d|0)|0;p=y;y=0;if(p&1){D=80;break e}if(e|0){d=e;break f}y=0;d=qa(354,d|0)|0;p=y;y=0;if(p&1){D=80;break e}}}while(0);if(!((d|0)==0?1:d>>>0>(k[t>>2]|0)>>>0))break;d=(k[o>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(573,u|0,b|0);p=y;y=0;if(p&1){D=80;break}y=0;oa(e|0,d|0,u|0);p=y;y=0;if(p&1){D=87;break}DO(u)}if((D|0)==63){c=q;h=A;l=c+40|0;do{k[c>>2]=k[h>>2];c=c+4|0;h=h+4|0}while((c|0)<(l|0));k[j>>2]=k[w>>2];k[j+4>>2]=k[w+4>>2];k[j+8>>2]=k[w+8>>2];k[s>>2]=e;k[n>>2]=k[z>>2];k[n+4>>2]=k[z+4>>2];k[n+8>>2]=k[z+8>>2];k[m>>2]=k[x>>2];k[m+4>>2]=k[x+4>>2];k[m+8>>2]=k[x+8>>2]}else if((D|0)==80){d=pb()|0;D=82;break}else if((D|0)==87){d=pb()|0;DO(u);break}y=0;oa(460,v|0,k[o>>2]|0);b=y;y=0;if(b&1){D=81;break}k[v>>2]=7172;y=0;oa(460,a|0,k[v+4>>2]|0);b=y;y=0;if(b&1){d=pb()|0;DO(v);break}else{k[a>>2]=7284;DO(v);DO(B);break d}}while(0);if((D|0)==81){d=pb()|0;D=82}DO(B);break c}while(0);cra(j);break c}while(0);DO(E);k[F>>2]=G;r=C;return}}while(0);if((D|0)==44)d=pb()|0;DO(E);E=d;k[F>>2]=G;sb(E|0)}}}while(0);E=pb()|0;k[F>>2]=G;sb(E|0)}function Fe(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;y=0;z=r;r=r+16|0;x=z;a:while(1){s=b;w=b+-12|0;t=b+-24|0;u=w+11|0;v=b+-8|0;while(1){b:while(1){q=a;d=s-q|0;switch((d|0)/12|0|0){case 2:{y=5;break a}case 3:{y=11;break a}case 4:{y=12;break a}case 5:{y=13;break a}case 1:case 0:{y=114;break a}default:{}}if((d|0)<84){y=15;break a}e=(d>>>0)/24|0;l=a+(e*12|0)|0;if((d|0)>11988){d=(d>>>0)/48|0;d=bk(a,a+(d*12|0)|0,l,l+(d*12|0)|0,w,c)|0}else d=Zj(a,l,w,c)|0;o=a+11|0;n=i[o>>0]|0;m=n<<24>>24<0;p=a+4|0;n=m?k[p>>2]|0:n&255;j=i[l+11>>0]|0;f=j<<24>>24<0;j=f?k[a+(e*12|0)+4>>2]|0:j&255;e=j>>>0<n>>>0?j:n;if(!e)y=21;else{e=bN(m?k[a>>2]|0:a,f?k[l>>2]|0:l,e)|0;if(!e)y=21;else if((e|0)<0){e=w;break}}if((y|0)==21){y=0;if(n>>>0<j>>>0){e=w;break}}if((a|0)!=(t|0))if(f){f=w;e=t;while(1){h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[f+-8>>2]|0:h&255;f=j>>>0<h>>>0?j:h;if(!f)y=28;else{f=bN(g?k[e>>2]|0:e,k[l>>2]|0,f)|0;if(!f)y=28;else if((f|0)<0){y=76;break b}}if((y|0)==28){y=0;if(h>>>0<j>>>0){y=76;break b}}f=e+-12|0;if((a|0)==(f|0))break;else{h=e;e=f;f=h}}}else{f=w;e=t;while(1){h=i[e+11>>0]|0;g=h<<24>>24<0;h=g?k[f+-8>>2]|0:h&255;f=j>>>0<h>>>0?j:h;if(!f)y=73;else{f=bN(g?k[e>>2]|0:e,l,f)|0;if(!f)y=73;else if((f|0)<0){y=76;break b}}if((y|0)==73){y=0;if(h>>>0<j>>>0){y=76;break b}}f=e+-12|0;if((a|0)==(f|0))break;else{h=e;e=f;f=h}}}d=a+12|0;g=i[u>>0]|0;f=g<<24>>24<0;g=f?k[v>>2]|0:g&255;e=g>>>0<n>>>0?g:n;if(!e)y=32;else{e=bN(m?k[a>>2]|0:a,f?k[w>>2]|0:w,e)|0;if(!e)y=32;else if((e|0)>=0)y=34}if((y|0)==32){y=0;if(n>>>0>=g>>>0)y=34}if((y|0)==34){y=0;if((d|0)==(w|0)){y=114;break a}c:do if(m)while(1){g=i[d+11>>0]|0;f=g<<24>>24<0;g=f?k[d+4>>2]|0:g&255;e=g>>>0<n>>>0?g:n;if(!e)y=39;else{e=bN(k[a>>2]|0,f?k[d>>2]|0:d,e)|0;if(!e)y=39;else if((e|0)<0)break c}if((y|0)==39){y=0;if(n>>>0<g>>>0)break c}d=d+12|0;if((d|0)==(w|0)){y=114;break a}}else while(1){g=i[d+11>>0]|0;f=g<<24>>24<0;g=f?k[d+4>>2]|0:g&255;e=g>>>0<n>>>0?g:n;if(!e)y=43;else{e=bN(a,f?k[d>>2]|0:d,e)|0;if(!e)y=43;else if((e|0)<0)break c}if((y|0)==43){y=0;if(n>>>0<g>>>0)break c}d=d+12|0;if((d|0)==(w|0)){y=114;break a}}while(0);k[x>>2]=k[d>>2];k[x+4>>2]=k[d+4>>2];k[x+8>>2]=k[d+8>>2];k[d>>2]=k[w>>2];k[d+4>>2]=k[w+4>>2];k[d+8>>2]=k[w+8>>2];k[w>>2]=k[x>>2];k[w+4>>2]=k[x+4>>2];k[w+8>>2]=k[x+8>>2];d=d+12|0}if((d|0)==(w|0)){y=114;break a}e=w;while(1){l=i[o>>0]|0;j=l<<24>>24<0;l=j?k[p>>2]|0:l&255;d:do if(j)while(1){h=i[d+11>>0]|0;g=h<<24>>24<0;h=g?k[d+4>>2]|0:h&255;f=h>>>0<l>>>0?h:l;if(!f)y=53;else{f=bN(k[a>>2]|0,g?k[d>>2]|0:d,f)|0;if(!f)y=53;else if((f|0)<0)break d}if((y|0)==53){y=0;if(l>>>0<h>>>0)break d}d=d+12|0}else while(1){h=i[d+11>>0]|0;g=h<<24>>24<0;h=g?k[d+4>>2]|0:h&255;f=h>>>0<l>>>0?h:l;if(!f)y=57;else{f=bN(a,g?k[d>>2]|0:d,f)|0;if(!f)y=57;else if((f|0)<0)break d}if((y|0)==57){y=0;if(l>>>0<h>>>0)break d}d=d+12|0}while(0);e:do if(j)while(1){h=e+-12|0;g=i[h+11>>0]|0;f=g<<24>>24<0;g=f?k[e+-8>>2]|0:g&255;e=g>>>0<l>>>0?g:l;if(e|0){e=bN(k[a>>2]|0,f?k[h>>2]|0:h,e)|0;if(e|0)if((e|0)<0){e=h;continue}else{e=h;break e}}if(l>>>0<g>>>0)e=h;else{e=h;break}}else while(1){h=e+-12|0;g=i[h+11>>0]|0;f=g<<24>>24<0;g=f?k[e+-8>>2]|0:g&255;e=g>>>0<l>>>0?g:l;if(e|0){e=bN(a,f?k[h>>2]|0:h,e)|0;if(e|0)if((e|0)<0){e=h;continue}else{e=h;break e}}if(l>>>0<g>>>0)e=h;else{e=h;break}}while(0);if(d>>>0>=e>>>0){a=d;continue b}k[x>>2]=k[d>>2];k[x+4>>2]=k[d+4>>2];k[x+8>>2]=k[d+8>>2];k[d>>2]=k[e>>2];k[d+4>>2]=k[e+4>>2];k[d+8>>2]=k[e+8>>2];k[e>>2]=k[x>>2];k[e+4>>2]=k[x+4>>2];k[e+8>>2]=k[x+8>>2];d=d+12|0}}if((y|0)==76){y=0;k[x>>2]=k[a>>2];k[x+4>>2]=k[a+4>>2];k[x+8>>2]=k[a+8>>2];k[a>>2]=k[e>>2];k[a+4>>2]=k[e+4>>2];k[a+8>>2]=k[e+8>>2];k[e>>2]=k[x>>2];k[e+4>>2]=k[x+4>>2];k[e+8>>2]=k[x+8>>2];d=d+1|0}f=a+12|0;f:do if(f>>>0<e>>>0){n=l;while(1){m=i[n+11>>0]|0;l=m<<24>>24<0;m=l?k[n+4>>2]|0:m&255;g:do if(l)while(1){j=i[f+11>>0]|0;h=j<<24>>24<0;j=h?k[f+4>>2]|0:j&255;g=m>>>0<j>>>0?m:j;if(!g)y=82;else{g=bN(h?k[f>>2]|0:f,k[n>>2]|0,g)|0;if(!g)y=82;else if((g|0)>=0)break g}if((y|0)==82){y=0;if(j>>>0>=m>>>0)break g}f=f+12|0}else while(1){j=i[f+11>>0]|0;h=j<<24>>24<0;j=h?k[f+4>>2]|0:j&255;g=m>>>0<j>>>0?m:j;if(!g)y=86;else{g=bN(h?k[f>>2]|0:f,n,g)|0;if(!g)y=86;else if((g|0)>=0)break g}if((y|0)==86){y=0;if(j>>>0>=m>>>0)break g}f=f+12|0}while(0);h:do if(l)while(1){j=e+-12|0;h=i[j+11>>0]|0;g=h<<24>>24<0;h=g?k[e+-8>>2]|0:h&255;e=m>>>0<h>>>0?m:h;if(e|0){e=bN(g?k[j>>2]|0:j,k[n>>2]|0,e)|0;if(e|0)if((e|0)<0){e=j;break h}else{e=j;continue}}if(h>>>0<m>>>0){e=j;break}else e=j}else while(1){j=e+-12|0;h=i[j+11>>0]|0;g=h<<24>>24<0;h=g?k[e+-8>>2]|0:h&255;e=m>>>0<h>>>0?m:h;if(e|0){e=bN(g?k[j>>2]|0:j,n,e)|0;if(e|0)if((e|0)<0){e=j;break h}else{e=j;continue}}if(h>>>0<m>>>0){e=j;break}else e=j}while(0);if(f>>>0>e>>>0){e=n;m=f;break f}k[x>>2]=k[f>>2];k[x+4>>2]=k[f+4>>2];k[x+8>>2]=k[f+8>>2];k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[e>>2]=k[x>>2];k[e+4>>2]=k[x+4>>2];k[e+8>>2]=k[x+8>>2];n=(n|0)==(f|0)?e:n;f=f+12|0;d=d+1|0}}else{e=l;m=f}while(0);do if((m|0)!=(e|0)){j=i[e+11>>0]|0;g=j<<24>>24<0;j=g?k[e+4>>2]|0:j&255;l=i[m+11>>0]|0;h=l<<24>>24<0;l=h?k[m+4>>2]|0:l&255;f=l>>>0<j>>>0?l:j;if(!f)y=103;else{f=bN(g?k[e>>2]|0:e,h?k[m>>2]|0:m,f)|0;if(!f)y=103;else if((f|0)<0)f=m;else break}if((y|0)==103){y=0;if(j>>>0>=l>>>0)break;f=m}k[x>>2]=k[f>>2];k[x+4>>2]=k[f+4>>2];k[x+8>>2]=k[f+8>>2];k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[e>>2]=k[x>>2];k[e+4>>2]=k[x+4>>2];k[e+8>>2]=k[x+8>>2];d=d+1|0}while(0);if(!d){d=di(a,m,c)|0;e=m+12|0;if(di(e,b,c)|0){y=113;break}if(d){a=e;continue}}p=m;if((p-q|0)>=(s-p|0)){y=112;break}Fe(a,m,c);a=m+12|0}if((y|0)==112){y=0;Fe(m+12|0,b,c);b=m;continue}else if((y|0)==113){y=0;if(d){y=114;break}else{b=m;continue}}}if((y|0)==5){f=i[u>>0]|0;e=f<<24>>24<0;f=e?k[v>>2]|0:f&255;g=i[a+11>>0]|0;d=g<<24>>24<0;g=d?k[a+4>>2]|0:g&255;b=g>>>0<f>>>0?g:f;if(!b)y=7;else{b=bN(e?k[w>>2]|0:w,d?k[a>>2]|0:a,b)|0;if(!b)y=7;else if((b|0)>=0){r=z;return}}do if((y|0)==7)if(f>>>0<g>>>0)break;else{r=z;return}while(0);k[x>>2]=k[a>>2];k[x+4>>2]=k[a+4>>2];k[x+8>>2]=k[a+8>>2];k[a>>2]=k[w>>2];k[a+4>>2]=k[w+4>>2];k[a+8>>2]=k[w+8>>2];k[w>>2]=k[x>>2];k[w+4>>2]=k[x+4>>2];k[w+8>>2]=k[x+8>>2];r=z;return}else if((y|0)==11){Zj(a,a+12|0,w,c)|0;r=z;return}else if((y|0)==12){sm(a,a+12|0,a+24|0,w,c)|0;r=z;return}else if((y|0)==13){bk(a,a+12|0,a+24|0,a+36|0,w,c)|0;r=z;return}else if((y|0)==15){wm(a,b,c);r=z;return}else if((y|0)==114){r=z;return}}function Ge(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;o=0;B=r;r=r+192|0;A=B+152|0;z=B+140|0;v=B+128|0;w=B+48|0;d=B+88|0;g=B+32|0;D=B+24|0;C=B+16|0;q=B+8|0;x=B;E=b+152|0;F=k[E>>2]|0;u=F+1|0;k[E>>2]=u;if(u>>>0>512){f=gb(76)|0;l=d;m=b+108|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;oa(456,g|0,80932);D=y;y=0;if(D&1)d=pb()|0;else{y=0;l=A;m=d;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Ra(24,f|0,A|0,g|0,0);D=y;y=0;if(D&1)e=1;else{y=0;Na(75,f|0,2912,175);y=0;e=0}d=pb()|0;A9(g);if(!e){D=d;k[E>>2]=F;sb(D|0)}}fb(f|0);D=d;k[E>>2]=F;sb(D|0)}y=0;oa(460,D|0,0);u=y;y=0;if(u&1){D=pb()|0;k[E>>2]=F;sb(D|0)}k[D>>2]=15136;y=0;d=qa(315,112)|0;u=y;y=0;do if(u&1)o=27;else{t=b+108|0;y=0;l=A;m=t;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));Na(80,d|0,A|0,0);u=y;y=0;if(u&1){C=pb()|0;cra(d);d=C;break}y=0;oa(460,C|0,d|0);u=y;y=0;if(u&1)o=27;else{k[C>>2]=6756;u=C+4|0;k[(k[u>>2]|0)+64>>2]=k[b+68>>2];s=b+76|0;y=0;d=qa(343,k[s>>2]|0)|0;p=y;y=0;a:do if(p&1)o=33;else{l=b+80|0;if((d|0)==0?1:d>>>0>(k[l>>2]|0)>>>0)d=k[s>>2]|0;y=0;e=qa(344,d|0)|0;p=y;y=0;if(p&1)o=33;else{e=e|0?e:d;y=0;d=qa(345,e|0)|0;p=y;y=0;if(p&1)o=33;else{if(!d){p=i[e>>0]|0;d=e+1|0;p=p<<24>>24|0;d=(p|0)!=123?((p|0)==44?d:0):d}b:do if(!((d|0)==0?1:d>>>0>(k[l>>2]|0)>>>0)){k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,43044,11);p=y;y=0;if(p&1)d=pb()|0;else{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(74,z|0,43056,7);p=y;y=0;if(p&1)d=pb()|0;else{k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,43064,25);p=y;y=0;do if(p&1)d=pb()|0;else{y=0;ma(10,b|0,A|0,z|0,v|0,1);p=y;y=0;if(p&1){d=pb()|0;A9(v);break}else{A9(v);A9(z);A9(A);break b}}while(0);A9(z)}A9(A)}break a}while(0);p=D+4|0;j=A+4|0;c:while(1){y=0;d=qa(346,k[s>>2]|0)|0;o=y;y=0;if(o&1){o=32;break}if(d){y=0;d=qa(343,k[s>>2]|0)|0;o=y;y=0;if(o&1){o=32;break}if((d|0)==0?1:d>>>0>(k[l>>2]|0)>>>0)d=k[s>>2]|0;y=0;e=qa(344,d|0)|0;o=y;y=0;if(o&1){o=32;break}h=e|0?e:d;h=(i[h>>0]|0)==123?h+1|0:0;h=(h|0)==0?1:h>>>0>(k[l>>2]|0)>>>0}else h=0;while(1){y=0;d=qa(343,k[s>>2]|0)|0;o=y;y=0;if(o&1){o=31;break c}if((d|0)==0?1:d>>>0>(k[l>>2]|0)>>>0)d=k[s>>2]|0;y=0;e=qa(344,d|0)|0;o=y;y=0;if(o&1){o=31;break c}g=e|0?e:d;e=i[35556]|0;d:do if(!(e<<24>>24))d=0;else{d=i[g>>0]|0;f=35556;while(1){if(d<<24>>24==e<<24>>24)break d;f=f+1|0;e=i[f>>0]|0;if(!(e<<24>>24)){d=0;break}}}while(0);o=d<<24>>24?g+1|0:0;if(!((o|0)==0?1:o>>>0>(k[l>>2]|0)>>>0)){o=90;break c}y=0;Na(107,A|0,b|0,c|0);o=y;y=0;if(o&1){o=67;break c}if(k[p>>2]|0){y=0;na(423,D|0);o=y;y=0;if(o&1){o=68;break c}}k[p>>2]=k[j>>2];k[j>>2]=0;DO(A);d=k[p>>2]|0;if(!d){o=63;break c}i[d+60>>0]=h&1;f=0;g=0;while(1){y=0;d=qa(343,k[s>>2]|0)|0;o=y;y=0;if(o&1){o=30;break c}if((d|0)==0?1:d>>>0>(k[l>>2]|0)>>>0)d=k[s>>2]|0;y=0;e=qa(344,d|0)|0;o=y;y=0;if(o&1){o=30;break c}o=e|0?e:d;o=(i[o>>0]|0)==44?o+1|0:0;if((o|0)==0?1:o>>>0>(k[l>>2]|0)>>>0)break;y=0;ta(53,b|0,0,0)|0;o=y;y=0;if(o&1){o=30;break c}y=0;d=ta(54,b|0,1,0)|0;o=y;y=0;if(o&1){o=30;break c}f=(d|0)!=0;do if(!(g<<24>>24)){y=0;d=qa(346,k[s>>2]|0)|0;o=y;y=0;if(o&1){o=30;break c}if(!d){d=0;break}y=0;d=qa(343,k[s>>2]|0)|0;o=y;y=0;if(o&1){o=30;break c}if((d|0)==0?1:d>>>0>(k[l>>2]|0)>>>0)d=k[s>>2]|0;y=0;e=qa(344,d|0)|0;o=y;y=0;if(o&1){o=30;break c}d=e|0?e:d;d=(i[d>>0]|0)==123?d+1|0:0;d=(d|0)==0?1:d>>>0>(k[l>>2]|0)>>>0}else d=1;while(0);g=d&1}d=(k[u>>2]|0)+72|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,q|0,k[p>>2]|0);o=y;y=0;if(o&1){o=31;break c}k[q>>2]=15136;y=0;oa(e|0,d|0,q|0);o=y;y=0;if(o&1){o=97;break c}DO(q);if(!f){o=90;break c}if(!(g<<24>>24))continue c;else h=1}}if((o|0)==30){d=pb()|0;o=34;break}else if((o|0)==31){d=pb()|0;o=34;break}else if((o|0)==32){d=pb()|0;o=34;break}else if((o|0)==63){d=k[u>>2]|0;if(!d)d=0;else i[d+8>>0]=1;y=0;oa(460,a|0,d|0);A=y;y=0;if(A&1){o=33;break}k[a>>2]=6756;DO(C);DO(D);k[E>>2]=F;r=B;return}else if((o|0)==67)d=pb()|0;else if((o|0)==68){d=pb()|0;DO(A)}else if((o|0)==90){g=b+156|0;h=b+84|0;j=b+96|0;while(1){k[A>>2]=k[g>>2];k[A+4>>2]=k[g+4>>2];k[A+8>>2]=k[g+8>>2];e=k[s>>2]|0;k[z>>2]=k[h>>2];k[z+4>>2]=k[h+4>>2];k[z+8>>2]=k[h+8>>2];k[v>>2]=k[j>>2];k[v+4>>2]=k[j+4>>2];k[v+8>>2]=k[j+8>>2];l=w;m=t;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;ta(53,b|0,1,0)|0;c=y;y=0;if(c&1){o=29;break}y=0;d=ta(55,b|0,1,0)|0;c=y;y=0;if(c&1){o=29;break}f=(d|0)==0;if(f){l=t;m=w;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));k[g>>2]=k[A>>2];k[g+4>>2]=k[A+4>>2];k[g+8>>2]=k[A+8>>2];k[s>>2]=e;k[j>>2]=k[v>>2];k[j+4>>2]=k[v+4>>2];k[j+8>>2]=k[v+8>>2];k[h>>2]=k[z>>2];k[h+4>>2]=k[z+4>>2];k[h+8>>2]=k[z+8>>2]}d=k[u>>2]|0;if(f)break;i[d+62>>0]=1}if((o|0)==29){d=pb()|0;o=34;break}y=0;oa(568,d|0,t|0);A=y;y=0;if(A&1){o=33;break}d=k[p>>2]|0;if(d|0){y=0;oa(560,x|0,d|0);A=y;y=0;if(A&1){o=33;break}i[(k[x+4>>2]|0)+61>>0]=0;DO(x)}d=k[u>>2]|0;if(!d)d=0;else i[d+8>>0]=1;y=0;oa(460,a|0,d|0);A=y;y=0;if(A&1){o=33;break}k[a>>2]=6756;DO(C);DO(D);k[E>>2]=F;r=B;return}else if((o|0)==97){d=pb()|0;DO(q);break}}}}while(0);if((o|0)==33){d=pb()|0;o=34}DO(C)}}while(0);if((o|0)==27)d=pb()|0;DO(D);D=d;k[E>>2]=F;sb(D|0)}function He(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,m=0.0,n=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0;P=0;R=r;r=r+304|0;J=R+16|0;K=R+8|0;L=R+33|0;M=R;O=R+32|0;if((k[a+76>>2]|0)>-1)Q=kra(a)|0;else Q=0;f=i[b>>0]|0;a:do if(!(f<<24>>24))b=0;else{z=a+4|0;A=a+100|0;B=a+108|0;C=a+8|0;D=L+10|0;E=L+33|0;y=K+4|0;F=L+46|0;G=L+94|0;H=L+1|0;I=L+1|0;n=b;v=0;b=0;e=0;d=0;b:while(1){c:do if(!(Pma(f&255)|0)){f=f<<24>>24==37;d:do if(f){g=n+1|0;h=i[g>>0]|0;e:do switch(h<<24>>24){case 37:break d;case 42:{x=0;g=n+2|0;break}default:{f=(h&255)+-48|0;if(f>>>0<10)if((i[n+2>>0]|0)==36){k[J>>2]=k[c>>2];while(1){x=(k[J>>2]|0)+(4-1)&~(4-1);g=k[x>>2]|0;k[J>>2]=x+4;if(f>>>0>1)f=f+-1|0;else break}x=g;g=n+3|0;break e}w=(k[c>>2]|0)+(4-1)&~(4-1);x=k[w>>2]|0;k[c>>2]=w+4}}while(0);n=i[g>>0]|0;f=n&255;if((f+-48|0)>>>0<10){h=0;do{h=(h*10|0)+-48+f|0;g=g+1|0;n=i[g>>0]|0;f=n&255}while((f+-48|0)>>>0<10)}else h=0;if(n<<24>>24==109){n=g+1|0;f=(x|0)!=0&1;e=0;d=0;g=n;n=i[n>>0]|0}else f=0;q=g+1|0;switch(n<<24>>24){case 104:{w=(i[q>>0]|0)==104;n=w?-2:-1;g=w?g+2|0:q;break}case 108:{w=(i[q>>0]|0)==108;n=w?3:1;g=w?g+2|0:q;break}case 106:{n=3;g=q;break}case 116:case 122:{n=1;g=q;break}case 76:{n=2;g=q;break}case 110:case 112:case 67:case 83:case 91:case 99:case 115:case 88:case 71:case 70:case 69:case 65:case 103:case 102:case 101:case 97:case 120:case 117:case 111:case 105:case 100:{n=0;break}default:{P=154;break b}}t=l[g>>0]|0;u=(t&47|0)==3;t=u?t|32:t;u=u?1:n;s=t&255;switch(s<<24>>24){case 99:{h=(h|0)<1?1:h;break}case 91:break;case 110:{if(!x){h=v;break c}switch(u|0){case -2:{i[x>>0]=v;h=v;break c}case -1:{j[x>>1]=v;h=v;break c}case 0:{k[x>>2]=v;h=v;break c}case 1:{k[x>>2]=v;h=v;break c}case 3:{h=x;k[h>>2]=v;k[h+4>>2]=((v|0)<0)<<31>>31;h=v;break c}default:{h=v;break c}}}default:{_O(a,0);do{n=k[z>>2]|0;if(n>>>0<(k[A>>2]|0)>>>0){k[z>>2]=n+1;n=l[n>>0]|0}else n=eC(a)|0}while((Pma(n)|0)!=0);if(!(k[A>>2]|0))n=k[z>>2]|0;else{n=(k[z>>2]|0)+-1|0;k[z>>2]=n}v=(k[B>>2]|0)+v+n-(k[C>>2]|0)|0}}_O(a,h);n=k[z>>2]|0;q=k[A>>2]|0;if(n>>>0<q>>>0)k[z>>2]=n+1;else{if((eC(a)|0)<0){P=154;break b}q=k[A>>2]|0}if(q|0)k[z>>2]=(k[z>>2]|0)+-1;f:do switch(s<<24>>24){case 91:case 99:case 115:{w=(t|0)==99;g:do if((t|16|0)==115){kK(H|0,-1,256)|0;i[L>>0]=0;if((t|0)==115){i[E>>0]=0;i[D>>0]=0;i[D+1>>0]=0;i[D+2>>0]=0;i[D+3>>0]=0;i[D+4>>0]=0}}else{s=g+1|0;t=(i[s>>0]|0)==94;n=t&1;g=t?g+2|0:s;kK(I|0,t&1|0,256)|0;i[L>>0]=0;switch(i[g>>0]|0){case 45:{t=(n^1)&255;i[F>>0]=t;g=g+1|0;break}case 93:{t=(n^1)&255;i[G>>0]=t;g=g+1|0;break}default:t=(n^1)&255}while(1){n=i[g>>0]|0;h:do switch(n<<24>>24){case 0:{P=154;break b}case 93:break g;case 45:{s=g+1|0;n=i[s>>0]|0;switch(n<<24>>24){case 93:case 0:{n=45;break h}default:{}}g=i[g+-1>>0]|0;if((g&255)<(n&255)){g=g&255;do{g=g+1|0;i[L+g>>0]=t;n=i[s>>0]|0}while((g|0)<(n&255|0));g=s}else g=s;break}default:{}}while(0);i[L+((n&255)+1)>>0]=t;g=g+1|0}}while(0);n=w?h+1|0:31;t=(u|0)==1;u=(f|0)!=0;i:do if(t){if(u){e=ud(n<<2)|0;if(!e){d=0;P=154;break b}}else e=x;k[K>>2]=0;k[y>>2]=0;s=n;d=0;j:while(1){q=(e|0)==0;do{k:while(1){n=k[z>>2]|0;if(n>>>0<(k[A>>2]|0)>>>0){k[z>>2]=n+1;n=l[n>>0]|0}else n=eC(a)|0;if(!(i[L+(n+1)>>0]|0))break j;i[O>>0]=n;switch(tx(M,O,1,K)|0){case -1:{d=0;P=154;break b}case -2:break;default:break k}}if(!q){k[e+(d<<2)>>2]=k[M>>2];d=d+1|0}}while(!(u&(d|0)==(s|0)));d=s<<1|1;n=tH(e,d<<2)|0;if(!n){d=0;P=154;break b}else{q=s;s=d;e=n;d=q}}if(!(kka(K)|0)){d=0;P=154;break b}else{q=d;d=0}}else{if(u){d=ud(n)|0;if(!d){d=0;e=0;P=154;break b}else{q=n;e=0}while(1){do{n=k[z>>2]|0;if(n>>>0<(k[A>>2]|0)>>>0){k[z>>2]=n+1;n=l[n>>0]|0}else n=eC(a)|0;if(!(i[L+(n+1)>>0]|0)){q=e;e=0;break i}i[d+e>>0]=n;e=e+1|0}while((e|0)!=(q|0));e=q<<1|1;n=tH(d,e)|0;if(!n){e=0;P=154;break b}else{s=q;q=e;d=n;e=s}}}if(!x){e=q;while(1){d=k[z>>2]|0;if(d>>>0<e>>>0){k[z>>2]=d+1;d=l[d>>0]|0}else d=eC(a)|0;if(!(i[L+(d+1)>>0]|0)){q=0;d=0;e=0;break i}e=k[A>>2]|0}}else{n=0;e=q;while(1){d=k[z>>2]|0;if(d>>>0<e>>>0){k[z>>2]=d+1;d=l[d>>0]|0}else d=eC(a)|0;if(!(i[L+(d+1)>>0]|0)){q=n;d=x;e=0;break i}i[x+n>>0]=d;n=n+1|0;e=k[A>>2]|0}}}while(0);if(!(k[A>>2]|0))n=k[z>>2]|0;else{n=(k[z>>2]|0)+-1|0;k[z>>2]=n}n=n-(k[C>>2]|0)+(k[B>>2]|0)|0;if(!n)break b;if(!((n|0)==(h|0)|w^1))break b;do if(u)if(t){k[x>>2]=e;break}else{k[x>>2]=d;break}while(0);if(!w){if(e|0)k[e+(q<<2)>>2]=0;if(!d){d=0;break f}i[d+q>>0]=0}break}case 120:case 88:case 112:{h=16;P=136;break}case 111:{h=8;P=136;break}case 117:case 100:{h=10;P=136;break}case 105:{h=0;P=136;break}case 71:case 103:case 70:case 102:case 69:case 101:case 65:case 97:{m=+Ld(a,u,0);if((k[B>>2]|0)==((k[C>>2]|0)-(k[z>>2]|0)|0))break b;if(x)switch(u|0){case 0:{o[x>>2]=m;break f}case 1:{p[x>>3]=m;break f}case 2:{p[x>>3]=m;break f}default:break f}break}default:{}}while(0);l:do if((P|0)==136){P=0;h=Og(a,h,0,-1,-1)|0;if((k[B>>2]|0)==((k[C>>2]|0)-(k[z>>2]|0)|0))break b;if((x|0)!=0&(t|0)==112){k[x>>2]=h;break}if(x)switch(u|0){case -2:{i[x>>0]=h;break l}case -1:{j[x>>1]=h;break l}case 0:{k[x>>2]=h;break l}case 1:{k[x>>2]=h;break l}case 3:{w=x;k[w>>2]=h;k[w+4>>2]=N;break l}default:break l}}while(0);b=((x|0)!=0&1)+b|0;h=(k[B>>2]|0)+v+(k[z>>2]|0)-(k[C>>2]|0)|0;break c}while(0);g=n+(f&1)|0;_O(a,0);f=k[z>>2]|0;if(f>>>0<(k[A>>2]|0)>>>0){k[z>>2]=f+1;f=l[f>>0]|0}else f=eC(a)|0;if((f|0)!=(l[g>>0]|0)){P=22;break b}h=v+1|0}else{g=n;while(1){f=g+1|0;if(!(Pma(l[f>>0]|0)|0))break;else g=f}_O(a,0);do{f=k[z>>2]|0;if(f>>>0<(k[A>>2]|0)>>>0){k[z>>2]=f+1;f=l[f>>0]|0}else f=eC(a)|0}while((Pma(f)|0)!=0);if(!(k[A>>2]|0))f=k[z>>2]|0;else{f=(k[z>>2]|0)+-1|0;k[z>>2]=f}h=(k[B>>2]|0)+v+f-(k[C>>2]|0)|0}while(0);n=g+1|0;f=i[n>>0]|0;if(!(f<<24>>24))break a;else v=h}if((P|0)==22){if(k[A>>2]|0)k[z>>2]=(k[z>>2]|0)+-1;if((b|0)!=0|(f|0)>-1)break;else{f=0;b=e;P=155}}else if((P|0)==154)if(!b){b=e;P=155}if((P|0)==155){e=b;b=-1}if(f){Wf(d);Wf(e)}}while(0);if(Q|0)jra(a);r=R;return b|0}function Ie(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0.0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;C=0;x=r;r=r+192|0;t=x+40|0;w=x;B=x+168|0;A=x+152|0;z=x+96|0;o=x+176|0;s=x+160|0;q=x+144|0;u=x+104|0;v=x+80|0;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;aI(t,39457,5);y=0;b=Ha(975,a|0,t|0)|0;p=y;y=0;if(!(p&1)){b=k[b+4>>2]|0;if(!b)b=0;else b=(k[229]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;oa(460,B|0,b|0);p=y;y=0;if(!(p&1)){k[B>>2]=16764;A9(t);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;Na(74,t|0,39457,5);p=y;y=0;do if(p&1){b=pb()|0;C=33}else{y=0;b=Ha(975,a|0,t|0)|0;p=y;y=0;if(!(p&1)){y=0;b=qa(336,k[b+4>>2]|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(460,A|0,b|0);p=y;y=0;if(!(p&1)){k[A>>2]=7172;A9(t);k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(74,w|0,39572,6);p=y;y=0;do if(p&1){b=pb()|0;C=36}else{y=0;h=t;l=e;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));b=sa(27,w|0,a|0,d|0,t|0,f|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(460,z|0,b|0);p=y;y=0;if(!(p&1)){k[z>>2]=7284;A9(w);p=A+4|0;a:do if(!(k[p>>2]|0)){y=0;n=qa(315,88)|0;m=y;y=0;b:do if(m&1)C=38;else{h=t;l=e;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));y=0;na(422,n|0);m=y;y=0;do if(m&1)b=pb()|0;else{h=n+12|0;l=t;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;b=n+56|0;k[b>>2]=0;k[n>>2]=9288;c=n+60|0;k[c>>2]=9248;l=n+64|0;m=n+68|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;y=0;oa(514,l|0,1);h=y;y=0;if(h&1){b=pb()|0;h=N;c=k[l>>2]|0;if(c|0){g=k[m>>2]|0;if((g|0)!=(c|0)){do{e=g+-8|0;k[m>>2]=e;lc[k[k[e>>2]>>2]&511](e);g=k[m>>2]|0}while((g|0)!=(c|0));c=k[l>>2]|0}cra(c)}break}k[n>>2]=9076;k[c>>2]=9208;k[n+80>>2]=1;i[n+84>>0]=0;i[n+85>>0]=0;k[b>>2]=5;y=0;oa(460,w|0,n|0);n=y;y=0;if(n&1){C=38;break b}k[w>>2]=7172;do if(k[p>>2]|0){y=0;na(423,A|0);n=y;y=0;if(!(n&1))break;b=pb()|0;DO(w);break b}while(0);c=w+4|0;k[p>>2]=k[c>>2];k[c>>2]=0;DO(w);c=(k[p>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(74,w|0,39457,5);n=y;y=0;if(n&1)b=pb()|0;else{y=0;h=t;l=e;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));b=sa(27,w|0,a|0,d|0,t|0,f|0)|0;f=y;y=0;do if(f&1)C=44;else{y=0;oa(460,o|0,b|0);f=y;y=0;if(f&1){C=44;break}k[o>>2]=7284;y=0;oa(g|0,c|0,o|0);f=y;y=0;if(f&1){b=pb()|0;DO(o);break}else{DO(o);A9(w);C=48;break a}}while(0);if((C|0)==44)b=pb()|0;A9(w)}break a}while(0);cra(n)}while(0);if((C|0)==38)b=pb()|0}else C=48;while(0);c:do if((C|0)==48){b=k[B+4>>2]|0;d:do if(b|0){y=0;Na(101,t|0,b|0,e|0);f=y;y=0;e:do if(f&1)b=pb()|0;else{do if(k[p>>2]|0){y=0;na(423,A|0);f=y;y=0;if(!(f&1))break;b=pb()|0;DO(t);break e}while(0);f=t+4|0;k[p>>2]=k[f>>2];k[f>>2]=0;DO(t);break d}while(0);break c}while(0);c=k[p>>2]|0;g=(k[c+68>>2]|0)-(k[c+64>>2]|0)>>3;f:do if(g|0){h=z+4|0;b=0;while(1){y=0;Na(100,s|0,c|0,b|0);f=y;y=0;if(f&1){C=65;break}y=0;oa(460,q|0,k[h>>2]|0);f=y;y=0;if(f&1){C=68;break}k[q>>2]=7284;y=0;c=Ha(985,s|0,q|0)|0;f=y;y=0;if(f&1){C=69;break}DO(q);DO(s);if(c){C=62;break}b=b+1|0;if(b>>>0>=g>>>0)break f;c=k[p>>2]|0}do if((C|0)==62){y=0;c=qa(315,104)|0;w=y;y=0;if(w&1){b=pb()|0;C=67;break}h=u;l=e;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{j=+((b+1|0)>>>0);y=0;h=t;l=u;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));Ca(1,c|0,t|0,+j,v|0,1);e=y;y=0;if(e&1){b=pb()|0;A9(v);break}A9(v);C=c;DO(z);DO(A);DO(B);r=x;return C|0}while(0);cra(c);break c}else if((C|0)==65){b=pb()|0;C=67}else if((C|0)==68){b=pb()|0;C=70}else if((C|0)==69){b=pb()|0;DO(q);C=70}while(0);if((C|0)==67)break c;else if((C|0)==70){DO(s);break c}}while(0);y=0;b=qa(315,60)|0;v=y;y=0;if(v&1){b=pb()|0;break}h=w;l=e;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));y=0;na(422,b|0);e=y;y=0;if(e&1){e=pb()|0;cra(b);b=e;break}h=b+12|0;l=w;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=12584;k[b+56>>2]=8;C=b;DO(z);DO(A);DO(B);r=x;return C|0}while(0);DO(z);break}}b=pb()|0;A9(w);C=36}while(0);DO(A);break}}}b=pb()|0;A9(t);C=33}while(0);DO(B);C=b;sb(C|0)}}C=pb()|0;A9(t);sb(C|0);return 0}function Je(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0.0,j=0,l=0,m=0,n=0,o=0.0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;A=0;B=r;r=r+96|0;H=B+84|0;F=B+72|0;D=B+60|0;C=B+48|0;u=B+36|0;t=B+24|0;x=B+12|0;v=B;k[H>>2]=0;G=H+4|0;k[G>>2]=0;k[H+8>>2]=0;k[F>>2]=0;E=F+4|0;k[E>>2]=0;k[F+8>>2]=0;y=0;oa(455,D|0,b+76|0);z=y;y=0;if(z&1)e=pb()|0;else{y=0;oa(455,C|0,b+88|0);z=y;y=0;if(z&1){e=pb()|0;g=N}else{j=k[a+76>>2]|0;s=k[a+80>>2]|0;f=(j|0)==(s|0);if(f)z=(k[a+88>>2]|0)==(k[a+92>>2]|0);else z=0;if((k[b+76>>2]|0)==(k[b+80>>2]|0))w=(k[b+88>>2]|0)==(k[b+92>>2]|0);else w=0;a:do if(f){h=1.0;A=39}else{p=D+4|0;q=H+8|0;h=1.0;b:while(1){y=0;oa(456,u|0,j|0);j=j+12|0;n=y;y=0;if(n&1){A=17;break}f=k[D>>2]|0;m=k[p>>2]|0;l=f;c:do if((l|0)==(m|0))A=33;else{while(1){y=0;oa(456,t|0,l|0);n=y;y=0;if(n&1){A=18;break b}y=0;o=+Ja(1,u|0,t|0,0);n=y;y=0;if(n&1){A=32;break b}if(!(o==0.0))break;l=l+12|0;A9(t);if((l|0)==(m|0)){A=33;break c}else f=l}l=k[D>>2]|0;l=l+(((f-l|0)/12|0)*12|0)|0;f=l+12|0;n=k[p>>2]|0;if((f|0)==(n|0))A=29;else{do{m=l+11|0;if((i[m>>0]|0)<0){i[k[l>>2]>>0]=0;k[l+4>>2]=0}else{i[l>>0]=0;i[m>>0]=0}y=0;oa(500,l|0,0);m=y;y=0;if(m&1){A=26;break b}k[l>>2]=k[f>>2];k[l+4>>2]=k[f+4>>2];k[l+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;f=f+12|0;l=l+12|0}while((f|0)!=(n|0));f=k[p>>2]|0;if((f|0)!=(l|0))A=29}if((A|0)==29){A=0;do{n=f+-12|0;k[p>>2]=n;A9(n);f=k[p>>2]|0}while((f|0)!=(l|0))}A9(t);h=h*o}while(0);do if((A|0)==33){A=0;f=k[G>>2]|0;if((f|0)==(k[q>>2]|0)){y=0;oa(457,H|0,u|0);n=y;y=0;if(n&1){A=19;break b}else break}y=0;oa(456,f|0,u|0);n=y;y=0;if(n&1){A=19;break b}k[G>>2]=(k[G>>2]|0)+12}while(0);A9(u);if((j|0)==(s|0)){A=39;break a}}if((A|0)==17){e=pb()|0;g=N;break}else if((A|0)==18){e=pb()|0;c=N;A=20}else if((A|0)==19){e=pb()|0;c=N;A=20}else if((A|0)==26){B=tb(0)|0;Sla(B)}else if((A|0)==32){e=pb()|0;g=N;A9(t)}if((A|0)==20)g=c;A9(u)}while(0);d:do if((A|0)==39){e=k[a+88>>2]|0;m=k[a+92>>2]|0;e:do if((e|0)==(m|0))A=71;else{n=C+4|0;p=F+8|0;f:while(1){y=0;oa(456,x|0,e|0);e=e+12|0;u=y;y=0;if(u&1){A=47;break}f=k[C>>2]|0;j=k[n>>2]|0;g=f;g:do if((g|0)==(j|0))A=65;else{while(1){y=0;oa(456,v|0,g|0);u=y;y=0;if(u&1){A=50;break f}y=0;o=+Ja(1,x|0,v|0,0);u=y;y=0;if(u&1){A=64;break f}if(!(o==0.0))break;g=g+12|0;A9(v);if((g|0)==(j|0)){A=65;break g}else f=g}g=k[C>>2]|0;g=g+(((f-g|0)/12|0)*12|0)|0;f=g+12|0;l=k[n>>2]|0;if((f|0)==(l|0))A=61;else{do{j=g+11|0;if((i[j>>0]|0)<0){i[k[g>>2]>>0]=0;k[g+4>>2]=0}else{i[g>>0]=0;i[j>>0]=0}y=0;oa(500,g|0,0);u=y;y=0;if(u&1){A=58;break f}k[g>>2]=k[f>>2];k[g+4>>2]=k[f+4>>2];k[g+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;f=f+12|0;g=g+12|0}while((f|0)!=(l|0));f=k[n>>2]|0;if((f|0)!=(g|0))A=61}if((A|0)==61){A=0;do{u=f+-12|0;k[n>>2]=u;A9(u);f=k[n>>2]|0}while((f|0)!=(g|0))}A9(v);h=h*o}while(0);do if((A|0)==65){A=0;f=k[E>>2]|0;if((f|0)==(k[p>>2]|0)){y=0;oa(457,F|0,x|0);u=y;y=0;if(u&1){A=51;break f}else break}y=0;oa(456,f|0,x|0);u=y;y=0;if(u&1){A=51;break f}k[E>>2]=(k[E>>2]|0)+12}while(0);A9(x);if((e|0)==(m|0)){A=71;break e}}if((A|0)==47){e=pb()|0;c=N;break}else if((A|0)==50){c=pb()|0;d=N;A=52}else if((A|0)==51){c=pb()|0;d=N;A=52}else if((A|0)==58){B=tb(0)|0;Sla(B)}else if((A|0)==64){c=pb()|0;d=N;A9(v)}A9(x);e=c;g=d;break d}while(0);if((A|0)==71){do if(w|(k[G>>2]|0)==(k[H>>2]|0)){if(!(w|(k[E>>2]|0)==(k[F>>2]|0))){c=gb(20)|0;y=0;Na(84,c|0,b|0,a|0);B=y;y=0;if(B&1){e=pb()|0;g=N;fb(c|0);break d}else{y=0;Na(75,c|0,152,177);y=0;break}}j=D+4|0;A=k[D>>2]|0;c=A;if(!(z|(k[j>>2]|0)==(A|0))){c=gb(20)|0;y=0;Na(84,c|0,b|0,a|0);B=y;y=0;if(B&1){e=pb()|0;g=N;fb(c|0);break d}else{y=0;Na(75,c|0,152,177);y=0;break}}f=C+4|0;A=k[f>>2]|0;d=k[C>>2]|0;g=d;e=A;if(!(z|(A|0)==(d|0))){c=gb(20)|0;y=0;Na(84,c|0,b|0,a|0);B=y;y=0;if(B&1){e=pb()|0;g=N;fb(c|0);break d}else{y=0;Na(75,c|0,152,177);y=0;break}}if(d){if((e|0)==(g|0))c=d;else{c=e;do{b=c+-12|0;k[f>>2]=b;A9(b);c=k[f>>2]|0}while((c|0)!=(g|0));c=k[C>>2]|0}cra(c);c=k[D>>2]|0}if(c|0){d=k[j>>2]|0;if((d|0)!=(c|0)){do{C=d+-12|0;k[j>>2]=C;A9(C);d=k[j>>2]|0}while((d|0)!=(c|0));c=k[D>>2]|0}cra(c)}c=k[F>>2]|0;if(c|0){d=k[E>>2]|0;if((d|0)!=(c|0)){do{D=d+-12|0;k[E>>2]=D;A9(D);d=k[E>>2]|0}while((d|0)!=(c|0));c=k[F>>2]|0}cra(c)}c=k[H>>2]|0;if(!c){r=B;return +h}d=k[G>>2]|0;if((d|0)!=(c|0)){do{F=d+-12|0;k[G>>2]=F;A9(F);d=k[G>>2]|0}while((d|0)!=(c|0));c=k[H>>2]|0}cra(c);r=B;return +h}else{c=gb(20)|0;y=0;Na(84,c|0,b|0,a|0);B=y;y=0;if(B&1){e=pb()|0;g=N;fb(c|0);break d}else{y=0;Na(75,c|0,152,177);y=0;break}}while(0);e=pb()|0;c=N}g=c}while(0);c=k[C>>2]|0;if(c|0){f=C+4|0;d=k[f>>2]|0;if((d|0)!=(c|0)){do{B=d+-12|0;k[f>>2]=B;A9(B);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[C>>2]|0}cra(c)}}c=k[D>>2]|0;if(c|0){f=D+4|0;d=k[f>>2]|0;if((d|0)!=(c|0)){do{C=d+-12|0;k[f>>2]=C;A9(C);d=k[f>>2]|0}while((d|0)!=(c|0));c=k[D>>2]|0}cra(c)}c=k[F>>2]|0;if(c){d=k[E>>2]|0;if((d|0)!=(c|0)){do{D=d+-12|0;k[E>>2]=D;A9(D);d=k[E>>2]|0}while((d|0)!=(c|0));c=k[F>>2]|0}cra(c)}}c=k[H>>2]|0;if(!c)sb(e|0);d=k[G>>2]|0;if((d|0)!=(c|0)){do{F=d+-12|0;k[G>>2]=F;A9(F);d=k[G>>2]|0}while((d|0)!=(c|0));c=k[H>>2]|0}cra(c);sb(e|0);return 0.0}function Ke(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;if((cc|0)==1)cc=3}Qc(fc+36700|0)}function Le(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;C=r;r=r+496|0;D=C+448|0;B=C+432|0;z=C+120|0;n=C+420|0;o=C+80|0;p=C+408|0;q=C+40|0;s=C+356|0;t=C;j=C+368|0;u=C+344|0;l=C+304|0;v=C+288|0;m=C+248|0;w=C+232|0;e=C+224|0;f=C+216|0;x=C+176|0;A=C+160|0;jx(b,0,0)|0;if(Zv(b,1,0)|0){h=IM(104)|0;c=j;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,u|0);b=y;y=0;if(b&1)e=16;else e=6}else if(g>>>0<11){i[u+11>>0]=g;c=u;e=8}else e=6;if((e|0)==6){e=g+16&-16;y=0;c=qa(315,e|0)|0;b=y;y=0;if(b&1)e=16;else{k[u>>2]=c;k[u+8>>2]=e|-2147483648;k[u+4>>2]=g;e=8}}do if((e|0)==8){if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;c=t;d=j;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,s|0,u|0);b=y;y=0;if(b&1)d=1;else{y=0;c=D;d=t;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Na(85,h|0,D|0,s|0);D=y;y=0;if(D&1){c=pb()|0;A9(s);A9(u);break}A9(s);k[h>>2]=13980;y=0;oa(460,a|0,h|0);D=y;y=0;if(D&1)d=0;else{k[a>>2]=13284;A9(u);r=C;return}}c=pb()|0;A9(u);if(!d){D=c;sb(D|0)}}else if((e|0)==16)c=pb()|0;while(0);cra(h);D=c;sb(D|0)}if(xw(b,1,0)|0){h=IM(104)|0;c=l;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,v|0);b=y;y=0;if(b&1)e=34;else e=24}else if(g>>>0<11){i[v+11>>0]=g;c=v;e=26}else e=24;if((e|0)==24){e=g+16&-16;y=0;c=qa(315,e|0)|0;b=y;y=0;if(b&1)e=34;else{k[v>>2]=c;k[v+8>>2]=e|-2147483648;k[v+4>>2]=g;e=26}}do if((e|0)==26){if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;c=q;d=l;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,p|0,v|0);b=y;y=0;if(b&1)d=1;else{y=0;c=D;d=q;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Na(85,h|0,D|0,p|0);D=y;y=0;if(D&1){c=pb()|0;A9(p);A9(v);break}A9(p);k[h>>2]=14152;y=0;oa(460,a|0,h|0);D=y;y=0;if(D&1)d=0;else{k[a>>2]=13284;A9(v);r=C;return}}c=pb()|0;A9(v);if(!d){D=c;sb(D|0)}}else if((e|0)==34)c=pb()|0;while(0);cra(h);D=c;sb(D|0)}if(ns(b,1,0)|0){h=IM(104)|0;c=m;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,w|0);b=y;y=0;if(b&1)e=52;else e=42}else if(g>>>0<11){i[w+11>>0]=g;c=w;e=44}else e=42;if((e|0)==42){e=g+16&-16;y=0;c=qa(315,e|0)|0;b=y;y=0;if(b&1)e=52;else{k[w>>2]=c;k[w+8>>2]=e|-2147483648;k[w+4>>2]=g;e=44}}do if((e|0)==44){if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;c=o;d=m;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,n|0,w|0);b=y;y=0;if(b&1)d=1;else{y=0;c=D;d=o;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Na(85,h|0,D|0,n|0);D=y;y=0;if(D&1){c=pb()|0;A9(n);A9(w);break}A9(n);k[h>>2]=13792;y=0;oa(460,a|0,h|0);D=y;y=0;if(D&1)d=0;else{k[a>>2]=13284;A9(w);r=C;return}}c=pb()|0;A9(w);if(!d){D=c;sb(D|0)}}else if((e|0)==52)c=pb()|0;while(0);cra(h);D=c;sb(D|0)}c=b+76|0;w=k[c>>2]|0;d=mW(w)|0;w=tL(d|0?d:w)|0;d=b+80|0;if(!((w|0)==0?1:w>>>0>(k[d>>2]|0)>>>0)){Wj(e,b);y=0;oa(460,a|0,k[e+4>>2]|0);D=y;y=0;if(D&1){D=pb()|0;DO(e);sb(D|0)}else{k[a>>2]=13284;DO(e);r=C;return}}w=k[c>>2]|0;v=mW(w)|0;w=OT(v|0?v:w)|0;if(!((w|0)==0?1:w>>>0>(k[d>>2]|0)>>>0)){Ud(a,b);r=C;return}w=k[c>>2]|0;v=mW(w)|0;w=v|0?v:w;w=(i[w>>0]|0)==58?w+1|0:0;if(!((w|0)==0?1:w>>>0>(k[d>>2]|0)>>>0)){Ud(a,b);r=C;return}if(Qt(b,1,0)|0){Fd(f,b);y=0;oa(460,a|0,k[f+4>>2]|0);D=y;y=0;if(D&1){D=pb()|0;DO(f);sb(D|0)}else{k[a>>2]=13284;DO(f);r=C;return}}if(!(Nv(b,1,0)|0)){k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;aI(D,43044,11);k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(74,B|0,43056,7);A=y;y=0;if(A&1)c=pb()|0;else{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;Na(74,z|0,43064,25);A=y;y=0;do if(A&1)c=pb()|0;else{y=0;ma(10,b|0,D|0,B|0,z|0,1);b=y;y=0;if(b&1){c=pb()|0;A9(z);break}A9(z);A9(B);A9(D);LT(a,0);k[a>>2]=13284;r=C;return}while(0);A9(B)}A9(D);D=c;sb(D|0)}h=IM(104)|0;c=x;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,A|0);w=y;y=0;if(w&1)e=81;else e=72}else if(g>>>0<11){i[A+11>>0]=g;c=A;e=74}else e=72;if((e|0)==72){e=g+16&-16;y=0;c=qa(315,e|0)|0;w=y;y=0;if(w&1)e=81;else{k[A>>2]=c;k[A+8>>2]=e|-2147483648;k[A+4>>2]=g;e=74}}if((e|0)==74){if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;c=z;d=x;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,B|0,A|0);x=y;y=0;do if(x&1)c=pb()|0;else{y=0;c=D;d=z;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));Na(85,h|0,D|0,B|0);D=y;y=0;if(D&1){c=pb()|0;A9(B);break}A9(B);k[h>>2]=13620;A9(A);k[h+64>>2]=k[b+68>>2];LT(a,h);k[a>>2]=13284;r=C;return}while(0);A9(A)}else if((e|0)==81)c=pb()|0;cra(h);D=c;sb(D|0)}function Me(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;z=r;r=r+352|0;s=z+80|0;d=z+40|0;x=z;F=z+296|0;l=z+344|0;h=z+304|0;m=z+280|0;j=z+272|0;p=z+264|0;n=z+256|0;B=z+248|0;q=z+240|0;E=z+288|0;t=z+200|0;u=z+192|0;v=z+184|0;w=z+144|0;C=z+136|0;D=z+128|0;A=z+120|0;c=k[a+24>>2]|0;if((c|0)==(k[a+20>>2]|0))a=k[a+8>>2]|0;else a=c+-4|0;a=k[a>>2]|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;if(!a)a=0;else a=(k[81]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)?a:0;LT(F,a);k[F>>2]=17180;y=0;o=qa(315,88)|0;g=y;y=0;if(g&1){E=pb()|0;DO(F);sb(E|0)}c=F+4|0;y=0;oa(460,l|0,k[(k[c>>2]|0)+68>>2]|0);g=y;y=0;if(g&1)a=pb()|0;else{k[l>>2]=6868;e=d;f=(k[l+4>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(422,o|0);g=y;y=0;do if(g&1)a=pb()|0;else{e=o+12|0;f=d;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[o>>2]=6564;k[o+52>>2]=0;k[o+56>>2]=0;i[o+60>>0]=0;a=o+64|0;k[a>>2]=6524;f=o+68|0;g=o+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(565,f|0,0);e=y;y=0;if(e&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{E=d+-8|0;k[g>>2]=E;lc[k[k[E>>2]>>2]&511](E);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c)}break}k[o>>2]=6368;k[a>>2]=6468;i[o+84>>0]=0;DO(l);y=0;l=qa(315,84)|0;g=y;y=0;if(g&1){E=pb()|0;DO(F);sb(E|0)}a=k[c>>2]|0;e=h;f=a+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(460,m|0,k[a+76>>2]|0);g=y;y=0;if(g&1)a=pb()|0;else{k[m>>2]=6756;y=0;oa(460,j|0,o|0);o=y;y=0;do if(o&1)a=pb()|0;else{k[j>>2]=6868;y=0;e=s;f=h;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Ra(32,l|0,s|0,m|0,j|0);o=y;y=0;if(o&1){a=pb()|0;DO(j);break}DO(j);DO(m);k[l+56>>2]=k[(k[c>>2]|0)+56>>2];y=0;oa(460,p|0,k[l+68>>2]|0);o=y;y=0;a:do if(!(o&1)){k[p>>2]=6868;a=(k[p+4>>2]|0)+64|0;c=k[(k[a>>2]|0)+24>>2]|0;d=b+68|0;y=0;oa(460,n|0,k[d>>2]|0);o=y;y=0;do if(o&1)a=pb()|0;else{k[n>>2]=6868;o=k[n+4>>2]|0;y=0;oa(c|0,a|0,((o|0)==0?0:o+64|0)|0);o=y;y=0;if(o&1){a=pb()|0;DO(n);break}DO(n);DO(p);y=0;h=qa(315,88)|0;p=y;y=0;if(p&1)break a;y=0;oa(460,B|0,k[d>>2]|0);p=y;y=0;if(p&1)a=pb()|0;else{k[B>>2]=6868;e=s;f=(k[B+4>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(422,h|0);p=y;y=0;do if(p&1)a=pb()|0;else{e=h+12|0;f=s;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[h>>2]=6564;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=6524;f=h+68|0;g=h+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(565,f|0,0);p=y;y=0;if(p&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{E=d+-8|0;k[g>>2]=E;lc[k[k[E>>2]>>2]&511](E);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c)}break}k[h>>2]=6368;k[c>>2]=6468;i[h+84>>0]=0;DO(B);a=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,q|0,l|0);B=y;y=0;do if(!(B&1)){k[q>>2]=6508;y=0;oa(a|0,c|0,q|0);B=y;y=0;if(B&1){E=pb()|0;DO(q);DO(F);sb(E|0)}DO(q);y=0;d=qa(315,80)|0;B=y;y=0;if(B&1)break;e=t;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(460,u|0,k[b+76>>2]|0);B=y;y=0;do if(B&1)a=pb()|0;else{k[u>>2]=7172;y=0;oa(460,v|0,h|0);B=y;y=0;if(B&1){a=pb()|0;DO(u);break}k[v>>2]=6868;y=0;e=s;f=t;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Ra(33,d|0,s|0,u|0,v|0);B=y;y=0;do if(B&1)c=1;else{y=0;oa(460,E|0,d|0);B=y;y=0;if(B&1){c=0;break}k[E>>2]=17212;DO(v);DO(u);a=k[E+4>>2]|0;k[a+56>>2]=k[b+56>>2];y=0;c=qa(315,76)|0;B=y;y=0;if(B&1)a=pb()|0;else{e=w;f=a+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(460,D|0,a|0);B=y;y=0;if(B&1)a=pb()|0;else{k[D>>2]=17212;y=0;oa(460,C|0,k[D+4>>2]|0);B=y;y=0;if(B&1)a=pb()|0;else{k[C>>2]=6508;y=0;oa(460,A|0,0);B=y;y=0;if(B&1)a=pb()|0;else{k[A>>2]=6508;e=x;f=w;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(422,c|0);B=y;y=0;do if(B&1)a=pb()|0;else{e=c+12|0;f=x;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[c+52>>2]=6;k[c+56>>2]=0;i[c+60>>0]=0;k[c>>2]=6884;a=c+64|0;y=0;oa(460,a|0,k[C+4>>2]|0);B=y;y=0;if(B&1){a=pb()|0;break}else{k[a>>2]=6508;i[c+72>>0]=(k[A+4>>2]|0)==0&1;DO(A);DO(C);DO(D);DO(E);DO(F);r=z;return c|0}}while(0);DO(A)}DO(C)}DO(D)}cra(c)}DO(E);E=a;DO(F);sb(E|0)}while(0);a=pb()|0;DO(v);DO(u);if(c)break;DO(F);sb(a|0)}while(0);cra(d);E=a;DO(F);sb(E|0)}while(0);E=pb()|0;DO(F);sb(E|0)}while(0);DO(B)}cra(h);E=a;DO(F);sb(E|0)}while(0);DO(p);E=a;DO(F);sb(E|0)}while(0);E=pb()|0;DO(F);sb(E|0)}while(0);DO(m)}cra(l);E=a;DO(F);sb(E|0)}while(0);DO(l)}cra(o);E=a;DO(F);sb(E|0);return 0}function Ne(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;w=r;r=r+64|0;x=w+48|0;t=w+36|0;v=w+24|0;s=w+12|0;q=w;p=c+16|0;o=(i[(k[p>>2]|0)+22>>0]|0)==0;xs(x,c+312|0);y=0;u=La(1)|0;m=y;y=0;a:do if(m&1)g=pb()|0;else{y=0;e=ra(2,3.0)|0;m=y;y=0;if(!(m&1)){y=0;Na(149,u|0,51332,e|0);m=y;y=0;if(!(m&1)){e=b+36|0;if((i[e+11>>0]|0)<0)e=k[e>>2]|0;y=0;e=qa(399,e|0)|0;m=y;y=0;if(m&1){g=pb()|0;break}y=0;Na(149,u|0,51340,e|0);m=y;y=0;do if(!(m&1)){e=c+444|0;m=i[e+11>>0]|0;f=m<<24>>24<0;if((f?k[c+448>>2]|0:m&255)|0){y=0;e=qa(399,(f?k[e>>2]|0:e)|0)|0;m=y;y=0;if(m&1)break;y=0;Na(149,u|0,51345,e|0);m=y;y=0;if(m&1){g=pb()|0;break a}}y=0;h=La(2)|0;m=y;y=0;if(!(m&1)){m=b+4|0;e=k[b>>2]|0;b:do if((k[m>>2]|0)!=(e|0)){j=t+11|0;l=t+4|0;g=0;c:while(1){y=0;oa(456,t|0,(k[x>>2]|0)+((k[e+(g<<2)>>2]|0)*12|0)|0);f=y;y=0;if(f&1){e=40;break}do if(i[(k[p>>2]|0)+23>>0]|0){k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,55435,1);f=y;y=0;if(f&1){e=41;break c}y=0;na(436,q|0);f=y;y=0;if(f&1){e=42;break c}y=0;Ra(15,v|0,t|0,s|0,q|0);f=y;y=0;if(f&1){e=43;break c}if((i[j>>0]|0)<0){i[k[t>>2]>>0]=0;k[l>>2]=0}else{i[t>>0]=0;i[j>>0]=0}y=0;oa(500,t|0,0);f=y;y=0;if(f&1){e=30;break c}k[t>>2]=k[v>>2];k[t+4>>2]=k[v+4>>2];k[t+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;A9(v);A9(q);A9(s);e=i[j>>0]|0;f=e<<24>>24<0;if((i[(f?k[t>>2]|0:t)>>0]|0)==47){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;e=f?k[l>>2]|0:e&255;y=0;Ra(10,v|0,51364,7,e+7|0);f=y;y=0;if(f&1){e=46;break c}y=0;ta(41,v|0,((i[j>>0]|0)<0?k[t>>2]|0:t)|0,e|0)|0;f=y;y=0;if(f&1){e=46;break c}if((i[j>>0]|0)<0){i[k[t>>2]>>0]=0;k[l>>2]=0}else{i[t>>0]=0;i[j>>0]=0}y=0;oa(500,t|0,0);f=y;y=0;if(f&1){e=38;break c}k[t>>2]=k[v>>2];k[t+4>>2]=k[v+4>>2];k[t+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;A9(v);break}else{k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;e=f?k[l>>2]|0:e&255;y=0;Ra(10,v|0,51372,8,e+8|0);f=y;y=0;if(f&1){e=55;break c}y=0;ta(41,v|0,((i[j>>0]|0)<0?k[t>>2]|0:t)|0,e|0)|0;f=y;y=0;if(f&1){e=55;break c}if((i[j>>0]|0)<0){i[k[t>>2]>>0]=0;k[l>>2]=0}else{i[t>>0]=0;i[j>>0]=0}y=0;oa(500,t|0,0);f=y;y=0;if(f&1){e=53;break c}k[t>>2]=k[v>>2];k[t+4>>2]=k[v+4>>2];k[t+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;A9(v);break}}while(0);y=0;e=qa(399,((i[j>>0]|0)<0?k[t>>2]|0:t)|0)|0;f=y;y=0;if(f&1){e=59;break}y=0;oa(698,h|0,e|0);f=y;y=0;if(f&1){e=60;break}A9(t);g=g+1|0;e=k[b>>2]|0;if(g>>>0>=(k[m>>2]|0)-e>>2>>>0)break b}switch(e|0){case 30:{Sla(tb(0)|0);break}case 38:{Sla(tb(0)|0);break}case 40:{g=pb()|0;break a}case 41:{d=pb()|0;e=45;break}case 42:{d=pb()|0;e=44;break}case 43:{d=pb()|0;A9(q);e=44;break}case 46:{d=pb()|0;A9(v);break}case 53:{Sla(tb(0)|0);break}case 55:{d=pb()|0;A9(v);break}case 59:{d=pb()|0;e=61;break}case 60:{d=pb()|0;e=61;break}}if((e|0)==44){A9(s);e=45}A9(t);g=d;break a}while(0);y=0;Na(149,u|0,51356,h|0);t=y;y=0;d:do if(!(t&1)){do if(!o)if((k[m>>2]|0)!=(k[b>>2]|0)){y=0;g=La(2)|0;t=y;y=0;if(t&1)break d;d=k[b>>2]|0;e:do if((k[m>>2]|0)==(d|0))e=68;else{f=c+224|0;e=0;while(1){y=0;d=qa(399,k[(k[f>>2]|0)+(k[d+(e<<2)>>2]<<3)>>2]|0)|0;t=y;y=0;if(t&1){e=73;break}y=0;oa(698,g|0,d|0);t=y;y=0;if(t&1){e=74;break}e=e+1|0;d=k[b>>2]|0;if(e>>>0>=(k[m>>2]|0)-d>>2>>>0){e=68;break e}}if((e|0)==73){d=pb()|0;break}else if((e|0)==74){d=pb()|0;break}}while(0);if((e|0)==68){y=0;Na(149,u|0,51381,g|0);t=y;y=0;if(!(t&1))break;d=pb()|0}g=d;break a}while(0);y=0;d=La(2)|0;t=y;y=0;if(!(t&1)){y=0;Na(149,u|0,51396,d|0);t=y;y=0;if(!(t&1)){y=0;oa(699,v|0,b|0);b=y;y=0;if(!(b&1)){y=0;d=qa(399,((i[v+11>>0]|0)<0?k[v>>2]|0:v)|0)|0;b=y;y=0;f:do if(b&1)d=pb()|0;else{y=0;Na(149,u|0,51402,d|0);b=y;y=0;do if(!(b&1)){y=0;d=Ha(1028,u|0,51411)|0;b=y;y=0;if(b&1)break;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=IJ(d)|0;y=0;Na(74,a|0,d|0,b|0);b=y;y=0;if(b&1){d=pb()|0;break f}Wf(d);y=0;na(464,u|0);u=y;y=0;if(u&1){d=pb()|0;A9(a);break f}A9(v);d=k[x>>2]|0;if(!d){r=w;return}f=x+4|0;e=k[f>>2]|0;if((e|0)!=(d|0)){do{v=e+-12|0;k[f>>2]=v;A9(v);e=k[f>>2]|0}while((e|0)!=(d|0));d=k[x>>2]|0}cra(d);r=w;return}while(0);d=pb()|0}while(0);A9(v);g=d;break a}}g=pb()|0;break a}}while(0);g=pb()|0;break a}}while(0);g=pb()|0;break}}g=pb()|0}while(0);d=k[x>>2]|0;if(!d)sb(g|0);f=x+4|0;e=k[f>>2]|0;if((e|0)!=(d|0)){do{w=e+-12|0;k[f>>2]=w;A9(w);e=k[f>>2]|0}while((e|0)!=(d|0));d=k[x>>2]|0}cra(d);sb(g|0)}
function Oe(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;w=r;r=r+32|0;x=w+12|0;v=w;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,87975,0);if((k[c>>2]&-249|0)>0){y=0;oa(456,x|0,c+24|0);u=y;y=0;if(u&1)j=10;else j=4}else{k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,87975,0);u=y;y=0;if(u&1)j=10;else j=4}do if((j|0)==4){u=i[x+11>>0]|0;t=u<<24>>24<0;y=0;ta(41,a|0,(t?k[x>>2]|0:x)|0,(t?k[x+4>>2]|0:u&255)|0)|0;u=y;y=0;if(u&1){d=pb()|0;A9(x);break}A9(x);s=c+24|0;y=0;Ha(1009,s|0,87975)|0;u=y;y=0;if(u&1){x=pb()|0;A9(a);sb(x|0)}t=b+11|0;d=i[t>>0]|0;q=d<<24>>24<0;u=b+4|0;e=q?k[b>>2]|0:b;d=e+(q?k[u>>2]|0:d&255)|0;do{if((d|0)==(e|0)){j=104;break}d=d+-1|0;q=i[d>>0]|0}while((q&255)<16&(1<<(q&255)&9216)!=0);if((j|0)==104){r=w;return}d=d-e|0;if((d|0)==-1){r=w;return}d=d+1|0;y=0;ma(4,x|0,b|0,d|0,-1,b|0);q=y;y=0;if(q&1){x=pb()|0;A9(a);sb(x|0)}y=0;ma(4,v|0,b|0,0,d|0,b|0);q=y;y=0;a:do if(q&1)d=pb()|0;else{if((i[t>>0]|0)<0){i[k[b>>2]>>0]=0;k[u>>2]=0}else{i[b>>0]=0;i[t>>0]=0}y=0;oa(500,b|0,0);q=y;y=0;if(q&1){q=tb(0)|0;Sla(q)}k[b>>2]=k[v>>2];k[b+4>>2]=k[v+4>>2];k[b+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;A9(v);m=0;n=0;o=0;p=0;j=0;b:while(1){q=i[t>>0]|0;f=q<<24>>24<0;d=f?k[b>>2]|0:b;q=f?k[u>>2]|0:q&255;f=d+q|0;e=d;if(q>>>0<=j>>>0){j=81;break}d=d+j|0;c:while(1){switch(i[d>>0]|0){case 41:case 40:case 42:case 92:case 47:case 39:case 34:break c;default:{}}d=d+1|0;if((d|0)==(f|0)){j=81;break b}}q=d-e|0;if((d|0)==(f|0)|(q|0)==-1){j=81;break}y=0;d=Ha(1029,b|0,q|0)|0;j=y;y=0;if(j&1){j=56;break}d=i[d>>0]|0;d:do switch(d<<24>>24){case 40:{e=(o?0:p&1^1)+m|0;f=n;g=o;h=p;d=q;break}case 41:{e=(o?0:(p^1)<<31>>31)+m|0;f=n;g=o;h=p;d=q;break}case 34:{e=m;f=n;g=o^((n|p)^1);h=p;d=q;break}case 39:{e=m;f=n;g=o;h=p^((n|o)^1);d=q;break}default:{e=(q|0)!=0;if(!(e&d<<24>>24==47)){if(d<<24>>24==92){e=m;f=n;g=o;h=p;d=q+((o|p)&1)|0;break d}if(!(e&d<<24>>24==42)){e=m;f=n;g=o;h=p;d=q;break d}y=0;d=Ha(1029,b|0,q+-1|0)|0;j=y;y=0;if(j&1){j=56;break b}e=m;f=n|(i[d>>0]|0)==47&((o|p)^1);g=o;h=p;d=q;break d}e=q+-1|0;y=0;d=Ha(1029,b|0,e|0)|0;j=y;y=0;if(j&1){j=56;break b}if((i[d>>0]|0)==42){e=m;f=0;g=o;h=p;d=q}else{y=0;d=Ha(1029,b|0,e|0)|0;j=y;y=0;if(j&1){j=56;break b}if((i[d>>0]|0)==47){if(o){e=m;f=n;g=1;h=p;d=q;break d}if(p){e=m;f=n;g=0;h=1;d=q;break d}if((m|0)==0&(n^1)){j=47;break b}else{e=m;f=n;g=0;h=0;d=q}}else{e=m;f=n;g=o;h=p;d=q}}}}while(0);j=d+1|0;if((j|0)==-1){j=81;break}else{m=e;n=f;o=g;p=h}}if((j|0)==56){d=pb()|0;break}do if((j|0)==47){if(k[c>>2]&128|0){d=c+8|0;p=i[d+11>>0]|0;if(!((p<<24>>24<0?k[c+12>>2]|0:p&255)|0)){y=0;d=sa(21,d|0,0,-1,87975,0)|0;p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}if(!d){y=0;d=Ha(1029,b|0,q|0)|0;p=y;y=0;if(p&1)break;i[d>>0]=42;y=0;Ha(974,b|0,50284)|0;p=y;y=0;if(p&1)break}}}if(!e)d=0;else{d=i[t>>0]|0;g=d<<24>>24<0;h=g?k[b>>2]|0:b;d=g?k[u>>2]|0:d&255;g=i[81987]|0;p=g<<24>>24<0;f=p?k[20494]|0:81976;g=p?k[20495]|0:g&255;e=d>>>0>(q+-2|0)>>>0?e:d;d=h+e|0;e:do if(!g)if(!e)d=-1;else{d=d+-1|0;j=64}else while(1){if((d|0)==(h|0)){d=-1;break e}d=d+-1|0;if(!(aA(f,l[d>>0]|0,g)|0)){j=64;break}}while(0);if((j|0)==64)d=d-h|0;d=d+1|0}f:do if(!(k[c>>2]&64)){y=0;ma(4,v|0,b|0,d|0,-1,b|0);q=y;y=0;do if(q&1)d=pb()|0;else{q=i[v+11>>0]|0;p=q<<24>>24<0;y=0;ta(41,s|0,(p?k[v>>2]|0:v)|0,(p?k[v+4>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){d=pb()|0;A9(v);break}else{A9(v);break f}}while(0);break a}while(0);y=0;ma(4,v|0,b|0,0,d|0,b|0);q=y;y=0;if(q&1){d=pb()|0;break a}if((i[t>>0]|0)<0){i[k[b>>2]>>0]=0;k[u>>2]=0}else{i[b>>0]=0;i[t>>0]=0}y=0;oa(500,b|0,0);q=y;y=0;if(q&1){w=tb(0)|0;Sla(w)}else{k[b>>2]=k[v>>2];k[b+4>>2]=k[v+4>>2];k[b+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;A9(v);j=81;break}}while(0);g:do if((j|0)==81){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;q=i[x+11>>0]|0;p=q<<24>>24<0;q=p?k[x+4>>2]|0:q&255;y=0;Ra(10,v|0,(p?k[x>>2]|0:x)|0,q|0,q+1|0);q=y;y=0;do if(q&1)j=97;else{y=0;ta(41,v|0,52248,1)|0;q=y;y=0;if(q&1)j=97;else{q=i[v+11>>0]|0;p=q<<24>>24<0;y=0;ta(41,s|0,(p?k[v>>2]|0:v)|0,(p?k[v+4>>2]|0:q&255)|0)|0;s=y;y=0;if(s&1){d=pb()|0;A9(v);break}A9(v);h:do if(!(k[c>>2]&-249)){d=i[t>>0]|0;g=d<<24>>24<0;h=g?k[b>>2]|0:b;d=g?k[u>>2]|0:d&255;g=i[81987]|0;s=g<<24>>24<0;f=s?k[20494]|0:81976;g=s?k[20495]|0:g&255;if(d|0){e=h+d|0;i:do if(!g)d=h;else{d=h;while(1){if(!(aA(f,l[d>>0]|0,g)|0))break i;d=d+1|0;if((d|0)==(e|0))break h}}while(0);d=d-h|0;if((d|0)!=-1){y=0;ma(4,v|0,b|0,d|0,-1,b|0);s=y;y=0;if(s&1){d=pb()|0;break a}if((i[t>>0]|0)<0){i[k[b>>2]>>0]=0;k[u>>2]=0}else{i[b>>0]=0;i[t>>0]=0}y=0;oa(500,b|0,0);s=y;y=0;if(s&1){v=tb(0)|0;Sla(v)}else{k[b>>2]=k[v>>2];k[b+4>>2]=k[v+4>>2];k[b+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;A9(v);break}}}}while(0);v=i[t>>0]|0;t=v<<24>>24<0;y=0;ta(41,a|0,(t?k[b>>2]|0:b)|0,(t?k[u>>2]|0:v&255)|0)|0;v=y;y=0;if(v&1)break g;A9(x);r=w;return}}while(0);if((j|0)==97){d=pb()|0;A9(v)}break a}while(0);d=pb()|0}while(0);A9(x);x=d;A9(a);sb(x|0)}else if((j|0)==10)d=pb()|0;while(0);x=d;A9(a);sb(x|0)}function Pe(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;D=0;w=r;r=r+128|0;u=w+108|0;o=w+104|0;p=w+88|0;s=w+84|0;E=w+72|0;F=w+60|0;z=w+48|0;v=w+92|0;A=w+36|0;C=w+24|0;B=w+12|0;x=w;g=a+80|0;m=k[g>>2]|0;while(1)if(!(i[m>>0]|0))break;else m=m+1|0;j=a+76|0;h=NO(k[j>>2]|0)|0;if((h|0)==0?1:h>>>0>(k[g>>2]|0)>>>0)h=k[j>>2]|0;q=h;l=a+72|0;j=k[l>>2]|0;do if(h>>>0>j>>>0){g=h;while(1){g=g+-1|0;if((i[g>>0]&-64)<<24>>24!=-128){D=9;break}if((g|0)==(j|0)){D=8;break}}if((D|0)==8){F=gb(8)|0;E=i[j>>0]|0;k[F>>2]=16720;i[F+4>>0]=E;Wb(F|0,2256,220)}else if((D|0)==9){k[u>>2]=g;UD(u,h)|0;break}}else g=q;while(0);a:do if(e){j=g;if(j>>>0<m>>>0?j>>>0>(k[l>>2]|0)>>>0:0){b:while(1){if(!(V9(j)|0))break a;g=k[l>>2]|0;if((j|0)==(g|0)){D=17;break}else e=j;while(1){e=e+-1|0;if((i[e>>0]&-64)<<24>>24!=-128)break;if((e|0)==(g|0)){D=18;break b}}g=e;k[u>>2]=e;UD(u,j)|0;if(e>>>0<m>>>0?e>>>0>(k[l>>2]|0)>>>0:0)j=e;else break a}if((D|0)==17){F=gb(4)|0;k[F>>2]=16700;Wb(F|0,2240,220)}else if((D|0)==18){F=gb(8)|0;E=i[g>>0]|0;k[F>>2]=16720;i[F+4>>0]=E;Wb(F|0,2256,220)}}}while(0);k[o>>2]=g;k[p>>2]=g;if(i[g>>0]|0){UD(o,m)|0;if(i[k[p>>2]>>0]|0)UD(p,m)|0}j=k[o>>2]|0;g=k[l>>2]|0;c:do if(j>>>0>g>>>0){d:while(1){e=k[p>>2]|0;k[u>>2]=j;if(j>>>0<e>>>0){g=0;while(1){UD(u,e)|0;if((k[u>>2]|0)>>>0<e>>>0)g=g+1|0;else break}if((g|0)>16){D=29;break}j=k[o>>2]|0;g=k[l>>2]|0}if((j|0)==(g|0)){D=36;break}else e=j;while(1){e=e+-1|0;if((i[e>>0]&-64)<<24>>24!=-128)break;if((e|0)==(g|0)){D=39;break d}}k[u>>2]=e;UD(u,j)|0;switch(i[e>>0]|0){case 10:case 13:{e=0;break c}default:{}}k[o>>2]=e;g=k[l>>2]|0;if(e>>>0<=g>>>0){e=0;break c}else j=e}if((D|0)==29){g=k[l>>2]|0;j=k[o>>2]|0;if((j|0)==(g|0)){F=gb(4)|0;k[F>>2]=16700;Wb(F|0,2240,220)}else e=j;while(1){e=e+-1|0;k[o>>2]=e;if((i[e>>0]&-64)<<24>>24!=-128){D=34;break}if((e|0)==(g|0)){D=33;break}}if((D|0)==33){F=gb(8)|0;E=i[k[o>>2]>>0]|0;k[F>>2]=16720;i[F+4>>0]=E;Wb(F|0,2256,220)}else if((D|0)==34){k[u>>2]=e;UD(u,j)|0;e=i[k[o>>2]>>0]|0;UD(o,m)|0;e=e<<24>>24|0;e=(e|0)!=13&(e|0)!=10;break}}else if((D|0)==36){F=gb(4)|0;k[F>>2]=16700;Wb(F|0,2240,220)}else if((D|0)==39){F=gb(8)|0;E=i[g>>0]|0;k[F>>2]=16720;i[F+4>>0]=E;Wb(F|0,2256,220)}}else e=0;while(0);g=k[l>>2]|0;if((k[o>>2]|0)>>>0<g>>>0)k[o>>2]=g;k[s>>2]=h;e:do if(h>>>0<m>>>0){g=h;while(1){k[u>>2]=h;if(h>>>0<g>>>0){j=0;while(1){UD(u,g)|0;if((k[u>>2]|0)>>>0<g>>>0)j=j+1|0;else break}if((j|0)>17)break;g=k[s>>2]|0}switch(i[g>>0]|0){case 10:case 13:{n=e;break e}default:{}}UD(s,m)|0;g=k[s>>2]|0;if(g>>>0>=m>>>0){n=e;break e}}n=i[h>>0]|0;n=n<<24>>24|0;n=(n|0)!=13&(n|0)!=10}else n=e;while(0);j=k[o>>2]|0;l=k[p>>2]|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;m=l-j|0;if(m>>>0>4294967279){mN(E);D=58}else if(m>>>0<11){i[E+11>>0]=m;g=E}else D=58;if((D|0)==58){p=m+16&-16;g=IM(p)|0;k[E>>2]=g;k[E+8>>2]=p|-2147483648;k[E+4>>2]=m}if((j|0)!=(l|0)){e=g;while(1){i[e>>0]=i[j>>0]|0;j=j+1|0;if((j|0)==(l|0))break;else e=e+1|0}g=g+m|0}i[g>>0]=0;l=k[s>>2]|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;e=l-q|0;if(e>>>0>4294967279){y=0;na(438,F|0);D=y;y=0;if(D&1)D=81;else D=66}else if(e>>>0<11){i[F+11>>0]=e;g=F}else D=66;if((D|0)==66){j=e+16&-16;y=0;g=qa(315,j|0)|0;s=y;y=0;if(s&1)D=81;else{k[F>>2]=g;k[F+8>>2]=j|-2147483648;k[F+4>>2]=e}}if((D|0)==81){F=pb()|0;A9(E);sb(F|0)}if((h|0)!=(l|0)){j=g;while(1){i[j>>0]=i[h>>0]|0;h=h+1|0;if((h|0)==(l|0))break;else j=j+1|0}g=g+e|0}i[g>>0]=0;h=E+11|0;g=i[h>>0]|0;j=E+4|0;g=g<<24>>24<0?k[j>>2]|0:g&255;f:do if(g>>>0>15){g=g+-15|0;if((g|0)==0|n^1)D=85;else{y=0;ma(4,z|0,E|0,g|0,-1,E|0);t=y;y=0;do if(t&1)f=pb()|0;else{y=0;g=ta(46,z|0,0,48600)|0;t=y;y=0;if(t&1){f=pb()|0;A9(z);break}k[u>>2]=k[g>>2];k[u+4>>2]=k[g+4>>2];k[u+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;if((i[h>>0]|0)<0){i[k[E>>2]>>0]=0;k[j>>2]=0}else{i[E>>0]=0;i[h>>0]=0}y=0;oa(500,E|0,0);t=y;y=0;if(t&1){C=tb(0)|0;Sla(C)}else{k[E>>2]=k[u>>2];k[E+4>>2]=k[u+4>>2];k[E+8>>2]=k[u+8>>2];k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;A9(u);A9(z);D=85;break f}}while(0)}}else D=85;while(0);if((D|0)==85){k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;t=i[b+11>>0]|0;s=t<<24>>24<0;t=s?k[b+4>>2]|0:t&255;f=c+11|0;g=i[f>>0]|0;g=g<<24>>24<0?k[c+4>>2]|0:g&255;y=0;Ra(10,C|0,(s?k[b>>2]|0:b)|0,t|0,g+t|0);b=y;y=0;if(b&1)D=94;else{y=0;ta(41,C|0,((i[f>>0]|0)<0?k[c>>2]|0:c)|0,g|0)|0;c=y;y=0;if(c&1)D=94;else{y=0;Na(99,B|0,E|0,0);c=y;y=0;if(c&1)f=pb()|0;else{f=i[B+11>>0]|0;c=f<<24>>24<0;y=0;f=ta(41,C|0,(c?k[B>>2]|0:B)|0,(c?k[B+4>>2]|0:f&255)|0)|0;c=y;y=0;if(c&1)f=pb()|0;else{k[A>>2]=k[f>>2];k[A+4>>2]=k[f+4>>2];k[A+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;f=i[d+11>>0]|0;c=f<<24>>24<0;y=0;f=ta(41,A|0,(c?k[d>>2]|0:d)|0,(c?k[d+4>>2]|0:f&255)|0)|0;d=y;y=0;if(d&1)f=pb()|0;else{k[z>>2]=k[f>>2];k[z+4>>2]=k[f+4>>2];k[z+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(99,x|0,F|0,0);d=y;y=0;if(d&1)f=pb()|0;else{f=i[x+11>>0]|0;d=f<<24>>24<0;y=0;f=ta(41,z|0,(d?k[x>>2]|0:x)|0,(d?k[x+4>>2]|0:f&255)|0)|0;d=y;y=0;do if(d&1)f=pb()|0;else{k[v>>2]=k[f>>2];k[v+4>>2]=k[f+4>>2];k[v+8>>2]=k[f+8>>2];k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;d=a+108|0;y=0;k[u>>2]=k[d>>2];k[u+4>>2]=k[d+4>>2];k[u+8>>2]=k[d+8>>2];Na(108,a|0,v|0,u|0);a=y;y=0;if(a&1){f=pb()|0;A9(v);break}else{A9(v);A9(x);A9(z);A9(A);A9(B);A9(C);A9(F);A9(E);r=w;return}}while(0);A9(x)}A9(z)}A9(A)}A9(B)}A9(C)}}if((D|0)==94){f=pb()|0;A9(C)}}A9(F);F=f;A9(E);sb(F|0)}function Qe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;F=0;E=r;r=r+256|0;u=E+208|0;G=E+168|0;h=E+192|0;j=E+180|0;l=E+128|0;p=E+112|0;q=E+88|0;n=E+80|0;m=E+72|0;o=E+96|0;s=E+64|0;t=E+56|0;w=E+48|0;x=E+40|0;z=E+32|0;A=E+24|0;B=E+16|0;C=E+8|0;D=E;v=b+156|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(G);F=5}else if(g>>>0<11){i[G+11>>0]=g;c=G}else F=5;if((F|0)==5){e=g+16&-16;c=IM(e)|0;k[G>>2]=c;k[G+8>>2]=e|-2147483648;k[G+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;k[h>>2]=44293;k[h+4>>2]=44293;k[h+8>>2]=44298;y=0;k[u>>2]=k[h>>2];k[u+4>>2]=k[h+4>>2];k[u+8>>2]=k[h+8>>2];c=Ha(1010,v|0,u|0)|0;h=y;y=0;a:do if(!(h&1)){do if(c){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,44299,38);h=y;y=0;if(h&1)break a;h=b+108|0;y=0;k[u>>2]=k[h>>2];k[u+4>>2]=k[h+4>>2];k[u+8>>2]=k[h+8>>2];Na(108,b|0,j|0,u|0);h=y;y=0;if(!(h&1)){A9(j);break}F=pb()|0;A9(j);A9(G);sb(F|0)}while(0);y=0;f=qa(315,100)|0;j=y;y=0;if(!(j&1)){c=l;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,p|0,G|0);j=y;y=0;do if(j&1)c=pb()|0;else{y=0;oa(460,q|0,0);j=y;y=0;if(j&1){c=pb()|0;A9(p);break}k[q>>2]=6756;y=0;oa(460,n|0,0);j=y;y=0;if(j&1){c=pb()|0;d=1}else{k[n>>2]=6868;y=0;oa(460,m|0,0);j=y;y=0;if(j&1){c=pb()|0;d=1}else{k[m>>2]=7284;y=0;c=u;d=l;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));ya(20,f|0,u|0,p|0,q|0,n|0,m|0);l=y;y=0;if(l&1)d=1;else{y=0;oa(460,a|0,f|0);l=y;y=0;if(l&1)d=0;else{k[a>>2]=17116;DO(m);DO(n);DO(q);A9(p);f=b+76|0;y=0;Na(118,o|0,b|0,k[f>>2]|0);q=y;y=0;b:do if(q&1)F=47;else{e=k[o+8>>2]|0;do if(e|0){y=0;c=qa(344,e|0)|0;q=y;y=0;if(q&1){F=47;break b}q=c|0?c:e;q=(i[q>>0]|0)==59?q+1|0:0;c=b+80|0;if(!((q|0)==0?1:q>>>0>(k[c>>2]|0)>>>0)){k[o>>2]=e;break}y=0;d=qa(344,e|0)|0;q=y;y=0;if(q&1){F=47;break b}q=d|0?d:e;q=(i[q>>0]|0)==125?q+1|0:0;if((q|0)==0?1:q>>>0>(k[c>>2]|0)>>>0)break;k[o>>2]=e}while(0);c:do if(!(k[o>>2]|0))F=50;else{if(i[o+13>>0]|0){F=50;break}c=k[a+4>>2]|0;y=0;Na(106,t|0,b|0,0);q=y;y=0;if(q&1){F=48;break}d=c+84|0;c=c+88|0;if(!(k[c>>2]|0))F=36;else{y=0;na(423,d|0);q=y;y=0;if(!(q&1))F=36}do if((F|0)==36){k[c>>2]=k[t+4>>2];y=0;na(424,d|0);q=y;y=0;if(q&1)break;y=0;oa(460,s|0,k[c>>2]|0);q=y;y=0;if(q&1)break;k[s>>2]=6756;DO(s);DO(t);F=50;break c}while(0);c=pb()|0;DO(t)}while(0);d:do if((F|0)==50){y=0;ta(53,b|0,0,0)|0;t=y;y=0;if(t&1){F=48;break}y=0;c=ta(138,b|0,1,0)|0;t=y;y=0;if(t&1){F=48;break}e:do if(!c){c=k[f>>2]|0;y=0;d=qa(344,c|0)|0;z=y;y=0;if(z&1){F=48;break d}c=d|0?d:c;d=i[c>>0]|0;c=c+1|0;if(d<<24>>24!=123){z=d<<24>>24|0;c=(z|0)!=125?((z|0)==59?c:0):c}if(!((c|0)==0?1:c>>>0>(k[b+80>>2]|0)>>>0))break;c=k[a+4>>2]|0;y=0;Na(111,B|0,b|0,0);z=y;y=0;if(z&1){F=48;break d}d=c+92|0;c=c+96|0;if(!(k[c>>2]|0))F=70;else{y=0;na(423,d|0);z=y;y=0;if(!(z&1))F=70}do if((F|0)==70){k[c>>2]=k[B+4>>2];y=0;na(424,d|0);z=y;y=0;if(z&1)break;y=0;oa(460,A|0,k[c>>2]|0);z=y;y=0;if(z&1)break;k[A>>2]=7284;DO(A);DO(B);break e}while(0);c=pb()|0;DO(B);break d}else{c=k[a+4>>2]|0;y=0;k[u>>2]=k[v>>2];k[u+4>>2]=k[v+4>>2];k[u+8>>2]=k[v+8>>2];Ra(27,z|0,b|0,u|0,0);B=y;y=0;if(B&1){F=48;break d}y=0;oa(460,x|0,k[z+4>>2]|0);B=y;y=0;if(B&1)c=pb()|0;else{k[x>>2]=7284;d=c+92|0;c=c+96|0;if(!(k[c>>2]|0))F=57;else{y=0;na(423,d|0);B=y;y=0;if(!(B&1))F=57}do if((F|0)==57){k[c>>2]=k[x+4>>2];y=0;na(424,d|0);B=y;y=0;if(B&1)break;y=0;oa(460,w|0,k[c>>2]|0);B=y;y=0;if(B&1)break;k[w>>2]=7284;DO(w);DO(x);DO(z);break e}while(0);c=pb()|0;DO(x)}DO(z);break d}while(0);y=0;ta(53,b|0,0,0)|0;B=y;y=0;if(B&1){F=48;break}c=k[f>>2]|0;y=0;d=qa(344,c|0)|0;B=y;y=0;if(B&1){F=48;break}B=d|0?d:c;B=(i[B>>0]|0)==123?B+1|0:0;if((B|0)==0?1:B>>>0>(k[b+80>>2]|0)>>>0){A9(G);r=E;return}c=k[a+4>>2]|0;y=0;Na(121,D|0,b|0,0);b=y;y=0;if(b&1){F=48;break}d=c+64|0;c=c+68|0;if(!(k[c>>2]|0))F=80;else{y=0;na(423,d|0);b=y;y=0;if(!(b&1))F=80}do if((F|0)==80){k[c>>2]=k[D+4>>2];y=0;na(424,d|0);b=y;y=0;if(b&1)break;y=0;oa(460,C|0,k[c>>2]|0);b=y;y=0;if(b&1)break;k[C>>2]=6868;DO(C);DO(D);A9(G);r=E;return}while(0);c=pb()|0;DO(D)}while(0);if((F|0)==48)c=pb()|0}while(0);if((F|0)==47)c=pb()|0;DO(a);F=c;A9(G);sb(F|0)}}c=pb()|0;DO(m)}DO(n)}DO(q);A9(p);if(!d){F=c;A9(G);sb(F|0)}}while(0);cra(f);F=c;A9(G);sb(F|0)}}while(0);F=pb()|0;A9(G);sb(F|0)}function Re(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0;u=0;S=r;r=r+208|0;P=S+160|0;A=S+205|0;B=S+152|0;C=S+144|0;D=S+204|0;E=S+136|0;F=S+128|0;G=S+203|0;v=S+120|0;w=S+112|0;x=S+202|0;z=S+104|0;n=S+96|0;s=S+201|0;t=S+88|0;j=S+80|0;l=S+200|0;m=S+72|0;T=S+56|0;I=S+44|0;H=S+32|0;O=S+16|0;Q=S;R=i[b+11>>0]|0;if(!((R<<24>>24<0?k[b+4>>2]|0:R&255)|0)){e=a+76|0;d=a+80|0;g=k[d>>2]|0;h=k[e>>2]|0;f=h;if((g|0)==(h|0))if((k[a+92>>2]|0)==(k[a+88>>2]|0)){r=S;return}else{M=d;L=e;e=g;d=g}else{M=d;L=e;e=g;d=h}}else{e=a+80|0;L=a+76|0;d=k[L>>2]|0;M=e;f=d;e=k[e>>2]|0}k[T+4>>2]=0;k[T+8>>2]=0;R=T+4|0;k[T>>2]=R;K=e-d|0;e=(K|0)/12|0;a:do if(K|0){g=a+76|0;d=0;while(1){K=f+(d*12|0)|0;k[j>>2]=K;y=0;ya(10,m|0,T|0,K|0,85896,j|0,l|0);K=y;y=0;if(K&1)break;K=(k[m>>2]|0)+28|0;k[K>>2]=(k[K>>2]|0)+1;d=d+1|0;if(d>>>0>=e>>>0)break a;f=k[g>>2]|0}S=pb()|0;R=k[R>>2]|0;vE(T,R);sb(S|0)}while(0);J=a+88|0;K=a+92|0;d=k[K>>2]|0;e=k[J>>2]|0;m=d-e|0;f=(m|0)/12|0;do if(!m){l=J;h=d}else{d=0;while(1){m=e+(d*12|0)|0;k[n>>2]=m;y=0;ya(10,t|0,T|0,m|0,85896,n|0,s|0);m=y;y=0;if(m&1)break;e=(k[t>>2]|0)+28|0;k[e>>2]=(k[e>>2]|0)+-1;d=d+1|0;e=k[J>>2]|0;if(d>>>0>=f>>>0){u=14;break}}if((u|0)==14){l=J;h=k[K>>2]|0;break}S=pb()|0;R=k[R>>2]|0;vE(T,R);sb(S|0)}while(0);j=a+76|0;d=k[M>>2]|0;do if((e|0)==(h|0)){o=1.0;u=47}else{q=1.0;f=k[j>>2]|0;b:while(1){y=0;oa(456,I|0,e|0);e=e+12|0;u=y;y=0;if(u&1){u=23;break}k[w>>2]=I;y=0;ya(10,z|0,T|0,I|0,85896,w|0,x|0);u=y;y=0;if(u&1){u=27;break}c:do if((k[(k[z>>2]|0)+28>>2]|0)>-1)o=q;else{y=0;g=qa(314,I|0)|0;u=y;y=0;if(u&1){u=27;break b}if((g|0)==1280|(f|0)==(d|0))o=q;else{while(1){u=f;f=f+12|0;y=0;oa(456,H|0,u|0);u=y;y=0;if(u&1){u=26;break b}k[P>>2]=H;y=0;ya(10,B|0,T|0,H|0,85896,P|0,A|0);u=y;y=0;if(u&1){u=34;break b}if((k[(k[B>>2]|0)+28>>2]|0)>=1){y=0;g=qa(314,H|0)|0;u=y;y=0;if(u&1){u=34;break b}if((g|0)!=1280)break}A9(H);if((f|0)==(d|0)){o=q;f=d;break c}}y=0;o=+Ja(1,H|0,I|0,c|0);u=y;y=0;if(u&1){u=35;break b}k[C>>2]=H;y=0;ya(10,E|0,T|0,H|0,85896,C|0,D|0);u=y;y=0;if(u&1){u=35;break b}u=(k[E>>2]|0)+28|0;k[u>>2]=(k[u>>2]|0)+-1;k[F>>2]=I;y=0;ya(10,v|0,T|0,I|0,85896,F|0,G|0);u=y;y=0;if(u&1){u=35;break b}u=(k[v>>2]|0)+28|0;k[u>>2]=(k[u>>2]|0)+1;A9(H);o=q*o}}while(0);A9(I);if((e|0)==(h|0)){u=46;break}else q=o}if((u|0)==23){d=pb()|0;break}else if((u|0)==26){d=pb()|0;u=28}else if((u|0)==27){d=pb()|0;u=28}else if((u|0)==34){d=pb()|0;u=36}else if((u|0)==35){d=pb()|0;u=36}else if((u|0)==46){d=k[M>>2]|0;u=47;break}if((u|0)!=28)if((u|0)==36)A9(H);A9(I);S=d;R=k[R>>2]|0;vE(T,R);sb(S|0)}while(0);d:do if((u|0)==47){e=k[j>>2]|0;if((d|0)!=(e|0))do{I=d+-12|0;k[M>>2]=I;A9(I);d=k[M>>2]|0}while((d|0)!=(e|0));e=k[l>>2]|0;d=k[K>>2]|0;if((d|0)!=(e|0))do{I=d+-12|0;k[K>>2]=I;A9(I);d=k[K>>2]|0}while((d|0)!=(e|0));d=k[T>>2]|0;e:do if((d|0)!=(R|0)){h=O+12|0;j=O+11|0;l=O+4|0;m=a+96|0;n=a+84|0;e=d;f:while(1){y=0;oa(456,O|0,e+16|0);I=y;y=0;if(I&1){u=54;break}I=k[e+28>>2]|0;k[h>>2]=I;g=(I|0)>-1?I:0-I|0;if(I|0){f=0;do{I=i[j>>0]|0;do if((I<<24>>24<0?k[l>>2]|0:I&255)|0){d=k[h>>2]|0;if((d|0)<0){d=k[K>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;oa(457,J|0,O|0);I=y;y=0;if(I&1){u=68;break f}else break}y=0;oa(456,d|0,O|0);I=y;y=0;if(I&1){u=68;break f}k[K>>2]=(k[K>>2]|0)+12;break}if(d|0){d=k[M>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;oa(457,L|0,O|0);I=y;y=0;if(I&1){u=68;break f}else break}y=0;oa(456,d|0,O|0);I=y;y=0;if(I&1){u=68;break f}k[M>>2]=(k[M>>2]|0)+12}}while(0);f=f+1|0}while(f>>>0<g>>>0)}A9(O);d=k[e+4>>2]|0;if(!d)while(1){d=k[e+8>>2]|0;if((k[d>>2]|0)==(e|0))break;else e=d}else while(1){e=k[d>>2]|0;if(!e)break;else d=e}if((d|0)==(R|0))break e;else e=d}if((u|0)==54){S=pb()|0;R=k[R>>2]|0;vE(T,R);sb(S|0)}else if((u|0)==68){S=pb()|0;A9(O);R=k[R>>2]|0;vE(T,R);sb(S|0)}}while(0);O=a+64|0;p[O>>3]=o*+p[O>>3];y=0;ta(40,a|0,b|0,c|0)|0;O=y;y=0;g:do if(O&1){d=cb(152,0)|0;O=N;O=(O|0)==(ob(152)|0);d=vb(d|0)|0;if(!O){y=0;la(4);y=0;e=pb()|0;y=0;la(3);O=y;y=0;if(O&1){O=tb(0)|0;Sla(O)}else{S=e;R=k[R>>2]|0;vE(T,R);sb(S|0)}}c=oc[k[(k[d>>2]|0)+8>>2]&511](d)|0;k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;O=IJ(c)|0;y=0;Na(74,Q|0,c|0,O|0);O=y;y=0;do if(O&1)d=pb()|0;else{y=0;f=P;d=a+12|0;e=f+40|0;do{k[f>>2]=k[d>>2];f=f+4|0;d=d+4|0}while((f|0)<(e|0));oa(454,Q|0,P|0);P=y;y=0;if(P&1){d=pb()|0;A9(Q);break}A9(Q);y=0;la(3);Q=y;y=0;if(!(Q&1))break g;d=pb()|0;break d}while(0);y=0;la(3);Q=y;y=0;if(Q&1){Q=tb(0)|0;Sla(Q)}else{S=d;R=k[R>>2]|0;vE(T,R);sb(S|0)}}while(0);vE(T,k[R>>2]|0);r=S;return}while(0);S=d;R=k[R>>2]|0;vE(T,R);sb(S|0)}function Se(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;R=0;Z=r;r=r+192|0;I=Z+176|0;L=Z+187|0;M=Z+168|0;N=Z+160|0;O=Z+186|0;P=Z+152|0;Q=Z+144|0;F=Z+185|0;G=Z+136|0;u=Z+128|0;v=Z+184|0;w=Z+120|0;x=Z+112|0;z=Z+183|0;A=Z+104|0;B=Z+96|0;C=Z+182|0;D=Z+88|0;l=Z+80|0;m=Z+181|0;n=Z+72|0;f=Z+64|0;g=Z+180|0;h=Z+56|0;U=Z+40|0;E=Z+28|0;H=Z+16|0;V=Z;J=b+11|0;Y=i[J>>0]|0;K=b+4|0;if(!((Y<<24>>24<0?k[K>>2]|0:Y&255)|0)){r=Z;return 1}k[U+4>>2]=0;k[U+8>>2]=0;W=U+4|0;k[U>>2]=W;X=a+76|0;Y=a+80|0;e=k[X>>2]|0;T=(k[Y>>2]|0)-e|0;j=(T|0)/12|0;a:do if(T|0){d=0;while(1){T=e+(d*12|0)|0;k[f>>2]=T;y=0;ya(10,h|0,U|0,T|0,85896,f|0,g|0);T=y;y=0;if(T&1)break;T=(k[h>>2]|0)+28|0;k[T>>2]=(k[T>>2]|0)+1;d=d+1|0;if(d>>>0>=j>>>0)break a;e=k[X>>2]|0}Z=pb()|0;Y=k[W>>2]|0;vE(U,Y);sb(Z|0)}while(0);S=a+88|0;T=a+92|0;e=k[T>>2]|0;d=k[S>>2]|0;t=e-d|0;f=(t|0)/12|0;do if(!t)n=e;else{e=0;while(1){t=d+(e*12|0)|0;k[l>>2]=t;y=0;ya(10,n|0,U|0,t|0,85896,l|0,m|0);t=y;y=0;if(t&1)break;d=(k[n>>2]|0)+28|0;k[d>>2]=(k[d>>2]|0)+-1;e=e+1|0;d=k[S>>2]|0;if(e>>>0>=f>>>0){R=10;break}}if((R|0)==10){n=k[T>>2]|0;break}Z=pb()|0;Y=k[W>>2]|0;vE(U,Y);sb(Z|0)}while(0);b:do if((d|0)==(n|0))o=1.0;else{s=E+11|0;t=E+4|0;o=1.0;while(1){y=0;oa(456,E|0,d|0);d=d+12|0;m=y;y=0;if(m&1){R=25;break}g=i[s>>0]|0;l=g<<24>>24<0;g=g&255;m=l?k[t>>2]|0:g;j=i[J>>0]|0;e=j<<24>>24<0;c:do if((m|0)==((e?k[K>>2]|0:j&255)|0)){h=k[E>>2]|0;j=l?h:E;e=e?k[b>>2]|0:b;f=(m|0)==0;if(l){if(f)break;if(!(bN(j,e,m)|0))break;else{R=26;break}}if(!f)if((h&255)<<24>>24==(i[e>>0]|0)){f=E;while(1){g=g+-1|0;f=f+1|0;if(!g)break c;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0)){R=26;break}}}else R=26}else R=26;while(0);if((R|0)==26){R=0;k[B>>2]=E;y=0;ya(10,D|0,U|0,E|0,85896,B|0,C|0);m=y;y=0;if(m&1){R=28;break}if((k[(k[D>>2]|0)+28>>2]|0)<=-1){y=0;e=qa(314,E|0)|0;m=y;y=0;if(m&1){R=28;break}if((e|0)!=1280){y=0;q=+Ja(1,E|0,b|0,c|0);m=y;y=0;if(m&1){R=28;break}k[x>>2]=E;y=0;ya(10,A|0,U|0,E|0,85896,x|0,z|0);m=y;y=0;if(m&1){R=28;break}m=(k[A>>2]|0)+28|0;k[m>>2]=(k[m>>2]|0)+1;k[u>>2]=b;y=0;ya(10,w|0,U|0,b|0,85896,u|0,v|0);m=y;y=0;if(m&1){R=28;break}m=(k[w>>2]|0)+28|0;k[m>>2]=(k[m>>2]|0)+-1;o=o*q}}}A9(E);if((d|0)==(n|0))break b}if((R|0)==25){Z=pb()|0;Y=k[W>>2]|0;vE(U,Y);sb(Z|0)}else if((R|0)==28){Z=pb()|0;A9(E);Y=k[W>>2]|0;vE(U,Y);sb(Z|0)}}while(0);d=k[X>>2]|0;n=k[Y>>2]|0;do if((d|0)!=(n|0)){s=H+11|0;t=H+4|0;while(1){y=0;oa(456,H|0,d|0);d=d+12|0;E=y;y=0;if(E&1){R=47;break}g=i[s>>0]|0;h=g<<24>>24<0;g=g&255;j=h?k[t>>2]|0:g;E=i[J>>0]|0;e=E<<24>>24<0;d:do if((j|0)==((e?k[K>>2]|0:E&255)|0)){l=k[H>>2]|0;m=h?l:H;e=e?k[b>>2]|0:b;f=(j|0)==0;if(h){if(f)break;if(!(bN(m,e,j)|0))break;else{R=48;break}}if(!f)if((l&255)<<24>>24==(i[e>>0]|0)){f=H;while(1){g=g+-1|0;f=f+1|0;if(!g)break d;e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0)){R=48;break}}}else R=48}else R=48;while(0);if((R|0)==48){R=0;k[I>>2]=H;y=0;ya(10,M|0,U|0,H|0,85896,I|0,L|0);E=y;y=0;if(E&1){R=50;break}if((k[(k[M>>2]|0)+28>>2]|0)>=1){y=0;e=qa(314,H|0)|0;E=y;y=0;if(E&1){R=50;break}if((e|0)!=1280){y=0;q=+Ja(1,H|0,b|0,c|0);E=y;y=0;if(E&1){R=50;break}k[N>>2]=H;y=0;ya(10,P|0,U|0,H|0,85896,N|0,O|0);E=y;y=0;if(E&1){R=50;break}E=(k[P>>2]|0)+28|0;k[E>>2]=(k[E>>2]|0)+-1;k[Q>>2]=b;y=0;ya(10,G|0,U|0,b|0,85896,Q|0,F|0);E=y;y=0;if(E&1){R=50;break}E=(k[G>>2]|0)+28|0;k[E>>2]=(k[E>>2]|0)+1;o=o*q}}}A9(H);if((d|0)==(n|0)){R=58;break}}if((R|0)==47){Z=pb()|0;Y=k[W>>2]|0;vE(U,Y);sb(Z|0)}else if((R|0)==50){Z=pb()|0;A9(H);Y=k[W>>2]|0;vE(U,Y);sb(Z|0)}else if((R|0)==58){e=k[X>>2]|0;d=k[Y>>2]|0;if((d|0)==(e|0))break;do{R=d+-12|0;k[Y>>2]=R;A9(R);d=k[Y>>2]|0}while((d|0)!=(e|0))}}while(0);e=k[S>>2]|0;d=k[T>>2]|0;if((d|0)!=(e|0))do{R=d+-12|0;k[T>>2]=R;A9(R);d=k[T>>2]|0}while((d|0)!=(e|0));d=k[U>>2]|0;e:do if((d|0)!=(W|0)){h=V+12|0;j=V+11|0;l=V+4|0;m=a+96|0;n=a+84|0;e=d;f:while(1){y=0;oa(456,V|0,e+16|0);R=y;y=0;if(R&1){R=65;break}R=k[e+28>>2]|0;k[h>>2]=R;g=(R|0)>-1?R:0-R|0;if(R|0){f=0;do{R=i[j>>0]|0;do if((R<<24>>24<0?k[l>>2]|0:R&255)|0){d=k[h>>2]|0;if((d|0)<0){d=k[T>>2]|0;if((d|0)==(k[m>>2]|0)){y=0;oa(457,S|0,V|0);R=y;y=0;if(R&1){R=79;break f}else break}y=0;oa(456,d|0,V|0);R=y;y=0;if(R&1){R=79;break f}k[T>>2]=(k[T>>2]|0)+12;break}if(d|0){d=k[Y>>2]|0;if((d|0)==(k[n>>2]|0)){y=0;oa(457,X|0,V|0);R=y;y=0;if(R&1){R=79;break f}else break}y=0;oa(456,d|0,V|0);R=y;y=0;if(R&1){R=79;break f}k[Y>>2]=(k[Y>>2]|0)+12}}while(0);f=f+1|0}while(f>>>0<g>>>0)}A9(V);d=k[e+4>>2]|0;if(!d)while(1){d=k[e+8>>2]|0;if((k[d>>2]|0)==(e|0))break;else e=d}else while(1){e=k[d>>2]|0;if(!e)break;else d=e}if((d|0)==(W|0))break e;else e=d}if((R|0)==65){Z=pb()|0;Y=k[W>>2]|0;vE(U,Y);sb(Z|0)}else if((R|0)==79){Z=pb()|0;A9(V);Y=k[W>>2]|0;vE(U,Y);sb(Z|0)}}while(0);Y=a+64|0;p[Y>>3]=o*+p[Y>>3];vE(U,k[W>>2]|0);r=Z;return 1}function Te(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;s=0;w=r;r=r+128|0;t=w+88|0;x=w+36|0;q=w+12|0;c=w;u=w+48|0;v=w+24|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,38830,7);o=y;y=0;a:do if(o&1){b=tb(0)|0;s=27}else{y=0;b=t;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));n=sa(25,q|0,a|0,d|0,t|0,f|0)|0;o=y;y=0;if(o&1){b=tb(0)|0;A9(q);s=27;break}A9(q);y=0;Ha(969,x|0,n+64|0)|0;o=y;y=0;if(o&1){b=tb(0)|0;s=77;break}y=0;ma(5,t|0,x|0,0,0,1);o=y;y=0;if(o&1){b=tb(0)|0;s=77;break}o=x+11|0;if((i[o>>0]|0)<0){i[k[x>>2]>>0]=0;k[x+4>>2]=0}else{i[x>>0]=0;i[o>>0]=0}y=0;oa(500,x|0,0);m=y;y=0;if(m&1){m=tb(0)|0;Sla(m)}k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;A9(t);k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,39128,7);m=y;y=0;do if(m&1)b=tb(0)|0;else{y=0;b=t;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));b=sa(25,q|0,a|0,d|0,t|0,f|0)|0;m=y;y=0;if(m&1){b=tb(0)|0;A9(q);break}A9(q);y=0;oa(456,q|0,b+64|0);m=y;y=0;if(m&1){b=tb(0)|0;s=77;break a}y=0;ma(5,t|0,q|0,0,0,1);m=y;y=0;b:do if(m&1)b=tb(0)|0;else{m=q+11|0;if((i[m>>0]|0)<0){i[k[q>>2]>>0]=0;k[q+4>>2]=0}else{i[q>>0]=0;i[m>>0]=0}y=0;oa(500,q|0,0);l=y;y=0;if(l&1){l=tb(0)|0;Sla(l)}k[q>>2]=k[t>>2];k[q+4>>2]=k[t+4>>2];k[q+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;A9(t);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;Na(74,c|0,39136,6);l=y;y=0;do if(l&1)b=tb(0)|0;else{y=0;b=t;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));b=sa(23,c|0,a|0,d|0,t|0,f|0)|0;d=y;y=0;if(d&1){b=tb(0)|0;A9(c);break}A9(c);h=+p[b+64>>3];b=i[o>>0]|0;c=x+4|0;y=0;b=ta(50,x|0,0,(b<<24>>24<0?k[c>>2]|0:b&255)|0)|0;d=y;y=0;if(d&1){b=tb(0)|0;break b}j=+(b>>>0);c:do if(!(h>0.0)|!(h<=j)){if(h>j){m=i[m>>0]|0;d=m<<24>>24<0;y=0;ta(41,x|0,(d?k[q>>2]|0:q)|0,(d?k[q+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){s=39;break}else break}if(h==0.0){k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;m=i[m>>0]|0;d=m<<24>>24<0;m=d?k[q+4>>2]|0:m&255;b=i[o>>0]|0;b=b<<24>>24<0?k[c>>2]|0:b&255;y=0;Ra(10,t|0,(d?k[q>>2]|0:q)|0,m|0,b+m|0);m=y;y=0;do if(!(m&1)){y=0;ta(41,t|0,((i[o>>0]|0)<0?k[x>>2]|0:x)|0,b|0)|0;m=y;y=0;if(m&1)break;if((i[o>>0]|0)<0){i[k[x>>2]>>0]=0;k[c>>2]=0}else{i[x>>0]=0;i[o>>0]=0}y=0;oa(500,x|0,0);m=y;y=0;if(m&1){s=tb(0)|0;Sla(s)}else{k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;A9(t);break c}}while(0);b=tb(0)|0;A9(t);break b}if(+P(+h)<=j){y=0;b=Ha(983,x|0,~~(h+ +((b+1|0)>>>0))>>>0|0)|0;d=y;y=0;if(d&1){s=39;break}m=i[m>>0]|0;d=m<<24>>24<0;y=0;Ma(9,x|0,b|0,(d?k[q>>2]|0:q)|0,(d?k[q+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1){s=39;break}else break}k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;m=i[m>>0]|0;d=m<<24>>24<0;m=d?k[q+4>>2]|0:m&255;b=i[o>>0]|0;b=b<<24>>24<0?k[c>>2]|0:b&255;y=0;Ra(10,t|0,(d?k[q>>2]|0:q)|0,m|0,b+m|0);m=y;y=0;do if(!(m&1)){y=0;ta(41,t|0,((i[o>>0]|0)<0?k[x>>2]|0:x)|0,b|0)|0;m=y;y=0;if(m&1)break;if((i[o>>0]|0)<0){i[k[x>>2]>>0]=0;k[c>>2]=0}else{i[x>>0]=0;i[o>>0]=0}y=0;oa(500,x|0,0);m=y;y=0;if(m&1){s=tb(0)|0;Sla(s)}else{k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;A9(t);break c}}while(0);b=tb(0)|0;A9(t);break b}else{y=0;b=Ha(983,x|0,(~~h>>>0)+-1|0)|0;d=y;y=0;if(d&1){s=39;break}m=i[m>>0]|0;d=m<<24>>24<0;y=0;Ma(9,x|0,b|0,(d?k[q>>2]|0:q)|0,(d?k[q+4>>2]|0:m&255)|0)|0;m=y;y=0;if(m&1)s=39}while(0);if((s|0)==39){b=tb(0)|0;break b}do if(n|0){if((k[307]|0)!=(k[(k[(k[n>>2]|0)+-4>>2]|0)+4>>2]|0))break;if(!(i[n+60>>0]|0))break;y=0;Na(99,t|0,x|0,0);s=y;y=0;if(s&1){b=tb(0)|0;break b}if((i[o>>0]|0)<0){i[k[x>>2]>>0]=0;k[c>>2]=0}else{i[x>>0]=0;i[o>>0]=0}y=0;oa(500,x|0,0);f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}else{k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;A9(t);break}}while(0);A9(q);s=79;break a}while(0)}while(0);A9(q);s=77;break a}while(0);s=77}while(0);if((s|0)==27)s=77;do if((s|0)==77){vb(b|0)|0;y=0;oa(558,e|0,f|0);f=y;y=0;if(!(f&1)){y=0;la(3);f=y;y=0;if(f&1)break;else{s=79;break}}b=pb()|0;y=0;la(3);e=y;y=0;if(e&1){e=tb(0)|0;Sla(e)}else{e=b;A9(x);sb(e|0)}}while(0);if((s|0)==79){y=0;c=qa(315,80)|0;f=y;y=0;if(!(f&1)){b=u;g=e;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));y=0;oa(456,v|0,x|0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=t;g=u;l=b+40|0;do{k[b>>2]=k[g>>2];b=b+4|0;g=g+4|0}while((b|0)<(l|0));Ea(2,c|0,t|0,v|0,0,0,0,1);e=y;y=0;if(e&1){b=pb()|0;A9(v);break}else{A9(v);A9(x);r=w;return c|0}}while(0);cra(c);e=b;A9(x);sb(e|0)}}e=pb()|0;A9(x);sb(e|0);return 0}function Ue(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;L=0;J=r;r=r+480|0;q=J+80|0;n=J+40|0;s=J;c=J+432|0;j=J+408|0;K=J+420|0;E=J+396|0;B=J+384|0;x=J+372|0;l=J+320|0;t=J+292|0;C=J+360|0;z=J+304|0;w=J+280|0;m=J+192|0;u=J+176|0;G=J+268|0;F=J+256|0;D=J+244|0;A=J+232|0;o=J+136|0;v=J+120|0;d=b+11|0;if((i[((i[d>>0]|0)<0?k[b>>2]|0:b)>>0]|0)!=35){d=IM(80)|0;I=c;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));y=0;oa(456,j|0,b|0);L=y;y=0;do if(L&1)c=pb()|0;else{y=0;I=q;a=c;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));Ea(2,d|0,q|0,j|0,0,0,0,1);L=y;y=0;if(L&1){c=pb()|0;A9(j);break}A9(j);L=d;r=J;return L|0}while(0);cra(d);L=c;sb(L|0)}SG(K,b,1,-1,b);I=i[d>>0]|0;c=I<<24>>24<0;a:do switch((c?k[b+4>>2]|0:I&255)|0){case 4:{I=i[(c?k[b>>2]|0:b)+1>>0]|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;y=0;Na(116,E|0,2,I|0);I=y;y=0;if(I&1)L=18;else{I=i[((i[d>>0]|0)<0?k[b>>2]|0:b)+2>>0]|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(116,B|0,2,I|0);I=y;y=0;if(I&1)c=pb()|0;else{I=i[((i[d>>0]|0)<0?k[b>>2]|0:b)+3>>0]|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(116,x|0,2,I|0);I=y;y=0;if(I&1)c=pb()|0;else{y=0;d=qa(315,112)|0;I=y;y=0;if(I&1)c=pb()|0;else{I=l;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));f=+(nda((i[E+11>>0]|0)<0?k[E>>2]|0:E,0,16)|0);g=+(nda((i[B+11>>0]|0)<0?k[B>>2]|0:B,0,16)|0);c=nda((i[x+11>>0]|0)<0?k[x>>2]|0:x,0,16)|0;y=0;oa(456,t|0,b|0);I=y;y=0;if(I&1)c=pb()|0;else{I=q;a=l;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));y=0;na(422,d|0);I=y;y=0;do if(I&1)c=pb()|0;else{e=+(c|0);I=d+12|0;a=q;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;c=d+56|0;k[c>>2]=0;k[d>>2]=10548;p[d+64>>3]=f;p[d+72>>3]=g;p[d+80>>3]=e;p[d+88>>3]=1.0;y=0;oa(456,d+96|0,t|0);I=y;y=0;if(I&1){c=pb()|0;break}else{k[d+108>>2]=0;k[c>>2]=3;A9(t);A9(x);A9(B);A9(E);c=d;L=70;break a}}while(0);A9(t)}cra(d)}A9(x)}A9(B)}A9(E)}break}case 7:{y=0;ma(4,C|0,b|0,1,2,b|0);I=y;y=0;if(I&1)L=18;else{y=0;ma(4,z|0,b|0,3,2,b|0);I=y;y=0;if(I&1)c=pb()|0;else{y=0;ma(4,w|0,b|0,5,2,b|0);I=y;y=0;if(I&1)c=pb()|0;else{y=0;d=qa(315,112)|0;I=y;y=0;if(I&1)c=pb()|0;else{I=m;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));f=+(nda((i[C+11>>0]|0)<0?k[C>>2]|0:C,0,16)|0);g=+(nda((i[z+11>>0]|0)<0?k[z>>2]|0:z,0,16)|0);c=nda((i[w+11>>0]|0)<0?k[w>>2]|0:w,0,16)|0;y=0;oa(456,u|0,b|0);I=y;y=0;if(I&1)c=pb()|0;else{I=n;a=m;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));y=0;na(422,d|0);I=y;y=0;do if(I&1)c=pb()|0;else{e=+(c|0);I=d+12|0;a=n;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;c=d+56|0;k[c>>2]=0;k[d>>2]=10548;p[d+64>>3]=f;p[d+72>>3]=g;p[d+80>>3]=e;p[d+88>>3]=1.0;y=0;oa(456,d+96|0,u|0);I=y;y=0;if(I&1){c=pb()|0;break}else{k[d+108>>2]=0;k[c>>2]=3;A9(u);A9(w);A9(z);A9(C);c=d;L=70;break a}}while(0);A9(u)}cra(d)}A9(w)}A9(z)}A9(C)}break}default:{y=0;ma(4,G|0,b|0,1,2,b|0);I=y;y=0;if(I&1)L=18;else{y=0;ma(4,F|0,b|0,3,2,b|0);I=y;y=0;if(I&1)c=pb()|0;else{y=0;ma(4,D|0,b|0,5,2,b|0);I=y;y=0;if(I&1)c=pb()|0;else{y=0;ma(4,A|0,b|0,7,2,b|0);I=y;y=0;if(I&1)c=pb()|0;else{y=0;d=qa(315,112)|0;I=y;y=0;if(I&1)c=pb()|0;else{I=o;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));f=+(nda((i[G+11>>0]|0)<0?k[G>>2]|0:G,0,16)|0);g=+(nda((i[F+11>>0]|0)<0?k[F>>2]|0:F,0,16)|0);h=+(nda((i[D+11>>0]|0)<0?k[D>>2]|0:D,0,16)|0);c=nda((i[A+11>>0]|0)<0?k[A>>2]|0:A,0,16)|0;y=0;oa(456,v|0,b|0);I=y;y=0;if(I&1)c=pb()|0;else{I=s;a=o;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));y=0;na(422,d|0);I=y;y=0;do if(I&1)c=pb()|0;else{e=+(c|0)/255.0;I=d+12|0;a=s;H=I+40|0;do{k[I>>2]=k[a>>2];I=I+4|0;a=a+4|0}while((I|0)<(H|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;c=d+56|0;k[c>>2]=0;k[d>>2]=10548;p[d+64>>3]=f;p[d+72>>3]=g;p[d+80>>3]=h;p[d+88>>3]=e;y=0;oa(456,d+96|0,v|0);I=y;y=0;if(I&1){c=pb()|0;break}else{k[d+108>>2]=0;k[c>>2]=3;A9(v);A9(A);A9(D);A9(F);A9(G);c=d;L=70;break a}}while(0);A9(v)}cra(d)}A9(A)}A9(D)}A9(F)}A9(G)}}}while(0);if((L|0)==18)c=pb()|0;else if((L|0)==70){i[c+54>>0]=0;i[c+52>>0]=0;A9(K);L=c;r=J;return L|0}A9(K);L=c;sb(L|0);return 0}function Ve(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;t=0;p=r;r=r+208|0;o=p;v=p+196|0;m=p+144|0;h=p+184|0;u=p+128|0;j=p+64|0;l=p+120|0;n=p+80|0;s=p+48|0;q=p+40|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(o);t=5}else if(g>>>0<11){i[o+11>>0]=g;c=o}else t=5;if((t|0)==5){e=g+16&-16;c=IM(e)|0;k[o>>2]=c;k[o+8>>2]=e|-2147483648;k[o+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;oa(554,v|0,o|0);g=y;y=0;if(g&1){v=pb()|0;A9(o);sb(v|0)}A9(o);f=b+108|0;c=m;d=f;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;c=ta(88,b|0,1,0)|0;g=y;y=0;a:do if(g&1)t=18;else{b:do if(!c){k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;c=v+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[v+4>>2]|0:d&255;y=0;Ra(10,u|0,45732,19,d+19|0);g=y;y=0;if(g&1)t=19;else{y=0;ta(41,u|0,((i[c>>0]|0)<0?k[v>>2]|0:v)|0,d|0)|0;g=y;y=0;if(g&1)t=19;else{y=0;c=Ha(974,u|0,45752)|0;g=y;y=0;do if(g&1)c=pb()|0;else{k[h>>2]=k[c>>2];k[h+4>>2]=k[c+4>>2];k[h+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;k[o>>2]=k[f>>2];k[o+4>>2]=k[f+4>>2];k[o+8>>2]=k[f+8>>2];Na(108,b|0,h|0,o|0);g=y;y=0;if(g&1){c=pb()|0;A9(h);break}else{A9(h);A9(u);break b}}while(0);A9(u)}}if((t|0)==19){c=pb()|0;A9(u)}break a}while(0);e=b+76|0;y=0;c=qa(343,k[e>>2]|0)|0;h=y;y=0;if(h&1)t=18;else{f=b+80|0;if((c|0)==0?1:c>>>0>(k[f>>2]|0)>>>0)c=k[e>>2]|0;y=0;d=qa(344,c|0)|0;h=y;y=0;if(h&1)t=18;else{c=d|0?d:c;if((i[c>>0]|0)==59)c=c+1|0;else{y=0;c=qa(345,c|0)|0;h=y;y=0;if(h&1){t=18;break}}c:do if(!((c|0)==0?1:c>>>0>(k[f>>2]|0)>>>0)){k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,43044,11);h=y;y=0;if(h&1)c=pb()|0;else{k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,43056,7);h=y;y=0;if(h&1)c=pb()|0;else{k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,43423,44);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;ma(10,b|0,o|0,u|0,j|0,1);h=y;y=0;if(h&1){c=pb()|0;A9(j);break}else{A9(j);A9(u);A9(o);break c}}while(0);A9(u)}A9(o)}break a}while(0);y=0;oa(460,u|0,0);h=y;y=0;if(h&1)t=18;else{k[u>>2]=7284;y=0;Na(122,j|0,b|0,k[e>>2]|0);h=y;y=0;if(h&1)c=pb()|0;else{d:do if(!(i[j+13>>0]|0))t=58;else{c=k[j>>2]|0;if(!c)t=58;else{y=0;Na(115,l|0,b|0,c|0);j=y;y=0;if(j&1)c=pb()|0;else{y=0;oa(460,o|0,k[l+4>>2]|0);j=y;y=0;e:do if(j&1)c=pb()|0;else{k[o>>2]=7284;c=u+4|0;do if(k[c>>2]|0){y=0;na(423,u|0);j=y;y=0;if(!(j&1))break;c=pb()|0;DO(o);break e}while(0);h=o+4|0;k[c>>2]=k[h>>2];k[h>>2]=0;DO(o);DO(l);c=0;h=0;t=72;break d}while(0);DO(l)}}}while(0);f:do if((t|0)==58){y=0;Na(111,o|0,b|0,0);l=y;y=0;g:do if(l&1)c=pb()|0;else{c=u+4|0;do if(k[c>>2]|0){y=0;na(423,u|0);l=y;y=0;if(!(l&1))break;c=pb()|0;DO(o);break g}while(0);h=o+4|0;k[c>>2]=k[h>>2];k[h>>2]=0;DO(o);c=0;h=0;t=72;break f}while(0)}while(0);h:do if((t|0)==72){i:while(1){g=c;while(1){c=k[e>>2]|0;y=0;d=qa(344,c|0)|0;t=y;y=0;if(t&1){t=73;break i}d=d|0?d:c;y=0;c=qa(353,d|0)|0;t=y;y=0;if(t&1){t=73;break i}if(!c){y=0;c=qa(354,d|0)|0;t=y;y=0;if(t&1){t=73;break i}}if((c|0)==0?1:c>>>0>(k[f>>2]|0)>>>0){t=78;break i}y=0;c=ta(129,b|0,1,0)|0;t=y;y=0;if(t&1){t=73;break i}if(c|0){c=g;h=1;t=72;continue i}y=0;c=ta(130,b|0,1,0)|0;t=y;y=0;if(t&1){t=73;break i}g=g|(c|0)!=0}}do if((t|0)==73)c=pb()|0;else if((t|0)==78){y=0;f=qa(315,88)|0;b=y;y=0;if(b&1){c=pb()|0;break}c=n;d=m;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,s|0,v|0);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;oa(460,q|0,k[u+4>>2]|0);m=y;y=0;if(m&1){c=pb()|0;A9(s);break}k[q>>2]=7284;c=o;d=n;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;na(422,f|0);n=y;y=0;j:do if(n&1){c=1;t=91}else{c=f+12|0;d=o;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));c=f+52|0;k[c>>2]=0;k[f+56>>2]=0;i[f+60>>0]=0;k[f>>2]=7508;d=f+64|0;y=0;oa(456,d|0,s|0);o=y;y=0;do if(o&1)c=pb()|0;else{e=f+76|0;y=0;oa(460,e|0,k[q+4>>2]|0);o=y;y=0;if(o&1){c=pb()|0;A9(d);break}k[e>>2]=7284;i[f+84>>0]=h;i[f+85>>0]=g&1;k[c>>2]=10;y=0;oa(460,a|0,f|0);t=y;y=0;if(t&1){c=0;t=91;break j}k[a>>2]=17372;DO(q);A9(s);DO(u);A9(v);r=p;return}while(0);d=1}while(0);if((t|0)==91){p=pb()|0;d=c;c=p}DO(q);A9(s);if(!d)break h}while(0);cra(f);break h}while(0)}while(0)}DO(u)}}}}while(0);if((t|0)==18)c=pb()|0;A9(v);v=c;sb(v|0)}function We(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;z=r;r=r+336|0;s=z+80|0;d=z+40|0;x=z;D=z+280|0;j=z+328|0;h=z+288|0;m=z+272|0;l=z+264|0;p=z+256|0;n=z+248|0;C=z+240|0;q=z+232|0;t=z+192|0;v=z+184|0;u=z+176|0;w=z+136|0;B=z+128|0;A=z+120|0;c=k[a+24>>2]|0;if((c|0)==(k[a+20>>2]|0))a=k[a+8>>2]|0;else a=c+-4|0;a=k[a>>2]|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;if(!a)a=0;else a=(k[81]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)?a:0;LT(D,a);k[D>>2]=17180;y=0;o=qa(315,88)|0;g=y;y=0;if(g&1){C=pb()|0;DO(D);sb(C|0)}c=D+4|0;y=0;oa(460,j|0,k[(k[c>>2]|0)+68>>2]|0);g=y;y=0;if(g&1)a=pb()|0;else{k[j>>2]=6868;e=d;f=(k[j+4>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(422,o|0);g=y;y=0;do if(g&1)a=pb()|0;else{e=o+12|0;f=d;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[o>>2]=6564;k[o+52>>2]=0;k[o+56>>2]=0;i[o+60>>0]=0;a=o+64|0;k[a>>2]=6524;f=o+68|0;g=o+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(565,f|0,0);e=y;y=0;if(e&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{C=d+-8|0;k[g>>2]=C;lc[k[k[C>>2]>>2]&511](C);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c)}break}k[o>>2]=6368;k[a>>2]=6468;i[o+84>>0]=0;DO(j);y=0;j=qa(315,84)|0;g=y;y=0;if(g&1){C=pb()|0;DO(D);sb(C|0)}a=k[c>>2]|0;e=h;f=a+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(460,m|0,k[a+76>>2]|0);g=y;y=0;if(g&1)a=pb()|0;else{k[m>>2]=6756;y=0;oa(460,l|0,o|0);o=y;y=0;do if(o&1)a=pb()|0;else{k[l>>2]=6868;y=0;e=s;f=h;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Ra(32,j|0,s|0,m|0,l|0);o=y;y=0;if(o&1){a=pb()|0;DO(l);break}DO(l);DO(m);k[j+56>>2]=k[(k[c>>2]|0)+56>>2];y=0;oa(460,p|0,k[j+68>>2]|0);o=y;y=0;a:do if(!(o&1)){k[p>>2]=6868;a=(k[p+4>>2]|0)+64|0;c=k[(k[a>>2]|0)+24>>2]|0;d=b+68|0;y=0;oa(460,n|0,k[d>>2]|0);o=y;y=0;do if(o&1)a=pb()|0;else{k[n>>2]=6868;o=k[n+4>>2]|0;y=0;oa(c|0,a|0,((o|0)==0?0:o+64|0)|0);o=y;y=0;if(o&1){a=pb()|0;DO(n);break}DO(n);DO(p);y=0;h=qa(315,88)|0;p=y;y=0;if(p&1)break a;y=0;oa(460,C|0,k[d>>2]|0);p=y;y=0;if(p&1)a=pb()|0;else{k[C>>2]=6868;e=s;f=(k[C+4>>2]|0)+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(422,h|0);p=y;y=0;do if(p&1)a=pb()|0;else{e=h+12|0;f=s;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[h>>2]=6564;k[h+52>>2]=0;k[h+56>>2]=0;i[h+60>>0]=0;c=h+64|0;k[c>>2]=6524;f=h+68|0;g=h+72|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;y=0;oa(565,f|0,0);p=y;y=0;if(p&1){a=pb()|0;e=N;c=k[f>>2]|0;if(c|0){d=k[g>>2]|0;if((d|0)!=(c|0)){do{B=d+-8|0;k[g>>2]=B;lc[k[k[B>>2]>>2]&511](B);d=k[g>>2]|0}while((d|0)!=(c|0));c=k[f>>2]|0}cra(c)}break}k[h>>2]=6368;k[c>>2]=6468;i[h+84>>0]=0;DO(C);a=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,q|0,j|0);C=y;y=0;do if(!(C&1)){k[q>>2]=6508;y=0;oa(a|0,c|0,q|0);C=y;y=0;if(C&1){C=pb()|0;DO(q);DO(D);sb(C|0)}DO(q);y=0;d=qa(315,80)|0;C=y;y=0;if(C&1)break;e=t;f=b+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(460,v|0,k[b+76>>2]|0);C=y;y=0;if(C&1)a=pb()|0;else{k[v>>2]=11804;y=0;oa(460,u|0,h|0);C=y;y=0;do if(C&1)a=pb()|0;else{k[u>>2]=6868;y=0;e=s;f=t;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));Ra(35,d|0,s|0,v|0,u|0);C=y;y=0;if(C&1){a=pb()|0;DO(u);break}DO(u);DO(v);k[d+56>>2]=k[b+56>>2];y=0;c=qa(315,76)|0;C=y;y=0;if(C&1){C=pb()|0;DO(D);sb(C|0)}e=w;f=d+12|0;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;oa(460,B|0,d|0);C=y;y=0;if(C&1)a=pb()|0;else{k[B>>2]=6508;y=0;oa(460,A|0,0);C=y;y=0;if(C&1)a=pb()|0;else{k[A>>2]=6508;e=x;f=w;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));y=0;na(422,c|0);C=y;y=0;do if(C&1)a=pb()|0;else{e=c+12|0;f=x;g=e+40|0;do{k[e>>2]=k[f>>2];e=e+4|0;f=f+4|0}while((e|0)<(g|0));k[c+52>>2]=6;k[c+56>>2]=0;i[c+60>>0]=0;k[c>>2]=6884;a=c+64|0;y=0;oa(460,a|0,k[B+4>>2]|0);C=y;y=0;if(C&1){a=pb()|0;break}else{k[a>>2]=6508;i[c+72>>0]=(k[A+4>>2]|0)==0&1;DO(A);DO(B);DO(D);r=z;return c|0}}while(0);DO(A)}DO(B)}cra(c);C=a;DO(D);sb(C|0)}while(0);DO(v)}cra(d);C=a;DO(D);sb(C|0)}while(0);C=pb()|0;DO(D);sb(C|0)}while(0);DO(C)}cra(h);C=a;DO(D);sb(C|0)}while(0);DO(p);C=a;DO(D);sb(C|0)}while(0);C=pb()|0;DO(D);sb(C|0)}while(0);DO(m)}cra(j);C=a;DO(D);sb(C|0)}while(0);DO(j)}cra(o);C=a;DO(D);sb(C|0);return 0}function Xe(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;F=0;E=r;r=r+256|0;u=E+208|0;G=E+168|0;h=E+192|0;j=E+180|0;l=E+128|0;p=E+112|0;o=E+88|0;n=E+80|0;m=E+72|0;q=E+96|0;s=E+64|0;t=E+56|0;w=E+48|0;x=E+40|0;z=E+32|0;A=E+24|0;B=E+16|0;C=E+8|0;D=E;v=b+156|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(G);F=5}else if(g>>>0<11){i[G+11>>0]=g;c=G}else F=5;if((F|0)==5){e=g+16&-16;c=IM(e)|0;k[G>>2]=c;k[G+8>>2]=e|-2147483648;k[G+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;k[h>>2]=44293;k[h+4>>2]=44293;k[h+8>>2]=44298;y=0;k[u>>2]=k[h>>2];k[u+4>>2]=k[h+4>>2];k[u+8>>2]=k[h+8>>2];c=Ha(1010,v|0,u|0)|0;h=y;y=0;a:do if(!(h&1)){do if(c){k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,44299,38);h=y;y=0;if(h&1)break a;h=b+108|0;y=0;k[u>>2]=k[h>>2];k[u+4>>2]=k[h+4>>2];k[u+8>>2]=k[h+8>>2];Na(108,b|0,j|0,u|0);h=y;y=0;if(!(h&1)){A9(j);break}F=pb()|0;A9(j);A9(G);sb(F|0)}while(0);y=0;g=qa(315,100)|0;j=y;y=0;if(!(j&1)){c=l;d=b+108|0;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(456,p|0,G|0);j=y;y=0;if(j&1)c=pb()|0;else{y=0;oa(460,o|0,0);j=y;y=0;if(j&1)c=pb()|0;else{k[o>>2]=6756;y=0;oa(460,n|0,0);j=y;y=0;if(j&1)c=pb()|0;else{k[n>>2]=6868;y=0;oa(460,m|0,0);j=y;y=0;do if(j&1)c=pb()|0;else{k[m>>2]=7284;y=0;c=u;d=l;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));ya(20,g|0,u|0,p|0,o|0,n|0,m|0);l=y;y=0;if(l&1){c=pb()|0;DO(m);break}DO(m);DO(n);DO(o);A9(p);f=b+76|0;y=0;Na(118,q|0,b|0,k[f>>2]|0);p=y;y=0;b:do if(!(p&1)){e=k[q+8>>2]|0;do if(e|0){y=0;c=qa(344,e|0)|0;p=y;y=0;if(p&1)break b;p=c|0?c:e;p=(i[p>>0]|0)==59?p+1|0:0;c=b+80|0;if(!((p|0)==0?1:p>>>0>(k[c>>2]|0)>>>0)){k[q>>2]=e;break}y=0;d=qa(344,e|0)|0;p=y;y=0;if(p&1)break b;p=d|0?d:e;p=(i[p>>0]|0)==125?p+1|0:0;if((p|0)==0?1:p>>>0>(k[c>>2]|0)>>>0)break;k[q>>2]=e}while(0);c:do if(!(k[q>>2]|0))F=50;else{if(i[q+13>>0]|0){F=50;break}y=0;Na(106,t|0,b|0,0);q=y;y=0;if(q&1){F=48;break}c=g+84|0;d=g+88|0;if(!(k[d>>2]|0))F=35;else{y=0;na(423,c|0);q=y;y=0;if(!(q&1))F=35}do if((F|0)==35){k[d>>2]=k[t+4>>2];y=0;na(424,c|0);q=y;y=0;if(q&1)break;y=0;oa(460,s|0,k[d>>2]|0);q=y;y=0;if(q&1)break;k[s>>2]=6756;DO(s);DO(t);F=50;break c}while(0);c=pb()|0;DO(t)}while(0);d:do if((F|0)==50){y=0;ta(53,b|0,0,0)|0;t=y;y=0;if(t&1){F=48;break}y=0;c=ta(138,b|0,1,0)|0;t=y;y=0;if(t&1){F=48;break}e:do if(!c){c=k[f>>2]|0;y=0;d=qa(344,c|0)|0;z=y;y=0;if(z&1){F=48;break d}c=d|0?d:c;d=i[c>>0]|0;c=c+1|0;if(d<<24>>24!=123){z=d<<24>>24|0;c=(z|0)!=125?((z|0)==59?c:0):c}if(!((c|0)==0?1:c>>>0>(k[b+80>>2]|0)>>>0))break;y=0;Na(111,B|0,b|0,0);z=y;y=0;if(z&1){F=48;break d}c=g+92|0;d=g+96|0;if(!(k[d>>2]|0))F=70;else{y=0;na(423,c|0);z=y;y=0;if(!(z&1))F=70}do if((F|0)==70){k[d>>2]=k[B+4>>2];y=0;na(424,c|0);z=y;y=0;if(z&1)break;y=0;oa(460,A|0,k[d>>2]|0);z=y;y=0;if(z&1)break;k[A>>2]=7284;DO(A);DO(B);break e}while(0);c=pb()|0;DO(B);break d}else{y=0;k[u>>2]=k[v>>2];k[u+4>>2]=k[v+4>>2];k[u+8>>2]=k[v+8>>2];Ra(27,z|0,b|0,u|0,0);B=y;y=0;if(B&1){F=48;break d}y=0;oa(460,x|0,k[z+4>>2]|0);B=y;y=0;if(B&1)c=pb()|0;else{k[x>>2]=7284;c=g+92|0;d=g+96|0;if(!(k[d>>2]|0))F=57;else{y=0;na(423,c|0);B=y;y=0;if(!(B&1))F=57}do if((F|0)==57){k[d>>2]=k[x+4>>2];y=0;na(424,c|0);B=y;y=0;if(B&1)break;y=0;oa(460,w|0,k[d>>2]|0);B=y;y=0;if(B&1)break;k[w>>2]=7284;DO(w);DO(x);DO(z);break e}while(0);c=pb()|0;DO(x)}DO(z);break d}while(0);y=0;ta(53,b|0,0,0)|0;B=y;y=0;if(B&1){F=48;break}c=k[f>>2]|0;y=0;d=qa(344,c|0)|0;B=y;y=0;if(B&1){F=48;break}B=d|0?d:c;B=(i[B>>0]|0)==123?B+1|0:0;f:do if(!((B|0)==0?1:B>>>0>(k[b+80>>2]|0)>>>0)){y=0;Na(121,D|0,b|0,0);b=y;y=0;if(b&1){F=48;break d}c=g+64|0;d=g+68|0;if(!(k[d>>2]|0))F=80;else{y=0;na(423,c|0);b=y;y=0;if(!(b&1))F=80}do if((F|0)==80){k[d>>2]=k[D+4>>2];y=0;na(424,c|0);b=y;y=0;if(b&1)break;y=0;oa(460,C|0,k[d>>2]|0);b=y;y=0;if(b&1)break;k[C>>2]=6868;DO(C);DO(D);break f}while(0);c=pb()|0;DO(D);break d}while(0);y=0;oa(460,a|0,g|0);F=y;y=0;if(F&1){F=48;break}k[a>>2]=17116;A9(G);r=E;return}while(0);if((F|0)==48)c=pb()|0;F=c;A9(G);sb(F|0)}while(0);F=pb()|0;A9(G);sb(F|0)}while(0);DO(n)}DO(o)}A9(p)}cra(g);F=c;A9(G);sb(F|0)}}while(0);F=pb()|0;A9(G);sb(F|0)}function Ye(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0;h=0;W=r;r=r+144|0;Y=W+112|0;g=W+104|0;f=W+64|0;R=W+72|0;S=W+56|0;T=W+48|0;U=W+40|0;V=W+32|0;M=W+24|0;N=W+16|0;O=W+8|0;P=W;if(!b){i[a>>0]=0;k[a+4>>2]=3;k[a+8>>2]=0;Y=a+12|0;LT(Y,0);k[Y>>2]=15136;k[a+20>>2]=0;k[a+24>>2]=0;r=W;return}e=IM(36)|0;k[e+4>>2]=0;k[e+8>>2]=0;k[e>>2]=15692;d=e+12|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[d+16>>2]=0;k[d+20>>2]=0;i[Y>>0]=0;k[Y+4>>2]=2;k[Y+8>>2]=0;c=Y+12|0;y=0;oa(460,c|0,0);X=y;y=0;if(X&1){Y=pb()|0;DY(e);sb(Y|0)}k[c>>2]=15136;Q=Y+20|0;k[Q>>2]=d;X=Y+24|0;k[X>>2]=e;Dba(e);DY(e);d=b+60|0;e=i[d>>0]|0;i[Y>>0]=e;e=e<<24>>24!=0;c=b+80|0;y=0;oa(460,g|0,k[c>>2]|0);L=y;y=0;a:do if(L&1)h=15;else{k[g>>2]=15152;b:do if(!(k[g+4>>2]|0)){DO(g);h=21}else{y=0;oa(460,f|0,k[c>>2]|0);L=y;y=0;do if(L&1)b=pb()|0;else{k[f>>2]=15152;c=k[f+4>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+124>>2]|0,c|0)|0;L=y;y=0;if(L&1){b=pb()|0;DO(f);break}DO(f);DO(g);if(!c){h=21;break b}y=0;oa(460,R|0,k[b+88>>2]|0);L=y;y=0;if(L&1){h=15;break a}k[R>>2]=15136;b=k[R+4>>2]|0;if(b|0)i[b+60>>0]=i[d>>0]|0;DO(R);if(!b)break b;else{h=21;break b}}while(0);DO(g);c=b;break a}while(0);c:do if((h|0)==21){t=S+4|0;u=U+4|0;v=P+4|0;w=R+4|0;x=R+8|0;z=R+12|0;A=R+20|0;I=R+24|0;B=R+16|0;K=R+12|0;C=R+16|0;D=R+20|0;J=R+24|0;L=R+12|0;E=V+4|0;F=M+4|0;G=N+4|0;H=T+4|0;c=e;d:while(1){s=b+80|0;y=0;oa(460,S|0,k[s>>2]|0);q=y;y=0;if(q&1){h=14;break}k[S>>2]=15152;if(!(k[t>>2]|0))d=0;else{y=0;oa(460,T|0,k[s>>2]|0);q=y;y=0;if(q&1){h=47;break}k[T>>2]=15152;q=k[H>>2]|0;d=k[q+76>>2]|0;if(((k[q+80>>2]|0)-d|0)==8){d=k[d+4>>2]|0;if(!d)d=0;else d=(k[427]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)}else d=0;DO(T)}DO(S);y=0;oa(460,U|0,k[s>>2]|0);q=y;y=0;if(q&1){h=48;break}k[U>>2]=15152;q=k[u>>2]|0;DO(U);do if(!(d|(q|0)==0)){e=k[Q>>2]|0;p=k[X>>2]|0;q=(p|0)==0;if(!q)Dba(p);y=0;oa(518,R|0,b|0);o=y;y=0;if(o&1){h=49;break d}m=e+8|0;g=k[m>>2]|0;n=e+4|0;f=k[n>>2]|0;Z=g-f>>2;j=e+16|0;l=k[j>>2]|0;o=e+20|0;h=k[o>>2]|0;if((((Z|0)==0?0:(Z*146|0)+-1|0)|0)==(h+l|0)){y=0;na(429,e|0);Z=y;y=0;if(Z&1){h=50;break d}h=k[o>>2]|0;e=k[j>>2]|0;g=k[m>>2]|0;f=k[n>>2]|0}else e=l;e=h+e|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[R>>2];k[e+4>>2]=k[R+4>>2];k[e+8>>2]=k[R+8>>2];f=e+12|0;y=0;oa(460,f|0,k[C>>2]|0);Z=y;y=0;if(Z&1){h=50;break d}k[f>>2]=15136;k[e+20>>2]=k[D>>2];k[e+24>>2]=k[J>>2];k[D>>2]=0;k[J>>2]=0;k[o>>2]=(k[o>>2]|0)+1;DO(L);if(!q)DY(p);do if(c){c=k[Q>>2]|0;e=k[X>>2]|0;f=(e|0)==0;if(!f)Dba(e);Z=(k[c+20>>2]|0)+-1+(k[c+16>>2]|0)|0;i[(k[(k[c+4>>2]|0)+(((Z>>>0)/146|0)<<2)>>2]|0)+(((Z>>>0)%146|0)*28|0)>>0]=1;if(f)break;DY(e)}while(0);y=0;oa(460,V|0,k[s>>2]|0);Z=y;y=0;if(Z&1){h=48;break d}k[V>>2]=15152;Z=(k[E>>2]|0)==0;DO(V);if(Z){c=0;break}c=b+88|0;y=0;oa(460,M|0,k[c>>2]|0);Z=y;y=0;if(Z&1){h=48;break d}k[M>>2]=15136;Z=(k[F>>2]|0)==0;DO(M);if(Z){c=0;break}y=0;oa(460,N|0,k[c>>2]|0);Z=y;y=0;if(Z&1){h=48;break d}k[N>>2]=15136;i[(k[G>>2]|0)+60>>0]=i[b+60>>0]|0;DO(N);c=0}while(0);f=b+72|0;e=k[f>>2]|0;do if(e){m=k[Q>>2]|0;p=k[X>>2]|0;q=(p|0)==0;if(!q){Dba(p);e=k[f>>2]|0}i[R>>0]=0;k[w>>2]=1;k[x>>2]=e;y=0;oa(460,z|0,0);Z=y;y=0;if(Z&1){h=78;break d}k[z>>2]=15136;k[A>>2]=0;k[I>>2]=0;l=m+8|0;g=k[l>>2]|0;n=m+4|0;f=k[n>>2]|0;Z=g-f>>2;j=m+16|0;h=k[j>>2]|0;o=m+20|0;e=k[o>>2]|0;if((((Z|0)==0?0:(Z*146|0)+-1|0)|0)==(e+h|0)){y=0;na(429,m|0);Z=y;y=0;if(Z&1){h=79;break d}e=k[o>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[n>>2]|0}e=e+h|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[R>>2];k[e+4>>2]=k[R+4>>2];k[e+8>>2]=k[R+8>>2];f=e+12|0;y=0;oa(460,f|0,k[B>>2]|0);Z=y;y=0;if(Z&1){h=79;break d}k[f>>2]=15136;k[e+20>>2]=k[A>>2];k[e+24>>2]=k[I>>2];k[A>>2]=0;k[I>>2]=0;k[o>>2]=(k[o>>2]|0)+1;DO(K);if(!q)DY(p);if(c){c=k[Q>>2]|0;e=k[X>>2]|0;f=(e|0)==0;if(!f)Dba(e);Z=(k[c+20>>2]|0)+-1+(k[c+16>>2]|0)|0;i[(k[(k[c+4>>2]|0)+(((Z>>>0)/146|0)<<2)>>2]|0)+(((Z>>>0)%146|0)*28|0)>>0]=1;if(f){c=0;break}DY(e);c=0}else c=0}while(0);b=b+88|0;if(d){y=0;oa(460,O|0,k[b>>2]|0);Z=y;y=0;if(Z&1){h=48;break}k[O>>2]=15136;DO(O)}y=0;oa(460,P|0,k[b>>2]|0);Z=y;y=0;if(Z&1){h=48;break}k[P>>2]=15136;b=k[v>>2]|0;DO(P);if(!b)break c}if((h|0)==14){b=pb()|0;h=16;break a}else if((h|0)==47){c=pb()|0;DO(S);break a}else if((h|0)==48){c=pb()|0;break a}else if((h|0)==49){c=pb()|0;h=53}else if((h|0)==50){c=pb()|0;b=k[J>>2]|0;if(b|0)DY(b);DO(L);h=53}else if((h|0)==78){c=pb()|0;h=82}else if((h|0)==79){c=pb()|0;b=k[I>>2]|0;if(b|0)DY(b);DO(K);h=82}if((h|0)==53){if(q)break a;DY(p);break a}else if((h|0)==82){if(q)break a;DY(p);break a}}while(0);k[a>>2]=k[Y>>2];k[a+4>>2]=k[Y+4>>2];k[a+8>>2]=k[Y+8>>2];b=a+12|0;y=0;oa(460,b|0,k[Y+16>>2]|0);Z=y;y=0;if(Z&1)h=15;else{k[b>>2]=15136;k[a+20>>2]=k[Q>>2];k[a+24>>2]=k[X>>2];k[Q>>2]=0;k[X>>2]=0;DO(Y+12|0);r=W;return}}while(0);if((h|0)==15){b=pb()|0;h=16}if((h|0)==16)c=b;b=k[X>>2]|0;if(!b){Z=Y+12|0;DO(Z);sb(c|0)}DY(b);Z=Y+12|0;DO(Z);sb(c|0)}function Ze(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;G=0;E=r;r=r+304|0;w=E+16|0;t=E+288|0;j=E+276|0;l=E+264|0;m=E+224|0;z=E+184|0;H=E+176|0;I=E+168|0;q=E;F=E+88|0;s=E+152|0;u=E+144|0;v=E+136|0;x=E+96|0;A=E+80|0;B=E+72|0;C=E+64|0;D=E+56|0;e=b+108|0;d=z;n=e;o=d+40|0;do{k[d>>2]=k[n>>2];d=d+4|0;n=n+4|0}while((d|0)<(o|0));LT(H,0);k[H>>2]=6868;y=0;oa(460,I|0,0);p=y;y=0;if(p&1){I=pb()|0;DO(H);sb(I|0)}k[I>>2]=12568;f=b+156|0;k[t>>2]=k[f>>2];k[t+4>>2]=k[f+4>>2];k[t+8>>2]=k[f+8>>2];p=b+76|0;c=k[p>>2]|0;g=b+84|0;k[j>>2]=k[g>>2];k[j+4>>2]=k[g+4>>2];k[j+8>>2]=k[g+8>>2];h=b+96|0;k[l>>2]=k[h>>2];k[l+4>>2]=k[h+4>>2];k[l+8>>2]=k[h+8>>2];d=m;n=e;o=d+40|0;do{k[d>>2]=k[n>>2];d=d+4|0;n=n+4|0}while((d|0)<(o|0));y=0;ta(53,b|0,1,0)|0;o=y;y=0;a:do if(o&1)G=11;else{y=0;d=ta(82,b|0,1,0)|0;o=y;y=0;if(o&1)G=11;else{b:do if(!d){d=e;n=m;o=d+40|0;do{k[d>>2]=k[n>>2];d=d+4|0;n=n+4|0}while((d|0)<(o|0));k[f>>2]=k[t>>2];k[f+4>>2]=k[t+4>>2];k[f+8>>2]=k[t+8>>2];k[p>>2]=c;k[h>>2]=k[l>>2];k[h+4>>2]=k[l+4>>2];k[h+8>>2]=k[l+8>>2];k[g>>2]=k[j>>2];k[g+4>>2]=k[j+4>>2];k[g+8>>2]=k[j+8>>2]}else{y=0;oa(616,w|0,b|0);o=y;y=0;do if(o&1)c=pb()|0;else{c=I+4|0;if(k[c>>2]|0){y=0;na(423,I|0);o=y;y=0;if(o&1){c=pb()|0;DO(w);break}}o=w+4|0;k[c>>2]=k[o>>2];k[o>>2]=0;DO(w);c=k[p>>2]|0;break b}while(0);break a}while(0);y=0;c=qa(343,c|0)|0;o=y;y=0;if(o&1)G=11;else{e=b+80|0;if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[p>>2]|0;y=0;d=qa(344,c|0)|0;o=y;y=0;if(o&1)G=11;else{o=d|0?d:c;o=(i[o>>0]|0)==123?o+1|0:0;c:do if((o|0)==0?1:o>>>0>(k[e>>2]|0)>>>0){y=0;Na(118,w|0,b|0,k[p>>2]|0);p=y;y=0;if(p&1){c=pb()|0;break a}c=k[w>>2]|0;p=w+4|0;k[q>>2]=k[p>>2];k[q+4>>2]=k[p+4>>2];k[q+8>>2]=k[p+8>>2];if(c|0){k[s>>2]=c;p=s+4|0;k[p>>2]=k[q>>2];k[p+4>>2]=k[q+4>>2];k[p+8>>2]=k[q+8>>2];y=0;k[w>>2]=k[s>>2];k[w+4>>2]=k[s+4>>2];k[w+8>>2]=k[s+8>>2];k[w+12>>2]=k[s+12>>2];Na(119,F|0,b|0,w|0);s=y;y=0;if(s&1){G=11;break a}y=0;j=qa(315,88)|0;s=y;y=0;d:do if(s&1)G=48;else{e=F+4|0;d=w;n=(k[e>>2]|0)+12|0;o=d+40|0;do{k[d>>2]=k[n>>2];d=d+4|0;n=n+4|0}while((d|0)<(o|0));y=0;na(422,j|0);s=y;y=0;do if(s&1)c=pb()|0;else{d=j+12|0;n=w;o=d+40|0;do{k[d>>2]=k[n>>2];d=d+4|0;n=n+4|0}while((d|0)<(o|0));k[j>>2]=6564;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;c=j+64|0;k[c>>2]=6524;g=j+68|0;h=j+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,1);s=y;y=0;if(s&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{G=e+-8|0;k[h>>2]=G;lc[k[k[G>>2]>>2]&511](G);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=6368;k[c>>2]=6468;i[j+84>>0]=1;y=0;oa(460,t|0,j|0);s=y;y=0;if(s&1){G=48;break d}k[t>>2]=6868;c=H+4|0;do if(k[c>>2]|0){y=0;na(423,H|0);s=y;y=0;if(!(s&1))break;c=pb()|0;DO(t);G=52;break d}while(0);d=t+4|0;k[c>>2]=k[d>>2];k[d>>2]=0;DO(t);c=(k[c>>2]|0)+64|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,v|0,k[e>>2]|0);t=y;y=0;if(t&1){c=pb()|0;break d}k[v>>2]=17180;y=0;oa(460,u|0,k[v+4>>2]|0);t=y;y=0;do if(t&1)c=pb()|0;else{k[u>>2]=6508;y=0;oa(d|0,c|0,u|0);t=y;y=0;if(t&1){c=pb()|0;DO(u);break}else{DO(u);DO(v);DO(F);break c}}while(0);DO(v);break d}while(0);cra(j);G=52}while(0);if((G|0)==48){c=pb()|0;G=52}DO(F);break a}}else{y=0;ta(91,b|0,1,0)|0;F=y;y=0;if(F&1){G=11;break a}y=0;Na(121,w|0,b|0,1);F=y;y=0;do if(F&1)c=pb()|0;else{c=H+4|0;if(k[c>>2]|0){y=0;na(423,H|0);F=y;y=0;if(F&1){c=pb()|0;DO(w);break}}F=w+4|0;k[c>>2]=k[F>>2];k[F>>2]=0;DO(w);break c}while(0);break a}while(0);y=0;e=qa(315,80)|0;F=y;y=0;if(F&1)G=11;else{d=x;n=z;o=d+40|0;do{k[d>>2]=k[n>>2];d=d+4|0;n=n+4|0}while((d|0)<(o|0));y=0;oa(460,A|0,k[H+4>>2]|0);F=y;y=0;do if(F&1)c=pb()|0;else{k[A>>2]=6868;y=0;oa(460,B|0,0);F=y;y=0;if(F&1){c=pb()|0;DO(A);break}k[B>>2]=12568;y=0;d=w;n=x;o=d+40|0;do{k[d>>2]=k[n>>2];d=d+4|0;n=n+4|0}while((d|0)<(o|0));Ra(34,e|0,w|0,A|0,B|0);F=y;y=0;if(F&1)d=1;else{y=0;oa(460,a|0,e|0);F=y;y=0;if(F&1)d=0;else{k[a>>2]=17196;DO(B);DO(A);c=k[I+4>>2]|0;if(!c){DO(I);DO(H);r=E;return}d=k[a+4>>2]|0;y=0;oa(460,D|0,c|0);F=y;y=0;if(F&1)c=pb()|0;else{k[D>>2]=12568;e=d+72|0;c=d+76|0;if(!(k[c>>2]|0))G=67;else{y=0;na(423,e|0);F=y;y=0;if(!(F&1))G=67}do if((G|0)==67){k[c>>2]=k[D+4>>2];y=0;na(424,e|0);F=y;y=0;if(F&1)break;y=0;oa(460,C|0,k[c>>2]|0);F=y;y=0;if(F&1)break;k[C>>2]=12568;DO(C);DO(D);DO(I);DO(H);r=E;return}while(0);c=pb()|0;DO(D)}DO(a);break a}}c=pb()|0;DO(B);DO(A);if(!d)break a}while(0);cra(e)}}}}}while(0);if((G|0)==11)c=pb()|0;DO(I);I=c;DO(H);sb(I|0)}function _e(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0;u=0;s=r;r=r+96|0;t=s+80|0;p=s+72|0;l=s+64|0;h=s+56|0;j=s+48|0;o=s+32|0;n=s+40|0;m=s+24|0;e=s+16|0;f=s+8|0;g=s;c=k[a+52>>2]|0;if((c|0)==(k[a+48>>2]|0))d=0;else d=k[c+-4>>2]|0;q=b+64|0;c=(i[b+84>>0]|0)!=0;if(i[b+85>>0]|0){if(!c){LT(j,k[b+80>>2]|0);k[j>>2]=7284;c=k[j+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;p=y;y=0;do if(p&1)u=30;else{y=0;oa(460,t|0,c|0);p=y;y=0;if(p&1)u=30;else{k[t>>2]=6336;y=0;Na(123,d|0,q|0,t|0);q=y;y=0;if(q&1){c=pb()|0;DO(t);break}DO(t);DO(j);r=s;return 0}}while(0);if((u|0)==30)c=pb()|0;DO(j);u=c;sb(u|0)}if(!(pE(d,q)|0)){LT(h,k[b+80>>2]|0);k[h>>2]=7284;c=k[h+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;p=y;y=0;do if(p&1)u=23;else{y=0;oa(460,t|0,c|0);p=y;y=0;if(p&1)u=23;else{k[t>>2]=6336;y=0;Na(123,d|0,q|0,t|0);q=y;y=0;if(q&1){c=pb()|0;DO(t);break}DO(t);DO(h);r=s;return 0}}while(0);if((u|0)==23)c=pb()|0;DO(h);u=c;sb(u|0)}c=(Yr(d,q)|0)+4|0;LT(t,Baa(k[c>>2]|0)|0);k[t>>2]=7284;c=k[t+4>>2]|0;if(!c)u=8;else if((k[c+56>>2]|0)==8)u=8;a:do if((u|0)==8){y=0;oa(460,l|0,k[b+80>>2]|0);o=y;y=0;if(o&1)c=pb()|0;else{k[l>>2]=7284;c=k[l+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;o=y;y=0;do if(o&1)u=14;else{y=0;oa(460,p|0,c|0);o=y;y=0;if(o&1)u=14;else{k[p>>2]=6336;y=0;Na(123,d|0,q|0,p|0);q=y;y=0;if(q&1){c=pb()|0;DO(p);break}else{DO(p);DO(l);break a}}}while(0);if((u|0)==14)c=pb()|0;DO(l)}DO(t);u=c;sb(u|0)}while(0);DO(t);r=s;return 0}if(!c){LT(g,k[b+80>>2]|0);k[g>>2]=7284;c=k[g+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;p=y;y=0;do if(p&1)u=102;else{y=0;oa(460,t|0,c|0);p=y;y=0;if(p&1)u=102;else{k[t>>2]=6336;y=0;Na(125,d|0,q|0,t|0);q=y;y=0;if(q&1){c=pb()|0;DO(t);break}DO(t);DO(g);r=s;return 0}}while(0);if((u|0)==102)c=pb()|0;DO(g);u=c;sb(u|0)}if(vD(d,q)|0){b:do if(d|0){while(1){if(!(vV(d)|0))break b;if(AL(d,q)|0)break;c=k[d+12>>2]|0;if(!c)break b;else d=c}c=(fF(d,q)|0)+4|0;LT(t,k[c>>2]|0);k[t>>2]=6336;c=k[t+4>>2]|0;c:do if(!c){c=gb(8)|0;y=0;oa(495,c|0,47608);s=y;y=0;if(s&1){s=pb()|0;fb(c|0);c=s;break}else{y=0;Na(75,c|0,5792,409);y=0;u=48;break}}else{y=0;c=qa(333,c|0)|0;m=y;y=0;if(m&1)u=48;else{y=0;oa(460,p|0,c|0);m=y;y=0;if(m&1)u=48;else{k[p>>2]=7284;c=k[p+4>>2]|0;if(!c)u=43;else if((k[c+56>>2]|0)==8)u=43;d:do if((u|0)==43){y=0;oa(460,n|0,k[b+80>>2]|0);b=y;y=0;if(b&1)c=pb()|0;else{k[n>>2]=7284;c=k[n+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)u=50;else{y=0;oa(460,o|0,c|0);b=y;y=0;if(b&1)u=50;else{k[o>>2]=6336;y=0;Na(124,d|0,q|0,o|0);q=y;y=0;if(q&1){c=pb()|0;DO(o);break}else{DO(o);DO(n);break d}}}while(0);if((u|0)==50)c=pb()|0;DO(n)}DO(p);break c}while(0);DO(p);DO(t);r=s;return 0}}}while(0);if((u|0)==48)c=pb()|0;DO(t);u=c;sb(u|0)}while(0);c=gb(8)|0;y=0;oa(495,c|0,47608);u=y;y=0;if(!(u&1))Wb(c|0,5792,409);u=pb()|0;fb(c|0);sb(u|0)}if(!(pE(d,q)|0))if(vV(d)|0){LT(e,k[b+80>>2]|0);k[e>>2]=7284;c=k[e+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;p=y;y=0;do if(p&1)u=88;else{y=0;oa(460,t|0,c|0);p=y;y=0;if(p&1)u=88;else{k[t>>2]=6336;y=0;Na(124,d|0,q|0,t|0);q=y;y=0;if(q&1){c=pb()|0;DO(t);break}DO(t);DO(e);r=s;return 0}}while(0);if((u|0)==88)c=pb()|0;DO(e);u=c;sb(u|0)}else{LT(f,k[b+80>>2]|0);k[f>>2]=7284;c=k[f+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;p=y;y=0;do if(p&1)u=95;else{y=0;oa(460,t|0,c|0);p=y;y=0;if(p&1)u=95;else{k[t>>2]=6336;y=0;Na(124,d|0,q|0,t|0);q=y;y=0;if(q&1){c=pb()|0;DO(t);break}DO(t);DO(f);r=s;return 0}}while(0);if((u|0)==95)c=pb()|0;DO(f);u=c;sb(u|0)}c=(Yr(d,q)|0)+4|0;LT(t,k[c>>2]|0);k[t>>2]=6336;c=k[t+4>>2]|0;e:do if(c|0){y=0;c=qa(333,c|0)|0;n=y;y=0;f:do if(n&1)u=74;else{y=0;oa(460,o|0,c|0);n=y;y=0;if(n&1)u=74;else{k[o>>2]=7284;c=k[o+4>>2]|0;if(!c)u=69;else if((k[c+56>>2]|0)==8)u=69;g:do if((u|0)==69){y=0;oa(460,m|0,k[b+80>>2]|0);b=y;y=0;if(b&1)c=pb()|0;else{k[m>>2]=7284;c=k[m+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a+8|0)|0;b=y;y=0;do if(b&1)u=76;else{y=0;oa(460,p|0,c|0);b=y;y=0;if(b&1)u=76;else{k[p>>2]=6336;y=0;Na(123,d|0,q|0,p|0);q=y;y=0;if(q&1){c=pb()|0;DO(p);break}else{DO(p);DO(m);break g}}}while(0);if((u|0)==76)c=pb()|0;DO(m)}DO(o);break f}while(0);DO(o);break e}}while(0);if((u|0)==74)c=pb()|0;DO(t);u=c;sb(u|0)}while(0);DO(t);r=s;return 0}function $e(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;B=r;r=r+208|0;v=B+168|0;w=B+128|0;H=B+100|0;F=B+24|0;s=B+112|0;u=B+88|0;E=B;x=B+48|0;C=B+36|0;A=B+16|0;z=B+8|0;k[v>>2]=4;t=b+60|0;c=k[t>>2]|0;if(c>>>0<(k[b+64>>2]|0)>>>0){k[c>>2]=4;k[t>>2]=c+4}else kA(b+56|0,v);q=b+108|0;c=w;d=q;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));p=(i[(k[(k[b+48>>2]|0)+-4>>2]|0)+84>>0]|0)!=0;k[H>>2]=0;G=H+4|0;k[G>>2]=0;k[H+8>>2]=0;y=0;oa(612,v|0,b|0);D=y;y=0;a:do if(D&1)D=27;else{n=b+160|0;f=k[n>>2]|0;o=b+164|0;g=k[o>>2]|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;h=g-f|0;if(h>>>0>4294967279){y=0;na(438,F|0);D=y;y=0;if(D&1)D=29;else D=9}else if(h>>>0<11){i[F+11>>0]=h;c=F;D=11}else D=9;if((D|0)==9){d=h+16&-16;y=0;c=qa(315,d|0)|0;D=y;y=0;if(D&1)D=29;else{k[F>>2]=c;k[F+8>>2]=d|-2147483648;k[F+4>>2]=h;D=11}}if((D|0)==11){if((f|0)!=(g|0)){e=c;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}c=c+h|0}i[c>>0]=0;y=0;oa(554,v|0,F|0);m=y;y=0;do if(m&1)c=pb()|0;else{c=k[G>>2]|0;m=H+8|0;if(c>>>0<(k[m>>2]|0)>>>0){k[c>>2]=k[v>>2];k[c+4>>2]=k[v+4>>2];k[c+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[G>>2]=(k[G>>2]|0)+12}else{y=0;oa(537,H|0,v|0);l=y;y=0;if(l&1){c=pb()|0;A9(v);break}}A9(v);A9(F);h=F+8|0;j=F+4|0;l=F+11|0;while(1){y=0;c=ta(54,b|0,1,0)|0;g=y;y=0;if(g&1){D=26;break}if(!c){D=54;break}y=0;c=ta(99,b|0,1,0)|0;g=y;y=0;if(g&1){D=26;break}if(!c){k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,45340,46);g=y;y=0;if(g&1){D=26;break}y=0;k[v>>2]=k[q>>2];k[v+4>>2]=k[q+4>>2];k[v+8>>2]=k[q+8>>2];Na(108,b|0,s|0,v|0);g=y;y=0;if(g&1){D=34;break}A9(s)}d=k[n>>2]|0;f=k[o>>2]|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,F|0);D=y;y=0;if(D&1){D=49;break}else D=39}else if(g>>>0<11){i[l>>0]=g;c=F}else D=39;if((D|0)==39){D=0;e=g+16&-16;y=0;c=qa(315,e|0)|0;I=y;y=0;if(I&1){D=49;break}k[F>>2]=c;k[h>>2]=e|-2147483648;k[j>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;oa(554,v|0,F|0);I=y;y=0;if(I&1){D=50;break}c=k[G>>2]|0;if(c>>>0<(k[m>>2]|0)>>>0){k[c>>2]=k[v>>2];k[c+4>>2]=k[v+4>>2];k[c+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[G>>2]=(k[G>>2]|0)+12}else{y=0;oa(537,H|0,v|0);I=y;y=0;if(I&1){D=51;break}}A9(v);A9(F)}if((D|0)==26){c=pb()|0;D=28;break a}else if((D|0)==34){e=pb()|0;A9(s);break a}else if((D|0)==49)c=pb()|0;else if((D|0)==50){c=pb()|0;D=52}else if((D|0)==51){c=pb()|0;A9(v);D=52}else if((D|0)==54){y=0;c=ta(136,b|0,1,0)|0;I=y;y=0;if(I&1){D=27;break a}do if(!c){k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,45387,40);I=y;y=0;if(I&1){D=27;break a}y=0;k[v>>2]=k[q>>2];k[v+4>>2]=k[q+4>>2];k[v+8>>2]=k[q+8>>2];Na(108,b|0,u|0,v|0);I=y;y=0;if(I&1){e=pb()|0;A9(u);break a}else{A9(u);break}}while(0);y=0;Na(111,F|0,b|0,0);I=y;y=0;if(I&1){D=27;break a}y=0;Na(121,E|0,b|0,p|0);I=y;y=0;if(I&1)c=pb()|0;else{k[t>>2]=(k[t>>2]|0)+-4;y=0;j=qa(315,92)|0;I=y;y=0;b:do if(I&1)c=pb()|0;else{c=x;d=w;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));y=0;oa(455,C|0,H|0);I=y;y=0;do if(I&1)c=pb()|0;else{y=0;oa(460,A|0,k[F+4>>2]|0);I=y;y=0;if(I&1){c=pb()|0;h=1;e=N}else{k[A>>2]=7284;y=0;oa(460,z|0,k[E+4>>2]|0);I=y;y=0;if(I&1){c=pb()|0;d=1;e=N}else{k[z>>2]=6868;y=0;c=v;d=x;e=c+40|0;do{k[c>>2]=k[d>>2];c=c+4|0;d=d+4|0}while((c|0)<(e|0));ma(15,j|0,v|0,C|0,A|0,z|0);I=y;y=0;do if(I&1)c=1;else{y=0;oa(460,a|0,j|0);I=y;y=0;if(I&1){c=0;break}k[a>>2]=17276;DO(z);DO(A);c=k[C>>2]|0;if(c|0){e=C+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{I=d+-12|0;k[e>>2]=I;A9(I);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[C>>2]|0}cra(c)}DO(E);DO(F);c=k[H>>2]|0;if(!c){r=B;return}d=k[G>>2]|0;if((d|0)!=(c|0)){do{I=d+-12|0;k[G>>2]=I;A9(I);d=k[G>>2]|0}while((d|0)!=(c|0));c=k[H>>2]|0}cra(c);r=B;return}while(0);I=pb()|0;e=N;DO(z);d=c;c=I}DO(A);h=d}d=k[C>>2]|0;if(!d)if(h)break;else break b;g=C+4|0;f=k[g>>2]|0;if((f|0)!=(d|0)){do{I=f+-12|0;k[g>>2]=I;A9(I);f=k[g>>2]|0}while((f|0)!=(d|0));d=k[C>>2]|0}cra(d);if(!h)break b}while(0);cra(j)}while(0);DO(E)}DO(F);e=c;break a}if((D|0)==52)A9(F);e=c;break a}while(0);A9(F)}else if((D|0)==29)c=pb()|0;e=c}while(0);if((D|0)==27){c=pb()|0;D=28}if((D|0)==28)e=c;c=k[H>>2]|0;if(!c)sb(e|0);d=k[G>>2]|0;if((d|0)!=(c|0)){do{I=d+-12|0;k[G>>2]=I;A9(I);d=k[G>>2]|0}while((d|0)!=(c|0));c=k[H>>2]|0}cra(c);sb(e|0)}function af(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;F=0;A=r;r=r+400|0;w=A+80|0;p=A+40|0;n=A;G=A+376|0;z=A+336|0;q=A+288|0;j=A+328|0;E=A+280|0;o=A+232|0;t=A+224|0;u=A+216|0;m=A+204|0;s=A+192|0;D=A+272|0;v=A+184|0;x=A+144|0;B=A+128|0;C=A+120|0;Yv(b,1,0)|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(G);F=5}else if(g>>>0<11){i[G+11>>0]=g;c=G}else F=5;if((F|0)==5){l=g+16&-16;c=IM(l)|0;k[G>>2]=c;k[G+8>>2]=l|-2147483648;k[G+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;c=b+108|0;g=z;h=c;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));y=0;ta(82,b|0,1,0)|0;l=y;y=0;if(l&1){F=pb()|0;A9(G);sb(F|0)}g=q;h=c;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));c=b+76|0;d=k[c>>2]|0;y=0;Na(111,j|0,b|0,0);l=y;y=0;a:do if(l&1)c=pb()|0;else{DO(j);c=k[c>>2]|0;y=0;ta(89,b|0,1,0)|0;l=y;y=0;if(!(l&1)){y=0;e=qa(315,88)|0;l=y;y=0;if(!(l&1)){g=o;h=q;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));k[m>>2]=d;k[m+4>>2]=d;k[m+8>>2]=c;y=0;k[w>>2]=k[m>>2];k[w+4>>2]=k[m+4>>2];k[w+8>>2]=k[m+8>>2];Ra(27,u|0,b|0,w|0,0);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;oa(460,t|0,k[u+4>>2]|0);m=y;y=0;if(m&1){c=pb()|0;DO(u);break}k[t>>2]=7284;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,87975,0);m=y;y=0;if(m&1){c=pb()|0;d=1}else{g=n;h=o;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));y=0;na(422,e|0);o=y;y=0;b:do if(o&1){d=1;F=52}else{g=e+12|0;h=n;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=9828;c=e+60|0;y=0;oa(460,c|0,k[t+4>>2]|0);o=y;y=0;do if(o&1)c=pb()|0;else{k[c>>2]=7284;y=0;oa(456,e+68|0,s|0);o=y;y=0;if(o&1){E=pb()|0;DO(c);c=E;break}i[e+80>>0]=0;i[e+81>>0]=0;k[e+84>>2]=0;y=0;oa(460,E|0,e|0);o=y;y=0;if(o&1){d=0;F=52;break b}k[E>>2]=10120;A9(s);DO(t);DO(u);y=0;j=qa(315,84)|0;u=y;y=0;c:do if(u&1)F=56;else{g=p;h=q;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));y=0;na(422,j|0);u=y;y=0;do if(u&1)c=pb()|0;else{g=j+12|0;h=p;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));k[j>>2]=6212;i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=0;c=j+60|0;k[c>>2]=10136;h=j+64|0;g=j+68|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(550,h|0,0);u=y;y=0;if(u&1){c=pb()|0;f=N;d=k[h>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{D=e+-8|0;k[g>>2]=D;lc[k[k[D>>2]>>2]&511](D);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[h>>2]|0}cra(d)}break}k[j>>2]=9952;k[c>>2]=10080;i[j+80>>0]=0;i[j+81>>0]=0;i[j+82>>0]=0;y=0;oa(460,D|0,j|0);u=y;y=0;if(u&1){F=56;break c}k[D>>2]=8964;e=D+4|0;c=(k[e>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,v|0,k[E+4>>2]|0);u=y;y=0;d:do if(u&1)F=59;else{k[v>>2]=10120;y=0;oa(d|0,c|0,v|0);u=y;y=0;if(u&1){c=pb()|0;DO(v);break}DO(v);y=0;f=qa(315,92)|0;v=y;y=0;if(v&1){F=59;break}g=x;h=z;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));y=0;oa(456,B|0,G|0);z=y;y=0;do if(z&1)c=pb()|0;else{y=0;oa(460,C|0,k[e>>2]|0);z=y;y=0;if(z&1){c=pb()|0;A9(B);break}k[C>>2]=8964;g=w;h=x;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));y=0;na(422,f|0);z=y;y=0;e:do if(z&1){c=1;F=63}else{g=f+12|0;h=w;l=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(l|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;c=f+56|0;k[c>>2]=0;k[f>>2]=10176;d=f+60|0;y=0;oa(456,d|0,B|0);z=y;y=0;do if(z&1)c=pb()|0;else{e=f+72|0;y=0;oa(460,e|0,k[C+4>>2]|0);z=y;y=0;if(z&1){c=pb()|0;A9(d);break}k[e>>2]=8964;i[f+80>>0]=0;k[f+84>>2]=0;k[f+88>>2]=0;k[c>>2]=11;y=0;oa(460,a|0,f|0);F=y;y=0;if(F&1){c=0;F=63;break e}k[a>>2]=16796;DO(C);A9(B);DO(D);DO(E);A9(G);r=A;return}while(0);d=1}while(0);if((F|0)==63){A=pb()|0;d=c;c=A}DO(C);A9(B);if(!d)break d}while(0);cra(f)}while(0);if((F|0)==59)c=pb()|0;DO(D);break c}while(0);cra(j)}while(0);if((F|0)==56)c=pb()|0;DO(E);break a}while(0);d=1}while(0);if((F|0)==52)c=pb()|0;A9(s)}DO(t);DO(u);if(!d)break a}while(0);cra(e);break}}c=pb()|0}while(0);F=c;A9(G);sb(F|0)}function bf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0;K=r;r=r+256|0;J=K;E=K+236|0;F=K+224|0;G=K+144|0;c=K+184|0;f=K+128|0;I=K+88|0;Q=K+80|0;P=K+68|0;L=K+56|0;D=K+48|0;H=K+40|0;R=b+152|0;S=k[R>>2]|0;O=S+1|0;k[R>>2]=O;if(O>>>0>512){e=gb(76)|0;g=c;h=b+108|0;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(456,f|0,80932);Q=y;y=0;if(Q&1)c=pb()|0;else{y=0;g=J;h=c;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));Ra(24,e|0,J|0,f|0,0);Q=y;y=0;if(Q&1)d=1;else{y=0;Na(75,e|0,2912,175);y=0;d=0}c=pb()|0;A9(f);if(!d){Q=c;k[R>>2]=S;sb(Q|0)}}fb(e|0);Q=c;k[R>>2]=S;sb(Q|0)}y=0;ta(53,b|0,0,0)|0;O=y;y=0;if(!(O&1)){B=b+128|0;y=0;oa(569,b+108|0,B|0);O=y;y=0;if(!(O&1)){k[b+132>>2]=0;k[B>>2]=0;C=b+108|0;g=I;h=C;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(580,Q|0,b|0);O=y;y=0;if(O&1)c=pb()|0;else{k[P>>2]=0;O=P+4|0;k[O>>2]=0;k[P+8>>2]=0;k[L>>2]=0;M=L+4|0;k[M>>2]=0;k[L+8>>2]=0;w=b+76|0;y=0;c=qa(343,k[w>>2]|0)|0;A=y;y=0;a:do if(A&1){c=pb()|0;g=N}else{f=b+80|0;x=b+156|0;z=b+84|0;A=b+96|0;l=b+160|0;m=J+4|0;n=J+5|0;o=L+8|0;p=P+8|0;q=J+4|0;s=J+4|0;t=J+5|0;u=J+4|0;v=J+5|0;e=c>>>0<=(k[f>>2]|0)>>>0?c:0;b:while(1){k[J>>2]=k[x>>2];k[J+4>>2]=k[x+4>>2];k[J+8>>2]=k[x+8>>2];d=k[w>>2]|0;k[E>>2]=k[z>>2];k[E+4>>2]=k[z+4>>2];k[E+8>>2]=k[z+8>>2];k[F>>2]=k[A>>2];k[F+4>>2]=k[A+4>>2];k[F+8>>2]=k[A+8>>2];g=G;h=C;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;ta(53,b|0,1,0)|0;j=y;y=0;if(j&1){e=22;break}y=0;c=ta(81,b|0,1,0)|0;j=y;y=0;if(j&1){e=22;break}if(!c){e=16;break}y=0;c=qa(343,k[w>>2]|0)|0;j=y;y=0;if(j&1){e=22;break}c=c>>>0<=(k[f>>2]|0)>>>0?c:0;switch(i[k[l>>2]>>0]|0){case 42:{k[J>>2]=10;i[m>>0]=(e|0)!=0&1;i[n>>0]=(c|0)!=0&1;c=k[M>>2]|0;if(c>>>0<(k[o>>2]|0)>>>0){g=J;h=k[g+4>>2]|0;j=c;k[j>>2]=k[g>>2];k[j+4>>2]=h;k[M>>2]=(k[M>>2]|0)+8}else{y=0;oa(578,L|0,J|0);j=y;y=0;if(j&1){e=29;break b}}break}case 47:{k[J>>2]=11;i[s>>0]=(e|0)!=0&1;i[t>>0]=(c|0)!=0&1;c=k[M>>2]|0;if(c>>>0<(k[o>>2]|0)>>>0){g=J;h=k[g+4>>2]|0;j=c;k[j>>2]=k[g>>2];k[j+4>>2]=h;k[M>>2]=(k[M>>2]|0)+8}else{y=0;oa(578,L|0,J|0);j=y;y=0;if(j&1){e=34;break b}}break}case 37:{k[J>>2]=12;i[u>>0]=(e|0)!=0&1;i[v>>0]=(c|0)!=0&1;c=k[M>>2]|0;if(c>>>0<(k[o>>2]|0)>>>0){g=J;h=k[g+4>>2]|0;j=c;k[j>>2]=k[g>>2];k[j+4>>2]=h;k[M>>2]=(k[M>>2]|0)+8}else{y=0;oa(578,L|0,J|0);j=y;y=0;if(j&1){e=39;break b}}break}default:{e=40;break b}}y=0;oa(580,J|0,b|0);j=y;y=0;if(j&1){e=52;break}c=k[O>>2]|0;if(c>>>0<(k[p>>2]|0)>>>0){y=0;oa(460,c|0,k[q>>2]|0);j=y;y=0;if(j&1){e=53;break}k[c>>2]=7284;k[O>>2]=(k[O>>2]|0)+8}else{y=0;oa(548,P|0,J|0);j=y;y=0;if(j&1){e=53;break}}DO(J);y=0;c=qa(343,k[w>>2]|0)|0;j=y;y=0;if(j&1){e=43;break}e=c>>>0<=(k[f>>2]|0)>>>0?c:0}do if((e|0)==16){g=C;h=G;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));k[x>>2]=k[J>>2];k[x+4>>2]=k[J+4>>2];k[x+8>>2]=k[J+8>>2];k[w>>2]=d;k[A>>2]=k[F>>2];k[A+4>>2]=k[F+4>>2];k[A+8>>2]=k[F+8>>2];k[z>>2]=k[E>>2];k[z+4>>2]=k[E+4>>2];k[z+8>>2]=k[E+8>>2];y=0;oa(460,D|0,k[Q+4>>2]|0);G=y;y=0;if(G&1){c=pb()|0;d=N;e=24;break}k[D>>2]=7284;y=0;ya(17,a|0,b|0,D|0,P|0,L|0,0);b=y;y=0;if(b&1){c=pb()|0;g=N;DO(D);break a}DO(D);c=I+20|0;y=0;Na(113,H|0,C|0,I|0);b=y;y=0;if(!(b&1)){y=0;Na(114,J|0,H|0,B|0);H=y;y=0;if(!(H&1)){d=k[J+4>>2]|0;k[c>>2]=k[J>>2];k[c+4>>2]=d;fO((k[a+4>>2]|0)+12|0,I|0,40)|0;c=k[L>>2]|0;d=c;if(c|0){e=k[M>>2]|0;if((e|0)!=(c|0))k[M>>2]=e+(~((e+-8-d|0)>>>3)<<3);cra(c)}c=k[P>>2]|0;if(!c){DO(Q);k[R>>2]=S;r=K;return}d=k[O>>2]|0;if((d|0)!=(c|0)){do{M=d+-8|0;k[O>>2]=M;lc[k[k[M>>2]>>2]&511](M);d=k[O>>2]|0}while((d|0)!=(c|0));c=k[P>>2]|0}cra(c);DO(Q);k[R>>2]=S;r=K;return}}c=pb()|0;g=N;DO(a);break a}else if((e|0)==22){c=pb()|0;d=N;e=24}else if((e|0)==29){c=pb()|0;g=N;break a}else if((e|0)==34){c=pb()|0;g=N;break a}else if((e|0)==39){c=pb()|0;g=N;break a}else if((e|0)==40){c=gb(8)|0;y=0;oa(495,c|0,43517);K=y;y=0;if(K&1){K=pb()|0;g=N;fb(c|0);c=K;break a}else{y=0;Na(75,c|0,5792,409);y=0;c=pb()|0;d=N;e=44;break}}else if((e|0)==43){c=pb()|0;d=N;e=44}else if((e|0)==52){c=pb()|0;d=N;e=54}else if((e|0)==53){c=pb()|0;d=N;DO(J);e=54}while(0);if((e|0)==24){g=d;break}else if((e|0)==44){g=d;break}else if((e|0)==54){g=d;break}}while(0);d=k[L>>2]|0;e=d;if(d|0){f=k[M>>2]|0;if((f|0)!=(d|0))k[M>>2]=f+(~((f+-8-e|0)>>>3)<<3);cra(d)}d=k[P>>2]|0;if(d|0){e=k[O>>2]|0;if((e|0)!=(d|0)){do{M=e+-8|0;k[O>>2]=M;lc[k[k[M>>2]>>2]&511](M);e=k[O>>2]|0}while((e|0)!=(d|0));d=k[P>>2]|0}cra(d)}DO(Q)}Q=c;k[R>>2]=S;sb(Q|0)}}Q=pb()|0;k[R>>2]=S;sb(Q|0)}function cf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;C=0;w=r;r=r+336|0;m=w+40|0;d=w+312|0;e=w;B=w+248|0;c=w+272|0;h=w+256|0;A=w+240|0;f=w+200|0;o=w+192|0;z=w+184|0;n=w+144|0;t=w+136|0;u=w+128|0;p=w+120|0;q=w+112|0;s=w+104|0;x=w+96|0;v=w+80|0;l=IM(104)|0;y=0;Ra(14,c|0,48148,0,-1);j=y;y=0;do if(j&1)C=41;else{k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(74,h|0,48155,4);j=y;y=0;if(j&1)C=41;else{j=e;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));y=0;oa(456,d|0,h|0);j=y;y=0;if(j&1)d=1;else{y=0;j=m;c=e;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));Na(85,l|0,m|0,d|0);j=y;y=0;if(j&1){c=pb()|0;A9(d);A9(h);break}A9(d);k[l>>2]=13792;y=0;oa(460,B|0,l|0);j=y;y=0;if(j&1)d=0;else{k[B>>2]=16812;A9(h);y=0;l=qa(315,108)|0;j=y;y=0;a:do if(j&1)C=44;else{y=0;Ra(14,f|0,48148,0,-1);j=y;y=0;do if(j&1)C=45;else{j=m;c=f;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));y=0;na(422,l|0);j=y;y=0;if(j&1)C=45;else{j=l+12|0;c=m;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l>>2]=13472;i[l+60>>0]=0;i[l+61>>0]=0;i[l+62>>0]=0;k[l+64>>2]=0;k[l+68>>2]=0;k[l+56>>2]=7;c=l+72|0;k[c>>2]=15096;g=l+76|0;h=l+80|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(512,g|0,1);j=y;y=0;if(j&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{A=e+-8|0;k[h>>2]=A;lc[k[k[A>>2]>>2]&511](A);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[l>>2]=14880;k[c>>2]=15056;j=l+96|0;k[j>>2]=0;k[l+100>>2]=0;k[l+92>>2]=j;i[l+104>>0]=0;i[l+105>>0]=0;y=0;oa(460,A|0,l|0);l=y;y=0;if(l&1){C=44;break a}k[A>>2]=15152;g=A+4|0;c=k[g>>2]|0;d=c+76|0;y=0;oa(460,o|0,k[B+4>>2]|0);l=y;y=0;b:do if(l&1){c=pb()|0;C=52}else{k[o>>2]=16812;y=0;oa(460,m|0,k[o+4>>2]|0);l=y;y=0;do if(l&1)c=pb()|0;else{k[m>>2]=13284;e=c+80|0;f=k[e>>2]|0;do if(f>>>0<(k[c+84>>2]|0)>>>0){y=0;oa(460,f|0,k[m+4>>2]|0);l=y;y=0;if(l&1){C=50;break}k[f>>2]=13284;k[e>>2]=(k[e>>2]|0)+8}else{y=0;oa(519,d|0,m|0);l=y;y=0;if(l&1)C=50}while(0);if((C|0)==50){c=pb()|0;DO(m);break}DO(m);DO(o);y=0;e=qa(315,100)|0;o=y;y=0;if(o&1){c=pb()|0;break b}y=0;Ra(14,n|0,48148,0,-1);o=y;y=0;do if(o&1)C=53;else{y=0;oa(460,t|0,k[g>>2]|0);o=y;y=0;if(o&1){C=53;break}k[t>>2]=15152;y=0;oa(460,u|0,0);o=y;y=0;if(o&1){c=pb()|0;DO(t);break}k[u>>2]=15136;y=0;oa(460,p|0,0);o=y;y=0;if(o&1){c=pb()|0;d=1}else{k[p>>2]=7492;y=0;j=m;c=n;g=j+40|0;do{k[j>>2]=k[c>>2];j=j+4|0;c=c+4|0}while((j|0)<(g|0));ya(11,e|0,m|0,0,t|0,u|0,p|0);o=y;y=0;do if(o&1)c=1;else{y=0;oa(460,z|0,e|0);o=y;y=0;if(o&1){c=0;break}k[z>>2]=15136;DO(p);DO(u);DO(t);c=z+4|0;y=0;oa(460,q|0,k[c>>2]|0);u=y;y=0;c:do if(u&1)C=59;else{k[q>>2]=15136;y=0;Na(82,a|0,q|0,0);u=y;y=0;if(u&1){c=pb()|0;DO(q);break}DO(q);y=0;oa(460,s|0,k[c>>2]|0);u=y;y=0;if(u&1){C=59;break}k[s>>2]=15136;y=0;Na(82,b|0,s|0,0);u=y;y=0;if(u&1){c=pb()|0;DO(s);break}DO(s);c=k[(k[a>>2]|0)+144>>2]|0;y=0;oa(460,x|0,b|0);u=y;y=0;if(u&1){C=59;break}k[x>>2]=15136;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,87975,0);u=y;y=0;do if(u&1)c=pb()|0;else{y=0;c=ta(c|0,a|0,x|0,v|0)|0;u=y;y=0;if(u&1){c=pb()|0;A9(v);break}A9(v);DO(x);y=0;qa(319,a|0)|0;x=y;y=0;do if(!(x&1)){y=0;qa(319,b|0)|0;x=y;y=0;if(x&1)break;DO(z);DO(A);DO(B);r=w;return c|0}while(0);c=pb()|0;break c}while(0);DO(x)}while(0);if((C|0)==59)c=pb()|0;DO(z);break b}while(0);z=pb()|0;DO(p);d=c;c=z}DO(u);DO(t);if(!d)break b}while(0);if((C|0)==53)c=pb()|0;cra(e);break b}while(0);DO(o);C=52}while(0);DO(A);break a}}while(0);if((C|0)==45)c=pb()|0;cra(l)}while(0);if((C|0)==44)c=pb()|0;DO(B);C=c;sb(C|0)}}c=pb()|0;A9(h);if(!d){C=c;sb(C|0)}}}while(0);if((C|0)==41)c=pb()|0;cra(l);C=c;sb(C|0);return 0}function df(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;v=0;F=r;r=r+304|0;w=F+80|0;I=F+40|0;E=F;c=F+288|0;o=F+280|0;l=F+272|0;m=F+264|0;u=F+256|0;s=F+248|0;t=F+240|0;x=F+232|0;z=F+192|0;C=F+184|0;A=F+176|0;D=F+136|0;H=F+128|0;G=F+120|0;if(!b){I=0;r=F;return I|0}q=b+68|0;LT(c,k[q>>2]|0);k[c>>2]=6868;B=(k[c+4>>2]|0)==0;DO(c);if(B){I=0;r=F;return I|0}p=IM(88)|0;n=a+20|0;j=a+24|0;c=k[j>>2]|0;if((c|0)==(k[n>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;g=I;c=(k[c>>2]|0)+12|0;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));y=0;na(422,p|0);B=y;y=0;do if(B&1)c=pb()|0;else{g=p+12|0;c=I;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));k[p>>2]=6564;k[p+52>>2]=0;k[p+56>>2]=0;i[p+60>>0]=0;c=p+64|0;k[c>>2]=6524;g=p+68|0;h=p+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);B=y;y=0;if(B&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{I=e+-8|0;k[h>>2]=I;lc[k[k[I>>2]>>2]&511](I);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[p>>2]=6368;k[c>>2]=6468;i[p+84>>0]=0;c=k[j>>2]|0;if((c|0)==(k[n>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;B=k[c>>2]|0;LT(I,Jaa(oc[k[(k[B>>2]|0)+12>>2]&511](B)|0)|0);k[I>>2]=18728;y=0;B=qa(315,88)|0;h=y;y=0;a:do if(h&1)c=pb()|0;else{y=0;oa(460,o|0,k[q>>2]|0);h=y;y=0;if(h&1)c=pb()|0;else{k[o>>2]=6868;g=w;c=(k[o+4>>2]|0)+12|0;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));y=0;na(422,B|0);h=y;y=0;do if(h&1)c=pb()|0;else{g=B+12|0;c=w;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));k[B>>2]=6564;k[B+52>>2]=0;k[B+56>>2]=0;i[B+60>>0]=0;f=B+64|0;k[f>>2]=6524;g=B+68|0;h=B+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);e=y;y=0;if(e&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{H=e+-8|0;k[h>>2]=H;lc[k[k[H>>2]>>2]&511](H);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[B>>2]=6368;k[f>>2]=6468;i[B+84>>0]=0;DO(o);e=I+4|0;c=k[e>>2]|0;b:do if(!c)v=58;else{y=0;oa(460,m|0,p|0);p=y;y=0;if(!(p&1)){k[m>>2]=6868;d=c+64|0;c=c+68|0;if(!(k[c>>2]|0))v=31;else{y=0;na(423,d|0);p=y;y=0;if(!(p&1))v=31}do if((v|0)==31){k[c>>2]=k[m+4>>2];y=0;na(424,d|0);p=y;y=0;if(!(p&1)){y=0;oa(460,l|0,k[c>>2]|0);p=y;y=0;if(p&1)break;k[l>>2]=6868;DO(l);DO(m);d=k[e>>2]|0;c=k[j>>2]|0;if((c|0)==(k[n>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;k[d+56>>2]=k[(k[c>>2]|0)+56>>2];y=0;oa(460,u|0,k[d+68>>2]|0);p=y;y=0;if(p&1)break b;k[u>>2]=6868;c=(k[u+4>>2]|0)+64|0;d=k[(k[c>>2]|0)+24>>2]|0;y=0;oa(460,s|0,k[q>>2]|0);q=y;y=0;do if(q&1)c=pb()|0;else{k[s>>2]=6868;q=k[s+4>>2]|0;y=0;oa(d|0,c|0,((q|0)==0?0:q+64|0)|0);q=y;y=0;if(q&1){c=pb()|0;DO(s);break}DO(s);DO(u);c=k[(k[f>>2]|0)+20>>2]|0;y=0;oa(460,x|0,k[e>>2]|0);u=y;y=0;if(u&1)break b;k[x>>2]=18728;y=0;oa(460,t|0,k[x+4>>2]|0);v=y;y=0;do if(v&1)c=pb()|0;else{k[t>>2]=6508;y=0;oa(c|0,f|0,t|0);v=y;y=0;if(v&1){c=pb()|0;DO(t);break}else{DO(t);DO(x);v=58;break b}}while(0);DO(x);break a}while(0);DO(u);break a}}while(0);c=pb()|0;DO(m);break a}}while(0);if((v|0)==58){y=0;e=qa(315,80)|0;x=y;y=0;if(!(x&1)){g=z;c=b+12|0;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));y=0;oa(460,C|0,B|0);B=y;y=0;if(B&1)c=pb()|0;else{k[C>>2]=6868;y=0;oa(460,A|0,k[b+76>>2]|0);B=y;y=0;do if(B&1)c=pb()|0;else{k[A>>2]=12568;y=0;g=w;c=z;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));Ra(34,e|0,w|0,C|0,A|0);B=y;y=0;if(B&1){c=pb()|0;DO(A);break}DO(A);DO(C);y=0;d=qa(315,76)|0;C=y;y=0;if(C&1){c=pb()|0;break a}g=D;c=e+12|0;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));y=0;oa(460,H|0,e|0);C=y;y=0;if(C&1)c=pb()|0;else{k[H>>2]=6508;y=0;oa(460,G|0,0);C=y;y=0;if(C&1)c=pb()|0;else{k[G>>2]=6508;g=E;c=D;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));y=0;na(422,d|0);D=y;y=0;do if(D&1)c=pb()|0;else{g=d+12|0;c=E;f=g+40|0;do{k[g>>2]=k[c>>2];g=g+4|0;c=c+4|0}while((g|0)<(f|0));k[d+52>>2]=6;k[d+56>>2]=0;i[d+60>>0]=0;k[d>>2]=6884;c=d+64|0;y=0;oa(460,c|0,k[H+4>>2]|0);E=y;y=0;if(E&1){c=pb()|0;break}k[c>>2]=6508;i[d+72>>0]=(k[G+4>>2]|0)==0&1;DO(G);DO(H);DO(I);I=d;r=F;return I|0}while(0);DO(G)}DO(H)}cra(d);break a}while(0);DO(C)}cra(e);break a}}c=pb()|0;break a}while(0);DO(o)}cra(B)}while(0);DO(I);I=c;sb(I|0)}while(0);cra(p);I=c;sb(I|0);return 0}function ef(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0;w=0;q=r;r=r+224|0;o=q+176|0;B=q+152|0;l=q+164|0;A=q+128|0;n=q+140|0;t=q+88|0;z=q+24|0;x=q;p=q+48|0;u=q+32|0;v=q+16|0;s=q+8|0;j=b+160|0;e=k[j>>2]|0;m=b+164|0;g=k[m>>2]|0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;h=g-e|0;if(h>>>0>4294967279){mN(B);w=5}else if(h>>>0<11){i[B+11>>0]=h;d=B}else w=5;if((w|0)==5){f=h+16&-16;d=IM(f)|0;k[B>>2]=d;k[B+8>>2]=f|-2147483648;k[B+4>>2]=h}if((e|0)!=(g|0)){f=d;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(g|0))break;else f=f+1|0}d=d+h|0}i[d>>0]=0;y=0;d=ta(48,b|0,1,0)|0;h=y;y=0;if(h&1){A=pb()|0;A9(B);sb(A|0)}a:do if(!d){k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;d=B+11|0;e=i[d>>0]|0;e=e<<24>>24<0?k[B+4>>2]|0:e&255;y=0;Ra(10,A|0,44338,16,e+16|0);h=y;y=0;if(h&1)w=17;else{y=0;ta(41,A|0,((i[d>>0]|0)<0?k[B>>2]|0:B)|0,e|0)|0;h=y;y=0;if(h&1)w=17;else{y=0;d=Ha(974,A|0,44355)|0;h=y;y=0;do if(h&1)d=pb()|0;else{k[l>>2]=k[d>>2];k[l+4>>2]=k[d+4>>2];k[l+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;h=b+108|0;y=0;k[o>>2]=k[h>>2];k[o+4>>2]=k[h+4>>2];k[o+8>>2]=k[h+8>>2];Na(108,b|0,l|0,o|0);h=y;y=0;if(h&1){d=pb()|0;A9(l);break}else{A9(l);A9(A);break a}}while(0);A9(A)}}if((w|0)==17){d=pb()|0;A9(A)}A=d;A9(B);sb(A|0)}while(0);g=k[j>>2]|0;h=k[m>>2]|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;j=h-g|0;if(j>>>0>4294967279){y=0;na(438,o|0);w=y;y=0;if(w&1)w=52;else w=26}else if(j>>>0<11){i[o+11>>0]=j;d=o;w=28}else w=26;if((w|0)==26){e=j+16&-16;y=0;d=qa(315,e|0)|0;w=y;y=0;if(w&1)w=52;else{k[o>>2]=d;k[o+8>>2]=e|-2147483648;k[o+4>>2]=j;w=28}}do if((w|0)==28){if((g|0)!=(h|0)){f=d;e=g;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(h|0))break;else f=f+1|0}d=d+j|0}i[d>>0]=0;y=0;oa(554,A|0,o|0);m=y;y=0;if(m&1){d=pb()|0;A9(o);break}A9(o);b:do if((c|0)==1){g=A+11|0;e=i[g>>0]|0;f=A+4|0;d=k[f>>2]|0;if(((e<<24>>24<0?d:e&255)|0)==3){y=0;d=sa(21,A|0,0,-1,48632,3)|0;m=y;y=0;if(m&1){m=tb(0)|0;Sla(m)}if(d|0){e=i[g>>0]|0;d=k[f>>2]|0;w=38}}else w=38;do if((w|0)==38){if(((e<<24>>24<0?d:e&255)|0)==2){y=0;d=sa(21,A|0,0,-1,48636,2)|0;m=y;y=0;if(m&1){m=tb(0)|0;Sla(m)}if(!d)break;e=i[g>>0]|0;d=k[f>>2]|0}if(((e<<24>>24<0?d:e&255)|0)!=3){w=60;break b}y=0;d=sa(21,A|0,0,-1,48628,3)|0;m=y;y=0;if(m&1){m=tb(0)|0;Sla(m)}else if(!d)break;else{w=60;break b}}while(0);k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;d=i[g>>0]|0;d=d<<24>>24<0?k[f>>2]|0:d&255;y=0;Ra(10,t|0,44367,23,d+23|0);m=y;y=0;if(m&1)w=55;else{y=0;ta(41,t|0,((i[g>>0]|0)<0?k[A>>2]|0:A)|0,d|0)|0;m=y;y=0;if(m&1)w=55;else{y=0;d=Ha(974,t|0,51816)|0;m=y;y=0;do if(m&1)d=pb()|0;else{k[n>>2]=k[d>>2];k[n+4>>2]=k[d+4>>2];k[n+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;m=b+108|0;y=0;k[o>>2]=k[m>>2];k[o+4>>2]=k[m+4>>2];k[o+8>>2]=k[m+8>>2];Na(108,b|0,n|0,o|0);m=y;y=0;if(m&1){d=pb()|0;A9(n);break}else{A9(n);A9(t);w=60;break b}}while(0);A9(t)}}if((w|0)==55){d=pb()|0;A9(t)}}else w=60;while(0);if((w|0)==60){d=t;e=b+108|0;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;oa(555,z|0,b|0);n=y;y=0;if(n&1)d=pb()|0;else{f=b+56|0;do if(!c){k[o>>2]=1;d=b+60|0;e=k[d>>2]|0;if(e>>>0<(k[b+64>>2]|0)>>>0){k[e>>2]=1;k[d>>2]=e+4}else{y=0;oa(567,f|0,o|0);n=y;y=0;if(n&1){d=pb()|0;break}}w=73}else{k[o>>2]=2;d=b+60|0;e=k[d>>2]|0;if(e>>>0<(k[b+64>>2]|0)>>>0){k[e>>2]=2;k[d>>2]=e+4}else{y=0;oa(567,f|0,o|0);n=y;y=0;if(n&1){d=pb()|0;break}}w=73}while(0);do if((w|0)==73){y=0;Na(121,x|0,b|0,0);w=y;y=0;if(w&1){d=pb()|0;break}g=b+60|0;k[g>>2]=(k[g>>2]|0)+-4;y=0;g=qa(315,120)|0;w=y;y=0;c:do if(w&1)d=pb()|0;else{d=p;e=t;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));y=0;oa(456,u|0,A|0);w=y;y=0;do if(w&1)d=pb()|0;else{y=0;oa(460,v|0,k[z+4>>2]|0);w=y;y=0;if(w&1){d=pb()|0;A9(u);break}k[v>>2]=8852;y=0;oa(460,s|0,k[x+4>>2]|0);w=y;y=0;if(w&1){d=pb()|0;e=1}else{k[s>>2]=6868;y=0;d=o;e=p;f=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(f|0));ya(19,g|0,o|0,u|0,v|0,s|0,c|0);w=y;y=0;do if(w&1)d=1;else{y=0;oa(460,a|0,g|0);w=y;y=0;if(w&1){d=0;break}k[a>>2]=17132;DO(s);DO(v);A9(u);DO(x);DO(z);A9(A);A9(B);r=q;return}while(0);w=pb()|0;DO(s);e=d;d=w}DO(v);A9(u);if(!e)break c}while(0);cra(g)}while(0);DO(x)}while(0);DO(z)}}A9(A);A=d;A9(B);sb(A|0)}else if((w|0)==52)d=pb()|0;while(0);A=d;A9(B);sb(A|0)}function ff(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;p=0;q=r;r=r+112|0;n=q+80|0;s=q+72|0;d=q+64|0;o=q+48|0;m=q+36|0;l=q+24|0;g=q+12|0;f=q;h=a+8|0;c=k[(k[h>>2]|0)+16>>2]|0;j=k[c>>2]|0;k[c>>2]=0;LT(d,k[b+68>>2]|0);k[d>>2]=7284;c=k[d+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(460,s|0,c|0);e=y;y=0;if(!(e&1)){k[s>>2]=7284;DO(d);y=0;e=qa(378,k[a+4>>2]|0)|0;d=y;y=0;a:do if(d&1)a=pb()|0;else{k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,46811,9);d=y;y=0;do if(d&1)a=pb()|0;else{y=0;a=Ha(990,e|0,n|0)|0;d=y;y=0;if(d&1){a=pb()|0;A9(n);break}A9(n);if(a){d=k[h>>2]|0;k[n>>2]=50970;k[n+4>>2]=k[b+24>>2];k[n+8>>2]=(k[b+12>>2]|0)+1;k[n+12>>2]=(k[b+16>>2]|0)+1;k[n+16>>2]=1;k[n+20>>2]=e;a=d+288|0;c=k[a>>2]|0;if(c>>>0<(k[d+292>>2]|0)>>>0){k[c>>2]=k[n>>2];k[c+4>>2]=k[n+4>>2];k[c+8>>2]=k[n+8>>2];k[c+12>>2]=k[n+12>>2];k[c+16>>2]=k[n+16>>2];k[c+20>>2]=k[n+20>>2];k[a>>2]=(k[a>>2]|0)+24}else{y=0;oa(637,d+284|0,n|0);p=y;y=0;if(p&1){a=pb()|0;break a}}k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,46811,9);p=y;y=0;do if(p&1)a=pb()|0;else{y=0;a=Ha(975,e|0,n|0)|0;p=y;y=0;if(p&1){a=pb()|0;A9(n);break}a=k[a+4>>2]|0;if(!a)a=0;else a=(k[195]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)?a:0;A9(n);c=k[a+104>>2]|0;y=0;d=qa(379,c|0)|0;p=y;y=0;if(p&1){a=pb()|0;break a}k[n>>2]=20496;y=0;e=Ha(1014,1,0)|0;p=y;y=0;b:do if(p&1)a=pb()|0;else{a=k[s+4>>2]|0;y=0;a=Ha(k[(k[a>>2]|0)+68>>2]|0,a|0,n|0)|0;p=y;y=0;do if(!(p&1)){y=0;Na(126,e|0,0,a|0);p=y;y=0;if(p&1)break;y=0;a=ta(d|0,e|0,c|0,k[(k[h>>2]|0)+296>>2]|0)|0;p=y;y=0;if(p&1)break;k[k[(k[h>>2]|0)+16>>2]>>2]=j;p=(k[h>>2]|0)+288|0;k[p>>2]=(k[p>>2]|0)+-24;y=0;na(447,e|0);p=y;y=0;do if(!(p&1)){y=0;na(447,a|0);p=y;y=0;if(p&1)break;DO(s);r=q;return 0}while(0);a=pb()|0;break b}while(0);a=pb()|0}while(0);break a}while(0);break a}y=0;oa(456,o|0,(k[h>>2]|0)+4|0);e=y;y=0;if(e&1){a=pb()|0;break a}e=k[s+4>>2]|0;y=0;oa(k[(k[e>>2]|0)+24>>2]|0,n|0,e|0);e=y;y=0;do if(e&1){a=pb()|0;p=60}else{y=0;ma(5,m|0,n|0,0,0,1);e=y;y=0;if(e&1){a=pb()|0;A9(n);p=60;break}A9(n);a=b+24|0;d=k[a>>2]|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;e=IJ(d)|0;y=0;Na(74,n|0,d|0,e|0);e=y;y=0;do if(e&1){a=pb()|0;p=63}else{y=0;Ra(15,l|0,n|0,o|0,o|0);e=y;y=0;if(e&1){a=pb()|0;A9(n);p=63;break}A9(n);d=k[a>>2]|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;e=IJ(d)|0;y=0;Na(74,n|0,d|0,e|0);e=y;y=0;do if(e&1){a=pb()|0;p=66}else{y=0;Ra(18,g|0,n|0,o|0,o|0);e=y;y=0;if(e&1){a=pb()|0;A9(n);p=66;break}A9(n);d=k[a>>2]|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;e=IJ(d)|0;y=0;Na(74,n|0,d|0,e|0);e=y;y=0;do if(e&1){a=pb()|0;p=69}else{y=0;Ra(36,f|0,g|0,l|0,n|0);e=y;y=0;if(e&1){a=pb()|0;A9(n);p=69;break}A9(n);k[k[(k[h>>2]|0)+16>>2]>>2]=j;a=i[f+11>>0]|0;j=a<<24>>24<0;y=0;a=ta(47,83256,(j?k[f>>2]|0:f)|0,(j?k[f+4>>2]|0:a&255)|0)|0;j=y;y=0;c:do if(j&1)p=70;else{y=0;a=ta(47,a|0,52136,1)|0;j=y;y=0;if(j&1){p=70;break}y=0;a=Ha(976,a|0,(k[b+12>>2]|0)+1|0)|0;j=y;y=0;if(j&1){p=70;break}y=0;a=ta(47,a|0,46821,8)|0;j=y;y=0;if(j&1){p=70;break}j=i[m+11>>0]|0;h=j<<24>>24<0;y=0;ta(47,a|0,(h?k[m>>2]|0:m)|0,(h?k[m+4>>2]|0:j&255)|0)|0;j=y;y=0;if(j&1){p=70;break}y=0;a=qa(323,83256+(k[(k[20814]|0)+-12>>2]|0)|0)|0;j=y;y=0;if(j&1){p=70;break}k[n>>2]=a;y=0;a=Ha(977,n|0,83960)|0;j=y;y=0;do if(!(j&1)){y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;j=y;y=0;if(j&1)break;Hea(n);y=0;Ha(1015,83256,a|0)|0;p=y;y=0;if(p&1){p=70;break c}y=0;qa(381,83256)|0;p=y;y=0;if(p&1){p=70;break c}A9(f);A9(g);A9(l);A9(m);A9(o);DO(s);r=q;return 0}while(0);a=pb()|0;Hea(n)}while(0);if((p|0)==70)a=pb()|0;A9(f)}while(0);A9(g)}while(0);A9(l)}while(0);A9(m)}while(0);A9(o);break a}while(0)}while(0);DO(s);s=a;sb(s|0)}}s=pb()|0;DO(d);sb(s|0);return 0}function gf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;z=0;w=r;r=r+32|0;x=w+12|0;u=w;v=a+4|0;if(($ka(v)|0)==5)if((k[b+64>>2]|0)==(k[b+68>>2]|0)){k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,48577,2);y=0;oa(679,v|0,x|0);z=y;y=0;if(z&1){z=pb()|0;A9(x);sb(z|0)}else{A9(x);r=w;return}}t=b+80|0;c=(k[t>>2]|0)==1?51792:51413;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,c,1);y=0;c=qa(394,v|0)|0;s=y;y=0;a:do if(s&1)z=13;else{if((c|0)==3)z=14;else{s=i[x+11>>0]|0;if(((s<<24>>24<0?k[x+4>>2]|0:s&255)|0)==1){y=0;c=sa(21,x|0,0,-1,51413,1)|0;s=y;y=0;if(s&1){s=tb(0)|0;Sla(s)}if(!c){y=0;Ha(974,x|0,51792)|0;s=y;y=0;if(s&1){z=13;break}}else z=14}else z=14}b:do if((z|0)==14)if(i[a+98>>0]|0){s=i[x+11>>0]|0;do if(((s<<24>>24<0?k[x+4>>2]|0:s&255)|0)==1){y=0;c=sa(21,x|0,0,-1,51792,1)|0;s=y;y=0;if(s&1){s=tb(0)|0;Sla(s)}else if(!c)break b;else break}while(0);y=0;Ha(974,x|0,51792)|0;s=y;y=0;if(s&1){z=13;break a}}while(0);p=b+60|0;o=b+68|0;c:do if((k[b+64>>2]|0)!=(k[o>>2]|0)){q=a+100|0;n=j[q>>1]|0;m=n&255;s=a+101|0;n=(n&65535)>>>8&255;y=0;c=qa(394,v|0)|0;l=y;y=0;d:do if(!(l&1)){e:do if((c|0)==5)if(((k[o>>2]|0)-(k[b+64>>2]|0)|0)==8)if(!(i[b+85>>0]|0)){y=0;c=Ha(k[(k[p>>2]|0)+16>>2]|0,p|0,0)|0;l=y;y=0;if(l&1)break d;y=0;c=qa(336,k[c+4>>2]|0)|0;l=y;y=0;if(l&1)break d;if(!c){y=0;c=Ha(k[(k[p>>2]|0)+16>>2]|0,p|0,0)|0;l=y;y=0;if(l&1)break d;c=k[c+4>>2]|0;if(c|0)if((k[481]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){z=38;break}k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,48580,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(679,v|0,u|0);l=y;y=0;if(l&1){c=pb()|0;A9(u);break}else{A9(u);z=48;break e}}while(0);break a}else z=38}else z=38;else z=38;else z=38;while(0);f:do if((z|0)==38)if(!(i[a+99>>0]|0)){c=k[t>>2]|0;switch(c|0){case 2:break;case 1:{if(!(i[q>>0]|0)){z=50;break f}break}case 0:{if(!(i[s>>0]|0)){z=48;break f}break}default:{z=49;break f}}k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,48580,1);l=y;y=0;do if(l&1)c=pb()|0;else{y=0;oa(679,v|0,u|0);l=y;y=0;if(l&1){c=pb()|0;A9(u);break}else{A9(u);z=48;break f}}while(0);break a}else z=48;while(0);if((z|0)==48){c=k[t>>2]|0;z=49}g:do if((z|0)==49){switch(c|0){case 1:{z=50;break g}case 0:break;default:break g}i[s>>0]=1}while(0);if((z|0)==50)i[q>>0]=1;y=0;f=qa(k[(k[b>>2]|0)+120>>2]|0,b|0)|0;l=y;y=0;if(l&1){c=pb()|0;break a}h:do if(f|0){g=x+11|0;h=x+4|0;l=u+4|0;e=0;c=0;i:while(1){if((k[t>>2]|0)==2)i[((i[g>>0]|0)<0?k[x>>2]|0:x)>>0]=e&1|0?58:44;y=0;d=Ha(k[(k[p>>2]|0)+16>>2]|0,p|0,e|0)|0;A=y;y=0;if(A&1){z=59;break}y=0;oa(460,u|0,k[d+4>>2]|0);A=y;y=0;if(A&1){z=59;break}k[u>>2]=7284;y=0;d=qa(394,v|0)|0;A=y;y=0;if(A&1){z=68;break}do if((d|0)==5)z=69;else{d=k[l>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+84>>2]|0,d|0)|0;A=y;y=0;if(A&1){z=68;break i}if(!d){z=69;break}y=0;d=qa(332,k[l>>2]|0)|0;A=y;y=0;if(A&1){z=68;break i}if(d)z=69}while(0);if((z|0)==69){z=0;do if(c){y=0;oa(679,v|0,x|0);A=y;y=0;if(A&1){z=68;break i}A=i[g>>0]|0;if(((A<<24>>24<0?k[h>>2]|0:A&255)|0)==1){y=0;c=sa(21,x|0,0,-1,51792,1)|0;A=y;y=0;if(A&1){z=73;break i}if(!c)break}y=0;na(459,v|0);A=y;y=0;if(A&1){z=68;break i}}while(0);A=k[l>>2]|0;y=0;oa(k[(k[A>>2]|0)+44>>2]|0,A|0,a|0);A=y;y=0;if(A&1){z=68;break}else c=1}DO(u);e=e+1|0;if(e>>>0>=f>>>0)break h}if((z|0)==59){c=pb()|0;break a}else if((z|0)==68){c=pb()|0;DO(u);break a}else if((z|0)==73){A=tb(0)|0;Sla(A)}}while(0);i[s>>0]=n;i[q>>0]=m;y=0;c=qa(394,v|0)|0;A=y;y=0;if(!(A&1)){do if((c|0)==5)if(((k[o>>2]|0)-(k[b+64>>2]|0)|0)==8)if(!(i[b+85>>0]|0)){y=0;c=Ha(k[(k[p>>2]|0)+16>>2]|0,p|0,0)|0;A=y;y=0;if(A&1)break d;y=0;c=qa(336,k[c+4>>2]|0)|0;A=y;y=0;if(A&1)break d;if(!c){y=0;c=Ha(k[(k[p>>2]|0)+16>>2]|0,p|0,0)|0;A=y;y=0;if(A&1)break d;c=k[c+4>>2]|0;if(c|0)if((k[481]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0))break;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,48582,2);A=y;y=0;do if(A&1)c=pb()|0;else{y=0;oa(679,v|0,u|0);A=y;y=0;if(A&1){c=pb()|0;A9(u);break}else{A9(u);break c}}while(0);break a}}while(0);if(i[a+99>>0]|0)break c;switch(k[t>>2]|0){case 2:break;case 1:{if(!(i[q>>0]|0))break c;break}case 0:{if(!(i[s>>0]|0))break c;break}default:break c}k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,48585,1);A=y;y=0;do if(A&1)c=pb()|0;else{y=0;oa(679,v|0,u|0);A=y;y=0;if(A&1){c=pb()|0;A9(u);break}else{A9(u);break c}}while(0);break a}}while(0);c=pb()|0;break a}while(0);A9(x);r=w;return}while(0);if((z|0)==13)c=pb()|0;A9(x);A=c;sb(A|0)}function hf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;J=0;A=r;r=r+256|0;q=A+208|0;K=A+184|0;t=A+200|0;H=A+160|0;u=A+172|0;G=A+148|0;v=A+136|0;w=A+124|0;x=A+112|0;z=A+100|0;B=A+88|0;C=A+76|0;D=A+64|0;E=A+52|0;F=A+40|0;s=A;d=b+64|0;e=(k[b+72>>2]|0)-(k[b+68>>2]|0)>>3;a:do if(e|0){f=q+4|0;c=0;while(1){I=(Fc[k[(k[d>>2]|0)+16>>2]&2047](d,c)|0)+4|0;LT(q,k[I>>2]|0);k[q>>2]=6508;I=k[f>>2]|0;y=0;oa(k[(k[I>>2]|0)+44>>2]|0,I|0,a|0);I=y;y=0;if(I&1)break;DO(q);c=c+1|0;if(c>>>0>=e>>>0)break a}K=pb()|0;DO(q);sb(K|0)}while(0);if(!(i[b+84>>0]|0)){r=A;return}vq(K,k[a+4>>2]|0);c=k[K>>2]|0;I=K+4|0;e=k[I>>2]|0;b:do if((c|0)!=(e|0)){f=v+4|0;g=v+8|0;h=H+11|0;j=H+4|0;l=G+11|0;m=G+4|0;n=u+4|0;o=u+8|0;p=t+4|0;while(1){a=k[c+4>>2]|0;if(!a)b=0;else{y=0;oa(647,t|0,a|0);d=y;y=0;if(d&1){J=19;break}b=k[p>>2]|0;DO(t)}a=k[c+12>>2]|0;if(!a){a=0;d=0;J=23}else if(!(i[a+104>>0]|0))if(!(i[a+62>>0]|0)){d=1;J=23}if((J|0)==23){J=0;if(!b){k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;y=0;Na(74,H|0,48317,4);b=y;y=0;if(b&1){J=19;break}}else{L=k[(k[b>>2]|0)+28>>2]|0;k[u>>2]=0;k[n>>2]=5;i[o>>0]=0;y=0;k[q>>2]=k[u>>2];k[q+4>>2]=k[u+4>>2];k[q+8>>2]=k[u+8>>2];Na(L|0,H|0,b|0,q|0);b=y;y=0;if(b&1){J=19;break}}if(d){L=k[(k[a>>2]|0)+28>>2]|0;k[v>>2]=0;k[f>>2]=5;i[g>>0]=0;y=0;k[q>>2]=k[v>>2];k[q+4>>2]=k[v+4>>2];k[q+8>>2]=k[v+8>>2];Na(L|0,G|0,a|0,q|0);L=y;y=0;if(L&1){J=44;break}}else{k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(74,G|0,48317,4);L=y;y=0;if(L&1){J=44;break}}k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;b=i[h>>0]|0;b=b<<24>>24<0?k[j>>2]|0:b&255;y=0;Ra(10,F|0,51690,1,b+1|0);L=y;y=0;if(L&1){J=45;break}y=0;ta(41,F|0,((i[h>>0]|0)<0?k[H>>2]|0:H)|0,b|0)|0;L=y;y=0;if(L&1){J=45;break}y=0;b=Ha(974,F|0,48322)|0;L=y;y=0;if(L&1){J=46;break}k[E>>2]=k[b>>2];k[E+4>>2]=k[b+4>>2];k[E+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=i[l>>0]|0;L=b<<24>>24<0;y=0;b=ta(41,E|0,(L?k[G>>2]|0:G)|0,(L?k[m>>2]|0:b&255)|0)|0;L=y;y=0;if(L&1){J=47;break}k[D>>2]=k[b>>2];k[D+4>>2]=k[b+4>>2];k[D+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,D|0,48344)|0;L=y;y=0;if(L&1){J=48;break}k[C>>2]=k[b>>2];k[C+4>>2]=k[b+4>>2];k[C+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=i[l>>0]|0;L=b<<24>>24<0;y=0;b=ta(41,C|0,(L?k[G>>2]|0:G)|0,(L?k[m>>2]|0:b&255)|0)|0;L=y;y=0;if(L&1){J=49;break}k[B>>2]=k[b>>2];k[B+4>>2]=k[b+4>>2];k[B+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,B|0,48362)|0;L=y;y=0;if(L&1){J=50;break}k[z>>2]=k[b>>2];k[z+4>>2]=k[b+4>>2];k[z+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;b=i[l>>0]|0;L=b<<24>>24<0;y=0;b=ta(41,z|0,(L?k[G>>2]|0:G)|0,(L?k[m>>2]|0:b&255)|0)|0;L=y;y=0;if(L&1){J=51;break}k[x>>2]=k[b>>2];k[x+4>>2]=k[b+4>>2];k[x+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,x|0,48393)|0;L=y;y=0;if(L&1){J=52;break}k[w>>2]=k[b>>2];k[w+4>>2]=k[b+4>>2];k[w+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;if(d){d=s;a=a+12|0;b=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(b|0))}else{y=0;Ra(14,s|0,0,0,-1);L=y;y=0;if(L&1){J=53;break}}y=0;d=q;a=s;b=d+40|0;do{k[d>>2]=k[a>>2];d=d+4|0;a=a+4|0}while((d|0)<(b|0));oa(454,w|0,q|0);L=y;y=0;if(L&1){J=53;break}A9(w);A9(x);A9(z);A9(B);A9(C);A9(D);A9(E);A9(F);A9(G);A9(H)}c=c+16|0;if((c|0)==(e|0)){J=9;break}}switch(J|0){case 9:{c=k[K>>2]|0;break b}case 19:{d=pb()|0;b=N;break}case 44:{c=pb()|0;a=N;J=62;break}case 45:{c=pb()|0;a=N;A9(F);J=61;break}case 46:{c=pb()|0;a=N;J=60;break}case 47:{c=pb()|0;a=N;J=59;break}case 48:{c=pb()|0;a=N;J=58;break}case 49:{c=pb()|0;a=N;J=57;break}case 50:{c=pb()|0;a=N;J=56;break}case 51:{c=pb()|0;a=N;J=55;break}case 52:{c=pb()|0;a=N;J=54;break}case 53:{c=pb()|0;a=N;A9(w);J=54;break}}if((J|0)==54){A9(x);J=55}if((J|0)==55){A9(z);J=56}if((J|0)==56){A9(B);J=57}if((J|0)==57){A9(C);J=58}if((J|0)==58){A9(D);J=59}if((J|0)==59){A9(E);J=60}if((J|0)==60){A9(F);J=61}if((J|0)==61){A9(G);J=62}if((J|0)==62){A9(H);d=c;b=a}c=k[K>>2]|0;if(c|0){a=k[I>>2]|0;if((a|0)!=(c|0)){do{L=a+-16|0;k[I>>2]=L;DO(a+-8|0);DO(L);a=k[I>>2]|0}while((a|0)!=(c|0));c=k[K>>2]|0}cra(c)}L=d;sb(L|0)}while(0);if(c|0){a=k[I>>2]|0;if((a|0)!=(c|0)){do{L=a+-16|0;k[I>>2]=L;DO(a+-8|0);DO(L);a=k[I>>2]|0}while((a|0)!=(c|0));c=k[K>>2]|0}cra(c)}r=A;return}function jf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;C=0;G=r;r=r+336|0;D=G+312|0;z=G+300|0;A=G+288|0;B=G+248|0;t=G+232|0;u=G+220|0;v=G+208|0;w=G+168|0;o=G+152|0;l=G+140|0;m=G+128|0;n=G+88|0;h=G;H=G+76|0;E=G+64|0;s=G+56|0;F=G+40|0;x=b+156|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(H);C=5}else if(g>>>0<11){i[H+11>>0]=g;c=H}else C=5;if((C|0)==5){q=g+16&-16;c=IM(q)|0;k[H>>2]=c;k[H+8>>2]=q|-2147483648;k[H+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;p=b+96|0;k[E>>2]=k[p>>2];k[E+4>>2]=k[p+4>>2];k[E+8>>2]=k[p+8>>2];y=0;j=qa(315,84)|0;q=y;y=0;a:do if(!(q&1)){q=b+108|0;c=h;f=q;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;na(422,j|0);g=y;y=0;do if(g&1)c=pb()|0;else{c=j+12|0;f=h;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));k[j>>2]=6212;i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=0;c=j+60|0;k[c>>2]=10136;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(550,g|0,0);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{a=e+-8|0;k[h>>2]=a;lc[k[k[a>>2]>>2]&511](a);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=9952;k[c>>2]=10080;i[j+80>>0]=0;i[j+81>>0]=0;i[j+82>>0]=0;y=0;oa(460,a|0,j|0);j=y;y=0;if(j&1)break a;k[a>>2]=8964;k[o>>2]=k[x>>2];k[o+4>>2]=k[x+4>>2];k[o+8>>2]=k[x+8>>2];h=b+76|0;d=k[h>>2]|0;j=b+84|0;k[l>>2]=k[j>>2];k[l+4>>2]=k[j+4>>2];k[l+8>>2]=k[j+8>>2];k[m>>2]=k[p>>2];k[m+4>>2]=k[p+4>>2];k[m+8>>2]=k[p+8>>2];c=n;f=q;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;ta(53,b|0,1,0)|0;g=y;y=0;b:do if(g&1)C=41;else{y=0;c=ta(82,b|0,1,0)|0;g=y;y=0;if(g&1)C=41;else{if(!c){c=q;f=n;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));k[x>>2]=k[o>>2];k[x+4>>2]=k[o+4>>2];k[x+8>>2]=k[o+8>>2];k[h>>2]=d;k[p>>2]=k[m>>2];k[p+4>>2]=k[m+4>>2];k[p+8>>2]=k[m+8>>2];k[j>>2]=k[l>>2];k[j+4>>2]=k[l+4>>2];k[j+8>>2]=k[l+8>>2];A9(H);r=G;return}y=0;c=qa(343,k[h>>2]|0)|0;o=y;y=0;if(o&1)C=41;else{e=b+80|0;if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[h>>2]|0;y=0;d=qa(344,c|0)|0;o=y;y=0;if(o&1)C=41;else{o=d|0?d:c;o=(i[o>>0]|0)==41?o+1|0:0;do if((o|0)==0?1:o>>>0>(k[e>>2]|0)>>>0){e=a+4|0;while(1){c=(k[e>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(593,s|0,b|0);C=y;y=0;if(C&1){C=40;break}y=0;oa(d|0,c|0,s|0);C=y;y=0;if(C&1){C=43;break}DO(s);k[t>>2]=k[x>>2];k[t+4>>2]=k[x+4>>2];k[t+8>>2]=k[x+8>>2];d=k[h>>2]|0;k[u>>2]=k[j>>2];k[u+4>>2]=k[j+4>>2];k[u+8>>2]=k[j+8>>2];k[v>>2]=k[p>>2];k[v+4>>2]=k[p+4>>2];k[v+8>>2]=k[p+8>>2];c=w;f=q;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;ta(53,b|0,1,0)|0;C=y;y=0;if(C&1){C=40;break}y=0;c=ta(54,b|0,1,0)|0;C=y;y=0;if(C&1){C=40;break}if(!c){C=36;break}}if((C|0)==36){c=q;f=w;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[h>>2]=d;k[p>>2]=k[v>>2];k[p+4>>2]=k[v+4>>2];k[p+8>>2]=k[v+8>>2];k[j>>2]=k[u>>2];k[j+4>>2]=k[u+4>>2];k[j+8>>2]=k[u+8>>2];break}else if((C|0)==40){c=pb()|0;C=42;break b}else if((C|0)==43){c=pb()|0;DO(s);break b}}else d=k[h>>2]|0;while(0);k[D>>2]=k[x>>2];k[D+4>>2]=k[x+4>>2];k[D+8>>2]=k[x+8>>2];k[z>>2]=k[j>>2];k[z+4>>2]=k[j+4>>2];k[z+8>>2]=k[j+8>>2];k[A>>2]=k[p>>2];k[A+4>>2]=k[p+4>>2];k[A+8>>2]=k[p+8>>2];c=B;f=q;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;ta(53,b|0,1,0)|0;w=y;y=0;if(w&1)C=41;else{y=0;c=ta(67,b|0,1,0)|0;w=y;y=0;if(w&1)C=41;else{if(c|0){A9(H);r=G;return}c=q;f=B;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));k[x>>2]=k[D>>2];k[x+4>>2]=k[D+4>>2];k[x+8>>2]=k[D+8>>2];k[h>>2]=d;k[p>>2]=k[A>>2];k[p+4>>2]=k[A+4>>2];k[p+8>>2]=k[A+8>>2];k[j>>2]=k[z>>2];k[j+4>>2]=k[z+4>>2];k[j+8>>2]=k[z+8>>2];k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;c=H+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[H+4>>2]|0:d&255;y=0;Ra(10,F|0,43613,69,d+69|0);B=y;y=0;do if(!(B&1)){y=0;ta(41,F|0,((i[c>>0]|0)<0?k[H>>2]|0:H)|0,d|0)|0;B=y;y=0;if(B&1)break;y=0;k[D>>2]=k[E>>2];k[D+4>>2]=k[E+4>>2];k[D+8>>2]=k[E+8>>2];Na(108,b|0,F|0,D|0);E=y;y=0;if(E&1){c=pb()|0;A9(F);break b}A9(F);A9(H);r=G;return}while(0);c=pb()|0;A9(F);C=42}}}}}}while(0);if((C|0)==41){c=pb()|0;C=42}DO(a);a=c;A9(H);sb(a|0)}while(0);cra(j);a=c;A9(H);sb(a|0)}while(0);a=pb()|0;A9(H);sb(a|0)}function kf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;C=0;G=r;r=r+336|0;D=G+312|0;z=G+300|0;A=G+288|0;B=G+248|0;t=G+232|0;u=G+220|0;v=G+208|0;w=G+168|0;o=G+152|0;l=G+140|0;m=G+128|0;n=G+88|0;h=G;H=G+76|0;E=G+64|0;s=G+56|0;F=G+40|0;x=b+156|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(H);C=5}else if(g>>>0<11){i[H+11>>0]=g;c=H}else C=5;if((C|0)==5){q=g+16&-16;c=IM(q)|0;k[H>>2]=c;k[H+8>>2]=q|-2147483648;k[H+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;p=b+96|0;k[E>>2]=k[p>>2];k[E+4>>2]=k[p+4>>2];k[E+8>>2]=k[p+8>>2];y=0;j=qa(315,76)|0;q=y;y=0;a:do if(!(q&1)){q=b+108|0;c=h;f=q;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;na(422,j|0);g=y;y=0;do if(g&1)c=pb()|0;else{k[j>>2]=6128;c=j+12|0;f=h;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));c=j+52|0;k[c>>2]=12936;g=j+56|0;h=j+60|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(626,g|0,0);f=y;y=0;if(f&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{a=e+-8|0;k[h>>2]=a;lc[k[k[a>>2]>>2]&511](a);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=12792;k[c>>2]=12880;i[j+72>>0]=0;i[j+73>>0]=0;y=0;oa(460,a|0,j|0);j=y;y=0;if(j&1)break a;k[a>>2]=8852;k[o>>2]=k[x>>2];k[o+4>>2]=k[x+4>>2];k[o+8>>2]=k[x+8>>2];h=b+76|0;d=k[h>>2]|0;j=b+84|0;k[l>>2]=k[j>>2];k[l+4>>2]=k[j+4>>2];k[l+8>>2]=k[j+8>>2];k[m>>2]=k[p>>2];k[m+4>>2]=k[p+4>>2];k[m+8>>2]=k[p+8>>2];c=n;f=q;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;ta(53,b|0,1,0)|0;g=y;y=0;b:do if(g&1)C=41;else{y=0;c=ta(82,b|0,1,0)|0;g=y;y=0;if(g&1)C=41;else{if(!c){c=q;f=n;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));k[x>>2]=k[o>>2];k[x+4>>2]=k[o+4>>2];k[x+8>>2]=k[o+8>>2];k[h>>2]=d;k[p>>2]=k[m>>2];k[p+4>>2]=k[m+4>>2];k[p+8>>2]=k[m+8>>2];k[j>>2]=k[l>>2];k[j+4>>2]=k[l+4>>2];k[j+8>>2]=k[l+8>>2];A9(H);r=G;return}y=0;c=qa(343,k[h>>2]|0)|0;o=y;y=0;if(o&1)C=41;else{e=b+80|0;if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[h>>2]|0;y=0;d=qa(344,c|0)|0;o=y;y=0;if(o&1)C=41;else{o=d|0?d:c;o=(i[o>>0]|0)==41?o+1|0:0;do if((o|0)==0?1:o>>>0>(k[e>>2]|0)>>>0){e=a+4|0;while(1){c=(k[e>>2]|0)+52|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(627,s|0,b|0);C=y;y=0;if(C&1){C=40;break}y=0;oa(d|0,c|0,s|0);C=y;y=0;if(C&1){C=43;break}DO(s);k[t>>2]=k[x>>2];k[t+4>>2]=k[x+4>>2];k[t+8>>2]=k[x+8>>2];d=k[h>>2]|0;k[u>>2]=k[j>>2];k[u+4>>2]=k[j+4>>2];k[u+8>>2]=k[j+8>>2];k[v>>2]=k[p>>2];k[v+4>>2]=k[p+4>>2];k[v+8>>2]=k[p+8>>2];c=w;f=q;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;ta(53,b|0,1,0)|0;C=y;y=0;if(C&1){C=40;break}y=0;c=ta(54,b|0,1,0)|0;C=y;y=0;if(C&1){C=40;break}if(!c){C=36;break}}if((C|0)==36){c=q;f=w;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));k[x>>2]=k[t>>2];k[x+4>>2]=k[t+4>>2];k[x+8>>2]=k[t+8>>2];k[h>>2]=d;k[p>>2]=k[v>>2];k[p+4>>2]=k[v+4>>2];k[p+8>>2]=k[v+8>>2];k[j>>2]=k[u>>2];k[j+4>>2]=k[u+4>>2];k[j+8>>2]=k[u+8>>2];break}else if((C|0)==40){c=pb()|0;C=42;break b}else if((C|0)==43){c=pb()|0;DO(s);break b}}else d=k[h>>2]|0;while(0);k[D>>2]=k[x>>2];k[D+4>>2]=k[x+4>>2];k[D+8>>2]=k[x+8>>2];k[z>>2]=k[j>>2];k[z+4>>2]=k[j+4>>2];k[z+8>>2]=k[j+8>>2];k[A>>2]=k[p>>2];k[A+4>>2]=k[p+4>>2];k[A+8>>2]=k[p+8>>2];c=B;f=q;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));y=0;ta(53,b|0,1,0)|0;w=y;y=0;if(w&1)C=41;else{y=0;c=ta(67,b|0,1,0)|0;w=y;y=0;if(w&1)C=41;else{if(c|0){A9(H);r=G;return}c=q;f=B;g=c+40|0;do{k[c>>2]=k[f>>2];c=c+4|0;f=f+4|0}while((c|0)<(g|0));k[x>>2]=k[D>>2];k[x+4>>2]=k[D+4>>2];k[x+8>>2]=k[D+8>>2];k[h>>2]=d;k[p>>2]=k[A>>2];k[p+4>>2]=k[A+4>>2];k[p+8>>2]=k[A+8>>2];k[j>>2]=k[z>>2];k[j+4>>2]=k[z+4>>2];k[j+8>>2]=k[z+8>>2];k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;c=H+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[H+4>>2]|0:d&255;y=0;Ra(10,F|0,43613,69,d+69|0);B=y;y=0;do if(!(B&1)){y=0;ta(41,F|0,((i[c>>0]|0)<0?k[H>>2]|0:H)|0,d|0)|0;B=y;y=0;if(B&1)break;y=0;k[D>>2]=k[E>>2];k[D+4>>2]=k[E+4>>2];k[D+8>>2]=k[E+8>>2];Na(108,b|0,F|0,D|0);E=y;y=0;if(E&1){c=pb()|0;A9(F);break b}A9(F);A9(H);r=G;return}while(0);c=pb()|0;A9(F);C=42}}}}}}while(0);if((C|0)==41){c=pb()|0;C=42}DO(a);a=c;A9(H);sb(a|0)}while(0);cra(j);a=c;A9(H);sb(a|0)}while(0);a=pb()|0;A9(H);sb(a|0)}function lf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;p=0;M=r;r=r+64|0;N=M+28|0;K=M;jD(a);L=a+20|0;g=k[L>>2]|0;O=a+24|0;n=k[O>>2]|0;o=(n|0)==0;if(!o)Dba(n);y=0;na(449,N|0);J=y;y=0;do if(J&1){d=pb()|0;p=32}else{j=g+8|0;e=k[j>>2]|0;l=g+4|0;d=k[l>>2]|0;J=e-d>>2;h=g+16|0;f=k[h>>2]|0;m=g+20|0;c=k[m>>2]|0;if((((J|0)==0?0:(J*146|0)+-1|0)|0)==(c+f|0)){y=0;na(429,g|0);J=y;y=0;if(!(J&1)){c=k[m>>2]|0;f=k[h>>2]|0;e=k[j>>2]|0;d=k[l>>2]|0;p=7}}else p=7;if((p|0)==7){c=c+f|0;if((e|0)==(d|0))c=0;else c=(k[d+(((c>>>0)/146|0)<<2)>>2]|0)+(((c>>>0)%146|0)*28|0)|0;k[c>>2]=k[N>>2];k[c+4>>2]=k[N+4>>2];k[c+8>>2]=k[N+8>>2];d=c+12|0;y=0;oa(460,d|0,k[N+16>>2]|0);J=y;y=0;if(!(J&1)){k[d>>2]=15136;I=N+20|0;k[c+20>>2]=k[I>>2];J=N+24|0;k[c+24>>2]=k[J>>2];k[I>>2]=0;k[J>>2]=0;k[m>>2]=(k[m>>2]|0)+1;DO(N+12|0);if(!o)DY(n);g=b+20|0;d=k[g>>2]|0;h=b+24|0;e=k[h>>2]|0;f=(e|0)==0;if(!f)Dba(e);J=k[d+4>>2]|0;c=k[d+16>>2]|0;l=J+(((c>>>0)/146|0)<<2)|0;if((k[d+8>>2]|0)==(J|0))j=0;else j=(k[l>>2]|0)+(((c>>>0)%146|0)*28|0)|0;if(!f)DY(e);e=k[g>>2]|0;f=k[h>>2]|0;g=(f|0)==0;if(!g)Dba(f);c=(k[e+16>>2]|0)+(k[e+20>>2]|0)|0;d=k[e+4>>2]|0;if((k[e+8>>2]|0)==(d|0))F=0;else F=(k[d+(((c>>>0)/146|0)<<2)>>2]|0)+(((c>>>0)%146|0)*28|0)|0;if(!g)DY(f);x=K+20|0;G=K+24|0;z=N+20|0;I=N+24|0;A=K+16|0;H=K+12|0;B=a+12|0;C=a+16|0;D=N+16|0;E=N+20|0;J=N+12|0;w=l;c=j;a:while(1){do{if((c|0)==(F|0)){p=27;break a}y=0;na(449,N|0);v=y;y=0;if(v&1){p=57;break a}f=c+20|0;d=k[f>>2]|0;j=c+24|0;g=k[j>>2]|0;h=(g|0)==0;if(!h)Dba(g);v=k[d+4>>2]|0;e=k[d+16>>2]|0;l=v+(((e>>>0)/146|0)<<2)|0;if((k[d+8>>2]|0)==(v|0))d=0;else d=(k[l>>2]|0)+(((e>>>0)%146|0)*28|0)|0;if(!h)DY(g);g=k[f>>2]|0;h=k[j>>2]|0;j=(h|0)==0;if(!j)Dba(h);e=(k[g+16>>2]|0)+(k[g+20>>2]|0)|0;f=k[g+4>>2]|0;if((k[g+8>>2]|0)==(f|0))v=0;else v=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;if(!j)DY(h);u=l;b:while(1){do{if((d|0)==(v|0))break b;e=k[L>>2]|0;g=k[O>>2]|0;h=(g|0)==0;if(!h)Dba(g);t=k[e+4>>2]|0;f=k[e+16>>2]|0;m=t+(((f>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(t|0))e=0;else e=(k[m>>2]|0)+(((f>>>0)%146|0)*28|0)|0;if(!h)DY(g);f=k[L>>2]|0;j=k[O>>2]|0;l=(j|0)==0;if(!l)Dba(j);g=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;h=k[f+4>>2]|0;if((k[f+8>>2]|0)==(h|0))t=0;else t=(k[h+(((g>>>0)/146|0)<<2)>>2]|0)+(((g>>>0)%146|0)*28|0)|0;if(!l)DY(j);c:while(1){do{if((e|0)==(t|0))break c;y=0;na(449,K|0);s=y;y=0;if(s&1){p=98;break a}i[K>>0]=i[c>>0]|0;y=0;oa(507,K|0,e|0);s=y;y=0;if(s&1){p=99;break a}f=k[x>>2]|0;g=k[G>>2]|0;h=(g|0)==0;if(!h)Dba(g);y=0;oa(522,f|0,d|0);s=y;y=0;if(s&1){p=100;break a}if(!h)DY(g);f=k[z>>2]|0;q=k[I>>2]|0;s=(q|0)==0;if(!s)Dba(q);n=f+8|0;h=k[n>>2]|0;o=f+4|0;g=k[o>>2]|0;P=h-g>>2;l=f+16|0;b=k[l>>2]|0;p=f+20|0;j=k[p>>2]|0;if((((P|0)==0?0:(P*146|0)+-1|0)|0)==(j+b|0)){y=0;na(429,f|0);P=y;y=0;if(P&1){p=102;break a}j=k[p>>2]|0;f=k[l>>2]|0;h=k[n>>2]|0;g=k[o>>2]|0}else f=b;f=j+f|0;if((h|0)==(g|0))g=0;else g=(k[g+(((f>>>0)/146|0)<<2)>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[g>>2]=k[K>>2];k[g+4>>2]=k[K+4>>2];k[g+8>>2]=k[K+8>>2];f=g+12|0;y=0;oa(460,f|0,k[A>>2]|0);P=y;y=0;if(P&1){p=102;break a}k[f>>2]=15136;k[g+20>>2]=k[x>>2];f=k[G>>2]|0;k[g+24>>2]=f;if(f|0)Dba(f);k[p>>2]=(k[p>>2]|0)+1;if(!s)DY(q);f=k[G>>2]|0;if(f|0)DY(f);DO(H);e=e+28|0}while((e-(k[m>>2]|0)|0)!=4088);e=m+4|0;m=e;e=k[e>>2]|0}d=d+28|0}while((d-(k[u>>2]|0)|0)!=4088);d=u+4|0;u=d;d=k[d>>2]|0}k[a>>2]=k[N>>2];k[a+4>>2]=k[N+4>>2];k[a+8>>2]=k[N+8>>2];if(k[C>>2]|0){y=0;na(423,B|0);P=y;y=0;if(P&1){p=58;break a}}k[C>>2]=k[D>>2];y=0;na(424,B|0);P=y;y=0;if(P&1){p=58;break a}d=k[E>>2]|0;e=k[I>>2]|0;if(e|0)Dba(e);k[L>>2]=d;d=k[O>>2]|0;k[O>>2]=e;if(d|0)DY(d);d=k[I>>2]|0;if(d|0)DY(d);DO(J);c=c+28|0}while((c-(k[w>>2]|0)|0)!=4088);c=w+4|0;w=c;c=k[c>>2]|0}if((p|0)==27){r=M;return}else if((p|0)==57){d=pb()|0;break}else if((p|0)==58)d=pb()|0;else if((p|0)==98)d=pb()|0;else if((p|0)==99){d=pb()|0;p=104}else if((p|0)==100){d=pb()|0;if(h)p=104;else{DY(g);p=104}}else if((p|0)==102){d=pb()|0;if(s)p=104;else{DY(q);p=104}}if((p|0)==104){c=k[G>>2]|0;if(c|0)DY(c);DO(H)}c=k[I>>2]|0;if(c|0)DY(c);DO(J);break}}d=pb()|0;c=k[N+24>>2]|0;if(c|0)DY(c);DO(N+12|0);p=32}while(0);if((p|0)==32)if(!o)DY(n);c=k[O>>2]|0;if(!c){P=a+12|0;DO(P);sb(d|0)}DY(c);P=a+12|0;DO(P);sb(d|0)}function mf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;j=0;q=r;r=r+176|0;n=q+144|0;l=q+136|0;s=q+128|0;d=q+120|0;m=q+68|0;h=q;f=q+80|0;g=q+56|0;o=a+8|0;c=k[(k[o>>2]|0)+16>>2]|0;p=k[c>>2]|0;k[c>>2]=0;LT(d,k[b+68>>2]|0);k[d>>2]=7284;c=k[d+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;e=y;y=0;if(!(e&1)){y=0;oa(460,s|0,c|0);e=y;y=0;if(!(e&1)){k[s>>2]=7284;DO(d);a=a+4|0;y=0;e=qa(378,k[a>>2]|0)|0;d=y;y=0;a:do if(d&1)a=pb()|0;else{k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,46840,8);d=y;y=0;do if(d&1)a=pb()|0;else{y=0;c=Ha(990,e|0,n|0)|0;d=y;y=0;if(d&1){a=pb()|0;A9(n);break}A9(n);if(c){d=k[o>>2]|0;k[n>>2]=50964;k[n+4>>2]=k[b+24>>2];k[n+8>>2]=(k[b+12>>2]|0)+1;k[n+12>>2]=(k[b+16>>2]|0)+1;k[n+16>>2]=1;k[n+20>>2]=e;a=d+288|0;c=k[a>>2]|0;if(c>>>0<(k[d+292>>2]|0)>>>0){k[c>>2]=k[n>>2];k[c+4>>2]=k[n+4>>2];k[c+8>>2]=k[n+8>>2];k[c+12>>2]=k[n+12>>2];k[c+16>>2]=k[n+16>>2];k[c+20>>2]=k[n+20>>2];k[a>>2]=(k[a>>2]|0)+24}else{y=0;oa(637,d+284|0,n|0);m=y;y=0;if(m&1){a=pb()|0;break a}}k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,46840,8);m=y;y=0;do if(m&1)a=pb()|0;else{y=0;a=Ha(975,e|0,n|0)|0;m=y;y=0;if(m&1){a=pb()|0;A9(n);break}a=k[a+4>>2]|0;if(!a)a=0;else a=(k[195]|0)==(k[(k[(k[a>>2]|0)+-4>>2]|0)+4>>2]|0)?a:0;A9(n);c=k[a+104>>2]|0;y=0;d=qa(379,c|0)|0;m=y;y=0;if(m&1){a=pb()|0;break a}k[n>>2]=20496;y=0;e=Ha(1014,1,0)|0;m=y;y=0;b:do if(m&1)a=pb()|0;else{a=k[s+4>>2]|0;y=0;a=Ha(k[(k[a>>2]|0)+68>>2]|0,a|0,n|0)|0;n=y;y=0;do if(!(n&1)){y=0;Na(126,e|0,0,a|0);n=y;y=0;if(n&1)break;y=0;a=ta(d|0,e|0,c|0,k[(k[o>>2]|0)+296>>2]|0)|0;n=y;y=0;if(n&1)break;k[k[(k[o>>2]|0)+16>>2]>>2]=p;p=(k[o>>2]|0)+288|0;k[p>>2]=(k[p>>2]|0)+-24;y=0;na(447,e|0);p=y;y=0;do if(!(p&1)){y=0;na(447,a|0);p=y;y=0;if(p&1)break;DO(s);r=q;return 0}while(0);a=pb()|0;break b}while(0);a=pb()|0}while(0);break a}while(0);break a}e=k[s+4>>2]|0;y=0;oa(k[(k[e>>2]|0)+24>>2]|0,n|0,e|0);e=y;y=0;do if(e&1)a=pb()|0;else{y=0;ma(5,m|0,n|0,0,0,1);e=y;y=0;if(e&1){a=pb()|0;A9(n);break}A9(n);y=0;d=qa(380,k[a>>2]|0)|0;e=y;y=0;do if(e&1)j=61;else{e=f;a=b+12|0;c=e+40|0;do{k[e>>2]=k[a>>2];e=e+4|0;a=a+4|0}while((e|0)<(c|0));k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;y=0;Na(74,g|0,87975,0);b=y;y=0;if(b&1)j=61;else{k[h>>2]=d;e=h+4|0;a=f;c=e+40|0;do{k[e>>2]=k[a>>2];e=e+4|0;a=a+4|0}while((e|0)<(c|0));c=h+44|0;y=0;oa(456,c|0,g|0);f=y;y=0;if(f&1){a=pb()|0;A9(g);break}A9(g);y=0;a=ta(47,83256,52188,9)|0;g=y;y=0;c:do if(g&1)j=63;else{g=i[m+11>>0]|0;f=g<<24>>24<0;y=0;ta(47,a|0,(f?k[m>>2]|0:m)|0,(f?k[m+4>>2]|0:g&255)|0)|0;g=y;y=0;if(g&1)j=63;else{y=0;Na(127,n|0,h|0,0);h=y;y=0;do if(h&1)a=pb()|0;else{h=i[n+11>>0]|0;g=h<<24>>24<0;y=0;ta(47,83256,(g?k[n>>2]|0:n)|0,(g?k[n+4>>2]|0:h&255)|0)|0;h=y;y=0;if(h&1){a=pb()|0;A9(n);break}A9(n);y=0;a=qa(323,83256+(k[(k[20814]|0)+-12>>2]|0)|0)|0;j=y;y=0;if(j&1){j=63;break c}k[n>>2]=a;y=0;a=Ha(977,n|0,83960)|0;j=y;y=0;do if(!(j&1)){y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;j=y;y=0;if(j&1)break;Hea(n);y=0;Ha(1015,83256,a|0)|0;n=y;y=0;if(n&1){j=63;break c}y=0;qa(381,83256)|0;n=y;y=0;if(n&1){j=63;break c}y=0;a=qa(323,83256+(k[(k[20814]|0)+-12>>2]|0)|0)|0;n=y;y=0;if(n&1){j=63;break c}k[l>>2]=a;y=0;a=Ha(977,l|0,83960)|0;n=y;y=0;do if(!(n&1)){y=0;a=Ha(k[(k[a>>2]|0)+28>>2]|0,a|0,10)|0;n=y;y=0;if(n&1)break;Hea(l);y=0;Ha(1015,83256,a|0)|0;n=y;y=0;if(n&1){j=63;break c}y=0;qa(381,83256)|0;n=y;y=0;if(n&1){j=63;break c}k[k[(k[o>>2]|0)+16>>2]>>2]=p;A9(c);A9(m);DO(s);r=q;return 0}while(0);a=pb()|0;Hea(l);j=64;break c}while(0);a=pb()|0;Hea(n);j=64;break c}while(0)}}while(0);if((j|0)==63){a=pb()|0;j=64}A9(c)}}while(0);if((j|0)==61)a=pb()|0;A9(m);break a}while(0);break a}while(0)}while(0);DO(s);s=a;sb(s|0)}}s=pb()|0;DO(d);sb(s|0);return 0}function nf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;x=0;C=r;r=r+16|0;B=C;s=B+4|0;t=B+4|0;u=B+4|0;v=B+4|0;w=B+4|0;a:while(1){q=b;z=b+-8|0;o=b+-16|0;A=b+-4|0;p=(B|0)==(z|0);while(1){n=a;b:while(1){m=n;a=q-m|0;d=a>>3;switch(d|0){case 2:{x=5;break a}case 3:{x=18;break a}case 4:{x=19;break a}case 5:{x=20;break a}case 1:case 0:{x=108;break a}default:{}}if((a|0)<56){x=22;break a}f=(d|0)/2|0;i=n+(f<<3)|0;if((a|0)>7992){a=(d|0)/4|0;a=lj(n,n+(a<<3)|0,i,i+(a<<3)|0,z,c)|0}else a=yi(n,i,z,c)|0;j=n+4|0;d=k[j>>2]|0;if(d|0){e=k[n+(f<<3)+4>>2]|0;if(e|0)if(Fc[k[(k[d>>2]|0)+156>>2]&2047](d,e)|0){d=z;break}}if((n|0)!=(o|0)){h=n+(f<<3)+4|0;d=z;g=o;while(1){d=d+-4|0;e=k[d>>2]|0;if(e|0){f=k[h>>2]|0;if(f|0)if(Fc[k[(k[e>>2]|0)+156>>2]&2047](e,f)|0){x=65;break b}}d=g+-8|0;if((n|0)==(d|0))break;else{l=g;g=d;d=l}}}a=n+8|0;d=k[j>>2]|0;if(!d)x=34;else{e=k[A>>2]|0;if(!e)x=34;else if(!(Fc[k[(k[d>>2]|0)+156>>2]&2047](d,e)|0))x=34}if((x|0)==34){x=0;if((a|0)==(z|0)){x=108;break a}while(1){d=k[j>>2]|0;if(d|0){e=a+4|0;f=k[e>>2]|0;if(f|0)if(Fc[k[(k[d>>2]|0)+156>>2]&2047](d,f)|0)break}a=a+8|0;if((a|0)==(z|0)){x=108;break a}}LT(B,k[e>>2]|0);k[B>>2]=15136;if(k[e>>2]|0){y=0;na(423,a|0);n=y;y=0;if(n&1){x=42;break a}}k[e>>2]=k[A>>2];k[A>>2]=0;if(!p){k[A>>2]=k[t>>2];k[t>>2]=0}DO(B);a=a+8|0}if((a|0)==(z|0)){x=108;break a}else f=z;while(1){while(1){d=k[j>>2]|0;if(d|0){h=a+4|0;e=k[h>>2]|0;if(e|0)if(Fc[k[(k[d>>2]|0)+156>>2]&2047](d,e)|0){d=f;break}}a=a+8|0}while(1){g=d+-8|0;e=k[j>>2]|0;if(!e)break;f=k[d+-4>>2]|0;if(!f)break;if(Fc[k[(k[e>>2]|0)+156>>2]&2047](e,f)|0)d=g;else break}if(a>>>0>=g>>>0){n=a;continue b}LT(B,k[h>>2]|0);k[B>>2]=15136;if(k[h>>2]|0){y=0;na(423,a|0);n=y;y=0;if(n&1){x=59;break a}}d=d+-4|0;k[h>>2]=k[d>>2];k[d>>2]=0;if((B|0)!=(g|0)){k[d>>2]=k[s>>2];k[s>>2]=0}DO(B);f=g;a=a+8|0}}if((x|0)==65){x=0;LT(B,k[j>>2]|0);k[B>>2]=15136;if(k[j>>2]|0){y=0;na(423,n|0);l=y;y=0;if(l&1){x=69;break a}}k[j>>2]=k[d>>2];k[d>>2]=0;if((B|0)!=(g|0)){k[d>>2]=k[w>>2];k[w>>2]=0}DO(B);d=g;a=a+1|0}e=n+8|0;c:do if(e>>>0<d>>>0){l=i;while(1){j=l+4|0;h=e+4|0;f=k[h>>2]|0;d:do if(f)while(1){g=k[j>>2]|0;if(!g)break d;if(!(Fc[k[(k[f>>2]|0)+156>>2]&2047](f,g)|0))break d;g=e+8|0;h=e+12|0;f=k[h>>2]|0;if(!f){e=g;break}else e=g}while(0);while(1){f=d;d=d+-8|0;f=f+-4|0;g=k[f>>2]|0;if(!g)continue;i=k[j>>2]|0;if(!i)continue;if(Fc[k[(k[g>>2]|0)+156>>2]&2047](g,i)|0)break}if(e>>>0>d>>>0){h=l;i=e;break c}LT(B,k[h>>2]|0);k[B>>2]=15136;if((e|0)!=(d|0)){if(k[h>>2]|0){y=0;na(423,e|0);j=y;y=0;if(j&1){x=89;break a}}k[h>>2]=k[f>>2];k[f>>2]=0}if((B|0)!=(d|0)){if(k[f>>2]|0){y=0;na(423,d|0);j=y;y=0;if(j&1){x=89;break a}}k[f>>2]=k[v>>2];k[v>>2]=0}DO(B);l=(l|0)==(e|0)?d:l;e=e+8|0;a=a+1|0}}else{h=i;i=e}while(0);if((i|0)!=(h|0)){d=h+4|0;e=k[d>>2]|0;if(e){f=i+4|0;g=k[f>>2]|0;if(g)if(Fc[k[(k[e>>2]|0)+156>>2]&2047](e,g)|0){LT(B,k[f>>2]|0);k[B>>2]=15136;if(k[f>>2]|0){y=0;na(423,i|0);l=y;y=0;if(l&1){x=99;break a}}k[f>>2]=k[d>>2];k[d>>2]=0;if((B|0)!=(h|0)){k[d>>2]=k[u>>2];k[u>>2]=0}DO(B);a=a+1|0}}}if(!a){d=sj(n,i,c)|0;a=i+8|0;if(sj(a,b,c)|0){x=107;break}if(d)continue}l=i;if((l-m|0)>=(q-l|0)){x=106;break}nf(n,i,c);a=i+8|0}if((x|0)==106){x=0;nf(i+8|0,b,c);a=n;b=i;continue}else if((x|0)==107){x=0;if(d){x=108;break}else{a=n;b=i;continue}}}switch(x|0){case 5:{a=k[A>>2]|0;if(!a){r=C;return}b=n+4|0;d=k[b>>2]|0;if(!d){r=C;return}if(!(Fc[k[(k[a>>2]|0)+156>>2]&2047](a,d)|0)){r=C;return}LT(B,k[b>>2]|0);k[B>>2]=15136;if((n|0)!=(z|0)){if(k[b>>2]|0){y=0;na(423,n|0);x=y;y=0;if(x&1){C=pb()|0;DO(B);sb(C|0)}}k[b>>2]=k[A>>2];k[A>>2]=0}if((B|0)!=(z|0)){if(k[A>>2]|0){y=0;na(423,z|0);z=y;y=0;if(z&1){C=pb()|0;DO(B);sb(C|0)}}z=B+4|0;k[A>>2]=k[z>>2];k[z>>2]=0}DO(B);r=C;return}case 18:{yi(n,n+8|0,z,c)|0;r=C;return}case 19:{Cl(n,n+8|0,n+16|0,z,c)|0;r=C;return}case 20:{lj(n,n+8|0,n+16|0,n+24|0,z,c)|0;r=C;return}case 22:{zp(n,b,c);r=C;return}case 42:{C=pb()|0;DO(B);sb(C|0)}case 59:{C=pb()|0;DO(B);sb(C|0)}case 69:{C=pb()|0;DO(B);sb(C|0)}case 89:{C=pb()|0;DO(B);sb(C|0)}case 99:{C=pb()|0;DO(B);sb(C|0)}case 108:{r=C;return}}}function of(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;J=0;E=r;r=r+368|0;B=E+328|0;t=E+316|0;u=E+304|0;v=E+264|0;w=E;m=E+248|0;n=E+236|0;o=E+224|0;d=E+184|0;C=E+144|0;K=E+136|0;L=E+120|0;I=E+104|0;x=E+128|0;z=E+112|0;D=E+64|0;G=E+56|0;H=E+48|0;F=E+40|0;k[B>>2]=4;A=b+60|0;c=k[A>>2]|0;if(c>>>0<(k[b+64>>2]|0)>>>0){k[c>>2]=4;k[A>>2]=c+4}else kA(b+56|0,B);s=b+108|0;c=C;p=s;q=c+40|0;do{k[c>>2]=k[p>>2];c=c+4|0;p=p+4|0}while((c|0)<(q|0));e=(i[(k[(k[b+48>>2]|0)+-4>>2]|0)+84>>0]|0)!=0;ow(K,b,0);y=0;Na(121,L|0,b|0,e|0);q=y;y=0;if(q&1){L=pb()|0;DO(K);sb(L|0)}y=0;oa(460,I|0,0);q=y;y=0;if(q&1)c=pb()|0;else{k[I>>2]=6868;f=b+156|0;k[m>>2]=k[f>>2];k[m+4>>2]=k[f+4>>2];k[m+8>>2]=k[f+8>>2];g=b+76|0;h=k[g>>2]|0;j=b+84|0;k[n>>2]=k[j>>2];k[n+4>>2]=k[j+4>>2];k[n+8>>2]=k[j+8>>2];l=b+96|0;k[o>>2]=k[l>>2];k[o+4>>2]=k[l+4>>2];k[o+8>>2]=k[l+8>>2];c=d;p=s;q=c+40|0;do{k[c>>2]=k[p>>2];c=c+4|0;p=p+4|0}while((c|0)<(q|0));y=0;ta(53,b|0,1,0)|0;q=y;y=0;a:do if(q&1)J=28;else{y=0;c=ta(131,b|0,1,0)|0;q=y;y=0;if(q&1)J=28;else{b:do if(!c){c=s;p=d;q=c+40|0;do{k[c>>2]=k[p>>2];c=c+4|0;p=p+4|0}while((c|0)<(q|0));k[f>>2]=k[m>>2];k[f+4>>2]=k[m+4>>2];k[f+8>>2]=k[m+8>>2];k[g>>2]=h;k[l>>2]=k[o>>2];k[l+4>>2]=k[o+4>>2];k[l+8>>2]=k[o+8>>2];k[j>>2]=k[n>>2];k[j+4>>2]=k[n+4>>2];k[j+8>>2]=k[n+8>>2];k[B>>2]=k[f>>2];k[B+4>>2]=k[f+4>>2];k[B+8>>2]=k[f+8>>2];k[t>>2]=k[j>>2];k[t+4>>2]=k[j+4>>2];k[t+8>>2]=k[j+8>>2];k[u>>2]=k[l>>2];k[u+4>>2]=k[l+4>>2];k[u+8>>2]=k[l+8>>2];c=v;p=s;q=c+40|0;do{k[c>>2]=k[p>>2];c=c+4|0;p=p+4|0}while((c|0)<(q|0));y=0;ta(53,b|0,1,0)|0;z=y;y=0;if(z&1){J=28;break a}y=0;c=ta(132,b|0,1,0)|0;z=y;y=0;if(z&1){J=28;break a}if(!c){c=s;p=v;q=c+40|0;do{k[c>>2]=k[p>>2];c=c+4|0;p=p+4|0}while((c|0)<(q|0));k[f>>2]=k[B>>2];k[f+4>>2]=k[B+4>>2];k[f+8>>2]=k[B+8>>2];k[g>>2]=h;k[l>>2]=k[u>>2];k[l+4>>2]=k[u+4>>2];k[l+8>>2]=k[u+8>>2];k[j>>2]=k[t>>2];k[j+4>>2]=k[t+4>>2];k[j+8>>2]=k[t+8>>2];break}y=0;Na(121,B|0,b|0,e|0);b=y;y=0;do if(b&1)c=pb()|0;else{c=I+4|0;if(k[c>>2]|0){y=0;na(423,I|0);b=y;y=0;if(b&1){c=pb()|0;DO(B);break}}b=B+4|0;k[c>>2]=k[b>>2];k[b>>2]=0;DO(B);break b}while(0);break a}else{y=0;j=qa(315,88)|0;v=y;y=0;c:do if(v&1)J=29;else{c=w;p=s;q=c+40|0;do{k[c>>2]=k[p>>2];c=c+4|0;p=p+4|0}while((c|0)<(q|0));y=0;na(422,j|0);v=y;y=0;do if(v&1)c=pb()|0;else{c=j+12|0;p=w;q=c+40|0;do{k[c>>2]=k[p>>2];c=c+4|0;p=p+4|0}while((c|0)<(q|0));k[j>>2]=6564;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;c=j+64|0;k[c>>2]=6524;g=j+68|0;h=j+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);w=y;y=0;if(w&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{H=e+-8|0;k[h>>2]=H;lc[k[k[H>>2]>>2]&511](H);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=6368;k[c>>2]=6468;i[j+84>>0]=0;y=0;oa(460,B|0,j|0);w=y;y=0;if(w&1){J=29;break c}k[B>>2]=6868;c=I+4|0;if(k[c>>2]|0){y=0;na(423,I|0);w=y;y=0;if(w&1){c=pb()|0;DO(B);break c}}d=B+4|0;k[c>>2]=k[d>>2];k[d>>2]=0;DO(B);c=(k[c>>2]|0)+64|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;Na(117,z|0,b|0,0);b=y;y=0;if(b&1){J=28;break a}y=0;oa(460,x|0,k[z+4>>2]|0);b=y;y=0;do if(b&1)c=pb()|0;else{k[x>>2]=6508;y=0;oa(d|0,c|0,x|0);b=y;y=0;if(b&1){c=pb()|0;DO(x);break}else{DO(x);DO(z);break b}}while(0);DO(z);break a}while(0);cra(j)}while(0);if((J|0)==29)c=pb()|0;break a}while(0);k[A>>2]=(k[A>>2]|0)+-4;y=0;e=qa(315,88)|0;A=y;y=0;if(A&1)J=28;else{c=D;p=C;q=c+40|0;do{k[c>>2]=k[p>>2];c=c+4|0;p=p+4|0}while((c|0)<(q|0));y=0;oa(460,G|0,k[K+4>>2]|0);C=y;y=0;do if(C&1)c=pb()|0;else{k[G>>2]=7284;y=0;oa(460,H|0,k[L+4>>2]|0);C=y;y=0;if(C&1){c=pb()|0;DO(G);break}k[H>>2]=6868;y=0;oa(460,F|0,k[I+4>>2]|0);C=y;y=0;if(C&1){c=pb()|0;d=1}else{k[F>>2]=6868;y=0;c=B;p=D;q=c+40|0;do{k[c>>2]=k[p>>2];c=c+4|0;p=p+4|0}while((c|0)<(q|0));ma(14,e|0,B|0,G|0,H|0,F|0);D=y;y=0;if(D&1)c=1;else{y=0;oa(460,a|0,e|0);D=y;y=0;if(D&1)c=0;else{k[a>>2]=17308;DO(F);DO(H);DO(G);DO(I);DO(L);DO(K);r=E;return}}a=pb()|0;DO(F);d=c;c=a}DO(H);DO(G);if(!d)break a}while(0);cra(e)}}}while(0);if((J|0)==28)c=pb()|0;DO(I)}DO(L);L=c;DO(K);sb(L|0)}function pf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;C=0;D=r;r=r+240|0;w=D+40|0;u=D;E=D+224|0;s=D+208|0;o=D+216|0;v=D+160|0;z=D+144|0;B=D+200|0;t=D+104|0;x=D+92|0;A=D+80|0;p=b+64|0;q=b+68|0;c=k[p>>2]|0;n=(k[q>>2]|0)-c>>3;do if(n>>>0>1){e=b+64|0;d=k[c+4>>2]|0;if(d|0)if((k[307]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)){h=0;break}f=n+-1|0;c=k[c+(f<<3)+4>>2]|0;if(c|0)if((k[307]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){h=0;break}g=Z9(d)|0;if(!g)c=0;else{h=Z9(k[(k[e>>2]|0)+(f<<3)+4>>2]|0)|0;if(!h)c=0;else{d=h+64|0;j=i[d+11>>0]|0;l=j<<24>>24<0;if(l)c=k[h+68>>2]|0;else c=j&255;if(!c)c=0;else{e=g+64|0;g=(i[e+11>>0]|0)<0;if(g)c=k[e>>2]|0;else c=e;if((i[c>>0]|0)==34){if(l){c=k[h+68>>2]|0;f=k[d>>2]|0}else{c=j&255;f=d}c=(i[f+(c+-1)>>0]|0)==34&1}else c=0;if(g)e=k[e>>2]|0;if((i[e>>0]|0)==39){if(l){e=k[h+68>>2]|0;d=k[d>>2]|0}else e=j&255;c=(i[d+(e+-1)>>0]|0)==39?1:c}}}}h=(c&1)!=0}else h=0;while(0);k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;aI(E,87975,0);a:do if(n|0){j=b+64|0;l=a+8|0;m=s+4|0;g=0;f=0;d=0;while(1){e=k[(k[j>>2]|0)+(g<<3)+4>>2]|0;if(!e)c=0;else c=(k[307]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;c=(c|0)==0;if(d)if(f|(i[e+54>>0]|0)!=0)C=38;else{y=0;Ha(974,E|0,51792)|0;f=y;y=0;if(f&1){C=37;break}}else C=38;if((C|0)==38){C=0;if(!((g|0)==0|c))if(!(f|(i[e+54>>0]|0)!=0)){y=0;Ha(974,E|0,51792)|0;f=y;y=0;if(f&1){C=37;break}}}c=k[(k[j>>2]|0)+(g<<3)+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;f=y;y=0;if(f&1){C=37;break}y=0;oa(460,s|0,c|0);f=y;y=0;if(f&1){C=37;break}k[s>>2]=7284;c=k[l>>2]|0;y=0;oa(460,o|0,k[m>>2]|0);f=y;y=0;if(f&1){C=48;break}k[o>>2]=7284;y=0;ya(23,a|0,c|0,E|0,o|0,h|0,(i[(k[m>>2]|0)+54>>0]|0)!=0|0);f=y;y=0;if(f&1){C=49;break}DO(o);c=k[(k[j>>2]|0)+(g<<3)+4>>2]|0;if(!c)d=0;else d=(k[307]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;f=(i[c+54>>0]|0)!=0;DO(s);g=g+1|0;if(g>>>0>=n>>>0)break a;else d=(d|0)!=0}if((C|0)==37){D=pb()|0;A9(E);sb(D|0)}else if((C|0)==48)c=pb()|0;else if((C|0)==49){c=pb()|0;DO(o)}DO(s);D=c;A9(E);sb(D|0)}while(0);j=b+54|0;do if(!(i[j>>0]|0)){if((k[q>>2]|0)-(k[p>>2]|0)>>3>>>0>1){C=i[E+11>>0]|0;if(!((C<<24>>24<0?k[E+4>>2]|0:C&255)|0)){y=0;c=sa(21,E|0,0,-1,87975,0)|0;C=y;y=0;if(C&1){C=tb(0)|0;Sla(C)}if(!c){y=0;c=qa(315,60)|0;C=y;y=0;if(C&1)break;h=w;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(422,c|0);C=y;y=0;if(C&1){D=pb()|0;cra(c);A9(E);sb(D|0)}else{h=c+12|0;f=w;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;k[c>>2]=12584;k[c+56>>2]=8;C=c;A9(E);r=D;return C|0}}}}y=0;d=qa(315,80)|0;C=y;y=0;if(!(C&1)){h=v;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;oa(456,z|0,E|0);C=y;y=0;if(C&1)c=pb()|0;else{h=u;f=v;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;na(422,d|0);C=y;y=0;do if(C&1)c=pb()|0;else{h=d+12|0;f=u;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=11100;i[d+60>>0]=0;i[d+61>>0]=0;y=0;oa(549,d+64|0,z|0);C=y;y=0;if(C&1){c=pb()|0;break}k[d+76>>2]=0;A9(z);C=d;A9(E);r=D;return C|0}while(0);A9(z)}cra(d);D=c;A9(E);sb(D|0)}}else{y=0;e=qa(315,80)|0;z=y;y=0;if(!(z&1)){h=t;f=b+12|0;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));y=0;oa(456,x|0,E|0);z=y;y=0;if(z&1)c=pb()|0;else{y=0;h=w;f=t;g=h+40|0;do{k[h>>2]=k[f>>2];h=h+4|0;f=f+4|0}while((h|0)<(g|0));Ea(2,e|0,w|0,x|0,0,0,0,0);z=y;y=0;if(z&1)d=1;else{y=0;oa(460,B|0,e|0);z=y;y=0;if(z&1)d=0;else{k[B>>2]=17036;A9(x);e=B+4|0;c=k[e>>2]|0;d=c+60|0;if(!(i[d>>0]|0)){b:do if(!(i[a+13>>0]|0)){d=c+64|0;y=0;oa(643,A|0,d|0);a=y;y=0;do if(a&1)c=pb()|0;else{k[c+76>>2]=0;y=0;Ha(969,d|0,A|0)|0;a=y;y=0;if(a&1){c=pb()|0;A9(A);break}else{A9(A);c=k[e>>2]|0;break b}}while(0);DO(B);D=c;A9(E);sb(D|0)}while(0);i[c+54>>0]=i[j>>0]|0;if(!c)c=0;else C=87}else{i[d>>0]=42;i[c+54>>0]=i[j>>0]|0;C=87}if((C|0)==87)i[c+8>>0]=1;DO(B);C=c;A9(E);r=D;return C|0}}c=pb()|0;A9(x);if(!d){D=c;A9(E);sb(D|0)}}cra(e);D=c;A9(E);sb(D|0)}}while(0);D=pb()|0;A9(E);sb(D|0);return 0}function qf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;D=0;B=r;r=r+208|0;C=B+40|0;q=B;o=B+192|0;n=B+152|0;t=B+136|0;f=B+128|0;u=B+120|0;w=B+112|0;x=B+96|0;A=B+88|0;v=B+80|0;E=IM(84)|0;z=b+108|0;g=q;l=z;m=g+40|0;do{k[g>>2]=k[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));y=0;na(422,E|0);s=y;y=0;do if(s&1)c=pb()|0;else{g=E+12|0;l=q;m=g+40|0;do{k[g>>2]=k[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));i[E+52>>0]=0;i[E+53>>0]=0;i[E+54>>0]=0;c=E+56|0;k[E>>2]=10968;k[c>>2]=4;s=E+60|0;k[s>>2]=9248;g=E+64|0;h=E+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,3);p=y;y=0;if(p&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{D=e+-8|0;k[h>>2]=D;lc[k[k[D>>2]>>2]&511](D);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[E>>2]=10796;k[s>>2]=10928;k[E+80>>2]=0;k[c>>2]=4;a:do if(!(iw(b,1,0)|0)){kt(b,1,0)|0;c=k[(k[s>>2]|0)+20>>2]|0;d=IM(80)|0;e=b+156|0;y=0;g=C;l=z;m=g+40|0;do{k[g>>2]=k[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));Na(109,d|0,C|0,e|0);t=y;y=0;if(t&1){E=pb()|0;cra(d);sb(E|0)}LT(f,d);k[f>>2]=7284;y=0;oa(c|0,s|0,f|0);t=y;y=0;if(!(t&1)){DO(f);h=s;j=s;break}E=pb()|0;DO(f);sb(E|0)}else{j=k[(k[s>>2]|0)+20>>2]|0;p=IM(72)|0;g=n;l=z;m=g+40|0;do{k[g>>2]=k[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));f=k[b+160>>2]|0;g=k[b+164>>2]|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;h=g-f|0;if(h>>>0>4294967279){y=0;na(438,q|0);D=y;y=0;if(D&1)D=28;else D=14}else if(h>>>0<11){i[q+11>>0]=h;c=q;D=16}else D=14;if((D|0)==14){d=h+16&-16;y=0;c=qa(315,d|0)|0;D=y;y=0;if(D&1)D=28;else{k[q>>2]=c;k[q+8>>2]=d|-2147483648;k[q+4>>2]=h;D=16}}do if((D|0)==16){if((f|0)!=(g|0)){e=c;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}c=c+h|0}i[c>>0]=0;y=0;oa(554,t|0,q|0);m=y;y=0;if(m&1){c=pb()|0;A9(q);break}g=C;l=n;m=g+40|0;do{k[g>>2]=k[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));y=0;na(422,p|0);n=y;y=0;do if(n&1){c=1;D=30}else{g=p+12|0;l=C;m=g+40|0;do{k[g>>2]=k[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));i[p+52>>0]=0;i[p+53>>0]=0;i[p+54>>0]=0;c=p+56|0;k[c>>2]=0;k[p>>2]=10424;y=0;oa(456,p+60|0,t|0);n=y;y=0;if(n&1){c=pb()|0;d=1;D=31;break}k[c>>2]=12;y=0;oa(460,o|0,p|0);n=y;y=0;if(n&1){c=0;D=30}else{k[o>>2]=7284;y=0;oa(j|0,s|0,o|0);n=y;y=0;if(n&1){c=pb()|0;DO(o);d=0;break}else{DO(o);A9(t);A9(q);h=s;e=b+156|0;j=s;break a}}}while(0);if((D|0)==30){E=pb()|0;d=c;c=E;D=31}A9(t);A9(q);if(!d){E=c;sb(E|0)}}else if((D|0)==28)c=pb()|0;while(0);cra(p);E=c;sb(E|0)}while(0);St(b,1,0)|0;c=k[(k[h>>2]|0)+20>>2]|0;d=IM(80)|0;y=0;g=C;l=z;m=g+40|0;do{k[g>>2]=k[l>>2];g=g+4|0;l=l+4|0}while((g|0)<(m|0));Na(109,d|0,C|0,e|0);t=y;y=0;if(t&1){E=pb()|0;cra(d);sb(E|0)}LT(u,d);k[u>>2]=7284;y=0;oa(c|0,j|0,u|0);t=y;y=0;if(t&1){E=pb()|0;DO(u);sb(E|0)}DO(u);c=b+76|0;u=k[c>>2]|0;d=mW(u)|0;u=dM(d|0?d:u)|0;d=b+80|0;if(!((u|0)==0?1:u>>>0>(k[d>>2]|0)>>>0)){D=k[(k[h>>2]|0)+20>>2]|0;ow(w,b,0);y=0;oa(D|0,j|0,w|0);D=y;y=0;if(D&1){E=pb()|0;DO(w);sb(E|0)}else{DO(w);LT(a,E);k[a>>2]=7492;r=B;return}}if(!(zw(b,1,0)|0)){D=k[c>>2]|0;C=mW(D)|0;D=FM(C|0?C:D)|0;if((D|0)==0?1:D>>>0>(k[d>>2]|0)>>>0){LT(a,E);k[a>>2]=7492;r=B;return}D=k[(k[h>>2]|0)+20>>2]|0;ow(v,b,0);y=0;oa(D|0,j|0,v|0);D=y;y=0;if(D&1){E=pb()|0;DO(v);sb(E|0)}else{DO(v);LT(a,E);k[a>>2]=7492;r=B;return}}d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(C);D=53}else if(g>>>0<11){i[C+11>>0]=g;c=C}else D=53;if((D|0)==53){b=g+16&-16;c=IM(b)|0;k[C>>2]=c;k[C+8>>2]=b|-2147483648;k[C+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;oa(590,x|0,C|0);b=y;y=0;do if(b&1)D=62;else{A9(x);d=k[(k[h>>2]|0)+20>>2]|0;y=0;c=Ha(1004,z|0,C|0)|0;z=y;y=0;if(z&1)D=62;else{y=0;oa(460,A|0,c|0);z=y;y=0;if(z&1)D=62;else{k[A>>2]=7284;y=0;oa(d|0,j|0,A|0);z=y;y=0;if(z&1){c=pb()|0;DO(A);break}DO(A);A9(C);LT(a,E);k[a>>2]=7492;r=B;return}}}while(0);if((D|0)==62)c=pb()|0;A9(C);E=c;sb(E|0)}while(0);cra(E);E=c;sb(E|0)}function rf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;A=r;r=r+384|0;z=A+344|0;l=A+304|0;m=A+288|0;c=A+124|0;g=A+248|0;n=A+232|0;o=A+192|0;p=A+176|0;q=A+136|0;s=A+112|0;i=A+72|0;j=A+56|0;t=A+16|0;u=A;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;aI(z,39457,5);y=0;b=Ha(975,a|0,z|0)|0;x=y;y=0;if(x&1){A=pb()|0;A9(z);sb(A|0)}b=k[b+4>>2]|0;if(!b)b=0;else b=(k[481]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(z);if(b|0){g=IM(104)|0;v=l;w=e;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));c=k[b+80>>2]|0;b=k[b+76>>2]|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(c-b>>3>>>0);y=0;v=z;w=l;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));Ca(1,g|0,z|0,+h,m|0,1);z=y;y=0;if(z&1){b=pb()|0;A9(m);break}A9(m);z=g;r=A;return z|0}while(0);cra(g);A=b;sb(A|0)}k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,39457,5);y=0;v=z;w=e;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));d=sa(27,c|0,a|0,d|0,z|0,f|0)|0;x=y;y=0;if(x&1){A=pb()|0;A9(c);sb(A|0)}A9(c);switch(k[d+56>>2]|0){case 6:{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;aI(z,39457,5);y=0;b=Ha(975,a|0,z|0)|0;x=y;y=0;if(x&1){A=pb()|0;A9(z);sb(A|0)}b=k[b+4>>2]|0;if(!b)b=0;else b=(k[229]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(z);c=IM(104)|0;v=g;w=e;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));if(!b)h=1.0;else h=+((k[b+88>>2]|0)-(k[b+84>>2]|0)>>3>>>0);k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;v=z;w=g;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));Ca(1,c|0,z|0,+h,n|0,1);z=y;y=0;if(z&1){b=pb()|0;A9(n);break}A9(n);z=c;r=A;return z|0}while(0);cra(c);A=b;sb(A|0)}case 7:{b=k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0;if((k[443]|0)==(b|0)){g=IM(104)|0;v=o;w=e;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));c=k[d+80>>2]|0;b=k[d+76>>2]|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(74,p|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(c-b>>3>>>0);y=0;v=z;w=o;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));Ca(1,g|0,z|0,+h,p|0,1);z=y;y=0;if(z&1){b=pb()|0;A9(p);break}A9(p);z=g;r=A;return z|0}while(0);cra(g);A=b;sb(A|0)}x=(k[481]|0)==(b|0);g=IM(104)|0;if(x){v=q;w=e;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));c=k[d+80>>2]|0;b=k[d+76>>2]|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(c-b>>3>>>0);y=0;v=z;w=q;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));Ca(1,g|0,z|0,+h,s|0,1);z=y;y=0;if(z&1){b=pb()|0;A9(s);break}A9(s);z=g;r=A;return z|0}while(0);cra(g);A=b;sb(A|0)}else{v=i;w=e;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;v=z;w=i;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));Ca(1,g|0,z|0,1.0,j|0,1);z=y;y=0;if(z&1){b=pb()|0;A9(j);break}A9(j);z=g;r=A;return z|0}while(0);cra(g);A=b;sb(A|0)}}default:{k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;aI(z,39457,5);y=0;b=Ha(975,a|0,z|0)|0;x=y;y=0;if(!(x&1)){y=0;b=qa(336,k[b+4>>2]|0)|0;x=y;y=0;if(!(x&1)){A9(z);g=IM(104)|0;v=t;w=e;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));if(!b){b=1;c=51}else{y=0;b=qa(k[(k[b>>2]|0)+120>>2]|0,b|0)|0;e=y;y=0;if(e&1)c=55;else c=51}do if((c|0)==51){k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,87975,0);e=y;y=0;if(e&1)c=55;else{h=+(b>>>0);y=0;v=z;w=t;x=v+40|0;do{k[v>>2]=k[w>>2];v=v+4|0;w=w+4|0}while((v|0)<(x|0));Ca(1,g|0,z|0,+h,u|0,1);z=y;y=0;if(z&1){b=pb()|0;A9(u);break}A9(u);z=g;r=A;return z|0}}while(0);if((c|0)==55)b=pb()|0;cra(g);A=b;sb(A|0)}}A=pb()|0;A9(z);sb(A|0)}}return 0}function sf(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0;m=0;u=r;r=r+4160|0;s=u+64|0;A=u+48|0;z=u+36|0;x=u+24|0;w=u+12|0;v=u;q=bK(s,4096)|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;aI(z,q,IJ(q)|0);q=i[z+11>>0]|0;p=q<<24>>24<0;if((i[(p?k[z>>2]|0:z)+((p?k[z+4>>2]|0:q&255)+-1)>>0]|0)!=47){y=0;oa(458,z|0,47);q=y;y=0;if(q&1){A=pb()|0;A9(z);sb(A|0)}}y=0;Ra(15,A|0,b|0,d|0,z|0);q=y;y=0;if(q&1){A=pb()|0;A9(z);sb(A|0)}A9(z);y=0;e=Ha(994,s|0,4096)|0;q=y;y=0;do if(q&1)m=18;else{k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;q=IJ(e)|0;y=0;Na(74,x|0,e|0,q|0);q=y;y=0;if(q&1)m=18;else{q=i[x+11>>0]|0;p=q<<24>>24<0;if((i[(p?k[x>>2]|0:x)+((p?k[x+4>>2]|0:q&255)+-1)>>0]|0)!=47){y=0;oa(458,x|0,47);q=y;y=0;if(q&1){c=pb()|0;A9(x);m=19;break}}y=0;Ra(15,z|0,c|0,d|0,x|0);q=y;y=0;if(q&1){c=pb()|0;A9(x);m=21;break}A9(x);e=b+11|0;c=(i[e>>0]|0)<0?k[b>>2]|0:b;do if(!(i[c>>0]|0))m=31;else{y=0;c=qa(339,c|0)|0;q=y;y=0;if(q&1)m=23;else if(c){c=0;while(1){d=((i[e>>0]|0)<0?k[b>>2]|0:b)+c|0;if(!(i[d>>0]|0)){d=c;break}c=c+1|0;y=0;d=qa(340,d|0)|0;q=y;y=0;if(q&1){m=22;break}if(!d){d=c;break}}if((m|0)==22){c=pb()|0;m=24;break}if(!d)m=31;else{e=(i[e>>0]|0)<0?k[b>>2]|0:b;c=i[e+d>>0]|0;f=d+1|0;if(c<<24>>24==58){if(!f){m=31;break}d=f;c=i[e+f>>0]|0}if((d+1|0)>>>0>3&c<<24>>24==47){y=0;oa(456,a|0,b|0);x=y;y=0;if(x&1)m=23;else{A9(z);A9(A);r=u;return}}else m=31}}else m=31}while(0);if((m|0)==31){k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,87975,0);q=y;y=0;if(q&1)m=23;else{k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(74,w|0,87975,0);q=y;y=0;if(q&1)c=pb()|0;else{n=A+11|0;m=i[n>>0]|0;d=m<<24>>24<0;o=A+4|0;l=d?k[o>>2]|0:m&255;p=z+11|0;c=i[p>>0]|0;f=c<<24>>24<0;q=z+4|0;e=k[q>>2]|0;j=f?e:c&255;j=j>>>0<l>>>0?j:l;a:do if(!j)d=0;else{h=d?k[A>>2]|0:A;g=f?k[z>>2]|0:z;b=0;d=0;do{f=i[h+b>>0]|0;if(f<<24>>24!=(i[g+b>>0]|0))break a;b=b+1|0;d=f<<24>>24==47?b:d}while(b>>>0<j>>>0)}while(0);do if(d>>>0<l>>>0){e=d;c=m;while(1){y=0;oa(458,x|0,i[(c<<24>>24<0?k[A>>2]|0:A)+e>>0]|0);m=y;y=0;if(m&1){m=45;break}e=e+1|0;c=i[n>>0]|0;if(e>>>0>=(c<<24>>24<0?k[o>>2]|0:c&255)>>>0){m=40;break}}if((m|0)==40){c=i[p>>0]|0;e=k[q>>2]|0;m=41;break}else if((m|0)==45){c=pb()|0;break}}else m=41;while(0);b:do if((m|0)==41){c:do if(d>>>0<(c<<24>>24<0?e:c&255)>>>0){while(1){y=0;oa(458,w|0,i[(c<<24>>24<0?k[z>>2]|0:z)+d>>0]|0);o=y;y=0;if(o&1)break;d=d+1|0;c=i[p>>0]|0;if(d>>>0>=(c<<24>>24<0?k[q>>2]|0:c&255)>>>0)break c}c=pb()|0;break b}while(0);g=w+11|0;d=i[g>>0]|0;h=w+4|0;e=k[h>>2]|0;d:do if(!((d<<24>>24<0?e:d&255)|0))t=0;else{j=s+11|0;l=s+4|0;f=0;c=0;b=0;e:while(1){if((i[(d<<24>>24<0?k[w>>2]|0:w)+f>>0]|0)==47){y=0;ma(4,s|0,w|0,b|0,2,w|0);q=y;y=0;if(q&1){m=62;break}q=i[j>>0]|0;do if(((q<<24>>24<0?k[l>>2]|0:q&255)|0)==2){y=0;d=sa(21,s|0,0,-1,42324,2)|0;q=y;y=0;if(q&1){m=59;break e}A9(s);if(d|0){m=61;break}c=c>>>0>1?c+-1|0:0}else{A9(s);m=61}while(0);if((m|0)==61){m=0;c=c+1|0}f=f+1|0;b=f;d=i[g>>0]|0;e=k[h>>2]|0}else f=f+1|0;if(f>>>0>=(d<<24>>24<0?e:d&255)>>>0){t=c;break d}}if((m|0)==59){s=tb(0)|0;Sla(s)}else if((m|0)==62){c=pb()|0;break b}}while(0);k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,87975,0);s=y;y=0;if(s&1){c=pb()|0;break}f:do if(!t)m=66;else{c=0;while(1){y=0;Ha(974,v|0,42316)|0;s=y;y=0;if(s&1)break;c=c+1|0;if(c>>>0>=t>>>0){m=66;break f}}c=pb()|0}while(0);do if((m|0)==66){t=i[x+11>>0]|0;s=t<<24>>24<0;y=0;ta(41,v|0,(s?k[x>>2]|0:x)|0,(s?k[x+4>>2]|0:t&255)|0)|0;t=y;y=0;if(t&1){c=pb()|0;break}k[a>>2]=k[v>>2];k[a+4>>2]=k[v+4>>2];k[a+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;A9(v);A9(w);A9(x);A9(z);A9(A);r=u;return}while(0);A9(v)}while(0);A9(w)}A9(x)}}if((m|0)==23){c=pb()|0;m=24}A9(z)}}while(0);if((m|0)==18){c=pb()|0;m=19}if((m|0)==19)m=21;A9(A);A=c;sb(A|0)}function tf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0;x=0;C=r;r=r+16|0;B=C;s=B+4|0;t=B+4|0;u=B+4|0;v=B+4|0;w=B+4|0;a:while(1){q=b;z=b+-8|0;o=b+-16|0;A=b+-4|0;p=(B|0)==(z|0);while(1){n=a;b:while(1){m=n;a=q-m|0;d=a>>3;switch(d|0){case 2:{x=5;break a}case 3:{x=18;break a}case 4:{x=19;break a}case 5:{x=20;break a}case 1:case 0:{x=108;break a}default:{}}if((a|0)<56){x=22;break a}f=(d|0)/2|0;i=n+(f<<3)|0;if((a|0)>7992){a=(d|0)/4|0;a=rj(n,n+(a<<3)|0,i,i+(a<<3)|0,z,c)|0}else a=Hi(n,i,z,c)|0;j=n+4|0;d=k[j>>2]|0;if(d|0){e=k[n+(f<<3)+4>>2]|0;if(e|0)if(Cs(d,e)|0){d=z;break}}if((n|0)!=(o|0)){h=n+(f<<3)+4|0;d=z;g=o;while(1){d=d+-4|0;e=k[d>>2]|0;if(e|0){f=k[h>>2]|0;if(f|0)if(Cs(e,f)|0){x=65;break b}}d=g+-8|0;if((n|0)==(d|0))break;else{l=g;g=d;d=l}}}a=n+8|0;d=k[j>>2]|0;if(!d)x=34;else{e=k[A>>2]|0;if(!e)x=34;else if(!(Cs(d,e)|0))x=34}if((x|0)==34){x=0;if((a|0)==(z|0)){x=108;break a}while(1){d=k[j>>2]|0;if(d|0){e=a+4|0;f=k[e>>2]|0;if(f|0)if(Cs(d,f)|0)break}a=a+8|0;if((a|0)==(z|0)){x=108;break a}}LT(B,k[e>>2]|0);k[B>>2]=13284;if(k[e>>2]|0){y=0;na(423,a|0);n=y;y=0;if(n&1){x=42;break a}}k[e>>2]=k[A>>2];k[A>>2]=0;if(!p){k[A>>2]=k[t>>2];k[t>>2]=0}DO(B);a=a+8|0}if((a|0)==(z|0)){x=108;break a}else f=z;while(1){while(1){d=k[j>>2]|0;if(d|0){h=a+4|0;e=k[h>>2]|0;if(e|0)if(Cs(d,e)|0){d=f;break}}a=a+8|0}while(1){g=d+-8|0;e=k[j>>2]|0;if(!e)break;f=k[d+-4>>2]|0;if(!f)break;if(Cs(e,f)|0)d=g;else break}if(a>>>0>=g>>>0){n=a;continue b}LT(B,k[h>>2]|0);k[B>>2]=13284;if(k[h>>2]|0){y=0;na(423,a|0);n=y;y=0;if(n&1){x=59;break a}}d=d+-4|0;k[h>>2]=k[d>>2];k[d>>2]=0;if((B|0)!=(g|0)){k[d>>2]=k[s>>2];k[s>>2]=0}DO(B);f=g;a=a+8|0}}if((x|0)==65){x=0;LT(B,k[j>>2]|0);k[B>>2]=13284;if(k[j>>2]|0){y=0;na(423,n|0);l=y;y=0;if(l&1){x=69;break a}}k[j>>2]=k[d>>2];k[d>>2]=0;if((B|0)!=(g|0)){k[d>>2]=k[w>>2];k[w>>2]=0}DO(B);d=g;a=a+1|0}e=n+8|0;c:do if(e>>>0<d>>>0){l=i;while(1){j=l+4|0;h=e+4|0;f=k[h>>2]|0;d:do if(f)while(1){g=k[j>>2]|0;if(!g)break d;if(!(Cs(f,g)|0))break d;g=e+8|0;h=e+12|0;f=k[h>>2]|0;if(!f){e=g;break}else e=g}while(0);while(1){f=d;d=d+-8|0;f=f+-4|0;g=k[f>>2]|0;if(!g)continue;i=k[j>>2]|0;if(!i)continue;if(Cs(g,i)|0)break}if(e>>>0>d>>>0){h=l;i=e;break c}LT(B,k[h>>2]|0);k[B>>2]=13284;if((e|0)!=(d|0)){if(k[h>>2]|0){y=0;na(423,e|0);j=y;y=0;if(j&1){x=89;break a}}k[h>>2]=k[f>>2];k[f>>2]=0}if((B|0)!=(d|0)){if(k[f>>2]|0){y=0;na(423,d|0);j=y;y=0;if(j&1){x=89;break a}}k[f>>2]=k[v>>2];k[v>>2]=0}DO(B);l=(l|0)==(e|0)?d:l;e=e+8|0;a=a+1|0}}else{h=i;i=e}while(0);if((i|0)!=(h|0)){d=h+4|0;e=k[d>>2]|0;if(e){f=i+4|0;g=k[f>>2]|0;if(g)if(Cs(e,g)|0){LT(B,k[f>>2]|0);k[B>>2]=13284;if(k[f>>2]|0){y=0;na(423,i|0);l=y;y=0;if(l&1){x=99;break a}}k[f>>2]=k[d>>2];k[d>>2]=0;if((B|0)!=(h|0)){k[d>>2]=k[u>>2];k[u>>2]=0}DO(B);a=a+1|0}}}if(!a){d=Ej(n,i,c)|0;a=i+8|0;if(Ej(a,b,c)|0){x=107;break}if(d)continue}l=i;if((l-m|0)>=(q-l|0)){x=106;break}tf(n,i,c);a=i+8|0}if((x|0)==106){x=0;tf(i+8|0,b,c);a=n;b=i;continue}else if((x|0)==107){x=0;if(d){x=108;break}else{a=n;b=i;continue}}}switch(x|0){case 5:{a=k[A>>2]|0;if(!a){r=C;return}b=n+4|0;d=k[b>>2]|0;if(!d){r=C;return}if(!(Cs(a,d)|0)){r=C;return}LT(B,k[b>>2]|0);k[B>>2]=13284;if((n|0)!=(z|0)){if(k[b>>2]|0){y=0;na(423,n|0);x=y;y=0;if(x&1){C=pb()|0;DO(B);sb(C|0)}}k[b>>2]=k[A>>2];k[A>>2]=0}if((B|0)!=(z|0)){if(k[A>>2]|0){y=0;na(423,z|0);z=y;y=0;if(z&1){C=pb()|0;DO(B);sb(C|0)}}z=B+4|0;k[A>>2]=k[z>>2];k[z>>2]=0}DO(B);r=C;return}case 18:{Hi(n,n+8|0,z,c)|0;r=C;return}case 19:{Ol(n,n+8|0,n+16|0,z,c)|0;r=C;return}case 20:{rj(n,n+8|0,n+16|0,n+24|0,z,c)|0;r=C;return}case 22:{$p(n,b,c);r=C;return}case 42:{C=pb()|0;DO(B);sb(C|0)}case 59:{C=pb()|0;DO(B);sb(C|0)}case 69:{C=pb()|0;DO(B);sb(C|0)}case 89:{C=pb()|0;DO(B);sb(C|0)}case 99:{C=pb()|0;DO(B);sb(C|0)}case 108:{r=C;return}}}function uf(a,b,c){a=a|0;b=b|0;c=c|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;if((cc|0)==1)cc=3}Qc(fc+40156|0)}function vf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;B=0;w=r;r=r+240|0;s=w;E=w+224|0;F=w+216|0;D=w+208|0;C=w+200|0;p=w+184|0;A=w+120|0;l=w+144|0;o=w+128|0;n=w+112|0;z=w+104|0;t=w+64|0;x=w+56|0;v=w+48|0;u=w+40|0;LT(E,k[b+68>>2]|0);k[E>>2]=6868;y=0;oa(460,F|0,k[b+76>>2]|0);q=y;y=0;if(q&1){F=pb()|0;DO(E);sb(F|0)}k[F>>2]=7492;e=F+4|0;c=k[e>>2]|0;h=a+8|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,h|0)|0;q=y;y=0;if(q&1)B=18;else{y=0;oa(460,D|0,c|0);q=y;y=0;if(q&1)B=18;else{k[D>>2]=7284;d=D+4|0;y=0;c=qa(316,k[d>>2]|0)|0;q=y;y=0;if(q&1)B=19;else{y=0;oa(460,C|0,c|0);q=y;y=0;if(q&1)B=19;else{k[C>>2]=7492;q=C+4|0;a:do if(!(k[q>>2]|0)){m=k[d>>2]|0;j=k[(k[m>>2]|0)+28>>2]|0;g=k[(k[a+4>>2]|0)+16>>2]|0;y=0;k[s>>2]=k[g>>2];k[s+4>>2]=k[g+4>>2];k[s+8>>2]=k[g+8>>2];Na(j|0,p|0,m|0,s|0);m=y;y=0;if(m&1)B=20;else{y=0;j=qa(315,80)|0;m=y;y=0;b:do if(m&1)c=pb()|0;else{m=l;f=(k[e>>2]|0)+12|0;g=m+40|0;do{k[m>>2]=k[f>>2];m=m+4|0;f=f+4|0}while((m|0)<(g|0));y=0;oa(456,o|0,p|0);m=y;y=0;do if(m&1)c=pb()|0;else{m=s;f=l;g=m+40|0;do{k[m>>2]=k[f>>2];m=m+4|0;f=f+4|0}while((m|0)<(g|0));y=0;na(422,j|0);m=y;y=0;if(m&1)d=1;else{m=j+12|0;f=s;g=m+40|0;do{k[m>>2]=k[f>>2];m=m+4|0;f=f+4|0}while((m|0)<(g|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=4;k[j>>2]=11100;i[j+60>>0]=0;i[j+61>>0]=0;y=0;oa(549,j+64|0,o|0);m=y;y=0;if(m&1){c=pb()|0;A9(o);break}k[j+76>>2]=0;y=0;oa(460,A|0,j|0);m=y;y=0;if(m&1)d=0;else{k[A>>2]=7492;do if(k[q>>2]|0){y=0;na(423,C|0);m=y;y=0;if(!(m&1))break;c=pb()|0;DO(A);A9(o);break b}while(0);B=A+4|0;k[q>>2]=k[B>>2];k[B>>2]=0;DO(A);A9(o);A9(p);B=27;break a}}c=pb()|0;A9(o);if(!d)break b}while(0);cra(j)}while(0);A9(p)}}else B=27;while(0);do if((B|0)==27){y=0;oa(460,n|0,k[b+84>>2]|0);p=y;y=0;if(p&1)B=20;else{k[n>>2]=7284;c=k[n+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,h|0)|0;p=y;y=0;if(!(p&1)){y=0;oa(460,A|0,c|0);p=y;y=0;if(!(p&1)){k[A>>2]=7284;DO(n);c=k[E+4>>2]|0;if(!c){c=0;B=32}else{y=0;c=Ha(k[(k[a>>2]|0)+12>>2]|0,a|0,c|0)|0;B=y;y=0;if(B&1)B=39;else B=32}if((B|0)==32){y=0;oa(460,z|0,c|0);B=y;y=0;if(B&1)B=39;else{k[z>>2]=6868;d=z+4|0;do if(!(k[d>>2]|0)){c=k[A+4>>2]|0;if(!c){B=0;DO(z);DO(A);DO(C);DO(D);DO(F);DO(E);r=w;return B|0}y=0;c=qa(k[(k[c>>2]|0)+84>>2]|0,c|0)|0;B=y;y=0;if(B&1)B=40;else{if(!c){B=41;break}if(!(i[b+88>>0]|0))c=0;else{B=41;break}DO(z);DO(A);DO(C);DO(D);DO(F);DO(E);r=w;return c|0}}else B=41;while(0);if((B|0)==41){y=0;e=qa(315,92)|0;p=y;y=0;if(p&1)B=40;else{m=t;f=b+12|0;g=m+40|0;do{k[m>>2]=k[f>>2];m=m+4|0;f=f+4|0}while((m|0)<(g|0));y=0;oa(460,x|0,k[q>>2]|0);q=y;y=0;if(q&1)c=pb()|0;else{k[x>>2]=7492;y=0;oa(460,v|0,k[A+4>>2]|0);q=y;y=0;if(q&1)c=pb()|0;else{k[v>>2]=7284;c=i[b+88>>0]|0;y=0;oa(460,u|0,k[d>>2]|0);q=y;y=0;do if(q&1)c=pb()|0;else{c=c<<24>>24!=0;k[u>>2]=6868;y=0;m=s;f=t;g=m+40|0;do{k[m>>2]=k[f>>2];m=m+4|0;f=f+4|0}while((m|0)<(g|0));ya(21,e|0,s|0,x|0,v|0,c|0,u|0);t=y;y=0;if(t&1){c=pb()|0;DO(u);break}DO(u);DO(v);DO(x);k[e+56>>2]=k[b+56>>2];B=e;DO(z);DO(A);DO(C);DO(D);DO(F);DO(E);r=w;return B|0}while(0);DO(v)}DO(x)}cra(e)}}if((B|0)==40)c=pb()|0;DO(z)}}if((B|0)==39)c=pb()|0;DO(A);break}}c=pb()|0;DO(n)}}while(0);if((B|0)==20)c=pb()|0;DO(C)}}if((B|0)==19)c=pb()|0;DO(D)}}if((B|0)==18)c=pb()|0;DO(F);F=c;DO(E);sb(F|0);return 0}function wf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0;u=0;t=r;r=r+288|0;w=t+184|0;v=t+80|0;s=t+16|0;p=t;q=b+4|0;o=b+72|0;kE(w,k[o>>2]|0);y=0;oa(450,v|0,w|0);n=y;y=0;if(n&1)c=pb()|0;else{g=b+116|0;f=k[g>>2]|0;h=(k[b+120>>2]|0)-f>>2;a:do if(!h){e=v+4|0;u=5}else{e=v+4|0;d=0;while(1){n=k[f+(d<<2)>>2]|0;y=0;oa(k[(k[n>>2]|0)+44>>2]|0,n|0,v|0);n=y;y=0;if(n&1)break;y=0;na(461,e|0);n=y;y=0;if(n&1)break;d=d+1|0;if(d>>>0>=h>>>0){u=5;break a}f=k[g>>2]|0}c=pb()|0}while(0);b:do if((u|0)==5){n=b+8|0;l=n+11|0;d=i[l>>0]|0;if(d<<24>>24<0)d=k[b+12>>2]|0;else d=d&255;y=0;oa(683,e|0,(d|0)==0|0);j=y;y=0;c:do if(j&1)u=41;else{y=0;oa(456,s|0,v+8|0);j=y;y=0;do if(j&1){c=pb()|0;u=44}else{y=0;oa(684,s+12|0,v+20|0);j=y;y=0;if(j&1){c=pb()|0;A9(s);u=44;break}y=0;oa(685,q|0,s|0);j=y;y=0;if(j&1){c=pb()|0;A9(s+48|0);d=k[s+24>>2]|0;e=d;if(d|0){f=s+28|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~(((g+-24-e|0)>>>0)/24|0)*24|0);cra(d)}d=k[s+12>>2]|0;e=d;if(d|0){f=s+16|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~((g+-4-e|0)>>>2)<<2);cra(d)}A9(s);break}A9(s+48|0);d=k[s+24>>2]|0;e=d;if(d|0){f=s+28|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~(((g+-24-e|0)>>>0)/24|0)*24|0);cra(d)}d=k[s+12>>2]|0;e=d;if(d|0){f=s+16|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~((g+-4-e|0)>>>2)<<2);cra(d)}A9(s);h=k[(k[o>>2]|0)+16>>2]|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;j=IJ(h)|0;y=0;Na(74,s|0,h|0,j|0);j=y;y=0;if(j&1){c=pb()|0;break b}e=i[s+11>>0]|0;d=e<<24>>24<0;e=d?k[s+4>>2]|0:e&255;h=i[l>>0]|0;g=h<<24>>24<0;j=b+12|0;h=g?k[j>>2]|0:h&255;d:do if(e>>>0>h>>>0)u=34;else{f=d?k[s>>2]|0:s;if(e|0){e=f+e|0;d=(g?k[n>>2]|0:n)+h|0;do{e=e+-1|0;d=d+-1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){u=34;break d}}while((e|0)!=(f|0))}A9(s)}while(0);e:do if((u|0)==34){A9(s);d=i[l>>0]|0;if(d<<24>>24<0)d=k[j>>2]|0;else d=d&255;if(d|0){g=k[(k[o>>2]|0)+16>>2]|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;h=IJ(g)|0;y=0;Na(74,s|0,g|0,h|0);h=y;y=0;do if(h&1)c=pb()|0;else{y=0;oa(679,q|0,s|0);h=y;y=0;if(h&1){c=pb()|0;A9(s);break}else{A9(s);break e}}while(0);break b}}while(0);d=i[l>>0]|0;if(d<<24>>24<0){d=k[n>>2]|0;f=d;e=k[j>>2]|0}else{f=n;e=d&255;d=n}e=f+e|0;f:do if((d|0)!=(e|0)){while(1){if((i[d>>0]|0)<=-1)break;d=d+1|0;if((d|0)==(e|0))break f}y=0;d=qa(394,q|0)|0;m=y;y=0;do if(!(m&1)){e=b+104|0;if((d|0)==3){y=0;Ha(1009,e|0,48573)|0;s=y;y=0;if(s&1)break;else break f}m=k[(k[o>>2]|0)+16>>2]|0;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;o=IJ(m)|0;y=0;Na(74,p|0,m|0,o|0);o=y;y=0;do if(o&1)c=pb()|0;else{y=0;d=ta(46,p|0,0,48555)|0;o=y;y=0;if(o&1){c=pb()|0;A9(p);break}k[s>>2]=k[d>>2];k[s+4>>2]=k[d+4>>2];k[s+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;d=e+11|0;if((i[d>>0]|0)<0){i[k[e>>2]>>0]=0;k[b+108>>2]=0}else{i[e>>0]=0;i[d>>0]=0}y=0;oa(500,e|0,0);o=y;y=0;if(o&1){u=tb(0)|0;Sla(u)}else{k[e>>2]=k[s>>2];k[e+4>>2]=k[s+4>>2];k[e+8>>2]=k[s+8>>2];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;A9(s);A9(p);break f}}while(0);break b}while(0);c=pb()|0;break b}while(0);d=b+104|0;c=i[d+11>>0]|0;if(c<<24>>24<0)c=k[b+108>>2]|0;else c=c&255;if(c|0){y=0;oa(686,q|0,d|0);s=y;y=0;if(s&1){u=41;break c}}y=0;oa(456,a|0,n|0);s=y;y=0;if(s&1){u=41;break c}y=0;oa(684,a+12|0,b+20|0);s=y;y=0;if(s&1){c=pb()|0;A9(a);break c}xE(v);k[w>>2]=6352;A9(w+52|0);c=k[w+28>>2]|0;d=c;if(c|0){e=w+32|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~(((f+-24-d|0)>>>0)/24|0)*24|0);cra(c)}c=k[w+16>>2]|0;if(!c){w=w+4|0;A9(w);r=t;return}d=w+20|0;e=k[d>>2]|0;if((e|0)!=(c|0))k[d>>2]=e+(~((e+-4-c|0)>>>2)<<2);cra(c);w=w+4|0;A9(w);r=t;return}while(0);break b}while(0);if((u|0)==41)c=pb()|0}while(0);xE(v)}k[w>>2]=6352;A9(w+52|0);d=k[w+28>>2]|0;e=d;if(d|0){f=w+32|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~(((g+-24-e|0)>>>0)/24|0)*24|0);cra(d)}d=k[w+16>>2]|0;if(!d){w=w+4|0;A9(w);sb(c|0)}e=w+20|0;f=k[e>>2]|0;if((f|0)!=(d|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);cra(d);w=w+4|0;A9(w);sb(c|0)}function xf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0;o=r;r=r+192|0;m=o+176|0;n=o+172|0;f=o+168|0;u=o+24|0;t=o+12|0;p=o;v=u+64|0;d=u+8|0;k[d>>2]=15992;s=u+12|0;k[u>>2]=16032;k[v>>2]=16052;k[u+4>>2]=0;y=0;oa(528,u+64|0,s|0);q=y;y=0;if(q&1){u=pb()|0;Vja(v);sb(u|0)}k[u+136>>2]=0;k[u+140>>2]=-1;k[u>>2]=15972;k[v>>2]=16012;k[d>>2]=15992;y=0;na(433,s|0);q=y;y=0;do if(q&1)d=pb()|0;else{k[s>>2]=15832;q=u+44|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;k[u+60>>2]=24;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;oa(529,s|0,m|0);l=y;y=0;if(l&1){d=pb()|0;A9(m);A9(q);Xaa(s);break}A9(m);y=0;na(436,t|0);l=y;y=0;if(l&1){t=pb()|0;k[u>>2]=15972;k[v>>2]=16012;p=u+8|0;k[p>>2]=15992;k[s>>2]=15832;A9(q);Xaa(s);nla(u,16064);Vja(v);sb(t|0)}do if(c)e=18;else{e=u+8|0;y=0;d=qa(323,e+(k[(k[e>>2]|0)+-12>>2]|0)|0)|0;l=y;y=0;if(l&1)e=21;else{k[f>>2]=d;y=0;d=Ha(977,f|0,83960)|0;l=y;y=0;if(!(l&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;l=y;y=0;if(!(l&1)){Hea(f);y=0;Ha(1015,e|0,d|0)|0;l=y;y=0;if(l&1){e=21;break}y=0;qa(381,e|0)|0;l=y;y=0;if(l&1){e=21;break}y=0;ta(47,e|0,46849,10)|0;l=y;y=0;if(l&1){e=21;break}else{e=18;break}}}d=pb()|0;Hea(f);e=22}}while(0);a:do if((e|0)==18){b:do if(k[b>>2]|0){h=u+8|0;j=p+11|0;l=p+4|0;d=-1;f=b;g=b;while(1){b=f+4|0;e=k[f+16>>2]|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;f=IJ(e)|0;y=0;Na(74,m|0,e|0,f|0);f=y;y=0;if(f&1){e=38;break}y=0;Ra(18,p|0,m|0,t|0,t|0);f=y;y=0;if(f&1){e=39;break}A9(m);e=h+(k[(k[h>>2]|0)+-12>>2]|0)|0;if(c){y=0;e=qa(323,e|0)|0;f=y;y=0;if(f&1){e=41;break}k[n>>2]=e;y=0;e=Ha(977,n|0,83960)|0;f=y;y=0;if(f&1){e=29;break}y=0;e=Ha(k[(k[e>>2]|0)+28>>2]|0,e|0,10)|0;f=y;y=0;if(f&1){e=29;break}Hea(n);y=0;Ha(1015,h|0,e|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;qa(381,h|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=ta(47,h|0,51411,1)|0;f=y;y=0;if(f&1){e=41;break}d=d+1|0;f=(d|0)==0;y=0;e=ta(47,e|0,(f?46860:46863)|0,(f?2:4)|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=ta(47,e|0,46868,6)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=Ha(976,e|0,(k[b>>2]|0)+1|0)|0;b=y;y=0;if(b&1){e=41;break}y=0;e=ta(47,e|0,52102,4)|0;b=y;y=0;if(b&1){e=41;break}b=i[j>>0]|0;f=b<<24>>24<0;y=0;ta(47,e|0,(f?k[p>>2]|0:p)|0,(f?k[l>>2]|0:b&255)|0)|0;b=y;y=0;if(b&1){e=41;break}}else{y=0;e=qa(323,e|0)|0;f=y;y=0;if(f&1){e=41;break}k[m>>2]=e;y=0;e=Ha(977,m|0,83960)|0;f=y;y=0;if(f&1){e=46;break}y=0;e=Ha(k[(k[e>>2]|0)+28>>2]|0,e|0,10)|0;f=y;y=0;if(f&1){e=46;break}Hea(m);y=0;Ha(1015,h|0,e|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;qa(381,h|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=ta(47,h|0,51411,1)|0;f=y;y=0;if(f&1){e=41;break}f=i[j>>0]|0;w=f<<24>>24<0;y=0;e=ta(47,e|0,(w?k[p>>2]|0:p)|0,(w?k[l>>2]|0:f&255)|0)|0;f=y;y=0;if(f&1){e=41;break}y=0;e=ta(47,e|0,52136,1)|0;w=y;y=0;if(w&1){e=41;break}y=0;e=Ha(976,e|0,(k[b>>2]|0)+1|0)|0;w=y;y=0;if(w&1){e=41;break}b=k[g>>2]|0;x=b+44|0;w=i[x+11>>0]|0;f=w<<24>>24<0;y=0;ta(47,e|0,(f?k[x>>2]|0:x)|0,(f?k[b+48>>2]|0:w&255)|0)|0;w=y;y=0;if(w&1){e=41;break}}e=k[g>>2]|0;A9(p);if(!(k[e>>2]|0))break b;else{f=e;g=e}}if((e|0)==29){d=pb()|0;Hea(n);e=42}else if((e|0)==38){d=pb()|0;e=40}else if((e|0)==39){d=pb()|0;A9(m);e=40}else if((e|0)==41){d=pb()|0;e=42}else if((e|0)==46){d=pb()|0;Hea(m);e=42}if((e|0)==40)break a;else if((e|0)==42){A9(p);break a}}while(0);y=0;oa(530,a|0,s|0);x=y;y=0;if(x&1)e=21;else{A9(t);k[u>>2]=15972;k[v>>2]=16012;k[u+8>>2]=15992;k[s>>2]=15832;A9(q);Xaa(s);nla(u,16064);Vja(v);r=o;return}}while(0);if((e|0)==21){d=pb()|0;e=22}A9(t);x=d;k[u>>2]=15972;k[v>>2]=16012;w=u+8|0;k[w>>2]=15992;k[s>>2]=15832;A9(q);Xaa(s);nla(u,16064);Vja(v);sb(x|0)}while(0);nla(u,16064);x=d;Vja(v);sb(x|0)}function yf(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0;o=0;j=r;r=r+80|0;m=j+68|0;h=j+56|0;g=j+52|0;f=j+48|0;q=j+36|0;p=j+24|0;n=j+12|0;l=j;WD(q);d=k[c+12>>2]|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;e=IJ(d)|0;y=0;Na(74,m|0,d|0,e|0);e=y;y=0;do if(e&1)d=pb()|0;else{y=0;Ra(15,p|0,m|0,q|0,q|0);e=y;y=0;if(e&1){d=pb()|0;A9(m);break}A9(m);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;e=IJ(d)|0;y=0;Na(74,m|0,d|0,e|0);e=y;y=0;do if(e&1){d=pb()|0;o=18}else{y=0;Ra(18,n|0,m|0,q|0,q|0);e=y;y=0;if(e&1){d=pb()|0;A9(m);o=18;break}A9(m);k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;e=IJ(d)|0;y=0;Na(74,m|0,d|0,e|0);e=y;y=0;a:do if(e&1){d=pb()|0;o=23}else{k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;e=IJ(d)|0;y=0;Na(74,h|0,d|0,e|0);e=y;y=0;do if(e&1)d=pb()|0;else{y=0;Ra(36,l|0,n|0,m|0,h|0);e=y;y=0;if(e&1){d=pb()|0;A9(h);break}A9(h);A9(m);y=0;d=ta(47,83256,52107,28)|0;e=y;y=0;b:do if(e&1)o=24;else{y=0;Ha(976,d|0,(k[c>>2]|0)+1|0)|0;e=y;y=0;if(e&1)o=24;else{d=l+11|0;e=i[d>>0]|0;c=l+4|0;if((e<<24>>24<0?k[c>>2]|0:e&255)|0){y=0;e=ta(47,83256,52102,4)|0;s=y;y=0;if(s&1){o=24;break}s=i[d>>0]|0;d=s<<24>>24<0;y=0;ta(47,e|0,(d?k[l>>2]|0:l)|0,(d?k[c>>2]|0:s&255)|0)|0;s=y;y=0;if(s&1){o=24;break}}y=0;c=ta(47,83256,52136,1)|0;s=y;y=0;if(s&1)o=24;else{y=0;d=qa(323,c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;s=y;y=0;if(s&1)o=24;else{k[f>>2]=d;y=0;d=Ha(977,f|0,83960)|0;s=y;y=0;if(!(s&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;s=y;y=0;if(!(s&1)){Hea(f);y=0;Ha(1015,c|0,d|0)|0;s=y;y=0;if(s&1){o=24;break}y=0;qa(381,c|0)|0;s=y;y=0;if(s&1){o=24;break}d=i[a+11>>0]|0;s=d<<24>>24<0;y=0;d=ta(47,83256,(s?k[a>>2]|0:a)|0,(s?k[a+4>>2]|0:d&255)|0)|0;s=y;y=0;if(s&1){o=24;break}y=0;c=ta(47,d|0,52138,49)|0;s=y;y=0;if(s&1){o=24;break}y=0;d=qa(323,c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;s=y;y=0;if(s&1){o=24;break}k[g>>2]=d;y=0;d=Ha(977,g|0,83960)|0;s=y;y=0;do if(!(s&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;s=y;y=0;if(s&1)break;Hea(g);y=0;Ha(1015,c|0,d|0)|0;s=y;y=0;if(s&1){o=24;break b}y=0;qa(381,c|0)|0;s=y;y=0;if(s&1){o=24;break b}d=i[b+11>>0]|0;c=d<<24>>24<0;if(c)e=k[b+4>>2]|0;else e=d&255;c:do if(e|0){y=0;c=ta(47,83256,(c?k[b>>2]|0:b)|0,(c?k[b+4>>2]|0:d&255)|0)|0;s=y;y=0;if(s&1){o=24;break b}y=0;d=qa(323,c+(k[(k[c>>2]|0)+-12>>2]|0)|0)|0;s=y;y=0;if(s&1){o=24;break b}k[h>>2]=d;y=0;d=Ha(977,h|0,83960)|0;s=y;y=0;do if(!(s&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;s=y;y=0;if(s&1)break;Hea(h);y=0;Ha(1015,c|0,d|0)|0;s=y;y=0;if(s&1){o=24;break b}y=0;qa(381,c|0)|0;s=y;y=0;if(s&1){o=24;break b}else break c}while(0);d=pb()|0;Hea(h);break b}while(0);y=0;d=qa(323,83256+(k[(k[20814]|0)+-12>>2]|0)|0)|0;s=y;y=0;if(s&1){o=24;break b}k[m>>2]=d;y=0;d=Ha(977,m|0,83960)|0;s=y;y=0;do if(!(s&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;s=y;y=0;if(s&1)break;Hea(m);y=0;Ha(1015,83256,d|0)|0;s=y;y=0;if(s&1){o=24;break b}y=0;qa(381,83256)|0;s=y;y=0;if(s&1){o=24;break b}A9(l);A9(n);A9(p);A9(q);r=j;return}while(0);d=pb()|0;Hea(m);break b}while(0);d=pb()|0;Hea(g);break}}d=pb()|0;Hea(f)}}}}while(0);if((o|0)==24)d=pb()|0;A9(l);break a}while(0);A9(m);o=23}while(0);A9(n)}while(0);A9(p);s=d;A9(q);sb(s|0)}while(0);s=d;A9(q);sb(s|0)}function zf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0;q=0;o=r;r=r+384|0;u=o+360|0;v=o+352|0;h=o+296|0;g=o+256|0;i=o+240|0;t=o+120|0;s=o+80|0;n=o+56|0;l=o+4|0;m=o;if((k[b+228>>2]|0)==(k[b+224>>2]|0)){LT(a,0);k[a>>2]=6868;r=o;return}c=Gt(b+236|0,u,b+20|0)|0;c=k[c>>2]|0;if(!c){c=gb(8)|0;y=0;oa(479,c|0,48160);v=y;y=0;if(v&1){v=pb()|0;fb(c|0);sb(v|0)}else{k[c>>2]=29256;Wb(c|0,5824,407)}}LT(v,k[c+28+12>>2]|0);k[v>>2]=6868;j=v+4|0;a:do if(!(k[j>>2]|0)){y=0;oa(460,a|0,0);u=y;y=0;if(u&1)q=10;else{k[a>>2]=6868;q=87}}else{y=0;oa(523,u|0,0);p=y;y=0;if(p&1)q=10;else{y=0;oa(524,b|0,u|0);p=y;y=0;b:do if(p&1)q=16;else{e=b+372|0;d=k[e>>2]|0;f=(k[b+376>>2]|0)-d>>2;c:do if(f|0){c=0;while(1){y=0;Na(86,b|0,u|0,k[d+(c<<2)>>2]|0);p=y;y=0;if(p&1)break;c=c+1|0;if(c>>>0>=f>>>0)break c;d=k[e>>2]|0}c=pb()|0;break b}while(0);y=0;Ra(14,g|0,87975,0,-1);p=y;y=0;if(p&1)q=16;else{k[i>>2]=0;k[i+4>>2]=0;k[i+8>>2]=0;y=0;Na(74,i|0,87975,0);p=y;y=0;if(p&1)q=16;else{k[h>>2]=0;e=h+4|0;c=g;d=e+40|0;do{k[e>>2]=k[c>>2];e=e+4|0;c=c+4|0}while((e|0)<(d|0));p=h+44|0;y=0;oa(456,p|0,i|0);g=y;y=0;if(g&1){c=pb()|0;A9(i);break}A9(i);y=0;ma(6,t|0,b|0,u|0,h|0,0);i=y;y=0;if(i&1)c=pb()|0;else{y=0;Na(87,s|0,b|0,h|0);i=y;y=0;if(i&1)c=pb()|0;else{y=0;na(431,n|0);i=y;y=0;if(i&1)c=pb()|0;else{y=0;Ha(755,n|0,k[j>>2]|0)|0;i=y;y=0;d:do if(i&1)q=45;else{y=0;c=Ha(554,t|0,k[j>>2]|0)|0;i=y;y=0;e:do if(i&1)q=46;else{y=0;oa(460,l|0,c|0);i=y;y=0;if(i&1){q=46;break}k[l>>2]=6868;do if(k[j>>2]|0){y=0;na(423,v|0);i=y;y=0;if(!(i&1))break;c=pb()|0;DO(l);break e}while(0);i=l+4|0;k[j>>2]=k[i>>2];k[i>>2]=0;DO(l);y=0;Ha(755,n|0,k[j>>2]|0)|0;i=y;y=0;if(i&1){q=45;break d}y=0;c=Ha(688,s|0,k[j>>2]|0)|0;i=y;y=0;f:do if(i&1)q=49;else{y=0;oa(460,l|0,c|0);i=y;y=0;if(i&1){q=49;break}k[l>>2]=6868;do if(k[j>>2]|0){y=0;na(423,v|0);i=y;y=0;if(!(i&1))break;c=pb()|0;DO(l);break f}while(0);c=l+4|0;k[j>>2]=k[c>>2];k[c>>2]=0;DO(l);c=b+248|0;g:do if((k[c>>2]|0)!=(k[b+252>>2]|0)){y=0;oa(525,l|0,c|0);b=y;y=0;if(b&1){q=45;break d}y=0;oa(526,l|0,t+8|0);b=y;y=0;do if(!(b&1)){y=0;oa(137,l|0,k[j>>2]|0);b=y;y=0;if(b&1)break;tE(l);break g}while(0);c=pb()|0;tE(l);break d}while(0);y=0;na(432,m|0);l=y;y=0;if(l&1){q=45;break d}l=k[j>>2]|0;y=0;oa(k[(k[l>>2]|0)+44>>2]|0,l|0,m|0);m=y;y=0;do if(!(m&1)){y=0;oa(460,a|0,k[j>>2]|0);m=y;y=0;if(m&1)break;k[a>>2]=6868;k[n>>2]=19928;e=k[n+4>>2]|0;f=e;if(e|0){c=n+8|0;d=k[c>>2]|0;if((d|0)!=(e|0))k[c>>2]=d+(~((d+-4-f|0)>>>2)<<2);cra(e)}k[s>>2]=18444;c=k[s+20>>2]|0;d=c;if(c|0){e=s+24|0;f=k[e>>2]|0;if((f|0)!=(c|0))k[e>>2]=f+(~((f+-4-d|0)>>>2)<<2);cra(c)}e=k[s+8>>2]|0;f=e;if(e|0){c=s+12|0;d=k[c>>2]|0;if((d|0)!=(e|0))k[c>>2]=d+(~((d+-4-f|0)>>>2)<<2);cra(e)}vt(t);A9(p);GC(u,k[u+4>>2]|0);q=87;break a}while(0);c=pb()|0;break d}while(0);if((q|0)==49)c=pb()|0;break d}while(0);if((q|0)==46)c=pb()|0}while(0);if((q|0)==45)c=pb()|0;k[n>>2]=19928;f=k[n+4>>2]|0;g=f;if(f|0){d=n+8|0;e=k[d>>2]|0;if((e|0)!=(f|0))k[d>>2]=e+(~((e+-4-g|0)>>>2)<<2);cra(f)}}k[s>>2]=18444;d=k[s+20>>2]|0;e=d;if(d|0){f=s+24|0;g=k[f>>2]|0;if((g|0)!=(d|0))k[f>>2]=g+(~((g+-4-e|0)>>>2)<<2);cra(d)}f=k[s+8>>2]|0;g=f;if(f|0){d=s+12|0;e=k[d>>2]|0;if((e|0)!=(f|0))k[d>>2]=e+(~((e+-4-g|0)>>>2)<<2);cra(f)}}vt(t)}A9(p)}}}while(0);if((q|0)==16)c=pb()|0;GC(u,k[u+4>>2]|0);u=c;DO(v);sb(u|0)}}while(0);if((q|0)==10){u=pb()|0;DO(v);sb(u|0)}else if((q|0)==87){DO(v);r=o;return}}function Af(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;m=0;z=r;r=r+176|0;A=z;G=z+168|0;F=z+152|0;E=z+144|0;D=z+120|0;C=z+104|0;v=z+128|0;w=z+52|0;x=z+64|0;B=z+40|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;aI(F,39799,5);y=0;h=A;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));b=sa(26,F|0,a|0,d|0,A|0,f|0)|0;u=y;y=0;if(!(u&1)){y=0;b=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;u=y;y=0;if(!(u&1)){y=0;oa(460,G|0,b|0);u=y;y=0;if(!(u&1)){k[G>>2]=7172;A9(F);y=0;g=qa(315,108)|0;u=y;y=0;a:do if(u&1)m=17;else{h=A;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;na(422,g|0);u=y;y=0;do if(u&1)b=pb()|0;else{h=g+12|0;j=A;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;b=g+56|0;k[b>>2]=0;k[g>>2]=9288;c=g+60|0;y=0;oa(556,c|0,1);u=y;y=0;if(u&1){b=pb()|0;break}k[g>>2]=9412;k[c>>2]=9540;k[b>>2]=6;y=0;oa(460,F|0,g|0);u=y;y=0;if(u&1){m=17;break a}k[F>>2]=16764;s=G+4|0;c=k[s>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+120>>2]|0,c|0)|0;u=y;y=0;b:do if(u&1)b=pb()|0;else{g=k[s>>2]|0;d=(k[g+68>>2]|0)-(k[g+64>>2]|0)>>3;c:do if(c>>>0<d>>>0){f=E+4|0;m=D+4|0;b=F+4|0;n=w+4|0;o=A+4|0;p=v+8|0;q=w+8|0;t=v+8|0;u=w+4|0;while(1){g=g+60|0;y=0;g=Ha(k[(k[g>>2]|0)+16>>2]|0,g|0,c|0)|0;l=y;y=0;if(l&1){m=38;break}y=0;oa(460,E|0,k[g+4>>2]|0);l=y;y=0;if(l&1){m=38;break}k[E>>2]=7284;y=0;oa(460,D|0,k[f>>2]|0);l=y;y=0;if(l&1){m=39;break}k[D>>2]=10120;y=0;oa(456,C|0,(k[m>>2]|0)+68|0);l=y;y=0;if(l&1){m=40;break}y=0;g=ta(42,C|0,0,1)|0;l=y;y=0;if(l&1){m=41;break}y=0;Ha(969,C|0,g|0)|0;l=y;y=0;if(l&1){m=41;break}g=(k[b>>2]|0)+60|0;y=0;a=qa(315,80)|0;l=y;y=0;if(l&1){m=42;break}h=x;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(456,B|0,C|0);l=y;y=0;if(l&1){m=43;break}y=0;h=A;j=x;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Ea(2,a|0,A|0,B|0,0,0,0,1);l=y;y=0;if(l&1){m=44;break}y=0;oa(460,A|0,k[(k[m>>2]|0)+64>>2]|0);l=y;y=0;if(l&1){m=45;break}k[A>>2]=7284;k[w>>2]=a;y=0;oa(460,n|0,k[o>>2]|0);l=y;y=0;if(l&1){m=46;break}k[n>>2]=7284;y=0;oa(460,v|0,k[w>>2]|0);l=y;y=0;if(l&1){m=47;break}k[v>>2]=7284;y=0;oa(460,p|0,k[q>>2]|0);l=y;y=0;if(l&1){m=34;break}k[p>>2]=7284;y=0;Ha(988,g|0,v|0)|0;l=y;y=0;if(l&1){m=49;break}DO(t);DO(v);DO(u);DO(A);A9(B);A9(C);DO(D);DO(E);c=c+1|0;if(c>>>0>=d>>>0)break c;g=k[s>>2]|0}switch(m|0){case 34:{b=pb()|0;DO(v);m=48;break}case 38:{b=pb()|0;break b}case 39:{b=pb()|0;break}case 40:{b=pb()|0;m=56;break}case 41:{b=pb()|0;m=55;break}case 42:{b=pb()|0;m=54;break}case 43:{b=pb()|0;m=53;break}case 44:{b=pb()|0;A9(B);m=53;break}case 45:{b=pb()|0;m=52;break}case 46:{b=pb()|0;m=51;break}case 47:{b=pb()|0;m=48;break}case 49:{b=pb()|0;DO(t);DO(v);m=50;break}}if((m|0)==48)m=50;else if((m|0)==53){cra(a);m=54}if((m|0)==50){DO(u);m=51}if((m|0)==51){DO(A);m=52}if((m|0)==52){A9(B);m=54}if((m|0)==54)m=55;if((m|0)==55){A9(C);m=56}if((m|0)==56)DO(D);DO(E);break b}else b=F+4|0;while(0);b=k[b>>2]|0;if(!b){E=0;DO(F);DO(G);r=z;return E|0}i[b+8>>0]=1;E=b;DO(F);DO(G);r=z;return E|0}while(0);DO(F);break a}while(0);cra(g)}while(0);if((m|0)==17)b=pb()|0;DO(G);G=b;sb(G|0)}}}G=pb()|0;A9(F);sb(G|0);return 0}function Bf(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;x=r;r=r+160|0;u=x+112|0;c=x+72|0;f=x+56|0;B=x+48|0;A=x+36|0;v=x+24|0;s=x;q=x+16|0;t=x+8|0;C=b+152|0;D=k[C>>2]|0;z=D+1|0;k[C>>2]=z;if(z>>>0>512){e=gb(76)|0;d=c;g=b+108|0;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));y=0;oa(456,f|0,80932);B=y;y=0;if(B&1)c=pb()|0;else{y=0;d=u;g=c;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));Ra(24,e|0,u|0,f|0,0);B=y;y=0;if(B&1)d=1;else{y=0;Na(75,e|0,2912,175);y=0;d=0}c=pb()|0;A9(f);if(!d){B=c;k[C>>2]=D;sb(B|0)}}fb(e|0);B=c;k[C>>2]=D;sb(B|0)}y=0;ta(53,b|0,0,0)|0;z=y;y=0;if(!(z&1)){o=b+128|0;y=0;oa(569,b+108|0,o|0);z=y;y=0;if(!(z&1)){k[b+132>>2]=0;k[o>>2]=0;p=b+108|0;d=u;g=p;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));y=0;oa(577,B|0,b|0);z=y;y=0;if(z&1)c=pb()|0;else{k[A>>2]=0;z=A+4|0;k[z>>2]=0;k[A+8>>2]=0;k[v>>2]=0;w=v+4|0;k[w>>2]=0;k[v+8>>2]=0;f=b+76|0;g=b+80|0;h=s+4|0;j=s+5|0;l=v+8|0;m=A+8|0;n=s+4|0;a:while(1){c=k[f>>2]|0;y=0;d=qa(344,c|0)|0;e=y;y=0;if(e&1){e=50;break}d=d|0?d:c;y=0;c=qa(355,d|0)|0;e=y;y=0;if(e&1){e=50;break}if(!c){y=0;c=qa(356,d|0)|0;e=y;y=0;if(e&1){e=50;break}if(!c){y=0;c=qa(357,d|0)|0;e=y;y=0;if(e&1){e=50;break}if(!c){y=0;c=qa(358,d|0)|0;e=y;y=0;if(e&1){e=50;break}if(!c){y=0;c=qa(359,d|0)|0;e=y;y=0;if(e&1){e=50;break}if(!c){y=0;c=qa(360,d|0)|0;e=y;y=0;if(e&1){e=50;break}}}}}}if((c|0)==0?1:c>>>0>(k[g>>2]|0)>>>0){e=59;break}y=0;c=qa(343,k[f>>2]|0)|0;e=y;y=0;if(e&1){e=50;break}e=c|0?c>>>0<=(k[g>>2]|0)>>>0:0;y=0;c=ta(74,b|0,1,0)|0;d=y;y=0;if(d&1){e=53;break}do if(!c){y=0;c=ta(75,b|0,1,0)|0;d=y;y=0;if(d&1){e=53;break a}if(!c){y=0;c=ta(76,b|0,1,0)|0;d=y;y=0;if(d&1){e=53;break a}if(!c){y=0;c=ta(77,b|0,1,0)|0;d=y;y=0;if(d&1){e=53;break a}if(c|0){d=7;break}y=0;c=ta(78,b|0,1,0)|0;d=y;y=0;if(d&1){e=53;break a}if(c|0){d=4;break}y=0;c=ta(79,b|0,1,0)|0;d=y;y=0;if(d&1){e=53;break a}d=c|0?6:2}else d=5}else d=3}else d=2;while(0);y=0;c=qa(343,k[f>>2]|0)|0;E=y;y=0;if(E&1){e=54;break}c=c|0?c>>>0<=(k[g>>2]|0)>>>0:0;k[s>>2]=d;i[h>>0]=e&1;i[j>>0]=c&1;c=k[w>>2]|0;if(c>>>0<(k[l>>2]|0)>>>0){d=s;e=k[d+4>>2]|0;E=c;k[E>>2]=k[d>>2];k[E+4>>2]=e;k[w>>2]=(k[w>>2]|0)+8}else{y=0;oa(578,v|0,s|0);E=y;y=0;if(E&1){e=55;break}}y=0;oa(577,s|0,b|0);E=y;y=0;if(E&1){e=56;break}c=k[z>>2]|0;if(c>>>0<(k[m>>2]|0)>>>0){y=0;oa(460,c|0,k[n>>2]|0);E=y;y=0;if(E&1){e=57;break}k[c>>2]=7284;k[z>>2]=(k[z>>2]|0)+8}else{y=0;oa(548,A|0,s|0);E=y;y=0;if(E&1){e=57;break}}DO(s)}do if((e|0)==50){c=pb()|0;d=N;e=52}else if((e|0)==53){c=pb()|0;g=N}else if((e|0)==54){c=pb()|0;g=N}else if((e|0)==55){c=pb()|0;g=N}else if((e|0)==56){c=pb()|0;d=N;e=58}else if((e|0)==57){c=pb()|0;d=N;DO(s);e=58}else if((e|0)==59){y=0;oa(460,q|0,k[B+4>>2]|0);E=y;y=0;if(E&1){c=pb()|0;d=N;e=52;break}k[q>>2]=7284;y=0;ya(17,a|0,b|0,q|0,A|0,v|0,0);E=y;y=0;if(E&1){c=pb()|0;g=N;DO(q);break}DO(q);c=u+20|0;y=0;Na(113,t|0,p|0,u|0);E=y;y=0;if(!(E&1)){y=0;Na(114,s|0,t|0,o|0);E=y;y=0;if(!(E&1)){E=s;d=k[E+4>>2]|0;k[c>>2]=k[E>>2];k[c+4>>2]=d;fO((k[a+4>>2]|0)+12|0,u|0,40)|0;c=k[v>>2]|0;d=c;if(c|0){e=k[w>>2]|0;if((e|0)!=(c|0))k[w>>2]=e+(~((e+-8-d|0)>>>3)<<3);cra(c)}c=k[A>>2]|0;if(!c){DO(B);k[C>>2]=D;r=x;return}d=k[z>>2]|0;if((d|0)!=(c|0)){do{E=d+-8|0;k[z>>2]=E;lc[k[k[E>>2]>>2]&511](E);d=k[z>>2]|0}while((d|0)!=(c|0));c=k[A>>2]|0}cra(c);DO(B);k[C>>2]=D;r=x;return}}c=pb()|0;g=N;DO(a)}while(0);if((e|0)==52)g=d;else if((e|0)==58)g=d;d=k[v>>2]|0;e=d;if(d|0){f=k[w>>2]|0;if((f|0)!=(d|0))k[w>>2]=f+(~((f+-8-e|0)>>>3)<<3);cra(d)}d=k[A>>2]|0;if(d|0){e=k[z>>2]|0;if((e|0)!=(d|0)){do{E=e+-8|0;k[z>>2]=E;lc[k[k[E>>2]>>2]&511](E);e=k[z>>2]|0}while((e|0)!=(d|0));d=k[A>>2]|0}cra(d)}DO(B)}E=c;k[C>>2]=D;sb(E|0)}}E=pb()|0;k[C>>2]=D;sb(E|0)}function Cf(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0;D=0;x=r;r=r+304|0;t=x+256|0;C=x+232|0;s=x+48|0;B=x+24|0;n=x+240|0;A=x+8|0;u=x+192|0;z=x;v=x+40|0;w=x+16|0;h=t;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));LT(C,Hm(b,c,d,t,f)|0);k[C>>2]=7284;o=C+4|0;c=k[o>>2]|0;a:do if((k[c+56>>2]|0)==8){q=s+64|0;c=s+8|0;k[c>>2]=15992;p=s+12|0;k[s>>2]=16032;k[q>>2]=16052;k[s+4>>2]=0;y=0;oa(528,s+64|0,p|0);m=y;y=0;if(m&1)c=pb()|0;else{k[s+136>>2]=0;k[s+140>>2]=-1;k[s>>2]=15972;k[q>>2]=16012;k[c>>2]=15992;y=0;na(433,p|0);m=y;y=0;do if(m&1)c=pb()|0;else{k[p>>2]=15832;f=s+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[s+60>>2]=24;k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;y=0;oa(529,p|0,t|0);m=y;y=0;if(m&1){c=pb()|0;A9(t);A9(f);Xaa(p);break}A9(t);m=s+8|0;c=i[b+11>>0]|0;l=c<<24>>24<0;y=0;c=ta(47,m|0,(l?k[b>>2]|0:b)|0,(l?k[b+4>>2]|0:c&255)|0)|0;b=y;y=0;b:do if(b&1)D=22;else{y=0;c=ta(47,c|0,38218,28)|0;b=y;y=0;if(b&1)D=22;else{k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;b=IJ(d)|0;y=0;Na(74,t|0,d|0,b|0);d=y;y=0;do if(d&1){c=pb()|0;D=24}else{d=dJ(t,40,0)|0;y=0;ma(4,B|0,t|0,0,d|0,t|0);d=y;y=0;if(d&1){c=pb()|0;A9(t);D=24;break}A9(t);d=i[B+11>>0]|0;b=d<<24>>24<0;y=0;c=ta(47,c|0,(b?k[B>>2]|0:B)|0,(b?k[B+4>>2]|0:d&255)|0)|0;d=y;y=0;if(!(d&1)){y=0;ta(47,c|0,51790,1)|0;d=y;y=0;if(!(d&1)){A9(B);y=0;oa(530,n|0,p|0);d=y;y=0;if(d&1){D=22;break b}y=0;h=t;j=e;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));oa(454,n|0,t|0);e=y;y=0;if(e&1){c=pb()|0;A9(n);break b}else{A9(n);k[s>>2]=15972;k[q>>2]=16012;k[m>>2]=15992;k[p>>2]=15832;A9(f);Xaa(p);nla(s,16064);Vja(q);c=k[o>>2]|0;D=29;break a}}}c=pb()|0;A9(B)}while(0)}}while(0);if((D|0)==22)c=pb()|0;k[s>>2]=15972;k[q>>2]=16012;k[m>>2]=15992;k[p>>2]=15832;A9(f);Xaa(p);nla(s,16064);Vja(q);D=c;DO(C);sb(D|0)}while(0);nla(s,16064)}Vja(q)}else D=29;while(0);if((D|0)==29){y=0;c=qa(332,c|0)|0;s=y;y=0;if(!(s&1)){if(c|0)i[c+60>>0]=0;s=k[o>>2]|0;q=k[(k[s>>2]|0)+28>>2]|0;e=k[g+16>>2]|0;y=0;k[t>>2]=k[e>>2];k[t+4>>2]=k[e+4>>2];k[t+8>>2]=k[e+8>>2];Na(q|0,B|0,s|0,t|0);s=y;y=0;if(!(s&1)){c=i[B+11>>0]|0;f=k[B>>2]|0;y=0;Ra(14,u|0,38207,0,-1);s=y;y=0;if(s&1)D=38;else{c=c<<24>>24<0?f:B;y=0;h=t;j=u;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));ma(8,A|0,c|0,g|0,t|0,0);g=y;y=0;if(g&1)D=38;else{g=k[A+4>>2]|0;c=k[g+76>>2]|0;if((k[g+80>>2]|0)==(c|0)){y=0;oa(460,a|0,0);D=y;y=0;if(D&1)D=39;else{k[a>>2]=15152;DO(A);A9(B);DO(C);r=x;return}}else{y=0;oa(460,z|0,k[c+4>>2]|0);g=y;y=0;if(g&1)D=39;else{k[z>>2]=15136;c=z+4|0;y=0;oa(460,v|0,k[(k[c>>2]|0)+88>>2]|0);g=y;y=0;c:do if(g&1)D=45;else{k[v>>2]=15136;g=(k[v+4>>2]|0)==0;DO(v);c=k[c>>2]|0;do if(g){y=0;oa(460,a|0,k[c+80>>2]|0);D=y;y=0;if(D&1){D=45;break c}k[a>>2]=15152}else{y=0;oa(460,w|0,k[c+88>>2]|0);v=y;y=0;if(v&1){D=45;break c}k[w>>2]=15136;y=0;oa(460,a|0,k[(k[w+4>>2]|0)+80>>2]|0);v=y;y=0;if(v&1){c=pb()|0;DO(w);break c}else{k[a>>2]=15152;DO(w);break}}while(0);DO(z);DO(A);A9(B);DO(C);r=x;return}while(0);if((D|0)==45)c=pb()|0;DO(z)}}if((D|0)==39)c=pb()|0;DO(A)}}if((D|0)==38)c=pb()|0;A9(B);D=c;DO(C);sb(D|0)}}c=pb()|0}D=c;DO(C);sb(D|0)}
function Md(a,b){a=a|0;b=b|0;var c=0,d=0,e=0.0,f=0.0,g=0.0,h=0.0,j=0.0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;A=r;r=r+352|0;z=A+328|0;m=A+340|0;H=A+184|0;G=A+168|0;E=A+144|0;B=A;w=A+156|0;I=H+64|0;d=H+8|0;k[d>>2]=15992;F=H+12|0;k[H>>2]=16032;k[I>>2]=16052;k[H+4>>2]=0;y=0;oa(528,H+64|0,F|0);D=y;y=0;if(D&1){H=pb()|0;Vja(I);sb(H|0)}k[H+136>>2]=0;k[H+140>>2]=-1;k[H>>2]=15972;k[I>>2]=16012;k[d>>2]=15992;y=0;na(433,F|0);D=y;y=0;do if(D&1)c=pb()|0;else{k[F>>2]=15832;D=H+44|0;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;k[D+12>>2]=0;k[H+60>>2]=24;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;oa(529,F|0,z|0);C=y;y=0;if(C&1){c=pb()|0;A9(z);A9(D);Xaa(F);break}A9(z);y=0;oa(456,G|0,b+96|0);C=y;y=0;if(C&1){G=pb()|0;k[H>>2]=15972;k[I>>2]=16012;E=H+8|0;k[E>>2]=15992;k[F>>2]=15832;A9(D);Xaa(F);nla(H,16064);Vja(I);sb(G|0)}x=a+4|0;n=a+72|0;a:do if(!(i[(k[n>>2]|0)+8>>0]|0))C=18;else{C=i[G+11>>0]|0;do if(!((C<<24>>24<0?k[G+4>>2]|0:C&255)|0)){y=0;d=sa(21,G|0,0,-1,87975,0)|0;C=y;y=0;if(C&1){E=tb(0)|0;Sla(E)}else if(!d){C=18;break a}else break}while(0);y=0;Na(147,x|0,G|0,b|0);E=y;y=0;if(E&1)C=17;else{A9(G);k[H>>2]=15972;k[I>>2]=16012;G=H+8|0;k[G>>2]=15992;k[F>>2]=15832;A9(D);Xaa(F);nla(H,16064);Vja(I);r=A;return}}while(0);if((C|0)==18){y=0;oa(456,E|0,G|0);v=y;y=0;if(v&1)C=17;else{j=+p[b+64>>3];y=0;j=+ua(1,+(j>255.0?255.0:j<0.0?0.0:j),k[(k[n>>2]|0)+4>>2]|0);v=y;y=0;b:do if(v&1)c=pb()|0;else{f=+p[b+72>>3];y=0;f=+ua(1,+(f>255.0?255.0:f<0.0?0.0:f),k[(k[n>>2]|0)+4>>2]|0);v=y;y=0;if(v&1){c=pb()|0;break}e=+p[b+80>>3];y=0;e=+ua(1,+(e>255.0?255.0:e<0.0?0.0:e),k[(k[n>>2]|0)+4>>2]|0);v=y;y=0;if(v&1){c=pb()|0;break}h=+p[b+88>>3];h=h>1.0?1.0:h<0.0?0.0:h;o=G+11|0;v=i[o>>0]|0;q=G+4|0;do if(!((v<<24>>24<0?k[q>>2]|0:v&255)|0)){y=0;d=sa(21,G|0,0,-1,87975,0)|0;v=y;y=0;if(v&1){B=tb(0)|0;Sla(B)}else if(!d){C=39;break}else{C=26;break}}else C=26;while(0);c:do if((C|0)==26){y=0;c=qa(396,G|0)|0;v=y;y=0;if(!(v&1)){if(!c){C=39;break}y=0;c=qa(396,G|0)|0;v=y;y=0;if(!(v&1)){g=+p[c+64>>3];y=0;g=+ua(1,+(g>255.0?255.0:g<0.0?0.0:g),k[(k[n>>2]|0)+4>>2]|0);v=y;y=0;do if(!(v&1)){f=+p[c+72>>3];y=0;f=+ua(1,+(f>255.0?255.0:f<0.0?0.0:f),k[(k[n>>2]|0)+4>>2]|0);v=y;y=0;if(v&1)break;e=+p[c+80>>3];y=0;e=+ua(1,+(e>255.0?255.0:e<0.0?0.0:e),k[(k[n>>2]|0)+4>>2]|0);v=y;y=0;if(v&1)break;h=+p[c+88>>3];h=h>1.0?1.0:h<0.0?0.0:h;C=44;break c}while(0);c=pb()|0;break b}}c=pb()|0}while(0);do if((C|0)==39){g=j*65536.0+f*256.0+e;y=0;c=ra(1,+g)|0;v=y;y=0;if(!(v&1)){if(!c){g=j;C=44;break}y=0;c=ra(1,+g)|0;v=y;y=0;if(!(v&1)){y=0;Ha(1009,E|0,c|0)|0;v=y;y=0;if(!(v&1)){g=j;C=44;break}}}c=pb()|0;break b}while(0);if((C|0)==44){v=B+64|0;c=B+8|0;k[c>>2]=15992;u=B+12|0;k[B>>2]=16032;k[v>>2]=16052;k[B+4>>2]=0;y=0;oa(528,B+64|0,u|0);t=y;y=0;if(t&1)c=pb()|0;else{k[B+136>>2]=0;k[B+140>>2]=-1;k[B>>2]=15972;k[v>>2]=16012;k[c>>2]=15992;y=0;na(433,u|0);t=y;y=0;do if(t&1)c=pb()|0;else{k[u>>2]=15832;s=B+44|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;k[s+12>>2]=0;k[B+60>>2]=24;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;y=0;oa(529,u|0,z|0);t=y;y=0;if(t&1){c=pb()|0;A9(z);A9(s);Xaa(u);break}A9(z);l=(k[k[n>>2]>>2]|0)==3;t=B+8|0;i[m>>0]=35;y=0;c=ta(47,t|0,m|0,1)|0;m=y;y=0;d:do if(m&1)C=59;else{k[c+(k[(k[c>>2]|0)+-12>>2]|0)+12>>2]=1;k[c+(k[(k[c>>2]|0)+-12>>2]|0)+76>>2]=48;do if(l){y=0;c=Ba(1,+g,+f,+e)|0;m=y;y=0;if(m&1){C=59;break d}if(!(h==1.0&c)){C=63;break}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=1;y=0;Ha(982,t|0,~~g>>>0>>>4|0)|0;m=y;y=0;if(m&1){c=pb()|0;break d}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=1;y=0;Ha(982,t|0,~~f>>>0>>>4|0)|0;m=y;y=0;if(m&1){c=pb()|0;break d}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=1;y=0;Ha(982,t|0,~~e>>>0>>>4|0)|0;m=y;y=0;if(!(m&1)){C=70;break}c=pb()|0;break d}else C=63;while(0);do if((C|0)==63){m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;Ha(982,t|0,~~g>>>0|0)|0;m=y;y=0;if(m&1){c=pb()|0;break d}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;Ha(982,t|0,~~f>>>0|0)|0;m=y;y=0;if(m&1){c=pb()|0;break d}m=t+(k[(k[t>>2]|0)+-12>>2]|0)+4|0;k[m>>2]=k[m>>2]&-75|8;k[t+(k[(k[t>>2]|0)+-12>>2]|0)+12>>2]=2;y=0;Ha(982,t|0,~~e>>>0|0)|0;m=y;y=0;if(m&1){c=pb()|0;break d}else if(l){C=70;break}else break}while(0);do if((C|0)==70){if(i[b+52>>0]|0)break;y=0;Ha(1009,G|0,87975)|0;m=y;y=0;if(m&1){C=59;break d}}while(0);a=h>=1.0;e:do if(a&(k[k[n>>2]>>2]|0)==4){y=0;oa(530,z|0,u|0);w=y;y=0;do if(w&1)c=pb()|0;else{y=0;Na(147,x|0,z|0,b|0);b=y;y=0;if(b&1){c=pb()|0;A9(z);break}else{A9(z);break e}}while(0);break d}else{d=i[o>>0]|0;c=k[q>>2]|0;f:do if(!((d<<24>>24<0?c:d&255)|0)){y=0;c=sa(21,G|0,0,-1,87975,0)|0;n=y;y=0;if(n&1){n=tb(0)|0;Sla(n)}if(c|0){d=i[o>>0]|0;c=k[q>>2]|0;C=84;break}if(g==0.0&f==0.0&e==0.0&h==0.0){y=0;ta(47,H+8|0,48642,11)|0;w=y;y=0;if(w&1){C=59;break d}else break}if(!a){d=H+8|0;y=0;ta(47,d|0,48654,5)|0;w=y;y=0;if(w&1){C=59;break d}y=0;c=Ha(982,d|0,~~g>>>0|0)|0;w=y;y=0;if(w&1){C=59;break d}y=0;ta(47,c|0,51413,1)|0;w=y;y=0;if(w&1){C=59;break d}if(!l){y=0;ta(47,d|0,51792,1)|0;w=y;y=0;if(w&1){C=59;break d}}y=0;c=Ha(982,d|0,~~f>>>0|0)|0;w=y;y=0;if(w&1){C=59;break d}y=0;ta(47,c|0,51413,1)|0;w=y;y=0;if(w&1){C=59;break d}if(!l){y=0;ta(47,d|0,51792,1)|0;w=y;y=0;if(w&1){C=59;break d}}y=0;c=Ha(982,d|0,~~e>>>0|0)|0;w=y;y=0;if(w&1){C=59;break d}y=0;ta(47,c|0,51413,1)|0;w=y;y=0;if(w&1){C=59;break d}if(!l){y=0;ta(47,d|0,51792,1)|0;w=y;y=0;if(w&1){C=59;break d}}y=0;c=Da(1,d|0,+h)|0;w=y;y=0;if(w&1){C=59;break d}i[z>>0]=41;y=0;ta(47,c|0,z|0,1)|0;w=y;y=0;if(w&1){C=59;break d}break}d=E+11|0;q=i[d>>0]|0;a=E+4|0;do if(!((q<<24>>24<0?k[a>>2]|0:q&255)|0)){y=0;c=sa(21,E|0,0,-1,87975,0)|0;q=y;y=0;if(q&1){q=tb(0)|0;Sla(q)}if(c|0)break;y=0;oa(530,z|0,u|0);w=y;y=0;do if(w&1)c=pb()|0;else{w=i[z+11>>0]|0;q=w<<24>>24<0;y=0;ta(47,H+8|0,(q?k[z>>2]|0:z)|0,(q?k[z+4>>2]|0:w&255)|0)|0;w=y;y=0;if(w&1){c=pb()|0;A9(z);break}else{A9(z);break f}}while(0);break d}while(0);do if(l){y=0;oa(530,w|0,u|0);q=y;y=0;if(q&1){C=59;break d}c=i[w+11>>0]|0;q=i[d>>0]|0;q=(c<<24>>24<0?k[w+4>>2]|0:c&255)>>>0<(q<<24>>24<0?k[a>>2]|0:q&255)>>>0;A9(w);c=H+8|0;if(!q)break;y=0;oa(530,z|0,u|0);w=y;y=0;do if(w&1)c=pb()|0;else{w=i[z+11>>0]|0;q=w<<24>>24<0;y=0;ta(47,c|0,(q?k[z>>2]|0:z)|0,(q?k[z+4>>2]|0:w&255)|0)|0;w=y;y=0;if(w&1){c=pb()|0;A9(z);break}else{A9(z);break f}}while(0);break d}else c=H+8|0;while(0);w=i[d>>0]|0;q=w<<24>>24<0;y=0;ta(47,c|0,(q?k[E>>2]|0:E)|0,(q?k[a>>2]|0:w&255)|0)|0;w=y;y=0;if(w&1){C=59;break d}}else C=84;while(0);if((C|0)==84){w=d<<24>>24<0;y=0;ta(47,H+8|0,(w?k[G>>2]|0:G)|0,(w?c:d&255)|0)|0;w=y;y=0;if(w&1){C=59;break d}}y=0;oa(530,z|0,F|0);w=y;y=0;do if(w&1)c=pb()|0;else{y=0;Na(147,x|0,z|0,b|0);b=y;y=0;if(b&1){c=pb()|0;A9(z);break}else{A9(z);break e}}while(0);break d}while(0);k[B>>2]=15972;k[v>>2]=16012;k[t>>2]=15992;k[u>>2]=15832;A9(s);Xaa(u);nla(B,16064);Vja(v);A9(E);A9(G);k[H>>2]=15972;k[I>>2]=16012;G=H+8|0;k[G>>2]=15992;k[F>>2]=15832;A9(D);Xaa(F);nla(H,16064);Vja(I);r=A;return}while(0);if((C|0)==59)c=pb()|0;k[B>>2]=15972;k[v>>2]=16012;k[t>>2]=15992;k[u>>2]=15832;A9(s);Xaa(u);nla(B,16064);Vja(v);break b}while(0);nla(B,16064)}Vja(v)}}while(0);A9(E)}}if((C|0)==17)c=pb()|0;A9(G);G=c;k[H>>2]=15972;k[I>>2]=16012;E=H+8|0;k[E>>2]=15992;k[F>>2]=15832;A9(D);Xaa(F);nla(H,16064);Vja(I);sb(G|0)}while(0);nla(H,16064);H=c;Vja(I);sb(H|0)}function Nd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0;t=0;W=r;r=r+432|0;R=W+384|0;d=W+376|0;p=W+312|0;f=W+336|0;h=W+328|0;g=W+320|0;l=W+304|0;m=W+296|0;n=W+288|0;T=W+280|0;o=W+264|0;J=W+272|0;B=W+248|0;C=W+224|0;I=W+256|0;H=W+232|0;D=W+176|0;E=W+136|0;F=W+128|0;q=W+112|0;s=W+72|0;S=W+200|0;Q=W+192|0;L=W+64|0;M=W+56|0;N=W+16|0;P=W+8|0;O=W;X=a+46|0;U=a+45|0;Y=i[X>>0]|0;i[X>>0]=i[U>>0]|0;K=j[a+44>>1]|0;V=(K&65535)>>>8&255;if((K&255)<<24>>24){c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(460,d|0,k[b+68>>2]|0);V=y;y=0;if(V&1){W=pb()|0;i[X>>0]=Y;sb(W|0)}k[d>>2]=6868;y=0;c=Ha(c|0,a|0,k[d+4>>2]|0)|0;V=y;y=0;if(V&1){W=pb()|0;DO(d);i[X>>0]=Y;sb(W|0)}DO(d);y=0;e=qa(315,80)|0;V=y;y=0;if(V&1){W=pb()|0;i[X>>0]=Y;sb(W|0)}u=f;v=b+12|0;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;oa(460,h|0,c|0);V=y;y=0;if(V&1)c=pb()|0;else{k[h>>2]=6868;y=0;u=R;v=f;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));Na(135,e|0,R|0,h|0);V=y;y=0;if(V&1)d=1;else{y=0;oa(460,p|0,e|0);V=y;y=0;if(V&1)d=0;else{k[p>>2]=18144;DO(h);c=b+76|0;y=0;oa(460,g|0,k[c>>2]|0);V=y;y=0;a:do if(V&1)t=30;else{k[g>>2]=6756;V=(k[g+4>>2]|0)==0;DO(g);b:do if(!V){y=0;oa(460,l|0,k[c>>2]|0);V=y;y=0;if(V&1){t=30;break a}k[l>>2]=6756;e=k[l+4>>2]|0;DO(l);if(e|0){c=a+84|0;y=0;oa(460,R|0,0);V=y;y=0;do if(V&1)c=pb()|0;else{k[R>>2]=6756;f=a+88|0;d=k[f>>2]|0;do if(d>>>0<(k[a+92>>2]|0)>>>0){y=0;oa(460,d|0,k[R+4>>2]|0);V=y;y=0;if(V&1){t=32;break}k[d>>2]=6756;k[f>>2]=(k[f>>2]|0)+8}else{y=0;oa(646,c|0,R|0);V=y;y=0;if(V&1)t=32}while(0);if((t|0)==32){c=pb()|0;DO(R);break}DO(R);c=k[p+4>>2]|0;y=0;Na(136,n|0,e|0,a+8|0);V=y;y=0;if(V&1){c=pb()|0;break a}d=c+72|0;c=c+76|0;if(!(k[c>>2]|0))t=20;else{y=0;na(423,d|0);V=y;y=0;if(!(V&1))t=20}do if((t|0)==20){k[c>>2]=k[n+4>>2];y=0;na(424,d|0);V=y;y=0;if(V&1)break;y=0;oa(460,m|0,k[c>>2]|0);V=y;y=0;if(V&1)break;k[m>>2]=6756;DO(m);DO(n);d=k[f>>2]|0;c=d+-8|0;while(1){V=d+-8|0;k[f>>2]=V;lc[k[k[V>>2]>>2]&511](V);d=k[f>>2]|0;if((d|0)==(c|0))break b}}while(0);c=pb()|0;DO(n);break a}while(0);break a}}while(0);c=k[p+4>>2]|0;if(!c)c=0;else i[c+8>>0]=1;DO(p);V=c;i[X>>0]=Y;r=W;return V|0}while(0);if((t|0)==30)c=pb()|0;DO(p);W=c;i[X>>0]=Y;sb(W|0)}}c=pb()|0;DO(h);if(!d){W=c;i[X>>0]=Y;sb(W|0)}}cra(e);W=c;i[X>>0]=Y;sb(W|0)}i[U>>0]=0;z=a+84|0;K=a+88|0;d=k[K>>2]|0;c=k[z>>2]|0;f=d-c>>3;c:do if(!f){x=0;t=42}else{g=R+4|0;e=0;while(1){if(d-c>>3>>>0<=e>>>0){y=0;na(428,z|0);G=y;y=0;if(G&1)break;c=k[z>>2]|0}y=0;oa(460,R|0,k[c+(e<<3)+4>>2]|0);G=y;y=0;if(G&1)break;k[R>>2]=6756;c=k[g>>2]|0;if(!c)d=0;else d=(k[c+80>>2]|0)!=(k[c+76>>2]|0);DO(R);c=e+1|0;if(c>>>0>=f>>>0|d){x=d;t=42;break c}e=c;d=k[K>>2]|0;c=k[z>>2]|0}c=pb()|0}while(0);do if((t|0)==42){d=b+76|0;y=0;oa(460,T|0,k[d>>2]|0);G=y;y=0;if(G&1){c=pb()|0;break}k[T>>2]=6756;A=T+4|0;c=k[A>>2]|0;d:do if(!c)t=63;else{y=0;Na(136,R|0,c|0,a+8|0);G=y;y=0;do if(G&1)c=pb()|0;else{if(k[A>>2]|0){y=0;na(423,T|0);G=y;y=0;if(G&1){c=pb()|0;DO(R);break}}t=R+4|0;k[A>>2]=k[t>>2];k[t>>2]=0;DO(R);t=63;break d}while(0)}while(0);e:do if((t|0)==63){G=b+80|0;f:do if(!(i[G>>0]|0)){c=k[A>>2]|0;if((k[c+80>>2]|0)!=(k[c+76>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+124>>2]|0,c|0)|0;J=y;y=0;if(J&1)break;if(!c){t=116;break}c=k[A>>2]|0}y=0;c=qa(k[(k[c>>2]|0)+128>>2]|0,c|0)|0;J=y;y=0;if(!(J&1))if(x|c^1)t=116;else{k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,47624,78);J=y;y=0;if(!(J&1)){u=s;v=(k[A>>2]|0)+12|0;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));c=k[a+112>>2]|0;if((c|0)==(k[a+108>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;u=R;v=s;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));Na(98,q|0,R|0,c|0);J=y;y=0;if(J&1){c=pb()|0;A9(q);break e}else{A9(q);t=116;break}}}}else{y=0;oa(460,o|0,k[d>>2]|0);w=y;y=0;if(!(w&1)){k[o>>2]=6756;c=k[o+4>>2]|0;if(c|0)if((k[481]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){DO(o);d=k[c+76>>2]|0;h=k[c+80>>2]|0;if((d|0)==(h|0)){t=116;break}l=J+4|0;m=B+4|0;n=F+4|0;o=C+4|0;p=I+4|0;q=a+4|0;s=a+108|0;t=a+112|0;g:while(1){y=0;oa(460,J|0,k[d+4>>2]|0);w=y;y=0;if(w&1){t=80;break}k[J>>2]=15136;c=k[l>>2]|0;if(c|0)do{e=c+80|0;y=0;oa(460,B|0,k[e>>2]|0);w=y;y=0;if(w&1){t=81;break g}k[B>>2]=15152;w=(k[m>>2]|0)==0;DO(B);h:do if(!w){y=0;oa(460,C|0,k[e>>2]|0);w=y;y=0;if(w&1){t=81;break g}k[C>>2]=15152;g=k[o>>2]|0;DO(C);e=k[g+76>>2]|0;g=k[g+80>>2]|0;if((e|0)==(g|0))break;if(x)while(1){y=0;oa(460,I|0,k[e+4>>2]|0);w=y;y=0;if(w&1){t=79;break g}k[I>>2]=13284;DO(I);e=e+8|0;if((e|0)==(g|0))break h}do{y=0;oa(460,I|0,k[e+4>>2]|0);w=y;y=0;if(w&1){t=86;break g}k[I>>2]=13284;f=k[p>>2]|0;do if(f|0){if((k[427]|0)!=(k[(k[(k[f>>2]|0)+-4>>2]|0)+4>>2]|0))break;if(!(i[f+101>>0]|0))break;w=k[l>>2]|0;v=k[(k[w>>2]|0)+28>>2]|0;u=k[(k[q>>2]|0)+16>>2]|0;y=0;k[R>>2]=k[u>>2];k[R+4>>2]=k[u+4>>2];k[R+8>>2]=k[u+8>>2];Na(v|0,H|0,w|0,R|0);w=y;y=0;if(w&1){t=88;break g}k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;Na(74,D|0,47624,78);w=y;y=0;if(w&1){t=96;break g}u=E;v=(k[p>>2]|0)+12|0;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));f=k[t>>2]|0;if((f|0)==(k[s>>2]|0))f=0;else f=k[f+-4>>2]|0;y=0;u=R;v=E;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));Na(98,D|0,R|0,f|0);w=y;y=0;if(w&1){t=97;break g}A9(D);A9(H)}while(0);DO(I);e=e+8|0}while((e|0)!=(g|0))}while(0);y=0;oa(460,F|0,k[c+88>>2]|0);w=y;y=0;if(w&1){t=81;break g}k[F>>2]=15136;c=k[n>>2]|0;DO(F)}while((c|0)!=0);DO(J);d=d+8|0;if((d|0)==(h|0)){t=116;break f}}if((t|0)==79){c=pb()|0;t=87}else if((t|0)==80){c=pb()|0;break e}else if((t|0)==81)c=pb()|0;else if((t|0)==86){c=pb()|0;t=87}else if((t|0)==88){c=pb()|0;t=99}else if((t|0)==96){c=pb()|0;t=98}else if((t|0)==97){c=pb()|0;A9(D);t=98}if((t|0)!=87)if((t|0)==98){A9(H);t=99}if((t|0)==99)DO(I);DO(J);break e}DO(o);t=116}}while(0);do if((t|0)==116){c=k[K>>2]|0;if((c|0)==(k[a+92>>2]|0)){y=0;oa(559,z|0,T|0);J=y;y=0;if(J&1)break}else{y=0;oa(460,c|0,k[A>>2]|0);J=y;y=0;if(J&1)break;k[c>>2]=6756;k[K>>2]=(k[K>>2]|0)+8}d=a+48|0;g=a+52|0;c=k[g>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;Na(128,S|0,c|0,0);J=y;y=0;if(!(J&1)){f=a+64|0;do if(!(i[(k[(k[f>>2]|0)+-4>>2]|0)+84>>0]|0))t=130;else{k[R>>2]=S;c=k[g>>2]|0;if(c>>>0<(k[a+56>>2]|0)>>>0){k[c>>2]=S;k[g>>2]=(k[g>>2]|0)+4}else{y=0;oa(638,d|0,R|0);J=y;y=0;if(J&1){c=pb()|0;break}}t=130}while(0);do if((t|0)==130){J=k[A>>2]|0;y=0;oa(k[(k[J>>2]|0)+120>>2]|0,J|0,k[(k[a+100>>2]|0)+-4>>2]|0);J=y;y=0;if(!(J&1)){y=0;oa(460,Q|0,0);J=y;y=0;if(!(J&1)){k[Q>>2]=6868;d=b+68|0;y=0;oa(460,L|0,k[d>>2]|0);J=y;y=0;i:do if(J&1)t=140;else{k[L>>2]=6868;J=(k[L+4>>2]|0)==0;DO(L);j:do if(!J){c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(460,M|0,k[d>>2]|0);L=y;y=0;if(L&1)c=pb()|0;else{k[M>>2]=6868;y=0;c=Ha(c|0,a|0,k[M+4>>2]|0)|0;a=y;y=0;k:do if(a&1)t=142;else{y=0;oa(460,R|0,c|0);a=y;y=0;if(a&1){t=142;break}k[R>>2]=6868;c=Q+4|0;do if(k[c>>2]|0){y=0;na(423,Q|0);a=y;y=0;if(!(a&1))break;c=pb()|0;DO(R);break k}while(0);a=R+4|0;k[c>>2]=k[a>>2];k[a>>2]=0;DO(R);DO(M);break j}while(0);if((t|0)==142)c=pb()|0;DO(M)}break i}while(0);y=0;e=qa(315,84)|0;a=y;y=0;if(a&1)t=140;else{u=N;v=b+12|0;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;oa(460,P|0,k[A>>2]|0);a=y;y=0;if(a&1)c=pb()|0;else{k[P>>2]=6756;y=0;oa(460,O|0,k[Q+4>>2]|0);a=y;y=0;do if(a&1)c=pb()|0;else{k[O>>2]=6868;y=0;u=R;v=N;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));Ra(32,e|0,R|0,P|0,O|0);R=y;y=0;if(R&1){c=pb()|0;DO(O);break}DO(O);DO(P);d=k[K>>2]|0;c=d+-8|0;do{R=d+-8|0;k[K>>2]=R;lc[k[k[R>>2]>>2]&511](R);d=k[K>>2]|0}while((d|0)!=(c|0));if(i[(k[(k[f>>2]|0)+-4>>2]|0)+84>>0]|0)k[g>>2]=(k[g>>2]|0)+-4;i[e+80>>0]=i[G>>0]|0;k[e+56>>2]=k[b+56>>2];DO(Q);GC(S,k[S+4>>2]|0);DO(T);i[U>>0]=V;V=e;i[X>>0]=Y;r=W;return V|0}while(0);DO(P)}cra(e)}}while(0);if((t|0)==140)c=pb()|0;DO(Q);break}}c=pb()|0}while(0);GC(S,k[S+4>>2]|0);break e}}while(0);c=pb()|0}while(0);DO(T)}while(0);i[U>>0]=V;W=c;i[X>>0]=Y;sb(W|0);return 0}function Od(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;ca=0;ba=r;r=r+224|0;fa=ba+184|0;da=ba+156|0;X=ba+128|0;Y=ba+100|0;Z=ba+72|0;_=ba+44|0;$=ba+16|0;V=ba+8|0;W=ba;jD(fa);aa=fa+20|0;b=k[aa>>2]|0;ea=fa+24|0;n=k[ea>>2]|0;o=(n|0)==0;if(!o)Dba(n);y=0;na(449,da|0);U=y;y=0;do if(U&1){d=pb()|0;ca=40}else{j=b+8|0;e=k[j>>2]|0;l=b+4|0;d=k[l>>2]|0;U=e-d>>2;g=b+16|0;h=k[g>>2]|0;m=b+20|0;f=k[m>>2]|0;if((((U|0)==0?0:(U*146|0)+-1|0)|0)==(f+h|0)){y=0;na(429,b|0);U=y;y=0;if(!(U&1)){f=k[m>>2]|0;b=k[g>>2]|0;e=k[j>>2]|0;d=k[l>>2]|0;ca=7}}else{b=h;ca=7}if((ca|0)==7){b=f+b|0;if((e|0)==(d|0))b=0;else b=(k[d+(((b>>>0)/146|0)<<2)>>2]|0)+(((b>>>0)%146|0)*28|0)|0;k[b>>2]=k[da>>2];k[b+4>>2]=k[da+4>>2];k[b+8>>2]=k[da+8>>2];d=b+12|0;y=0;oa(460,d|0,k[da+16>>2]|0);U=y;y=0;if(!(U&1)){k[d>>2]=15136;T=da+20|0;k[b+20>>2]=k[T>>2];U=da+24|0;k[b+24>>2]=k[U>>2];k[T>>2]=0;k[U>>2]=0;k[m>>2]=(k[m>>2]|0)+1;DO(da+12|0);if(!o)DY(n);y=0;na(449,da|0);U=y;y=0;if(U&1){d=pb()|0;break}y=0;oa(507,da|0,c|0);U=y;y=0;a:do if(U&1)ca=42;else{w=da+20|0;b=da+24|0;x=X+20|0;T=X+24|0;U=X+12|0;z=Y+20|0;R=Y+24|0;A=_+4|0;N=_+24|0;O=_+12|0;B=_+20|0;C=W+4|0;D=Z+20|0;P=Z+24|0;E=$+16|0;F=$+20|0;L=$+24|0;M=$+12|0;G=V+4|0;K=fa+12|0;J=fa+16|0;H=Z+16|0;I=Z+20|0;Q=Z+12|0;S=Y+12|0;b:while(1){d=k[w>>2]|0;e=k[b>>2]|0;if(!e){if(!(k[d+20>>2]|0)){ca=191;break}e=0;f=1}else{Dba(e);v=(k[d+20>>2]|0)==0;DY(e);if(v){ca=191;break}d=k[w>>2]|0;e=k[b>>2]|0;if(!e){e=0;f=1}else{Dba(e);f=0}}v=k[d+16>>2]|0;y=0;oa(517,X|0,(k[(k[d+4>>2]|0)+(((v>>>0)/146|0)<<2)>>2]|0)+(((v>>>0)%146|0)*28|0)|0);v=y;y=0;if(v&1){ca=43;break}if(!f)DY(e);d=k[w>>2]|0;e=k[b>>2]|0;f=(e|0)==0;if(!f)Dba(e);g=d+4|0;h=d+16|0;l=k[h>>2]|0;j=k[(k[g>>2]|0)+(((l>>>0)/146|0)<<2)>>2]|0;l=(l>>>0)%146|0;m=k[j+(l*28|0)+24>>2]|0;if(m|0)DY(m);DO(j+(l*28|0)+12|0);v=d+20|0;k[v>>2]=(k[v>>2]|0)+-1;v=(k[h>>2]|0)+1|0;k[h>>2]=v;if(v>>>0>291){cra(k[k[g>>2]>>2]|0);k[g>>2]=(k[g>>2]|0)+4;k[h>>2]=(k[h>>2]|0)+-146}if(!f)DY(e);d=k[x>>2]|0;e=k[T>>2]|0;if(!e)if(!(k[d+20>>2]|0))d=2;else ca=46;else{Dba(e);v=(k[d+20>>2]|0)==0;DY(e);if(v)d=2;else ca=46}if((ca|0)==46){ca=0;y=0;na(449,Y|0);v=y;y=0;if(v&1){ca=45;break}d=k[z>>2]|0;f=k[R>>2]|0;g=(f|0)==0;if(!g)Dba(f);e=k[x>>2]|0;h=k[T>>2]|0;j=(h|0)==0;if(!j)Dba(h);v=(k[e+20>>2]|0)+-1+(k[e+16>>2]|0)|0;y=0;oa(522,d|0,(k[(k[e+4>>2]|0)+(((v>>>0)/146|0)<<2)>>2]|0)+(((v>>>0)%146|0)*28|0)|0);v=y;y=0;if(v&1){ca=80;break}if(!j)DY(h);if(!g)DY(f);d=k[x>>2]|0;j=k[T>>2]|0;l=(j|0)==0;if(!l)Dba(j);e=d+20|0;m=d+16|0;g=(k[e>>2]|0)+-1+(k[m>>2]|0)|0;c=d+4|0;f=k[(k[c>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;h=k[f+(g*28|0)+24>>2]|0;if(h|0)DY(h);DO(f+(g*28|0)+12|0);u=k[e>>2]|0;k[e>>2]=u+-1;d=d+8|0;e=k[d>>2]|0;v=e-(k[c>>2]|0)>>2;if((1-u-(k[m>>2]|0)+((v|0)==0?0:(v*146|0)+-1|0)|0)>>>0>291){cra(k[e+-4>>2]|0);k[d>>2]=(k[d>>2]|0)+-4}if(!l)DY(j);y=0;na(449,Z|0);v=y;y=0;if(v&1){ca=79;break}d=k[aa>>2]|0;f=k[ea>>2]|0;g=(f|0)==0;if(!g)Dba(f);v=k[d+4>>2]|0;e=k[d+16>>2]|0;l=v+(((e>>>0)/146|0)<<2)|0;if((k[d+8>>2]|0)==(v|0))d=0;else d=(k[l>>2]|0)+(((e>>>0)%146|0)*28|0)|0;if(!g)DY(f);e=k[aa>>2]|0;h=k[ea>>2]|0;j=(h|0)==0;if(!j)Dba(h);f=(k[e+16>>2]|0)+(k[e+20>>2]|0)|0;g=k[e+4>>2]|0;if((k[e+8>>2]|0)==(g|0))v=0;else v=(k[g+(((f>>>0)/146|0)<<2)>>2]|0)+(((f>>>0)%146|0)*28|0)|0;if(j)u=l;else{DY(h);u=l}c:while(1){do{if((d|0)==(v|0)){ca=167;break c}y=0;Na(79,_|0,d|0,X|0);t=y;y=0;if(t&1){ca=88;break b}d:do if((k[A>>2]|0)==3){y=0;na(449,a|0);t=y;y=0;if(t&1){ca=89;break b}else e=1}else{e=k[B>>2]|0;g=k[N>>2]|0;h=(g|0)==0;if(!h)Dba(g);t=k[e+4>>2]|0;f=k[e+16>>2]|0;m=t+(((f>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(t|0))e=0;else e=(k[m>>2]|0)+(((f>>>0)%146|0)*28|0)|0;if(!h)DY(g);f=k[B>>2]|0;j=k[N>>2]|0;l=(j|0)==0;if(!l)Dba(j);g=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;h=k[f+4>>2]|0;if((k[f+8>>2]|0)==(h|0))t=0;else t=(k[h+(((g>>>0)/146|0)<<2)>>2]|0)+(((g>>>0)%146|0)*28|0)|0;if(!l)DY(j);while(1){do{if((e|0)==(t|0)){e=0;break d}y=0;na(449,$|0);s=y;y=0;if(s&1){ca=129;break b}y=0;oa(507,$|0,e|0);s=y;y=0;if(s&1){ca=130;break b}y=0;oa(507,$|0,Y|0);s=y;y=0;if(s&1){ca=130;break b}f=k[z>>2]|0;j=k[R>>2]|0;l=(j|0)==0;if(!l)Dba(j);do if(!f)f=0;else{f=k[z>>2]|0;g=k[R>>2]|0;h=(g|0)==0;if(!h)Dba(g);s=k[f+16>>2]|0;y=0;oa(460,V|0,k[(k[(k[f+4>>2]|0)+(((s>>>0)/146|0)<<2)>>2]|0)+(((s>>>0)%146|0)*28|0)+16>>2]|0);s=y;y=0;if(s&1){ca=131;break b}k[V>>2]=15136;f=(k[G>>2]|0)!=0;DO(V);if(h)break;DY(g)}while(0);if(!l)DY(j);do if(f){g=k[z>>2]|0;h=k[R>>2]|0;if(!h)f=1;else{Dba(h);f=0}s=k[g+16>>2]|0;i[$>>0]=i[(k[(k[g+4>>2]|0)+(((s>>>0)/146|0)<<2)>>2]|0)+(((s>>>0)%146|0)*28|0)>>0]|0;if(!f)DY(h);f=k[z>>2]|0;g=k[R>>2]|0;h=(g|0)==0;if(!h)Dba(g);s=k[f+16>>2]|0;y=0;oa(460,W|0,k[(k[(k[f+4>>2]|0)+(((s>>>0)/146|0)<<2)>>2]|0)+(((s>>>0)%146|0)*28|0)+16>>2]|0);s=y;y=0;if(s&1){ca=135;break b}k[W>>2]=15136;i[(k[C>>2]|0)+60>>0]=0;DO(W);if(!h)DY(g);f=k[z>>2]|0;g=k[R>>2]|0;if(!g){s=k[f+16>>2]|0;i[(k[(k[f+4>>2]|0)+(((s>>>0)/146|0)<<2)>>2]|0)+(((s>>>0)%146|0)*28|0)>>0]=0;break}else{Dba(g);s=k[f+16>>2]|0;i[(k[(k[f+4>>2]|0)+(((s>>>0)/146|0)<<2)>>2]|0)+(((s>>>0)%146|0)*28|0)>>0]=0;DY(g);break}}while(0);f=k[D>>2]|0;q=k[P>>2]|0;s=(q|0)==0;if(!s)Dba(q);n=f+8|0;h=k[n>>2]|0;o=f+4|0;g=k[o>>2]|0;ga=h-g>>2;l=f+16|0;c=k[l>>2]|0;p=f+20|0;j=k[p>>2]|0;if((((ga|0)==0?0:(ga*146|0)+-1|0)|0)==(j+c|0)){y=0;na(429,f|0);ga=y;y=0;if(ga&1){ca=154;break b}j=k[p>>2]|0;f=k[l>>2]|0;h=k[n>>2]|0;g=k[o>>2]|0}else f=c;f=j+f|0;if((h|0)==(g|0))g=0;else g=(k[g+(((f>>>0)/146|0)<<2)>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[g>>2]=k[$>>2];k[g+4>>2]=k[$+4>>2];k[g+8>>2]=k[$+8>>2];f=g+12|0;y=0;oa(460,f|0,k[E>>2]|0);ga=y;y=0;if(ga&1){ca=154;break b}k[f>>2]=15136;k[g+20>>2]=k[F>>2];f=k[L>>2]|0;k[g+24>>2]=f;if(f|0)Dba(f);k[p>>2]=(k[p>>2]|0)+1;if(!s)DY(q);f=k[L>>2]|0;if(f|0)DY(f);DO(M);e=e+28|0}while((e-(k[m>>2]|0)|0)!=4088);e=m+4|0;m=e;e=k[e>>2]|0}}while(0);f=k[N>>2]|0;if(f|0)DY(f);DO(O);if(e|0){d=1;break c}d=d+28|0}while((d-(k[u>>2]|0)|0)!=4088);d=u+4|0;u=d;d=k[d>>2]|0}do if((ca|0)==167){ca=0;k[fa>>2]=k[Z>>2];k[fa+4>>2]=k[Z+4>>2];k[fa+8>>2]=k[Z+8>>2];if(k[J>>2]|0){y=0;na(423,K|0);ga=y;y=0;if(ga&1){ca=84;break b}}k[J>>2]=k[H>>2];y=0;na(424,K|0);ga=y;y=0;if(ga&1){ca=84;break b}d=k[I>>2]|0;e=k[P>>2]|0;if(e|0)Dba(e);k[aa>>2]=d;d=k[ea>>2]|0;k[ea>>2]=e;if(!d){d=0;break}DY(d);d=0}while(0);e=k[P>>2]|0;if(e|0)DY(e);DO(Q);e=k[R>>2]|0;if(e|0)DY(e);DO(S)}e=k[T>>2]|0;if(e|0)DY(e);DO(U);switch(d|0){case 2:case 0:break;default:{ca=193;break b}}}switch(ca|0){case 43:{d=pb()|0;if(f)break a;DY(e);break a}case 45:{d=pb()|0;break}case 79:{d=pb()|0;ca=185;break}case 80:{d=pb()|0;if(!j)DY(h);if(g)ca=185;else{DY(f);ca=185}break}case 84:{d=pb()|0;ca=182;break}case 88:{d=pb()|0;ca=182;break}case 89:{d=pb()|0;ca=164;break}case 129:{d=pb()|0;ca=164;break}case 130:{d=pb()|0;ca=156;break}case 131:{d=pb()|0;if(!h)DY(g);if(l)ca=156;else{DY(j);ca=156}break}case 135:{d=pb()|0;if(h)ca=156;else{DY(g);ca=156}break}case 154:{d=pb()|0;if(s)ca=156;else{DY(q);ca=156}break}case 191:{k[a>>2]=k[fa>>2];k[a+4>>2]=k[fa+4>>2];k[a+8>>2]=k[fa+8>>2];d=a+12|0;y=0;oa(460,d|0,k[J>>2]|0);ga=y;y=0;if(ga&1){ca=42;break a}k[d>>2]=15136;k[a+20>>2]=k[aa>>2];k[a+24>>2]=k[ea>>2];k[aa>>2]=0;k[ea>>2]=0;ca=193;break}}if((ca|0)==156){e=k[L>>2]|0;if(e|0)DY(e);DO(M);ca=164}else if((ca|0)==193){b=k[b>>2]|0;if(b|0)DY(b);DO(da+12|0);b=k[ea>>2]|0;if(!b){DO(K);r=ba;return}DY(b);DO(K);r=ba;return}if((ca|0)==164){e=k[N>>2]|0;if(e|0)DY(e);DO(O);ca=182}if((ca|0)==182){e=k[P>>2]|0;if(e|0)DY(e);DO(Q);ca=185}if((ca|0)==185){e=k[R>>2]|0;if(e|0)DY(e);DO(S)}e=k[T>>2]|0;if(e|0)DY(e);DO(U)}while(0);if((ca|0)==42){d=pb()|0;b=da+24|0}b=k[b>>2]|0;if(b|0)DY(b);DO(da+12|0);break}}d=pb()|0;b=k[da+24>>2]|0;if(b|0)DY(b);DO(da+12|0);ca=40}while(0);if((ca|0)==40)if(!o)DY(n);b=k[ea>>2]|0;if(!b){ga=fa+12|0;DO(ga);sb(d|0)}DY(b);ga=fa+12|0;DO(ga);sb(d|0)}function Pd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;S=r;r=r+352|0;H=S+344|0;f=S+336|0;d=S+328|0;e=S+320|0;V=S+312|0;U=S+304|0;A=S+288|0;u=S+264|0;w=S+256|0;q=S+240|0;g=S+232|0;h=S+224|0;z=S+296|0;x=S+280|0;i=S+216|0;j=S+208|0;l=S+200|0;m=S+192|0;n=S+184|0;o=S+176|0;v=S+168|0;s=S+160|0;p=S+144|0;T=S+272|0;G=S+136|0;F=S+128|0;E=S+120|0;D=S+112|0;B=S+96|0;O=S+88|0;L=S+80|0;I=S+64|0;P=S+56|0;M=S+48|0;J=S+32|0;Q=S+24|0;N=S+16|0;K=S;C=a+80|0;LT(d,k[C>>2]|0);k[d>>2]=15152;if(!(k[d+4>>2]|0)){DO(d);V=0;r=S;return V|0}t=b+4|0;y=0;oa(460,e|0,k[(k[t>>2]|0)+80>>2]|0);R=y;y=0;if(R&1){V=pb()|0;DO(d);sb(V|0)}k[e>>2]=15152;R=(k[e+4>>2]|0)==0;DO(e);DO(d);if(R){V=0;r=S;return V|0}d=H+4|0;b=a;while(1){LT(H,k[b+88>>2]|0);k[H>>2]=15136;e=k[d>>2]|0;DO(H);if(!e)break;else b=e}LT(V,b);k[V>>2]=15136;a:do if(!(k[(k[V+4>>2]|0)+72>>2]|0)){b=k[t>>2]|0;b:do if(!b){b=0;R=16}else{e=f+4|0;while(1){y=0;oa(460,f|0,k[b+88>>2]|0);R=y;y=0;if(R&1)break;k[f>>2]=15136;d=k[e>>2]|0;DO(f);if(!d){R=16;break b}else b=d}b=pb()|0;R=11}while(0);c:do if((R|0)==16){y=0;oa(460,U|0,b|0);f=y;y=0;if(f&1){b=pb()|0;R=11;break}k[U>>2]=15136;d:do if(!(k[(k[U+4>>2]|0)+72>>2]|0)){y=0;b=qa(317,a|0)|0;f=y;y=0;e:do if(f&1)b=pb()|0;else{y=0;d=qa(317,k[t>>2]|0)|0;f=y;y=0;if(f&1){b=pb()|0;break}if(b>>>0>d>>>0){b=0;break d}f:do if((b|0)==1){y=0;oa(460,A|0,k[C>>2]|0);T=y;y=0;if(!(T&1)){k[A>>2]=15152;f=k[A+4>>2]|0;g=k[(k[f>>2]|0)+144>>2]|0;b=k[t>>2]|0;g:do if(!b){b=0;R=29}else{e=H+4|0;while(1){y=0;oa(460,H|0,k[b+88>>2]|0);T=y;y=0;if(T&1)break;k[H>>2]=15136;d=k[e>>2]|0;DO(H);if(!d){R=29;break g}else b=d}b=pb()|0;R=37}while(0);do if((R|0)==29){y=0;oa(460,w|0,b|0);T=y;y=0;if(T&1){b=pb()|0;R=37;break}k[w>>2]=15136;y=0;oa(460,u|0,k[(k[w+4>>2]|0)+80>>2]|0);T=y;y=0;if(T&1)b=pb()|0;else{k[u>>2]=15152;y=0;oa(456,q|0,c|0);T=y;y=0;do if(T&1)b=pb()|0;else{y=0;b=ta(g|0,f|0,u|0,q|0)|0;T=y;y=0;if(T&1){b=pb()|0;A9(q);break}else{A9(q);DO(u);DO(w);DO(A);break d}}while(0);DO(u)}DO(w)}while(0);DO(A);break e}}else{y=0;oa(460,g|0,k[(k[t>>2]|0)+88>>2]|0);A=y;y=0;if(!(A&1)){k[g>>2]=15136;h:do if(!(k[g+4>>2]|0))DO(g);else{b=a+88|0;y=0;oa(460,h|0,k[b>>2]|0);A=y;y=0;if(A&1){b=pb()|0;DO(g);break e}k[h>>2]=15136;if(!(k[h+4>>2]|0)){DO(h);DO(g);break}A=(k[a+72>>2]|0)==0;DO(h);DO(g);if(A)break;y=0;oa(460,z|0,k[b>>2]|0);A=y;y=0;if(A&1)break f;k[z>>2]=15136;y=0;oa(460,x|0,k[(k[t>>2]|0)+88>>2]|0);A=y;y=0;i:do if(A&1)b=pb()|0;else{k[x>>2]=15136;b=z+4|0;d=k[b>>2]|0;e=x+4|0;j:do if((k[d+72>>2]|0)==(k[(k[e>>2]|0)+72>>2]|0)){y=0;oa(460,i|0,k[d+80>>2]|0);A=y;y=0;k:do if(A&1)R=55;else{k[i>>2]=15152;do if(!(k[i+4>>2]|0))DO(i);else{y=0;oa(460,j|0,k[(k[e>>2]|0)+80>>2]|0);A=y;y=0;if(A&1){b=pb()|0;DO(i);break k}else{k[j>>2]=15152;A=(k[j+4>>2]|0)==0;DO(j);DO(i);if(A)break j;else break}}while(0);y=0;oa(460,l|0,k[(k[b>>2]|0)+80>>2]|0);A=y;y=0;if(A&1){R=55;break}k[l>>2]=15152;do if(!(k[l+4>>2]|0)){y=0;oa(460,m|0,k[(k[e>>2]|0)+80>>2]|0);A=y;y=0;if(A&1){b=pb()|0;DO(l);break k}else{k[m>>2]=15152;A=(k[m+4>>2]|0)==0;DO(m);DO(l);if(A)break;else break j}}else DO(l);while(0);y=0;oa(460,n|0,k[(k[b>>2]|0)+80>>2]|0);A=y;y=0;if(A&1){R=55;break}k[n>>2]=15152;l:do if(!(k[n+4>>2]|0))DO(n);else{y=0;oa(460,o|0,k[(k[e>>2]|0)+80>>2]|0);A=y;y=0;if(A&1){b=pb()|0;DO(n);break k}k[o>>2]=15152;A=(k[o+4>>2]|0)==0;DO(o);DO(n);if(A)break;y=0;oa(460,v|0,k[(k[b>>2]|0)+80>>2]|0);A=y;y=0;if(A&1){R=55;break k}k[v>>2]=15152;b=k[v+4>>2]|0;d=k[(k[b>>2]|0)+144>>2]|0;y=0;oa(460,s|0,k[(k[e>>2]|0)+80>>2]|0);A=y;y=0;if(A&1)b=pb()|0;else{k[s>>2]=15152;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(74,p|0,87975,0);A=y;y=0;do if(A&1)b=pb()|0;else{y=0;b=ta(d|0,b|0,s|0,p|0)|0;A=y;y=0;if(A&1){b=pb()|0;A9(p);break}else{A9(p);DO(s);DO(v);if(b)break l;else break j}}while(0);DO(s)}DO(v);break k}while(0);DO(x);DO(z);break h}while(0);if((R|0)==55)b=pb()|0;DO(x);break i}while(0);DO(x);DO(z);b=0;break d}while(0);DO(z);break e}while(0);y=0;oa(460,T|0,k[t>>2]|0);A=y;y=0;if(A&1){b=pb()|0;break e}k[T>>2]=15136;y=0;l=qa(317,k[t>>2]|0)|0;A=y;y=0;m:do if(A&1)b=pb()|0;else{f=l+-1|0;n:do if((l|0)==0|(f|0)==0)b=0;else{g=G+4|0;m=T+4|0;h=H+4|0;i=F+4|0;j=E+4|0;e=0;o:while(1){y=0;oa(460,G|0,k[C>>2]|0);R=y;y=0;if(R&1){R=105;break}k[G>>2]=15152;do if(!(k[g>>2]|0))DO(G);else{y=0;oa(460,F|0,k[(k[m>>2]|0)+80>>2]|0);R=y;y=0;if(R&1){R=106;break o}k[F>>2]=15152;if(!(k[i>>2]|0)){DO(F);DO(G);break}y=0;oa(460,E|0,k[C>>2]|0);R=y;y=0;if(R&1){R=107;break o}k[E>>2]=15152;b=k[j>>2]|0;d=k[(k[b>>2]|0)+144>>2]|0;y=0;oa(460,D|0,k[(k[m>>2]|0)+80>>2]|0);R=y;y=0;if(R&1){R=108;break o}k[D>>2]=15152;y=0;oa(456,B|0,c|0);R=y;y=0;if(R&1){R=109;break o}y=0;b=ta(d|0,b|0,D|0,B|0)|0;R=y;y=0;if(R&1){R=110;break o}A9(B);DO(D);DO(E);DO(F);DO(G);if(b){R=123;break o}}while(0);y=0;oa(460,H|0,k[(k[m>>2]|0)+88>>2]|0);R=y;y=0;if(R&1){R=120;break}k[H>>2]=15136;if(k[m>>2]|0){y=0;na(423,T|0);R=y;y=0;if(R&1){R=121;break}}k[m>>2]=k[h>>2];k[h>>2]=0;DO(H);e=e+1|0;if(e>>>0>=l>>>0|(e|0)==(f|0)){b=0;break n}}if((R|0)==105){b=pb()|0;break m}else if((R|0)==106)b=pb()|0;else if((R|0)==107){b=pb()|0;R=113}else if((R|0)==108){b=pb()|0;R=112}else if((R|0)==109){b=pb()|0;R=111}else if((R|0)==110){b=pb()|0;A9(B);R=111}else if((R|0)==120){b=pb()|0;R=122}else if((R|0)==121){b=pb()|0;DO(H);R=122}else if((R|0)==123){b=k[a+72>>2]|0;d=k[(k[m>>2]|0)+72>>2]|0;e=(d|0)==0;do if(!b){if(e){y=0;oa(460,Q|0,k[a+88>>2]|0);P=y;y=0;if(P&1)break;k[Q>>2]=15136;b=k[Q+4>>2]|0;d=k[(k[b>>2]|0)+144>>2]|0;y=0;oa(460,N|0,k[(k[m>>2]|0)+88>>2]|0);P=y;y=0;if(P&1)b=pb()|0;else{k[N>>2]=15136;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;y=0;Na(74,K|0,87975,0);P=y;y=0;do if(P&1)b=pb()|0;else{y=0;b=ta(d|0,b|0,N|0,K|0)|0;P=y;y=0;if(P&1){b=pb()|0;A9(K);break}else{A9(K);DO(N);DO(Q);break n}}while(0);DO(N)}DO(Q);break m}if((d|0)!=1){b=0;break n}y=0;oa(460,P|0,k[a+88>>2]|0);Q=y;y=0;if(Q&1)break;k[P>>2]=15136;b=k[P+4>>2]|0;d=k[(k[b>>2]|0)+144>>2]|0;y=0;oa(460,M|0,k[(k[m>>2]|0)+88>>2]|0);Q=y;y=0;if(Q&1)b=pb()|0;else{k[M>>2]=15136;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(74,J|0,87975,0);Q=y;y=0;do if(Q&1)b=pb()|0;else{y=0;b=ta(d|0,b|0,M|0,J|0)|0;Q=y;y=0;if(Q&1){b=pb()|0;A9(J);break}else{A9(J);DO(M);DO(P);break n}}while(0);DO(M)}DO(P);break m}else{if(e){b=0;break n}if((b|0)==2){if((d|0)==1){b=0;break n}}else if((b|0)!=(d|0)){b=0;break n}y=0;oa(460,O|0,k[a+88>>2]|0);Q=y;y=0;if(Q&1)break;k[O>>2]=15136;b=k[O+4>>2]|0;d=k[(k[b>>2]|0)+144>>2]|0;y=0;oa(460,L|0,k[(k[m>>2]|0)+88>>2]|0);Q=y;y=0;if(Q&1)b=pb()|0;else{k[L>>2]=15136;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;y=0;Na(74,I|0,87975,0);Q=y;y=0;do if(Q&1)b=pb()|0;else{y=0;b=ta(d|0,b|0,L|0,I|0)|0;Q=y;y=0;if(Q&1){b=pb()|0;A9(I);break}else{A9(I);DO(L);DO(O);break n}}while(0);DO(L)}DO(O);break m}while(0);b=pb()|0;break m}if((R|0)==111){DO(D);R=112}else if((R|0)==122)break m;if((R|0)==112){DO(E);R=113}if((R|0)==113)DO(F);DO(G);break m}while(0);DO(T);break d}while(0);DO(T);break e}}while(0);b=pb()|0}while(0);DO(U);break c}else b=0;while(0);DO(U);break a}while(0);DO(V);V=b;sb(V|0)}else b=0;while(0);DO(V);V=b;r=S;return V|0}function Qd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;H=0;D=r;r=r+448|0;j=D+120|0;B=D+80|0;u=D+40|0;n=D;I=D+432|0;J=D+424|0;G=D+400|0;F=D+376|0;h=D+412|0;E=D+312|0;s=D+392|0;t=D+336|0;v=D+320|0;w=D+304|0;x=D+280|0;z=D+240|0;C=D+224|0;A=D+216|0;q=D+288|0;o=D+176|0;p=D+160|0;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;aI(I,87975,0);y=0;c=ta(90,b|0,1,0)|0;m=y;y=0;if(!(m&1)){do if(c|0){d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,j|0);H=y;y=0;if(H&1)H=19;else H=7}else if(g>>>0<11){i[j+11>>0]=g;c=j}else H=7;if((H|0)==7){e=g+16&-16;y=0;c=qa(315,e|0)|0;m=y;y=0;if(m&1)H=19;else{k[j>>2]=c;k[j+8>>2]=e|-2147483648;k[j+4>>2]=g}}if((H|0)==19){J=pb()|0;A9(I);sb(J|0)}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;c=I+11|0;if((i[c>>0]|0)<0){i[k[I>>2]>>0]=0;k[I+4>>2]=0}else{i[I>>0]=0;i[c>>0]=0}y=0;oa(500,I|0,0);m=y;y=0;if(m&1){m=tb(0)|0;Sla(m)}else{k[I>>2]=k[j>>2];k[I+4>>2]=k[j+4>>2];k[I+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;A9(j);break}}while(0);y=0;ta(91,b|0,1,0)|0;m=y;y=0;if(!(m&1)){y=0;oa(592,J|0,b|0);m=y;y=0;if(!(m&1)){k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(74,G|0,87975,0);m=y;y=0;if(m&1)c=pb()|0;else{y=0;c=ta(92,b|0,1,0)|0;m=y;y=0;a:do if(m&1)H=41;else{do if(c|0){d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,j|0);H=y;y=0;if(H&1)H=42;else H=29}else if(g>>>0<11){i[j+11>>0]=g;c=j}else H=29;if((H|0)==29){e=g+16&-16;y=0;c=qa(315,e|0)|0;m=y;y=0;if(m&1)H=42;else{k[j>>2]=c;k[j+8>>2]=e|-2147483648;k[j+4>>2]=g}}if((H|0)==42){c=pb()|0;break a}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;c=G+11|0;if((i[c>>0]|0)<0){i[k[G>>2]>>0]=0;k[G+4>>2]=0}else{i[G>>0]=0;i[c>>0]=0}y=0;oa(500,G|0,0);m=y;y=0;if(m&1){m=tb(0)|0;Sla(m)}else{k[G>>2]=k[j>>2];k[G+4>>2]=k[j+4>>2];k[G+8>>2]=k[j+8>>2];k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;A9(j);break}}while(0);k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;y=0;Na(74,F|0,87975,0);m=y;y=0;if(m&1)H=41;else{c=J+4|0;d=k[c>>2]|0;b:do if(!d){m=d;H=52}else{m=k[(k[d>>2]|0)+28>>2]|0;k[h>>2]=0;k[h+4>>2]=5;i[h+8>>0]=0;y=0;k[j>>2]=k[h>>2];k[j+4>>2]=k[h+4>>2];k[j+8>>2]=k[h+8>>2];Na(m|0,B|0,d|0,j|0);m=y;y=0;do if(m&1)c=pb()|0;else{y=0;Ha(969,F|0,B|0)|0;m=y;y=0;if(m&1){c=pb()|0;A9(B);break}else{A9(B);m=k[c>>2]|0;H=52;break b}}while(0)}while(0);c:do if((H|0)==52){if(m|0)if((k[291]|0)==(k[(k[(k[m>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;j=qa(315,84)|0;q=y;y=0;d:do if(!(q&1)){b=b+108|0;l=n;g=b;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;na(422,j|0);q=y;y=0;do if(q&1)c=pb()|0;else{l=j+12|0;g=n;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[j>>2]=10968;k[c>>2]=4;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);q=y;y=0;if(q&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{E=e+-8|0;k[h>>2]=E;lc[k[k[E>>2]>>2]&511](E);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=10796;k[d>>2]=10928;k[j+80>>2]=0;k[c>>2]=4;y=0;oa(460,E|0,j|0);q=y;y=0;if(q&1)break d;k[E>>2]=13080;f=E+4|0;c=(k[f>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(315,80)|0;q=y;y=0;e:do if(q&1)H=86;else{l=t;g=b;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;oa(456,v|0,I|0);q=y;y=0;f:do if(q&1)c=pb()|0;else{l=u;g=t;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;na(422,e|0);t=y;y=0;do if(t&1)d=1;else{l=e+12|0;g=u;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=4;k[e>>2]=11100;i[e+60>>0]=0;i[e+61>>0]=0;y=0;oa(549,e+64|0,v|0);u=y;y=0;if(u&1){c=pb()|0;A9(v);break f}k[e+76>>2]=0;y=0;oa(460,s|0,e|0);u=y;y=0;if(u&1){d=0;break}k[s>>2]=7284;y=0;oa(d|0,c|0,s|0);u=y;y=0;if(u&1){c=pb()|0;DO(s);A9(v);break e}DO(s);A9(v);c=(k[f>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,w|0,m|0);v=y;y=0;if(v&1){H=86;break e}k[w>>2]=7284;y=0;oa(d|0,c|0,w|0);v=y;y=0;if(v&1){c=pb()|0;DO(w);break e}DO(w);c=(k[f>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;e=qa(315,80)|0;w=y;y=0;if(w&1){H=86;break e}l=z;g=b;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;oa(456,C|0,G|0);w=y;y=0;g:do if(w&1)c=pb()|0;else{l=B;g=z;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;na(422,e|0);z=y;y=0;do if(z&1)d=1;else{l=e+12|0;g=B;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=4;k[e>>2]=11100;i[e+60>>0]=0;i[e+61>>0]=0;y=0;oa(549,e+64|0,C|0);B=y;y=0;if(B&1){c=pb()|0;A9(C);break g}k[e+76>>2]=0;y=0;oa(460,x|0,e|0);B=y;y=0;if(B&1){d=0;break}k[x>>2]=7284;y=0;oa(d|0,c|0,x|0);B=y;y=0;if(B&1){c=pb()|0;DO(x);A9(C);break e}DO(x);A9(C);y=0;oa(460,A|0,k[f>>2]|0);C=y;y=0;if(C&1){H=86;break e}k[A>>2]=13080;y=0;oa(460,a|0,k[A+4>>2]|0);C=y;y=0;if(C&1){c=pb()|0;DO(A);break e}k[a>>2]=7492;DO(A);DO(E);A9(F);A9(G);DO(J);A9(I);r=D;return}while(0);c=pb()|0;A9(C);if(!d)break e}while(0);cra(e);break e}while(0);c=pb()|0;A9(v);if(!d)break e}while(0);cra(e)}while(0);if((H|0)==86)c=pb()|0;DO(E);break c}while(0);cra(j);break c}while(0);c=pb()|0;break}k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;E=i[I+11>>0]|0;C=E<<24>>24<0;E=C?k[I+4>>2]|0:E&255;c=F+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[F+4>>2]|0:d&255;y=0;Ra(10,j|0,(C?k[I>>2]|0:I)|0,E|0,d+E|0);E=y;y=0;do if(E&1)H=108;else{y=0;ta(41,j|0,((i[c>>0]|0)<0?k[F>>2]|0:F)|0,d|0)|0;E=y;y=0;if(E&1)H=108;else{c=i[G+11>>0]|0;E=c<<24>>24<0;y=0;c=ta(41,j|0,(E?k[G>>2]|0:G)|0,(E?k[G+4>>2]|0:c&255)|0)|0;E=y;y=0;if(E&1){c=pb()|0;A9(j);break}k[q>>2]=k[c>>2];k[q+4>>2]=k[c+4>>2];k[q+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;A9(j);y=0;e=qa(315,80)|0;E=y;y=0;h:do if(E&1)c=pb()|0;else{l=o;g=b+108|0;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;oa(456,p|0,q|0);E=y;y=0;i:do if(E&1)c=pb()|0;else{l=j;g=o;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));y=0;na(422,e|0);E=y;y=0;do if(E&1)d=1;else{l=e+12|0;g=j;h=l+40|0;do{k[l>>2]=k[g>>2];l=l+4|0;g=g+4|0}while((l|0)<(h|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=4;k[e>>2]=11100;i[e+60>>0]=0;i[e+61>>0]=0;y=0;oa(549,e+64|0,p|0);E=y;y=0;if(E&1){c=pb()|0;A9(p);break i}k[e+76>>2]=0;y=0;oa(460,a|0,e|0);E=y;y=0;if(E&1){d=0;break}k[a>>2]=7492;A9(p);A9(q);A9(F);A9(G);DO(J);A9(I);r=D;return}while(0);c=pb()|0;A9(p);if(!d)break h}while(0);cra(e)}while(0);A9(q);break c}}while(0);if((H|0)==108){c=pb()|0;A9(j)}}while(0);A9(F)}}while(0);if((H|0)==41)c=pb()|0;A9(G)}DO(J);J=c;A9(I);sb(J|0)}}}J=pb()|0;A9(I);sb(J|0)}function Rd(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0;P=0;M=r;r=r+304|0;L=M+80|0;K=M+40|0;B=M;q=M+288|0;x=M+248|0;z=M+232|0;O=M+152|0;J=M+144|0;H=M+132|0;D=M+224|0;E=M+216|0;F=M+176|0;G=M+160|0;I=M+120|0;A=d+4|0;h=k[A>>2]|0;a:do if(!h){f=0;g=0}else{b:do if((k[255]|0)==(k[(k[(k[h>>2]|0)+-4>>2]|0)+4>>2]|0)){s=IM(88)|0;v=B;t=h+12|0;u=v+40|0;do{k[v>>2]=k[t>>2];v=v+4|0;t=t+4|0}while((v|0)<(u|0));y=0;na(422,s|0);v=y;y=0;do if(v&1)g=pb()|0;else{v=s+12|0;t=B;u=v+40|0;do{k[v>>2]=k[t>>2];v=v+4|0;t=t+4|0}while((v|0)<(u|0));i[s+52>>0]=0;i[s+53>>0]=0;n=s+54|0;i[n>>0]=0;g=s+56|0;k[g>>2]=0;k[s>>2]=9288;o=s+60|0;k[o>>2]=9248;m=s+64|0;p=s+68|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(514,m|0,0);v=y;y=0;if(v&1){g=pb()|0;l=N;h=k[m>>2]|0;if(h|0){j=k[p>>2]|0;if((j|0)!=(h|0)){do{P=j+-8|0;k[p>>2]=P;lc[k[k[P>>2]>>2]&511](P);j=k[p>>2]|0}while((j|0)!=(h|0));h=k[m>>2]|0}cra(h)}break}k[s>>2]=9076;k[o>>2]=9208;k[s+80>>2]=0;i[s+84>>0]=0;i[s+85>>0]=0;k[g>>2]=5;l=h+64|0;g=k[l>>2]|0;l=k[l+4>>2]|0;c:do if((g|0)!=(l|0)){m=L+4|0;while(1){LT(L,k[g+4>>2]|0);k[L>>2]=10120;j=k[(k[o>>2]|0)+20>>2]|0;y=0;oa(460,q|0,k[(k[m>>2]|0)+64>>2]|0);v=y;y=0;if(v&1){P=22;break}k[q>>2]=7284;y=0;oa(j|0,o|0,q|0);v=y;y=0;if(v&1){P=23;break}DO(q);DO(L);g=g+8|0;if((g|0)==(l|0))break c}if((P|0)==22)g=pb()|0;else if((P|0)==23){g=pb()|0;DO(q)}DO(L);P=g;sb(P|0)}while(0);i[n>>0]=i[h+54>>0]|0;tU(c,48580)|0;LT(L,s);k[L>>2]=7284;if((L|0)!=(d|0)){if(k[A>>2]|0){y=0;na(423,d|0);v=y;y=0;if(v&1){P=pb()|0;DO(L);sb(P|0)}}v=L+4|0;k[A>>2]=k[v>>2];k[v>>2]=0}DO(L);g=k[A>>2]|0;if(!g){f=1;g=0;break a}else{m=1;h=g;break b}}while(0);cra(s);P=g;sb(P|0)}else m=0;while(0);do if((k[35]|0)==(k[(k[(k[h>>2]|0)+-4>>2]|0)+4>>2]|0)){if(jS(h)|0){g=k[A>>2]|0;if(!g){f=m;g=0;break a}else break}g=gb(80)|0;y=0;oa(640,g|0,h|0);P=y;y=0;if(!(P&1))Wb(g|0,3464,175);P=pb()|0;fb(g|0);sb(P|0)}else g=h;while(0);if((k[251]|0)==(k[(k[(k[g>>2]|0)+-4>>2]|0)+4>>2]|0)){LT(L,k[g+64>>2]|0);k[L>>2]=7284;if((L|0)!=(d|0)){if(k[A>>2]|0){y=0;na(423,d|0);v=y;y=0;if(v&1){P=pb()|0;DO(L);sb(P|0)}}v=L+4|0;k[A>>2]=k[v>>2];k[v>>2]=0}DO(L);g=k[A>>2]|0;if(!g){f=m;g=0;break}}j=(k[307]|0)==(k[(k[(k[g>>2]|0)+-4>>2]|0)+4>>2]|0)?g:0;d:do if(!((j|0)==0|f^1)){h=i[g+54>>0]|0;l=IM(80)|0;v=x;t=j+12|0;u=v+40|0;do{k[v>>2]=k[t>>2];v=v+4|0;t=t+4|0}while((v|0)<(u|0));y=0;oa(456,z|0,j+64|0);f=y;y=0;do if(f&1){g=pb()|0;P=53}else{v=K;t=x;u=v+40|0;do{k[v>>2]=k[t>>2];v=v+4|0;t=t+4|0}while((v|0)<(u|0));y=0;na(422,l|0);x=y;y=0;if(x&1)h=1;else{v=l+12|0;t=K;u=v+40|0;do{k[v>>2]=k[t>>2];v=v+4|0;t=t+4|0}while((v|0)<(u|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=4;k[l>>2]=11100;i[l+60>>0]=0;i[l+61>>0]=0;y=0;oa(549,l+64|0,z|0);x=y;y=0;if(x&1){g=pb()|0;A9(z);P=53;break}k[l+76>>2]=0;y=0;oa(460,L|0,l|0);x=y;y=0;if(x&1)h=0;else{k[L>>2]=7284;if((L|0)!=(d|0)){if(k[A>>2]|0){y=0;na(423,d|0);x=y;y=0;if(x&1){g=pb()|0;DO(L);A9(z);break}}x=L+4|0;k[A>>2]=k[x>>2];k[x>>2]=0}DO(L);A9(z);g=k[A>>2]|0;i[g+54>>0]=h;if(!g){f=m;g=0;break a}else break d}}g=pb()|0;A9(z);if(h)P=53}while(0);if((P|0)==53)cra(l);P=g;sb(P|0)}while(0);if((k[381]|0)==(k[(k[(k[g>>2]|0)+-4>>2]|0)+4>>2]|0)){r=M;return}h=k[g>>2]|0;if((k[427]|0)==(k[(k[h+-4>>2]|0)+4>>2]|0)){LT(L,Fc[k[h+56>>2]&2047](g,a)|0);k[L>>2]=7284;if((L|0)!=(d|0)){if(k[A>>2]|0){y=0;na(423,d|0);d=y;y=0;if(d&1){P=pb()|0;DO(L);sb(P|0)}}d=L+4|0;k[A>>2]=k[d>>2];k[d>>2]=0}DO(L);f=m;g=k[A>>2]|0}else f=m}while(0);s=qba(g)|0;e:do if(!s){if(e){g=k[A>>2]|0;if(!(i[g+54>>0]|0))h=g;else{if(!g){k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;aI(B,87975,0)}else{P=k[(k[g>>2]|0)+28>>2]|0;O=k[b+16>>2]|0;k[L>>2]=k[O>>2];k[L+4>>2]=k[O+4>>2];k[L+8>>2]=k[O+8>>2];Lc[P&255](B,g,L)}y=0;oa(649,K|0,B|0);P=y;y=0;do if(P&1)g=pb()|0;else{P=i[K+11>>0]|0;O=P<<24>>24<0;y=0;ta(41,c|0,(O?k[K>>2]|0:K)|0,(O?k[K+4>>2]|0:P&255)|0)|0;P=y;y=0;if(P&1){g=pb()|0;A9(K);break}else{A9(K);A9(B);break e}}while(0);A9(B);P=g;sb(P|0)}}else{g=k[A>>2]|0;h=g}if(!h){k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,87975,0)}else{O=k[(k[g>>2]|0)+28>>2]|0;b=k[b+16>>2]|0;k[L>>2]=k[b>>2];k[L+4>>2]=k[b+4>>2];k[L+8>>2]=k[b+8>>2];Lc[O&255](K,g,L)}do if(e){y=0;oa(648,L|0,K|0);O=y;y=0;if(O&1){C=pb()|0;break}g=K+11|0;if((i[g>>0]|0)<0){i[k[K>>2]>>0]=0;k[K+4>>2]=0}else{i[K>>0]=0;i[g>>0]=0}y=0;oa(500,K|0,0);O=y;y=0;if(O&1){O=tb(0)|0;Sla(O)}else{k[K>>2]=k[L>>2];k[K+4>>2]=k[L+4>>2];k[K+8>>2]=k[L+8>>2];k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;A9(L);P=150;break}}else{g=K+11|0;P=150}while(0);do if((P|0)==150){P=i[g>>0]|0;O=P<<24>>24<0;y=0;ta(41,c|0,(O?k[K>>2]|0:K)|0,(O?k[K+4>>2]|0:P&255)|0)|0;P=y;y=0;if(P&1){C=pb()|0;break}else{A9(K);break e}}while(0);A9(K);P=C;sb(P|0)}else{o=IM(88)|0;j=k[s+80>>2]|0;v=L;t=s+12|0;u=v+40|0;do{k[v>>2]=k[t>>2];v=v+4|0;t=t+4|0}while((v|0)<(u|0));y=0;na(422,o|0);C=y;y=0;do if(C&1)g=pb()|0;else{v=o+12|0;t=L;u=v+40|0;do{k[v>>2]=k[t>>2];v=v+4|0;t=t+4|0}while((v|0)<(u|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;g=o+56|0;k[g>>2]=0;k[o>>2]=9288;h=o+60|0;k[h>>2]=9248;m=o+64|0;n=o+68|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(514,m|0,0);C=y;y=0;if(C&1){g=pb()|0;l=N;h=k[m>>2]|0;if(h|0){j=k[n>>2]|0;if((j|0)!=(h|0)){do{P=j+-8|0;k[n>>2]=P;lc[k[k[P>>2]>>2]&511](P);j=k[n>>2]|0}while((j|0)!=(h|0));h=k[m>>2]|0}cra(h)}break}k[o>>2]=9076;k[h>>2]=9208;k[o+80>>2]=j;i[o+84>>0]=0;i[o+85>>0]=0;k[g>>2]=5;LT(O,o);k[O>>2]=7172;g=k[s+64>>2]|0;m=k[s+68>>2]|0;f:do if((g|0)==(m|0))P=75;else{n=J+4|0;o=s+54|0;p=O+4|0;while(1){y=0;oa(460,J|0,k[g+4>>2]|0);C=y;y=0;if(C&1){P=90;break}k[J>>2]=7284;i[(k[n>>2]|0)+54>>0]=i[o>>0]|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;y=0;Na(74,H|0,87975,0);C=y;y=0;if(C&1){P=91;break}y=0;oa(460,D|0,k[n>>2]|0);C=y;y=0;if(C&1){P=92;break}k[D>>2]=7284;y=0;ya(23,a|0,b|0,H|0,D|0,e|0,(i[o>>0]|0)!=0|0);C=y;y=0;if(C&1){P=93;break}DO(D);h=k[n>>2]|0;if(!h)P=84;else if((k[381]|0)!=(k[(k[(k[h>>2]|0)+-4>>2]|0)+4>>2]|0))P=84;if((P|0)==84){P=0;j=(k[p>>2]|0)+60|0;l=k[(k[j>>2]|0)+20>>2]|0;y=0;q=qa(315,80)|0;C=y;y=0;if(C&1){P=94;break}v=F;t=h+12|0;u=v+40|0;do{k[v>>2]=k[t>>2];v=v+4|0;t=t+4|0}while((v|0)<(u|0));y=0;oa(456,G|0,H|0);C=y;y=0;if(C&1){P=95;break}y=0;v=L;t=F;u=v+40|0;do{k[v>>2]=k[t>>2];v=v+4|0;t=t+4|0}while((v|0)<(u|0));Ea(2,q|0,L|0,G|0,0,0,0,1);C=y;y=0;if(C&1){h=1;P=97;break}y=0;oa(460,E|0,q|0);C=y;y=0;if(C&1){h=0;P=97;break}k[E>>2]=7284;y=0;oa(l|0,j|0,E|0);C=y;y=0;if(C&1){P=96;break}DO(E);A9(G)}A9(H);DO(J);g=g+8|0;if((g|0)==(m|0)){P=75;break f}}if((P|0)==90){g=pb()|0;break}else if((P|0)==91)g=pb()|0;else if((P|0)==92){g=pb()|0;P=100}else if((P|0)==93){g=pb()|0;DO(D);P=100}else if((P|0)==94){g=pb()|0;P=100}else if((P|0)==95){g=pb()|0;P=98}else if((P|0)==96){g=pb()|0;DO(E);A9(G);P=100}else if((P|0)==97){g=pb()|0;A9(G);if(h)P=98;else P=100}if((P|0)==98){cra(q);P=100}if((P|0)==100)A9(H);DO(J)}while(0);g:do if((P|0)==75){y=0;g=qa(k[(k[s>>2]|0)+120>>2]|0,s|0)|0;P=y;y=0;h:do if(!(P&1)){i:do if(g>>>0>1){g=O+4|0;P=k[g>>2]|0;K=k[(k[P>>2]|0)+28>>2]|0;b=k[b+16>>2]|0;y=0;k[L>>2]=k[b>>2];k[L+4>>2]=k[b+4>>2];k[L+8>>2]=k[b+8>>2];Na(K|0,I|0,P|0,L|0);P=y;y=0;if(P&1)break h;y=0;oa(648,L|0,I|0);P=y;y=0;if(P&1)g=pb()|0;else{h=I+11|0;if((i[h>>0]|0)<0){i[k[I>>2]>>0]=0;k[I+4>>2]=0}else{i[I>>0]=0;i[h>>0]=0}y=0;oa(500,I|0,0);P=y;y=0;if(P&1){P=tb(0)|0;Sla(P)}k[I>>2]=k[L>>2];k[I+4>>2]=k[L+4>>2];k[I+8>>2]=k[L+8>>2];k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;A9(L);y=0;na(448,I|0);P=y;y=0;if(!(P&1)){P=i[h>>0]|0;L=P<<24>>24<0;y=0;ta(41,c|0,(L?k[I>>2]|0:I)|0,(L?k[I+4>>2]|0:P&255)|0)|0;P=y;y=0;if(!(P&1)){A9(I);break}}g=pb()|0}A9(I);break g}else{g=O+4|0;P=k[g>>2]|0;J=k[(k[P>>2]|0)+28>>2]|0;b=k[b+16>>2]|0;y=0;k[L>>2]=k[b>>2];k[L+4>>2]=k[b+4>>2];k[L+8>>2]=k[b+8>>2];Na(J|0,K|0,P|0,L|0);P=y;y=0;do if(P&1)g=pb()|0;else{P=i[K+11>>0]|0;L=P<<24>>24<0;y=0;ta(41,c|0,(L?k[K>>2]|0:K)|0,(L?k[K+4>>2]|0:P&255)|0)|0;P=y;y=0;if(P&1){g=pb()|0;A9(K);break}else{A9(K);break i}}while(0);break g}while(0);i[(k[g>>2]|0)+54>>0]=i[s+54>>0]|0;DO(O);break e}while(0);g=pb()|0}while(0);DO(O);P=g;sb(P|0)}while(0);cra(o);P=g;sb(P|0)}while(0);if(!f){r=M;return}tU(c,48585)|0;r=M;return}function Sd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0.0,l=0.0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;D=0;B=r;r=r+208|0;x=B+40|0;u=B;G=B+192|0;F=B+160|0;E=B+112|0;C=B+96|0;q=B+200|0;s=B+180|0;v=B+80|0;t=B+168|0;w=B+120|0;A=B+104|0;k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,39457,5);y=0;b=Ha(975,a|0,x|0)|0;z=y;y=0;if(!(z&1)){b=k[b+4>>2]|0;if(!b)b=0;else b=(k[229]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;oa(460,G|0,b|0);z=y;y=0;if(!(z&1)){k[G>>2]=16764;A9(x);k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;y=0;Na(74,x|0,39457,5);z=y;y=0;do if(z&1){b=pb()|0;D=36}else{y=0;b=Ha(975,a|0,x|0)|0;z=y;y=0;if(!(z&1)){y=0;b=qa(336,k[b+4>>2]|0)|0;z=y;y=0;if(!(z&1)){y=0;oa(460,F|0,b|0);z=y;y=0;if(!(z&1)){k[F>>2]=7172;A9(x);k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,39463,2);z=y;y=0;do if(z&1){b=pb()|0;D=39}else{y=0;h=x;m=e;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));b=sa(23,u|0,a|0,d|0,x|0,f|0)|0;z=y;y=0;if(!(z&1)){y=0;oa(460,E|0,b|0);z=y;y=0;if(!(z&1)){k[E>>2]=16664;A9(u);k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,39572,6);z=y;y=0;do if(z&1){b=pb()|0;D=42}else{y=0;h=x;m=e;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));b=sa(27,u|0,a|0,d|0,x|0,f|0)|0;z=y;y=0;if(!(z&1)){y=0;oa(460,C|0,b|0);z=y;y=0;if(!(z&1)){k[C>>2]=7284;A9(u);z=F+4|0;a:do if(!(k[z>>2]|0)){y=0;o=qa(315,88)|0;n=y;y=0;b:do if(n&1)D=43;else{h=u;m=e;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));y=0;na(422,o|0);n=y;y=0;do if(n&1)b=pb()|0;else{h=o+12|0;m=u;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));i[o+52>>0]=0;i[o+53>>0]=0;i[o+54>>0]=0;b=o+56|0;k[b>>2]=0;k[o>>2]=9288;c=o+60|0;k[c>>2]=9248;m=o+64|0;n=o+68|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(514,m|0,1);h=y;y=0;if(h&1){b=pb()|0;h=N;c=k[m>>2]|0;if(c|0){g=k[n>>2]|0;if((g|0)!=(c|0)){do{B=g+-8|0;k[n>>2]=B;lc[k[k[B>>2]>>2]&511](B);g=k[n>>2]|0}while((g|0)!=(c|0));c=k[m>>2]|0}cra(c)}break}k[o>>2]=9076;k[c>>2]=9208;k[o+80>>2]=1;i[o+84>>0]=0;i[o+85>>0]=0;k[b>>2]=5;y=0;oa(460,x|0,o|0);o=y;y=0;if(o&1){D=43;break b}k[x>>2]=7172;do if(k[z>>2]|0){y=0;na(423,F|0);o=y;y=0;if(!(o&1))break;b=pb()|0;DO(x);break b}while(0);c=x+4|0;k[z>>2]=k[c>>2];k[c>>2]=0;DO(x);c=(k[z>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,39457,5);o=y;y=0;if(o&1)b=pb()|0;else{y=0;h=x;m=e;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));b=sa(27,u|0,a|0,d|0,x|0,f|0)|0;f=y;y=0;do if(f&1)D=49;else{y=0;oa(460,q|0,b|0);f=y;y=0;if(f&1){D=49;break}k[q>>2]=7284;y=0;oa(g|0,c|0,q|0);f=y;y=0;if(f&1){b=pb()|0;DO(q);break}else{DO(q);A9(u);D=53;break a}}while(0);if((D|0)==49)b=pb()|0;A9(u)}break a}while(0);cra(o)}while(0);if((D|0)==43)b=pb()|0}else D=53;while(0);c:do if((D|0)==53){b=k[G+4>>2]|0;d:do if(b|0){y=0;Na(101,x|0,b|0,e|0);f=y;y=0;e:do if(f&1)b=pb()|0;else{do if(k[z>>2]|0){y=0;na(423,F|0);f=y;y=0;if(!(f&1))break;b=pb()|0;DO(x);break e}while(0);f=x+4|0;k[z>>2]=k[f>>2];k[f>>2]=0;DO(x);break d}while(0);break c}while(0);f=k[z>>2]|0;f:do if((k[f+64>>2]|0)==(k[f+68>>2]|0)){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;f=IJ(d)|0;y=0;Na(74,v|0,d|0,f|0);f=y;y=0;if(f&1)b=pb()|0;else{y=0;b=ta(46,v|0,0,39466)|0;f=y;y=0;if(f&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,u|0,39488)|0;f=y;y=0;do if(f&1)b=pb()|0;else{k[s>>2]=k[b>>2];k[s+4>>2]=k[b+4>>2];k[s+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;h=x;m=e;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));oa(454,s|0,x|0);f=y;y=0;if(f&1){b=pb()|0;A9(s);break}else{A9(s);A9(u);A9(v);break f}}while(0);A9(u)}A9(v)}break c}while(0);l=+p[(k[E+4>>2]|0)+64>>3];if(l<0.0){s=k[z>>2]|0;j=+((k[s+68>>2]|0)-(k[s+64>>2]|0)>>3>>>0)}else j=-1.0;j=+O(+(l+j));if(j<0.0)D=78;else{s=k[z>>2]|0;if(j>+((((k[s+68>>2]|0)-(k[s+64>>2]|0)>>3)+-1|0)>>>0))D=78}g:do if((D|0)==78){k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;s=IJ(d)|0;y=0;Na(74,v|0,d|0,s|0);d=y;y=0;if(d&1)b=pb()|0;else{y=0;b=ta(46,v|0,0,39508)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,u|0,47187)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[t>>2]=k[b>>2];k[t+4>>2]=k[b+4>>2];k[t+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;h=x;m=e;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));oa(454,t|0,x|0);d=y;y=0;if(d&1){b=pb()|0;A9(t);break}else{A9(t);A9(u);A9(v);break g}}while(0);A9(u)}A9(v)}break c}while(0);y=0;q=qa(315,88)|0;v=y;y=0;if(v&1){b=pb()|0;break}h=w;m=e;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));g=k[z>>2]|0;b=k[g+68>>2]|0;c=k[g+64>>2]|0;g=k[g+80>>2]|0;h=x;m=w;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));y=0;na(422,q|0);e=y;y=0;do if(e&1)b=pb()|0;else{c=b-c>>3;h=q+12|0;m=x;n=h+40|0;do{k[h>>2]=k[m>>2];h=h+4|0;m=m+4|0}while((h|0)<(n|0));i[q+52>>0]=0;i[q+53>>0]=0;i[q+54>>0]=0;b=q+56|0;k[b>>2]=0;k[q>>2]=9288;o=q+60|0;k[o>>2]=9248;m=q+64|0;n=q+68|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(514,m|0,c|0);x=y;y=0;if(x&1){b=pb()|0;h=N;c=k[m>>2]|0;if(c|0){g=k[n>>2]|0;if((g|0)!=(c|0)){do{B=g+-8|0;k[n>>2]=B;lc[k[k[B>>2]>>2]&511](B);g=k[n>>2]|0}while((g|0)!=(c|0));c=k[m>>2]|0}cra(c)}break}k[q>>2]=9076;k[o>>2]=9208;k[q+80>>2]=g;i[q+84>>0]=0;i[q+85>>0]=0;k[b>>2]=5;h=k[z>>2]|0;h=(k[h+68>>2]|0)-(k[h+64>>2]|0)>>3;if(!h){DO(C);DO(E);DO(F);DO(G);r=B;return q|0}b=0;c=9208;while(1){c=k[c+20>>2]|0;if(+(b>>>0)==j)g=C;else g=(k[(k[z>>2]|0)+64>>2]|0)+(b<<3)|0;y=0;oa(460,A|0,k[g+4>>2]|0);D=y;y=0;if(D&1){D=111;break}k[A>>2]=7284;y=0;oa(c|0,o|0,A|0);D=y;y=0;if(D&1){D=112;break}DO(A);b=b+1|0;if(b>>>0>=h>>>0){D=102;break}c=k[o>>2]|0}if((D|0)==102){DO(C);DO(E);DO(F);DO(G);r=B;return q|0}else if((D|0)==111){b=pb()|0;break c}else if((D|0)==112){b=pb()|0;DO(A);break c}}while(0);cra(q)}while(0);DO(C);break}}b=pb()|0;A9(u);D=42}while(0);DO(E);break}}b=pb()|0;A9(u);D=39}while(0);DO(F);break}}}b=pb()|0;A9(x);D=36}while(0);DO(G);G=b;sb(G|0)}}G=pb()|0;A9(x);sb(G|0);return 0}function Td(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0;ia=0;ja=r;r=r+528|0;ka=ja+80|0;ba=ja+40|0;Y=ja;h=ja+480|0;j=ja+464|0;Z=ja+456|0;_=ja+416|0;ca=ja+400|0;aa=ja+208|0;$=ja+232|0;V=ja+216|0;W=ja+200|0;X=ja+184|0;ea=ja+176|0;fa=ja+136|0;ga=ja+120|0;Rv(b,1,0)|0;d=k[b+160>>2]|0;ha=k[b+164>>2]|0;a:do if(d>>>0<ha>>>0){f=0;c=d;b:while(1){e=i[c>>0]|0;if(!(e<<24>>24))break a;c:do if(f)f=0;else if(e<<24>>24==92)f=1;else{e=sB(c)|0;if(!e){l=i[48639]|0;if(!(l<<24>>24))if(!c){f=0;c=0;break}else break b;else{e=c;f=48639;g=l}while(1){if((i[e>>0]|0)!=g<<24>>24){f=0;break c}f=f+1|0;g=i[f>>0]|0;if(!(g<<24>>24)){ia=11;break b}else e=e+1|0}}else{f=0;c=e}}while(0);c=c+1|0;if(c>>>0>=ha>>>0)break a}if((ia|0)==11)if(!c)break;da=IM(84)|0;R=b+108|0;f=Y;m=R;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(422,da|0);U=y;y=0;do if(U&1)c=pb()|0;else{f=da+12|0;m=Y;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[da+52>>0]=0;i[da+53>>0]=0;i[da+54>>0]=0;c=da+56|0;k[da>>2]=10968;k[c>>2]=4;U=da+60|0;k[U>>2]=9248;g=da+64|0;h=da+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);T=y;y=0;if(T&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ka=e+-8|0;k[h>>2]=ka;lc[k[k[ka>>2]>>2]&511](ka);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[da>>2]=10796;k[U>>2]=10928;k[da+80>>2]=0;k[c>>2]=4;J=ca+8|0;K=ca+4|0;L=ca+11|0;M=b+80|0;P=ha;s=P-d|0;t=s>>>0>4294967279;u=s+16&-16;v=u|-2147483648;w=ba+8|0;x=ba+4|0;z=(d|0)==(ha|0);A=ba+11|0;B=s>>>0<11;C=s&255;D=b+76|0;E=V+4|0;F=V+8|0;G=b+40|0;H=b+72|0;O=$+56|0;S=$+44|0;I=aa+4|0;T=$+48|0;Q=$+60|0;q=d;c=l;d:while(1){o=q;while(1){f=0;l=q;p=c;e:while(1){c=i[l>>0]|0;if(!(c<<24>>24)){ia=125;break d}f:do if(f){f=0;c=l;e=p}else if(c<<24>>24==92){f=1;c=l;e=p}else{c=sB(l)|0;if(!c){if(!(p<<24>>24))if(!l){f=0;c=0;e=0;break}else break e;else{c=l;e=48639;f=p}while(1){if((i[c>>0]|0)!=f<<24>>24){f=0;c=l;e=p;break f}e=e+1|0;f=i[e>>0]|0;if(!(f<<24>>24)){ia=47;break e}else c=c+1|0}}else{f=0;e=p}}while(0);c=c+1|0;if(c>>>0<ha>>>0){l=c;p=e}else{ia=125;break d}}if((ia|0)==47){ia=0;if(!l){ia=125;break d}}if(q>>>0<l>>>0){h=k[(k[U>>2]|0)+20>>2]|0;j=IM(80)|0;f=_;m=R;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;g=l-o|0;if(g>>>0>4294967279){y=0;na(438,ca|0);ia=y;y=0;if(ia&1){ia=66;break d}else ia=53}else if(g>>>0<11){i[L>>0]=g;c=ca}else ia=53;if((ia|0)==53){ia=0;e=g+16&-16;y=0;c=qa(315,e|0)|0;n=y;y=0;if(n&1){ia=66;break d}k[ca>>2]=c;k[J>>2]=e|-2147483648;k[K>>2]=g}if((q|0)!=(l|0)){e=c;f=q;while(1){i[e>>0]=i[f>>0]|0;f=f+1|0;if((f|0)==(l|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;f=ba;m=_;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(422,j|0);n=y;y=0;if(n&1){d=1;ia=68;break d}f=j+12|0;m=ba;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;k[j+56>>2]=4;k[j>>2]=11100;i[j+60>>0]=0;i[j+61>>0]=0;y=0;oa(549,j+64|0,ca|0);n=y;y=0;if(n&1){ia=60;break d}k[j+76>>2]=0;y=0;oa(460,Z|0,j|0);n=y;y=0;if(n&1){d=0;ia=68;break d}k[Z>>2]=7284;y=0;oa(h|0,U|0,Z|0);n=y;y=0;if(n&1){ia=67;break d}DO(Z);A9(ca)}g=l+2|0;c=mW(g)|0;c=NO(c|0?c:g)|0;if(c|0){e=i[50303]|0;g:do if(!(e<<24>>24))e=0;else{f=50303;while(1){if((i[c>>0]|0)!=e<<24>>24)break g;c=c+1|0;f=f+1|0;e=i[f>>0]|0;if(!(e<<24>>24)){e=0;break}}}while(0);n=e<<24>>24==0?c:0;if(!((n|0)==0?1:n>>>0>(k[M>>2]|0)>>>0)){k[D>>2]=g;k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;aI(ka,43044,11);k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;y=0;Na(74,ba|0,43056,7);n=y;y=0;if(n&1){ia=79;break d}k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;y=0;Na(74,Y|0,43423,44);n=y;y=0;if(n&1){ia=80;break d}y=0;ma(10,b|0,ka|0,ba|0,Y|0,1);n=y;y=0;if(n&1){ia=81;break d}A9(Y);A9(ba);A9(ka)}}h=zk(g,ha)|0;if(h|0)break;k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;if(t){mN(ba);ia=114}else if(B){i[A>>0]=C;c=ba}else ia=114;if((ia|0)==114){ia=0;c=IM(u)|0;k[ba>>2]=c;k[w>>2]=v;k[x>>2]=s}if(!z){e=c;f=d;while(1){i[e>>0]=i[f>>0]|0;f=f+1|0;if((f|0)==(ha|0))break;else e=e+1|0}c=c+s|0}i[c>>0]=0;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;c=i[A>>0]|0;c=c<<24>>24<0?k[x>>2]|0:c&255;y=0;Ra(10,X|0,43788,44,c+44|0);n=y;y=0;if(n&1){ia=122;break d}y=0;ta(41,X|0,((i[A>>0]|0)<0?k[ba>>2]|0:ba)|0,c|0)|0;n=y;y=0;if(n&1){ia=122;break d}y=0;k[ka>>2]=k[R>>2];k[ka+4>>2]=k[R+4>>2];k[ka+8>>2]=k[R+8>>2];Na(108,b|0,X|0,ka|0);n=y;y=0;if(n&1){ia=123;break d}A9(X);A9(ba);c=p}k[V>>2]=g;k[E>>2]=g;k[F>>2]=h;c=k[G>>2]|0;e=k[H>>2]|0;k[ba>>2]=k[V>>2];k[ba+4>>2]=k[V+4>>2];k[ba+8>>2]=k[V+8>>2];f=ka;m=R;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));Il($,ba,c,ka,e);y=0;Na(111,aa|0,$|0,0);q=y;y=0;if(q&1){ia=98;break}c=k[O>>2]|0;e=c;if(c|0){f=k[Q>>2]|0;if((f|0)!=(c|0))k[Q>>2]=f+(~((f+-4-e|0)>>>2)<<2);cra(c)}c=k[S>>2]|0;if(c|0){e=k[T>>2]|0;if((e|0)!=(c|0)){do{q=e+-8|0;k[T>>2]=q;lc[k[k[q>>2]>>2]&511](q);e=k[T>>2]|0}while((e|0)!=(c|0));c=k[S>>2]|0}cra(c)}q=k[I>>2]|0;i[q+54>>0]=1;c=k[(k[U>>2]|0)+20>>2]|0;y=0;oa(460,W|0,q|0);q=y;y=0;if(q&1){ia=107;break}k[W>>2]=7284;y=0;oa(c|0,U|0,W|0);q=y;y=0;if(q&1){ia=108;break}DO(W);DO(aa);if(h>>>0<ha>>>0){q=h;c=p}else{ia=144;break}}h:switch(ia|0){case 60:{c=pb()|0;A9(ca);ia=69;break}case 66:{c=pb()|0;ia=69;break}case 67:{ka=pb()|0;DO(Z);A9(ca);sb(ka|0)}case 68:{c=pb()|0;A9(ca);if(d)ia=69;else{ka=c;sb(ka|0)}break}case 79:{c=pb()|0;break}case 80:{c=pb()|0;ia=82;break}case 81:{c=pb()|0;A9(Y);ia=82;break}case 98:{g=pb()|0;f=N;c=k[O>>2]|0;d=c;if(c|0){e=k[Q>>2]|0;if((e|0)!=(c|0))k[Q>>2]=e+(~((e+-4-d|0)>>>2)<<2);cra(c)}c=k[S>>2]|0;if(!c){ka=g;sb(ka|0)}d=k[T>>2]|0;if((d|0)!=(c|0)){do{ka=d+-8|0;k[T>>2]=ka;lc[k[k[ka>>2]>>2]&511](ka);d=k[T>>2]|0}while((d|0)!=(c|0));c=k[S>>2]|0}cra(c);ka=g;sb(ka|0)}case 107:{c=pb()|0;ia=109;break}case 108:{c=pb()|0;DO(W);ia=109;break}case 122:{c=pb()|0;A9(X);ia=124;break}case 123:{c=pb()|0;A9(X);ia=124;break}case 125:{g=k[(k[U>>2]|0)+20>>2]|0;h=IM(80)|0;f=fa;m=R;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));k[ga>>2]=0;k[ga+4>>2]=0;k[ga+8>>2]=0;f=P-o|0;if(f>>>0>4294967279){y=0;na(438,ga|0);ia=y;y=0;if(ia&1)ia=140;else ia=129}else if(f>>>0<11){i[ga+11>>0]=f;c=ga;ia=131}else ia=129;if((ia|0)==129){d=f+16&-16;y=0;c=qa(315,d|0)|0;ia=y;y=0;if(ia&1)ia=140;else{k[ga>>2]=c;k[ga+8>>2]=d|-2147483648;k[ga+4>>2]=f;ia=131}}do if((ia|0)==131){if((q|0)!=(ha|0)){e=c;d=q;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(ha|0))break;else e=e+1|0}c=c+f|0}i[c>>0]=0;f=ka;m=fa;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));y=0;na(422,h|0);ia=y;y=0;if(ia&1)d=1;else{f=h+12|0;m=ka;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h+56>>2]=4;k[h>>2]=11100;i[h+60>>0]=0;i[h+61>>0]=0;y=0;oa(549,h+64|0,ga|0);ka=y;y=0;if(ka&1){c=pb()|0;A9(ga);break}k[h+76>>2]=0;y=0;oa(460,ea|0,h|0);ka=y;y=0;if(ka&1)d=0;else{k[ea>>2]=7284;y=0;oa(g|0,U|0,ea|0);ka=y;y=0;if(!(ka&1)){DO(ea);A9(ga);ia=144;break h}ka=pb()|0;DO(ea);A9(ga);sb(ka|0)}}c=pb()|0;A9(ga);if(!d){ka=c;sb(ka|0)}}else if((ia|0)==140)c=pb()|0;while(0);cra(h);ka=c;sb(ka|0)}}if((ia|0)==69){cra(j);ka=c;sb(ka|0)}else if((ia|0)==82)A9(ba);else if((ia|0)==109){DO(aa);ka=c;sb(ka|0)}else if((ia|0)==124){A9(ba);ka=c;sb(ka|0)}else if((ia|0)==144){LT(a,da);k[a>>2]=7492;r=ja;return}A9(ka);ka=c;sb(ka|0)}while(0);cra(da);ka=c;sb(ka|0)}while(0);g=IM(80)|0;f=h;m=b+108|0;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;f=ha-d|0;if(f>>>0>4294967279){y=0;na(438,j|0);ia=y;y=0;if(ia&1)ia=24;else ia=16}else if(f>>>0<11){i[j+11>>0]=f;c=j;ia=18}else ia=16;if((ia|0)==16){e=f+16&-16;y=0;c=qa(315,e|0)|0;ia=y;y=0;if(ia&1)ia=24;else{k[j>>2]=c;k[j+8>>2]=e|-2147483648;k[j+4>>2]=f;ia=18}}if((ia|0)==18){if((d|0)!=(ha|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(ha|0))break;else e=e+1|0}c=c+f|0}i[c>>0]=0;y=0;f=ka;m=h;n=f+40|0;do{k[f>>2]=k[m>>2];f=f+4|0;m=m+4|0}while((f|0)<(n|0));Ea(2,g|0,ka|0,j|0,0,0,0,1);ka=y;y=0;if(ka&1)d=1;else{y=0;oa(460,a|0,g|0);ka=y;y=0;if(ka&1)d=0;else{k[a>>2]=7492;A9(j);r=ja;return}}c=pb()|0;A9(j);if(!d){ka=c;sb(ka|0)}}else if((ia|0)==24)c=pb()|0;cra(g);ka=c;sb(ka|0)}function Ud(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;N=0;O=r;r=r+528|0;Q=O+488|0;L=O+476|0;J=O+464|0;v=O+424|0;x=O+408|0;z=O+396|0;A=O+384|0;B=O+344|0;u=O+328|0;q=O+316|0;s=O+304|0;t=O+264|0;P=O+200|0;M=O+152|0;K=O+144|0;E=O+224|0;H=O+212|0;F=O+192|0;I=O+136|0;G=O+128|0;w=O+88|0;C=O+72|0;D=O+64|0;j=O+24|0;l=O+8|0;m=O;a:do if(!(Rq(b,1,0)|0)){if(!(Fs(b,1,0)|0)){if(!(Bv(b,1,0)|0))break;k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;aI(Q,43044,11);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;y=0;Na(74,L|0,43056,7);P=y;y=0;if(P&1)c=pb()|0;else{k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(74,J|0,43921,45);P=y;y=0;do if(P&1)c=pb()|0;else{y=0;ma(10,b|0,Q|0,L|0,J|0,1);P=y;y=0;if(P&1){c=pb()|0;A9(J);break}else{A9(J);A9(L);A9(Q);break a}}while(0);A9(L)}A9(Q);Q=c;sb(Q|0)}h=IM(112)|0;n=j;o=b+108|0;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){y=0;na(438,l|0);P=y;y=0;if(P&1)N=87;else N=78}else if(g>>>0<11){i[l+11>>0]=g;c=l;N=80}else N=78;if((N|0)==78){e=g+16&-16;y=0;c=qa(315,e|0)|0;P=y;y=0;if(P&1)N=87;else{k[l>>2]=c;k[l+8>>2]=e|-2147483648;k[l+4>>2]=g;N=80}}do if((N|0)==80){if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;y=0;oa(460,m|0,0);P=y;y=0;if(P&1){c=pb()|0;A9(l);break}k[m>>2]=7492;y=0;n=Q;o=j;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Ra(26,h|0,Q|0,l|0,m|0);Q=y;y=0;if(Q&1)d=1;else{y=0;oa(460,a|0,h|0);Q=y;y=0;if(Q&1)d=0;else{k[a>>2]=13284;DO(m);A9(l);r=O;return}}c=pb()|0;DO(m);A9(l);if(!d){Q=c;sb(Q|0)}}else if((N|0)==87)c=pb()|0;while(0);cra(h);Q=c;sb(Q|0)}else{l=b+156|0;d=k[b+160>>2]|0;f=k[b+164>>2]|0;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;g=f-d|0;if(g>>>0>4294967279){mN(P);N=6}else if(g>>>0<11){i[P+11>>0]=g;c=P}else N=6;if((N|0)==6){N=g+16&-16;c=IM(N)|0;k[P>>2]=c;k[P+8>>2]=N|-2147483648;k[P+4>>2]=g}if((d|0)!=(f|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(f|0))break;else e=e+1|0}c=c+g|0}i[c>>0]=0;N=i[P+11>>0]|0;y=0;ta(42,P|0,(N<<24>>24<0?k[P+4>>2]|0:N&255)+-1|0,-1)|0;N=y;y=0;if(N&1)c=pb()|0;else{h=b+108|0;n=M;o=h;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));j=b+76|0;y=0;c=qa(343,k[j>>2]|0)|0;N=y;y=0;b:do if(N&1)N=41;else{e=b+80|0;if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[j>>2]|0;y=0;d=qa(344,c|0)|0;N=y;y=0;if(N&1)N=41;else{d=d|0?d:c;y=0;c=qa(349,d|0)|0;N=y;y=0;if(N&1)N=41;else{if(!c){y=0;c=qa(350,d|0)|0;N=y;y=0;if(N&1){N=41;break}if(!c)N=51;else N=19}else N=19;c:do if((N|0)==19){y=0;c=qa(344,c|0)|0;p=y;y=0;if(p&1){N=41;break b}if(!c)N=51;else{p=(i[c>>0]|0)==41?c+1|0:0;if((p|0)==0?1:p>>>0>(k[e>>2]|0)>>>0)N=51;else{k[u>>2]=k[l>>2];k[u+4>>2]=k[l+4>>2];k[u+8>>2]=k[l+8>>2];d=k[j>>2]|0;f=b+84|0;k[q>>2]=k[f>>2];k[q+4>>2]=k[f+4>>2];k[q+8>>2]=k[f+8>>2];e=b+96|0;k[s>>2]=k[e>>2];k[s+4>>2]=k[e+4>>2];k[s+8>>2]=k[e+8>>2];n=t;o=h;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;ta(53,b|0,1,0)|0;G=y;y=0;if(G&1){N=41;break b}y=0;c=ta(68,b|0,1,0)|0;G=y;y=0;if(G&1){N=41;break b}if(!c){n=h;o=t;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));k[l>>2]=k[u>>2];k[l+4>>2]=k[u+4>>2];k[l+8>>2]=k[u+8>>2];k[j>>2]=d;k[e>>2]=k[s>>2];k[e+4>>2]=k[s+4>>2];k[e+8>>2]=k[s+8>>2];k[f>>2]=k[q>>2];k[f+4>>2]=k[q+4>>2];k[f+8>>2]=k[q+8>>2]}y=0;c=qa(315,80)|0;G=y;y=0;if(G&1){N=41;break b}y=0;n=Q;o=h;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Na(109,c|0,Q|0,l|0);G=y;y=0;if(G&1){Q=pb()|0;cra(c);c=Q;break b}y=0;oa(460,K|0,c|0);G=y;y=0;if(G&1){N=41;break b}k[K>>2]=16780;k[x>>2]=k[l>>2];k[x+4>>2]=k[l+4>>2];k[x+8>>2]=k[l+8>>2];d=k[j>>2]|0;k[z>>2]=k[f>>2];k[z+4>>2]=k[f+4>>2];k[z+8>>2]=k[f+8>>2];k[A>>2]=k[e>>2];k[A+4>>2]=k[e+4>>2];k[A+8>>2]=k[e+8>>2];n=B;o=h;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;ta(53,b|0,1,0)|0;G=y;y=0;d:do if(G&1)N=43;else{y=0;c=ta(67,b|0,1,0)|0;G=y;y=0;if(G&1){N=43;break}if(!c){n=h;o=B;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));k[l>>2]=k[x>>2];k[l+4>>2]=k[x+4>>2];k[l+8>>2]=k[x+8>>2];k[j>>2]=d;k[e>>2]=k[A>>2];k[e+4>>2]=k[A+4>>2];k[e+8>>2]=k[A+8>>2];k[f>>2]=k[z>>2];k[f+4>>2]=k[z+4>>2];k[f+8>>2]=k[z+8>>2];DO(K);break c}c=K+4|0;i[(k[c>>2]|0)+61>>0]=1;y=0;e=qa(315,112)|0;L=y;y=0;if(L&1){N=43;break}n=E;o=M;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;oa(456,H|0,P|0);M=y;y=0;do if(M&1)c=pb()|0;else{y=0;oa(460,I|0,k[c>>2]|0);M=y;y=0;if(M&1){c=pb()|0;A9(H);break}k[I>>2]=16780;y=0;oa(460,F|0,k[I+4>>2]|0);M=y;y=0;if(M&1){c=pb()|0;d=1}else{k[F>>2]=7492;y=0;n=Q;o=E;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Ra(26,e|0,Q|0,H|0,F|0);Q=y;y=0;do if(Q&1)d=1;else{y=0;oa(460,a|0,e|0);Q=y;y=0;if(Q&1){d=0;break}k[a>>2]=13284;DO(F);DO(I);A9(H);DO(K);A9(P);r=O;return}while(0);c=pb()|0;DO(F)}DO(I);A9(H);if(!d)break d}while(0);cra(e)}while(0);if((N|0)==43)c=pb()|0;DO(K);break b}}}while(0);if((N|0)==51){y=0;Na(106,G|0,b|0,1);K=y;y=0;if(K&1){N=41;break}g=G+4|0;e:do if(k[g>>2]|0){k[Q>>2]=k[l>>2];k[Q+4>>2]=k[l+4>>2];k[Q+8>>2]=k[l+8>>2];d=k[j>>2]|0;e=b+84|0;k[L>>2]=k[e>>2];k[L+4>>2]=k[e+4>>2];k[L+8>>2]=k[e+8>>2];f=b+96|0;k[J>>2]=k[f>>2];k[J+4>>2]=k[f+4>>2];k[J+8>>2]=k[f+8>>2];n=v;o=h;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;ta(53,b|0,1,0)|0;K=y;y=0;f:do if(K&1)N=63;else{y=0;c=ta(67,b|0,1,0)|0;K=y;y=0;if(K&1)N=63;else{if(!c){n=h;o=v;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));k[l>>2]=k[Q>>2];k[l+4>>2]=k[Q+4>>2];k[l+8>>2]=k[Q+8>>2];k[j>>2]=d;k[f>>2]=k[J>>2];k[f+4>>2]=k[J+4>>2];k[f+8>>2]=k[J+8>>2];k[e>>2]=k[L>>2];k[e+4>>2]=k[L+4>>2];k[e+8>>2]=k[L+8>>2];break e}y=0;e=qa(315,112)|0;L=y;y=0;if(L&1){N=63;break}n=w;o=M;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;oa(456,C|0,P|0);M=y;y=0;do if(M&1)c=pb()|0;else{y=0;oa(460,D|0,k[g>>2]|0);M=y;y=0;if(M&1){c=pb()|0;A9(C);break}k[D>>2]=6756;y=0;n=Q;o=w;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Ra(25,e|0,Q|0,C|0,D|0);Q=y;y=0;do if(Q&1)d=1;else{y=0;oa(460,a|0,e|0);Q=y;y=0;if(Q&1){d=0;break}k[a>>2]=13284;DO(D);A9(C);DO(G);A9(P);r=O;return}while(0);c=pb()|0;DO(D);A9(C);if(!d)break f}while(0);cra(e)}}while(0);if((N|0)==63)c=pb()|0;DO(G);break b}while(0);DO(G)}A9(P);break a}}}while(0);if((N|0)==41)c=pb()|0}A9(P);Q=c;sb(Q|0)}while(0);k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;aI(Q,43044,11);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;y=0;Na(74,L|0,43056,7);P=y;y=0;if(P&1)c=pb()|0;else{k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(74,J|0,43833,20);P=y;y=0;do if(P&1)c=pb()|0;else{y=0;ma(10,b|0,Q|0,L|0,J|0,1);P=y;y=0;if(P&1){c=pb()|0;A9(J);break}A9(J);A9(L);A9(Q);LT(a,0);k[a>>2]=13284;r=O;return}while(0);A9(L)}A9(Q);Q=c;sb(Q|0)}function Vd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;s=0;K=r;r=r+512|0;z=K+80|0;F=K+40|0;j=K;V=K+496|0;U=K+480|0;T=K+432|0;S=K+400|0;L=K+392|0;I=K+336|0;A=K+488|0;B=K+440|0;G=K+424|0;H=K+408|0;C=K+384|0;D=K+344|0;M=K+320|0;O=K+304|0;P=K+328|0;E=K+144|0;Q=K+128|0;R=K+120|0;J=K+184|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,39825,5);y=0;o=z;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));h=sa(25,j|0,a|0,d|0,z|0,f|0)|0;x=y;y=0;do if(x&1)s=21;else{y=0;ma(5,F|0,h+64|0,0,0,1);x=y;y=0;if(x&1)s=21;else{y=0;oa(554,V|0,F|0);x=y;y=0;if(x&1){h=pb()|0;A9(F);break}A9(F);A9(j);k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;y=0;Na(74,F|0,39799,5);x=y;y=0;do if(x&1){h=pb()|0;s=26}else{y=0;o=z;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));h=sa(26,F|0,a|0,d|0,z|0,f|0)|0;x=y;y=0;if(!(x&1)){y=0;h=qa(k[(k[h>>2]|0)+12>>2]|0,h|0)|0;x=y;y=0;if(!(x&1)){y=0;oa(460,U|0,h|0);x=y;y=0;if(!(x&1)){k[U>>2]=7172;A9(F);y=0;n=qa(315,84)|0;x=y;y=0;a:do if(x&1)s=27;else{o=j;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(422,n|0);x=y;y=0;do if(x&1)h=pb()|0;else{o=n+12|0;p=j;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[n>>2]=6212;i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n+56>>2]=0;h=n+60|0;k[h>>2]=10136;l=n+64|0;m=n+68|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;k[l+12>>2]=0;y=0;oa(550,l|0,0);x=y;y=0;if(x&1){h=pb()|0;j=N;a=k[l>>2]|0;if(a|0){d=k[m>>2]|0;if((d|0)!=(a|0)){do{T=d+-8|0;k[m>>2]=T;lc[k[k[T>>2]>>2]&511](T);d=k[m>>2]|0}while((d|0)!=(a|0));a=k[l>>2]|0}cra(a)}break}k[n>>2]=9952;k[h>>2]=10080;i[n+80>>0]=0;i[n+81>>0]=0;i[n+82>>0]=0;y=0;oa(460,T|0,n|0);x=y;y=0;if(x&1){s=27;break a}k[T>>2]=8964;n=U+4|0;a=k[n>>2]|0;s=(k[a+68>>2]|0)-(k[a+64>>2]|0)>>3;b:do if(!s)s=20;else{t=T+4|0;u=S+4|0;v=M+4|0;w=L+4|0;x=I+4|0;h=0;while(1){y=0;Na(100,S|0,a|0,h|0);q=y;y=0;if(q&1){s=46;break}a=k[n>>2]|0;if(!(i[a+84>>0]|0)){d=(k[t>>2]|0)+60|0;j=k[(k[d>>2]|0)+20>>2]|0;y=0;l=qa(315,88)|0;q=y;y=0;if(q&1){s=47;break}o=D;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(460,M|0,k[u>>2]|0);q=y;y=0;if(q&1){s=70;break}k[M>>2]=7284;k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;y=0;Na(74,O|0,87975,0);q=y;y=0;if(q&1){s=71;break}o=z;p=D;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(422,l|0);q=y;y=0;if(q&1){h=1;s=72;break}o=l+12|0;p=z;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;k[l>>2]=9828;a=l+60|0;y=0;oa(460,a|0,k[v>>2]|0);q=y;y=0;if(q&1){s=65;break}k[a>>2]=7284;y=0;oa(456,l+68|0,O|0);q=y;y=0;if(q&1){s=66;break}i[l+80>>0]=0;i[l+81>>0]=0;k[l+84>>2]=0;y=0;oa(460,C|0,l|0);q=y;y=0;if(q&1){h=0;s=72;break}k[C>>2]=10120;y=0;oa(j|0,d|0,C|0);q=y;y=0;if(q&1){s=74;break}DO(C);A9(O);DO(M)}else{a=a+60|0;y=0;a=Ha(k[(k[a>>2]|0)+16>>2]|0,a|0,h|0)|0;q=y;y=0;if(q&1){s=47;break}y=0;oa(460,L|0,k[a+4>>2]|0);q=y;y=0;if(q&1){s=47;break}k[L>>2]=7284;y=0;oa(460,I|0,k[w>>2]|0);q=y;y=0;if(q&1){s=48;break}k[I>>2]=10120;j=(k[t>>2]|0)+60|0;l=k[(k[j>>2]|0)+20>>2]|0;y=0;m=qa(315,88)|0;q=y;y=0;if(q&1){s=49;break}o=B;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(460,G|0,k[u>>2]|0);q=y;y=0;if(q&1){s=50;break}k[G>>2]=7284;a=k[x>>2]|0;if(!a){k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;y=0;Na(74,H|0,87975,0);q=y;y=0;if(q&1){s=51;break}}else{y=0;oa(456,H|0,a+68|0);q=y;y=0;if(q&1){s=51;break}}a=k[x>>2]|0;if(!a){d=0;a=0}else{d=(i[a+80>>0]|0)!=0;a=(i[a+81>>0]|0)!=0}y=0;o=z;p=B;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));ya(14,m|0,z|0,G|0,H|0,d|0,a|0);q=y;y=0;if(q&1){h=1;s=52;break}y=0;oa(460,A|0,m|0);q=y;y=0;if(q&1){h=0;s=52;break}k[A>>2]=10120;y=0;oa(l|0,j|0,A|0);q=y;y=0;if(q&1){s=53;break}DO(A);A9(H);DO(G);DO(I);DO(L)}DO(S);h=h+1|0;if(h>>>0>=s>>>0){s=20;break b}a=k[n>>2]|0}switch(s|0){case 46:{h=pb()|0;break b}case 47:{h=pb()|0;break}case 48:{h=pb()|0;s=57;break}case 49:{h=pb()|0;s=56;break}case 50:{h=pb()|0;s=55;break}case 51:{h=pb()|0;DO(G);s=55;break}case 52:{a=h;h=pb()|0;s=54;break}case 53:{h=pb()|0;DO(A);a=0;s=54;break}case 65:{h=pb()|0;s=67;break}case 66:{h=pb()|0;DO(a);s=67;break}case 70:{h=pb()|0;s=76;break}case 71:{h=pb()|0;DO(M);s=76;break}case 72:{R=pb()|0;a=h;h=R;s=73;break}case 74:{h=pb()|0;DO(C);a=0;s=75;break}}if((s|0)==54){A9(H);DO(G);if(a)s=55;else s=56}else if((s|0)==67){a=1;s=73}if((s|0)==55){cra(m);s=56}else if((s|0)==73)s=75;if((s|0)==56){DO(I);s=57}else if((s|0)==75){A9(O);DO(M);if(a)s=76}if((s|0)==57)DO(L);else if((s|0)==76)cra(l);DO(S)}while(0);c:do if((s|0)==20){y=0;j=qa(315,92)|0;S=y;y=0;if(S&1){h=pb()|0;break}o=E;p=e;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(456,Q|0,V|0);S=y;y=0;do if(S&1)h=pb()|0;else{y=0;oa(460,R|0,k[T+4>>2]|0);S=y;y=0;if(S&1){h=pb()|0;A9(Q);break}k[R>>2]=8964;o=F;p=E;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(422,j|0);S=y;y=0;d:do if(S&1){h=1;s=95}else{o=j+12|0;p=F;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;h=j+56|0;k[h>>2]=0;k[j>>2]=10176;a=j+60|0;y=0;oa(456,a|0,Q|0);S=y;y=0;do if(S&1)h=pb()|0;else{d=j+72|0;y=0;oa(460,d|0,k[R+4>>2]|0);S=y;y=0;if(S&1){h=pb()|0;A9(a);break}k[d>>2]=8964;i[j+80>>0]=0;k[j+84>>2]=0;k[j+88>>2]=0;k[h>>2]=11;y=0;oa(460,P|0,j|0);S=y;y=0;if(S&1){h=0;s=95;break d}k[P>>2]=16796;DO(R);A9(Q);y=0;ma(6,J|0,c|0,b|0,f|0,g|0);S=y;y=0;do if(S&1)h=pb()|0;else{h=k[P+4>>2]|0;i[h+80>>0]=1;y=0;h=Ha(k[(k[h>>2]|0)+56>>2]|0,h|0,J+8|0)|0;S=y;y=0;if(S&1){h=pb()|0;vt(J);break}else{vt(J);DO(P);DO(T);DO(U);A9(V);r=K;return h|0}}while(0);DO(P);break c}while(0);a=1}while(0);if((s|0)==95){S=pb()|0;a=h;h=S}DO(R);A9(Q);if(!a)break c}while(0);cra(j)}while(0);DO(T);break a}while(0);cra(n)}while(0);if((s|0)==27)h=pb()|0;DO(U);break}}}h=pb()|0;A9(F);s=26}while(0);A9(V);V=h;sb(V|0)}}while(0);if((s|0)==21)h=pb()|0;A9(j);V=h;sb(V|0);return 0}function Wd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=r;r=r+16|0;c=d;Wo(a,k[4077]|0,7,b);k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;aI(c,34958,4);y=0;Na(91,0,c|0,b|0);e=y;y=0;if(e&1){e=pb()|0;A9(c);sb(e|0)}else{A9(c);ki(a,k[4078]|0,8,4,b);ki(a,k[4079]|0,9,2,b);Wo(a,k[4080]|0,10,b);Wo(a,k[4081]|0,11,b);Wo(a,k[4082]|0,12,b);Wo(a,k[4083]|0,13,b);Wo(a,k[4084]|0,14,b);Wo(a,k[4085]|0,15,b);Wo(a,k[4086]|0,16,b);Wo(a,k[4087]|0,17,b);Wo(a,k[4088]|0,18,b);Wo(a,k[4089]|0,19,b);Wo(a,k[4090]|0,20,b);Wo(a,k[4091]|0,21,b);Wo(a,k[4092]|0,22,b);Wo(a,k[4093]|0,23,b);Wo(a,k[4094]|0,24,b);Wo(a,k[4095]|0,25,b);Wo(a,k[4096]|0,26,b);Wo(a,k[4097]|0,27,b);Wo(a,k[4098]|0,27,b);Wo(a,k[4099]|0,28,b);Wo(a,k[4100]|0,28,b);Wo(a,k[4101]|0,29,b);Wo(a,k[4102]|0,29,b);Wo(a,k[4103]|0,30,b);Wo(a,k[4104]|0,31,b);Wo(a,k[4105]|0,32,b);Wo(a,k[4106]|0,33,b);Wo(a,k[4107]|0,34,b);Wo(a,k[4108]|0,35,b);Wo(a,k[4109]|0,36,b);Wo(a,k[4110]|0,37,b);Wo(a,k[4111]|0,38,b);Wo(a,k[4112]|0,39,b);Wo(a,k[4113]|0,40,b);Wo(a,k[4114]|0,41,b);Wo(a,k[4115]|0,42,b);Wo(a,k[4116]|0,43,b);Wo(a,k[4117]|0,44,b);Wo(a,k[4118]|0,45,b);Wo(a,k[4119]|0,46,b);Wo(a,k[4120]|0,47,b);Wo(a,k[4121]|0,48,b);Wo(a,k[4122]|0,49,b);Wo(a,k[4123]|0,50,b);Wo(a,k[4124]|0,51,b);Wo(a,k[4125]|0,52,b);Wo(a,k[4126]|0,53,b);Wo(a,k[4127]|0,54,b);Wo(a,k[4128]|0,55,b);Wo(a,k[4129]|0,56,b);Wo(a,k[4130]|0,57,b);Wo(a,k[4131]|0,58,b);Wo(a,k[4135]|0,59,b);Wo(a,k[4136]|0,60,b);Wo(a,k[4133]|0,61,b);Wo(a,k[4134]|0,62,b);Wo(a,k[4132]|0,63,b);Wo(a,k[4137]|0,64,b);Wo(a,k[4138]|0,65,b);Wo(a,k[4139]|0,66,b);Wo(a,k[4140]|0,67,b);Wo(a,k[4141]|0,68,b);Wo(a,k[4142]|0,69,b);Wo(a,k[4143]|0,70,b);Wo(a,k[4144]|0,71,b);Wo(a,k[4145]|0,72,b);Wo(a,k[4146]|0,73,b);Wo(a,k[4147]|0,74,b);Wo(a,k[4148]|0,75,b);Wo(a,k[4149]|0,76,b);Wo(a,k[4150]|0,77,b);Wo(a,k[4159]|0,78,b);Wo(a,k[4151]|0,79,b);Wo(a,k[4152]|0,80,b);Wo(a,k[4155]|0,81,b);Wo(a,k[4156]|0,82,b);Wo(a,k[4153]|0,83,b);Wo(a,k[4158]|0,84,b);Wo(a,k[4154]|0,85,b);Wo(a,k[4157]|0,86,b);r=d;return}}function Xd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;Y=0;W=r;r=r+336|0;U=W;K=W+324|0;L=W+312|0;M=W+272|0;O=W+256|0;P=W+244|0;Q=W+232|0;R=W+192|0;d=W+152|0;f=W+136|0;S=W+96|0;_=W+88|0;Z=W+76|0;X=W+64|0;V=W+48|0;J=W+56|0;T=W+40|0;$=b+152|0;aa=k[$>>2]|0;I=aa+1|0;k[$>>2]=I;if(I>>>0>512){e=gb(76)|0;h=d;j=b+108|0;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(456,f|0,80932);_=y;y=0;if(_&1)c=pb()|0;else{y=0;h=U;j=d;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));Ra(24,e|0,U|0,f|0,0);_=y;y=0;if(_&1)d=1;else{y=0;Na(75,e|0,2912,175);y=0;d=0}c=pb()|0;A9(f);if(!d){_=c;k[$>>2]=aa;sb(_|0)}}fb(e|0);_=c;k[$>>2]=aa;sb(_|0)}y=0;ta(53,b|0,0,0)|0;I=y;y=0;if(!(I&1)){H=b+128|0;y=0;oa(569,b+108|0,H|0);I=y;y=0;if(!(I&1)){k[b+132>>2]=0;k[H>>2]=0;I=b+108|0;h=S;j=I;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;oa(579,_|0,b|0);G=y;y=0;if(G&1)c=pb()|0;else{F=b+76|0;y=0;d=qa(343,k[F>>2]|0)|0;G=y;y=0;a:do if(G&1)Y=39;else{G=b+80|0;if((d|0)==0?1:d>>>0>(k[G>>2]|0)>>>0)d=k[F>>2]|0;y=0;e=qa(344,d|0)|0;E=y;y=0;if(E&1)Y=39;else{E=e|0?e:d;E=(i[E>>0]|0)==43?E+1|0:0;do if((E|0)==0?1:E>>>0>(k[G>>2]|0)>>>0){y=0;d=qa(361,k[F>>2]|0)|0;E=y;y=0;if(E&1){Y=39;break a}if(!((d|0)==0?1:d>>>0>(k[G>>2]|0)>>>0)){d=k[F>>2]|0;y=0;e=qa(344,d|0)|0;E=y;y=0;if(E&1){Y=39;break a}e=e|0?e:d;y=0;d=qa(362,e|0)|0;E=y;y=0;if(E&1){Y=39;break a}if(!((e|0)==0|(d|0)!=0)){f=e+1|0;if((i[e>>0]|0)==45){y=0;d=qa(341,f|0)|0;E=y;y=0;if(E&1){Y=39;break a}E=(d|0)!=0;if(!(E|(E?0:f)>>>0>(k[G>>2]|0)>>>0)){Y=30;break}}}}d=k[F>>2]|0;y=0;e=qa(344,d|0)|0;E=y;y=0;if(E&1){Y=39;break a}f=e|0?e:d;y=0;d=qa(362,f|0)|0;E=y;y=0;if(E&1){Y=39;break a}if(!((f|0)==0|(d|0)!=0)){e=f+1|0;if((i[f>>0]|0)==45){y=0;d=qa(362,e|0)|0;E=y;y=0;if(E&1){Y=39;break a}E=(d|0)!=0;if(!(E|(E?0:e)>>>0>(k[G>>2]|0)>>>0))Y=30}}}else Y=30;while(0);if((Y|0)==30){d=k[F>>2]|0;y=0;e=qa(344,d|0)|0;E=y;y=0;if(E&1){Y=39;break}d=e|0?e:d;if((i[d>>0]|0)==45)do d=d+1|0;while((i[d>>0]|0)==45);y=0;d=qa(325,d|0)|0;E=y;y=0;if(E&1){Y=39;break}if((d|0)==0?1:d>>>0>(k[G>>2]|0)>>>0){k[Z>>2]=0;E=Z+4|0;k[E>>2]=0;k[Z+8>>2]=0;k[X>>2]=0;D=X+4|0;k[D>>2]=0;k[X+8>>2]=0;y=0;d=qa(343,k[F>>2]|0)|0;C=y;y=0;b:do if(C&1){c=pb()|0;g=N}else{o=b+156|0;p=b+84|0;q=b+96|0;s=b+160|0;t=b+164|0;u=K+8|0;v=K+4|0;w=K+11|0;x=U+4|0;z=U+5|0;A=X+8|0;B=Z+8|0;C=U+4|0;d=d>>>0<=(k[G>>2]|0)>>>0?d:0;c:while(1){n=(d|0)!=0;k[O>>2]=k[o>>2];k[O+4>>2]=k[o+4>>2];k[O+8>>2]=k[o+8>>2];e=k[F>>2]|0;k[P>>2]=k[p>>2];k[P+4>>2]=k[p+4>>2];k[P+8>>2]=k[p+8>>2];k[Q>>2]=k[q>>2];k[Q+4>>2]=k[q+4>>2];k[Q+8>>2]=k[q+8>>2];h=R;j=I;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;ta(53,b|0,1,0)|0;m=y;y=0;if(m&1){Y=84;break}y=0;d=ta(57,b|0,1,0)|0;m=y;y=0;if(m&1){Y=84;break}if(!d){h=I;j=R;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));k[o>>2]=k[O>>2];k[o+4>>2]=k[O+4>>2];k[o+8>>2]=k[O+8>>2];k[F>>2]=e;k[q>>2]=k[Q>>2];k[q+4>>2]=k[Q+4>>2];k[q+8>>2]=k[Q+8>>2];k[p>>2]=k[P>>2];k[p+4>>2]=k[P+4>>2];k[p+8>>2]=k[P+8>>2];y=0;d=qa(343,e|0)|0;m=y;y=0;if(m&1){Y=84;break}if((d|0)==0?1:d>>>0>(k[G>>2]|0)>>>0)d=k[F>>2]|0;y=0;e=qa(344,d|0)|0;m=y;y=0;if(m&1){Y=84;break}d=e|0?e:d;if((i[d>>0]|0)==45)do d=d+1|0;while((i[d>>0]|0)==45);y=0;d=qa(325,d|0)|0;m=y;y=0;if(m&1){Y=84;break}if(!((d|0)==0?1:d>>>0>(k[G>>2]|0)>>>0)){Y=94;break}k[U>>2]=k[o>>2];k[U+4>>2]=k[o+4>>2];k[U+8>>2]=k[o+8>>2];e=k[F>>2]|0;k[K>>2]=k[p>>2];k[K+4>>2]=k[p+4>>2];k[K+8>>2]=k[p+8>>2];k[L>>2]=k[q>>2];k[L+4>>2]=k[q+4>>2];k[L+8>>2]=k[q+8>>2];h=M;j=I;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));y=0;ta(53,b|0,1,0)|0;m=y;y=0;if(m&1){Y=84;break}y=0;d=ta(80,b|0,1,0)|0;m=y;y=0;if(m&1){Y=84;break}if(!d){Y=56;break}}y=0;l=qa(343,k[F>>2]|0)|0;m=y;y=0;if(m&1){Y=84;break}m=l>>>0<=(k[G>>2]|0)>>>0;e=k[s>>2]|0;h=k[t>>2]|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;j=h-e|0;do if(j>>>0>4294967279){y=0;na(438,K|0);Y=y;y=0;if(Y&1){Y=87;break c}else Y=64}else{if(j>>>0>=11){Y=64;break}i[w>>0]=j;d=K}while(0);if((Y|0)==64){Y=0;f=j+16&-16;y=0;d=qa(315,f|0)|0;ba=y;y=0;if(ba&1){Y=87;break}k[K>>2]=d;k[u>>2]=f|-2147483648;k[v>>2]=j}if((e|0)!=(h|0)){f=d;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(h|0))break;else f=f+1|0}d=d+j|0}i[d>>0]=0;e=(l|0)!=0&m;ba=i[w>>0]|0;if(((ba<<24>>24<0?k[v>>2]|0:ba&255)|0)==1){y=0;d=sa(21,K|0,0,-1,51014,1)|0;ba=y;y=0;if(ba&1){Y=71;break}d=(d|0)==0?8:9}else d=9;k[U>>2]=d;i[x>>0]=n&1;i[z>>0]=e&1;d=k[D>>2]|0;if(d>>>0<(k[A>>2]|0)>>>0){m=U;n=k[m+4>>2]|0;ba=d;k[ba>>2]=k[m>>2];k[ba+4>>2]=n;k[D>>2]=(k[D>>2]|0)+8}else{y=0;oa(578,X|0,U|0);ba=y;y=0;if(ba&1){Y=88;break}}A9(K);y=0;oa(579,U|0,b|0);ba=y;y=0;if(ba&1){Y=90;break}d=k[E>>2]|0;if(d>>>0<(k[B>>2]|0)>>>0){y=0;oa(460,d|0,k[C>>2]|0);ba=y;y=0;if(ba&1){Y=91;break}k[d>>2]=7284;k[E>>2]=(k[E>>2]|0)+8}else{y=0;oa(548,Z|0,U|0);ba=y;y=0;if(ba&1){Y=91;break}}DO(U);y=0;d=qa(343,k[F>>2]|0)|0;ba=y;y=0;if(ba&1){Y=93;break}d=d>>>0<=(k[G>>2]|0)>>>0?d:0}if((Y|0)==56){h=I;j=M;l=h+40|0;do{k[h>>2]=k[j>>2];h=h+4|0;j=j+4|0}while((h|0)<(l|0));k[o>>2]=k[U>>2];k[o+4>>2]=k[U+4>>2];k[o+8>>2]=k[U+8>>2];k[F>>2]=e;k[q>>2]=k[L>>2];k[q+4>>2]=k[L+4>>2];k[q+8>>2]=k[L+8>>2];k[p>>2]=k[K>>2];k[p+4>>2]=k[K+4>>2];k[p+8>>2]=k[K+8>>2];Y=94}else if((Y|0)==71){ba=tb(0)|0;Sla(ba)}else if((Y|0)==84){c=pb()|0;g=N}else if((Y|0)==87){c=pb()|0;d=N;Y=89}else if((Y|0)==88){c=pb()|0;d=N;A9(K);Y=89}else if((Y|0)==90){c=pb()|0;d=N;Y=92}else if((Y|0)==91){c=pb()|0;d=N;DO(U);Y=92}else if((Y|0)==93){c=pb()|0;g=N;break}do if((Y|0)==89){g=d;break b}else if((Y|0)==92){g=d;break b}else if((Y|0)==94){d:do if((k[E>>2]|0)==(k[Z>>2]|0)){y=0;oa(460,a|0,k[_+4>>2]|0);ba=y;y=0;if(ba&1){Y=85;break}k[a>>2]=7284}else{y=0;oa(460,J|0,k[_+4>>2]|0);ba=y;y=0;if(ba&1){Y=85;break}k[J>>2]=7284;y=0;ya(17,V|0,b|0,J|0,Z|0,X|0,0);ba=y;y=0;if(ba&1){c=pb()|0;g=N;DO(J);break b}DO(J);c=S+20|0;y=0;Na(113,T|0,I|0,S|0);ba=y;y=0;do if(ba&1)Y=104;else{y=0;Na(114,U|0,T|0,H|0);ba=y;y=0;if(ba&1){Y=104;break}T=U;U=k[T+4>>2]|0;ba=c;k[ba>>2]=k[T>>2];k[ba+4>>2]=U;ba=k[V+4>>2]|0;fO(ba+12|0,S|0,40)|0;y=0;oa(460,a|0,ba|0);ba=y;y=0;if(ba&1){c=pb()|0;d=N;break}else{k[a>>2]=7284;DO(V);break d}}while(0);if((Y|0)==104){c=pb()|0;d=N}DO(V);g=d;break b}while(0);if((Y|0)==85){c=pb()|0;g=N;break}c=k[X>>2]|0;d=c;if(c|0){e=k[D>>2]|0;if((e|0)!=(c|0))k[D>>2]=e+(~((e+-8-d|0)>>>3)<<3);cra(c)}c=k[Z>>2]|0;if(c|0){d=k[E>>2]|0;if((d|0)!=(c|0)){do{ba=d+-8|0;k[E>>2]=ba;lc[k[k[ba>>2]>>2]&511](ba);d=k[E>>2]|0}while((d|0)!=(c|0));c=k[Z>>2]|0}cra(c)}DO(_);k[$>>2]=aa;r=W;return}while(0)}while(0);d=k[X>>2]|0;e=d;if(d|0){f=k[D>>2]|0;if((f|0)!=(d|0))k[D>>2]=f+(~((f+-8-e|0)>>>3)<<3);cra(d)}d=k[Z>>2]|0;if(d|0){e=k[E>>2]|0;if((e|0)!=(d|0)){do{ba=e+-8|0;k[E>>2]=ba;lc[k[k[ba>>2]>>2]&511](ba);e=k[E>>2]|0}while((e|0)!=(d|0));d=k[Z>>2]|0}cra(d)}break}}y=0;oa(460,a|0,k[_+4>>2]|0);ba=y;y=0;if(ba&1)Y=39;else{k[a>>2]=7284;DO(_);k[$>>2]=aa;r=W;return}}}while(0);if((Y|0)==39)c=pb()|0;DO(_)}ba=c;k[$>>2]=aa;sb(ba|0)}}ba=pb()|0;k[$>>2]=aa;sb(ba|0)}function Yd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;R=r;r=r+272|0;P=R+40|0;M=R;x=R+248|0;H=R+208|0;O=R+116|0;N=R+104|0;L=R+92|0;K=R+80|0;J=R+192|0;F=R+152|0;G=R+140|0;w=R+128|0;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38272,6);y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));Q=sa(24,M|0,a|0,d|0,P|0,f|0)|0;I=y;y=0;if(I&1){R=pb()|0;A9(M);sb(R|0)}A9(M);k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;aI(P,38247,4);y=0;b=Ha(975,a|0,P|0)|0;I=y;y=0;if(I&1){R=pb()|0;A9(P);sb(R|0)}b=k[b+4>>2]|0;if(!b)t=0;else t=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(P);k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;aI(P,38252,6);y=0;b=Ha(975,a|0,P|0)|0;I=y;y=0;if(I&1){R=pb()|0;A9(P);sb(R|0)}b=k[b+4>>2]|0;if(!b)c=0;else c=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(P);k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;aI(P,38259,5);y=0;b=Ha(975,a|0,P|0)|0;I=y;y=0;if(I&1){R=pb()|0;A9(P);sb(R|0)}b=k[b+4>>2]|0;if(!b)C=0;else C=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(P);k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;aI(P,38376,4);y=0;b=Ha(975,a|0,P|0)|0;I=y;y=0;if(I&1){R=pb()|0;A9(P);sb(R|0)}b=k[b+4>>2]|0;if(!b)E=0;else E=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(P);k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;aI(P,38381,11);y=0;b=Ha(975,a|0,P|0)|0;I=y;y=0;if(I&1){R=pb()|0;A9(P);sb(R|0)}b=k[b+4>>2]|0;if(!b)g=0;else g=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(P);k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;aI(P,38393,10);y=0;b=Ha(975,a|0,P|0)|0;I=y;y=0;if(I&1){R=pb()|0;A9(P);sb(R|0)}b=k[b+4>>2]|0;if(!b)D=0;else D=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(P);k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;aI(P,38265,6);y=0;b=Ha(975,a|0,P|0)|0;I=y;y=0;if(I&1){R=pb()|0;A9(P);sb(R|0)}b=k[b+4>>2]|0;if(!b)I=0;else I=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(P);t=(t|0)!=0;u=(c|0)!=0;c=t|u|(C|0)!=0;v=(E|0)!=0;g=(g|0)!=0;b=v|g|(D|0)!=0;do if(c&b){k[x>>2]=0;k[x+4>>2]=0;k[x+8>>2]=0;aI(x,38708,81);y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));oa(454,x|0,P|0);B=y;y=0;if(!(B&1)){A9(x);break}R=pb()|0;A9(x);sb(R|0)}while(0);if(!c){if(!b){if(!I){k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;aI(w,38790,39);y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));oa(454,w|0,P|0);e=y;y=0;if(e&1){R=pb()|0;A9(w);sb(R|0)}else{A9(w);e=Q;r=R;return e|0}}k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38265,6);y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,M|0,a|0,d|0,P|0,0.0,1.0,f|0)|0;P=y;y=0;if(P&1){R=pb()|0;A9(M);sb(R|0)}m=+p[b+64>>3];A9(M);c=IM(112)|0;z=F;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));j=+p[Q+64>>3];l=+p[Q+72>>3];h=+p[Q+80>>3];k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(74,G|0,87975,0);e=y;y=0;if(e&1)b=pb()|0;else{z=M;A=F;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));y=0;na(422,c|0);e=y;y=0;do if(e&1)b=pb()|0;else{z=c+12|0;A=M;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=10548;p[c+64>>3]=j;p[c+72>>3]=l;p[c+80>>3]=h;p[c+88>>3]=m;y=0;oa(456,c+96|0,G|0);e=y;y=0;if(e&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;A9(G);e=c;r=R;return e|0}while(0);A9(G)}cra(c);R=b;sb(R|0)}m=+p[Q+64>>3]/255.0;n=+p[Q+72>>3]/255.0;o=+p[Q+80>>3]/255.0;b=n<o;l=b?o:n;l=m<l?l:m;h=o<n?o:n;h=h<m?h:m;q=l-h;j=l+h;s=j*.5;do if(l==h){l=0.0;h=0.0}else{h=q/(s<.5?j:2.0-l-h);if(m==l){l=(b?6.0:0.0)+(n-o)/q;break}if(n==l){l=(o-m)/q+2.0;break}if(!(o==l)){l=0.0;break}l=(m-n)/q+4.0}while(0);h=h*100.0;j=s*100.0;if(v)m=+Pm(+p[E+64>>3],360.0);else m=l/6.0*360.0;do if(g){k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38381,11);y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,M|0,a|0,d|0,P|0,0.0,100.0,f|0)|0;O=y;y=0;if(!(O&1)){l=+p[b+64>>3];A9(M);break}R=pb()|0;A9(M);sb(R|0)}else l=h;while(0);do if(D){k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38393,10);y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,M|0,a|0,d|0,P|0,0.0,100.0,f|0)|0;O=y;y=0;if(!(O&1)){j=+p[b+64>>3];A9(M);break}R=pb()|0;A9(M);sb(R|0)}while(0);do if(!I)h=+p[Q+88>>3];else{k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;aI(M,38265,6);y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,M|0,a|0,d|0,P|0,0.0,1.0,f|0)|0;Q=y;y=0;if(!(Q&1)){h=+p[b+64>>3];A9(M);break}R=pb()|0;A9(M);sb(R|0)}while(0);z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));e=Wm(m,l,j,h,0,P)|0;r=R;return e|0}x=IM(112)|0;z=H;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));do if(t){k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;y=0;Na(74,O|0,38247,4);M=y;y=0;if(M&1){b=pb()|0;v=89;break}y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,O|0,a|0,d|0,P|0,0.0,255.0,f|0)|0;M=y;y=0;if(M&1){b=pb()|0;v=88;break}else{w=1;b=b+64|0;v=41;break}}else{w=0;b=Q+64|0;v=41}while(0);a:do if((v|0)==41){m=+p[b>>3];do if(u){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;y=0;Na(74,N|0,38252,6);M=y;y=0;if(M&1){b=pb()|0;break}y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,N|0,a|0,d|0,P|0,0.0,255.0,f|0)|0;M=y;y=0;if(M&1){b=pb()|0;v=85;break}else{t=1;b=b+64|0;v=46;break}}else{t=0;b=Q+72|0;v=46}while(0);b:do if((v|0)==46){l=+p[b>>3];do if(!C){g=0;b=Q+80|0;v=51}else{k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;y=0;Na(74,L|0,38259,5);M=y;y=0;if(M&1){b=pb()|0;v=83;break}y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,L|0,a|0,d|0,P|0,0.0,255.0,f|0)|0;M=y;y=0;if(M&1){b=pb()|0;v=82;break}else{g=1;b=b+64|0;v=51;break}}while(0);c:do if((v|0)==51){j=+p[b>>3];do if(!I){c=0;b=Q+88|0;v=57}else{k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;y=0;Na(74,K|0,38265,6);Q=y;y=0;if(Q&1){b=pb()|0;v=80;break}y=0;z=P;A=e;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));b=Ia(1,K|0,a|0,d|0,P|0,0.0,255.0,f|0)|0;e=y;y=0;if(e&1){b=pb()|0;v=79;break}else{c=1;b=b+64|0;v=57;break}}while(0);do if((v|0)==57){h=+p[b>>3];k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(74,J|0,87975,0);e=y;y=0;if(e&1){b=pb()|0;if(c){v=79;break}}else{z=P;A=H;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));y=0;na(422,x|0);e=y;y=0;do if(e&1)b=pb()|0;else{z=x+12|0;A=P;B=z+40|0;do{k[z>>2]=k[A>>2];z=z+4|0;A=A+4|0}while((z|0)<(B|0));i[x+52>>0]=0;i[x+53>>0]=0;i[x+54>>0]=0;b=x+56|0;k[b>>2]=0;k[x>>2]=10548;p[x+64>>3]=m;p[x+72>>3]=l;p[x+80>>3]=j;p[x+88>>3]=h;y=0;oa(456,x+96|0,J|0);e=y;y=0;if(e&1){b=pb()|0;break}k[x+108>>2]=0;k[b>>2]=3;A9(J);if(c)A9(K);if(g)A9(L);if(t)A9(N);if(!w){e=x;r=R;return e|0}A9(O);e=x;r=R;return e|0}while(0);A9(J);if(c){v=79;break}}if(g){v=82;break c}}while(0);if((v|0)==79){A9(K);v=80}if((v|0)==80)if(g){v=82;break}if(t){v=85;break b}}while(0);if((v|0)==82){A9(L);v=83}if((v|0)==83)if(t){v=85;break}if(w){v=88;break a}else break a}while(0);if((v|0)==85)A9(N);if(w)v=88}while(0);if((v|0)==88){A9(O);v=89}cra(x);R=b;sb(R|0);return 0}function Zd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0;K=0;G=r;r=r+368|0;I=G+328|0;H=G+40|0;C=G+312|0;D=G+272|0;e=G+256|0;l=G+244|0;m=G+232|0;n=G+192|0;d=G;c=G+152|0;f=G+128|0;O=G+144|0;M=G+120|0;L=G+112|0;J=G+96|0;s=G+104|0;t=G+88|0;A=G+80|0;B=G+72|0;E=G+64|0;F=G+56|0;P=b+152|0;Q=k[P>>2]|0;z=Q+1|0;k[P>>2]=z;if(z>>>0>512){e=gb(76)|0;o=c;p=b+108|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(456,f|0,80932);O=y;y=0;if(O&1)c=pb()|0;else{y=0;o=I;p=c;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));Ra(24,e|0,I|0,f|0,0);O=y;y=0;if(O&1)d=1;else{y=0;Na(75,e|0,2912,175);y=0;d=0}c=pb()|0;A9(f);if(!d){O=c;k[P>>2]=Q;sb(O|0)}}fb(e|0);O=c;k[P>>2]=Q;sb(O|0)}y=0;Na(111,O|0,b|0,0);z=y;y=0;if(z&1){O=pb()|0;k[P>>2]=Q;sb(O|0)}y=0;j=qa(315,88)|0;z=y;y=0;a:do if(z&1)K=25;else{z=b+108|0;o=d;p=z;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(422,j|0);x=y;y=0;do if(x&1)c=pb()|0;else{o=j+12|0;p=d;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=9288;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);x=y;y=0;if(x&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{M=e+-8|0;k[h>>2]=M;lc[k[k[M>>2]>>2]&511](M);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=9076;k[d>>2]=9208;k[j+80>>2]=2;i[j+84>>0]=0;i[j+85>>0]=0;k[c>>2]=5;y=0;oa(460,M|0,j|0);x=y;y=0;if(x&1){K=25;break a}k[M>>2]=7172;u=b+156|0;k[e>>2]=k[u>>2];k[e+4>>2]=k[u+4>>2];k[e+8>>2]=k[u+8>>2];v=b+76|0;d=k[v>>2]|0;w=b+84|0;k[l>>2]=k[w>>2];k[l+4>>2]=k[w+4>>2];k[l+8>>2]=k[w+8>>2];x=b+96|0;k[m>>2]=k[x>>2];k[m+4>>2]=k[x+4>>2];k[m+8>>2]=k[x+8>>2];o=n;p=z;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(53,b|0,1,0)|0;q=y;y=0;do if(q&1)K=28;else{y=0;c=ta(88,b|0,1,0)|0;q=y;y=0;if(q&1)K=28;else{if(!c){o=z;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[u>>2]=k[e>>2];k[u+4>>2]=k[e+4>>2];k[u+8>>2]=k[e+8>>2];k[v>>2]=d;k[x>>2]=k[m>>2];k[x+4>>2]=k[m+4>>2];k[x+8>>2]=k[m+8>>2];k[w>>2]=k[l>>2];k[w+4>>2]=k[l+4>>2];k[w+8>>2]=k[l+8>>2];y=0;oa(460,a|0,k[O+4>>2]|0);L=y;y=0;if(L&1){K=28;break}k[a>>2]=7284;DO(M);DO(O);k[P>>2]=Q;r=G;return}l=O+4|0;y=0;c=qa(336,k[l>>2]|0)|0;q=y;y=0;if(q&1)K=28;else{y=0;oa(460,L|0,c|0);q=y;y=0;if(q&1)K=28;else{k[L>>2]=7172;c=k[L+4>>2]|0;b:do if(!c)K=46;else if(!(k[c+80>>2]|0)){k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;y=0;Na(74,I|0,43044,11);q=y;y=0;if(q&1)c=pb()|0;else{k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;y=0;Na(74,H|0,43056,7);q=y;y=0;if(q&1)c=pb()|0;else{k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(74,C|0,43833,20);q=y;y=0;do if(q&1)c=pb()|0;else{y=0;ma(10,b|0,I|0,H|0,C|0,1);q=y;y=0;if(q&1){c=pb()|0;A9(C);break}else{A9(C);A9(H);A9(I);K=46;break b}}while(0);A9(H)}A9(I)}}else K=46;while(0);do if((K|0)==46){y=0;oa(573,J|0,b|0);q=y;y=0;if(q&1){c=pb()|0;break}j=M+4|0;c=(k[j>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,s|0,k[l>>2]|0);q=y;y=0;c:do if(q&1)K=62;else{k[s>>2]=7284;y=0;oa(d|0,c|0,s|0);q=y;y=0;if(q&1){c=pb()|0;DO(s);break}DO(s);c=(k[j>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;h=J+4|0;y=0;oa(460,t|0,k[h>>2]|0);s=y;y=0;if(s&1){K=62;break}k[t>>2]=7284;y=0;oa(d|0,c|0,t|0);s=y;y=0;if(s&1){c=pb()|0;DO(t);break}DO(t);e=b+80|0;f=I+4|0;g=I+4|0;while(1){k[I>>2]=k[u>>2];k[I+4>>2]=k[u+4>>2];k[I+8>>2]=k[u+8>>2];d=k[v>>2]|0;k[H>>2]=k[w>>2];k[H+4>>2]=k[w+4>>2];k[H+8>>2]=k[w+8>>2];k[C>>2]=k[x>>2];k[C+4>>2]=k[x+4>>2];k[C+8>>2]=k[x+8>>2];o=D;p=z;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(53,b|0,1,0)|0;K=y;y=0;if(K&1){K=61;break}y=0;c=ta(54,b|0,1,0)|0;K=y;y=0;if(K&1){K=61;break}if(!c){K=55;break}y=0;c=qa(343,k[v>>2]|0)|0;K=y;y=0;if(K&1){K=61;break}if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)c=k[v>>2]|0;y=0;d=qa(344,c|0)|0;K=y;y=0;if(K&1){K=61;break}K=d|0?d:c;K=(i[K>>0]|0)==41?K+1|0:0;if(!((K|0)==0?1:K>>>0>(k[e>>2]|0)>>>0)){K=99;break}y=0;oa(573,I|0,b|0);K=y;y=0;if(K&1){K=76;break}if(k[l>>2]|0){y=0;na(423,O|0);K=y;y=0;if(K&1){K=77;break}}k[l>>2]=k[f>>2];k[f>>2]=0;DO(I);y=0;c=ta(88,b|0,1,0)|0;K=y;y=0;if(K&1){K=61;break}if(!c){k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;y=0;Na(74,I|0,43044,11);K=y;y=0;if(K&1){K=79;break}k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;y=0;Na(74,H|0,43056,7);K=y;y=0;if(K&1){K=80;break}k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;y=0;Na(74,C|0,43854,20);K=y;y=0;if(K&1){K=81;break}y=0;ma(10,b|0,I|0,H|0,C|0,1);K=y;y=0;if(K&1){K=82;break}A9(C);A9(H);A9(I)}y=0;oa(573,I|0,b|0);K=y;y=0;if(K&1){K=94;break}if(k[h>>2]|0){y=0;na(423,J|0);K=y;y=0;if(K&1){K=95;break}}k[h>>2]=k[g>>2];k[g>>2]=0;DO(I);c=(k[j>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,A|0,k[l>>2]|0);K=y;y=0;if(K&1){K=61;break}k[A>>2]=7284;y=0;oa(d|0,c|0,A|0);K=y;y=0;if(K&1){K=97;break}DO(A);c=(k[j>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,B|0,k[h>>2]|0);K=y;y=0;if(K&1){K=61;break}k[B>>2]=7284;y=0;oa(d|0,c|0,B|0);K=y;y=0;if(K&1){K=98;break}DO(B)}switch(K|0){case 55:{o=z;p=D;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[u>>2]=k[I>>2];k[u+4>>2]=k[I+4>>2];k[u+8>>2]=k[I+8>>2];k[v>>2]=d;k[x>>2]=k[C>>2];k[x+4>>2]=k[C+4>>2];k[x+8>>2]=k[C+8>>2];k[w>>2]=k[H>>2];k[w+4>>2]=k[H+4>>2];k[w+8>>2]=k[H+8>>2];K=99;break}case 61:{c=pb()|0;K=63;break c}case 76:{c=pb()|0;K=78;break}case 77:{c=pb()|0;DO(I);K=78;break}case 79:{c=pb()|0;break}case 80:{c=pb()|0;K=84;break}case 81:{c=pb()|0;K=83;break}case 82:{c=pb()|0;A9(C);K=83;break}case 94:{c=pb()|0;K=96;break}case 95:{c=pb()|0;DO(I);K=96;break}case 97:{c=pb()|0;DO(A);break c}case 98:{c=pb()|0;DO(B);break c}}if((K|0)==78)break;else if((K|0)==83){A9(H);K=84}else if((K|0)==96)break;else if((K|0)==99){o=I;p=(k[j>>2]|0)+12|0;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));c=I+20|0;y=0;Na(113,E|0,z|0,I|0);D=y;y=0;do if(D&1)K=104;else{y=0;Na(114,H|0,E|0,b+128|0);b=y;y=0;if(b&1){K=104;break}E=H;b=k[E+4>>2]|0;H=c;k[H>>2]=k[E>>2];k[H+4>>2]=b;H=k[j>>2]|0;fO(H+12|0,I|0,40)|0;y=0;oa(460,F|0,H|0);I=y;y=0;if(I&1){c=pb()|0;break}k[F>>2]=7172;y=0;oa(460,a|0,k[F+4>>2]|0);I=y;y=0;if(I&1){c=pb()|0;DO(F);break}k[a>>2]=7284;DO(F);DO(J);DO(L);DO(M);DO(O);k[P>>2]=Q;r=G;return}while(0);if((K|0)==104)c=pb()|0;break}if((K|0)==84)A9(I)}while(0);if((K|0)==62){c=pb()|0;K=63}DO(J)}while(0);DO(L)}}}}while(0);if((K|0)==28)c=pb()|0;DO(M);break a}while(0);cra(j)}while(0);if((K|0)==25)c=pb()|0;DO(O);O=c;k[P>>2]=Q;sb(O|0)}function _d(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,j=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0.0,z=0.0,A=0.0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;Q=r;r=r+224|0;O=Q+40|0;N=Q;F=Q+200|0;L=Q+160|0;M=Q+144|0;G=Q+104|0;K=Q+92|0;E=Q+80|0;k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38272,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));P=sa(24,N|0,a|0,d|0,O|0,f|0)|0;J=y;y=0;if(J&1){Q=pb()|0;A9(N);sb(Q|0)}A9(N);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;aI(O,38247,4);y=0;b=Ha(975,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;A9(O);sb(Q|0)}b=k[b+4>>2]|0;if(!b)v=0;else v=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;aI(O,38252,6);y=0;b=Ha(975,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;A9(O);sb(Q|0)}b=k[b+4>>2]|0;if(!b)g=0;else g=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;aI(O,38259,5);y=0;b=Ha(975,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;A9(O);sb(Q|0)}b=k[b+4>>2]|0;if(!b)C=0;else C=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;aI(O,38376,4);y=0;b=Ha(975,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;A9(O);sb(Q|0)}b=k[b+4>>2]|0;if(!b)c=0;else c=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;aI(O,38381,11);y=0;b=Ha(975,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;A9(O);sb(Q|0)}b=k[b+4>>2]|0;if(!b)u=0;else u=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;aI(O,38393,10);y=0;b=Ha(975,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;A9(O);sb(Q|0)}b=k[b+4>>2]|0;if(!b)B=0;else B=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(O);k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;aI(O,38265,6);y=0;b=Ha(975,a|0,O|0)|0;J=y;y=0;if(J&1){Q=pb()|0;A9(O);sb(Q|0)}b=k[b+4>>2]|0;if(!b)D=0;else D=(k[35]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;A9(O);v=(v|0)!=0;w=(g|0)!=0;g=v|w|(C|0)!=0;c=(c|0)!=0;u=(u|0)!=0;b=c|u|(B|0)!=0;do if(g&b){k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;aI(F,38588,80);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));oa(454,F|0,O|0);J=y;y=0;if(!(J&1)){A9(F);break}Q=pb()|0;A9(F);sb(Q|0)}while(0);if(g){do if(v){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38247,4);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;K=y;y=0;if(!(K&1)){m=+p[b+64>>3]/100.0;A9(N);break}Q=pb()|0;A9(N);sb(Q|0)}else m=0.0;while(0);do if(w){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38252,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;K=y;y=0;if(!(K&1)){l=+p[b+64>>3]/100.0;A9(N);break}Q=pb()|0;A9(N);sb(Q|0)}else l=0.0;while(0);do if(!C)s=0.0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38259,5);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;K=y;y=0;if(!(K&1)){s=+p[b+64>>3]/100.0;A9(N);break}Q=pb()|0;A9(N);sb(Q|0)}while(0);do if(!D)q=0.0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38265,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;f=y;y=0;if(!(f&1)){q=+p[b+64>>3]/100.0;A9(N);break}Q=pb()|0;A9(N);sb(Q|0)}while(0);c=IM(112)|0;H=L;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));h=+p[P+64>>3];j=+p[P+72>>3];n=+p[P+80>>3];o=+p[P+88>>3];k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(74,M|0,87975,0);P=y;y=0;if(P&1)b=pb()|0;else{H=O;I=L;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));y=0;na(422,c|0);P=y;y=0;do if(P&1)b=pb()|0;else{m=h+m*(m>0.0?255.0-h:h);l=j+l*(l>0.0?255.0-j:j);j=n+s*(s>0.0?255.0-n:n);h=o+q*(q>0.0?1.0-o:o);H=c+12|0;I=O;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=10548;p[c+64>>3]=m;p[c+72>>3]=l;p[c+80>>3]=j;p[c+88>>3]=h;y=0;oa(456,c+96|0,M|0);P=y;y=0;if(P&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;A9(M);P=c;r=Q;return P|0}while(0);A9(M)}cra(c);Q=b;sb(Q|0)}if(!b){if(!D){k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;aI(E,38669,38);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));oa(454,E|0,O|0);O=y;y=0;if(O&1){Q=pb()|0;A9(E);sb(Q|0)}else{A9(E);r=Q;return P|0}}k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38265,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;O=y;y=0;if(O&1){Q=pb()|0;A9(N);sb(Q|0)}j=+p[b+64>>3]/100.0;A9(N);c=IM(112)|0;H=G;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));l=+p[P+64>>3];m=+p[P+72>>3];n=+p[P+80>>3];h=+p[P+88>>3];k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;y=0;Na(74,K|0,87975,0);P=y;y=0;if(P&1)b=pb()|0;else{H=N;I=G;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));y=0;na(422,c|0);P=y;y=0;do if(P&1)b=pb()|0;else{h=h+j*(j>0.0?1.0-h:h);H=c+12|0;I=N;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));i[c+52>>0]=0;i[c+53>>0]=0;i[c+54>>0]=0;b=c+56|0;k[b>>2]=0;k[c>>2]=10548;p[c+64>>3]=l;p[c+72>>3]=m;p[c+80>>3]=n;p[c+88>>3]=h;y=0;oa(456,c+96|0,K|0);P=y;y=0;if(P&1){b=pb()|0;break}k[c+108>>2]=0;k[b>>2]=3;A9(K);P=c;r=Q;return P|0}while(0);A9(K)}cra(c);Q=b;sb(Q|0)}do if(c){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38376,4);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;M=y;y=0;if(!(M&1)){A=+p[b+64>>3]/100.0;A9(N);break}Q=pb()|0;A9(N);sb(Q|0)}else A=0.0;while(0);do if(u){k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38381,11);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;M=y;y=0;if(!(M&1)){z=+p[b+64>>3]/100.0;A9(N);break}Q=pb()|0;A9(N);sb(Q|0)}else z=0.0;while(0);do if(!B)x=0.0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38393,10);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;M=y;y=0;if(!(M&1)){x=+p[b+64>>3]/100.0;A9(N);break}Q=pb()|0;A9(N);sb(Q|0)}while(0);do if(!D)t=0.0;else{k[N>>2]=0;k[N+4>>2]=0;k[N+8>>2]=0;aI(N,38265,6);y=0;H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));b=Ia(1,N|0,a|0,d|0,O|0,-100.0,100.0,f|0)|0;M=y;y=0;if(!(M&1)){t=+p[b+64>>3]/100.0;A9(N);break}Q=pb()|0;A9(N);sb(Q|0)}while(0);m=+p[P+64>>3]/255.0;n=+p[P+72>>3]/255.0;o=+p[P+80>>3]/255.0;b=n<o;l=b?o:n;l=m<l?l:m;h=o<n?o:n;h=h<m?h:m;q=l-h;j=l+h;s=j*.5;do if(l==h){j=0.0;h=0.0}else{h=q/(s<.5?j:2.0-l-h);if(m==l){j=(b?6.0:0.0)+(n-o)/q;break}if(n==l){j=(o-m)/q+2.0;break}if(!(o==l)){j=0.0;break}j=(m-n)/q+4.0}while(0);m=j/6.0*360.0;l=h*100.0;j=s*100.0;m=m+A*(A>0.0?360.0-m:m);l=l+z*(z>0.0?100.0-l:l);j=j+x*(x>0.0?100.0-j:j);h=+p[P+88>>3];h=h+t*(t>0.0?1.0-h:h);H=O;I=e;J=H+40|0;do{k[H>>2]=k[I>>2];H=H+4|0;I=I+4|0}while((H|0)<(J|0));P=Wm(m,l,j,h,0,O)|0;r=Q;return P|0}function $d(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0;Q=0;P=r;r=r+400|0;B=P+40|0;C=P;u=P+384|0;v=P+372|0;w=P+360|0;x=P+320|0;L=P+304|0;M=P+252|0;O=P+240|0;I=P+184|0;c=P+264|0;e=P+232|0;g=P+224|0;h=P+176|0;j=P+168|0;l=P+160|0;m=P+152|0;t=P+144|0;z=P+136|0;A=P+128|0;D=P+120|0;E=P+112|0;F=P+104|0;G=P+96|0;H=P+88|0;J=P+80|0;jx(b,0,0)|0;f=b+128|0;aO(b+108|0,f);k[b+132>>2]=0;k[f>>2]=0;f=IM(92)|0;K=b+108|0;n=c;o=K;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;oa(460,e|0,0);s=y;y=0;if(s&1)c=pb()|0;else{k[e>>2]=7492;y=0;n=B;o=c;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));ya(22,f|0,B|0,e|0,0,0,0);s=y;y=0;if(s&1)d=1;else{y=0;oa(460,a|0,f|0);s=y;y=0;if(s&1)d=0;else{k[a>>2]=17228;DO(e);y=0;c=ta(148,b|0,1,0)|0;s=y;y=0;a:do if(s&1)Q=12;else{if(!c){y=0;c=ta(149,b|0,1,0)|0;s=y;y=0;if(s&1){Q=12;break}if(c|0){i[(k[a+4>>2]|0)+89>>0]=1;y=0;ta(53,b|0,0,0)|0;s=y;y=0;if(s&1){Q=12;break}}}else{i[(k[a+4>>2]|0)+88>>0]=1;y=0;ta(53,b|0,0,0)|0;s=y;y=0;if(s&1){Q=12;break}}y=0;c=ta(84,b|0,1,0)|0;s=y;y=0;if(s&1)Q=12;else{do if(!c){y=0;c=ta(48,b|0,1,0)|0;s=y;y=0;if(s&1){Q=12;break a}f=a+4|0;e=k[f>>2]|0;if(!c){c=e+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(635,m|0,b|0);s=y;y=0;if(s&1){Q=12;break a}y=0;oa(d|0,c|0,m|0);s=y;y=0;if(s&1){c=pb()|0;DO(m);break a}else{DO(m);break}}s=b+156|0;y=0;k[B>>2]=k[s>>2];k[B+4>>2]=k[s+4>>2];k[B+8>>2]=k[s+8>>2];Ra(27,l|0,b|0,B|0,0);s=y;y=0;if(s&1){Q=12;break a}d=e+80|0;c=e+84|0;if(!(k[c>>2]|0))Q=32;else{y=0;na(423,d|0);s=y;y=0;if(!(s&1))Q=32}if((Q|0)==32){k[c>>2]=k[l+4>>2];y=0;na(424,d|0);s=y;y=0;if(!(s&1)){y=0;oa(460,j|0,k[c>>2]|0);s=y;y=0;if(!(s&1)){k[j>>2]=7492;DO(j);DO(l);break}}}c=pb()|0;DO(l);break a}else{d=a+4|0;c=k[d>>2]|0;y=0;oa(586,h|0,b|0);s=y;y=0;if(s&1){Q=12;break a}e=c+80|0;c=c+84|0;if(!(k[c>>2]|0))Q=22;else{y=0;na(423,e|0);s=y;y=0;if(!(s&1))Q=22}if((Q|0)==22){k[c>>2]=k[h+4>>2];y=0;na(424,e|0);s=y;y=0;if(!(s&1)){y=0;oa(460,g|0,k[c>>2]|0);s=y;y=0;if(!(s&1)){k[g>>2]=7492;DO(g);DO(h);f=d;break}}}c=pb()|0;DO(h);break a}while(0);l=b+156|0;m=b+76|0;q=b+84|0;s=b+96|0;while(1){k[u>>2]=k[l>>2];k[u+4>>2]=k[l+4>>2];k[u+8>>2]=k[l+8>>2];d=k[m>>2]|0;k[v>>2]=k[q>>2];k[v+4>>2]=k[q+4>>2];k[v+8>>2]=k[q+8>>2];k[w>>2]=k[s>>2];k[w+4>>2]=k[s+4>>2];k[w+8>>2]=k[s+8>>2];n=x;o=K;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;ta(53,b|0,1,0)|0;Q=y;y=0;if(Q&1){Q=11;break}y=0;c=ta(73,b|0,1,0)|0;Q=y;y=0;if(Q&1){Q=11;break}if(!c){Q=43;break}c=(k[f>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(635,t|0,b|0);Q=y;y=0;if(Q&1){Q=11;break}y=0;oa(d|0,c|0,t|0);Q=y;y=0;if(Q&1){Q=47;break}DO(t)}if((Q|0)==11){c=pb()|0;Q=13;break}else if((Q|0)==43){n=K;o=x;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));k[l>>2]=k[u>>2];k[l+4>>2]=k[u+4>>2];k[l+8>>2]=k[u+8>>2];k[m>>2]=d;k[s>>2]=k[w>>2];k[s+4>>2]=k[w+4>>2];k[s+8>>2]=k[w+8>>2];k[q>>2]=k[v>>2];k[q+4>>2]=k[v+4>>2];k[q+8>>2]=k[v+8>>2];y=0;c=ta(84,b|0,1,0)|0;x=y;y=0;if(x&1){Q=12;break}b:do if(c|0){y=0;j=qa(315,84)|0;x=y;y=0;if(x&1){Q=12;break a}n=B;o=K;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(422,j|0);x=y;y=0;do if(x&1)c=pb()|0;else{n=j+12|0;o=B;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[j>>2]=10968;k[c>>2]=4;e=j+60|0;k[e>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);x=y;y=0;if(x&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{P=e+-8|0;k[h>>2]=P;lc[k[k[P>>2]>>2]&511](P);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=10796;k[e>>2]=10928;k[j+80>>2]=0;k[c>>2]=4;c=k[2737]|0;y=0;oa(460,A|0,k[(k[f>>2]|0)+84>>2]|0);x=y;y=0;c:do if(!(x&1)){k[A>>2]=7492;y=0;oa(460,z|0,k[A+4>>2]|0);x=y;y=0;do if(x&1)c=pb()|0;else{k[z>>2]=7284;y=0;oa(c|0,e|0,z|0);x=y;y=0;if(x&1){c=pb()|0;DO(z);break}DO(z);DO(A);c=k[(k[e>>2]|0)+20>>2]|0;y=0;d=qa(315,80)|0;A=y;y=0;if(A&1)break c;n=C;o=K;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(422,d|0);A=y;y=0;if(A&1)c=pb()|0;else{n=d+12|0;o=C;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d+56>>2]=4;k[d>>2]=11100;i[d+60>>0]=0;i[d+61>>0]=0;k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(74,B|0,51792,1);C=y;y=0;do if(C&1)c=pb()|0;else{y=0;oa(549,d+64|0,B|0);C=y;y=0;if(C&1){c=pb()|0;A9(B);break}A9(B);k[d+76>>2]=0;y=0;oa(460,D|0,d|0);C=y;y=0;if(C&1)break c;k[D>>2]=7284;y=0;oa(c|0,e|0,D|0);C=y;y=0;if(C&1){c=pb()|0;DO(D);break a}DO(D);c=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(586,F|0,b|0);D=y;y=0;if(D&1)break c;y=0;oa(460,E|0,k[F+4>>2]|0);D=y;y=0;do if(D&1)c=pb()|0;else{k[E>>2]=7284;y=0;oa(c|0,e|0,E|0);D=y;y=0;if(D&1){c=pb()|0;DO(E);break}DO(E);DO(F);c=k[f>>2]|0;y=0;oa(460,H|0,j|0);F=y;y=0;if(F&1)break c;k[H>>2]=7492;d=c+80|0;c=c+84|0;if(!(k[c>>2]|0))Q=77;else{y=0;na(423,d|0);F=y;y=0;if(!(F&1))Q=77}do if((Q|0)==77){k[c>>2]=k[H+4>>2];y=0;na(424,d|0);F=y;y=0;if(F&1)break;y=0;oa(460,G|0,k[c>>2]|0);F=y;y=0;if(F&1)break;k[G>>2]=7492;DO(G);DO(H);break b}while(0);c=pb()|0;DO(H);break a}while(0);DO(F);break a}while(0)}cra(d);break a}while(0);DO(A);break a}while(0);c=pb()|0;break a}while(0);cra(j);break a}while(0);while(1){k[L>>2]=k[l>>2];k[L+4>>2]=k[l+4>>2];k[L+8>>2]=k[l+8>>2];d=k[m>>2]|0;k[M>>2]=k[q>>2];k[M+4>>2]=k[q+4>>2];k[M+8>>2]=k[q+8>>2];k[O>>2]=k[s>>2];k[O+4>>2]=k[s+4>>2];k[O+8>>2]=k[s+8>>2];n=I;o=K;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;ta(53,b|0,1,0)|0;Q=y;y=0;if(Q&1){Q=10;break}y=0;c=ta(73,b|0,1,0)|0;Q=y;y=0;if(Q&1){Q=10;break}e=(c|0)==0;if(e){n=K;o=I;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));k[l>>2]=k[L>>2];k[l+4>>2]=k[L+4>>2];k[l+8>>2]=k[L+8>>2];k[m>>2]=d;k[s>>2]=k[O>>2];k[s+4>>2]=k[O+4>>2];k[s+8>>2]=k[O+8>>2];k[q>>2]=k[M>>2];k[q+4>>2]=k[M+4>>2];k[q+8>>2]=k[M+8>>2]}c=k[f>>2]|0;if(e){Q=102;break}c=c+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(635,J|0,b|0);Q=y;y=0;if(Q&1){Q=10;break}y=0;oa(d|0,c|0,J|0);Q=y;y=0;if(Q&1){Q=101;break}DO(J)}if((Q|0)==10){c=pb()|0;Q=13;break}else if((Q|0)==101){c=pb()|0;DO(J);break}else if((Q|0)==102){y=0;oa(568,c|0,K|0);Q=y;y=0;if(Q&1){Q=12;break}r=P;return}}else if((Q|0)==47){c=pb()|0;DO(t);break}}}while(0);if((Q|0)==12){c=pb()|0;Q=13}DO(a);a=c;sb(a|0)}}c=pb()|0;DO(e);if(!d){a=c;sb(a|0)}}cra(f);a=c;sb(a|0)}function ae(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;N=0;L=r;r=r+464|0;K=L+416|0;M=L+404|0;m=L+392|0;n=L+352|0;E=L;x=L+336|0;z=L+324|0;A=L+312|0;B=L+272|0;g=L+256|0;h=L+244|0;s=L+232|0;t=L+192|0;J=L+120|0;I=L+64|0;C=L+152|0;G=L+144|0;H=L+132|0;D=L+40|0;u=L+80|0;v=L+72|0;w=L+48|0;F=b+76|0;c=HJ(k[F>>2]|0)|0;f=b+80|0;if((c|0)==0?1:c>>>0>(k[f>>2]|0)>>>0)c=k[F>>2]|0;q=mW(c)|0;c=q|0?q:c;a:do if(c|0){d=i[48639]|0;if(d<<24>>24){e=48639;do{if((i[c>>0]|0)!=d<<24>>24)break a;c=c+1|0;e=e+1|0;d=i[e>>0]|0}while(d<<24>>24!=0)}d=i[50303]|0;b:do if(!(d<<24>>24))d=0;else{e=50303;while(1){if((i[c>>0]|0)!=d<<24>>24)break b;c=c+1|0;e=e+1|0;d=i[e>>0]|0;if(!(d<<24>>24)){d=0;break}}}while(0);q=d<<24>>24==0?c:0;if(!((q|0)==0?1:q>>>0>(k[f>>2]|0)>>>0)){k[F>>2]=(k[F>>2]|0)+2;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;aI(K,43044,11);k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(74,M|0,43056,7);q=y;y=0;if(q&1)c=pb()|0;else{k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,43423,44);q=y;y=0;do if(q&1)c=pb()|0;else{y=0;ma(10,b|0,K|0,M|0,m|0,1);q=y;y=0;if(q&1){c=pb()|0;A9(m);break}else{A9(m);A9(M);A9(K);break a}}while(0);A9(M)}A9(K);a=c;sb(a|0)}}while(0);LT(a,0);k[a>>2]=10120;y=0;c=qa(343,k[F>>2]|0)|0;q=y;y=0;c:do if(q&1)N=63;else{if((c|0)==0?1:c>>>0>(k[f>>2]|0)>>>0)c=k[F>>2]|0;y=0;d=qa(344,c|0)|0;q=y;y=0;if(q&1)N=63;else{y=0;c=qa(374,(d|0?d:c)|0)|0;q=y;y=0;if(q&1)N=63;else{if(c|0){y=0;c=qa(375,c|0)|0;q=y;y=0;if(q&1){N=63;break}if(c|0){q=(i[c>>0]|0)==58?c+1|0:0;if(!((q|0)==0?1:q>>>0>(k[f>>2]|0)>>>0)){j=b+156|0;k[g>>2]=k[j>>2];k[g+4>>2]=k[j+4>>2];k[g+8>>2]=k[j+8>>2];d=k[F>>2]|0;l=b+84|0;k[h>>2]=k[l>>2];k[h+4>>2]=k[l+4>>2];k[h+8>>2]=k[l+8>>2];m=b+96|0;k[s>>2]=k[m>>2];k[s+4>>2]=k[m+4>>2];k[s+8>>2]=k[m+8>>2];n=b+108|0;o=t;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(53,b|0,1,0)|0;N=y;y=0;if(N&1){N=63;break}y=0;c=ta(99,b|0,1,0)|0;N=y;y=0;if(N&1){N=63;break}if(!c){o=n;p=t;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[j>>2]=k[g>>2];k[j+4>>2]=k[g+4>>2];k[j+8>>2]=k[g+8>>2];k[F>>2]=d;k[m>>2]=k[s>>2];k[m+4>>2]=k[s+4>>2];k[m+8>>2]=k[s+8>>2];k[l>>2]=k[h>>2];k[l+4>>2]=k[h+4>>2];k[l+8>>2]=k[h+8>>2]}f=k[b+160>>2]|0;g=k[b+164>>2]|0;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;h=g-f|0;if(h>>>0>4294967279){y=0;na(438,K|0);N=y;y=0;if(N&1)N=64;else N=37}else if(h>>>0<11){i[K+11>>0]=h;c=K;N=39}else N=37;if((N|0)==37){d=h+16&-16;y=0;c=qa(315,d|0)|0;N=y;y=0;if(N&1)N=64;else{k[K>>2]=c;k[K+8>>2]=d|-2147483648;k[K+4>>2]=h;N=39}}do if((N|0)==39){if((f|0)!=(g|0)){e=c;d=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(g|0))break;else e=e+1|0}c=c+h|0}i[c>>0]=0;y=0;oa(554,J|0,K|0);D=y;y=0;if(D&1){c=pb()|0;A9(K);break}A9(K);o=K;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[x>>2]=k[j>>2];k[x+4>>2]=k[j+4>>2];k[x+8>>2]=k[j+8>>2];d=k[F>>2]|0;k[z>>2]=k[l>>2];k[z+4>>2]=k[l+4>>2];k[z+8>>2]=k[l+8>>2];k[A>>2]=k[m>>2];k[A+4>>2]=k[m+4>>2];k[A+8>>2]=k[m+8>>2];o=B;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(53,b|0,1,0)|0;D=y;y=0;do if(D&1)N=67;else{y=0;c=ta(88,b|0,1,0)|0;D=y;y=0;if(D&1){N=67;break}if(!c){o=n;p=B;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[j>>2]=k[x>>2];k[j+4>>2]=k[x+4>>2];k[j+8>>2]=k[x+8>>2];k[F>>2]=d;k[m>>2]=k[A>>2];k[m+4>>2]=k[A+4>>2];k[m+8>>2]=k[A+8>>2];k[l>>2]=k[z>>2];k[l+4>>2]=k[z+4>>2];k[l+8>>2]=k[z+8>>2]}y=0;oa(573,I|0,b|0);F=y;y=0;if(F&1){N=67;break}y=0;e=qa(315,88)|0;F=y;y=0;d:do if(F&1)c=pb()|0;else{o=C;p=K;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(460,G|0,k[I+4>>2]|0);K=y;y=0;do if(K&1)c=pb()|0;else{k[G>>2]=7284;y=0;oa(456,H|0,J|0);K=y;y=0;if(K&1){c=pb()|0;DO(G);break}o=E;p=C;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;na(422,e|0);K=y;y=0;e:do if(K&1){c=1;N=71}else{o=e+12|0;p=E;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=9828;c=e+60|0;y=0;oa(460,c|0,k[G+4>>2]|0);K=y;y=0;do if(K&1)c=pb()|0;else{k[c>>2]=7284;y=0;oa(456,e+68|0,H|0);K=y;y=0;if(K&1){N=pb()|0;DO(c);c=N;break}i[e+80>>0]=0;i[e+81>>0]=0;k[e+84>>2]=0;y=0;oa(460,M|0,e|0);K=y;y=0;if(K&1){c=0;N=71;break e}k[M>>2]=10120;if((M|0)!=(a|0)){c=a+4|0;do if(k[c>>2]|0){y=0;na(423,a|0);K=y;y=0;if(!(K&1))break;c=pb()|0;DO(M);d=0;break e}while(0);a=M+4|0;k[c>>2]=k[a>>2];k[a>>2]=0}DO(M);A9(H);DO(G);DO(I);A9(J);r=L;return}while(0);d=1;N=72}while(0);if((N|0)==71){M=pb()|0;d=c;c=M;N=72}A9(H);DO(G);if(!d)break d}while(0);cra(e)}while(0);DO(I)}while(0);if((N|0)==67)c=pb()|0;A9(J);break c}else if((N|0)==64)c=pb()|0;while(0);break}}}y=0;oa(573,D|0,b|0);J=y;y=0;if(J&1){c=pb()|0;break}j=D+4|0;y=0;d=qa(336,k[j>>2]|0)|0;J=y;y=0;do if(J&1)c=pb()|0;else{e=b+156|0;k[K>>2]=k[e>>2];k[K+4>>2]=k[e+4>>2];k[K+8>>2]=k[e+8>>2];f=k[F>>2]|0;g=b+84|0;k[M>>2]=k[g>>2];k[M+4>>2]=k[g+4>>2];k[M+8>>2]=k[g+8>>2];h=b+96|0;k[m>>2]=k[h>>2];k[m+4>>2]=k[h+4>>2];k[m+8>>2]=k[h+8>>2];l=b+108|0;o=n;p=l;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;ta(53,b|0,1,0)|0;J=y;y=0;if(!(J&1)){y=0;c=ta(105,b|0,1,0)|0;J=y;y=0;if(!(J&1)){do if(!c){o=l;p=n;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));k[e>>2]=k[K>>2];k[e+4>>2]=k[K+4>>2];k[e+8>>2]=k[K+8>>2];k[F>>2]=f;k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];k[g>>2]=k[M>>2];k[g+4>>2]=k[M+4>>2];k[g+8>>2]=k[M+8>>2];c=0;d=0}else if((k[(k[j>>2]|0)+56>>2]|0)==6){c=1;d=0}else{if(d|0)if((k[d+80>>2]|0)==2){c=1;d=0;break}c=0;d=1}while(0);y=0;e=qa(315,88)|0;J=y;y=0;f:do if(J&1)c=pb()|0;else{o=u;p=l;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));y=0;oa(460,v|0,k[j>>2]|0);J=y;y=0;do if(J&1)c=pb()|0;else{k[v>>2]=7284;k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;y=0;Na(74,w|0,87975,0);J=y;y=0;if(J&1){c=pb()|0;DO(v);break}y=0;o=K;p=u;q=o+40|0;do{k[o>>2]=k[p>>2];o=o+4|0;p=p+4|0}while((o|0)<(q|0));ya(14,e|0,K|0,v|0,w|0,d|0,c|0);K=y;y=0;g:do if(K&1){c=1;N=104}else{y=0;oa(460,M|0,e|0);K=y;y=0;if(K&1){c=0;N=104;break}k[M>>2]=10120;if((M|0)!=(a|0)){c=a+4|0;do if(k[c>>2]|0){y=0;na(423,a|0);K=y;y=0;if(!(K&1))break;c=pb()|0;DO(M);d=0;break g}while(0);a=M+4|0;k[c>>2]=k[a>>2];k[a>>2]=0}DO(M);A9(w);DO(v);DO(D);r=L;return}while(0);if((N|0)==104){M=pb()|0;d=c;c=M}A9(w);DO(v);if(!d)break f}while(0);cra(e)}while(0);break}}c=pb()|0}while(0);DO(D)}}}while(0);if((N|0)==63)c=pb()|0;DO(a);a=c;sb(a|0)}function be(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;ca=0;aa=r;r=r+400|0;X=aa+40|0;_=aa;h=aa+360|0;j=aa+344|0;ba=aa+336|0;S=aa+328|0;V=aa+320|0;W=aa+304|0;T=aa+136|0;U=aa+120|0;Q=aa+112|0;R=aa+96|0;Y=aa+88|0;Z=aa+80|0;d=k[b+160>>2]|0;$=k[b+164>>2]|0;a:do if(d>>>0<$>>>0){f=0;c=d;b:while(1){e=i[c>>0]|0;if(!(e<<24>>24))break a;c:do if(f)f=0;else if(e<<24>>24==92)f=1;else{e=sB(c)|0;if(!e){o=i[48639]|0;if(!(o<<24>>24))if(!c){f=0;c=0;break}else break b;else{e=c;f=48639;g=o}while(1){if((i[e>>0]|0)!=g<<24>>24){f=0;break c}f=f+1|0;g=i[f>>0]|0;if(!(g<<24>>24)){ca=11;break b}else e=e+1|0}}else{f=0;c=e}}while(0);c=c+1|0;if(c>>>0>=$>>>0)break a}if((ca|0)==11)if(!c)break;j=IM(84)|0;M=b+108|0;l=X;m=M;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(422,j|0);P=y;y=0;do if(P&1)c=pb()|0;else{l=j+12|0;m=X;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[j>>2]=10968;k[c>>2]=4;e=j+60|0;k[e>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);P=y;y=0;if(P&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ca=e+-8|0;k[h>>2]=ca;lc[k[k[ca>>2]>>2]&511](ca);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=10796;k[e>>2]=10928;k[j+80>>2]=0;k[c>>2]=4;LT(ba,j);k[ba>>2]=13080;J=b+76|0;K=ba+4|0;p=V+4|0;q=b+80|0;s=$-d|0;t=s>>>0>4294967279;u=s+16&-16;v=u|-2147483648;w=_+8|0;x=_+4|0;z=(d|0)==($|0);A=_+11|0;B=s>>>0<11;C=s&255;D=U+4|0;E=U+8|0;F=b+40|0;G=b+72|0;I=T+56|0;O=T+44|0;H=W+4|0;P=T+48|0;L=T+60|0;l=d;c=o;d:while(1){while(1){g=0;e=l;e:while(1){f=i[e>>0]|0;if(!(f<<24>>24)){ca=131;break d}f:do if(g)g=0;else if(f<<24>>24==92)g=1;else{y=0;f=qa(351,e|0)|0;o=y;y=0;if(o&1){ca=58;break d}if(!f){if(!(c<<24>>24))if(!e){g=0;e=0;c=0;break}else break e;else{f=e;g=48639;h=c}while(1){if((i[f>>0]|0)!=h<<24>>24){g=0;break f}g=g+1|0;h=i[g>>0]|0;if(!(h<<24>>24)){ca=50;break e}else f=f+1|0}}else{g=0;e=f}}while(0);e=e+1|0;if(e>>>0>=$>>>0){ca=131;break d}}if((ca|0)==50){ca=0;if(!e){ca=131;break d}}if(l>>>0<e>>>0){f=k[J>>2]|0;k[J>>2]=l;g=(k[K>>2]|0)+60|0;h=k[(k[g>>2]|0)+20>>2]|0;y=0;Na(115,V|0,b|0,e|0);o=y;y=0;if(o&1){ca=62;break d}y=0;oa(460,S|0,k[p>>2]|0);o=y;y=0;if(o&1){ca=63;break d}k[S>>2]=7284;y=0;oa(h|0,g|0,S|0);o=y;y=0;if(o&1){ca=64;break d}DO(S);DO(V);k[J>>2]=f}j=e+2|0;y=0;f=qa(344,j|0)|0;o=y;y=0;if(o&1){ca=59;break d}y=0;f=qa(352,(f|0?f:j)|0)|0;o=y;y=0;if(o&1){ca=59;break d}if(f|0){g=i[50303]|0;g:do if(!(g<<24>>24))g=0;else{h=50303;while(1){if((i[f>>0]|0)!=g<<24>>24)break g;f=f+1|0;h=h+1|0;g=i[h>>0]|0;if(!(g<<24>>24)){g=0;break}}}while(0);o=g<<24>>24==0?f:0;if(!((o|0)==0?1:o>>>0>(k[q>>2]|0)>>>0)){k[J>>2]=e;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;y=0;Na(74,X|0,43044,11);o=y;y=0;if(o&1){ca=78;break d}k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;y=0;Na(74,_|0,43056,7);o=y;y=0;if(o&1){ca=79;break d}k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;y=0;Na(74,W|0,43423,44);o=y;y=0;if(o&1){ca=80;break d}y=0;ma(10,b|0,X|0,_|0,W|0,1);o=y;y=0;if(o&1){ca=81;break d}A9(W);A9(_);A9(X)}}h=zk(j,$)|0;if(h|0)break;k[_>>2]=0;k[_+4>>2]=0;k[_+8>>2]=0;if(t){y=0;na(438,_|0);ca=y;y=0;if(ca&1){ca=126;break d}else ca=117}else if(B){i[A>>0]=C;e=_}else ca=117;if((ca|0)==117){ca=0;y=0;e=qa(315,u|0)|0;o=y;y=0;if(o&1){ca=126;break d}k[_>>2]=e;k[w>>2]=v;k[x>>2]=s}if(!z){f=e;g=d;while(1){i[f>>0]=i[g>>0]|0;g=g+1|0;if((g|0)==($|0))break;else f=f+1|0}e=e+s|0}i[e>>0]=0;k[R>>2]=0;k[R+4>>2]=0;k[R+8>>2]=0;e=i[A>>0]|0;e=e<<24>>24<0?k[x>>2]|0:e&255;y=0;Ra(10,R|0,43683,56,e+56|0);o=y;y=0;if(o&1){ca=127;break d}y=0;ta(41,R|0,((i[A>>0]|0)<0?k[_>>2]|0:_)|0,e|0)|0;o=y;y=0;if(o&1){ca=127;break d}y=0;k[X>>2]=k[M>>2];k[X+4>>2]=k[M+4>>2];k[X+8>>2]=k[M+8>>2];Na(108,b|0,R|0,X|0);o=y;y=0;if(o&1){ca=128;break d}A9(R);A9(_)}k[U>>2]=j;k[D>>2]=j;k[E>>2]=h;e=k[F>>2]|0;f=k[G>>2]|0;y=0;k[_>>2]=k[U>>2];k[_+4>>2]=k[U+4>>2];k[_+8>>2]=k[U+8>>2];l=X;m=M;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));ma(12,T|0,_|0,e|0,X|0,f|0);o=y;y=0;if(o&1){ca=100;break}y=0;Na(111,W|0,T|0,1);o=y;y=0;if(o&1){ca=101;break}e=k[I>>2]|0;f=e;if(e|0){g=k[L>>2]|0;if((g|0)!=(e|0))k[L>>2]=g+(~((g+-4-f|0)>>>2)<<2);cra(e)}e=k[O>>2]|0;if(e|0){f=k[P>>2]|0;if((f|0)!=(e|0)){do{o=f+-8|0;k[P>>2]=o;lc[k[k[o>>2]>>2]&511](o);f=k[P>>2]|0}while((f|0)!=(e|0));e=k[O>>2]|0}cra(e)}o=k[H>>2]|0;i[o+54>>0]=1;e=(k[K>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(460,Q|0,o|0);o=y;y=0;if(o&1){ca=110;break}k[Q>>2]=7284;y=0;oa(f|0,e|0,Q|0);o=y;y=0;if(o&1){ca=111;break}DO(Q);DO(W);if(h>>>0<$>>>0)l=h;else{ca=140;break}}h:switch(ca|0){case 58:{c=pb()|0;ca=61;break}case 59:{c=pb()|0;ca=61;break}case 62:{c=pb()|0;break}case 63:{c=pb()|0;ca=65;break}case 64:{c=pb()|0;DO(S);ca=65;break}case 78:{c=pb()|0;ca=84;break}case 79:{c=pb()|0;ca=83;break}case 80:{c=pb()|0;ca=82;break}case 81:{c=pb()|0;A9(W);ca=82;break}case 100:{c=pb()|0;break}case 101:{c=pb()|0;g=N;d=k[I>>2]|0;e=d;if(d|0){f=k[L>>2]|0;if((f|0)!=(d|0))k[L>>2]=f+(~((f+-4-e|0)>>>2)<<2);cra(d)}d=k[O>>2]|0;if(d){e=k[P>>2]|0;if((e|0)!=(d|0)){do{aa=e+-8|0;k[P>>2]=aa;lc[k[k[aa>>2]>>2]&511](aa);e=k[P>>2]|0}while((e|0)!=(d|0));d=k[O>>2]|0}cra(d)}break}case 110:{c=pb()|0;ca=112;break}case 111:{c=pb()|0;DO(Q);ca=112;break}case 126:{c=pb()|0;ca=130;break}case 127:{c=pb()|0;A9(R);ca=129;break}case 128:{c=pb()|0;A9(R);ca=129;break}case 131:{if(l>>>0<(k[q>>2]|0)>>>0){e=k[J>>2]|0;k[J>>2]=l;c=(k[K>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;Na(115,Z|0,b|0,$|0);$=y;y=0;if($&1){c=pb()|0;break}y=0;oa(460,Y|0,k[Z+4>>2]|0);$=y;y=0;do if($&1)c=pb()|0;else{k[Y>>2]=7284;y=0;oa(d|0,c|0,Y|0);$=y;y=0;if($&1){c=pb()|0;DO(Y);break}else{DO(Y);DO(Z);k[J>>2]=e;ca=140;break h}}while(0);DO(Z)}else ca=140;break}}do if((ca|0)==65)DO(V);else if((ca|0)==82){A9(_);ca=83}else if((ca|0)==112)DO(W);else if((ca|0)==129){A9(_);ca=130}else if((ca|0)==140){c=k[K>>2]|0;if(!c)c=0;else i[c+8>>0]=1;y=0;oa(460,a|0,c|0);ca=y;y=0;if(ca&1){c=pb()|0;ca=61;break}k[a>>2]=7492;DO(ba);r=aa;return}while(0);if((ca|0)!=61)if((ca|0)==83){A9(X);ca=84}DO(ba);ca=c;sb(ca|0)}while(0);cra(j);ca=c;sb(ca|0)}while(0);g=IM(80)|0;l=h;m=b+108|0;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;f=$-d|0;if(f>>>0>4294967279){y=0;na(438,j|0);ca=y;y=0;if(ca&1)ca=26;else ca=16}else if(f>>>0<11){i[j+11>>0]=f;c=j;ca=18}else ca=16;if((ca|0)==16){e=f+16&-16;y=0;c=qa(315,e|0)|0;ca=y;y=0;if(ca&1)ca=26;else{k[j>>2]=c;k[j+8>>2]=e|-2147483648;k[j+4>>2]=f;ca=18}}do if((ca|0)==18){if((d|0)!=($|0)){e=c;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==($|0))break;else e=e+1|0}c=c+f|0}i[c>>0]=0;l=_;m=h;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));y=0;na(422,g|0);ca=y;y=0;if(ca&1)d=1;else{l=g+12|0;m=_;n=l+40|0;do{k[l>>2]=k[m>>2];l=l+4|0;m=m+4|0}while((l|0)<(n|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=4;k[g>>2]=11100;i[g+60>>0]=0;i[g+61>>0]=0;y=0;oa(549,g+64|0,j|0);ca=y;y=0;if(ca&1){c=pb()|0;A9(j);break}k[g+76>>2]=0;y=0;oa(460,a|0,g|0);ca=y;y=0;if(ca&1)d=0;else{k[a>>2]=7492;A9(j);r=aa;return}}c=pb()|0;A9(j);if(!d){ca=c;sb(ca|0)}}else if((ca|0)==26)c=pb()|0;while(0);cra(g);ca=c;sb(ca|0)}function ce(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0.0,j=0.0,l=0.0,m=0.0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;J=0;I=r;r=r+576|0;H=I+200|0;z=I+160|0;v=I+120|0;q=I+80|0;A=I+40|0;s=I;t=I+536|0;w=I+496|0;u=I+480|0;x=I+440|0;B=I+424|0;g=I+384|0;n=I+368|0;o=I+328|0;d=I+288|0;D=I+280|0;C=I+264|0;e=I+252|0;f=I+240|0;do switch(spa(a)|0){case 0:{e=IM(68)|0;E=t;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;d=qa(389,a|0)|0;J=y;y=0;if(!(J&1)){E=s;F=t;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;na(422,e|0);J=y;y=0;if(!(J&1)){E=e+12|0;F=s;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=10672;i[e+60>>0]=d&1;k[e+64>>2]=0;k[e+56>>2]=1;J=e;r=I;return J|0}}J=pb()|0;cra(e);sb(J|0)}case 1:{e=IM(104)|0;E=w;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;h=+Aa(2,a|0);G=y;y=0;do if(G&1)J=11;else{y=0;d=qa(390,a|0)|0;G=y;y=0;if(G&1)J=11;else{k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;G=IJ(d)|0;y=0;Na(74,u|0,d|0,G|0);G=y;y=0;if(G&1)J=11;else{y=0;E=H;F=w;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));Ca(1,e|0,H|0,+h,u|0,1);H=y;y=0;if(H&1){d=pb()|0;A9(u);break}A9(u);J=e;r=I;return J|0}}}while(0);if((J|0)==11)d=pb()|0;cra(e);J=d;sb(J|0)}case 2:{e=IM(112)|0;E=x;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;j=+Aa(3,a|0);H=y;y=0;if(H&1)J=23;else{y=0;l=+Aa(4,a|0);H=y;y=0;if(H&1)J=23;else{y=0;m=+Aa(5,a|0);H=y;y=0;if(H&1)J=23;else{y=0;h=+Aa(6,a|0);H=y;y=0;if(H&1)J=23;else{k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(74,B|0,87975,0);H=y;y=0;if(H&1)J=23;else{E=A;F=x;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;na(422,e|0);H=y;y=0;do if(H&1)d=pb()|0;else{E=e+12|0;F=A;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;d=e+56|0;k[d>>2]=0;k[e>>2]=10548;p[e+64>>3]=j;p[e+72>>3]=l;p[e+80>>3]=m;p[e+88>>3]=h;y=0;oa(456,e+96|0,B|0);H=y;y=0;if(H&1){d=pb()|0;break}k[e+108>>2]=0;k[d>>2]=3;A9(B);J=e;r=I;return J|0}while(0);A9(B)}}}}}if((J|0)==23)d=pb()|0;cra(e);J=d;sb(J|0)}case 3:{G=hna(a)|0;e=IM(80)|0;if(G){E=g;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;d=qa(391,a|0)|0;G=y;y=0;do if(G&1)J=32;else{k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;G=IJ(d)|0;y=0;Na(74,n|0,d|0,G|0);G=y;y=0;if(G&1)J=32;else{y=0;E=H;F=g;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));Ea(2,e|0,H|0,n|0,0,0,0,1);H=y;y=0;if(H&1){d=pb()|0;A9(n);break}A9(n);J=e;r=I;return J|0}}while(0);if((J|0)==32)d=pb()|0;cra(e);J=d;sb(J|0)}E=o;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;d=qa(391,a|0)|0;G=y;y=0;if(G&1)J=43;else{E=q;F=o;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;na(422,e|0);G=y;y=0;if(G&1)J=43;else{E=e+12|0;F=q;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=4;k[e>>2]=11100;i[e+60>>0]=0;i[e+61>>0]=0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;G=IJ(d)|0;y=0;Na(74,H|0,d|0,G|0);G=y;y=0;do if(G&1)d=pb()|0;else{y=0;oa(549,e+64|0,H|0);G=y;y=0;if(G&1){d=pb()|0;A9(H);break}A9(H);k[e+76>>2]=0;J=e;r=I;return J|0}while(0)}}if((J|0)==43)d=pb()|0;cra(e);J=d;sb(J|0)}case 4:{s=IM(88)|0;E=d;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;e=qa(392,a|0)|0;G=y;y=0;do if(G&1)J=58;else{y=0;f=qa(393,a|0)|0;G=y;y=0;if(G&1)J=58;else{E=v;F=d;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;na(422,s|0);G=y;y=0;if(G&1)J=58;else{E=s+12|0;F=v;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;d=s+56|0;k[d>>2]=0;k[s>>2]=9288;q=s+60|0;k[q>>2]=9248;n=s+64|0;o=s+68|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;y=0;oa(514,n|0,e|0);G=y;y=0;if(G&1){d=pb()|0;g=N;e=k[n>>2]|0;if(e|0){f=k[o>>2]|0;if((f|0)!=(e|0)){do{I=f+-8|0;k[o>>2]=I;lc[k[k[I>>2]>>2]&511](I);f=k[o>>2]|0}while((f|0)!=(e|0));e=k[n>>2]|0}cra(e)}break}k[s>>2]=9076;k[q>>2]=9208;k[s+80>>2]=f;i[s+84>>0]=0;i[s+85>>0]=0;k[d>>2]=5;e=Roa(a)|0;a:do if(e|0){d=0;while(1){f=k[(k[q>>2]|0)+20>>2]|0;g=Tea(a,d)|0;E=H;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));LT(D,ce(g,b,H)|0);k[D>>2]=7284;y=0;oa(f|0,q|0,D|0);J=y;y=0;if(J&1)break;DO(D);d=d+1|0;if(d>>>0>=e>>>0)break a}J=pb()|0;DO(D);sb(J|0)}while(0);J=s;r=I;return J|0}}}while(0);if((J|0)==58)d=pb()|0;cra(s);J=d;sb(J|0)}case 5:{s=IM(108)|0;E=z;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;na(422,s|0);G=y;y=0;do if(G&1)d=pb()|0;else{E=s+12|0;F=z;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));i[s+52>>0]=0;i[s+53>>0]=0;i[s+54>>0]=0;d=s+56|0;k[d>>2]=0;k[s>>2]=9288;q=s+60|0;y=0;oa(556,q|0,0);G=y;y=0;if(G&1){d=pb()|0;break}k[s>>2]=9412;k[q>>2]=9540;k[d>>2]=6;g=Voa(a)|0;b:do if(g|0){n=C+8|0;o=C+8|0;f=0;while(1){d=Tfa(a,f)|0;E=H;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));d=ce(d,b,H)|0;e=tea(a,f)|0;E=H;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));G=ce(e,b,H)|0;LT(C,d);k[C>>2]=7284;y=0;oa(460,n|0,G|0);G=y;y=0;if(G&1){J=72;break}k[n>>2]=7284;y=0;Ha(988,q|0,C|0)|0;G=y;y=0;if(G&1)break;DO(o);DO(C);f=f+1|0;if(f>>>0>=g>>>0)break b}if((J|0)==72){J=pb()|0;DO(C);sb(J|0)}J=pb()|0;DO(o);DO(C);sb(J|0)}while(0);J=s;r=I;return J|0}while(0);cra(s);J=d;sb(J|0)}case 6:{d=IM(60)|0;E=H;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));y=0;na(422,d|0);J=y;y=0;if(J&1){J=pb()|0;cra(d);sb(J|0)}else{E=d+12|0;F=H;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d>>2]=12584;k[d+56>>2]=8;J=d;r=I;return J|0}}case 7:{d=Doa(a)|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;aI(z,d,IJ(d)|0);y=0;d=ta(46,z|0,0,46358)|0;J=y;y=0;do if(J&1)d=pb()|0;else{k[e>>2]=k[d>>2];k[e+4>>2]=k[d+4>>2];k[e+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;E=H;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));Na(98,e|0,H|0,b|0);J=y;y=0;if(J&1){d=pb()|0;A9(e);break}A9(e);A9(z);J=0;r=I;return J|0}while(0);A9(z);J=d;sb(J|0)}case 8:{d=noa(a)|0;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;aI(z,d,IJ(d)|0);y=0;d=ta(46,z|0,0,46380)|0;J=y;y=0;do if(J&1)d=pb()|0;else{k[f>>2]=k[d>>2];k[f+4>>2]=k[d+4>>2];k[f+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;E=H;F=c;G=E+40|0;do{k[E>>2]=k[F>>2];E=E+4|0;F=F+4|0}while((E|0)<(G|0));Na(98,f|0,H|0,b|0);J=y;y=0;if(J&1){d=pb()|0;A9(f);break}A9(f);A9(z);J=0;r=I;return J|0}while(0);A9(z);J=d;sb(J|0)}default:{J=0;r=I;return J|0}}while(0);return 0}function de(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0.0,i=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0;z=0;C=r;r=r+640|0;D=C+592|0;E=C+464|0;u=C+264|0;t=C+580|0;x=C+120|0;w=C+568|0;A=C+528|0;B=C+512|0;d=C+472|0;j=C+448|0;g=C+408|0;n=C+104|0;o=C+92|0;l=C+80|0;i=C+40|0;q=C+24|0;s=C+12|0;m=C;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;aI(D,39291,6);y=0;b=Ha(975,a|0,D|0)|0;v=y;y=0;if(!(v&1)){y=0;oa(460,E|0,k[b+4>>2]|0);v=y;y=0;if(!(v&1)){k[E>>2]=6336;A9(D);b=E+4|0;y=0;f=qa(335,k[b>>2]|0)|0;v=y;y=0;a:do if(v&1)b=pb()|0;else{b=k[b>>2]|0;do if(b|0){c=k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0;if((b|0)==0|(k[35]|0)!=(c|0)){if((b|0)==0|(k[287]|0)!=(c|0))break;z=k[20063]|0;x=((z+1|0)>>>0)%624|0;B=77756+(z<<2)|0;c=77756+(x<<2)|0;A=k[c>>2]|0;k[B>>2]=0-(A&1)&-1727483681^k[77756+((((z+397|0)>>>0)%624|0)<<2)>>2]^(A&2147483646|k[B>>2]&-2147483648)>>>1;B=k[77756+(k[20063]<<2)>>2]|0;B=B>>>11^B;k[20063]=x;B=B<<7&-1658038656^B;B=B<<15&-272236544^B;A=((x+1|0)>>>0)%624|0;z=k[77756+(A<<2)>>2]|0;k[c>>2]=0-(z&1)&-1727483681^k[77756+((((x+397|0)>>>0)%624|0)<<2)>>2]^(z&2147483646|k[c>>2]&-2147483648)>>>1;c=k[77756+(k[20063]<<2)>>2]|0;c=c>>>11^c;k[20063]=A;c=c<<7&-1658038656^c;c=c<<15&-272236544^c;h=(+((B>>>18^B)>>>0)+ +((c>>>18^c)>>>0)*4294967296.0)*5.421010862427522e-20+0.0;y=0;c=qa(315,104)|0;B=y;y=0;if(B&1){b=pb()|0;break a}b=d;a=e;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{y=0;b=D;a=d;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));Ca(1,c|0,D|0,+h,j|0,1);e=y;y=0;if(e&1){b=pb()|0;A9(j);break}A9(j);e=c;DO(E);r=C;return e|0}while(0);cra(c);break a}h=+p[b+64>>3];b:do if(h<1.0){g=u+64|0;b=u+8|0;k[b>>2]=15992;f=u+12|0;k[u>>2]=16032;k[g>>2]=16052;k[u+4>>2]=0;y=0;oa(528,u+64|0,f|0);v=y;y=0;if(v&1)b=pb()|0;else{k[u+136>>2]=0;k[u+140>>2]=-1;k[u>>2]=15972;k[g>>2]=16012;k[b>>2]=15992;y=0;na(433,f|0);v=y;y=0;do if(v&1)b=pb()|0;else{k[f>>2]=15832;c=u+44|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[u+60>>2]=24;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;oa(529,f|0,D|0);v=y;y=0;if(v&1){b=pb()|0;A9(D);A9(c);Xaa(f);break}A9(D);d=u+8|0;y=0;b=ta(47,d|0,39298,7)|0;v=y;y=0;do if(v&1)z=23;else{y=0;b=Da(1,b|0,+h)|0;v=y;y=0;if(v&1)z=23;else{y=0;ta(47,b|0,39306,48)|0;v=y;y=0;if(v&1)z=23;else{y=0;oa(530,t|0,f|0);v=y;y=0;if(v&1)z=23;else{y=0;b=D;a=e;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));oa(454,t|0,D|0);v=y;y=0;if(v&1){b=pb()|0;A9(t);break}else{A9(t);k[u>>2]=15972;k[g>>2]=16012;k[d>>2]=15992;k[f>>2]=15832;A9(c);Xaa(f);nla(u,16064);Vja(g);break b}}}}}while(0);if((z|0)==23)b=pb()|0;k[u>>2]=15972;k[g>>2]=16012;k[d>>2]=15992;k[f>>2]=15832;A9(c);Xaa(f);nla(u,16064);Vja(g);break a}while(0);nla(u,16064)}Vja(g);break a}while(0);c:do if(!(+P(+(+XH(h)-h))<1.0e-14)){g=x+64|0;b=x+8|0;k[b>>2]=15992;f=x+12|0;k[x>>2]=16032;k[g>>2]=16052;k[x+4>>2]=0;y=0;oa(528,x+64|0,f|0);v=y;y=0;if(v&1)b=pb()|0;else{k[x+136>>2]=0;k[x+140>>2]=-1;k[x>>2]=15972;k[g>>2]=16012;k[b>>2]=15992;y=0;na(433,f|0);v=y;y=0;do if(v&1)b=pb()|0;else{k[f>>2]=15832;c=x+44|0;k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[c+12>>2]=0;k[x+60>>2]=24;k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;y=0;oa(529,f|0,D|0);v=y;y=0;if(v&1){b=pb()|0;A9(D);A9(c);Xaa(f);break}A9(D);d=x+8|0;y=0;b=ta(47,d|0,39355,41)|0;v=y;y=0;do if(v&1)z=41;else{y=0;b=Da(1,b|0,+h)|0;v=y;y=0;if(v&1)z=41;else{y=0;ta(47,b|0,39397,13)|0;v=y;y=0;if(v&1)z=41;else{y=0;oa(530,w|0,f|0);v=y;y=0;if(v&1){z=41;break}y=0;b=D;a=e;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));oa(454,w|0,D|0);v=y;y=0;if(v&1){b=pb()|0;A9(w);break}else{A9(w);k[x>>2]=15972;k[g>>2]=16012;k[d>>2]=15992;k[f>>2]=15832;A9(c);Xaa(f);nla(x,16064);Vja(g);break c}}}}while(0);if((z|0)==41)b=pb()|0;k[x>>2]=15972;k[g>>2]=16012;k[d>>2]=15992;k[f>>2]=15832;A9(c);Xaa(f);nla(x,16064);Vja(g);break a}while(0);nla(x,16064)}Vja(g);break a}while(0);w=k[20063]|0;v=((w+1|0)>>>0)%624|0;z=77756+(w<<2)|0;c=77756+(v<<2)|0;x=k[c>>2]|0;k[z>>2]=0-(x&1)&-1727483681^k[77756+((((w+397|0)>>>0)%624|0)<<2)>>2]^(x&2147483646|k[z>>2]&-2147483648)>>>1;z=k[77756+(k[20063]<<2)>>2]|0;z=z>>>11^z;k[20063]=v;z=z<<7&-1658038656^z;z=z<<15&-272236544^z;x=((v+1|0)>>>0)%624|0;w=k[77756+(x<<2)>>2]|0;k[c>>2]=0-(w&1)&-1727483681^k[77756+((((v+397|0)>>>0)%624|0)<<2)>>2]^(w&2147483646|k[c>>2]&-2147483648)>>>1;c=k[77756+(k[20063]<<2)>>2]|0;c=c>>>11^c;k[20063]=x;c=c<<7&-1658038656^c;c=c<<15&-272236544^c;h=(h+1.0+-1.0)*(+((z>>>18^z)>>>0)+ +((c>>>18^c)>>>0)*4294967296.0)*5.421010862427522e-20+1.0;y=0;c=qa(315,104)|0;z=y;y=0;if(z&1){b=pb()|0;break a}b=A;a=e;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));k[B>>2]=0;k[B+4>>2]=0;k[B+8>>2]=0;y=0;Na(74,B|0,87975,0);e=y;y=0;do if(e&1)b=pb()|0;else{h=+(~~h>>>0>>>0);y=0;b=D;a=A;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));Ca(1,c|0,D|0,+h,B|0,1);e=y;y=0;if(e&1){b=pb()|0;A9(B);break}A9(B);e=c;DO(E);r=C;return e|0}while(0);cra(c);break a}while(0);d=gb(116)|0;if(!f){b=i;a=e;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,39411,6);e=y;y=0;do if(e&1)b=pb()|0;else{k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,39291,6);e=y;y=0;if(e&1){b=pb()|0;A9(q);break}k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,38091,6);e=y;y=0;if(e&1){b=pb()|0;c=1}else{y=0;b=D;a=i;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));ya(13,d|0,D|0,q|0,s|0,m|0,0);e=y;y=0;if(e&1)b=1;else{y=0;Na(75,d|0,2288,224);y=0;b=0}e=pb()|0;A9(m);c=b;b=e}A9(s);A9(q);if(!c)break a}while(0);fb(d|0);break}else{b=g;a=e;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,39411,6);e=y;y=0;do if(e&1)b=pb()|0;else{k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;y=0;Na(74,o|0,39291,6);e=y;y=0;if(e&1){b=pb()|0;A9(n);break}k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,38091,6);e=y;y=0;if(e&1){b=pb()|0;c=1}else{y=0;b=D;a=g;v=b+40|0;do{k[b>>2]=k[a>>2];b=b+4|0;a=a+4|0}while((b|0)<(v|0));ya(13,d|0,D|0,n|0,o|0,l|0,f|0);e=y;y=0;if(e&1)c=1;else{y=0;Na(75,d|0,2288,224);y=0;c=0}b=pb()|0;A9(l)}A9(o);A9(n);if(!c)break a}while(0);fb(d|0);break}}while(0);DO(E);E=b;sb(E|0)}}E=pb()|0;A9(D);sb(E|0);return 0}function ee(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;E=0;B=r;r=r+272|0;C=B+80|0;v=B+260|0;t=B+40|0;z=B;G=B+248|0;F=B+196|0;D=B+132|0;q=B+208|0;w=B+184|0;x=B+144|0;A=B+120|0;g=k[b+56>>2]|0;h=k[c+56>>2]|0;u=k[a>>2]|0;l=k[b>>2]|0;s=k[307]|0;o=(s|0)==(k[(k[l+-4>>2]|0)+4>>2]|0);n=o?b:0;s=(s|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0);p=s?c:0;if(o)cL(G,n+64|0);else{l=k[l+28>>2]|0;k[C>>2]=k[d>>2];k[C+4>>2]=k[d+4>>2];k[C+8>>2]=k[d+8>>2];Lc[l&255](G,b,C)}if(s){y=0;oa(456,F|0,p+64|0);d=y;y=0;if(d&1)E=11}else{l=k[(k[c>>2]|0)+28>>2]|0;y=0;k[C>>2]=k[d>>2];k[C+4>>2]=k[d+4>>2];k[C+8>>2]=k[d+8>>2];Na(l|0,F|0,c|0,C|0);d=y;y=0;if(d&1)E=11}if((E|0)==11){F=pb()|0;A9(G);sb(F|0)}do if((g|0)==8){l=gb(40)|0;y=0;oa(650,C|0,u|0);E=y;y=0;if(E&1)g=pb()|0;else{y=0;Ra(39,l|0,b|0,c|0,C|0);E=y;y=0;if(E&1)h=1;else{y=0;Na(75,l|0,3496,266);y=0;h=0}g=pb()|0;A9(C);if(!h)break}fb(l|0)}else{if((h|0)==8){l=gb(40)|0;y=0;oa(650,C|0,u|0);E=y;y=0;if(E&1)g=pb()|0;else{y=0;Ra(39,l|0,b|0,c|0,C|0);E=y;y=0;if(E&1)h=1;else{y=0;Na(75,l|0,3496,266);y=0;h=0}g=pb()|0;A9(C);if(!h)break}fb(l|0);break}k[D>>2]=0;k[D+4>>2]=0;k[D+8>>2]=0;a:do switch(u|0){case 9:{y=0;Ha(1009,D|0,48674)|0;E=y;y=0;if(E&1)E=24;else E=44;break}case 11:{y=0;Ha(1009,D|0,48589)|0;E=y;y=0;if(E&1)E=24;else E=44;break}case 2:{y=0;Ha(1009,D|0,48682)|0;E=y;y=0;if(E&1)E=24;else E=44;break}case 3:{y=0;Ha(1009,D|0,48685)|0;E=y;y=0;if(E&1)E=24;else E=44;break}case 6:{y=0;Ha(1009,D|0,48691)|0;E=y;y=0;if(E&1)E=24;else E=44;break}case 4:{y=0;Ha(1009,D|0,48587)|0;E=y;y=0;if(E&1)E=24;else E=44;break}case 7:{y=0;Ha(1009,D|0,48693)|0;E=y;y=0;if(E&1)E=24;else E=44;break}case 5:{y=0;Ha(1009,D|0,48688)|0;E=y;y=0;if(E&1)E=24;else E=44;break}case 10:{d=gb(40)|0;y=0;oa(650,C|0,10);B=y;y=0;if(B&1){g=pb()|0;h=N}else{y=0;Ra(37,d|0,b|0,c|0,C|0);B=y;y=0;if(B&1)l=1;else{y=0;Na(75,d|0,3512,266);y=0;l=0}g=pb()|0;h=N;A9(C);if(!l)break a}fb(d|0);break}case 12:{d=gb(40)|0;y=0;oa(650,C|0,12);B=y;y=0;if(B&1){g=pb()|0;h=N}else{y=0;Ra(37,d|0,b|0,c|0,C|0);B=y;y=0;if(B&1)l=1;else{y=0;Na(75,d|0,3512,266);y=0;l=0}g=pb()|0;h=N;A9(C);if(!l)break a}fb(d|0);break}default:E=44}while(0);b:do if((E|0)==44){c=D+11|0;h=i[c>>0]|0;b=D+4|0;g=k[b>>2]|0;do if(!((h<<24>>24<0?g:h&255)|0)){y=0;g=sa(21,D|0,0,-1,87975,0)|0;d=y;y=0;if(d&1){d=tb(0)|0;Sla(d)}if(g|0){h=i[c>>0]|0;g=k[b>>2]|0;break}y=0;l=qa(315,80)|0;A=y;y=0;if(A&1){E=24;break b}d=q;g=e;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));k[w>>2]=0;k[w+4>>2]=0;k[w+8>>2]=0;A=i[G+11>>0]|0;z=A<<24>>24<0;A=z?k[G+4>>2]|0:A&255;g=F+11|0;h=i[g>>0]|0;h=h<<24>>24<0?k[F+4>>2]|0:h&255;y=0;Ra(10,w|0,(z?k[G>>2]|0:G)|0,A|0,h+A|0);A=y;y=0;if(A&1)E=59;else{y=0;ta(41,w|0,((i[g>>0]|0)<0?k[F>>2]|0:F)|0,h|0)|0;A=y;y=0;if(A&1)E=59;else{d=t;g=q;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));y=0;oa(456,v|0,w|0);A=y;y=0;if(A&1)g=pb()|0;else{d=C;g=t;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));y=0;na(422,l|0);A=y;y=0;do if(A&1)g=pb()|0;else{d=l+12|0;g=C;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=4;k[l>>2]=11100;i[l+60>>0]=0;i[l+61>>0]=0;y=0;oa(549,l+64|0,v|0);C=y;y=0;if(C&1){g=pb()|0;break}k[l+76>>2]=0;A9(v);k[l>>2]=11232;A9(w);E=l;A9(D);A9(F);A9(G);r=B;return E|0}while(0);A9(v)}A9(w)}}if((E|0)==59){g=pb()|0;A9(w)}cra(l);break b}while(0);do if(!((h<<24>>24<0?g:h&255)|0)){y=0;g=sa(21,D|0,0,-1,87975,0)|0;w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}else{m=(g|0)!=0;break}}else m=1;while(0);do if(!(f|m^1)){g=j[a+4>>1]|0;do if((g&255)<<24>>24){k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;h=i[c>>0]|0;h=h<<24>>24<0?k[b>>2]|0:h&255;y=0;Ra(10,C|0,51792,1,h+1|0);w=y;y=0;if(!(w&1)){y=0;ta(41,C|0,((i[c>>0]|0)<0?k[D>>2]|0:D)|0,h|0)|0;w=y;y=0;if(!(w&1)){if((i[c>>0]|0)<0){i[k[D>>2]>>0]=0;k[b>>2]=0}else{i[D>>0]=0;i[c>>0]=0}y=0;oa(500,D|0,0);w=y;y=0;if(w&1){B=tb(0)|0;Sla(B)}else{k[D>>2]=k[C>>2];k[D+4>>2]=k[C+4>>2];k[D+8>>2]=k[C+8>>2];k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;A9(C);break}}}g=pb()|0;A9(C);break b}while(0);if((g&65535)>=256){k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;w=i[c>>0]|0;v=w<<24>>24<0;w=v?k[b>>2]|0:w&255;y=0;Ra(10,C|0,(v?k[D>>2]|0:D)|0,w|0,w+1|0);w=y;y=0;if(!(w&1)){y=0;ta(41,C|0,51792,1)|0;w=y;y=0;if(!(w&1)){if((i[c>>0]|0)<0){i[k[D>>2]>>0]=0;k[b>>2]=0}else{i[D>>0]=0;i[c>>0]=0}y=0;oa(500,D|0,0);w=y;y=0;if(w&1){B=tb(0)|0;Sla(B)}else{k[D>>2]=k[C>>2];k[D+4>>2]=k[C+4>>2];k[D+8>>2]=k[C+8>>2];k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;A9(C);break}}}g=pb()|0;A9(C);break b}}while(0);do if((u|2|0)==11){do if(o)if(i[n+60>>0]|0){y=0;Na(99,C|0,G|0,0);w=y;y=0;if(w&1){g=pb()|0;break b}g=G+11|0;if((i[g>>0]|0)<0){i[k[G>>2]>>0]=0;k[G+4>>2]=0}else{i[G>>0]=0;i[g>>0]=0}y=0;oa(500,G|0,0);w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}else{k[G>>2]=k[C>>2];k[G+4>>2]=k[C+4>>2];k[G+8>>2]=k[C+8>>2];k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;A9(C);break}}while(0);if(s)if(i[p+60>>0]|0){y=0;Na(99,C|0,F|0,0);w=y;y=0;if(w&1){g=pb()|0;break b}g=F+11|0;if((i[g>>0]|0)<0){i[k[F>>2]>>0]=0;k[F+4>>2]=0}else{i[F>>0]=0;i[g>>0]=0}y=0;oa(500,F|0,0);w=y;y=0;if(w&1){w=tb(0)|0;Sla(w)}else{k[F>>2]=k[C>>2];k[F+4>>2]=k[C+4>>2];k[F+8>>2]=k[C+8>>2];k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;A9(C);break}}}while(0);y=0;l=qa(315,80)|0;w=y;y=0;if(w&1)E=24;else{d=x;g=e;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));k[C>>2]=0;k[C+4>>2]=0;k[C+8>>2]=0;e=i[G+11>>0]|0;w=e<<24>>24<0;e=w?k[G+4>>2]|0:e&255;g=i[c>>0]|0;g=g<<24>>24<0?k[b>>2]|0:g&255;y=0;Ra(10,C|0,(w?k[G>>2]|0:G)|0,e|0,g+e|0);e=y;y=0;if(e&1)E=117;else{y=0;ta(41,C|0,((i[c>>0]|0)<0?k[D>>2]|0:D)|0,g|0)|0;e=y;y=0;if(e&1)E=117;else{g=i[F+11>>0]|0;e=g<<24>>24<0;y=0;g=ta(41,C|0,(e?k[F>>2]|0:F)|0,(e?k[F+4>>2]|0:g&255)|0)|0;e=y;y=0;if(e&1)g=pb()|0;else{k[A>>2]=k[g>>2];k[A+4>>2]=k[g+4>>2];k[A+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;d=z;g=x;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));y=0;na(422,l|0);x=y;y=0;do if(x&1)g=pb()|0;else{d=l+12|0;g=z;h=d+40|0;do{k[d>>2]=k[g>>2];d=d+4|0;g=g+4|0}while((d|0)<(h|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=4;k[l>>2]=11100;i[l+60>>0]=0;i[l+61>>0]=0;y=0;oa(549,l+64|0,A|0);z=y;y=0;if(z&1){g=pb()|0;break}k[l+76>>2]=0;A9(A);A9(C);E=l;A9(D);A9(F);A9(G);r=B;return E|0}while(0);A9(A)}A9(C)}}if((E|0)==117){g=pb()|0;A9(C)}cra(l)}}while(0);if((E|0)==24)g=pb()|0;A9(D)}while(0);A9(F);F=g;A9(G);sb(F|0);return 0}function fe(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;k[dc+40>>2]=e;k[dc+48>>2]=f;k[dc+56>>2]=g;if((cc|0)==1)cc=3}Qc(fc+32116|0);return k[dc>>2]|0}function ge(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0;H=0;E=r;r=r+272|0;A=E+232|0;K=E+216|0;L=E+196|0;M=E+184|0;J=E+164|0;f=E+208|0;e=E+176|0;I=E+152|0;G=E+128|0;h=E+144|0;g=E+120|0;x=E+80|0;z=E+72|0;C=E+64|0;D=E+56|0;B=E+16|0;F=E;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;if(!(i[b+89>>0]|0))d=i[b+88>>0]|0?48628:87975;else d=47917;k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;s=IJ(d)|0;y=0;Na(74,M|0,d|0,s|0);s=y;y=0;if(s&1){M=pb()|0;A9(L);A9(K);sb(M|0)}d=b+84|0;y=0;oa(460,f|0,k[d>>2]|0);s=y;y=0;do if(s&1)d=pb()|0;else{k[f>>2]=7492;do if(!(k[f+4>>2]|0)){k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;y=0;Na(74,J|0,87975,0);s=y;y=0;if(s&1){d=pb()|0;H=26}}else{y=0;oa(460,e|0,k[d>>2]|0);s=y;y=0;if(s&1){d=pb()|0;H=26;break}k[e>>2]=7492;s=k[e+4>>2]|0;q=k[(k[s>>2]|0)+28>>2]|0;n=k[(k[a+4>>2]|0)+16>>2]|0;y=0;k[A>>2]=k[n>>2];k[A+4>>2]=k[n+4>>2];k[A+8>>2]=k[n+8>>2];Na(q|0,J|0,s|0,A|0);s=y;y=0;if(s&1){d=pb()|0;DO(e);H=26;break}else{DO(e);break}}while(0);if((H|0)==26){DO(f);break}DO(f);if(!(i[c+89>>0]|0))d=i[b+88>>0]|0?48628:87975;else d=47917;k[I>>2]=0;k[I+4>>2]=0;k[I+8>>2]=0;s=IJ(d)|0;y=0;Na(74,I|0,d|0,s|0);s=y;y=0;if(s&1)d=pb()|0;else{d=c+84|0;y=0;oa(460,h|0,k[d>>2]|0);s=y;y=0;do if(s&1)d=pb()|0;else{k[h>>2]=7492;do if(!(k[h+4>>2]|0)){k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(74,G|0,87975,0);s=y;y=0;if(s&1){d=pb()|0;H=32}}else{y=0;oa(460,g|0,k[d>>2]|0);s=y;y=0;if(s&1){d=pb()|0;H=32;break}k[g>>2]=7492;s=k[g+4>>2]|0;q=k[(k[s>>2]|0)+28>>2]|0;n=k[(k[a+4>>2]|0)+16>>2]|0;y=0;k[A>>2]=k[n>>2];k[A+4>>2]=k[n+4>>2];k[A+8>>2]=k[n+8>>2];Na(q|0,G|0,s|0,A|0);s=y;y=0;if(s&1){d=pb()|0;DO(g);H=32;break}else{DO(g);break}}while(0);if((H|0)==32){DO(h);break}DO(h);a=J+11|0;H=i[a>>0]|0;g=J+4|0;if(!((H<<24>>24<0?k[g>>2]|0:H&255)|0)){y=0;Ha(969,J|0,G|0)|0;H=y;y=0;if(H&1)H=33;else H=34}else H=34;a:do if((H|0)==34){l=G+11|0;s=i[l>>0]|0;n=G+4|0;if(!((s<<24>>24<0?k[n>>2]|0:s&255)|0)){y=0;Ha(969,G|0,J|0)|0;s=y;y=0;if(s&1){H=33;break}}q=M+11|0;h=i[q>>0]|0;s=M+4|0;do if(((h<<24>>24<0?k[s>>2]|0:h&255)|0)==3){y=0;d=sa(21,M|0,0,-1,48628,3)|0;h=y;y=0;if(h&1){h=tb(0)|0;Sla(h)}else{j=(d|0)==0;break}}else j=0;while(0);e=I+11|0;h=i[e>>0]|0;f=I+4|0;do if(((h<<24>>24<0?k[f>>2]|0:h&255)|0)==3){y=0;d=sa(21,I|0,0,-1,48628,3)|0;h=y;y=0;if(h&1){F=tb(0)|0;Sla(F)}else if(j^(d|0)==0){H=45;break}else{H=63;break}}else if(j)H=45;else H=63;while(0);b:do if((H|0)==45){f=i[a>>0]|0;j=f<<24>>24<0;f=f&255;h=j?k[g>>2]|0:f;m=i[l>>0]|0;d=m<<24>>24<0;do if((h|0)==((d?k[n>>2]|0:m&255)|0)){a=k[J>>2]|0;g=j?a:J;d=d?k[G>>2]|0:G;e=(h|0)==0;if(j){if(e){m=0;break b}if(!(bN(g,d,h)|0)){m=0;break b}else break}if(e){m=0;break b}if((a&255)<<24>>24==(i[d>>0]|0))e=J;else break;do{f=f+-1|0;e=e+1|0;if(!f){m=0;break b}d=d+1|0}while((i[e>>0]|0)==(i[d>>0]|0))}while(0);H=i[q>>0]|0;do if(((H<<24>>24<0?k[s>>2]|0:H&255)|0)==3){y=0;d=sa(21,M|0,0,-1,48628,3)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}else{o=(d|0)==0?G:J;break}}else o=J;while(0);y=0;Ha(969,K|0,o|0)|0;H=y;y=0;if(H&1){H=33;break a}H=i[q>>0]|0;do if(((H<<24>>24<0?k[s>>2]|0:H&255)|0)==3){y=0;d=sa(21,M|0,0,-1,48628,3)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}else{p=(d|0)==0?I:M;break}}else p=M;while(0);y=0;Ha(969,L|0,p|0)|0;H=y;y=0;if(H&1){H=33;break a}else H=91}else if((H|0)==63){p=i[q>>0]|0;do if(((p<<24>>24<0?k[s>>2]|0:p&255)|0)==3){y=0;d=sa(21,M|0,0,-1,48628,3)|0;p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}if(d|0)break;p=i[e>>0]|0;if(((p<<24>>24<0?k[f>>2]|0:p&255)|0)!=3)break;y=0;d=sa(21,I|0,0,-1,48628,3)|0;p=y;y=0;if(p&1){p=tb(0)|0;Sla(p)}if(d|0)break;f=i[a>>0]|0;j=f<<24>>24<0;f=f&255;h=j?k[g>>2]|0:f;s=i[l>>0]|0;d=s<<24>>24<0;if((h|0)!=((d?k[n>>2]|0:s&255)|0)){m=0;break b}a=k[J>>2]|0;g=j?a:J;d=d?k[G>>2]|0:G;e=(h|0)==0;c:do if(j){if(e)break;if(bN(g,d,h)|0){m=0;break b}}else{if(e)break;if((a&255)<<24>>24==(i[d>>0]|0))e=J;else{m=0;break b}while(1){f=f+-1|0;e=e+1|0;if(!f)break c;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){m=0;break b}}}while(0);y=0;Ha(969,K|0,J|0)|0;H=y;y=0;if(H&1){H=33;break a}y=0;Ha(1009,L|0,48628)|0;H=y;y=0;if(H&1){H=33;break a}else{H=91;break b}}while(0);f=i[a>>0]|0;j=f<<24>>24<0;f=f&255;h=j?k[g>>2]|0:f;p=i[l>>0]|0;d=p<<24>>24<0;if((h|0)==((d?k[n>>2]|0:p&255)|0)){a=k[J>>2]|0;g=j?a:J;d=d?k[G>>2]|0:G;e=(h|0)==0;d:do if(j){if(e)break;if(bN(g,d,h)|0){m=0;break b}}else{if(e)break;if((a&255)<<24>>24==(i[d>>0]|0))e=J;else{m=0;break b}while(1){f=f+-1|0;e=e+1|0;if(!f)break d;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0)){m=0;break b}}}while(0);y=0;Ha(969,K|0,J|0)|0;H=y;y=0;if(H&1){H=33;break a}H=i[q>>0]|0;y=0;Ha(969,L|0,(((H<<24>>24<0?k[s>>2]|0:H&255)|0)==0?I:M)|0)|0;H=y;y=0;if(H&1){H=33;break a}else H=91}else m=0}while(0);e:do if((H|0)==91){y=0;m=qa(315,92)|0;s=y;y=0;if(s&1){H=33;break a}h=b+12|0;d=x;e=h;a=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(a|0));y=0;oa(460,z|0,0);s=y;y=0;do if(s&1)d=pb()|0;else{k[z>>2]=7492;j=b+60|0;l=c+60|0;g=((k[c+68>>2]|0)-(k[c+64>>2]|0)>>3)+((k[b+68>>2]|0)-(k[b+64>>2]|0)>>3)|0;f=L+11|0;d=i[f>>0]|0;a=L+4|0;e=k[a>>2]|0;do if(((d<<24>>24<0?e:d&255)|0)==3){y=0;d=sa(21,L|0,0,-1,48628,3)|0;s=y;y=0;if(s&1){s=tb(0)|0;Sla(s)}else{w=(d|0)==0;t=i[f>>0]|0;u=k[a>>2]|0;break}}else{w=0;t=d;u=e}while(0);do if(((t<<24>>24<0?u:t&255)|0)==4){y=0;d=sa(21,L|0,0,-1,47917,4)|0;u=y;y=0;if(u&1){u=tb(0)|0;Sla(u)}else{v=(d|0)==0;break}}else v=0;while(0);y=0;d=A;e=x;a=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(a|0));ya(22,m|0,A|0,z|0,g|0,w|0,v|0);x=y;y=0;if(x&1){d=pb()|0;DO(z);break}DO(z);z=i[K+11>>0]|0;f:do if(!((z<<24>>24<0?k[K+4>>2]|0:z&255)|0))H=120;else{y=0;f=qa(315,80)|0;z=y;y=0;if(z&1)break;d=B;e=h;a=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(a|0));y=0;oa(456,F|0,K|0);z=y;y=0;if(z&1)d=pb()|0;else{y=0;d=A;e=B;a=d+40|0;do{k[d>>2]=k[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(a|0));Ea(2,f|0,A|0,F|0,0,0,0,1);B=y;y=0;do if(B&1)e=1;else{y=0;oa(460,D|0,f|0);B=y;y=0;if(B&1){e=0;break}k[D>>2]=7492;d=m+80|0;e=m+84|0;if(!(k[e>>2]|0))H=109;else{y=0;na(423,d|0);B=y;y=0;if(!(B&1))H=109}do if((H|0)==109){k[e>>2]=k[D+4>>2];y=0;na(424,d|0);B=y;y=0;if(B&1)break;y=0;oa(460,C|0,k[e>>2]|0);B=y;y=0;if(B&1)break;k[C>>2]=7492;DO(C);DO(D);A9(F);H=120;break f}while(0);d=pb()|0;DO(D);A9(F);break a}while(0);d=pb()|0;A9(F);if(!e)break a}cra(f);break a}while(0);do if((H|0)==120){d=m+60|0;y=0;oa(k[(k[d>>2]|0)+24>>2]|0,d|0,((c|0)==0?0:l)|0);F=y;y=0;if(F&1)break;y=0;oa(k[(k[d>>2]|0)+24>>2]|0,d|0,((b|0)==0?0:j)|0);F=y;y=0;if(!(F&1))break e}while(0);d=pb()|0;break a}while(0);cra(m);break a}while(0);A9(G);A9(I);A9(J);A9(M);A9(L);A9(K);r=E;return m|0}while(0);if((H|0)==33)d=pb()|0;A9(G)}while(0);A9(I)}A9(J)}while(0);A9(M);M=d;A9(L);A9(K);sb(M|0);return 0}function he(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;M=0;J=r;r=r+320|0;B=J;D=J+312|0;N=J+296|0;e=J+304|0;I=J+280|0;f=J+288|0;m=J+240|0;x=J+216|0;q=J+188|0;L=J+224|0;K=J+200|0;u=J+176|0;l=J+168|0;n=J+128|0;s=J+120|0;t=J+112|0;o=J+104|0;C=J+96|0;d=J+88|0;E=J+80|0;z=J+72|0;F=J+64|0;H=J+56|0;G=J+48|0;A=J+40|0;g=b+76|0;LT(e,k[g>>2]|0);k[e>>2]=7492;y=0;c=qa(316,k[e+4>>2]|0)|0;w=y;y=0;if(!(w&1)){y=0;oa(460,N|0,c|0);w=y;y=0;if(!(w&1)){k[N>>2]=7492;DO(e);p=a+20|0;w=a+24|0;c=k[w>>2]|0;if((c|0)==(k[p>>2]|0))c=k[a+8>>2]|0;else c=c+-4|0;j=k[c>>2]|0;a:do if(!j)M=50;else if((k[133]|0)==(k[(k[(k[j>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;oa(460,f|0,k[j+76>>2]|0);v=y;y=0;if(v&1){c=pb()|0;break}k[f>>2]=7492;y=0;c=qa(316,k[f+4>>2]|0)|0;v=y;y=0;if(!(v&1)){y=0;oa(460,I|0,c|0);v=y;y=0;if(!(v&1)){k[I>>2]=7492;DO(f);y=0;v=qa(315,80)|0;h=y;y=0;b:do if(h&1){c=pb()|0;M=46}else{y=0;oa(460,x|0,k[g>>2]|0);h=y;y=0;if(h&1)c=pb()|0;else{k[x>>2]=7492;f=m;g=(k[x+4>>2]|0)+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));h=k[I+4>>2]|0;y=0;oa(k[(k[h>>2]|0)+32>>2]|0,K|0,h|0);h=y;y=0;if(h&1){c=pb()|0;d=1}else{k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;h=i[K+11>>0]|0;g=h<<24>>24<0;h=g?k[K+4>>2]|0:h&255;y=0;Ra(10,L|0,(g?k[K>>2]|0:K)|0,h|0,h+1|0);h=y;y=0;if(h&1)M=34;else{y=0;ta(41,L|0,48674,1)|0;h=y;y=0;if(h&1)M=34;else{e=N+4|0;h=k[e>>2]|0;y=0;oa(k[(k[h>>2]|0)+32>>2]|0,u|0,h|0);h=y;y=0;if(h&1){c=pb()|0;d=1}else{c=i[u+11>>0]|0;h=c<<24>>24<0;y=0;c=ta(41,L|0,(h?k[u>>2]|0:u)|0,(h?k[u+4>>2]|0:c&255)|0)|0;h=y;y=0;if(h&1){c=pb()|0;d=1}else{k[q>>2]=k[c>>2];k[q+4>>2]=k[c+4>>2];k[q+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;f=B;g=m;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;na(422,v|0);m=y;y=0;c:do if(m&1){d=1;M=37}else{f=v+12|0;g=B;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));i[v+52>>0]=0;i[v+53>>0]=0;i[v+54>>0]=0;k[v+56>>2]=4;k[v>>2]=11100;i[v+60>>0]=0;i[v+61>>0]=0;y=0;oa(549,v+64|0,q|0);m=y;y=0;if(m&1){c=pb()|0;d=1;M=38;break}k[v+76>>2]=0;y=0;oa(460,D|0,v|0);m=y;y=0;if(m&1){d=0;M=37;break}k[D>>2]=7492;do if(k[e>>2]|0){y=0;na(423,N|0);m=y;y=0;if(!(m&1))break;c=pb()|0;DO(D);d=0;break c}while(0);v=D+4|0;k[e>>2]=k[v>>2];k[v>>2]=0;DO(D);A9(q);A9(u);A9(L);A9(K);DO(x);y=0;oa(460,l|0,k[j+84>>2]|0);x=y;y=0;if(x&1){c=pb()|0;break b}k[l>>2]=7284;M=(k[l+4>>2]|0)==0;DO(l);if(M)k[b+56>>2]=(k[j+56>>2]|0)+1;DO(I);M=50;break a}while(0);if((M|0)==37){c=pb()|0;M=38}A9(q)}A9(u)}A9(L)}}if((M|0)==34){c=pb()|0;A9(L);d=1}A9(K)}DO(x);if(!d){M=46;break}}cra(v);M=46}while(0);DO(I);break}}c=pb()|0;DO(f)}else M=50;while(0);d:do if((M|0)==50){y=0;e=qa(315,92)|0;I=y;y=0;if(I&1){c=pb()|0;break}f=n;g=b+12|0;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));y=0;oa(460,s|0,k[N+4>>2]|0);I=y;y=0;do if(I&1)c=pb()|0;else{k[s>>2]=7492;y=0;oa(460,t|0,k[b+84>>2]|0);I=y;y=0;if(I&1){c=pb()|0;DO(s);break}k[t>>2]=7284;c=i[b+88>>0]|0;y=0;oa(460,o|0,0);I=y;y=0;if(I&1){c=pb()|0;d=1}else{c=c<<24>>24!=0;k[o>>2]=6868;y=0;f=B;g=n;h=f+40|0;do{k[f>>2]=k[g>>2];f=f+4|0;g=g+4|0}while((f|0)<(h|0));ya(21,e|0,B|0,s|0,t|0,c|0,o|0);I=y;y=0;if(I&1)c=1;else{y=0;oa(460,L|0,e|0);I=y;y=0;if(I&1)c=0;else{k[L>>2]=17100;DO(o);DO(t);DO(s);f=L+4|0;c=k[f>>2]|0;i[c+89>>0]=i[b+89>>0]|0;k[c+56>>2]=k[b+56>>2];k[B>>2]=c;e=k[w>>2]|0;if(e>>>0<(k[a+28>>2]|0)>>>0){k[e>>2]=c;k[w>>2]=(k[w>>2]|0)+4;M=59}else{y=0;oa(659,p|0,B|0);I=y;y=0;if(I&1)c=pb()|0;else M=59}e:do if((M|0)==59){c=b+68|0;y=0;oa(460,C|0,k[c>>2]|0);I=y;y=0;if(I&1){c=pb()|0;break}k[C>>2]=6868;do if(!(k[C+4>>2]|0)){e=0;c=0;M=64}else{e=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(460,d|0,k[c>>2]|0);I=y;y=0;if(I&1){c=pb()|0;break}k[d>>2]=6868;y=0;c=Ha(e|0,a|0,k[d+4>>2]|0)|0;M=y;y=0;if(!(M&1)){e=1;M=64;break}c=pb()|0;M=90}while(0);do if((M|0)==64){y=0;oa(460,K|0,c|0);I=y;y=0;if(I&1){c=pb()|0;if(!e)break;M=90;break}k[K>>2]=6868;if(e)DO(d);DO(C);k[w>>2]=(k[w>>2]|0)+-4;d=K+4|0;c=k[d>>2]|0;f:do if(!c)M=101;else{if((k[c+72>>2]|0)==(k[c+68>>2]|0)){M=101;break}y=0;oa(460,E|0,k[(k[f>>2]|0)+84>>2]|0);I=y;y=0;if(I&1){M=92;break}k[E>>2]=7284;g:do if(!(k[E+4>>2]|0))DO(E);else{y=0;oa(460,z|0,k[(k[f>>2]|0)+84>>2]|0);I=y;y=0;do if(I&1)c=pb()|0;else{k[z>>2]=7284;c=k[z+4>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+84>>2]|0,c|0)|0;I=y;y=0;if(I&1){c=pb()|0;DO(z);break}DO(z);DO(E);if(c)break g;c=k[d>>2]|0;y=0;oa(460,H|0,k[f>>2]|0);I=y;y=0;if(I&1){M=92;break f}k[H>>2]=17100;y=0;oa(460,F|0,k[H+4>>2]|0);I=y;y=0;do if(I&1)c=pb()|0;else{k[F>>2]=6508;I=c+68|0;k[D>>2]=k[I>>2];y=0;k[B>>2]=k[D>>2];ta(152,I|0,B|0,F|0)|0;I=y;y=0;if(I&1){c=pb()|0;DO(F);break}else{DO(F);DO(H);break g}}while(0);DO(H);break f}while(0);DO(E);break f}while(0);c=k[d>>2]|0;if(!c){M=0;DO(K);DO(L);DO(N);r=J;return M|0}i[c+8>>0]=1;M=c;DO(K);DO(L);DO(N);r=J;return M|0}while(0);do if((M|0)==101){y=0;oa(460,G|0,k[(k[f>>2]|0)+84>>2]|0);I=y;y=0;if(I&1){M=92;break}k[G>>2]=7284;if(!(k[G+4>>2]|0)){DO(G);M=0;DO(K);DO(L);DO(N);r=J;return M|0}y=0;oa(460,A|0,k[(k[f>>2]|0)+84>>2]|0);I=y;y=0;do if(I&1)c=pb()|0;else{k[A>>2]=7284;c=k[A+4>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+84>>2]|0,c|0)|0;I=y;y=0;if(I&1){c=pb()|0;DO(A);break}DO(A);DO(G);if(c){M=0;DO(K);DO(L);DO(N);r=J;return M|0}c=k[f>>2]|0;if(!c){M=0;DO(K);DO(L);DO(N);r=J;return M|0}i[c+8>>0]=1;M=c;DO(K);DO(L);DO(N);r=J;return M|0}while(0);DO(G)}while(0);if((M|0)==92)c=pb()|0;DO(K);break e}while(0);if((M|0)==90)DO(d);DO(C)}while(0);DO(L);break d}}M=pb()|0;DO(o);d=c;c=M}DO(t);DO(s);if(!d)break d}while(0);cra(e)}while(0);DO(N);N=c;sb(N|0)}}N=pb()|0;DO(e);sb(N|0);return 0}
function dd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;n=0;aa=r;r=r+432|0;_=aa+120|0;L=aa+80|0;g=aa+40|0;M=aa;fa=aa+416|0;ea=aa+408|0;d=aa+392|0;da=aa+400|0;ca=aa+384|0;e=aa+376|0;f=aa+368|0;l=aa+360|0;ba=aa+328|0;m=aa+352|0;K=aa+320|0;I=aa+296|0;G=aa+288|0;u=aa+312|0;B=aa+304|0;F=aa+272|0;v=aa+280|0;w=aa+264|0;C=aa+256|0;D=aa+248|0;E=aa+240|0;Z=aa+232|0;P=aa+224|0;Y=aa+216|0;U=aa+208|0;Q=aa+200|0;V=aa+192|0;R=aa+184|0;S=aa+176|0;W=aa+168|0;T=aa+160|0;xs(fa,b+72|0);y=0;oa(460,d|0,k[b+88>>2]|0);$=y;y=0;do if($&1)f=pb()|0;else{k[d>>2]=7284;c=k[d+4>>2]|0;$=a+8|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,$|0)|0;X=y;y=0;if(!(X&1)){y=0;oa(460,ea|0,c|0);X=y;y=0;if(!(X&1)){k[ea>>2]=7284;DO(d);y=0;oa(460,da|0,0);X=y;y=0;if(X&1)c=pb()|0;else{k[da>>2]=7172;y=0;oa(460,ca|0,0);X=y;y=0;if(X&1)c=pb()|0;else{k[ca>>2]=16764;J=ea+4|0;d=k[J>>2]|0;c=k[d+56>>2]|0;a:do if((c|0)==6){if(!d)c=0;else c=(k[229]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;y=0;oa(460,_|0,c|0);X=y;y=0;do if(X&1)c=pb()|0;else{k[_>>2]=16764;c=ca+4|0;if(k[c>>2]|0){y=0;na(423,ca|0);X=y;y=0;if(X&1){c=pb()|0;DO(_);break}}n=_+4|0;k[c>>2]=k[n>>2];k[n>>2]=0;DO(_);n=67;break a}while(0)}else{if(!d)n=37;else if((k[481]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;na(440,e|0);X=y;y=0;if(!(X&1)){y=0;c=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,e|0)|0;X=y;y=0;if(X&1)n=32;else{y=0;oa(460,f|0,c|0);X=y;y=0;if(X&1)n=32;else{k[f>>2]=7284;y=0;c=qa(336,k[f+4>>2]|0)|0;X=y;y=0;b:do if(X&1)n=33;else{y=0;oa(460,_|0,c|0);X=y;y=0;if(X&1){n=33;break}k[_>>2]=7172;c=da+4|0;do if(k[c>>2]|0){y=0;na(423,da|0);X=y;y=0;if(!(X&1))break;c=pb()|0;DO(_);break b}while(0);n=_+4|0;k[c>>2]=k[n>>2];k[n>>2]=0;DO(_);DO(f);n=67;break a}while(0);if((n|0)==33)c=pb()|0;DO(f)}}if((n|0)==32)c=pb()|0;break}}else n=37;c:do if((n|0)==37){if((c|0)==5){y=0;c=qa(336,d|0)|0;X=y;y=0;d:do if(X&1)n=64;else{y=0;oa(460,_|0,c|0);X=y;y=0;if(X&1)n=64;else{k[_>>2]=7172;c=da+4|0;do if(k[c>>2]|0){y=0;na(423,da|0);X=y;y=0;if(!(X&1))break;c=pb()|0;DO(_);break d}while(0);n=_+4|0;k[c>>2]=k[n>>2];k[n>>2]=0;DO(_);n=67;break a}}while(0);if((n|0)==64)c=pb()|0;break a}y=0;j=qa(315,88)|0;X=y;y=0;e:do if(X&1)n=53;else{A=g;x=d+12|0;z=A+40|0;do{k[A>>2]=k[x>>2];A=A+4|0;x=x+4|0}while((A|0)<(z|0));y=0;na(422,j|0);X=y;y=0;do if(X&1)c=pb()|0;else{A=j+12|0;x=g;z=A+40|0;do{k[A>>2]=k[x>>2];A=A+4|0;x=x+4|0}while((A|0)<(z|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=9288;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,1);X=y;y=0;if(X&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ba=e+-8|0;k[h>>2]=ba;lc[k[k[ba>>2]>>2]&511](ba);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=9076;k[d>>2]=9208;k[j+80>>2]=0;i[j+84>>0]=0;i[j+85>>0]=0;k[c>>2]=5;y=0;oa(460,_|0,j|0);X=y;y=0;if(X&1){n=53;break e}k[_>>2]=7172;c=da+4|0;do if(k[c>>2]|0){y=0;na(423,da|0);X=y;y=0;if(!(X&1))break;c=pb()|0;DO(_);break e}while(0);d=_+4|0;k[c>>2]=k[d>>2];k[d>>2]=0;DO(_);c=(k[c>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,l|0,k[J>>2]|0);X=y;y=0;if(X&1)break c;k[l>>2]=7284;y=0;oa(d|0,c|0,l|0);X=y;y=0;if(X&1){c=pb()|0;DO(l);break a}else{DO(l);n=67;break a}}while(0);cra(j)}while(0);if((n|0)==53)c=pb()|0;break a}while(0);c=pb()|0}while(0);do if((n|0)==67){d=a+48|0;X=a+52|0;c=k[X>>2]|0;if((c|0)==(k[d>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;Na(128,ba|0,c|0,1);O=y;y=0;if(O&1){c=pb()|0;break}k[_>>2]=ba;c=k[X>>2]|0;if(c>>>0<(k[a+56>>2]|0)>>>0){k[c>>2]=ba;k[X>>2]=(k[X>>2]|0)+4;n=73}else{y=0;oa(638,d|0,_|0);O=y;y=0;if(O&1)c=pb()|0;else n=73}f:do if((n|0)==73){c=a+72|0;y=0;oa(460,_|0,b|0);O=y;y=0;do if(O&1)c=pb()|0;else{k[_>>2]=6336;O=a+76|0;d=k[O>>2]|0;if(d>>>0<(k[a+80>>2]|0)>>>0){y=0;oa(460,d|0,k[_+4>>2]|0);H=y;y=0;if(H&1)n=84;else{k[d>>2]=6336;k[O>>2]=(k[O>>2]|0)+8}}else{y=0;oa(653,c|0,_|0);H=y;y=0;if(H&1)n=84}if((n|0)==84){c=pb()|0;DO(_);break}DO(_);y=0;oa(460,m|0,k[b+68>>2]|0);H=y;y=0;if(H&1){c=pb()|0;break f}k[m>>2]=6868;H=k[m+4>>2]|0;DO(m);t=ca+4|0;d=k[t>>2]|0;g:do if(!d){w=da+4|0;e=k[w>>2]|0;c=k[e+68>>2]|0;d=k[e+64>>2]|0;h:do if(!((e|0)==0|(c-d|0)!=8)){if((k[481]|0)!=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0))break;y=0;c=qa(336,e|0)|0;K=y;y=0;i:do if(K&1)n=160;else{y=0;oa(460,_|0,c|0);K=y;y=0;if(K&1){n=160;break}k[_>>2]=7172;do if(k[w>>2]|0){y=0;na(423,da|0);K=y;y=0;if(!(K&1))break;c=pb()|0;DO(_);break i}while(0);e=_+4|0;k[w>>2]=k[e>>2];k[e>>2]=0;DO(_);e=k[w>>2]|0;c=k[e+68>>2]|0;d=k[e+64>>2]|0;break h}while(0);if((n|0)==160)c=pb()|0;break f}while(0);h=c-d>>3;if(!h)break;j=Z+4|0;l=P+4|0;b=Y+4|0;m=fa+4|0;n=S+4|0;o=W+4|0;p=T+4|0;q=U+4|0;s=Q+4|0;t=V+4|0;u=R+4|0;v=_+4|0;c=0;j:while(1){d=e+60|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;K=y;y=0;if(K&1){n=175;break}y=0;oa(460,Z|0,k[d+4>>2]|0);K=y;y=0;if(K&1){n=175;break}k[Z>>2]=7284;d=k[j>>2]|0;if(!d)d=0;else d=(k[251]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;y=0;oa(460,P|0,d|0);K=y;y=0;if(K&1){n=176;break}k[P>>2]=10120;d=k[l>>2]|0;if(d|0){y=0;oa(460,_|0,k[d+64>>2]|0);K=y;y=0;if(K&1){n=177;break}k[_>>2]=7284;if(k[j>>2]|0){y=0;na(423,Z|0);K=y;y=0;if(K&1){n=178;break}}k[j>>2]=k[v>>2];k[v>>2]=0;DO(_)}DO(P);y=0;d=qa(336,k[j>>2]|0)|0;K=y;y=0;if(K&1){n=176;break}y=0;oa(460,Y|0,d|0);K=y;y=0;if(K&1){n=176;break}k[Y>>2]=7172;f=k[b>>2]|0;d=k[fa>>2]|0;e=(k[m>>2]|0)-d|0;g=(e|0)/12|0;k:do if(!f){if(!e)break;y=0;oa(460,S|0,k[j>>2]|0);K=y;y=0;if(K&1){n=219;break j}k[S>>2]=7284;y=0;oa(460,_|0,k[n>>2]|0);K=y;y=0;if(K&1){n=220;break j}k[_>>2]=6336;y=0;Na(124,ba|0,d|0,_|0);K=y;y=0;if(K&1){n=221;break j}DO(_);DO(S);f=((k[m>>2]|0)-(k[fa>>2]|0)|0)/12|0;if(f>>>0>1)e=1;else break;do{y=0;d=qa(315,60)|0;K=y;y=0;if(K&1){n=231;break j}A=M;x=(k[J>>2]|0)+12|0;z=A+40|0;do{k[A>>2]=k[x>>2];A=A+4|0;x=x+4|0}while((A|0)<(z|0));y=0;na(422,d|0);K=y;y=0;if(K&1){n=232;break j}A=d+12|0;x=M;z=A+40|0;do{k[A>>2]=k[x>>2];A=A+4|0;x=x+4|0}while((A|0)<(z|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d>>2]=12584;k[d+56>>2]=8;y=0;oa(460,W|0,d|0);K=y;y=0;if(K&1){n=231;break j}k[W>>2]=7284;d=(k[fa>>2]|0)+(e*12|0)|0;y=0;oa(460,T|0,k[o>>2]|0);K=y;y=0;if(K&1){n=233;break j}k[T>>2]=7284;y=0;oa(460,_|0,k[p>>2]|0);K=y;y=0;if(K&1){n=234;break j}k[_>>2]=6336;y=0;Na(124,ba|0,d|0,_|0);K=y;y=0;if(K&1){n=235;break j}DO(_);DO(T);DO(W);e=e+1|0}while(e>>>0<f>>>0)}else{switch(e|0){case 0:break k;case 12:{y=0;oa(460,U|0,f|0);K=y;y=0;if(K&1){n=190;break j}k[U>>2]=7172;d=k[fa>>2]|0;y=0;oa(460,Q|0,k[q>>2]|0);K=y;y=0;if(K&1){n=191;break j}k[Q>>2]=7172;y=0;oa(460,_|0,k[s>>2]|0);K=y;y=0;if(K&1){n=192;break j}k[_>>2]=6336;y=0;Na(124,ba|0,d|0,_|0);K=y;y=0;if(K&1){n=193;break j}DO(_);DO(Q);DO(U);break k}default:{}}d=0;e=f;while(1){f=k[e+64>>2]|0;if(d>>>0<(k[e+68>>2]|0)-f>>3>>>0){e=k[f+(d<<3)+4>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,$|0)|0;K=y;y=0;if(K&1){n=207;break j}}else{y=0;e=qa(315,60)|0;K=y;y=0;if(K&1){n=207;break j}A=L;x=(k[J>>2]|0)+12|0;z=A+40|0;do{k[A>>2]=k[x>>2];A=A+4|0;x=x+4|0}while((A|0)<(z|0));y=0;na(422,e|0);K=y;y=0;if(K&1){n=208;break j}A=e+12|0;x=L;z=A+40|0;do{k[A>>2]=k[x>>2];A=A+4|0;x=x+4|0}while((A|0)<(z|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=12584;k[e+56>>2]=8}y=0;oa(460,V|0,e|0);K=y;y=0;if(K&1){n=207;break j}k[V>>2]=7284;e=(k[fa>>2]|0)+(d*12|0)|0;y=0;oa(460,R|0,k[t>>2]|0);K=y;y=0;if(K&1){n=209;break j}k[R>>2]=7284;y=0;oa(460,_|0,k[u>>2]|0);K=y;y=0;if(K&1){n=210;break j}k[_>>2]=6336;y=0;Na(124,ba|0,e|0,_|0);K=y;y=0;if(K&1){n=211;break j}DO(_);DO(R);DO(V);d=d+1|0;if(d>>>0>=g>>>0)break k;e=k[b>>2]|0}}while(0);DO(Y);y=0;oa(652,a|0,H|0);K=y;y=0;if(K&1){n=176;break}DO(Z);c=c+1|0;if(c>>>0>=h>>>0)break g;e=k[w>>2]|0}switch(n|0){case 175:{c=pb()|0;break f}case 176:{c=pb()|0;break}case 177:{c=pb()|0;n=179;break}case 178:{c=pb()|0;DO(_);n=179;break}case 190:{c=pb()|0;n=241;break}case 191:{c=pb()|0;n=195;break}case 192:{c=pb()|0;n=194;break}case 193:{c=pb()|0;DO(_);n=194;break}case 207:{c=pb()|0;n=241;break}case 208:{c=pb()|0;cra(e);n=241;break}case 209:{c=pb()|0;n=213;break}case 210:{c=pb()|0;n=212;break}case 211:{c=pb()|0;DO(_);n=212;break}case 219:{c=pb()|0;n=223;break}case 220:{c=pb()|0;n=222;break}case 221:{c=pb()|0;DO(_);n=222;break}case 231:{c=pb()|0;n=241;break}case 232:{c=pb()|0;cra(d);n=241;break}case 233:{c=pb()|0;n=237;break}case 234:{c=pb()|0;n=236;break}case 235:{c=pb()|0;DO(_);n=236;break}}if((n|0)==179)DO(P);else if((n|0)==194){DO(Q);n=195}else if((n|0)==212){DO(R);n=213}else if((n|0)==222){DO(S);n=223}else if((n|0)==236){DO(T);n=237}if((n|0)==195){DO(U);n=241}else if((n|0)==213){DO(V);n=241}else if((n|0)==223)n=241;else if((n|0)==237){DO(W);n=241}if((n|0)==241)DO(Y);DO(Z);break f}else{c=k[d+84>>2]|0;f=k[d+88>>2]|0;if((c|0)==(f|0))break;g=K+4|0;l=u+4|0;b=fa+4|0;m=F+4|0;n=I+4|0;o=G+4|0;p=C+4|0;q=D+4|0;s=E+4|0;while(1){y=0;oa(460,K|0,k[c+4>>2]|0);Z=y;y=0;if(Z&1){n=113;break}k[K>>2]=7284;d=k[g>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,$|0)|0;Z=y;y=0;if(Z&1){n=114;break}y=0;oa(460,I|0,d|0);Z=y;y=0;if(Z&1){n=114;break}k[I>>2]=7284;d=k[t>>2]|0;y=0;oa(460,B|0,k[g>>2]|0);Z=y;y=0;if(Z&1){n=115;break}k[B>>2]=7284;y=0;Na(76,u|0,d+60|0,B|0);Z=y;y=0;if(Z&1){n=116;break}d=k[l>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,$|0)|0;Z=y;y=0;if(Z&1){n=117;break}y=0;oa(460,G|0,d|0);Z=y;y=0;if(Z&1){n=117;break}k[G>>2]=7284;DO(u);DO(B);Z=k[fa>>2]|0;d=Z;if(((k[b>>2]|0)-Z|0)==12){y=0;j=qa(315,88)|0;Z=y;y=0;if(Z&1){n=119;break}A=_;x=(k[t>>2]|0)+12|0;z=A+40|0;do{k[A>>2]=k[x>>2];A=A+4|0;x=x+4|0}while((A|0)<(z|0));y=0;na(422,j|0);Z=y;y=0;if(Z&1){n=120;break}A=j+12|0;x=_;z=A+40|0;do{k[A>>2]=k[x>>2];A=A+4|0;x=x+4|0}while((A|0)<(z|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;d=j+56|0;k[d>>2]=0;k[j>>2]=9288;e=j+60|0;k[e>>2]=9248;h=j+64|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(514,h|0,2);Z=y;y=0;if(Z&1){n=98;break}k[j>>2]=9076;k[e>>2]=9208;k[j+80>>2]=1;i[j+84>>0]=0;i[j+85>>0]=0;k[d>>2]=5;y=0;oa(460,F|0,j|0);Z=y;y=0;if(Z&1){n=119;break}k[F>>2]=7172;d=(k[m>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,v|0,k[n>>2]|0);Z=y;y=0;if(Z&1){n=122;break}k[v>>2]=7284;y=0;oa(e|0,d|0,v|0);Z=y;y=0;if(Z&1){n=123;break}DO(v);d=(k[m>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,w|0,k[o>>2]|0);Z=y;y=0;if(Z&1){n=122;break}k[w>>2]=7284;y=0;oa(e|0,d|0,w|0);Z=y;y=0;if(Z&1){n=124;break}DO(w);d=k[fa>>2]|0;y=0;oa(460,C|0,k[m>>2]|0);Z=y;y=0;if(Z&1){n=125;break}k[C>>2]=7172;y=0;oa(460,_|0,k[p>>2]|0);Z=y;y=0;if(Z&1){n=126;break}k[_>>2]=6336;y=0;Na(124,ba|0,d|0,_|0);Z=y;y=0;if(Z&1){n=127;break}DO(_);DO(C);DO(F)}else{y=0;oa(460,D|0,k[n>>2]|0);Z=y;y=0;if(Z&1){n=138;break}k[D>>2]=7284;y=0;oa(460,_|0,k[q>>2]|0);Z=y;y=0;if(Z&1){n=139;break}k[_>>2]=6336;y=0;Na(124,ba|0,d|0,_|0);Z=y;y=0;if(Z&1){n=140;break}DO(_);DO(D);d=(k[fa>>2]|0)+12|0;y=0;oa(460,E|0,k[o>>2]|0);Z=y;y=0;if(Z&1){n=143;break}k[E>>2]=7284;y=0;oa(460,_|0,k[s>>2]|0);Z=y;y=0;if(Z&1){n=144;break}k[_>>2]=6336;y=0;Na(124,ba|0,d|0,_|0);Z=y;y=0;if(Z&1){n=145;break}DO(_);DO(E)}y=0;oa(652,a|0,H|0);Z=y;y=0;if(Z&1){n=119;break}DO(G);DO(I);DO(K);c=c+8|0;if((c|0)==(f|0))break g}switch(n|0){case 98:{c=pb()|0;f=N;g=j+68|0;d=k[h>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{aa=e+-8|0;k[g>>2]=aa;lc[k[k[aa>>2]>>2]&511](aa);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[h>>2]|0}cra(d)}n=121;break}case 113:{c=pb()|0;break f}case 114:{c=pb()|0;break}case 115:{c=pb()|0;n=151;break}case 116:{c=pb()|0;n=118;break}case 117:{c=pb()|0;DO(u);n=118;break}case 119:{c=pb()|0;n=150;break}case 120:{c=pb()|0;n=121;break}case 122:{c=pb()|0;n=130;break}case 123:{c=pb()|0;DO(v);n=130;break}case 124:{c=pb()|0;DO(w);n=130;break}case 125:{c=pb()|0;n=129;break}case 126:{c=pb()|0;n=128;break}case 127:{c=pb()|0;DO(_);n=128;break}case 138:{c=pb()|0;n=142;break}case 139:{c=pb()|0;n=141;break}case 140:{c=pb()|0;DO(_);n=141;break}case 143:{c=pb()|0;n=147;break}case 144:{c=pb()|0;n=146;break}case 145:{c=pb()|0;DO(_);n=146;break}}if((n|0)==118){DO(B);n=151}else if((n|0)==121){cra(j);n=150}else if((n|0)==128){DO(C);n=129}else if((n|0)==141){DO(D);n=142}else if((n|0)==146){DO(E);n=147}if((n|0)==129)n=130;else if((n|0)==142)n=150;else if((n|0)==147)n=150;if((n|0)==130){DO(F);n=150}if((n|0)==150){DO(G);n=151}if((n|0)==151)DO(I);DO(K);break f}while(0);d=k[O>>2]|0;c=d+-8|0;do{$=d+-8|0;k[O>>2]=$;lc[k[k[$>>2]>>2]&511]($);d=k[O>>2]|0}while((d|0)!=(c|0));k[X>>2]=(k[X>>2]|0)+-4;GC(ba,k[ba+4>>2]|0);DO(ca);DO(da);DO(ea);c=k[fa>>2]|0;if(!c){r=aa;return 0}e=fa+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{ea=d+-12|0;k[e>>2]=ea;A9(ea);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[fa>>2]|0}cra(c);r=aa;return 0}while(0)}while(0);GC(ba,k[ba+4>>2]|0)}while(0);DO(ca)}DO(da)}DO(ea);f=c;break}}f=pb()|0;DO(d)}while(0);c=k[fa>>2]|0;if(!c)sb(f|0);e=fa+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{ea=d+-12|0;k[e>>2]=ea;A9(ea);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[fa>>2]|0}cra(c);sb(f|0);return 0}function ed(a,b){a=a|0;b=b|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;if((cc|0)==1)cc=3}Qc(fc+12868|0)}function fd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;ca=0;_=r;r=r+720|0;U=_+672|0;E=_+656|0;D=_+648|0;M=_+40|0;J=_;ja=_+576|0;d=_+632|0;e=_+592|0;ia=_+568|0;ha=_+552|0;ga=_+544|0;f=_+560|0;j=_+528|0;l=_+488|0;fa=_+480|0;n=_+472|0;ea=_+464|0;u=_+408|0;q=_+368|0;s=_+356|0;da=_+336|0;x=_+328|0;P=_+320|0;A=_+280|0;Q=_+264|0;F=_+248|0;C=_+240|0;H=_+224|0;L=_+208|0;K=_+184|0;I=_+168|0;G=_+160|0;ba=_+256|0;aa=_+232|0;R=_+120|0;S=_+104|0;T=_+96|0;$=_+200|0;Z=_+176|0;X=_+88|0;V=_+80|0;Y=a+40|0;c=k[Y>>2]|0;if(c>>>0>500){c=gb(80)|0;y=0;oa(655,c|0,b|0);ja=y;y=0;if(!(ja&1))Wb(c|0,3704,175);ja=pb()|0;fb(c|0);sb(ja|0)}k[Y>>2]=c+1;w=a+48|0;W=a+52|0;c=k[W>>2]|0;if((c|0)==(k[w>>2]|0))z=0;else z=k[c+-4>>2]|0;O=b+72|0;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;v=O+11|0;B=i[v>>0]|0;t=B<<24>>24<0;p=b+76|0;B=t?k[p>>2]|0:B&255;y=0;Ra(10,ja|0,(t?k[O>>2]|0:O)|0,B|0,B+3|0);B=y;y=0;if(B&1){ia=pb()|0;A9(ja);sb(ia|0)}y=0;ta(41,ja|0,47111,3)|0;B=y;y=0;if(B&1){ia=pb()|0;A9(ja);sb(ia|0)}y=0;c=Ha(990,z|0,ja|0)|0;B=y;y=0;a:do if(B&1)ca=19;else{do if(!c){k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;c=i[v>>0]|0;c=c<<24>>24<0?k[p>>2]|0:c&255;y=0;Ra(10,d|0,47115,15,c+15|0);B=y;y=0;if(!(B&1)){y=0;ta(41,d|0,((i[v>>0]|0)<0?k[O>>2]|0:O)|0,c|0)|0;B=y;y=0;if(!(B&1)){g=e;h=b+12|0;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));c=k[a+112>>2]|0;if((c|0)==(k[a+108>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;g=U;h=e;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));Na(98,d|0,U|0,c|0);B=y;y=0;if(B&1){c=pb()|0;A9(d);break a}else{A9(d);break}}}c=pb()|0;A9(d);ca=20;break a}while(0);y=0;c=Ha(975,z|0,ja|0)|0;B=y;y=0;if(B&1)ca=19;else{c=k[c+4>>2]|0;if(!c)c=0;else c=(k[195]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,ia|0,c|0);B=y;y=0;if(B&1)ca=19;else{k[ia>>2]=17132;o=ia+4|0;y=0;oa(460,ha|0,k[(k[o>>2]|0)+68>>2]|0);B=y;y=0;if(B&1)c=pb()|0;else{k[ha>>2]=6868;y=0;oa(460,ga|0,k[(k[o>>2]|0)+88>>2]|0);B=y;y=0;if(B&1)c=pb()|0;else{k[ga>>2]=8852;t=b+68|0;y=0;oa(460,f|0,k[t>>2]|0);B=y;y=0;b:do if(B&1)ca=45;else{k[f>>2]=6868;c:do if(!(k[f+4>>2]|0))DO(f);else{B=i[v>>0]|0;do if(((B<<24>>24<0?k[p>>2]|0:B&255)|0)==8){y=0;c=sa(21,O|0,0,-1,51064,8)|0;B=y;y=0;if(B&1){B=tb(0)|0;Sla(B)}if(c|0)break;DO(f);break c}while(0);c=k[ha+4>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+84>>2]|0,c|0)|0;B=y;y=0;if(B&1){c=pb()|0;DO(f);break b}DO(f);if(c)break;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;c=i[v>>0]|0;c=c<<24>>24<0?k[p>>2]|0:c&255;y=0;Ra(10,E|0,47131,7,c+7|0);B=y;y=0;do if(B&1)ca=47;else{y=0;ta(41,E|0,((i[v>>0]|0)<0?k[O>>2]|0:O)|0,c|0)|0;B=y;y=0;if(B&1){ca=47;break}y=0;c=Ha(974,E|0,47139)|0;B=y;y=0;do if(B&1)c=pb()|0;else{k[j>>2]=k[c>>2];k[j+4>>2]=k[c+4>>2];k[j+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;g=l;h=b+12|0;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));c=k[a+112>>2]|0;if((c|0)==(k[a+108>>2]|0))c=0;else c=k[c+-4>>2]|0;y=0;g=U;h=l;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));Na(98,j|0,U|0,c|0);B=y;y=0;if(B&1){c=pb()|0;A9(j);break}else{A9(j);A9(E);break c}}while(0);A9(E)}while(0);if((ca|0)==47){c=pb()|0;A9(E)}break b}while(0);y=0;oa(460,n|0,k[b+88>>2]|0);B=y;y=0;if(B&1)ca=45;else{k[n>>2]=8964;c=k[n+4>>2]|0;f=a+8|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,f|0)|0;B=y;y=0;do if(!(B&1)){y=0;oa(460,fa|0,c|0);B=y;y=0;if(B&1)break;k[fa>>2]=7284;DO(n);c=k[fa+4>>2]|0;if(!c)c=0;else c=(k[255]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,ea|0,c|0);B=y;y=0;if(B&1)c=pb()|0;else{k[ea>>2]=8964;e=a+108|0;B=a+112|0;c=k[B>>2]|0;if((c|0)==(k[e>>2]|0))d=0;else d=k[c+-4>>2]|0;n=b+12|0;g=q;h=n;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;c=i[v>>0]|0;c=c<<24>>24<0?k[p>>2]|0:c&255;y=0;Ra(10,U|0,47174,12,c+12|0);p=y;y=0;d:do if(p&1)ca=107;else{y=0;ta(41,U|0,((i[v>>0]|0)<0?k[O>>2]|0:O)|0,c|0)|0;p=y;y=0;if(p&1){ca=107;break}y=0;c=Ha(974,U|0,47187)|0;p=y;y=0;do if(p&1)c=pb()|0;else{k[s>>2]=k[c>>2];k[s+4>>2]=k[c+4>>2];k[s+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[u>>2]=d;g=u+4|0;h=q;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));q=u+44|0;y=0;oa(456,q|0,s|0);p=y;y=0;if(p&1){c=pb()|0;A9(s);break}A9(s);A9(U);k[U>>2]=u;c=k[B>>2]|0;do if(c>>>0<(k[a+116>>2]|0)>>>0){k[c>>2]=u;k[B>>2]=(k[B>>2]|0)+4;ca=69}else{y=0;oa(641,e|0,U|0);u=y;y=0;if(!(u&1)){ca=69;break}c=pb()|0}while(0);e:do if((ca|0)==69){p=a+4|0;e=k[p>>2]|0;if((i[v>>0]|0)<0)c=k[O>>2]|0;else c=O;k[U>>2]=c;k[U+4>>2]=k[b+24>>2];k[U+8>>2]=(k[b+12>>2]|0)+1;k[U+12>>2]=(k[b+16>>2]|0)+1;k[U+16>>2]=0;k[U+20>>2]=z;c=e+288|0;d=k[c>>2]|0;do if(d>>>0<(k[e+292>>2]|0)>>>0){k[d>>2]=k[U>>2];k[d+4>>2]=k[U+4>>2];k[d+8>>2]=k[U+8>>2];k[d+12>>2]=k[U+12>>2];k[d+16>>2]=k[U+16>>2];k[d+20>>2]=k[U+20>>2];k[c>>2]=(k[c>>2]|0)+24}else{y=0;oa(637,e+284|0,U|0);b=y;y=0;if(!(b&1))break;c=pb()|0;break e}while(0);y=0;Na(128,da|0,k[(k[o>>2]|0)+92>>2]|0,0);b=y;y=0;if(b&1){c=pb()|0;break}k[U>>2]=da;c=k[W>>2]|0;do if(c>>>0<(k[a+56>>2]|0)>>>0){k[c>>2]=da;k[W>>2]=(k[W>>2]|0)+4;ca=78}else{y=0;oa(638,w|0,U|0);w=y;y=0;if(!(w&1)){ca=78;break}c=pb()|0}while(0);f:do if((ca|0)==78){y=0;oa(460,x|0,k[t>>2]|0);w=y;y=0;g:do if(!(w&1)){k[x>>2]=6868;w=(k[x+4>>2]|0)==0;DO(x);h:do if(!w){y=0;l=qa(315,120)|0;x=y;y=0;if(x&1)break g;g=A;h=n;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));k[Q>>2]=0;k[Q+4>>2]=0;k[Q+8>>2]=0;y=0;Na(74,Q|0,51064,8);x=y;y=0;i:do if(x&1)c=pb()|0;else{y=0;j=qa(315,76)|0;x=y;y=0;j:do if(x&1)ca=118;else{g=M;h=n;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));y=0;na(422,j|0);x=y;y=0;do if(x&1)c=pb()|0;else{k[j>>2]=6128;g=j+12|0;h=M;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));c=j+52|0;k[c>>2]=12936;g=j+56|0;h=j+60|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(626,g|0,0);x=y;y=0;if(x&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ba=e+-8|0;k[h>>2]=ba;lc[k[k[ba>>2]>>2]&511](ba);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=12792;k[c>>2]=12880;i[j+72>>0]=0;i[j+73>>0]=0;y=0;oa(460,F|0,j|0);x=y;y=0;if(x&1){ca=118;break j}k[F>>2]=8852;y=0;oa(460,C|0,k[t>>2]|0);x=y;y=0;if(x&1){c=pb()|0;d=1}else{k[C>>2]=6868;y=0;g=U;h=A;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));ya(19,l|0,U|0,Q|0,F|0,C|0,0);A=y;y=0;do if(A&1)c=1;else{y=0;oa(460,P|0,l|0);A=y;y=0;if(A&1){c=0;break}k[P>>2]=17132;DO(C);DO(F);A9(Q);e=P+4|0;k[(k[e>>2]|0)+92>>2]=z;y=0;c=qa(338,da|0)|0;Q=y;y=0;if(Q&1)c=pb()|0;else{k[M>>2]=0;k[M+4>>2]=0;k[M+8>>2]=0;y=0;Na(74,M|0,47189,11);Q=y;y=0;if(Q&1)c=pb()|0;else{k[U>>2]=M;y=0;ya(24,D|0,c|0,M|0,85899,U|0,E|0);Q=y;y=0;if(Q&1)c=pb()|0;else{c=k[D>>2]|0;d=c+28|0;y=0;oa(460,H|0,k[e>>2]|0);Q=y;y=0;if(Q&1)c=pb()|0;else{k[H>>2]=17132;y=0;oa(460,U|0,k[H+4>>2]|0);Q=y;y=0;k:do if(Q&1)c=pb()|0;else{k[U>>2]=6336;if((d|0)!=(U|0)){c=c+32|0;do if(k[c>>2]|0){y=0;na(423,d|0);Q=y;y=0;if(!(Q&1))break;c=pb()|0;DO(U);break k}while(0);Q=U+4|0;k[c>>2]=k[Q>>2];k[Q>>2]=0}DO(U);DO(H);A9(M);DO(P);break h}while(0);DO(H)}}A9(M)}}DO(P);break f}while(0);ba=pb()|0;DO(C);d=c;c=ba}DO(F);A9(Q);if(d)break i;else break f}while(0);cra(j)}while(0);if((ca|0)==118)c=pb()|0;A9(Q)}while(0);cra(l);break f}while(0);k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;y=0;Na(74,L|0,47201,5);Q=y;y=0;if(Q&1)break;y=0;oa(456,K|0,O|0);Q=y;y=0;if(Q&1)c=pb()|0;else{y=0;oa(460,I|0,k[ga+4>>2]|0);Q=y;y=0;if(Q&1)c=pb()|0;else{k[I>>2]=8852;y=0;oa(460,G|0,k[ea+4>>2]|0);Q=y;y=0;do if(Q&1)c=pb()|0;else{k[G>>2]=8964;y=0;Ea(6,L|0,K|0,I|0,G|0,k[p>>2]|0,da|0,f|0);Q=y;y=0;if(Q&1){c=pb()|0;DO(G);break}DO(G);DO(I);A9(K);A9(L);y=0;j=qa(315,88)|0;Q=y;y=0;if(Q&1)break g;g=J;h=n;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));y=0;na(422,j|0);Q=y;y=0;do if(Q&1)c=pb()|0;else{g=j+12|0;h=J;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));k[j>>2]=6564;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;c=j+64|0;k[c>>2]=6524;g=j+68|0;h=j+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);Q=y;y=0;if(Q&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{ba=e+-8|0;k[h>>2]=ba;lc[k[k[ba>>2]>>2]&511](ba);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=6368;k[c>>2]=6468;i[j+84>>0]=0;y=0;oa(460,ba|0,j|0);Q=y;y=0;if(Q&1)break g;k[ba>>2]=6868;y=0;e=qa(315,84)|0;Q=y;y=0;l:do if(Q&1)c=pb()|0;else{g=R;h=n;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));y=0;oa(456,S|0,O|0);Q=y;y=0;do if(Q&1)c=pb()|0;else{c=ba+4|0;y=0;oa(460,T|0,k[c>>2]|0);Q=y;y=0;if(Q&1){c=pb()|0;A9(S);break}k[T>>2]=6868;y=0;g=U;h=R;m=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(m|0));Ra(40,e|0,U|0,S|0,T|0);R=y;y=0;do if(R&1)d=1;else{y=0;oa(460,aa|0,e|0);R=y;y=0;if(R&1){d=0;break}k[aa>>2]=18128;DO(T);A9(S);c=k[c>>2]|0;k[U>>2]=c;m=a+64|0;d=k[m>>2]|0;do if(d>>>0<(k[a+68>>2]|0)>>>0){k[d>>2]=c;k[m>>2]=(k[m>>2]|0)+4;ca=160}else{y=0;oa(651,a+60|0,U|0);U=y;y=0;if(!(U&1)){ca=160;break}c=pb()|0}while(0);m:do if((ca|0)==160){g=k[ha+4>>2]|0;d=k[g+68>>2]|0;g=k[g+72>>2]|0;n:do if((d|0)==(g|0))c=aa+4|0;else{h=$+4|0;j=Z+4|0;c=aa+4|0;l=X+4|0;while(1){y=0;oa(460,$|0,k[d+4>>2]|0);ca=y;y=0;if(ca&1){ca=189;break}k[$>>2]=6508;e=k[h>>2]|0;y=0;e=Ha(k[(k[e>>2]|0)+52>>2]|0,e|0,a|0)|0;ca=y;y=0;if(ca&1){ca=190;break}y=0;oa(460,Z|0,e|0);ca=y;y=0;if(ca&1){ca=190;break}k[Z>>2]=6508;if(k[j>>2]|0){y=0;oa(460,X|0,k[(k[c>>2]|0)+68>>2]|0);ca=y;y=0;if(ca&1){ca=191;break}k[X>>2]=6868;e=(k[l>>2]|0)+64|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(460,V|0,k[j>>2]|0);ca=y;y=0;if(ca&1){ca=192;break}k[V>>2]=6508;y=0;oa(f|0,e|0,V|0);ca=y;y=0;if(ca&1){ca=193;break}DO(V);DO(X)}DO(Z);DO($);d=d+8|0;if((d|0)==(g|0))break n}if((ca|0)==189){c=pb()|0;break m}else if((ca|0)==190)c=pb()|0;else if((ca|0)==191){c=pb()|0;ca=196}else if((ca|0)==192){c=pb()|0;ca=194}else if((ca|0)==193){c=pb()|0;DO(V);ca=194}if((ca|0)==194){DO(X);ca=196}if((ca|0)==196)DO(Z);DO($);break m}while(0);k[m>>2]=(k[m>>2]|0)+-4;k[W>>2]=(k[W>>2]|0)+-4;k[B>>2]=(k[B>>2]|0)+-4;ca=(k[p>>2]|0)+288|0;k[ca>>2]=(k[ca>>2]|0)+-24;k[Y>>2]=(k[Y>>2]|0)+-1;c=k[c>>2]|0;if(!c){ca=0;DO(aa);DO(ba);ba=da+4|0;ba=k[ba>>2]|0;GC(da,ba);A9(q);DO(ea);DO(fa);DO(ga);DO(ha);DO(ia);A9(ja);r=_;return ca|0}i[c+8>>0]=1;ca=c;DO(aa);DO(ba);ba=da+4|0;ba=k[ba>>2]|0;GC(da,ba);A9(q);DO(ea);DO(fa);DO(ga);DO(ha);DO(ia);A9(ja);r=_;return ca|0}while(0);DO(aa);break l}while(0);c=pb()|0;DO(T);A9(S);if(!d)break l}while(0);cra(e)}while(0);DO(ba);break f}while(0);cra(j);break f}while(0);DO(I)}A9(K)}A9(L);break f}while(0);c=pb()|0}while(0);GC(da,k[da+4>>2]|0)}while(0);A9(q);break d}while(0);A9(U);ca=111}while(0);if((ca|0)==107){c=pb()|0;A9(U);ca=111}DO(ea)}DO(fa);break b}while(0);c=pb()|0;DO(n)}}while(0);if((ca|0)==45)c=pb()|0;DO(ga)}DO(ha)}DO(ia)}}}while(0);if((ca|0)==19){c=pb()|0;ca=20}A9(ja);ja=c;sb(ja|0);return 0}function gd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0;fa=0;ga=r;r=r+832|0;aa=ga+160|0;N=ga+120|0;K=ga+80|0;J=ga+40|0;H=ga;o=ga+808|0;p=ga+796|0;q=ga+784|0;s=ga+744|0;e=ga+728|0;g=ga+716|0;h=ga+704|0;j=ga+608|0;c=ga+664|0;f=ga+648|0;n=ga+584|0;t=ga+576|0;x=ga+568|0;z=ga+560|0;A=ga+552|0;E=ga+600|0;B=ga+544|0;C=ga+536|0;D=ga+528|0;F=ga+520|0;G=ga+480|0;O=ga+472|0;P=ga+464|0;Q=ga+456|0;I=ga+416|0;S=ga+408|0;T=ga+400|0;U=ga+392|0;L=ga+352|0;V=ga+344|0;W=ga+336|0;X=ga+328|0;R=ga+288|0;Y=ga+280|0;Z=ga+272|0;_=ga+264|0;$=ga+224|0;ba=ga+216|0;ca=ga+208|0;da=ga+200|0;ha=b+152|0;ia=k[ha>>2]|0;ea=ia+1|0;k[ha>>2]=ea;if(ea>>>0>512){e=gb(76)|0;u=c;v=b+108|0;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;oa(456,f|0,80932);a=y;y=0;if(a&1)c=pb()|0;else{y=0;u=aa;v=c;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));Ra(24,e|0,aa|0,f|0,0);a=y;y=0;if(a&1)d=1;else{y=0;Na(75,e|0,2912,175);y=0;d=0}c=pb()|0;A9(f);if(!d){a=c;k[ha>>2]=ia;sb(a|0)}}fb(e|0);a=c;k[ha>>2]=ia;sb(a|0)}y=0;ta(53,b|0,0,0)|0;ea=y;y=0;a:do if(ea&1)fa=23;else{f=b+156|0;k[e>>2]=k[f>>2];k[e+4>>2]=k[f+4>>2];k[e+8>>2]=k[f+8>>2];M=b+76|0;c=k[M>>2]|0;l=b+84|0;k[g>>2]=k[l>>2];k[g+4>>2]=k[l+4>>2];k[g+8>>2]=k[l+8>>2];m=b+96|0;k[h>>2]=k[m>>2];k[h+4>>2]=k[m+4>>2];k[h+8>>2]=k[m+8>>2];ea=b+108|0;u=j;v=ea;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;ta(53,b|0,1,0)|0;w=y;y=0;if(w&1)fa=23;else{y=0;d=ta(82,b|0,1,0)|0;w=y;y=0;if(w&1)fa=23;else{if(d|0){y=0;oa(581,a|0,b|0);da=y;y=0;if(da&1){fa=23;break}k[o>>2]=k[f>>2];k[o+4>>2]=k[f+4>>2];k[o+8>>2]=k[f+8>>2];d=k[M>>2]|0;k[p>>2]=k[l>>2];k[p+4>>2]=k[l+4>>2];k[p+8>>2]=k[l+8>>2];k[q>>2]=k[m>>2];k[q+4>>2]=k[m+4>>2];k[q+8>>2]=k[m+8>>2];u=s;v=ea;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;ta(53,b|0,1,0)|0;da=y;y=0;do if(da&1)fa=25;else{y=0;c=ta(67,b|0,1,0)|0;da=y;y=0;if(da&1)fa=25;else{if(c|0){k[ha>>2]=ia;r=ga;return}u=ea;v=s;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));k[f>>2]=k[o>>2];k[f+4>>2]=k[o+4>>2];k[f+8>>2]=k[o+8>>2];k[M>>2]=d;k[m>>2]=k[q>>2];k[m+4>>2]=k[q+4>>2];k[m+8>>2]=k[q+8>>2];k[l>>2]=k[p>>2];k[l+4>>2]=k[p+4>>2];k[l+8>>2]=k[p+8>>2];k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,43542,20);ea=y;y=0;if(ea&1)fa=25;else{ea=b+108|0;y=0;k[aa>>2]=k[ea>>2];k[aa+4>>2]=k[ea+4>>2];k[aa+8>>2]=k[ea+8>>2];Na(108,b|0,n|0,aa|0);b=y;y=0;if(b&1){c=pb()|0;A9(n);break}A9(n);k[ha>>2]=ia;r=ga;return}}}while(0);if((fa|0)==25)c=pb()|0;DO(a);a=c;k[ha>>2]=ia;sb(a|0)}u=ea;v=j;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));k[f>>2]=k[e>>2];k[f+4>>2]=k[e+4>>2];k[f+8>>2]=k[e+8>>2];k[M>>2]=c;k[m>>2]=k[h>>2];k[m+4>>2]=k[h+4>>2];k[m+8>>2]=k[h+8>>2];k[l>>2]=k[g>>2];k[l+4>>2]=k[g+4>>2];k[l+8>>2]=k[g+8>>2];y=0;d=qa(344,c|0)|0;w=y;y=0;if(w&1)fa=23;else{y=0;c=qa(363,(d|0?d:c)|0)|0;w=y;y=0;if(w&1)fa=23;else{e=b+80|0;if(!((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)){y=0;oa(582,t|0,b|0);b=y;y=0;if(b&1){fa=23;break}y=0;oa(460,a|0,k[t+4>>2]|0);b=y;y=0;if(b&1){a=pb()|0;DO(t);k[ha>>2]=ia;sb(a|0)}else{k[a>>2]=7284;DO(t);k[ha>>2]=ia;r=ga;return}}c=k[M>>2]|0;y=0;d=qa(344,c|0)|0;w=y;y=0;if(w&1)fa=23;else{y=0;c=qa(364,(d|0?d:c)|0)|0;w=y;y=0;if(w&1)fa=23;else{if(!((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)){y=0;oa(583,x|0,b|0);b=y;y=0;if(b&1){fa=23;break}y=0;oa(460,a|0,k[x+4>>2]|0);b=y;y=0;if(b&1){a=pb()|0;DO(x);k[ha>>2]=ia;sb(a|0)}else{k[a>>2]=7284;DO(x);k[ha>>2]=ia;r=ga;return}}c=k[M>>2]|0;y=0;d=qa(344,c|0)|0;x=y;y=0;if(x&1)fa=23;else{y=0;c=qa(365,(d|0?d:c)|0)|0;x=y;y=0;if(x&1)fa=23;else{if(c|0){x=(i[c>>0]|0)==40?c+1|0:0;if(!((x|0)==0?1:x>>>0>(k[e>>2]|0)>>>0)){y=0;oa(584,z|0,b|0);b=y;y=0;if(b&1){fa=23;break}y=0;oa(460,a|0,k[z+4>>2]|0);b=y;y=0;if(b&1){a=pb()|0;DO(z);k[ha>>2]=ia;sb(a|0)}else{k[a>>2]=7284;DO(z);k[ha>>2]=ia;r=ga;return}}}y=0;c=ta(83,b|0,1,0)|0;z=y;y=0;if(z&1)fa=23;else{if(c|0){y=0;oa(585,A|0,b|0);b=y;y=0;if(b&1){fa=23;break}y=0;oa(460,a|0,k[A+4>>2]|0);b=y;y=0;if(b&1){a=pb()|0;DO(A);k[ha>>2]=ia;sb(a|0)}else{k[a>>2]=7284;DO(A);k[ha>>2]=ia;r=ga;return}}y=0;c=ta(84,b|0,1,0)|0;A=y;y=0;if(A&1)fa=23;else{if(c|0){y=0;oa(586,E|0,b|0);ea=y;y=0;if(ea&1){fa=23;break}e=E+4|0;c=k[e>>2]|0;b:do if(!c)fa=68;else{if((k[291]|0)!=(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)){fa=68;break}y=0;d=ta(82,b|0,1,0)|0;ea=y;y=0;do if(!(ea&1)){if(!d){fa=68;break b}c=c+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;Na(111,B|0,b|0,0);ea=y;y=0;if(ea&1)break;y=0;oa(d|0,c|0,B|0);ea=y;y=0;if(ea&1){c=pb()|0;DO(B);break b}else{DO(B);y=0;ta(67,b|0,1,0)|0;b=y;y=0;if(b&1)break;else{fa=68;break b}}}while(0);c=pb()|0}while(0);do if((fa|0)==68){y=0;oa(460,C|0,k[e>>2]|0);b=y;y=0;if(b&1){c=pb()|0;break}k[C>>2]=7492;y=0;oa(460,a|0,k[C+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;DO(C);break}k[a>>2]=7284;DO(C);DO(E);k[ha>>2]=ia;r=ga;return}while(0);DO(E);a=c;k[ha>>2]=ia;sb(a|0)}c=k[M>>2]|0;y=0;d=qa(344,c|0)|0;E=y;y=0;if(E&1)fa=23;else{y=0;c=qa(366,(d|0?d:c)|0)|0;E=y;y=0;if(E&1){fa=23;break}do if(c|0){y=0;c=qa(367,c|0)|0;E=y;y=0;if(E&1){fa=23;break a}if(!c)break;y=0;c=qa(368,c|0)|0;E=y;y=0;if(E&1){fa=23;break a}if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)break;y=0;oa(587,D|0,b|0);b=y;y=0;if(b&1){fa=23;break a}y=0;oa(460,a|0,k[D+4>>2]|0);b=y;y=0;if(b&1){a=pb()|0;DO(D);k[ha>>2]=ia;sb(a|0)}else{k[a>>2]=7284;DO(D);k[ha>>2]=ia;r=ga;return}}while(0);c=k[M>>2]|0;y=0;d=qa(344,c|0)|0;E=y;y=0;if(E&1){fa=23;break}y=0;c=qa(369,(d|0?d:c)|0)|0;E=y;y=0;if(E&1){fa=23;break}if(!((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)){y=0;oa(588,F|0,b|0);b=y;y=0;if(b&1){fa=23;break}y=0;oa(460,a|0,k[F+4>>2]|0);b=y;y=0;if(b&1){a=pb()|0;DO(F);k[ha>>2]=ia;sb(a|0)}else{k[a>>2]=7284;DO(F);k[ha>>2]=ia;r=ga;return}}y=0;c=ta(57,b|0,1,0)|0;F=y;y=0;if(F&1){fa=23;break}if(c|0){y=0;e=qa(315,76)|0;fa=y;y=0;if(fa&1){fa=23;break}u=G;v=ea;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;oa(580,O|0,b|0);b=y;y=0;if(b&1)c=pb()|0;else{u=H;v=G;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;na(422,e|0);b=y;y=0;do if(b&1)c=pb()|0;else{u=e+12|0;v=H;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));d=e+52|0;i[d>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=9704;k[e+60>>2]=0;c=e+64|0;y=0;oa(460,c|0,k[O+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;break}k[c>>2]=7284;k[e+72>>2]=0;DO(O);c=e+68|0;y=0;oa(460,P|0,k[c>>2]|0);b=y;y=0;do if(!(b&1)){k[P>>2]=7284;b=(k[P+4>>2]|0)==0;DO(P);if(!b){y=0;oa(460,Q|0,k[c>>2]|0);b=y;y=0;if(b&1)break;k[Q>>2]=7284;i[d>>0]=i[(k[Q+4>>2]|0)+52>>0]|0;DO(Q)}y=0;oa(460,a|0,e|0);b=y;y=0;if(b&1)break;k[a>>2]=7284;k[ha>>2]=ia;r=ga;return}while(0);a=pb()|0;k[ha>>2]=ia;sb(a|0)}while(0);DO(O)}cra(e);a=c;k[ha>>2]=ia;sb(a|0)}y=0;c=ta(85,b|0,1,0)|0;Q=y;y=0;if(Q&1){fa=23;break}if(c|0){y=0;e=qa(315,76)|0;fa=y;y=0;if(fa&1){fa=23;break}u=I;v=ea;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;oa(580,S|0,b|0);b=y;y=0;if(b&1)c=pb()|0;else{u=J;v=I;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;na(422,e|0);b=y;y=0;do if(b&1)c=pb()|0;else{u=e+12|0;v=J;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));d=e+52|0;i[d>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=9704;k[e+60>>2]=1;c=e+64|0;y=0;oa(460,c|0,k[S+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;break}k[c>>2]=7284;k[e+72>>2]=0;DO(S);c=e+68|0;y=0;oa(460,T|0,k[c>>2]|0);b=y;y=0;do if(!(b&1)){k[T>>2]=7284;b=(k[T+4>>2]|0)==0;DO(T);if(!b){y=0;oa(460,U|0,k[c>>2]|0);b=y;y=0;if(b&1)break;k[U>>2]=7284;i[d>>0]=i[(k[U+4>>2]|0)+52>>0]|0;DO(U)}y=0;oa(460,a|0,e|0);b=y;y=0;if(b&1)break;k[a>>2]=7284;k[ha>>2]=ia;r=ga;return}while(0);a=pb()|0;k[ha>>2]=ia;sb(a|0)}while(0);DO(S)}cra(e);a=c;k[ha>>2]=ia;sb(a|0)}y=0;c=ta(62,b|0,1,0)|0;U=y;y=0;if(U&1){fa=23;break}if(c|0){y=0;e=qa(315,76)|0;fa=y;y=0;if(fa&1){fa=23;break}u=L;v=ea;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;oa(580,V|0,b|0);b=y;y=0;if(b&1)c=pb()|0;else{u=K;v=L;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;na(422,e|0);b=y;y=0;do if(b&1)c=pb()|0;else{u=e+12|0;v=K;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));d=e+52|0;i[d>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=9704;k[e+60>>2]=3;c=e+64|0;y=0;oa(460,c|0,k[V+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;break}k[c>>2]=7284;k[e+72>>2]=0;DO(V);c=e+68|0;y=0;oa(460,W|0,k[c>>2]|0);b=y;y=0;do if(!(b&1)){k[W>>2]=7284;b=(k[W+4>>2]|0)==0;DO(W);if(!b){y=0;oa(460,X|0,k[c>>2]|0);b=y;y=0;if(b&1)break;k[X>>2]=7284;i[d>>0]=i[(k[X+4>>2]|0)+52>>0]|0;DO(X)}y=0;oa(460,a|0,e|0);b=y;y=0;if(b&1)break;k[a>>2]=7284;k[ha>>2]=ia;r=ga;return}while(0);a=pb()|0;k[ha>>2]=ia;sb(a|0)}while(0);DO(V)}cra(e);a=c;k[ha>>2]=ia;sb(a|0)}y=0;c=ta(86,b|0,1,0)|0;X=y;y=0;if(X&1){fa=23;break}if(c|0){y=0;e=qa(315,76)|0;fa=y;y=0;if(fa&1){fa=23;break}u=R;v=ea;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;oa(580,Y|0,b|0);b=y;y=0;if(b&1)c=pb()|0;else{u=N;v=R;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;na(422,e|0);b=y;y=0;do if(b&1)c=pb()|0;else{u=e+12|0;v=N;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));d=e+52|0;i[d>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=9704;k[e+60>>2]=2;c=e+64|0;y=0;oa(460,c|0,k[Y+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;break}k[c>>2]=7284;k[e+72>>2]=0;DO(Y);c=e+68|0;y=0;oa(460,Z|0,k[c>>2]|0);b=y;y=0;do if(!(b&1)){k[Z>>2]=7284;b=(k[Z+4>>2]|0)==0;DO(Z);if(!b){y=0;oa(460,_|0,k[c>>2]|0);b=y;y=0;if(b&1)break;k[_>>2]=7284;i[d>>0]=i[(k[_+4>>2]|0)+52>>0]|0;DO(_)}y=0;oa(460,a|0,e|0);b=y;y=0;if(b&1)break;k[a>>2]=7284;k[ha>>2]=ia;r=ga;return}while(0);a=pb()|0;k[ha>>2]=ia;sb(a|0)}while(0);DO(Y)}cra(e);a=c;k[ha>>2]=ia;sb(a|0)}c=k[M>>2]|0;y=0;d=qa(344,c|0)|0;_=y;y=0;if(_&1){fa=23;break}d=d|0?d:c;y=0;c=qa(370,d|0)|0;_=y;y=0;if(_&1){fa=23;break}if(!c){_=i[d>>0]|0;c=d+1|0;_=_<<24>>24|0;c=(_|0)!=45?((_|0)==43?c:0):c;if(c|0)fa=167}else fa=167;do if((fa|0)==167){while(1){fa=0;y=0;d=qa(370,c|0)|0;_=y;y=0;if(_&1){fa=22;break}if(d|0){c=d;fa=167;continue}_=i[c>>0]|0;d=c+1|0;_=_<<24>>24|0;d=(_|0)!=45?((_|0)==43?d:0):d;if(!d)break;else{c=d;fa=167}}if((fa|0)==22){c=pb()|0;break a}y=0;c=qa(371,c|0)|0;fa=y;y=0;if(fa&1){fa=23;break a}if((c|0)==0?1:c>>>0>(k[e>>2]|0)>>>0)break;else d=1;c:while(1){while(1){y=0;c=ta(56,b|0,1,0)|0;fa=y;y=0;if(fa&1){fa=20;break c}if(c|0)continue;y=0;c=ta(87,b|0,1,0)|0;fa=y;y=0;if(fa&1){fa=20;break c}if(!c)break}y=0;c=ta(85,b|0,1,0)|0;fa=y;y=0;if(fa&1){fa=21;break}if(!c){fa=179;break}else d=d^1}if((fa|0)==20){c=pb()|0;break a}else if((fa|0)==21){c=pb()|0;break a}else if((fa|0)==179){if(d){y=0;oa(589,a|0,b|0);a=y;y=0;if(a&1){fa=23;break a}k[ha>>2]=ia;r=ga;return}y=0;e=qa(315,76)|0;fa=y;y=0;if(fa&1){fa=23;break a}u=$;v=ea;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;oa(589,ba|0,b|0);b=y;y=0;if(b&1)c=pb()|0;else{u=aa;v=$;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));y=0;na(422,e|0);b=y;y=0;do if(b&1)c=pb()|0;else{u=e+12|0;v=aa;w=u+40|0;do{k[u>>2]=k[v>>2];u=u+4|0;v=v+4|0}while((u|0)<(w|0));d=e+52|0;i[d>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=9704;k[e+60>>2]=1;c=e+64|0;y=0;oa(460,c|0,k[ba+4>>2]|0);b=y;y=0;if(b&1){c=pb()|0;break}k[c>>2]=7284;k[e+72>>2]=0;DO(ba);c=e+68|0;y=0;oa(460,ca|0,k[c>>2]|0);b=y;y=0;do if(!(b&1)){k[ca>>2]=7284;b=(k[ca+4>>2]|0)==0;DO(ca);if(!b){y=0;oa(460,da|0,k[c>>2]|0);b=y;y=0;if(b&1)break;k[da>>2]=7284;i[d>>0]=i[(k[da+4>>2]|0)+52>>0]|0;DO(da)}y=0;oa(460,a|0,e|0);b=y;y=0;if(b&1)break;k[a>>2]=7284;k[ha>>2]=ia;r=ga;return}while(0);a=pb()|0;k[ha>>2]=ia;sb(a|0)}while(0);DO(ba)}cra(e);a=c;k[ha>>2]=ia;sb(a|0)}}while(0);y=0;oa(589,a|0,b|0);a=y;y=0;if(a&1){fa=23;break}k[ha>>2]=ia;r=ga;return}}}}}}}}}}}}while(0);if((fa|0)==23)c=pb()|0;a=c;k[ha>>2]=ia;sb(a|0)}function hd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0;Q=0;M=r;r=r+336|0;L=M+120|0;H=M+80|0;h=M+40|0;I=M;U=M+320|0;T=M+312|0;d=M+304|0;S=M+280|0;R=M+272|0;f=M+264|0;g=M+256|0;l=M+248|0;P=M+240|0;O=M+232|0;J=M+224|0;E=M+200|0;z=M+216|0;A=M+208|0;B=M+192|0;C=M+184|0;D=M+176|0;F=M+168|0;G=M+160|0;xs(U,b+72|0);y=0;oa(460,d|0,k[b+88>>2]|0);K=y;y=0;do if(K&1)f=pb()|0;else{k[d>>2]=7284;c=k[d+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;K=y;y=0;if(!(K&1)){y=0;oa(460,T|0,c|0);K=y;y=0;if(!(K&1)){k[T>>2]=7284;DO(d);K=a+4|0;y=0;c=qa(378,k[K>>2]|0)|0;x=y;y=0;if(x&1)Q=15;else{y=0;Na(128,S|0,c|0,1);x=y;y=0;if(x&1)Q=15;else{c=k[K>>2]|0;k[L>>2]=S;d=c+52|0;e=k[d>>2]|0;if(e>>>0<(k[c+56>>2]|0)>>>0){k[e>>2]=S;k[d>>2]=(k[d>>2]|0)+4;Q=9}else{y=0;oa(638,c+48|0,L|0);x=y;y=0;if(x&1)c=pb()|0;else Q=9}do if((Q|0)==9){y=0;oa(460,R|0,0);x=y;y=0;if(x&1){c=pb()|0;break}k[R>>2]=7172;u=T+4|0;e=k[u>>2]|0;c=k[e+56>>2]|0;d=(e|0)==0;a:do if((c|0)==6)if(d){c=0;Q=65}else{c=(k[229]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;Q=65}else{if(d)Q=35;else if((k[481]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)){y=0;na(440,f|0);x=y;y=0;if(!(x&1)){y=0;c=Ha(k[(k[e>>2]|0)+56>>2]|0,e|0,f|0)|0;x=y;y=0;if(x&1)Q=30;else{y=0;oa(460,g|0,c|0);x=y;y=0;if(x&1)Q=30;else{k[g>>2]=7284;y=0;c=qa(336,k[g+4>>2]|0)|0;x=y;y=0;b:do if(x&1)Q=31;else{y=0;oa(460,L|0,c|0);x=y;y=0;if(x&1){Q=31;break}k[L>>2]=7172;c=R+4|0;do if(k[c>>2]|0){y=0;na(423,R|0);x=y;y=0;if(!(x&1))break;c=pb()|0;DO(L);break b}while(0);Q=L+4|0;k[c>>2]=k[Q>>2];k[Q>>2]=0;DO(L);DO(g);c=0;Q=65;break a}while(0);if((Q|0)==31)c=pb()|0;DO(g)}}if((Q|0)==30)c=pb()|0;break}}else Q=35;c:do if((Q|0)==35){if((c|0)==5){y=0;c=qa(336,e|0)|0;x=y;y=0;d:do if(x&1)Q=62;else{y=0;oa(460,L|0,c|0);x=y;y=0;if(x&1)Q=62;else{k[L>>2]=7172;c=R+4|0;do if(k[c>>2]|0){y=0;na(423,R|0);x=y;y=0;if(!(x&1))break;c=pb()|0;DO(L);break d}while(0);Q=L+4|0;k[c>>2]=k[Q>>2];k[Q>>2]=0;DO(L);c=0;Q=65;break a}}while(0);if((Q|0)==62)c=pb()|0;break a}y=0;j=qa(315,88)|0;x=y;y=0;e:do if(x&1)Q=51;else{x=h;v=e+12|0;w=x+40|0;do{k[x>>2]=k[v>>2];x=x+4|0;v=v+4|0}while((x|0)<(w|0));y=0;na(422,j|0);x=y;y=0;do if(x&1)c=pb()|0;else{x=j+12|0;v=h;w=x+40|0;do{k[x>>2]=k[v>>2];x=x+4|0;v=v+4|0}while((x|0)<(w|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[c>>2]=0;k[j>>2]=9288;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,1);x=y;y=0;if(x&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{P=e+-8|0;k[h>>2]=P;lc[k[k[P>>2]>>2]&511](P);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=9076;k[d>>2]=9208;k[j+80>>2]=0;i[j+84>>0]=0;i[j+85>>0]=0;k[c>>2]=5;y=0;oa(460,L|0,j|0);x=y;y=0;if(x&1){Q=51;break e}k[L>>2]=7172;c=R+4|0;do if(k[c>>2]|0){y=0;na(423,R|0);x=y;y=0;if(!(x&1))break;c=pb()|0;DO(L);break e}while(0);d=L+4|0;k[c>>2]=k[d>>2];k[d>>2]=0;DO(L);c=(k[c>>2]|0)+60|0;d=k[(k[c>>2]|0)+20>>2]|0;y=0;oa(460,l|0,k[u>>2]|0);x=y;y=0;if(x&1)break c;k[l>>2]=7284;y=0;oa(d|0,c|0,l|0);x=y;y=0;if(x&1){c=pb()|0;DO(l);break a}else{DO(l);c=0;Q=65;break a}}while(0);cra(j)}while(0);if((Q|0)==51)c=pb()|0;break a}while(0);c=pb()|0}while(0);do if((Q|0)==65){y=0;oa(460,P|0,k[b+68>>2]|0);x=y;y=0;if(x&1){c=pb()|0;break}k[P>>2]=6868;y=0;oa(460,O|0,0);x=y;y=0;do if(x&1)c=pb()|0;else{k[O>>2]=7284;f:do if(!c){t=R+4|0;e=k[t>>2]|0;c=k[e+68>>2]|0;d=k[e+64>>2]|0;g:do if(!((e|0)==0|(c-d|0)!=8)){if((k[481]|0)!=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0))break;y=0;c=qa(336,e|0)|0;J=y;y=0;h:do if(J&1)Q=137;else{y=0;oa(460,L|0,c|0);J=y;y=0;if(J&1){Q=137;break}k[L>>2]=7172;do if(k[t>>2]|0){y=0;na(423,R|0);J=y;y=0;if(!(J&1))break;c=pb()|0;DO(L);break h}while(0);e=L+4|0;k[t>>2]=k[e>>2];k[e>>2]=0;DO(L);e=k[t>>2]|0;c=k[e+68>>2]|0;d=k[e+64>>2]|0;break g}while(0);if((Q|0)==137)c=pb()|0;Q=211;break f}while(0);b=c-d>>3;if(b|0){m=U+4|0;n=P+4|0;o=O+4|0;p=L+4|0;q=G+4|0;s=F+4|0;c=0;i:while(1){d=e+60|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;J=y;y=0;if(J&1){Q=148;break}d=k[d+4>>2]|0;do if(!d)d=0;else{if((k[251]|0)!=(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0))break;y=0;oa(460,F|0,k[d+64>>2]|0);J=y;y=0;if(J&1){Q=150;break i}k[F>>2]=7284;d=k[s>>2]|0;DO(F)}while(0);y=0;g=qa(336,d|0)|0;J=y;y=0;if(J&1){Q=149;break}f=k[U>>2]|0;e=(k[m>>2]|0)-f|0;l=(e|0)/12|0;j:do if(!g){if(!e)break;y=0;oa(460,L|0,d|0);J=y;y=0;if(J&1){Q=182;break i}k[L>>2]=6336;y=0;Na(124,S|0,f|0,L|0);J=y;y=0;if(J&1){Q=183;break i}DO(L);f=((k[m>>2]|0)-(k[U>>2]|0)|0)/12|0;if(f>>>0>1)e=1;else break;do{y=0;g=qa(315,60)|0;J=y;y=0;if(J&1){Q=190;break i}x=I;v=(k[u>>2]|0)+12|0;w=x+40|0;do{k[x>>2]=k[v>>2];x=x+4|0;v=v+4|0}while((x|0)<(w|0));y=0;na(422,g|0);J=y;y=0;if(J&1){Q=191;break i}x=g+12|0;v=I;w=x+40|0;do{k[x>>2]=k[v>>2];x=x+4|0;v=v+4|0}while((x|0)<(w|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g>>2]=12584;k[g+56>>2]=8;d=k[U>>2]|0;y=0;oa(460,L|0,g|0);J=y;y=0;if(J&1){Q=192;break i}k[L>>2]=6336;y=0;Na(124,S|0,d+(e*12|0)|0,L|0);J=y;y=0;if(J&1){Q=193;break i}DO(L);e=e+1|0}while(e>>>0<f>>>0)}else{switch(e|0){case 0:break j;case 12:{y=0;oa(460,L|0,g|0);J=y;y=0;if(J&1){Q=158;break i}k[L>>2]=6336;y=0;Na(124,S|0,f|0,L|0);J=y;y=0;if(J&1){Q=159;break i}DO(L);break j}default:{}}h=g+60|0;j=g+64|0;g=g+68|0;f=0;do{if(f>>>0<(k[g>>2]|0)-(k[j>>2]|0)>>3>>>0){y=0;d=Ha(k[(k[h>>2]|0)+16>>2]|0,h|0,f|0)|0;J=y;y=0;if(J&1){Q=174;break i}y=0;oa(460,G|0,k[d+4>>2]|0);J=y;y=0;if(J&1){Q=174;break i}k[G>>2]=7284;e=k[q>>2]|0;DO(G)}else{y=0;d=qa(315,60)|0;J=y;y=0;if(J&1){Q=172;break i}x=H;v=(k[u>>2]|0)+12|0;w=x+40|0;do{k[x>>2]=k[v>>2];x=x+4|0;v=v+4|0}while((x|0)<(w|0));y=0;na(422,d|0);J=y;y=0;if(J&1){Q=173;break i}x=d+12|0;v=H;w=x+40|0;do{k[x>>2]=k[v>>2];x=x+4|0;v=v+4|0}while((x|0)<(w|0));i[d+52>>0]=0;i[d+53>>0]=0;i[d+54>>0]=0;k[d>>2]=12584;k[d+56>>2]=8;y=0;oa(460,G|0,d|0);J=y;y=0;if(J&1){Q=172;break i}k[G>>2]=7284;e=k[q>>2]|0;DO(G)}d=k[U>>2]|0;y=0;oa(460,L|0,e|0);J=y;y=0;if(J&1){Q=175;break i}k[L>>2]=6336;y=0;Na(124,S|0,d+(f*12|0)|0,L|0);J=y;y=0;if(J&1){Q=176;break i}DO(L);f=f+1|0}while(f>>>0<l>>>0)}while(0);d=k[n>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;J=y;y=0;if(J&1){Q=200;break}y=0;oa(460,L|0,d|0);J=y;y=0;if(J&1){Q=200;break}k[L>>2]=7284;if(k[o>>2]|0){y=0;na(423,O|0);J=y;y=0;if(J&1){Q=201;break}}k[o>>2]=k[p>>2];k[p>>2]=0;DO(L);c=c+1|0;if(!((k[o>>2]|0)==0&c>>>0<b>>>0))break f;e=k[t>>2]|0}switch(Q|0){case 148:{c=pb()|0;Q=211;break f}case 149:{c=pb()|0;Q=211;break f}case 150:{c=pb()|0;Q=211;break f}case 158:{c=pb()|0;Q=160;break}case 159:{c=pb()|0;DO(L);Q=160;break}case 172:{c=pb()|0;Q=211;break f}case 173:{c=pb()|0;cra(d);Q=211;break f}case 174:{c=pb()|0;Q=211;break f}case 175:{c=pb()|0;Q=177;break}case 176:{c=pb()|0;DO(L);Q=177;break}case 182:{c=pb()|0;Q=184;break}case 183:{c=pb()|0;DO(L);Q=184;break}case 190:{c=pb()|0;Q=211;break f}case 191:{c=pb()|0;cra(g);Q=211;break f}case 192:{c=pb()|0;Q=194;break}case 193:{c=pb()|0;DO(L);Q=194;break}case 200:{c=pb()|0;Q=202;break}case 201:{c=pb()|0;DO(L);Q=202;break}}if((Q|0)==160){Q=211;break}else if((Q|0)==177){Q=211;break}else if((Q|0)==184){Q=211;break}else if((Q|0)==194){Q=211;break}else if((Q|0)==202){Q=211;break}}}else{p=c+60|0;d=k[c+84>>2]|0;q=k[c+88>>2]|0;if((d|0)!=(q|0)){s=J+4|0;t=U+4|0;f=c+12|0;g=E+4|0;j=P+4|0;l=O+4|0;b=L+4|0;m=C+4|0;n=D+4|0;o=k[2307]|0;while(1){y=0;oa(460,J|0,k[d+4>>2]|0);I=y;y=0;if(I&1){Q=91;break}k[J>>2]=7284;y=0;oa(460,z|0,k[s>>2]|0);I=y;y=0;if(I&1){Q=92;break}k[z>>2]=7284;y=0;Na(76,E|0,p|0,z|0);I=y;y=0;if(I&1){Q=93;break}DO(z);I=k[U>>2]|0;c=I;if(((k[t>>2]|0)-I|0)==12){y=0;u=qa(315,88)|0;I=y;y=0;if(I&1){Q=94;break}x=L;v=f;w=x+40|0;do{k[x>>2]=k[v>>2];x=x+4|0;v=v+4|0}while((x|0)<(w|0));y=0;na(422,u|0);I=y;y=0;if(I&1){Q=95;break}x=u+12|0;v=L;w=x+40|0;do{k[x>>2]=k[v>>2];x=x+4|0;v=v+4|0}while((x|0)<(w|0));i[u+52>>0]=0;i[u+53>>0]=0;i[u+54>>0]=0;c=u+56|0;k[c>>2]=0;k[u>>2]=9288;e=u+60|0;k[e>>2]=9248;h=u+64|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(514,h|0,2);I=y;y=0;if(I&1){Q=78;break}k[u>>2]=9076;k[e>>2]=9208;k[u+80>>2]=1;i[u+84>>0]=0;i[u+85>>0]=0;k[c>>2]=5;y=0;oa(460,A|0,k[s>>2]|0);I=y;y=0;if(I&1){Q=97;break}k[A>>2]=7284;y=0;oa(o|0,e|0,A|0);I=y;y=0;if(I&1){Q=98;break}DO(A);c=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(460,B|0,k[g>>2]|0);I=y;y=0;if(I&1){Q=97;break}k[B>>2]=7284;y=0;oa(c|0,e|0,B|0);I=y;y=0;if(I&1){Q=99;break}DO(B);c=k[U>>2]|0;y=0;oa(460,L|0,u|0);I=y;y=0;if(I&1){Q=100;break}k[L>>2]=6336;y=0;Na(124,S|0,c|0,L|0);I=y;y=0;if(I&1){Q=101;break}DO(L)}else{y=0;oa(460,C|0,k[s>>2]|0);I=y;y=0;if(I&1){Q=110;break}k[C>>2]=7284;y=0;oa(460,L|0,k[m>>2]|0);I=y;y=0;if(I&1){Q=111;break}k[L>>2]=6336;y=0;Na(124,S|0,c|0,L|0);I=y;y=0;if(I&1){Q=112;break}DO(L);DO(C);c=(k[U>>2]|0)+12|0;y=0;oa(460,D|0,k[g>>2]|0);I=y;y=0;if(I&1){Q=115;break}k[D>>2]=7284;y=0;oa(460,L|0,k[n>>2]|0);I=y;y=0;if(I&1){Q=116;break}k[L>>2]=6336;y=0;Na(124,S|0,c|0,L|0);I=y;y=0;if(I&1){Q=117;break}DO(L);DO(D)}c=k[j>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;I=y;y=0;if(I&1){Q=125;break}y=0;oa(460,L|0,c|0);I=y;y=0;if(I&1){Q=125;break}k[L>>2]=7284;if(k[l>>2]|0){y=0;na(423,O|0);I=y;y=0;if(I&1){Q=126;break}}k[l>>2]=k[b>>2];k[b>>2]=0;DO(L);I=k[l>>2]|0;DO(E);DO(J);d=d+8|0;if((I|0)!=0|(d|0)==(q|0))break f}switch(Q|0){case 78:{c=pb()|0;f=N;g=u+68|0;d=k[h>>2]|0;if(d|0){e=k[g>>2]|0;if((e|0)!=(d|0)){do{Q=e+-8|0;k[g>>2]=Q;lc[k[k[Q>>2]>>2]&511](Q);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[h>>2]|0}cra(d)}Q=96;break}case 91:{c=pb()|0;Q=211;break f}case 92:{c=pb()|0;break}case 93:{c=pb()|0;DO(z);break}case 94:{c=pb()|0;Q=128;break}case 95:{c=pb()|0;Q=96;break}case 97:{c=pb()|0;Q=128;break}case 98:{c=pb()|0;DO(A);Q=128;break}case 99:{c=pb()|0;DO(B);Q=128;break}case 100:{c=pb()|0;Q=102;break}case 101:{c=pb()|0;DO(L);Q=102;break}case 110:{c=pb()|0;Q=114;break}case 111:{c=pb()|0;Q=113;break}case 112:{c=pb()|0;DO(L);Q=113;break}case 115:{c=pb()|0;Q=119;break}case 116:{c=pb()|0;Q=118;break}case 117:{c=pb()|0;DO(L);Q=118;break}case 125:{c=pb()|0;Q=127;break}case 126:{c=pb()|0;DO(L);Q=127;break}}if((Q|0)==96){cra(u);Q=128}else if((Q|0)==102)Q=128;else if((Q|0)==113){DO(C);Q=114}else if((Q|0)==118){DO(D);Q=119}else if((Q|0)==127)Q=128;if((Q|0)==114)Q=128;else if((Q|0)==119)Q=128;if((Q|0)==128)DO(E);DO(J);Q=211}}while(0);if((Q|0)==211){DO(O);break}c=(k[K>>2]|0)+52|0;k[c>>2]=(k[c>>2]|0)+-4;c=k[O+4>>2]|0;if(!c)f=0;else{i[c+8>>0]=1;f=c}DO(O);DO(P);DO(R);GC(S,k[S+4>>2]|0);DO(T);c=k[U>>2]|0;if(!c){r=M;return f|0}e=U+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{T=d+-12|0;k[e>>2]=T;A9(T);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[U>>2]|0}cra(c);r=M;return f|0}while(0);DO(P)}while(0);DO(R)}while(0);GC(S,k[S+4>>2]|0)}}if((Q|0)==15)c=pb()|0;DO(T);f=c;break}}f=pb()|0;DO(d)}while(0);c=k[U>>2]|0;if(!c)sb(f|0);e=U+4|0;d=k[e>>2]|0;if((d|0)!=(c|0)){do{T=d+-12|0;k[e>>2]=T;A9(T);d=k[e>>2]|0}while((d|0)!=(c|0));c=k[U>>2]|0}cra(c);sb(f|0);return 0}function id(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,za=0;ta=0;sa=r;r=r+448|0;la=sa+392|0;ka=sa+384|0;T=sa+376|0;V=sa+368|0;W=sa+360|0;X=sa+356|0;O=sa+40|0;P=sa;za=sa+344|0;g=sa+432|0;xa=sa+332|0;va=sa+320|0;ha=sa+312|0;ga=sa+296|0;fa=sa+288|0;ea=sa+280|0;Q=sa+304|0;da=sa+232|0;ca=sa+208|0;ba=sa+192|0;R=sa+240|0;Z=sa+224|0;_=sa+216|0;Y=sa+200|0;S=sa+184|0;aa=sa+168|0;ra=sa+160|0;pa=sa+152|0;ma=sa+136|0;ia=sa+108|0;ja=sa+80|0;jD(a);f=k[b+4>>2]|0;y=0;oa(460,la|0,c|0);wa=y;y=0;do if(wa&1){f=pb()|0;ta=10}else{k[la>>2]=15152;y=0;Na(141,za|0,f|0,la|0);wa=y;y=0;if(wa&1){f=pb()|0;DO(la);ta=10;break}DO(la);k[xa>>2]=0;wa=xa+4|0;k[wa>>2]=0;k[xa+8>>2]=0;y=0;Na(144,za|0,g|0,xa|0);ua=y;y=0;a:do if(ua&1){f=pb()|0;o=N}else{k[va>>2]=0;ua=va+4|0;k[ua>>2]=0;k[va+8>>2]=0;f=k[xa>>2]|0;p=k[wa>>2]|0;b:do if((f|0)!=(p|0)){q=c+12|0;s=ha+4|0;t=ga+4|0;u=Q+4|0;v=ea+4|0;w=la+4|0;x=fa+4|0;z=da+4|0;A=ca+4|0;B=ba+4|0;C=aa+4|0;D=aa+8|0;$=aa+4|0;E=c+92|0;F=c+96|0;G=la+8|0;H=va+8|0;I=la+4|0;J=la+12|0;U=la+8|0;K=T+4|0;L=V+4|0;M=$;c:while(1){y=0;oa(460,ha|0,k[f+4>>2]|0);ta=y;y=0;if(ta&1){ta=25;break}k[ha>>2]=15136;y=0;n=qa(315,108)|0;ta=y;y=0;if(ta&1){ta=26;break}g=P;h=q;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(422,n|0);ta=y;y=0;if(ta&1){ta=27;break}g=n+12|0;h=P;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n>>2]=13472;i[n+60>>0]=0;i[n+61>>0]=0;i[n+62>>0]=0;k[n+64>>2]=0;k[n+68>>2]=0;k[n+56>>2]=7;g=n+72|0;k[g>>2]=15096;m=n+76|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(512,m|0,0);ta=y;y=0;if(ta&1){ta=16;break}k[n>>2]=14880;k[g>>2]=15056;ta=n+96|0;k[ta>>2]=0;k[n+100>>2]=0;k[n+92>>2]=ta;i[n+104>>0]=0;i[n+105>>0]=0;y=0;oa(460,ga|0,n|0);ta=y;y=0;if(ta&1){ta=26;break}k[ga>>2]=15152;g=k[f+8>>2]|0;h=k[f+12>>2]|0;if((g|0)!=(h|0))do{ta=k[g+12>>2]|0;i[ta+104>>0]=1;o=(k[t>>2]|0)+72|0;y=0;oa(k[(k[o>>2]|0)+24>>2]|0,o|0,((ta|0)==0?0:ta+72|0)|0);ta=y;y=0;if(ta&1){ta=31;break c}g=g+16|0}while((g|0)!=(h|0));o=k[s>>2]|0;y=0;g=Ha(1024,c|0,k[t>>2]|0)|0;ta=y;y=0;if(ta&1){ta=49;break}y=0;oa(460,fa|0,g|0);ta=y;y=0;if(ta&1){ta=49;break}k[fa>>2]=15152;y=0;oa(560,Q|0,o|0);ta=y;y=0;if(ta&1){ta=50;break}y=0;oa(460,ea|0,k[(k[u>>2]|0)+80>>2]|0);ta=y;y=0;if(ta&1){ta=51;break}k[ea>>2]=15152;DO(Q);g=k[v>>2]|0;if(!g){y=0;n=qa(315,108)|0;ta=y;y=0;if(ta&1){ta=53;break}g=O;h=q;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;na(422,n|0);ta=y;y=0;if(ta&1){ta=54;break}g=n+12|0;h=O;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));i[n+52>>0]=0;i[n+53>>0]=0;i[n+54>>0]=0;k[n>>2]=13472;i[n+60>>0]=0;i[n+61>>0]=0;i[n+62>>0]=0;k[n+64>>2]=0;k[n+68>>2]=0;k[n+56>>2]=7;g=n+72|0;k[g>>2]=15096;m=n+76|0;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;k[m+12>>2]=0;y=0;oa(512,m|0,0);ta=y;y=0;if(ta&1){ta=39;break}k[n>>2]=14880;k[g>>2]=15056;ta=n+96|0;k[ta>>2]=0;k[n+100>>2]=0;k[n+92>>2]=ta;i[n+104>>0]=0;i[n+105>>0]=0;y=0;oa(460,la|0,n|0);ta=y;y=0;if(ta&1){ta=53;break}k[la>>2]=15152;if(k[v>>2]|0){y=0;na(423,ea|0);ta=y;y=0;if(ta&1){ta=56;break}}k[v>>2]=k[w>>2];k[w>>2]=0;DO(la);g=k[v>>2]|0}y=0;g=Ha(971,g|0,k[x>>2]|0)|0;ta=y;y=0;if(ta&1){ta=52;break}y=0;oa(460,da|0,g|0);ta=y;y=0;if(ta&1){ta=52;break}k[da>>2]=15152;g=k[z>>2]|0;do if(g|0){if((k[g+80>>2]|0)==(k[g+76>>2]|0))break;y=0;g=qa(k[(k[o>>2]|0)+16>>2]|0,o|0)|0;ta=y;y=0;if(ta&1){ta=62;break c}y=0;oa(460,ca|0,g|0);ta=y;y=0;if(ta&1){ta=62;break c}k[ca>>2]=15136;y=0;l=qa(315,100)|0;ta=y;y=0;if(ta&1){ta=92;break c}g=R;h=q;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));y=0;oa(460,Z|0,k[z>>2]|0);ta=y;y=0;if(ta&1){ta=93;break c}k[Z>>2]=15152;y=0;oa(460,_|0,0);ta=y;y=0;if(ta&1){ta=94;break c}k[_>>2]=15136;y=0;oa(460,Y|0,0);ta=y;y=0;if(ta&1){ta=95;break c}k[Y>>2]=7492;y=0;g=la;h=R;j=g+40|0;do{k[g>>2]=k[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(j|0));ya(11,l|0,la|0,0,Z|0,_|0,Y|0);ta=y;y=0;if(ta&1){f=1;ta=96;break c}y=0;oa(460,ba|0,l|0);ta=y;y=0;if(ta&1){f=0;ta=96;break c}k[ba>>2]=15136;DO(Y);DO(_);DO(Z);y=0;g=qa(319,k[A>>2]|0)|0;ta=y;y=0;if(ta&1){ta=99;break c}h=k[A>>2]|0;y=0;oa(460,S|0,k[B>>2]|0);ta=y;y=0;if(ta&1){ta=100;break c}k[S>>2]=15136;y=0;Na(82,h|0,S|0,g|0);ta=y;y=0;if(ta&1){ta=102;break c}DO(S);k[C>>2]=0;k[D>>2]=0;k[aa>>2]=$;g=k[E>>2]|0;if((g|0)!=(F|0)){h=g;while(1){ta=h+16|0;k[X>>2]=M;y=0;k[la>>2]=k[X>>2];Ma(13,aa|0,la|0,ta|0,ta|0)|0;ta=y;y=0;if(ta&1){ta=81;break c}h=k[g+4>>2]|0;if(!h)while(1){h=k[g+8>>2]|0;if((k[h>>2]|0)==(g|0)){g=h;break}else g=h}else{g=h;while(1){h=k[g>>2]|0;if(!h)break;else g=h}}if((g|0)==(F|0))break;else h=g}}y=0;oa(460,la|0,o|0);ta=y;y=0;if(ta&1){ta=103;break c}k[la>>2]=15136;y=0;Ra(13,W|0,aa|0,la|0,la|0);ta=y;y=0;if(ta&1){ta=104;break c}DO(la);g=k[A>>2]|0;if(g|0)do{y=0;oa(460,T|0,k[g+80>>2]|0);ta=y;y=0;if(ta&1){ta=106;break c}k[T>>2]=15152;h=k[K>>2]|0;DO(T);if(h|0){y=0;oa(663,h|0,aa|0);ta=y;y=0;if(ta&1){ta=106;break c}}y=0;oa(460,V|0,k[g+88>>2]|0);ta=y;y=0;if(ta&1){ta=106;break c}k[V>>2]=15136;g=k[L>>2]|0;DO(V)}while((g|0)!=0);g=k[t>>2]|0;if(i[g+60>>0]|0)i[(k[A>>2]|0)+60>>0]=1;y=0;oa(460,la|0,g|0);ta=y;y=0;if(ta&1){ta=118;break c}k[la>>2]=15152;y=0;oa(460,G|0,k[A>>2]|0);ta=y;y=0;if(ta&1){ta=109;break c}k[G>>2]=15136;h=k[ua>>2]|0;if(h>>>0<(k[H>>2]|0)>>>0){y=0;oa(460,h|0,k[I>>2]|0);ta=y;y=0;if(ta&1){ta=120;break c}k[h>>2]=15152;g=h+8|0;y=0;oa(460,g|0,k[J>>2]|0);ta=y;y=0;if(ta&1){ta=113;break c}k[g>>2]=15136;k[ua>>2]=(k[ua>>2]|0)+16}else{y=0;oa(665,va|0,la|0);ta=y;y=0;if(ta&1){ta=120;break c}}DO(U);DO(la);kH(aa,k[$>>2]|0);DO(ba);DO(ca)}while(0);DO(da);DO(ea);DO(fa);DO(ga);DO(ha);f=f+20|0;if((f|0)==(p|0)){ta=6;break}}d:switch(ta|0){case 6:{g=k[va>>2]|0;f=k[ua>>2]|0;e:do if((g|0)!=(f|0)){z=d+4|0;A=ma+4|0;B=ma+8|0;c=ma+4|0;C=pa+4|0;D=ia+20|0;O=ia+24|0;E=ja+12|0;F=ja+20|0;L=ja+24|0;M=ja+12|0;G=a+20|0;H=a+24|0;I=ja+16|0;P=ia+12|0;J=c;K=ra+4|0;f:while(1){y=0;oa(460,ra|0,k[g+4>>2]|0);ha=y;y=0;if(ha&1){ta=168;break}k[ra>>2]=15152;y=0;oa(460,pa|0,k[g+12>>2]|0);ha=y;y=0;if(ha&1){ta=169;break}k[pa>>2]=15136;j=k[z>>2]|0;do if(!j)ta=173;else{h=z;g:while(1){m=j;while(1){j=k[m+20>>2]|0;if(!j)break;l=k[K>>2]|0;if(!l)break;y=0;j=Ha(k[(k[j>>2]|0)+160>>2]|0,j|0,l|0)|0;ha=y;y=0;if(ha&1){ta=170;break f}if(!j)break;j=k[m+4>>2]|0;if(!j)break g;else m=j}j=k[m>>2]|0;if(!j){h=m;break}else h=m}if((h|0)==(z|0))ta=173;else{j=k[K>>2]|0;if(j|0){h=k[h+20>>2]|0;if(h|0){y=0;h=Ha(k[(k[j>>2]|0)+160>>2]|0,j|0,h|0)|0;ha=y;y=0;if(ha&1){ta=171;break f}if(h){ta=173;break}}}DO(pa);DO(ra)}}while(0);if((ta|0)==173){ta=0;k[A>>2]=0;k[B>>2]=0;k[ma>>2]=c;h=k[d>>2]|0;if((h|0)!=(z|0)){l=h;j=h;while(1){ha=l+16|0;k[ka>>2]=J;y=0;k[la>>2]=k[ka>>2];Ma(12,ma|0,la|0,ha|0,ha|0)|0;ha=y;y=0;if(ha&1){ta=199;break f}h=k[j+4>>2]|0;if(!h)while(1){h=k[j+8>>2]|0;if((k[h>>2]|0)==(j|0))break;else j=h}else while(1){j=k[h>>2]|0;if(!j)break;else h=j}if((h|0)==(z|0))break;else{l=h;j=h}}}y=0;Ra(44,la|0,ma|0,ra|0,ra|0);ha=y;y=0;if(ha&1){ta=200;break}y=0;ya(25,ia|0,b|0,k[C>>2]|0,ma|0,e|0,0);ha=y;y=0;if(ha&1){ta=200;break}h=k[D>>2]|0;l=k[O>>2]|0;m=(l|0)==0;if(!m)Dba(l);ha=k[h+4>>2]|0;j=k[h+16>>2]|0;p=ha+(((j>>>0)/146|0)<<2)|0;if((k[h+8>>2]|0)==(ha|0))h=0;else h=(k[p>>2]|0)+(((j>>>0)%146|0)*28|0)|0;if(!m)DY(l);j=k[D>>2]|0;n=k[O>>2]|0;o=(n|0)==0;if(!o)Dba(n);l=(k[j+16>>2]|0)+(k[j+20>>2]|0)|0;m=k[j+4>>2]|0;if((k[j+8>>2]|0)==(m|0))x=0;else x=(k[m+(((l>>>0)/146|0)<<2)>>2]|0)+(((l>>>0)%146|0)*28|0)|0;if(!o)DY(n);h:while(1){do{if((h|0)==(x|0))break h;k[ja>>2]=k[h>>2];k[ja+4>>2]=k[h+4>>2];k[ja+8>>2]=k[h+8>>2];y=0;oa(460,E|0,k[h+16>>2]|0);ha=y;y=0;if(ha&1){ta=201;break f}k[E>>2]=15136;k[F>>2]=k[h+20>>2];j=k[h+24>>2]|0;k[L>>2]=j;if(j|0)Dba(j);y=0;j=Ha(1021,a|0,ja|0)|0;ha=y;y=0;if(ha&1){ta=219;break f}do if(!j){j=k[G>>2]|0;v=k[H>>2]|0;w=(v|0)==0;if(!w)Dba(v);s=j+8|0;m=k[s>>2]|0;t=j+4|0;l=k[t>>2]|0;ha=m-l>>2;o=j+16|0;q=k[o>>2]|0;u=j+20|0;n=k[u>>2]|0;if((((ha|0)==0?0:(ha*146|0)+-1|0)|0)==(n+q|0)){y=0;na(429,j|0);ha=y;y=0;if(ha&1){ta=220;break f}n=k[u>>2]|0;j=k[o>>2]|0;m=k[s>>2]|0;l=k[t>>2]|0}else j=q;j=n+j|0;if((m|0)==(l|0))l=0;else l=(k[l+(((j>>>0)/146|0)<<2)>>2]|0)+(((j>>>0)%146|0)*28|0)|0;k[l>>2]=k[ja>>2];k[l+4>>2]=k[ja+4>>2];k[l+8>>2]=k[ja+8>>2];j=l+12|0;y=0;oa(460,j|0,k[I>>2]|0);ha=y;y=0;if(ha&1){ta=220;break f}k[j>>2]=15136;k[l+20>>2]=k[F>>2];j=k[L>>2]|0;k[l+24>>2]=j;if(j|0)Dba(j);k[u>>2]=(k[u>>2]|0)+1;if(w)break;DY(v)}while(0);j=k[L>>2]|0;if(j|0)DY(j);DO(M);h=h+28|0}while((h-(k[p>>2]|0)|0)!=4088);h=p+4|0;p=h;h=k[h>>2]|0}h=k[O>>2]|0;if(h|0)DY(h);DO(P);gH(ma,k[c>>2]|0);DO(pa);DO(ra)}g=g+16|0;if((g|0)==(f|0)){ta=131;break}}switch(ta|0){case 131:{f=k[va>>2]|0;break e}case 168:{f=pb()|0;j=N;break d}case 169:{f=pb()|0;g=N;break}case 170:{f=pb()|0;g=N;ta=172;break}case 171:{f=pb()|0;g=N;ta=172;break}case 199:{f=pb()|0;g=N;gH(ma,k[c>>2]|0);ta=235;break}case 200:{f=pb()|0;g=N;ta=234;break}case 201:{f=pb()|0;g=N;ta=229;break}case 219:{f=pb()|0;g=N;ta=226;break}case 220:{f=pb()|0;g=N;if(w)ta=226;else{DY(v);ta=226}break}}if((ta|0)==172)ta=235;else if((ta|0)==226){h=k[L>>2]|0;if(h|0)DY(h);DO(M);ta=229}if((ta|0)==229){h=k[O>>2]|0;if(h|0)DY(h);DO(P);ta=234}if((ta|0)==234){gH(ma,k[c>>2]|0);ta=235}if((ta|0)==235)DO(pa);DO(ra);j=g;break d}while(0);if(!f)break b;g=k[ua>>2]|0;if((g|0)!=(f|0)){do{a=g+-16|0;k[ua>>2]=a;DO(g+-8|0);DO(a);g=k[ua>>2]|0}while((g|0)!=(f|0));f=k[va>>2]|0}cra(f);break b}case 16:{f=pb()|0;g=N;l=n+80|0;h=k[m>>2]|0;if(h|0){j=k[l>>2]|0;if((j|0)!=(h|0)){do{ta=j+-8|0;k[l>>2]=ta;lc[k[k[ta>>2]>>2]&511](ta);j=k[l>>2]|0}while((j|0)!=(h|0));h=k[m>>2]|0}cra(h)}ta=28;break}case 25:{f=pb()|0;j=N;break}case 26:{f=pb()|0;g=N;ta=130;break}case 27:{f=pb()|0;g=N;ta=28;break}case 31:{f=pb()|0;g=N;ta=129;break}case 39:{f=pb()|0;g=N;l=n+80|0;h=k[m>>2]|0;if(h|0){j=k[l>>2]|0;if((j|0)!=(h|0)){do{ta=j+-8|0;k[l>>2]=ta;lc[k[k[ta>>2]>>2]&511](ta);j=k[l>>2]|0}while((j|0)!=(h|0));h=k[m>>2]|0}cra(h)}ta=55;break}case 49:{f=pb()|0;g=N;ta=129;break}case 50:{f=pb()|0;g=N;ta=128;break}case 51:{f=pb()|0;g=N;DO(Q);ta=128;break}case 52:{f=pb()|0;g=N;ta=127;break}case 53:{f=pb()|0;g=N;ta=57;break}case 54:{f=pb()|0;g=N;ta=55;break}case 56:{f=pb()|0;g=N;DO(la);ta=57;break}case 62:{f=pb()|0;g=N;ta=126;break}case 81:{f=pb()|0;g=N;kH(aa,k[$>>2]|0);ta=101;break}case 92:{f=pb()|0;g=N;ta=125;break}case 93:{f=pb()|0;g=N;ta=98;break}case 94:{f=pb()|0;g=N;DO(Z);ta=98;break}case 95:{f=pb()|0;h=1;g=N;ta=97;break}case 96:{sa=pb()|0;g=N;DO(Y);h=f;f=sa;ta=97;break}case 99:{f=pb()|0;g=N;ta=124;break}case 100:{f=pb()|0;g=N;ta=101;break}case 102:{f=pb()|0;g=N;DO(S);ta=124;break}case 103:{f=pb()|0;g=N;ta=105;break}case 104:{f=pb()|0;g=N;DO(la);ta=105;break}case 106:{f=pb()|0;g=N;ta=123;break}case 109:{f=pb()|0;g=N;DO(la);ta=119;break}case 113:{f=pb()|0;g=N;DO(h);ta=121;break}case 118:{f=pb()|0;g=N;ta=119;break}case 120:{f=pb()|0;g=N;ta=121;break}}if((ta|0)==28){cra(n);ta=130}else if((ta|0)==55){cra(n);ta=57}else if((ta|0)==97){DO(_);DO(Z);if(h)ta=98;else ta=125}else if((ta|0)==101)ta=124;else if((ta|0)==105)ta=123;else if((ta|0)==119)ta=122;else if((ta|0)==121){DO(U);DO(la);ta=122}if((ta|0)==57)ta=127;else if((ta|0)==98){cra(l);ta=125}else if((ta|0)==122)ta=123;if((ta|0)==123){kH(aa,k[$>>2]|0);ta=124}if((ta|0)==124){DO(ba);ta=125}if((ta|0)==125){DO(ca);ta=126}if((ta|0)==126){DO(da);ta=127}if((ta|0)==127){DO(ea);ta=128}if((ta|0)==128){DO(fa);ta=129}if((ta|0)==129){DO(ga);ta=130}if((ta|0)==130){DO(ha);j=g}g=k[va>>2]|0;if(g|0){h=k[ua>>2]|0;if((h|0)!=(g|0)){do{sa=h+-16|0;k[ua>>2]=sa;DO(h+-8|0);DO(sa);h=k[ua>>2]|0}while((h|0)!=(g|0));g=k[va>>2]|0}cra(g)}o=j;break a}while(0);f=k[xa>>2]|0;if(f|0){g=k[wa>>2]|0;if((g|0)!=(f|0)){do{m=g+-20|0;k[wa>>2]=m;j=g+-12|0;l=k[j>>2]|0;if(l|0){h=g+-8|0;g=k[h>>2]|0;if((g|0)==(l|0))g=l;else{do{a=g+-16|0;k[h>>2]=a;DO(g+-8|0);DO(a);g=k[h>>2]|0}while((g|0)!=(l|0));g=k[j>>2]|0}cra(g)}DO(m);g=k[wa>>2]|0}while((g|0)!=(f|0));f=k[xa>>2]|0}cra(f)}f=k[za>>2]|0;if(!f){r=sa;return}h=za+4|0;g=k[h>>2]|0;if((g|0)!=(f|0)){do{xa=g+-16|0;k[h>>2]=xa;DO(g+-8|0);DO(xa);g=k[h>>2]|0}while((g|0)!=(f|0));f=k[za>>2]|0}cra(f);r=sa;return}while(0);g=k[xa>>2]|0;if(g|0){h=k[wa>>2]|0;if((h|0)!=(g|0)){do{n=h+-20|0;k[wa>>2]=n;l=h+-12|0;m=k[l>>2]|0;if(m|0){j=h+-8|0;h=k[j>>2]|0;if((h|0)==(m|0))h=m;else{do{va=h+-16|0;k[j>>2]=va;DO(h+-8|0);DO(va);h=k[j>>2]|0}while((h|0)!=(m|0));h=k[l>>2]|0}cra(h)}DO(n);h=k[wa>>2]|0}while((h|0)!=(g|0));g=k[xa>>2]|0}cra(g)}g=k[za>>2]|0;if(g|0){j=za+4|0;h=k[j>>2]|0;if((h|0)!=(g|0)){do{xa=h+-16|0;k[j>>2]=xa;DO(h+-8|0);DO(xa);h=k[j>>2]|0}while((h|0)!=(g|0));g=k[za>>2]|0}cra(g)}}while(0);g=k[a+24>>2]|0;if(!g){za=a+12|0;DO(za);sb(f|0)}DY(g);za=a+12|0;DO(za);sb(f|0)}function jd(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,j=0,l=0,m=0,n=0,p=0.0,q=0.0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0;sa=r;r=r+416|0;pa=sa+388|0;ra=sa+352|0;Y=sa+344|0;Z=sa+336|0;Aa=sa+308|0;za=sa+280|0;V=sa+252|0;W=sa+224|0;ja=sa+216|0;ia=sa+208|0;X=sa+176|0;ea=sa+144|0;ca=sa+168|0;aa=sa+152|0;xa=sa+112|0;wa=sa+84|0;ka=sa+56|0;va=sa+28|0;ua=sa;la=b+32|0;LT(pa,c);k[pa>>2]=15136;y=0;g=Ha(1023,la|0,pa|0)|0;ya=y;y=0;if(ya&1){Aa=pb()|0;DO(pa);sb(Aa|0)}DO(pa);if(g|0){Aa=g+16|0;k[a>>2]=k[Aa>>2];k[a+4>>2]=k[Aa+4>>2];k[a+8>>2]=k[Aa+8>>2];Aa=a+12|0;LT(Aa,k[g+32>>2]|0);k[Aa>>2]=15136;k[a+20>>2]=k[g+36>>2];g=k[g+40>>2]|0;k[a+24>>2]=g;if(!g){r=sa;return}Dba(g);r=sa;return}Ye(Aa,c);y=0;na(449,za|0);ya=y;y=0;if(ya&1){h=pb()|0;g=Aa+24|0}else{j=k[Aa+20>>2]|0;g=Aa+24|0;h=k[g>>2]|0;if(h|0){Dba(h);DY(h)}l=k[j+4>>2]|0;h=k[j+16>>2]|0;m=l+(((h>>>0)/146|0)<<2)|0;if((k[j+8>>2]|0)==(l|0)){h=0;R=0}else{R=h+(k[j+20>>2]|0)|0;h=(k[m>>2]|0)+(((h>>>0)%146|0)*28|0)|0;R=(k[l+(((R>>>0)/146|0)<<2)>>2]|0)+(((R>>>0)%146|0)*28|0)|0}B=ja+4|0;C=ia+4|0;D=pa+4|0;E=pa+8|0;T=pa+4|0;F=ra+4|0;G=Y+4|0;H=X+20|0;ga=X+24|0;I=ea+4|0;J=za+20|0;ya=za+24|0;K=X+16|0;ha=X+12|0;L=pa+16|0;M=pa+20|0;S=pa+24|0;U=pa+12|0;N=V+20|0;da=V+24|0;O=W+16|0;P=W+20|0;_=W+24|0;Q=V+16|0;ba=W+12|0;fa=V+12|0;a:while(1){do{if((h|0)==(R|0)){D=14;break a}if(!(k[h+4>>2]|0)){y=0;oa(460,ja|0,k[h+16>>2]|0);A=y;y=0;if(A&1){D=54;break a}k[ja>>2]=15136;y=0;oa(460,ia|0,k[(k[B>>2]|0)+80>>2]|0);A=y;y=0;if(A&1){D=73;break a}k[ia>>2]=15152;y=0;ma(18,X|0,b|0,k[C>>2]|0,d|0,e|0);A=y;y=0;if(A&1){D=74;break a}if(i[h>>0]|0)i[X>>0]=1;if(f){y=0;j=qa(k[(k[c>>2]|0)+152>>2]|0,c|0)|0;A=y;y=0;if(A&1){D=87;break a}if(!j){k[D>>2]=0;k[E>>2]=0;k[pa>>2]=T;y=0;oa(460,ra|0,c|0);A=y;y=0;if(A&1){D=88;break a}k[ra>>2]=15136;y=0;Ra(13,Z|0,pa|0,ra|0,ra|0);A=y;y=0;if(A&1){D=89;break a}DO(ra);j=k[B>>2]|0;if(j|0)do{y=0;oa(460,ra|0,k[j+80>>2]|0);A=y;y=0;if(A&1){D=91;break a}k[ra>>2]=15152;l=k[F>>2]|0;DO(ra);if(l|0){y=0;oa(663,l|0,pa|0);A=y;y=0;if(A&1){D=91;break a}}y=0;oa(460,Y|0,k[j+88>>2]|0);A=y;y=0;if(A&1){D=91;break a}k[Y>>2]=15136;j=k[G>>2]|0;DO(Y)}while((j|0)!=0);kH(pa,k[T>>2]|0)}}l=k[H>>2]|0;j=k[ga>>2]|0;if(j|0){Dba(j);DY(j)}j=k[l+4>>2]|0;n=k[l+16>>2]|0;s=j+(((n>>>0)/146|0)<<2)|0;if((k[l+8>>2]|0)==(j|0)){u=0;l=0}else{u=n+(k[l+20>>2]|0)|0;u=(k[j+(((u>>>0)/146|0)<<2)>>2]|0)+(((u>>>0)%146|0)*28|0)|0;l=(k[s>>2]|0)+(((n>>>0)%146|0)*28|0)|0}j=0;t=s;b:while(1){do{if((l|0)==(u|0))break b;y=0;n=qa(318,l|0)|0;A=y;y=0;if(A&1){D=106;break a}y=0;oa(460,ea|0,n|0);A=y;y=0;if(A&1){D=106;break a}k[ea>>2]=15136;n=k[I>>2]|0;s=k[(k[n>>2]|0)+144>>2]|0;y=0;oa(460,ca|0,k[B>>2]|0);A=y;y=0;if(A&1){D=107;break a}k[ca>>2]=15136;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;y=0;Na(74,aa|0,87975,0);A=y;y=0;if(A&1){D=108;break a}y=0;n=ta(s|0,n|0,ca|0,aa|0)|0;A=y;y=0;if(A&1){D=109;break a}A9(aa);DO(ca);j=j|n;DO(ea);if(n)break b;l=l+28|0}while((l-(k[t>>2]|0)|0)!=4088);l=t+4|0;t=l;l=k[l>>2]|0}do if(!j){if(i[h>>0]|0)i[(k[B>>2]|0)+60>>0]=1;s=k[H>>2]|0;u=k[ga>>2]|0;v=(u|0)==0;if(!v)Dba(u);y=0;oa(505,pa|0,k[B>>2]|0);A=y;y=0;if(A&1){D=130;break a}t=s+16|0;j=k[t>>2]|0;if(!j){y=0;na(450,s|0);A=y;y=0;if(A&1){D=131;break a}j=k[t>>2]|0}A=k[s+4>>2]|0;n=A+(((j>>>0)/146|0)<<2)|0;l=k[n>>2]|0;if((k[s+8>>2]|0)==(A|0))j=0;else j=l+(((j>>>0)%146|0)*28|0)|0;if((j|0)==(l|0))j=(k[n+-4>>2]|0)+4088|0;l=j+-28|0;k[l>>2]=k[pa>>2];k[l+4>>2]=k[pa+4>>2];k[l+8>>2]=k[pa+8>>2];l=j+-16|0;y=0;oa(460,l|0,k[L>>2]|0);A=y;y=0;if(A&1){D=131;break a}k[l>>2]=15136;k[j+-8>>2]=k[M>>2];k[j+-4>>2]=k[S>>2];k[M>>2]=0;k[S>>2]=0;k[t>>2]=(k[t>>2]|0)+-1;A=s+20|0;k[A>>2]=(k[A>>2]|0)+1;DO(U);if(v)break;DY(u)}while(0);j=k[J>>2]|0;z=k[ya>>2]|0;A=(z|0)==0;if(!A)Dba(z);v=j+8|0;n=k[v>>2]|0;w=j+4|0;l=k[w>>2]|0;Ba=n-l>>2;t=j+16|0;u=k[t>>2]|0;x=j+20|0;s=k[x>>2]|0;if((((Ba|0)==0?0:(Ba*146|0)+-1|0)|0)==(s+u|0)){y=0;na(429,j|0);Ba=y;y=0;if(Ba&1){D=153;break a}s=k[x>>2]|0;j=k[t>>2]|0;n=k[v>>2]|0;l=k[w>>2]|0}else j=u;j=s+j|0;if((n|0)==(l|0))l=0;else l=(k[l+(((j>>>0)/146|0)<<2)>>2]|0)+(((j>>>0)%146|0)*28|0)|0;k[l>>2]=k[X>>2];k[l+4>>2]=k[X+4>>2];k[l+8>>2]=k[X+8>>2];j=l+12|0;y=0;oa(460,j|0,k[K>>2]|0);Ba=y;y=0;if(Ba&1){D=153;break a}k[j>>2]=15136;k[l+20>>2]=k[H>>2];j=k[ga>>2]|0;k[l+24>>2]=j;if(j|0)Dba(j);k[x>>2]=(k[x>>2]|0)+1;if(!A)DY(z);j=k[ga>>2]|0;if(j|0)DY(j);DO(ha);DO(ia);DO(ja)}else{y=0;na(449,V|0);Ba=y;y=0;if(Ba&1){D=54;break a}y=0;na(449,W|0);Ba=y;y=0;if(Ba&1){D=55;break a}j=k[N>>2]|0;z=k[da>>2]|0;A=(z|0)==0;if(!A)Dba(z);v=j+8|0;n=k[v>>2]|0;w=j+4|0;l=k[w>>2]|0;Ba=n-l>>2;t=j+16|0;u=k[t>>2]|0;x=j+20|0;s=k[x>>2]|0;if((((Ba|0)==0?0:(Ba*146|0)+-1|0)|0)==(s+u|0)){y=0;na(429,j|0);Ba=y;y=0;if(Ba&1){D=56;break a}s=k[x>>2]|0;j=k[t>>2]|0;n=k[v>>2]|0;l=k[w>>2]|0}else j=u;j=s+j|0;if((n|0)==(l|0))l=0;else l=(k[l+(((j>>>0)/146|0)<<2)>>2]|0)+(((j>>>0)%146|0)*28|0)|0;k[l>>2]=k[W>>2];k[l+4>>2]=k[W+4>>2];k[l+8>>2]=k[W+8>>2];j=l+12|0;y=0;oa(460,j|0,k[O>>2]|0);Ba=y;y=0;if(Ba&1){D=56;break a}k[j>>2]=15136;k[l+20>>2]=k[P>>2];j=k[_>>2]|0;k[l+24>>2]=j;if(j|0)Dba(j);k[x>>2]=(k[x>>2]|0)+1;if(!A)DY(z);j=k[P>>2]|0;l=k[_>>2]|0;n=(l|0)==0;if(!n)Dba(l);y=0;oa(522,j|0,h|0);Ba=y;y=0;if(Ba&1){D=58;break a}if(!n)DY(l);j=k[J>>2]|0;z=k[ya>>2]|0;A=(z|0)==0;if(!A)Dba(z);v=j+8|0;n=k[v>>2]|0;w=j+4|0;l=k[w>>2]|0;Ba=n-l>>2;t=j+16|0;u=k[t>>2]|0;x=j+20|0;s=k[x>>2]|0;if((((Ba|0)==0?0:(Ba*146|0)+-1|0)|0)==(s+u|0)){y=0;na(429,j|0);Ba=y;y=0;if(Ba&1){D=60;break a}s=k[x>>2]|0;j=k[t>>2]|0;n=k[v>>2]|0;l=k[w>>2]|0}else j=u;j=s+j|0;if((n|0)==(l|0))l=0;else l=(k[l+(((j>>>0)/146|0)<<2)>>2]|0)+(((j>>>0)%146|0)*28|0)|0;k[l>>2]=k[V>>2];k[l+4>>2]=k[V+4>>2];k[l+8>>2]=k[V+8>>2];j=l+12|0;y=0;oa(460,j|0,k[Q>>2]|0);Ba=y;y=0;if(Ba&1){D=60;break a}k[j>>2]=15136;k[l+20>>2]=k[N>>2];j=k[da>>2]|0;k[l+24>>2]=j;if(j|0)Dba(j);k[x>>2]=(k[x>>2]|0)+1;if(!A)DY(z);j=k[_>>2]|0;if(j|0)DY(j);DO(ba);j=k[da>>2]|0;if(j|0)DY(j);DO(fa)}h=h+28|0}while((h-(k[m>>2]|0)|0)!=4088);h=m+4|0;m=h;h=k[h>>2]|0}switch(D|0){case 14:{y=0;oa(662,xa|0,za|0);Ba=y;y=0;if(Ba&1){h=pb()|0;break}y=0;na(449,wa|0);Ba=y;y=0;if(Ba&1){h=pb()|0;j=xa+24|0}else{l=k[xa+20>>2]|0;j=xa+24|0;h=k[j>>2]|0;if(h|0){Dba(h);DY(h)}h=k[l+4>>2]|0;m=k[l+16>>2]|0;n=h+(((m>>>0)/146|0)<<2)|0;if((k[l+8>>2]|0)==(h|0)){F=0;h=0}else{F=m+(k[l+20>>2]|0)|0;F=(k[h+(((F>>>0)/146|0)<<2)>>2]|0)+(((F>>>0)%146|0)*28|0)|0;h=(k[n>>2]|0)+(((m>>>0)%146|0)*28|0)|0}C=wa+20|0;I=wa+24|0;D=ka+16|0;E=ka+20|0;G=ka+24|0;H=ka+12|0;c:while(1){do{if((h|0)==(F|0)){D=168;break c}y=0;Na(142,ka|0,0,h|0);Ba=y;y=0;if(Ba&1){D=188;break c}i[ka>>0]=i[h>>0]|0;l=k[C>>2]|0;A=k[I>>2]|0;B=(A|0)==0;if(!B)Dba(A);w=l+8|0;s=k[w>>2]|0;x=l+4|0;m=k[x>>2]|0;Ba=s-m>>2;u=l+16|0;v=k[u>>2]|0;z=l+20|0;t=k[z>>2]|0;if((((Ba|0)==0?0:(Ba*146|0)+-1|0)|0)==(t+v|0)){y=0;na(429,l|0);Ba=y;y=0;if(Ba&1){D=189;break c}t=k[z>>2]|0;l=k[u>>2]|0;s=k[w>>2]|0;m=k[x>>2]|0}else l=v;l=t+l|0;if((s|0)==(m|0))m=0;else m=(k[m+(((l>>>0)/146|0)<<2)>>2]|0)+(((l>>>0)%146|0)*28|0)|0;k[m>>2]=k[ka>>2];k[m+4>>2]=k[ka+4>>2];k[m+8>>2]=k[ka+8>>2];l=m+12|0;y=0;oa(460,l|0,k[D>>2]|0);Ba=y;y=0;if(Ba&1){D=189;break c}k[l>>2]=15136;k[m+20>>2]=k[E>>2];l=k[G>>2]|0;k[m+24>>2]=l;if(l|0)Dba(l);k[z>>2]=(k[z>>2]|0)+1;if(!B)DY(A);l=k[G>>2]|0;if(l|0)DY(l);DO(H);h=h+28|0}while((h-(k[n>>2]|0)|0)!=4088);h=n+4|0;n=h;h=k[h>>2]|0}do if((D|0)==168){y=0;Ra(42,va|0,0,wa|0,e|0);Ba=y;y=0;if(Ba&1){h=pb()|0;break}y=0;Na(143,ua|0,va|0,1);Ba=y;y=0;if(Ba&1)h=pb()|0;else{y=0;oa(460,ra|0,c|0);Ba=y;y=0;d:do if(Ba&1){h=pb()|0;D=272}else{k[ra>>2]=15136;h=ra+8|0;k[h>>2]=k[ua>>2];k[h+4>>2]=k[ua+4>>2];k[h+8>>2]=k[ua+8>>2];h=ra+20|0;B=ua+16|0;y=0;oa(460,h|0,k[B>>2]|0);Ba=y;y=0;if(Ba&1){h=pb()|0;DO(ra);D=272;break}k[h>>2]=15136;A=ua+20|0;k[ra+28>>2]=k[A>>2];C=ra+32|0;l=ua+24|0;h=k[l>>2]|0;k[C>>2]=h;if(h|0)Dba(h);v=ra+4|0;h=k[v>>2]|0;if(!h){h=0;D=202}else{y=0;h=qa(k[(k[h>>2]|0)+8>>2]|0,h|0)|0;Ba=y;y=0;if(Ba&1)D=275;else D=202}e:do if((D|0)==202){w=b+36|0;x=k[w>>2]|0;z=(x|0)==0;f:do if(z){m=0;D=235}else{t=x+-1|0;n=(t&x|0)==0;if(n)u=t&h;else u=(h>>>0)%(x>>>0)|0;m=k[(k[la>>2]|0)+(u<<2)>>2]|0;if(!m){m=u;D=235;break}m=k[m>>2]|0;if(!m){m=u;D=235;break}if(n){g:while(1){if((k[m+4>>2]&t|0)!=(u|0)){m=u;D=235;break f}s=k[m+12>>2]|0;h:do if(s|0){do if(!(nx(s,1904,136,-2)|0))n=k[v>>2]|0;else{n=k[v>>2]|0;if(!n)break;if(!(nx(n,1904,136,-2)|0))break;y=0;n=qa(k[(k[s>>2]|0)+8>>2]|0,s|0)|0;Ba=y;y=0;if(Ba&1)break g;s=k[v>>2]|0;y=0;s=qa(k[(k[s>>2]|0)+8>>2]|0,s|0)|0;Ba=y;y=0;if(Ba&1)break g;if((n|0)==(s|0))break f;else break h}while(0);if(!n)break;y=0;n=Ha(k[(k[s>>2]|0)+160>>2]|0,s|0,n|0)|0;Ba=y;y=0;if(Ba&1)break g;if(n)break f}while(0);m=k[m>>2]|0;if(!m){m=u;D=235;break f}}h=pb()|0;break e}else{s=m;i:while(1){if((((k[s+4>>2]|0)>>>0)%(x>>>0)|0|0)!=(u|0)){m=u;D=235;break f}n=k[s+12>>2]|0;j:do if(n|0){do if(!(nx(n,1904,136,-2)|0))m=k[v>>2]|0;else{m=k[v>>2]|0;if(!m)break;if(!(nx(m,1904,136,-2)|0))break;y=0;m=qa(k[(k[n>>2]|0)+8>>2]|0,n|0)|0;Ba=y;y=0;if(Ba&1)break i;n=k[v>>2]|0;y=0;n=qa(k[(k[n>>2]|0)+8>>2]|0,n|0)|0;Ba=y;y=0;if(Ba&1)break i;if((m|0)==(n|0))break f;else break j}while(0);if(!m)break;y=0;m=Ha(k[(k[n>>2]|0)+160>>2]|0,n|0,m|0)|0;Ba=y;y=0;if(Ba&1)break i;if(m)break f}while(0);s=k[s>>2]|0;if(!s){m=u;D=235;break f}}h=pb()|0;break e}}while(0);if((D|0)==235){y=0;Ra(43,pa|0,la|0,h|0,ra|0);Ba=y;y=0;if(Ba&1){D=275;break}t=b+44|0;p=+(((k[t>>2]|0)+1|0)>>>0);q=+o[b+48>>2];do if(z|p>+(x>>>0)*q){Ba=(x>>>0>2&(x+-1&x|0)==0&1|x<<1)^1;e=~~+$(+(p/q))>>>0;y=0;oa(664,la|0,(Ba>>>0<e>>>0?e:Ba)|0);Ba=y;y=0;if(!(Ba&1)){m=k[w>>2]|0;n=m+-1|0;if(!(n&m)){s=m;h=n&h;break}else{s=m;h=(h>>>0)%(m>>>0)|0;break}}h=pb()|0;n=k[pa>>2]|0;k[pa>>2]=0;if(n|0){if(i[pa+8>>0]|0){m=k[n+40>>2]|0;if(m|0)DY(m);DO(n+28|0);DO(n+8|0)}cra(n)}break e}else{s=x;h=m}while(0);m=k[(k[la>>2]|0)+(h<<2)>>2]|0;do if(!m){n=b+40|0;k[k[pa>>2]>>2]=k[n>>2];k[n>>2]=k[pa>>2];k[(k[la>>2]|0)+(h<<2)>>2]=n;n=k[pa>>2]|0;h=k[n>>2]|0;if(!h){h=pa;break}h=k[h+4>>2]|0;m=s+-1|0;if(!(m&s))h=h&m;else h=(h>>>0)%(s>>>0)|0;k[(k[la>>2]|0)+(h<<2)>>2]=n;h=pa}else{k[k[pa>>2]>>2]=k[m>>2];k[m>>2]=k[pa>>2];h=pa}while(0);k[t>>2]=(k[t>>2]|0)+1;k[h>>2]=0}h=k[C>>2]|0;if(h|0)DY(h);DO(ra+20|0);DO(ra);k[a>>2]=k[ua>>2];k[a+4>>2]=k[ua+4>>2];k[a+8>>2]=k[ua+8>>2];h=a+12|0;y=0;oa(460,h|0,k[B>>2]|0);Ba=y;y=0;if(Ba&1){h=pb()|0;break d}k[h>>2]=15136;k[a+20>>2]=k[A>>2];k[a+24>>2]=k[l>>2];k[A>>2]=0;k[l>>2]=0;DO(ua+12|0);h=k[va+24>>2]|0;if(h|0)DY(h);DO(va+12|0);h=k[I>>2]|0;if(h|0)DY(h);DO(wa+12|0);h=k[j>>2]|0;if(h|0)DY(h);DO(xa+12|0);h=k[ya>>2]|0;if(h|0)DY(h);DO(za+12|0);g=k[g>>2]|0;if(g|0)DY(g);DO(Aa+12|0);r=sa;return}while(0);if((D|0)==275)h=pb()|0;m=k[C>>2]|0;if(m|0)DY(m);DO(ra+20|0);DO(ra);D=279}while(0);if((D|0)==272){l=ua+24|0;D=279}l=k[l>>2]|0;if(l|0)DY(l);DO(ua+12|0)}l=k[va+24>>2]|0;if(l|0)DY(l);DO(va+12|0)}else if((D|0)==188)h=pb()|0;else if((D|0)==189){h=pb()|0;if(!B)DY(A);l=k[G>>2]|0;if(l|0)DY(l);DO(H)}while(0);l=k[I>>2]|0;if(l|0)DY(l);DO(wa+12|0)}j=k[j>>2]|0;if(j|0)DY(j);DO(xa+12|0);break}case 54:{h=pb()|0;break}case 55:{h=pb()|0;D=65;break}case 56:{h=pb()|0;if(A)D=62;else{DY(z);D=62}break}case 58:{h=pb()|0;if(n)D=62;else{DY(l);D=62}break}case 60:{h=pb()|0;if(A)D=62;else{DY(z);D=62}break}case 73:{h=pb()|0;D=159;break}case 74:{h=pb()|0;D=158;break}case 87:{h=pb()|0;D=155;break}case 88:{h=pb()|0;D=90;break}case 89:{h=pb()|0;DO(ra);D=90;break}case 91:{h=pb()|0;D=92;break}case 106:{h=pb()|0;D=155;break}case 107:{h=pb()|0;D=113;break}case 108:{h=pb()|0;D=110;break}case 109:{h=pb()|0;A9(aa);D=110;break}case 130:{h=pb()|0;D=134;break}case 131:{h=pb()|0;j=k[S>>2]|0;if(j|0)DY(j);DO(U);D=134;break}case 153:{h=pb()|0;if(A)D=155;else{DY(z);D=155}break}}if((D|0)==62){j=k[_>>2]|0;if(j|0)DY(j);DO(ba);D=65}else if((D|0)==90)D=92;else if((D|0)==110){DO(ca);D=113}else if((D|0)==134)if(v)D=155;else{DY(u);D=155}if((D|0)==65){j=k[da>>2]|0;if(j|0)DY(j);DO(fa)}else if((D|0)==92){kH(pa,k[T>>2]|0);D=155}else if((D|0)==113){DO(ea);D=155}if((D|0)==155){j=k[ga>>2]|0;if(j|0)DY(j);DO(ha);D=158}if((D|0)==158){DO(ia);D=159}if((D|0)==159)DO(ja);j=k[ya>>2]|0;if(j|0)DY(j);DO(za+12|0)}g=k[g>>2]|0;if(g|0)DY(g);DO(Aa+12|0);Ba=h;sb(Ba|0)}function kd(a,b,c,d,e,f,g,h,j,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;j=j|0;m=m|0;n=n|0;var o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;P=0;T=r;r=r+512|0;J=T+96|0;Q=T+104|0;_=T+88|0;R=T+80|0;K=T+76|0;L=T+504|0;M=T+72|0;N=T+68|0;U=T+56|0;V=T+44|0;W=T+32|0;X=T+20|0;Y=T+8|0;O=T+4|0;S=T;k[J>>2]=n;k[_>>2]=Q;Z=_+4|0;k[Z>>2]=479;k[R>>2]=Q;k[K>>2]=Q+400;k[U>>2]=0;k[U+4>>2]=0;k[U+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[U+(n<<2)>>2]=0;n=n+1|0}k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[V+(n<<2)>>2]=0;n=n+1|0}k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[W+(n<<2)>>2]=0;n=n+1|0}k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[X+(n<<2)>>2]=0;n=n+1|0}k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;n=0;while(1){if((n|0)==3)break;k[Y+(n<<2)>>2]=0;n=n+1|0}y=0;Ga(2,c|0,d|0,L|0,M|0,N|0,U|0,V|0,W|0,X|0,O|0);Q=y;y=0;a:do if(Q&1)c=pb()|0;else{k[m>>2]=k[j>>2];F=W+8+3|0;G=W+4|0;H=X+8+3|0;I=X+4|0;w=(e&512|0)!=0;x=V+8+3|0;z=V+4|0;A=Y+8+3|0;B=Y+4|0;C=L+3|0;D=U+11|0;E=U+4|0;Q=0;v=0;b:while(1){if(v>>>0>=4){P=262;break}n=k[a>>2]|0;do if(!n)d=1;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}}else n=k[c>>2]|0;if((n|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);c=k[b>>2]|0;do if(!c)P=32;else{n=k[c+12>>2]|0;if((n|0)==(k[c+16>>2]|0)){y=0;n=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=36;break b}}else n=k[n>>2]|0;if((n|0)==-1){k[b>>2]=0;P=32;break}else if(d){u=c;break}else{P=262;break b}}while(0);if((P|0)==32){P=0;if(d){P=262;break}else u=0}c:do switch(i[L+v>>0]|0){case 1:{if((v|0)==3)n=Q;else{c=k[a>>2]|0;n=k[c+12>>2]|0;if((n|0)==(k[c+16>>2]|0)){y=0;n=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;P=y;y=0;if(P&1){P=36;break b}}else n=k[n>>2]|0;y=0;n=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,8192,n|0)|0;P=y;y=0;if(P&1){P=36;break b}if(!n){P=49;break b}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;P=y;y=0;if(P&1){P=36;break b}}else{k[c>>2]=d+4;n=k[d>>2]|0}y=0;oa(706,Y|0,n|0);P=y;y=0;if(P&1){P=36;break b}else{n=u;e=u;P=51}}break}case 0:{if((v|0)==3)n=Q;else{n=u;e=u;P=51}break}case 3:{e=i[F>>0]|0;n=e<<24>>24<0?k[G>>2]|0:e&255;d=i[H>>0]|0;o=d<<24>>24<0?k[I>>2]|0:d&255;if((n|0)==(0-o|0))n=Q;else{if(!n){n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}e=i[H>>0]|0}else{n=k[c>>2]|0;e=d}if((n|0)!=(k[(e<<24>>24<0?k[X>>2]|0:X)>>2]|0)){n=Q;break c}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}n=i[H>>0]|0}else{k[c>>2]=d+4;n=e}i[g>>0]=1;n=(n<<24>>24<0?k[I>>2]|0:n&255)>>>0>1?X:Q;break c}d=k[a>>2]|0;p=k[d+12>>2]|0;c=k[d+16>>2]|0;n=(p|0)==(c|0);if(!o){if(n){y=0;n=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){P=36;break b}e=i[F>>0]|0}else n=k[p>>2]|0;if((n|0)!=(k[(e<<24>>24<0?k[W>>2]|0:W)>>2]|0)){i[g>>0]=1;n=Q;break c}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}n=i[F>>0]|0}else{k[c>>2]=d+4;n=e}n=(n<<24>>24<0?k[G>>2]|0:n&255)>>>0>1?W:Q;break c}if(n){y=0;n=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){P=36;break b}c=k[a>>2]|0;e=i[F>>0]|0;q=c;o=k[c+12>>2]|0;c=k[c+16>>2]|0}else{n=k[p>>2]|0;q=d;o=p}d=q+12|0;c=(o|0)==(c|0);if((n|0)==(k[(e<<24>>24<0?k[W>>2]|0:W)>>2]|0)){if(c){y=0;qa(k[(k[q>>2]|0)+40>>2]|0,q|0)|0;u=y;y=0;if(u&1){P=36;break b}n=i[F>>0]|0}else{k[d>>2]=o+4;n=e}n=(n<<24>>24<0?k[G>>2]|0:n&255)>>>0>1?W:Q;break c}if(c){y=0;n=qa(k[(k[q>>2]|0)+36>>2]|0,q|0)|0;u=y;y=0;if(u&1){P=36;break b}}else n=k[o>>2]|0;e=i[H>>0]|0;if((n|0)!=(k[(e<<24>>24<0?k[X>>2]|0:X)>>2]|0)){P=118;break b}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=36;break b}n=i[H>>0]|0}else{k[c>>2]=d+4;n=e}i[g>>0]=1;n=(n<<24>>24<0?k[I>>2]|0:n&255)>>>0>1?X:Q}break}case 2:{if(!(v>>>0<2|(Q|0)!=0))if(!(w|(v|0)==2&(i[C>>0]|0)!=0)){n=0;break c}d=i[x>>0]|0;c=k[V>>2]|0;n=d<<24>>24<0?c:V;d:do if(!v){t=u;e=n;n=d;d=u}else if((l[L+(v+-1)>>0]|0)<2){s=n;n=d;while(1){t=n<<24>>24<0;d=s;if((d|0)==((t?c:V)+((t?k[z>>2]|0:n&255)<<2)|0))break;y=0;n=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,8192,k[d>>2]|0)|0;t=y;y=0;if(t&1){P=128;break b}if(!n){P=126;break}s=d+4|0;n=i[x>>0]|0;c=k[V>>2]|0}if((P|0)==126){P=0;n=i[x>>0]|0;c=k[V>>2]|0}e=n<<24>>24<0?c:V;q=e;p=s-q>>2;o=i[A>>0]|0;d=o<<24>>24<0;o=d?k[B>>2]|0:o&255;if(p>>>0>o>>>0){t=u;e=q;d=u}else{o=(d?k[Y>>2]|0:Y)+(o<<2)|0;d=o+(0-p<<2)|0;while(1){if((d|0)==(o|0)){t=u;e=s;d=u;break d}if((k[d>>2]|0)!=(k[e>>2]|0)){t=u;e=q;d=u;break d}e=e+4|0;d=d+4|0}}}else{t=u;e=n;n=d;d=u}while(0);e:while(1){p=n<<24>>24<0;n=(p?c:V)+((p?k[z>>2]|0:n&255)<<2)|0;p=e;if((p|0)==(n|0))break;n=k[a>>2]|0;do if(!n)c=1;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=158;break b}}else n=k[c>>2]|0;if((n|0)==-1){k[a>>2]=0;c=1;break}else{c=(k[a>>2]|0)==0;break}}while(0);do if(!d){n=t;P=148}else{n=k[d+12>>2]|0;if((n|0)==(k[d+16>>2]|0)){y=0;n=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){P=158;break b}}else n=k[n>>2]|0;if((n|0)==-1){k[b>>2]=0;n=0;P=148;break}else if(c^(t|0)==0){n=t;o=t;break}else{n=p;break e}}while(0);if((P|0)==148){P=0;if(c){n=p;break}else o=0}c=k[a>>2]|0;d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=158;break b}}else c=k[d>>2]|0;if((c|0)!=(k[p>>2]|0)){n=p;break}c=k[a>>2]|0;d=c+12|0;e=k[d>>2]|0;if((e|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=159;break b}}else k[d>>2]=e+4;t=n;e=p+4|0;n=i[x>>0]|0;c=k[V>>2]|0;d=o}if(w){u=i[x>>0]|0;t=u<<24>>24<0;if((n|0)==((t?k[V>>2]|0:V)+((t?k[z>>2]|0:u&255)<<2)|0))n=Q;else{P=162;break b}}else n=Q;break}case 4:{q=0;n=u;e=u;f:while(1){c=k[a>>2]|0;do if(!c)d=1;else{d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=187;break b}}else c=k[d>>2]|0;if((c|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);do if(!e)P=176;else{c=k[e+12>>2]|0;if((c|0)==(k[e+16>>2]|0)){y=0;c=qa(k[(k[e>>2]|0)+36>>2]|0,e|0)|0;u=y;y=0;if(u&1){P=187;break b}}else c=k[c>>2]|0;if((c|0)==-1){k[b>>2]=0;n=0;P=176;break}else if(d^(n|0)==0){o=n;p=n;break}else{e=n;break f}}while(0);if((P|0)==176){P=0;if(d){e=n;break}else{o=n;p=0}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=187;break b}}else n=k[c>>2]|0;y=0;c=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,2048,n|0)|0;u=y;y=0;if(u&1){P=189;break b}if(c){c=k[m>>2]|0;if((c|0)==(k[J>>2]|0)){y=0;Na(161,j|0,m|0,J|0);u=y;y=0;if(u&1){P=189;break b}c=k[m>>2]|0}k[m>>2]=c+4;k[c>>2]=n;n=q+1|0}else{u=i[D>>0]|0;if(!((n|0)==(k[N>>2]|0)&(q|0?((u<<24>>24<0?k[E>>2]|0:u&255)|0)!=0:0))){e=o;break}n=k[R>>2]|0;if((n|0)==(k[K>>2]|0)){y=0;Na(160,_|0,R|0,K|0);u=y;y=0;if(u&1){P=189;break b}n=k[R>>2]|0}k[R>>2]=n+4;k[n>>2]=q;n=0}c=k[a>>2]|0;d=c+12|0;e=k[d>>2]|0;if((e|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=187;break b}else{q=n;n=o;e=p;continue}}else{k[d>>2]=e+4;q=n;n=o;e=p;continue}}n=k[R>>2]|0;if(q|0?(k[_>>2]|0)!=(n|0):0){if((n|0)==(k[K>>2]|0)){y=0;Na(160,_|0,R|0,K|0);u=y;y=0;if(u&1){P=188;break b}n=k[R>>2]|0}k[R>>2]=n+4;k[n>>2]=q}g:do if((k[O>>2]|0)>0){n=k[a>>2]|0;do if(!n)c=1;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=188;break b}}else n=k[c>>2]|0;if((n|0)==-1){k[a>>2]=0;c=1;break}else{c=(k[a>>2]|0)==0;break}}while(0);do if(!e)P=218;else{n=k[e+12>>2]|0;if((n|0)==(k[e+16>>2]|0)){y=0;n=qa(k[(k[e>>2]|0)+36>>2]|0,e|0)|0;u=y;y=0;if(u&1){P=188;break b}}else n=k[n>>2]|0;if((n|0)==-1){k[b>>2]=0;P=218;break}else if(c)break;else{P=224;break b}}while(0);if((P|0)==218){P=0;if(c){P=224;break b}else e=0}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=188;break b}}else n=k[c>>2]|0;if((n|0)!=(k[M>>2]|0)){P=224;break b}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=188;break b}else n=e}else{k[c>>2]=d+4;n=e}while(1){if((k[O>>2]|0)<=0)break g;c=k[a>>2]|0;do if(!c)d=1;else{d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=186;break b}}else c=k[d>>2]|0;if((c|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);do if(!e)P=242;else{c=k[e+12>>2]|0;if((c|0)==(k[e+16>>2]|0)){y=0;c=qa(k[(k[e>>2]|0)+36>>2]|0,e|0)|0;u=y;y=0;if(u&1){P=186;break b}}else c=k[c>>2]|0;if((c|0)==-1){k[b>>2]=0;n=0;P=242;break}else if(d^(n|0)==0){o=n;e=n;break}else{P=249;break b}}while(0);if((P|0)==242){P=0;if(d){P=249;break b}else{o=n;e=0}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=186;break b}}else n=k[c>>2]|0;y=0;n=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,2048,n|0)|0;u=y;y=0;if(u&1){P=186;break b}if(!n){P=249;break b}if((k[m>>2]|0)==(k[J>>2]|0)){y=0;Na(161,j|0,m|0,J|0);u=y;y=0;if(u&1){P=186;break b}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=186;break b}}else n=k[c>>2]|0;c=k[m>>2]|0;k[m>>2]=c+4;k[c>>2]=n;k[O>>2]=(k[O>>2]|0)+-1;n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=186;break b}else{n=o;continue}}else{k[c>>2]=d+4;n=o;continue}}}while(0);if((k[m>>2]|0)==(k[j>>2]|0)){P=259;break b}else n=Q;break}default:n=Q}while(0);h:do if((P|0)==51)while(1){P=0;c=k[a>>2]|0;do if(!c)d=1;else{d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){P=35;break b}}else c=k[d>>2]|0;if((c|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);do if(!e)P=64;else{c=k[e+12>>2]|0;if((c|0)==(k[e+16>>2]|0)){y=0;c=qa(k[(k[e>>2]|0)+36>>2]|0,e|0)|0;u=y;y=0;if(u&1){P=35;break b}}else c=k[c>>2]|0;if((c|0)==-1){k[b>>2]=0;n=0;P=64;break}else if(d^(n|0)==0){o=n;e=n;break}else{n=Q;break h}}while(0);if((P|0)==64){P=0;if(d){n=Q;break h}else{o=n;e=0}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;u=y;y=0;if(u&1){P=35;break b}}else n=k[c>>2]|0;y=0;n=ta(k[(k[h>>2]|0)+12>>2]|0,h|0,8192,n|0)|0;u=y;y=0;if(u&1){P=35;break b}if(!n){n=Q;break h}n=k[a>>2]|0;c=n+12|0;d=k[c>>2]|0;if((d|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+40>>2]|0,n|0)|0;P=y;y=0;if(P&1){P=35;break b}}else{k[c>>2]=d+4;n=k[d>>2]|0}y=0;oa(706,Y|0,n|0);P=y;y=0;if(P&1){P=35;break b}else{n=o;P=51}}while(0);Q=n;v=v+1|0}i:switch(P|0){case 35:{n=pb()|0;P=37;break}case 36:{n=pb()|0;P=37;break}case 49:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 118:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 128:{c=pb()|0;break a}case 158:{c=pb()|0;break a}case 159:{c=pb()|0;break a}case 162:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 186:{n=pb()|0;P=260;break}case 187:{n=pb()|0;P=260;break}case 188:{n=pb()|0;P=260;break}case 189:{n=pb()|0;P=260;break}case 224:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 249:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 259:{k[f>>2]=k[f>>2]|4;c=0;P=298;break}case 262:{j:do if(Q|0){o=Q+8+3|0;p=Q+4|0;e=1;k:while(1){n=i[o>>0]|0;if(n<<24>>24<0)n=k[p>>2]|0;else n=n&255;if(e>>>0>=n>>>0)break j;n=k[a>>2]|0;do if(!n)d=1;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;m=y;y=0;if(m&1){P=290;break k}}else n=k[c>>2]|0;if((n|0)==-1){k[a>>2]=0;d=1;break}else{d=(k[a>>2]|0)==0;break}}while(0);n=k[b>>2]|0;do if(!n)P=281;else{c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;m=y;y=0;if(m&1){P=290;break k}}else n=k[c>>2]|0;if((n|0)==-1){k[b>>2]=0;P=281;break}else if(d)break;else{P=289;break k}}while(0);if((P|0)==281){P=0;if(d){P=289;break}}n=k[a>>2]|0;c=k[n+12>>2]|0;if((c|0)==(k[n+16>>2]|0)){y=0;n=qa(k[(k[n>>2]|0)+36>>2]|0,n|0)|0;m=y;y=0;if(m&1){P=290;break}}else n=k[c>>2]|0;if((i[o>>0]|0)<0)c=k[Q>>2]|0;else c=Q;if((n|0)!=(k[c+(e<<2)>>2]|0)){P=289;break}n=e+1|0;c=k[a>>2]|0;d=c+12|0;e=k[d>>2]|0;if((e|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;m=y;y=0;if(m&1){P=290;break}else{e=n;continue}}else{k[d>>2]=e+4;e=n;continue}}if((P|0)==289){k[f>>2]=k[f>>2]|4;c=0;P=298;break i}else if((P|0)==290){c=pb()|0;break a}}while(0);c=k[_>>2]|0;n=k[R>>2]|0;if((c|0)==(n|0)){c=1;P=298}else{k[S>>2]=0;Az(U,c,n,S);if(!(k[S>>2]|0)){c=1;P=298;break}else{k[f>>2]=k[f>>2]|4;c=0;P=298;break}}break}}if((P|0)==37){c=n;break}else if((P|0)==260){c=n;break}else if((P|0)==298){X8(Y);X8(X);X8(W);X8(V);A9(U);n=k[_>>2]|0;k[_>>2]=0;if(n|0){y=0;na(k[Z>>2]|0,n|0);_=y;y=0;if(_&1){_=tb(0)|0;Sla(_)}}r=T;return c|0}}while(0);X8(Y);X8(X);X8(W);X8(V);A9(U);n=k[_>>2]|0;k[_>>2]=0;if(n|0){y=0;na(k[Z>>2]|0,n|0);_=y;y=0;if(_&1){_=tb(0)|0;Sla(_)}}sb(c|0);return 0}function ld(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,pa=0;da=r;r=r+496|0;Y=da;pa=da+440|0;l=da+472|0;ka=da+384|0;E=da+464|0;I=da+240|0;F=da+452|0;H=da+224|0;G=da+216|0;D=da+400|0;ja=da+208|0;ia=da+200|0;ha=da+176|0;ga=da+168|0;fa=da+152|0;ba=da+132|0;R=da+184|0;ea=da+104|0;S=da+160|0;Z=da+144|0;ca=da+80|0;T=da+120|0;_=da+112|0;aa=da+96|0;U=da+72|0;V=da+64|0;$=da+56|0;W=da+48|0;X=da+40|0;k[pa>>2]=0;k[pa+4>>2]=0;k[pa+8>>2]=0;aI(pa,39953,10);y=0;M=Y;O=e;P=M+40|0;do{k[M>>2]=k[O>>2];M=M+4|0;O=O+4|0}while((M|0)<(P|0));B=sa(26,pa|0,a|0,d|0,Y|0,f|0)|0;la=y;y=0;if(la&1){la=pb()|0;A9(pa);pa=la;sb(pa|0)}A9(pa);d=B+64|0;a=B+68|0;g=k[a>>2]|0;b=k[d>>2]|0;do if((g|0)==(b|0)){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;aI(l,40166,70);y=0;M=Y;O=e;P=M+40|0;do{k[M>>2]=k[O>>2];M=M+4|0;O=O+4|0}while((M|0)<(P|0));oa(454,l|0,Y|0);la=y;y=0;if(!(la&1)){A9(l);g=k[a>>2]|0;b=k[d>>2]|0;break}pa=pb()|0;A9(l);sb(pa|0)}while(0);k[pa>>2]=0;la=pa+4|0;k[la>>2]=0;k[pa+8>>2]=0;d=g-b>>3;a:do if(!d)a=49;else{l=E+4|0;m=ka+4|0;C=I+64|0;n=I+8|0;x=I+12|0;o=I+4|0;p=I+64|0;q=I+136|0;s=I+140|0;z=I+44|0;t=I+60|0;A=I+8|0;u=H+11|0;v=pa+8|0;w=G+4|0;a=0;while(1){y=0;Na(100,E|0,B|0,a|0);Q=y;y=0;if(Q&1){a=27;break}y=0;b=qa(333,k[l>>2]|0)|0;Q=y;y=0;if(Q&1){a=28;break}y=0;oa(460,ka|0,b|0);Q=y;y=0;if(Q&1){a=28;break}k[ka>>2]=7284;DO(E);b=k[m>>2]|0;if((k[b+56>>2]|0)==8){k[n>>2]=15992;k[I>>2]=16032;k[C>>2]=16052;k[o>>2]=0;y=0;oa(528,p|0,x|0);Q=y;y=0;if(Q&1){a=18;break}k[q>>2]=0;k[s>>2]=-1;k[I>>2]=15972;k[C>>2]=16012;k[n>>2]=15992;y=0;na(433,x|0);Q=y;y=0;if(Q&1){a=19;break}k[x>>2]=15832;k[z>>2]=0;k[z+4>>2]=0;k[z+8>>2]=0;k[z+12>>2]=0;k[t>>2]=24;k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;y=0;oa(529,x|0,Y|0);Q=y;y=0;if(Q&1){a=17;break}A9(Y);y=0;ta(47,A|0,40033,63)|0;Q=y;y=0;if(Q&1){a=31;break}y=0;ta(47,A|0,40237,70)|0;Q=y;y=0;if(Q&1){a=31;break}y=0;oa(530,F|0,x|0);Q=y;y=0;if(Q&1){a=31;break}y=0;M=Y;O=e;P=M+40|0;do{k[M>>2]=k[O>>2];M=M+4|0;O=O+4|0}while((M|0)<(P|0));oa(454,F|0,Y|0);Q=y;y=0;if(Q&1){a=32;break}A9(F);k[I>>2]=15972;k[C>>2]=16012;k[A>>2]=15992;k[x>>2]=15832;A9(z);Xaa(x);nla(I,16064);Vja(C);b=k[m>>2]|0}y=0;b=qa(332,b|0)|0;Q=y;y=0;if(Q&1){a=29;break}if(b|0)i[b+60>>0]=0;Q=k[m>>2]|0;y=0;oa(k[(k[Q>>2]|0)+32>>2]|0,H|0,Q|0);Q=y;y=0;if(Q&1){a=29;break}b=i[u>>0]|0;g=k[H>>2]|0;y=0;Ra(14,D|0,38207,0,-1);Q=y;y=0;if(Q&1){a=45;break}b=b<<24>>24<0?g:H;y=0;M=Y;O=D;P=M+40|0;do{k[M>>2]=k[O>>2];M=M+4|0;O=O+4|0}while((M|0)<(P|0));ma(8,G|0,b|0,c|0,Y|0,0);Q=y;y=0;if(Q&1){a=45;break}b=k[la>>2]|0;if((b|0)==(k[v>>2]|0)){y=0;oa(559,pa|0,G|0);Q=y;y=0;if(Q&1){a=46;break}}else{y=0;oa(460,b|0,k[w>>2]|0);Q=y;y=0;if(Q&1){a=46;break}k[b>>2]=6756;k[la>>2]=(k[la>>2]|0)+8}DO(G);A9(H);DO(ka);a=a+1|0;if(a>>>0>=d>>>0){a=9;break}}switch(a|0){case 9:{b=k[pa>>2]|0;if((b|0)==(k[la>>2]|0)){a=49;break a}y=0;oa(460,ja|0,k[b+4>>2]|0);Q=y;y=0;if(Q&1){g=pb()|0;b=N;a=180;break a}k[ja>>2]=6756;g=b+8|0;b:do if((g|0)==(k[la>>2]|0))a=169;else{Q=ka+4|0;o=ka+8|0;p=ja+4|0;q=ia+4|0;s=ga+4|0;t=Z+4|0;u=S+4|0;v=ea+4|0;w=ha+4|0;x=aa+4|0;z=_+4|0;A=fa+4|0;B=U+4|0;C=$+4|0;D=W+4|0;E=ka+8|0;F=Y+11|0;G=Y+4|0;c=Y+11|0;H=Y+4|0;I=Y+11|0;J=Y+4|0;K=Y+11|0;L=Y+4|0;c:while(1){y=0;oa(460,ia|0,k[b+12>>2]|0);P=y;y=0;if(P&1){a=63;break}k[ia>>2]=6756;k[ka>>2]=0;k[Q>>2]=0;k[o>>2]=0;b=k[p>>2]|0;n=(k[b+80>>2]|0)-(k[b+76>>2]|0)>>3;if(n){l=0;do{m=k[q>>2]|0;m=(k[m+80>>2]|0)-(k[m+76>>2]|0)>>3;if(m|0){d=0;do{b=k[(k[(k[p>>2]|0)+76>>2]|0)+(l<<3)+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+16>>2]|0,b|0)|0;P=y;y=0;if(P&1){a=83;break c}y=0;oa(460,ha|0,b|0);P=y;y=0;if(P&1){a=83;break c}k[ha>>2]=15136;y=0;oa(460,ga|0,k[(k[(k[q>>2]|0)+76>>2]|0)+(d<<3)+4>>2]|0);P=y;y=0;if(P&1){a=84;break c}k[ga>>2]=15136;y=0;oa(460,fa|0,k[(k[s>>2]|0)+88>>2]|0);P=y;y=0;if(P&1){a=85;break c}k[fa>>2]=15136;b=k[s>>2]|0;if(k[b+72>>2]|0){k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;y=0;Na(74,ba|0,40308,14);P=y;y=0;if(P&1){a=86;break c}P=k[s>>2]|0;y=0;oa(k[(k[P>>2]|0)+32>>2]|0,Y|0,P|0);P=y;y=0;if(P&1){a=87;break c}P=i[I>>0]|0;O=P<<24>>24<0;y=0;ta(41,ba|0,(O?k[Y>>2]|0:Y)|0,(O?k[J>>2]|0:P&255)|0)|0;P=y;y=0;if(P&1){a=88;break c}A9(Y);y=0;Ha(974,ba|0,40323)|0;P=y;y=0;if(P&1){a=90;break c}P=k[w>>2]|0;y=0;oa(k[(k[P>>2]|0)+32>>2]|0,Y|0,P|0);P=y;y=0;if(P&1){a=91;break c}P=i[K>>0]|0;O=P<<24>>24<0;y=0;ta(41,ba|0,(O?k[Y>>2]|0:Y)|0,(O?k[L>>2]|0:P&255)|0)|0;P=y;y=0;if(P&1){a=92;break c}A9(Y);y=0;Ha(974,ba|0,40330)|0;P=y;y=0;if(P&1){a=90;break c}y=0;oa(456,R|0,ba|0);P=y;y=0;if(P&1){a=90;break c}y=0;M=Y;O=e;P=M+40|0;do{k[M>>2]=k[O>>2];M=M+4|0;O=O+4|0}while((M|0)<(P|0));Na(98,R|0,Y|0,f|0);P=y;y=0;if(P&1){a=94;break c}A9(R);A9(ba);b=k[s>>2]|0}y=0;oa(460,Z|0,k[b+80>>2]|0);P=y;y=0;if(P&1){a=86;break c}k[Z>>2]=15152;y=0;oa(460,S|0,k[(k[(k[t>>2]|0)+76>>2]|0)+4>>2]|0);P=y;y=0;if(P&1){a=116;break c}k[S>>2]=13284;b=k[u>>2]|0;if(!b)b=0;else b=(k[31]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;oa(460,ea|0,b|0);P=y;y=0;if(P&1){a=117;break c}k[ea>>2]=16812;DO(S);DO(Z);b=k[v>>2]|0;do if(b|0){P=i[b+95>>0]|0;if(((P<<24>>24<0?k[b+88>>2]|0:P&255)|0)!=1)break;y=0;b=sa(21,b+84|0,0,-1,48696,1)|0;P=y;y=0;if(P&1){a=104;break c}if(b|0)break;k[ca>>2]=0;k[ca+4>>2]=0;k[ca+8>>2]=0;y=0;Na(74,ca|0,40308,14);P=y;y=0;if(P&1){a=119;break c}P=k[s>>2]|0;y=0;oa(k[(k[P>>2]|0)+32>>2]|0,Y|0,P|0);P=y;y=0;if(P&1){a=120;break c}P=i[F>>0]|0;O=P<<24>>24<0;y=0;ta(41,ca|0,(O?k[Y>>2]|0:Y)|0,(O?k[G>>2]|0:P&255)|0)|0;P=y;y=0;if(P&1){a=121;break c}A9(Y);y=0;Ha(974,ca|0,40323)|0;P=y;y=0;if(P&1){a=123;break c}P=k[w>>2]|0;y=0;oa(k[(k[P>>2]|0)+32>>2]|0,Y|0,P|0);P=y;y=0;if(P&1){a=124;break c}P=i[c>>0]|0;O=P<<24>>24<0;y=0;ta(41,ca|0,(O?k[Y>>2]|0:Y)|0,(O?k[H>>2]|0:P&255)|0)|0;P=y;y=0;if(P&1){a=125;break c}A9(Y);y=0;Ha(974,ca|0,40330)|0;P=y;y=0;if(P&1){a=123;break c}y=0;oa(456,T|0,ca|0);P=y;y=0;if(P&1){a=123;break c}y=0;M=Y;O=e;P=M+40|0;do{k[M>>2]=k[O>>2];M=M+4|0;O=O+4|0}while((M|0)<(P|0));Na(98,T|0,Y|0,f|0);P=y;y=0;if(P&1){a=127;break c}A9(T);A9(ca)}while(0);y=0;oa(560,aa|0,k[w>>2]|0);P=y;y=0;if(P&1){a=119;break c}y=0;oa(460,_|0,k[(k[x>>2]|0)+80>>2]|0);P=y;y=0;if(P&1){a=144;break c}k[_>>2]=15152;b=(k[z>>2]|0)+72|0;a=k[(k[b>>2]|0)+24>>2]|0;y=0;oa(460,U|0,k[(k[A>>2]|0)+80>>2]|0);P=y;y=0;if(P&1){a=145;break c}k[U>>2]=15152;P=k[B>>2]|0;y=0;oa(a|0,b|0,((P|0)==0?0:P+72|0)|0);P=y;y=0;if(P&1){a=146;break c}DO(U);DO(_);DO(aa);y=0;oa(560,$|0,k[w>>2]|0);P=y;y=0;if(P&1){a=119;break c}b=k[C>>2]|0;y=0;oa(460,W|0,k[(k[A>>2]|0)+88>>2]|0);P=y;y=0;if(P&1){a=149;break c}k[W>>2]=15136;k[b+68>>2]=0;a=b+84|0;b=b+88|0;if(k[b>>2]|0){y=0;na(423,a|0);P=y;y=0;if(P&1){a=150;break c}}k[b>>2]=k[D>>2];y=0;na(424,a|0);P=y;y=0;if(P&1){a=150;break c}y=0;oa(460,V|0,k[b>>2]|0);P=y;y=0;if(P&1){a=150;break c}k[V>>2]=15136;DO(V);DO(W);DO($);b=k[Q>>2]|0;if((b|0)==(k[E>>2]|0)){y=0;oa(513,ka|0,ha|0);P=y;y=0;if(P&1){a=119;break c}}else{y=0;oa(460,b|0,k[w>>2]|0);P=y;y=0;if(P&1){a=119;break c}k[b>>2]=15136;k[Q>>2]=(k[Q>>2]|0)+8}DO(ea);DO(fa);DO(ga);DO(ha);d=d+1|0}while(d>>>0<m>>>0)}l=l+1|0}while(l>>>0<n>>>0);b=k[p>>2]|0}b=b+76|0;if((b|0)!=(ka|0)){y=0;Na(102,b|0,k[ka>>2]|0,k[Q>>2]|0);P=y;y=0;if(P&1){a=162;break}}b=k[ka>>2]|0;if(b|0){a=k[Q>>2]|0;if((a|0)!=(b|0)){do{P=a+-8|0;k[Q>>2]=P;lc[k[k[P>>2]>>2]&511](P);a=k[Q>>2]|0}while((a|0)!=(b|0));b=k[ka>>2]|0}cra(b)}DO(ia);b=g+8|0;if((b|0)==(k[la>>2]|0)){a=169;break b}else{P=g;g=b;b=P}}switch(a|0){case 63:{h=pb()|0;j=N;a=65;break b}case 83:{h=pb()|0;j=N;break}case 84:{h=pb()|0;j=N;a=155;break}case 85:{h=pb()|0;j=N;a=154;break}case 86:{h=pb()|0;j=N;a=153;break}case 87:{h=pb()|0;j=N;a=89;break}case 88:{h=pb()|0;j=N;A9(Y);a=89;break}case 90:{h=pb()|0;j=N;a=95;break}case 91:{h=pb()|0;j=N;a=93;break}case 92:{h=pb()|0;j=N;A9(Y);a=93;break}case 94:{h=pb()|0;j=N;A9(R);a=95;break}case 104:{Sla(tb(0)|0);break}case 116:{h=pb()|0;j=N;a=118;break}case 117:{h=pb()|0;j=N;DO(S);a=118;break}case 119:{h=pb()|0;j=N;a=152;break}case 120:{h=pb()|0;j=N;a=122;break}case 121:{h=pb()|0;j=N;A9(Y);a=122;break}case 123:{h=pb()|0;j=N;a=128;break}case 124:{h=pb()|0;j=N;a=126;break}case 125:{h=pb()|0;j=N;A9(Y);a=126;break}case 127:{h=pb()|0;j=N;A9(T);a=128;break}case 144:{h=pb()|0;j=N;a=148;break}case 145:{h=pb()|0;j=N;a=147;break}case 146:{h=pb()|0;j=N;DO(U);a=147;break}case 149:{h=pb()|0;j=N;a=151;break}case 150:{h=pb()|0;j=N;DO(W);a=151;break}case 162:{h=pb()|0;j=N;break}}if((a|0)==89)a=95;else if((a|0)==93)a=95;else if((a|0)==118){DO(Z);a=153}else if((a|0)==122)a=128;else if((a|0)==126)a=128;else if((a|0)==147){DO(_);a=148}else if((a|0)==151){DO($);a=152}if((a|0)==95){A9(ba);a=153}else if((a|0)==128){A9(ca);a=152}else if((a|0)==148){DO(aa);a=152}if((a|0)==152){DO(ea);a=153}if((a|0)==153){DO(fa);a=154}if((a|0)==154){DO(ga);a=155}if((a|0)==155)DO(ha);b=k[ka>>2]|0;if(b|0){g=k[Q>>2]|0;if((g|0)!=(b|0)){do{ha=g+-8|0;k[Q>>2]=ha;lc[k[k[ha>>2]>>2]&511](ha);g=k[Q>>2]|0}while((g|0)!=(b|0));b=k[ka>>2]|0}cra(b)}DO(ia)}while(0);do if((a|0)==169){y=0;na(440,X|0);ka=y;y=0;if(ka&1){h=pb()|0;j=N;a=65;break}h=k[ja+4>>2]|0;y=0;h=Ha(k[(k[h>>2]|0)+56>>2]|0,h|0,X|0)|0;ka=y;y=0;if(ka&1){h=pb()|0;j=N;break}else{DO(ja);b=h;a=174;break a}}while(0);DO(ja);g=h;b=j;a=180;break a}case 17:{h=pb()|0;j=N;A9(Y);A9(z);Xaa(x);a=20;break}case 18:{h=pb()|0;j=N;a=21;break}case 19:{h=pb()|0;j=N;a=20;break}case 27:{g=pb()|0;b=N;a=180;break a}case 28:{g=pb()|0;b=N;DO(E);a=180;break a}case 29:{h=pb()|0;j=N;a=30;break}case 31:{h=pb()|0;j=N;a=33;break}case 32:{h=pb()|0;j=N;A9(F);a=33;break}case 45:{h=pb()|0;j=N;a=47;break}case 46:{h=pb()|0;j=N;DO(G);a=47;break}}if((a|0)==20){nla(I,16064);a=21}else if((a|0)==33){k[I>>2]=15972;k[C>>2]=16012;k[A>>2]=15992;k[x>>2]=15832;A9(z);Xaa(x);nla(I,16064);Vja(C)}else if((a|0)==47)A9(H);if((a|0)==21){Vja(C);a=30}DO(ka);g=h;b=j;a=180}while(0);do if((a|0)==49){y=0;b=qa(315,60)|0;ka=y;y=0;if(ka&1){g=pb()|0;b=N;a=180;break}M=Y;O=e;P=M+40|0;do{k[M>>2]=k[O>>2];M=M+4|0;O=O+4|0}while((M|0)<(P|0));y=0;na(422,b|0);ka=y;y=0;if(ka&1){g=pb()|0;a=N;cra(b);b=a;a=180;break}else{M=b+12|0;O=Y;P=M+40|0;do{k[M>>2]=k[O>>2];M=M+4|0;O=O+4|0}while((M|0)<(P|0));i[b+52>>0]=0;i[b+53>>0]=0;i[b+54>>0]=0;k[b>>2]=12584;k[b+56>>2]=8;a=174;break}}while(0);if((a|0)==174){h=k[pa>>2]|0;if(!h){r=da;return b|0}j=k[la>>2]|0;if((j|0)!=(h|0)){do{ka=j+-8|0;k[la>>2]=ka;lc[k[k[ka>>2]>>2]&511](ka);j=k[la>>2]|0}while((j|0)!=(h|0));h=k[pa>>2]|0}cra(h);r=da;return b|0}else if((a|0)==180){h=k[pa>>2]|0;if(h|0){j=k[la>>2]|0;if((j|0)!=(h|0)){do{ka=j+-8|0;k[la>>2]=ka;lc[k[k[ka>>2]>>2]&511](ka);j=k[la>>2]|0}while((j|0)!=(h|0));h=k[pa>>2]|0}cra(h)}pa=g;sb(pa|0)}return 0}function md(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0;O=0;G=r;r=r+384|0;C=G+40|0;A=G+312|0;w=G;d=G+336|0;g=G+324|0;M=G+264|0;L=G+240|0;e=G+272|0;h=G+256|0;j=G+248|0;f=G+232|0;K=G+224|0;l=G+216|0;p=G+208|0;s=G+192|0;t=G+184|0;u=G+176|0;v=G+168|0;J=G+200|0;x=G+160|0;D=G+152|0;E=G+144|0;z=G+104|0;H=G+96|0;I=G+88|0;F=G+80|0;P=b+152|0;Q=k[P>>2]|0;B=Q+1|0;k[P>>2]=B;if(B>>>0>512){f=gb(76)|0;m=d;n=b+108|0;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;oa(456,g|0,80932);O=y;y=0;if(O&1)d=pb()|0;else{y=0;m=C;n=d;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));Ra(24,f|0,C|0,g|0,0);O=y;y=0;if(O&1)e=1;else{y=0;Na(75,f|0,2912,175);y=0;e=0}d=pb()|0;A9(g);if(!e){O=d;k[P>>2]=Q;sb(O|0)}}fb(f|0);O=d;k[P>>2]=Q;sb(O|0)}y=0;oa(460,M|0,0);B=y;y=0;if(B&1){O=pb()|0;k[P>>2]=Q;sb(O|0)}k[M>>2]=7492;y=0;ta(56,b|0,1,0)|0;B=y;y=0;a:do if(B&1)O=24;else{y=0;ta(53,b|0,0,0)|0;B=y;y=0;if(B&1)O=24;else{d=b+128|0;y=0;oa(569,b+108|0,d|0);B=y;y=0;if(B&1)O=24;else{k[b+132>>2]=0;k[d>>2]=0;y=0;g=qa(315,100)|0;B=y;y=0;if(B&1)O=24;else{B=b+108|0;m=e;n=B;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;oa(460,h|0,0);q=y;y=0;do if(q&1)d=pb()|0;else{k[h>>2]=15152;y=0;oa(460,j|0,0);q=y;y=0;if(q&1){d=pb()|0;DO(h);break}k[j>>2]=15136;y=0;oa(460,f|0,0);q=y;y=0;if(q&1){d=pb()|0;e=1}else{k[f>>2]=7492;y=0;m=C;n=e;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));ya(11,g|0,C|0,0,h|0,j|0,f|0);q=y;y=0;if(q&1)e=1;else{y=0;oa(460,L|0,g|0);q=y;y=0;if(q&1)e=0;else{k[L>>2]=15136;DO(f);DO(j);DO(h);h=b+76|0;d=k[h>>2]|0;y=0;e=qa(344,d|0)|0;q=y;y=0;do if(q&1)O=31;else{y=0;d=qa(345,(e|0?e:d)|0)|0;q=y;y=0;if(q&1)O=31;else{j=b+80|0;if(!((d|0)==0?1:d>>>0>(k[j>>2]|0)>>>0)){y=0;oa(460,a|0,0);O=y;y=0;if(O&1){O=31;break}k[a>>2]=15136;DO(L);DO(M);k[P>>2]=Q;r=G;return}y=0;oa(460,K|0,0);q=y;y=0;if(q&1)O=31;else{k[K>>2]=15152;y=0;d=qa(343,k[h>>2]|0)|0;q=y;y=0;b:do if(q&1)O=46;else{if((d|0)==0?1:d>>>0>(k[j>>2]|0)>>>0)d=k[h>>2]|0;y=0;e=qa(344,d|0)|0;q=y;y=0;if(q&1){O=46;break}g=e|0?e:d;e=i[35569]|0;c:do if(!(e<<24>>24))d=0;else{d=i[g>>0]|0;f=35569;while(1){if(d<<24>>24==e<<24>>24)break c;f=f+1|0;e=i[f>>0]|0;if(!(e<<24>>24)){d=0;break}}}while(0);q=d<<24>>24?g+1|0:0;d:do if((q|0)==0?1:q>>>0>(k[j>>2]|0)>>>0){y=0;oa(570,C|0,b|0);q=y;y=0;e:do if(q&1)d=pb()|0;else{d=K+4|0;do if(k[d>>2]|0){y=0;na(423,K|0);q=y;y=0;if(!(q&1))break;d=pb()|0;DO(C);break e}while(0);q=C+4|0;k[d>>2]=k[q>>2];k[q>>2]=0;DO(C);break d}while(0);break b}while(0);y=0;d=ta(57,b|0,1,0)|0;q=y;y=0;f:do if(!(q&1)){g:do if(!d){y=0;d=ta(58,b|0,1,0)|0;q=y;y=0;if(q&1)break f;if(d|0){d=2;O=76;break}y=0;d=ta(59,b|0,1,0)|0;q=y;y=0;if(q&1)break f;if(d|0){d=1;O=76;break}y=0;d=ta(60,b|0,1,0)|0;q=y;y=0;if(q&1)break f;if(!d){e=k[K+4>>2]|0;if(e|0){d=0;O=80;break}y=0;oa(460,a|0,0);J=y;y=0;if(J&1)break f;k[a>>2]=15136;break}y=0;d=ta(61,b|0,1,0)|0;q=y;y=0;if(q&1)break f;if(!d){y=0;oa(460,a|0,0);J=y;y=0;if(J&1)break f;k[a>>2]=15136;break}y=0;d=qa(315,80)|0;q=y;y=0;h:do if(q&1)O=72;else{e=b+156|0;y=0;m=C;n=B;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));Na(109,d|0,C|0,e|0);q=y;y=0;if(q&1){J=pb()|0;cra(d);d=J;break}y=0;oa(460,A|0,d|0);q=y;y=0;if(q&1){O=72;break}k[A>>2]=7492;d=M+4|0;do if(k[d>>2]|0){y=0;na(423,M|0);q=y;y=0;if(!(q&1))break;d=pb()|0;DO(A);break h}while(0);q=A+4|0;k[d>>2]=k[q>>2];k[q>>2]=0;DO(A);y=0;d=ta(62,b|0,1,0)|0;q=y;y=0;if(q&1)break f;if(d|0){d=4;O=76;break g}y=0;oa(460,a|0,0);J=y;y=0;if(J&1)break f;k[a>>2]=15136;break g}while(0);if((O|0)==72)d=pb()|0;break b}else{d=3;O=76}while(0);if((O|0)==76){e=k[K+4>>2]|0;O=80}i:do if((O|0)==80){q=L+4|0;f=k[q>>2]|0;y=0;oa(460,p|0,e|0);o=y;y=0;if(o&1)break f;k[p>>2]=15152;k[f+68>>2]=0;g=f+76|0;e=f+80|0;if(!(k[e>>2]|0))O=83;else{y=0;na(423,g|0);o=y;y=0;if(!(o&1))O=83}do if((O|0)==83){k[e>>2]=k[p+4>>2];y=0;na(424,g|0);o=y;y=0;if(o&1)break;y=0;oa(460,l|0,k[e>>2]|0);o=y;y=0;if(o&1)break;k[l>>2]=15152;DO(l);DO(p);f=k[q>>2]|0;e=f+68|0;k[e>>2]=0;k[f+72>>2]=d;p=b+68|0;k[f+64>>2]=k[p>>2];j:do if((d|0)==4){y=0;oa(460,t|0,k[M+4>>2]|0);o=y;y=0;if(o&1)break f;k[t>>2]=7492;k[e>>2]=0;e=f+92|0;d=f+96|0;if(!(k[d>>2]|0))O=89;else{y=0;na(423,e|0);o=y;y=0;if(!(o&1))O=89}do if((O|0)==89){k[d>>2]=k[t+4>>2];y=0;na(424,e|0);o=y;y=0;if(o&1)break;y=0;oa(460,s|0,k[d>>2]|0);o=y;y=0;if(o&1)break;k[s>>2]=7492;DO(s);DO(t);f=k[q>>2]|0;break j}while(0);d=pb()|0;DO(t);break b}while(0);y=0;d=qa(346,k[h>>2]|0)|0;t=y;y=0;if(t&1)break f;if(d){y=0;d=qa(343,k[h>>2]|0)|0;t=y;y=0;if(t&1)break f;if((d|0)==0?1:d>>>0>(k[j>>2]|0)>>>0)d=k[h>>2]|0;y=0;e=qa(344,d|0)|0;t=y;y=0;if(t&1)break f;d=e|0?e:d;d=(i[d>>0]|0)==123?d+1|0:0;d=(d|0)==0?1:d>>>0>(k[j>>2]|0)>>>0}else d=0;i[f+61>>0]=d&1;y=0;d=qa(343,k[h>>2]|0)|0;t=y;y=0;if(t&1)break f;if((d|0)==0?1:d>>>0>(k[j>>2]|0)>>>0)d=k[h>>2]|0;y=0;e=qa(344,d|0)|0;t=y;y=0;if(t&1)break f;g=e|0?e:d;e=i[35562]|0;k:do if(!(e<<24>>24))d=0;else{d=i[g>>0]|0;f=35562;while(1){if(d<<24>>24==e<<24>>24)break k;f=f+1|0;e=i[f>>0]|0;if(!(e<<24>>24)){d=0;break}}}while(0);t=d<<24>>24?g+1|0:0;l:do if((t|0)==0?1:t>>>0>(k[j>>2]|0)>>>0){d=k[q>>2]|0;y=0;Na(107,v|0,b|0,1);b=y;y=0;if(b&1)break f;k[d+68>>2]=0;e=d+84|0;d=d+88|0;if(!(k[d>>2]|0))O=113;else{y=0;na(423,e|0);b=y;y=0;if(!(b&1))O=113}do if((O|0)==113){k[d>>2]=k[v+4>>2];y=0;na(424,e|0);b=y;y=0;if(b&1)break;y=0;oa(460,u|0,k[d>>2]|0);b=y;y=0;if(b&1)break;k[u>>2]=15136;DO(u);DO(v);break l}while(0);d=pb()|0;DO(v);break b}while(0);d=k[q>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+124>>2]|0,d|0)|0;v=y;y=0;if(v&1)break f;m:do if(!(d|c)){y=0;l=qa(315,108)|0;c=y;y=0;if(c&1)break f;m=C;n=B;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;na(422,l|0);c=y;y=0;do if(c&1)d=pb()|0;else{m=l+12|0;n=C;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l>>2]=13472;i[l+60>>0]=0;i[l+61>>0]=0;i[l+62>>0]=0;k[l+64>>2]=0;k[l+68>>2]=0;k[l+56>>2]=7;d=l+72|0;k[d>>2]=15096;h=l+76|0;j=l+80|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(512,h|0,0);c=y;y=0;if(c&1){d=pb()|0;g=N;e=k[h>>2]|0;if(e|0){f=k[j>>2]|0;if((f|0)!=(e|0)){do{J=f+-8|0;k[j>>2]=J;lc[k[k[J>>2]>>2]&511](J);f=k[j>>2]|0}while((f|0)!=(e|0));e=k[h>>2]|0}cra(e)}break}k[l>>2]=14880;k[d>>2]=15056;c=l+96|0;k[c>>2]=0;k[l+100>>2]=0;k[l+92>>2]=c;i[l+104>>0]=0;i[l+105>>0]=0;y=0;oa(460,J|0,l|0);c=y;y=0;if(c&1)break f;k[J>>2]=15152;y=0;e=qa(315,104)|0;c=y;y=0;n:do if(c&1)d=pb()|0;else{m=w;n=B;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));k[A>>2]=0;k[A+4>>2]=0;k[A+8>>2]=0;y=0;Na(74,A|0,48604,1);c=y;y=0;do if(c&1)d=pb()|0;else{y=0;m=C;n=w;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));Na(85,e|0,C|0,A|0);w=y;y=0;if(w&1){d=pb()|0;A9(A);break}A9(A);k[e>>2]=13300;i[e+101>>0]=0;c=k[p>>2]|0;k[e+64>>2]=c;f=J+4|0;w=k[f>>2]|0;k[w+64>>2]=c;y=0;oa(571,w|0,e|0);w=y;y=0;o:do if(!(w&1)){y=0;oa(460,x|0,k[(k[q>>2]|0)+80>>2]|0);w=y;y=0;if(w&1)break;k[x>>2]=15152;w=(k[x+4>>2]|0)==0;DO(x);p:do if(w){d=k[q>>2]|0;y=0;oa(460,E|0,k[f>>2]|0);I=y;y=0;if(I&1)break o;k[E>>2]=15152;k[d+68>>2]=0;e=d+76|0;d=d+80|0;if(!(k[d>>2]|0))O=139;else{y=0;na(423,e|0);I=y;y=0;if(!(I&1))O=139}do if((O|0)==139){k[d>>2]=k[E+4>>2];y=0;na(424,e|0);I=y;y=0;if(I&1)break;y=0;oa(460,D|0,k[d>>2]|0);I=y;y=0;if(I&1)break;k[D>>2]=15152;DO(D);DO(E);break p}while(0);d=pb()|0;DO(E);break n}else{y=0;g=qa(315,100)|0;E=y;y=0;q:do if(E&1)d=pb()|0;else{m=z;n=B;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;oa(460,H|0,k[f>>2]|0);E=y;y=0;do if(E&1)d=pb()|0;else{k[H>>2]=15152;y=0;oa(460,I|0,k[q>>2]|0);E=y;y=0;if(E&1){d=pb()|0;DO(H);break}k[I>>2]=15136;y=0;oa(460,F|0,0);E=y;y=0;if(E&1){d=pb()|0;e=1}else{k[F>>2]=7492;y=0;m=C;n=z;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));ya(11,g|0,C|0,0,H|0,I|0,F|0);E=y;y=0;r:do if(E&1){d=1;O=162}else{y=0;oa(460,A|0,g|0);E=y;y=0;if(E&1){d=0;O=162;break}k[A>>2]=15136;do if(k[q>>2]|0){y=0;na(423,L|0);E=y;y=0;if(!(E&1))break;d=pb()|0;DO(A);e=0;break r}while(0);E=A+4|0;k[q>>2]=k[E>>2];k[E>>2]=0;DO(A);DO(F);DO(I);DO(H);k[(k[q>>2]|0)+64>>2]=k[p>>2];break p}while(0);if((O|0)==162){G=pb()|0;e=d;d=G}DO(F)}DO(I);DO(H);if(!e)break q}while(0);cra(g)}while(0);break n}while(0);DO(J);break m}while(0);d=pb()|0;break n}while(0);cra(e)}while(0);DO(J);break b}while(0);cra(l);break b}while(0);y=0;oa(568,k[q>>2]|0,B|0);J=y;y=0;if(J&1)break f;y=0;oa(460,a|0,k[q>>2]|0);J=y;y=0;if(J&1)break f;k[a>>2]=15136;break i}while(0);d=pb()|0;DO(p);break b}while(0);DO(K);DO(L);DO(M);k[P>>2]=Q;r=G;return}while(0);d=pb()|0}while(0);if((O|0)==46)d=pb()|0;DO(K)}}}while(0);if((O|0)==31)d=pb()|0;DO(L);break a}}d=pb()|0;DO(f)}DO(j);DO(h);if(!e)break a}while(0);cra(g)}}}}while(0);if((O|0)==24)d=pb()|0;DO(M);O=d;k[P>>2]=Q;sb(O|0)}function nd(a,b,c,d,e,f,g,h,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;R=0;U=r;r=r+512|0;K=U+88|0;Q=U+96|0;$=U+80|0;S=U+72|0;L=U+68|0;M=U+500|0;N=U+497|0;O=U+496|0;V=U+56|0;W=U+44|0;X=U+32|0;Y=U+20|0;Z=U+8|0;P=U+4|0;T=U;k[K>>2]=o;k[$>>2]=Q;_=$+4|0;k[_>>2]=479;k[S>>2]=Q;k[L>>2]=Q+400;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[V+(o<<2)>>2]=0;o=o+1|0}k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[W+(o<<2)>>2]=0;o=o+1|0}k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[X+(o<<2)>>2]=0;o=o+1|0}k[Y>>2]=0;k[Y+4>>2]=0;k[Y+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[Y+(o<<2)>>2]=0;o=o+1|0}k[Z>>2]=0;k[Z+4>>2]=0;k[Z+8>>2]=0;o=0;while(1){if((o|0)==3)break;k[Z+(o<<2)>>2]=0;o=o+1|0}y=0;Ga(1,c|0,d|0,M|0,N|0,O|0,V|0,W|0,X|0,Y|0,P|0);Q=y;y=0;a:do if(Q&1)c=pb()|0;else{k[n>>2]=k[m>>2];F=h+8|0;G=X+11|0;H=X+4|0;I=Y+11|0;J=Y+4|0;w=(e&512|0)!=0;x=W+11|0;z=W+4|0;A=Z+11|0;B=Z+4|0;C=M+3|0;D=V+11|0;E=V+4|0;Q=0;v=0;b:while(1){if(v>>>0>=4){R=254;break}o=k[a>>2]|0;do if(!o)o=0;else if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}if((o|0)==-1){k[a>>2]=0;o=0;break}else{o=k[a>>2]|0;break}}while(0);o=(o|0)==0;c=k[b>>2]|0;do if(!c)R=31;else{if((k[c+12>>2]|0)!=(k[c+16>>2]|0))if(o){u=c;break}else{R=254;break b}y=0;d=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=35;break b}if((d|0)==-1){k[b>>2]=0;R=31;break}else if(o){u=c;break}else{R=254;break b}}while(0);if((R|0)==31){R=0;if(o){R=254;break}else u=0}c:do switch(i[M+v>>0]|0){case 1:{if((v|0)==3)o=Q;else{o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;R=y;y=0;if(R&1){R=35;break b}}else o=l[c>>0]|0;if((o&255)<<24>>24<=-1){R=48;break b}if(!(j[(k[F>>2]|0)+(o<<24>>24<<1)>>1]&8192)){R=48;break b}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;R=y;y=0;if(R&1){R=35;break b}}else{k[c>>2]=d+1;o=l[d>>0]|0}y=0;oa(458,Z|0,o&255|0);R=y;y=0;if(R&1){R=35;break b}else{o=u;h=u;R=50}}break}case 0:{if((v|0)==3)o=Q;else{o=u;h=u;R=50}break}case 3:{h=i[G>>0]|0;o=h<<24>>24<0?k[H>>2]|0:h&255;d=i[I>>0]|0;e=d<<24>>24<0?k[J>>2]|0:d&255;if((o|0)==(0-e|0))o=Q;else{if(!o){o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}h=i[I>>0]|0}else{o=l[c>>0]|0;h=d}if((o&255)<<24>>24!=(i[(h<<24>>24<0?k[Y>>2]|0:Y)>>0]|0)){o=Q;break c}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}o=i[I>>0]|0}else{k[c>>2]=d+1;o=h}i[g>>0]=1;o=(o<<24>>24<0?k[J>>2]|0:o&255)>>>0>1?Y:Q;break c}d=k[a>>2]|0;p=k[d+12>>2]|0;c=k[d+16>>2]|0;o=(p|0)==(c|0);if(!e){if(o){y=0;o=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){R=35;break b}h=i[G>>0]|0}else o=l[p>>0]|0;if((o&255)<<24>>24!=(i[(h<<24>>24<0?k[X>>2]|0:X)>>0]|0)){i[g>>0]=1;o=Q;break c}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}o=i[G>>0]|0}else{k[c>>2]=d+1;o=h}o=(o<<24>>24<0?k[H>>2]|0:o&255)>>>0>1?X:Q;break c}if(o){y=0;o=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){R=35;break b}c=k[a>>2]|0;h=i[G>>0]|0;q=c;e=k[c+12>>2]|0;c=k[c+16>>2]|0}else{o=l[p>>0]|0;q=d;e=p}d=q+12|0;c=(e|0)==(c|0);if((o&255)<<24>>24==(i[(h<<24>>24<0?k[X>>2]|0:X)>>0]|0)){if(c){y=0;qa(k[(k[q>>2]|0)+40>>2]|0,q|0)|0;u=y;y=0;if(u&1){R=35;break b}o=i[G>>0]|0}else{k[d>>2]=e+1;o=h}o=(o<<24>>24<0?k[H>>2]|0:o&255)>>>0>1?X:Q;break c}if(c){y=0;o=qa(k[(k[q>>2]|0)+36>>2]|0,q|0)|0;u=y;y=0;if(u&1){R=35;break b}}else o=l[e>>0]|0;h=i[I>>0]|0;if((o&255)<<24>>24!=(i[(h<<24>>24<0?k[Y>>2]|0:Y)>>0]|0)){R=116;break b}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=35;break b}o=i[I>>0]|0}else{k[c>>2]=d+1;o=h}i[g>>0]=1;o=(o<<24>>24<0?k[J>>2]|0:o&255)>>>0>1?Y:Q}break}case 2:{if(!(v>>>0<2|(Q|0)!=0))if(!(w|(v|0)==2&(i[C>>0]|0)!=0)){o=0;break c}c=i[x>>0]|0;o=c<<24>>24<0;t=k[W>>2]|0;d=o?t:W;q=d;d:do if(!v){s=u;d=q;o=t;h=u}else if((l[M+(v+-1)>>0]|0)<2){o=d+(o?k[z>>2]|0:c&255)|0;p=q;while(1){h=p;if((h|0)==(o|0))break;e=i[h>>0]|0;if(e<<24>>24<=-1)break;if(!(j[(k[F>>2]|0)+(e<<24>>24<<1)>>1]&8192))break;p=h+1|0}e=p-q|0;h=i[A>>0]|0;o=h<<24>>24<0;h=o?k[B>>2]|0:h&255;if(e>>>0>h>>>0){s=u;d=q;o=t;h=u}else{h=(o?k[Z>>2]|0:Z)+h|0;o=h+(0-e)|0;while(1){if((o|0)==(h|0)){s=u;d=p;o=t;h=u;break d}if((i[o>>0]|0)!=(i[d>>0]|0)){s=u;d=q;o=t;h=u;break d}d=d+1|0;o=o+1|0}}}else{s=u;d=q;o=t;h=u}while(0);e:while(1){p=c<<24>>24<0;o=(p?o:W)+(p?k[z>>2]|0:c&255)|0;p=d;if((p|0)==(o|0))break;o=k[a>>2]|0;do if(!o)o=0;else if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=154;break b}if((o|0)==-1){k[a>>2]=0;o=0;break}else{o=k[a>>2]|0;break}}while(0);c=(o|0)==0;do if(!h){o=s;R=144}else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(c){o=s;e=h;break}else{o=p;break e}y=0;o=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;u=y;y=0;if(u&1){R=154;break b}if((o|0)==-1){k[b>>2]=0;o=0;R=144;break}else if(c^(s|0)==0){o=s;e=s;break}else{o=p;break e}}while(0);if((R|0)==144){R=0;if(c){o=p;break}else e=0}c=k[a>>2]|0;d=k[c+12>>2]|0;if((d|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=154;break b}}else c=l[d>>0]|0;if((c&255)<<24>>24!=(i[p>>0]|0)){o=p;break}c=k[a>>2]|0;d=c+12|0;h=k[d>>2]|0;if((h|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=155;break b}}else k[d>>2]=h+1;s=o;d=p+1|0;c=i[x>>0]|0;o=k[W>>2]|0;h=e}if(w){u=i[x>>0]|0;t=u<<24>>24<0;if((o|0)==((t?k[W>>2]|0:W)+(t?k[z>>2]|0:u&255)|0))o=Q;else{R=158;break b}}else o=Q;break}case 4:{q=0;o=u;h=u;f:while(1){c=k[a>>2]|0;do if(!c)c=0;else if((k[c+12>>2]|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=182;break b}if((c|0)==-1){k[a>>2]=0;c=0;break}else{c=k[a>>2]|0;break}}while(0);d=(c|0)==0;do if(!h)R=171;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d){p=o;e=h;break}else{d=o;break f}y=0;c=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;u=y;y=0;if(u&1){R=182;break b}if((c|0)==-1){k[b>>2]=0;o=0;R=171;break}else if(d^(o|0)==0){p=o;e=o;break}else{d=o;break f}}while(0);if((R|0)==171){R=0;if(d){d=o;break}else{p=o;e=0}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=182;break b}}else o=l[c>>0]|0;c=o&255;if(c<<24>>24>-1)if(!(j[(k[F>>2]|0)+(o<<24>>24<<1)>>1]&2048))R=186;else{o=k[n>>2]|0;if((o|0)==(k[K>>2]|0)){y=0;Na(159,m|0,n|0,K|0);u=y;y=0;if(u&1){R=184;break b}o=k[n>>2]|0}k[n>>2]=o+1;i[o>>0]=c;o=q+1|0}else R=186;if((R|0)==186){R=0;u=i[D>>0]|0;if(!(c<<24>>24==(i[O>>0]|0)&(q|0?((u<<24>>24<0?k[E>>2]|0:u&255)|0)!=0:0))){d=p;break}o=k[S>>2]|0;if((o|0)==(k[L>>2]|0)){y=0;Na(160,$|0,S|0,L|0);u=y;y=0;if(u&1){R=184;break b}o=k[S>>2]|0}k[S>>2]=o+4;k[o>>2]=q;o=0}c=k[a>>2]|0;d=c+12|0;h=k[d>>2]|0;if((h|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=182;break b}else{q=o;o=p;h=e;continue}}else{k[d>>2]=h+1;q=o;o=p;h=e;continue}}o=k[S>>2]|0;if(q|0?(k[$>>2]|0)!=(o|0):0){if((o|0)==(k[L>>2]|0)){y=0;Na(160,$|0,S|0,L|0);u=y;y=0;if(u&1){R=183;break b}o=k[S>>2]|0}k[S>>2]=o+4;k[o>>2]=q}g:do if((k[P>>2]|0)>0){o=k[a>>2]|0;do if(!o)o=0;else if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=183;break b}if((o|0)==-1){k[a>>2]=0;o=0;break}else{o=k[a>>2]|0;break}}while(0);o=(o|0)==0;do if(!d)R=212;else{if((k[d+12>>2]|0)==(k[d+16>>2]|0)){y=0;c=qa(k[(k[d>>2]|0)+36>>2]|0,d|0)|0;u=y;y=0;if(u&1){R=183;break b}if((c|0)==-1){k[b>>2]=0;R=212;break}}if(o)h=d;else{R=217;break b}}while(0);if((R|0)==212){R=0;if(o){R=217;break b}else h=0}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=183;break b}}else o=l[c>>0]|0;if((o&255)<<24>>24!=(i[N>>0]|0)){R=217;break b}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=183;break b}else o=h}else{k[c>>2]=d+1;o=h}while(1){if((k[P>>2]|0)<=0)break g;c=k[a>>2]|0;do if(!c)c=0;else if((k[c+12>>2]|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=181;break b}if((c|0)==-1){k[a>>2]=0;c=0;break}else{c=k[a>>2]|0;break}}while(0);d=(c|0)==0;do if(!h)R=234;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d){e=o;break}else{R=241;break b}y=0;c=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;u=y;y=0;if(u&1){R=181;break b}if((c|0)==-1){k[b>>2]=0;o=0;R=234;break}else if(d^(o|0)==0){e=o;h=o;break}else{R=241;break b}}while(0);if((R|0)==234){R=0;if(d){R=241;break b}else{e=o;h=0}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=181;break b}}else o=l[c>>0]|0;if((o&255)<<24>>24<=-1){R=241;break b}if(!(j[(k[F>>2]|0)+(o<<24>>24<<1)>>1]&2048)){R=241;break b}if((k[n>>2]|0)==(k[K>>2]|0)){y=0;Na(159,m|0,n|0,K|0);u=y;y=0;if(u&1){R=181;break b}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=181;break b}}else o=l[c>>0]|0;c=k[n>>2]|0;k[n>>2]=c+1;i[c>>0]=o;k[P>>2]=(k[P>>2]|0)+-1;o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=181;break b}else{o=e;continue}}else{k[c>>2]=d+1;o=e;continue}}}while(0);if((k[n>>2]|0)==(k[m>>2]|0)){R=251;break b}else o=Q;break}default:o=Q}while(0);h:do if((R|0)==50)while(1){R=0;c=k[a>>2]|0;do if(!c)c=0;else if((k[c+12>>2]|0)==(k[c+16>>2]|0)){y=0;c=qa(k[(k[c>>2]|0)+36>>2]|0,c|0)|0;u=y;y=0;if(u&1){R=34;break b}if((c|0)==-1){k[a>>2]=0;c=0;break}else{c=k[a>>2]|0;break}}while(0);d=(c|0)==0;do if(!h)R=62;else{if((k[h+12>>2]|0)!=(k[h+16>>2]|0))if(d){e=o;break}else{o=Q;break h}y=0;c=qa(k[(k[h>>2]|0)+36>>2]|0,h|0)|0;u=y;y=0;if(u&1){R=34;break b}if((c|0)==-1){k[b>>2]=0;o=0;R=62;break}else if(d^(o|0)==0){e=o;h=o;break}else{o=Q;break h}}while(0);if((R|0)==62){R=0;if(d){o=Q;break h}else{e=o;h=0}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;u=y;y=0;if(u&1){R=34;break b}}else o=l[c>>0]|0;if((o&255)<<24>>24<=-1){o=Q;break h}if(!(j[(k[F>>2]|0)+(o<<24>>24<<1)>>1]&8192)){o=Q;break h}o=k[a>>2]|0;c=o+12|0;d=k[c>>2]|0;if((d|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+40>>2]|0,o|0)|0;R=y;y=0;if(R&1){R=34;break b}}else{k[c>>2]=d+1;o=l[d>>0]|0}y=0;oa(458,Z|0,o&255|0);R=y;y=0;if(R&1){R=34;break b}else{o=e;R=50}}while(0);Q=o;v=v+1|0}i:switch(R|0){case 34:{o=pb()|0;R=36;break}case 35:{o=pb()|0;R=36;break}case 48:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 116:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 154:{c=pb()|0;break a}case 155:{c=pb()|0;break a}case 158:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 181:{o=pb()|0;R=252;break}case 182:{o=pb()|0;R=252;break}case 183:{o=pb()|0;R=252;break}case 184:{o=pb()|0;R=252;break}case 217:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 241:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 251:{k[f>>2]=k[f>>2]|4;c=0;R=288;break}case 254:{j:do if(Q|0){e=Q+11|0;p=Q+4|0;d=1;k:while(1){o=i[e>>0]|0;if(o<<24>>24<0)o=k[p>>2]|0;else o=o&255;if(d>>>0>=o>>>0)break j;o=k[a>>2]|0;do if(!o)o=0;else if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;n=y;y=0;if(n&1){R=280;break k}if((o|0)==-1){k[a>>2]=0;o=0;break}else{o=k[a>>2]|0;break}}while(0);c=(o|0)==0;o=k[b>>2]|0;do if(!o)R=272;else{if((k[o+12>>2]|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;n=y;y=0;if(n&1){R=280;break k}if((o|0)==-1){k[b>>2]=0;R=272;break}}if(!c){R=279;break k}}while(0);if((R|0)==272){R=0;if(c){R=279;break}}o=k[a>>2]|0;c=k[o+12>>2]|0;if((c|0)==(k[o+16>>2]|0)){y=0;o=qa(k[(k[o>>2]|0)+36>>2]|0,o|0)|0;n=y;y=0;if(n&1){R=280;break}}else o=l[c>>0]|0;if((i[e>>0]|0)<0)c=k[Q>>2]|0;else c=Q;if((o&255)<<24>>24!=(i[c+d>>0]|0)){R=279;break}o=d+1|0;c=k[a>>2]|0;d=c+12|0;h=k[d>>2]|0;if((h|0)==(k[c+16>>2]|0)){y=0;qa(k[(k[c>>2]|0)+40>>2]|0,c|0)|0;n=y;y=0;if(n&1){R=280;break}else{d=o;continue}}else{k[d>>2]=h+1;d=o;continue}}if((R|0)==279){k[f>>2]=k[f>>2]|4;c=0;R=288;break i}else if((R|0)==280){c=pb()|0;break a}}while(0);c=k[$>>2]|0;o=k[S>>2]|0;if((c|0)==(o|0)){c=1;R=288}else{k[T>>2]=0;Az(V,c,o,T);if(!(k[T>>2]|0)){c=1;R=288;break}else{k[f>>2]=k[f>>2]|4;c=0;R=288;break}}break}}if((R|0)==36){c=o;break}else if((R|0)==252){c=o;break}else if((R|0)==288){A9(Z);A9(Y);A9(X);A9(W);A9(V);o=k[$>>2]|0;k[$>>2]=0;if(o|0){y=0;na(k[_>>2]|0,o|0);$=y;y=0;if($&1){$=tb(0)|0;Sla($)}}r=U;return c|0}}while(0);A9(Z);A9(Y);A9(X);A9(W);A9(V);o=k[$>>2]|0;k[$>>2]=0;if(o|0){y=0;na(k[_>>2]|0,o|0);$=y;y=0;if($&1){$=tb(0)|0;Sla($)}}sb(c|0);return 0}function od(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0;V=0;T=r;r=r+512|0;O=T+120|0;I=T+80|0;M=T+40|0;g=T;c=T+496|0;d=T+488|0;h=T+440|0;m=T+424|0;j=T+416|0;W=T+480|0;l=T+368|0;B=T+344|0;C=T+336|0;q=T+320|0;A=T+312|0;w=T+304|0;n=T+296|0;o=T+288|0;u=T+280|0;v=T+272|0;x=T+264|0;z=T+256|0;G=T+432|0;D=T+248|0;F=T+408|0;J=T+240|0;K=T+232|0;H=T+192|0;P=T+184|0;Q=T+176|0;L=T+168|0;U=T+360|0;S=T+328|0;R=T+160|0;E=b+68|0;LT(c,k[E>>2]|0);k[c>>2]=6868;if(!(k[c+4>>2]|0))DO(c);else{y=0;oa(460,d|0,k[E>>2]|0);t=y;y=0;if(t&1){W=pb()|0;DO(c);sb(W|0)}k[d>>2]=6868;t=k[d+4>>2]|0;t=(k[t+72>>2]|0)==(k[t+68>>2]|0);DO(d);DO(c);if(!t){d=a+20|0;s=a+24|0;e=k[s>>2]|0;f=e;if((e|0)==(k[d>>2]|0))c=k[a+8>>2]|0;else c=f+-4|0;if((k[(k[c>>2]|0)+52>>2]|0)==1){c=b+72|0;if(ZN(c,47991)|0)if(ZN(c,48010)|0)if(ZN(c,48026)|0)if(ZN(c,48040)|0){y=0;c=Ha(1017,a|0,b|0)|0;W=y;y=0;if(!(W&1)){W=c;r=T;return W|0}W=pb()|0;sb(W|0)}d=IM(76)|0;t=h;c=b+12|0;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));y=0;oa(460,m|0,b|0);W=y;y=0;if(W&1)c=pb()|0;else{k[m>>2]=6508;y=0;oa(460,j|0,0);W=y;y=0;if(W&1)c=pb()|0;else{k[j>>2]=6508;t=g;c=h;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));y=0;na(422,d|0);W=y;y=0;do if(W&1)c=pb()|0;else{t=d+12|0;c=g;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));k[d+52>>2]=6;k[d+56>>2]=0;i[d+60>>0]=0;k[d>>2]=6884;c=d+64|0;y=0;oa(460,c|0,k[m+4>>2]|0);W=y;y=0;if(W&1){c=pb()|0;break}k[c>>2]=6508;i[d+72>>0]=(k[j+4>>2]|0)==0&1;DO(j);DO(m);W=d;r=T;return W|0}while(0);DO(j)}DO(m)}cra(d);W=c;sb(W|0)}k[O>>2]=b;if(f>>>0<(k[a+28>>2]|0)>>>0){k[e>>2]=b;k[s>>2]=(k[s>>2]|0)+4}else mA(d,O);f=IM(100)|0;t=l;c=b+12|0;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));y=0;oa(456,B|0,b+72|0);t=y;y=0;do if(t&1)c=pb()|0;else{y=0;oa(460,C|0,k[b+88>>2]|0);t=y;y=0;if(t&1){c=pb()|0;A9(B);break}k[C>>2]=6756;y=0;oa(460,A|0,k[E>>2]|0);t=y;y=0;if(t&1){c=pb()|0;d=1}else{k[A>>2]=6868;do if(!(k[A+4>>2]|0)){e=0;c=0;V=39}else{c=k[(k[a>>2]|0)+12>>2]|0;y=0;oa(460,w|0,k[E>>2]|0);t=y;y=0;if(t&1){c=pb()|0;d=1;break}k[w>>2]=6868;y=0;c=Ha(c|0,a|0,k[w+4>>2]|0)|0;V=y;y=0;if(V&1){c=pb()|0;d=1;V=61}else{e=1;V=39}}while(0);do if((V|0)==39){y=0;oa(460,q|0,c|0);t=y;y=0;if(t&1){c=pb()|0;if(e){d=1;V=61;break}else{d=1;break}}k[q>>2]=6868;y=0;oa(460,n|0,0);t=y;y=0;if(t&1){c=pb()|0;d=1}else{k[n>>2]=7284;y=0;t=O;c=l;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));ya(20,f|0,O|0,B|0,C|0,q|0,n|0);t=y;y=0;if(t&1)d=1;else{y=0;oa(460,W|0,f|0);t=y;y=0;if(t&1)d=0;else{k[W>>2]=17116;DO(n);DO(q);if(e)DO(w);DO(A);DO(C);A9(B);c=b+96|0;y=0;oa(460,o|0,k[c>>2]|0);C=y;y=0;a:do if(C&1)V=65;else{k[o>>2]=7284;C=(k[o+4>>2]|0)==0;DO(o);w=W+4|0;b:do if(!C){d=k[w>>2]|0;y=0;oa(460,v|0,k[c>>2]|0);C=y;y=0;if(C&1){V=65;break a}k[v>>2]=7284;e=d+92|0;c=d+96|0;if(!(k[c>>2]|0))V=50;else{y=0;na(423,e|0);C=y;y=0;if(!(C&1))V=50}do if((V|0)==50){k[c>>2]=k[v+4>>2];y=0;na(424,e|0);C=y;y=0;if(C&1)break;y=0;oa(460,u|0,k[c>>2]|0);C=y;y=0;if(C&1)break;k[u>>2]=7284;DO(u);DO(v);break b}while(0);c=pb()|0;DO(v);break a}while(0);k[s>>2]=(k[s>>2]|0)+-4;y=0;oa(460,x|0,k[(k[w>>2]|0)+68>>2]|0);C=y;y=0;if(C&1){c=pb()|0;break}k[x>>2]=6868;c:do if(!(k[x+4>>2]|0)){DO(x);d=0}else{y=0;oa(460,z|0,k[(k[w>>2]|0)+68>>2]|0);C=y;y=0;if(C&1){c=pb()|0;DO(x);break a}k[z>>2]=6868;q=k[z+4>>2]|0;q=(k[q+72>>2]|0)-(k[q+68>>2]|0)>>3;DO(z);DO(x);if(!q){d=0;break}n=D+4|0;o=G+4|0;p=F+4|0;b=O+4|0;m=0;while(1){y=0;oa(460,D|0,k[E>>2]|0);C=y;y=0;if(C&1){V=80;break}k[D>>2]=6868;c=(k[n>>2]|0)+64|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,m|0)|0;C=y;y=0;if(C&1){V=81;break}y=0;oa(460,G|0,k[c+4>>2]|0);C=y;y=0;if(C&1){V=81;break}k[G>>2]=6508;DO(D);c=k[o>>2]|0;if((k[c+52>>2]|0)==6){if(!c)c=0;else c=(k[101]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,F|0,c|0);C=y;y=0;if(C&1){V=82;break}k[F>>2]=18744;y=0;oa(460,O|0,k[(k[p>>2]|0)+68>>2]|0);C=y;y=0;if(C&1){V=90;break}k[O>>2]=6508;if(k[o>>2]|0){y=0;na(423,G|0);C=y;y=0;if(C&1){V=91;break}}k[o>>2]=k[b>>2];k[b>>2]=0;DO(O);c=k[o>>2]|0;d:do if((k[c+52>>2]|0)==3){h=(k[119]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;c=h+72|0;B=k[w>>2]|0;d=B+72|0;e=i[c+11>>0]|0;g=e<<24>>24<0;e=e&255;h=g?k[h+76>>2]|0:e;C=i[d+11>>0]|0;f=C<<24>>24<0;if((h|0)!=((f?k[B+76>>2]|0:C&255)|0)){d=0;break}j=k[c>>2]|0;l=g?j:c;d=f?k[d>>2]|0:d;f=(h|0)==0;if(g){if(f){d=1;break}d=(bN(l,d,h)|0)==0;break}if(f){d=1;break}if((j&255)<<24>>24!=(i[d>>0]|0)){d=0;break}while(1){e=e+-1|0;c=c+1|0;if(!e){d=1;break d}d=d+1|0;if((i[c>>0]|0)!=(i[d>>0]|0)){d=0;break}}}else d=0;while(0);DO(F)}else d=1;DO(G);m=m+1|0;if(d|m>>>0>=q>>>0)break c}if((V|0)==80){c=pb()|0;break a}else if((V|0)==81){c=pb()|0;DO(D);break a}else if((V|0)==82)c=pb()|0;else if((V|0)==90){c=pb()|0;V=101}else if((V|0)==91){c=pb()|0;DO(O);V=101}if((V|0)==101)DO(F);DO(G);break a}while(0);y=0;n=qa(315,88)|0;G=y;y=0;if(G&1){c=pb()|0;break}t=O;c=(k[w>>2]|0)+12|0;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));y=0;na(422,n|0);G=y;y=0;do if(G&1)c=pb()|0;else{t=n+12|0;c=O;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));k[n>>2]=6564;k[n+52>>2]=0;k[n+56>>2]=0;i[n+60>>0]=0;m=n+64|0;k[m>>2]=6524;g=n+68|0;h=n+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);G=y;y=0;if(G&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{U=e+-8|0;k[h>>2]=U;lc[k[k[U>>2]>>2]&511](U);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[n>>2]=6368;k[m>>2]=6468;i[n+84>>0]=0;e:do if(!d){c=(k[w>>2]|0)+72|0;if(!(ZN(c,47991)|0))break;if(!(ZN(c,48010)|0))break;if(!(ZN(c,48026)|0))break;if(!(ZN(c,48040)|0))break;c=k[w>>2]|0;if(!c)e=0;else e=(k[119]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;l=qa(315,88)|0;G=y;y=0;f:do if(!(G&1)){y=0;oa(460,P|0,k[c+68>>2]|0);G=y;y=0;g:do if(G&1)c=pb()|0;else{k[P>>2]=6868;c=k[w>>2]|0;do if(!(k[P+4>>2]|0)){t=H;c=c+12|0;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));j=0;c=H}else{y=0;oa(460,Q|0,k[c+68>>2]|0);G=y;y=0;if(G&1){c=pb()|0;DO(P);break g}else{k[Q>>2]=6868;t=H;c=(k[Q+4>>2]|0)+12|0;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));j=1;c=H;break}}while(0);t=I;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));y=0;na(422,l|0);H=y;y=0;do if(H&1){c=1;V=150}else{t=l+12|0;c=I;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));k[l>>2]=6564;k[l+52>>2]=0;k[l+56>>2]=0;i[l+60>>0]=0;c=l+64|0;k[c>>2]=6524;g=l+68|0;h=l+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);I=y;y=0;if(I&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{V=e+-8|0;k[h>>2]=V;lc[k[k[V>>2]>>2]&511](V);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}d=1;V=151;break}k[l>>2]=6368;k[c>>2]=6468;i[l+84>>0]=0;y=0;oa(460,K|0,l|0);I=y;y=0;if(I&1){c=0;V=150;break}k[K>>2]=6868;c=e+64|0;d=e+68|0;if(!(k[d>>2]|0))V=136;else{y=0;na(423,c|0);I=y;y=0;if(!(I&1))V=136}do if((V|0)==136){k[d>>2]=k[K+4>>2];y=0;na(424,c|0);I=y;y=0;if(I&1)break;y=0;oa(460,J|0,k[d>>2]|0);I=y;y=0;if(I&1)break;k[J>>2]=6868;DO(J);DO(K);if(j)DO(Q);DO(P);c=k[(k[m>>2]|0)+20>>2]|0;y=0;oa(460,L|0,e|0);Q=y;y=0;if(Q&1)break f;k[L>>2]=6508;y=0;oa(c|0,m|0,L|0);Q=y;y=0;if(Q&1){c=pb()|0;DO(L);break a}else{DO(L);break e}}while(0);c=pb()|0;DO(K);d=0}while(0);if((V|0)==150){U=pb()|0;d=c;c=U;V=151}if(j){DO(Q);DO(P);if(d)break;else break a}else{DO(P);if(d)break;else break a}}while(0);cra(l);break a}while(0);c=pb()|0;break a}while(0);y=0;oa(460,U|0,k[(k[w>>2]|0)+68>>2]|0);Q=y;y=0;if(Q&1){c=pb()|0;break a}k[U>>2]=6868;d=U+4|0;c=k[d>>2]|0;h:do if(!c){y=0;j=qa(315,88)|0;Q=y;y=0;i:do if(Q&1)V=175;else{t=M;c=(k[w>>2]|0)+12|0;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));y=0;na(422,j|0);Q=y;y=0;if(Q&1)c=pb()|0;else{t=j+12|0;c=M;p=t+40|0;do{k[t>>2]=k[c>>2];t=t+4|0;c=c+4|0}while((t|0)<(p|0));k[j>>2]=6564;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;c=j+64|0;k[c>>2]=6524;g=j+68|0;h=j+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);Q=y;y=0;if(!(Q&1)){k[j>>2]=6368;k[c>>2]=6468;i[j+84>>0]=0;y=0;oa(460,O|0,j|0);Q=y;y=0;if(Q&1){V=175;break}k[O>>2]=6868;do if(k[d>>2]|0){y=0;na(423,U|0);Q=y;y=0;if(!(Q&1))break;c=pb()|0;DO(O);break i}while(0);c=O+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(O);c=k[d>>2]|0;V=180;break h}c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{T=e+-8|0;k[h>>2]=T;lc[k[k[T>>2]>>2]&511](T);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}}cra(j)}while(0);if((V|0)==175)c=pb()|0}else V=180;while(0);j:do if((V|0)==180){y=0;c=ta(153,a|0,c|0,k[w>>2]|0)|0;Q=y;y=0;do if(!(Q&1)){y=0;oa(460,S|0,c|0);Q=y;y=0;if(Q&1)break;k[S>>2]=6868;f=S+4|0;d=k[f>>2]|0;g=(k[d+72>>2]|0)-(k[d+68>>2]|0)>>3;k:do if(g|0){c=0;while(1){e=k[(k[m>>2]|0)+20>>2]|0;d=d+64|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,c|0)|0;V=y;y=0;if(V&1){V=190;break}y=0;oa(460,R|0,k[d+4>>2]|0);V=y;y=0;if(V&1){V=190;break}k[R>>2]=6508;y=0;oa(e|0,m|0,R|0);V=y;y=0;if(V&1){V=191;break}DO(R);c=c+1|0;if(c>>>0>=g>>>0)break k;d=k[f>>2]|0}if((V|0)==190)c=pb()|0;else if((V|0)==191){c=pb()|0;DO(R)}DO(S);break j}while(0);DO(S);DO(U);DO(W);W=n;r=T;return W|0}while(0);c=pb()|0}while(0);DO(U);break a}while(0);cra(n)}while(0);if((V|0)==65)c=pb()|0;DO(W);W=c;sb(W|0)}}c=pb()|0;DO(n)}DO(q);if(e)V=61}while(0);if((V|0)==61)DO(w);DO(A)}DO(C);A9(B);if(!d){W=c;sb(W|0)}}while(0);cra(f);W=c;sb(W|0)}}W=b;r=T;return W|0}function pd(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;B=0;x=r;r=r+224|0;s=x+80|0;u=x+40|0;v=x;F=x+208|0;E=x+192|0;D=x+160|0;C=x+152|0;A=x+144|0;h=x+200|0;p=x+184|0;z=x+128|0;t=x+168|0;w=x+120|0;k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;aI(s,39609,6);y=0;b=Ha(975,a|0,s|0)|0;q=y;y=0;if(!(q&1)){b=k[b+4>>2]|0;if(!b)b=0;else b=(k[229]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;oa(460,F|0,b|0);q=y;y=0;if(!(q&1)){k[F>>2]=16764;A9(s);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,39616,6);q=y;y=0;do if(q&1){b=pb()|0;B=43}else{y=0;b=Ha(975,a|0,s|0)|0;q=y;y=0;if(!(q&1)){b=k[b+4>>2]|0;if(!b)b=0;else b=(k[229]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;oa(460,E|0,b|0);q=y;y=0;if(!(q&1)){k[E>>2]=16764;A9(s);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,39609,6);q=y;y=0;do if(q&1){b=pb()|0;B=46}else{y=0;b=Ha(975,a|0,s|0)|0;q=y;y=0;if(!(q&1)){y=0;b=qa(336,k[b+4>>2]|0)|0;q=y;y=0;if(!(q&1)){y=0;oa(460,D|0,b|0);q=y;y=0;if(!(q&1)){k[D>>2]=7172;A9(s);k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;y=0;Na(74,s|0,39616,6);q=y;y=0;a:do if(q&1){b=pb()|0;B=49}else{y=0;b=Ha(975,a|0,s|0)|0;q=y;y=0;do if(!(q&1)){y=0;b=qa(336,k[b+4>>2]|0)|0;q=y;y=0;if(q&1)break;y=0;oa(460,C|0,b|0);q=y;y=0;if(q&1)break;k[C>>2]=7172;A9(s);k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,39623,10);q=y;y=0;b:do if(q&1){b=pb()|0;B=52}else{y=0;l=s;n=e;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));b=sa(25,u|0,a|0,d|0,s|0,f|0)|0;q=y;y=0;do if(!(q&1)){y=0;oa(460,A|0,b|0);q=y;y=0;if(q&1)break;k[A>>2]=16780;A9(u);q=D+4|0;b=k[q>>2]|0;c:do if(!b){y=0;m=qa(315,88)|0;o=y;y=0;d:do if(o&1)B=53;else{l=u;n=e;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));y=0;na(422,m|0);o=y;y=0;do if(o&1)b=pb()|0;else{l=m+12|0;n=u;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;b=m+56|0;k[b>>2]=0;k[m>>2]=9288;c=m+60|0;k[c>>2]=9248;j=m+64|0;l=m+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(514,j|0,1);o=y;y=0;if(o&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[l>>2]|0;if((g|0)!=(c|0)){do{z=g+-8|0;k[l>>2]=z;lc[k[k[z>>2]>>2]&511](z);g=k[l>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}cra(c)}break}k[m>>2]=9076;k[c>>2]=9208;k[m+80>>2]=1;i[m+84>>0]=0;i[m+85>>0]=0;k[b>>2]=5;y=0;oa(460,s|0,m|0);o=y;y=0;if(o&1){B=53;break d}k[s>>2]=7172;do if(k[q>>2]|0){y=0;na(423,D|0);o=y;y=0;if(!(o&1))break;b=pb()|0;DO(s);break d}while(0);c=s+4|0;k[q>>2]=k[c>>2];k[c>>2]=0;DO(s);c=(k[q>>2]|0)+60|0;g=k[(k[c>>2]|0)+20>>2]|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,39609,6);o=y;y=0;if(o&1)b=pb()|0;else{y=0;l=s;n=e;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));b=sa(27,u|0,a|0,d|0,s|0,f|0)|0;o=y;y=0;do if(o&1)B=59;else{y=0;oa(460,h|0,b|0);o=y;y=0;if(o&1){B=59;break}k[h>>2]=7284;y=0;oa(g|0,c|0,h|0);o=y;y=0;if(o&1){b=pb()|0;DO(h);break}DO(h);A9(u);g=C+4|0;b=k[g>>2]|0;if(!b){b=1;B=64;break c}c=k[b+80>>2]|0;B=91;break c}while(0);if((B|0)==59)b=pb()|0;A9(u)}break c}while(0);cra(m)}while(0);if((B|0)==53)b=pb()|0}else{b=k[b+80>>2]|0;g=C+4|0;if(!(k[g>>2]|0))B=64;else{c=b;B=91}}while(0);e:do if((B|0)==64){y=0;m=qa(315,88)|0;o=y;y=0;f:do if(o&1)B=81;else{l=s;n=e;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));y=0;na(422,m|0);o=y;y=0;do if(o&1)b=pb()|0;else{l=m+12|0;n=s;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;c=m+56|0;k[c>>2]=0;k[m>>2]=9288;h=m+60|0;k[h>>2]=9248;j=m+64|0;l=m+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(514,j|0,1);o=y;y=0;if(o&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[l>>2]|0;if((g|0)!=(c|0)){do{z=g+-8|0;k[l>>2]=z;lc[k[k[z>>2]>>2]&511](z);g=k[l>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}cra(c)}break}k[m>>2]=9076;k[h>>2]=9208;k[m+80>>2]=1;i[m+84>>0]=0;i[m+85>>0]=0;k[c>>2]=5;y=0;oa(460,u|0,m|0);o=y;y=0;if(o&1){B=81;break f}k[u>>2]=7172;do if(k[g>>2]|0){y=0;na(423,C|0);o=y;y=0;if(!(o&1))break;b=pb()|0;DO(u);break f}while(0);h=u+4|0;k[g>>2]=k[h>>2];k[h>>2]=0;DO(u);h=(k[g>>2]|0)+60|0;j=k[(k[h>>2]|0)+20>>2]|0;k[u>>2]=0;k[u+4>>2]=0;k[u+8>>2]=0;y=0;Na(74,u|0,39616,6);o=y;y=0;if(o&1)b=pb()|0;else{y=0;l=s;n=e;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));c=sa(27,u|0,a|0,d|0,s|0,f|0)|0;f=y;y=0;do if(f&1)B=87;else{y=0;oa(460,p|0,c|0);f=y;y=0;if(f&1){B=87;break}k[p>>2]=7284;y=0;oa(j|0,h|0,p|0);f=y;y=0;if(f&1){b=pb()|0;DO(p);break}else{DO(p);A9(u);c=b;B=91;break e}}while(0);if((B|0)==87)b=pb()|0;A9(u)}break e}while(0);cra(m)}while(0);if((B|0)==81)b=pb()|0}while(0);g:do if((B|0)==91){b=k[F+4>>2]|0;h:do if(b){y=0;Na(101,s|0,b|0,e|0);f=y;y=0;i:do if(f&1)b=pb()|0;else{do if(k[q>>2]|0){y=0;na(423,D|0);f=y;y=0;if(!(f&1))break;b=pb()|0;DO(s);break i}while(0);c=s+4|0;k[q>>2]=k[c>>2];k[c>>2]=0;DO(s);c=0;break h}while(0);break g}while(0);b=k[E+4>>2]|0;j:do if(b|0){y=0;Na(101,s|0,b|0,e|0);f=y;y=0;k:do if(f&1)b=pb()|0;else{do if(k[g>>2]|0){y=0;na(423,C|0);f=y;y=0;if(!(f&1))break;b=pb()|0;DO(s);break k}while(0);f=s+4|0;k[g>>2]=k[f>>2];k[f>>2]=0;DO(s);break j}while(0);break g}while(0);p=k[q>>2]|0;f=k[g>>2]|0;p=((k[f+68>>2]|0)-(k[f+64>>2]|0)>>3)+((k[p+68>>2]|0)-(k[p+64>>2]|0)>>3)|0;y=0;ma(5,z|0,(k[A+4>>2]|0)+64|0,0,0,1);f=y;y=0;if(f&1){b=pb()|0;break}j=z+11|0;h=i[j>>0]|0;l=z+4|0;b=k[l>>2]|0;do if(((h<<24>>24<0?b:h&255)|0)==5){y=0;b=sa(21,z|0,0,-1,39634,5)|0;B=y;y=0;if(B&1){B=tb(0)|0;Sla(B)}if(!b){h=1;B=135;break}h=i[j>>0]|0;b=k[l>>2]|0;B=114}else B=114;while(0);l:do if((B|0)==114){if(((h<<24>>24<0?b:h&255)|0)==5){y=0;b=sa(21,z|0,0,-1,39640,5)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}if(!b){h=0;B=135;break}h=i[j>>0]|0;b=k[l>>2]|0}do if(((h<<24>>24<0?b:h&255)|0)==4){y=0;b=sa(21,z|0,0,-1,39646,4)|0;f=y;y=0;if(f&1){f=tb(0)|0;Sla(f)}else if(!b){h=c;B=135;break l}else break}while(0);k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;f=IJ(d)|0;y=0;Na(74,v|0,d|0,f|0);d=y;y=0;if(d&1)b=pb()|0;else{y=0;b=ta(46,v|0,0,39651)|0;d=y;y=0;if(d&1)b=pb()|0;else{k[u>>2]=k[b>>2];k[u+4>>2]=k[b+4>>2];k[u+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;b=Ha(974,u|0,39678)|0;d=y;y=0;do if(d&1)b=pb()|0;else{k[t>>2]=k[b>>2];k[t+4>>2]=k[b+4>>2];k[t+8>>2]=k[b+8>>2];k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;y=0;l=s;n=e;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));oa(454,t|0,s|0);d=y;y=0;if(d&1){b=pb()|0;A9(t);break}else{A9(t);A9(u);A9(v);h=c;B=135;break l}}while(0);A9(u)}A9(v)}}while(0);m:do if((B|0)==135){y=0;m=qa(315,88)|0;u=y;y=0;n:do if(!(u&1)){l=v;n=e;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));y=0;na(422,m|0);e=y;y=0;do if(e&1)b=pb()|0;else{l=m+12|0;n=v;o=l+40|0;do{k[l>>2]=k[n>>2];l=l+4|0;n=n+4|0}while((l|0)<(o|0));i[m+52>>0]=0;i[m+53>>0]=0;i[m+54>>0]=0;b=m+56|0;k[b>>2]=0;k[m>>2]=9288;c=m+60|0;k[c>>2]=9248;j=m+64|0;l=m+68|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(514,j|0,p|0);e=y;y=0;if(e&1){b=pb()|0;h=N;c=k[j>>2]|0;if(c|0){g=k[l>>2]|0;if((g|0)!=(c|0)){do{x=g+-8|0;k[l>>2]=x;lc[k[k[x>>2]>>2]&511](x);g=k[l>>2]|0}while((g|0)!=(c|0));c=k[j>>2]|0}cra(c)}break}k[m>>2]=9076;k[c>>2]=9208;k[m+80>>2]=h;i[m+84>>0]=0;i[m+85>>0]=0;k[b>>2]=5;y=0;oa(460,w|0,m|0);e=y;y=0;if(e&1)break n;k[w>>2]=7172;b=w+4|0;v=(k[b>>2]|0)+60|0;e=k[q>>2]|0;y=0;oa(k[(k[v>>2]|0)+24>>2]|0,v|0,((e|0)==0?0:e+60|0)|0);e=y;y=0;do if(!(e&1)){v=(k[b>>2]|0)+60|0;e=k[g>>2]|0;y=0;oa(k[(k[v>>2]|0)+24>>2]|0,v|0,((e|0)==0?0:e+60|0)|0);e=y;y=0;if(e&1)break;b=k[b>>2]|0;if(!b){B=0;DO(w);A9(z);DO(A);DO(C);DO(D);DO(E);DO(F);r=x;return B|0}i[b+8>>0]=1;B=b;DO(w);A9(z);DO(A);DO(C);DO(D);DO(E);DO(F);r=x;return B|0}while(0);b=pb()|0;DO(w);break m}while(0);cra(m);break m}while(0);b=pb()|0}while(0);A9(z)}while(0);DO(A);break b}while(0);b=pb()|0;A9(u);B=52}while(0);DO(C);break a}while(0);b=pb()|0;A9(s);B=49}while(0);DO(D);break}}}b=pb()|0;A9(s);B=46}while(0);DO(E);break}}b=pb()|0;A9(s);B=43}while(0);DO(F);F=b;sb(F|0)}}F=pb()|0;A9(s);sb(F|0);return 0}function qd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0;Ga=0;Ba=r;r=r+368|0;ja=Ba+80|0;pa=Ba+40|0;d=Ba;Ka=Ba+360|0;Ja=Ba+344|0;Ia=Ba+336|0;Fa=Ba+328|0;Y=Ba+320|0;ua=Ba+312|0;Z=Ba+288|0;_=Ba+272|0;$=Ba+264|0;aa=Ba+248|0;va=Ba+232|0;Ea=Ba+304|0;Da=Ba+296|0;ba=Ba+224|0;za=Ba+216|0;wa=Ba+208|0;ca=Ba+200|0;da=Ba+192|0;xa=Ba+280|0;ea=Ba+184|0;fa=Ba+176|0;ga=Ba+168|0;ha=Ba+160|0;ia=Ba+152|0;Ca=Ba+256|0;ka=Ba+144|0;Aa=Ba+240|0;la=Ba+136|0;ma=Ba+128|0;ya=Ba+120|0;LT(Ka,0);k[Ka>>2]=18728;y=0;Na(140,Ja|0,0,b|0);sa=y;y=0;if(sa&1){Ja=pb()|0;DO(Ka);sb(Ja|0)}y=0;j=qa(315,88)|0;sa=y;y=0;a:do if(sa&1)Ga=17;else{ra=b+12|0;h=d;l=ra;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));y=0;na(422,j|0);sa=y;y=0;do if(sa&1){d=pb()|0;b=N}else{h=j+12|0;l=d;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));k[j>>2]=6564;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;d=j+64|0;k[d>>2]=6524;g=j+68|0;h=j+72|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(565,g|0,0);sa=y;y=0;if(sa&1){d=pb()|0;b=N;e=k[g>>2]|0;if(e|0){f=k[h>>2]|0;if((f|0)!=(e|0)){do{Ia=f+-8|0;k[h>>2]=Ia;lc[k[k[Ia>>2]>>2]&511](Ia);f=k[h>>2]|0}while((f|0)!=(e|0));e=k[g>>2]|0}cra(e)}break}k[j>>2]=6368;k[d>>2]=6468;i[j+84>>0]=0;y=0;oa(460,Ia|0,j|0);sa=y;y=0;if(sa&1){Ga=17;break a}k[Ia>>2]=6868;sa=Ja+4|0;X=(k[sa>>2]|0)-(k[Ja>>2]|0)|0;x=(X|0)/12|0;b:do if(!X){d=Ia+4|0;Ga=15}else{z=(c|0)==0;d=Ia+4|0;A=Fa+4|0;B=ua+4|0;C=Ka+4|0;D=ja+4|0;E=$+4|0;F=c+56|0;G=va+4|0;H=Z+4|0;I=Ea+4|0;J=(c|0)!=0;K=Da+4|0;L=c+52|0;M=za+4|0;O=wa+4|0;P=ca+4|0;Q=ea+4|0;R=xa+4|0;S=fa+4|0;T=ia+4|0;U=ha+4|0;V=da+4|0;W=b+68|0;X=b+72|0;q=b+84|0;s=Ca+4|0;t=Aa+4|0;u=ya+4|0;v=ja+4|0;w=ba+4|0;p=0;c:while(1){o=k[Ja>>2]|0;o=o+(p*12|0)|0;b=i[o>>0]|0;y=0;oa(460,Fa|0,k[o+8>>2]|0);o=y;y=0;if(o&1){Ga=27;break}k[Fa>>2]=6868;d:do if(!(b<<24>>24)){if(z){b=(k[d>>2]|0)+64|0;e=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(460,ua|0,k[A>>2]|0);o=y;y=0;if(o&1){Ga=28;break c}k[ua>>2]=6868;y=0;oa(460,Y|0,k[B>>2]|0);o=y;y=0;if(o&1){Ga=29;break c}k[Y>>2]=6508;y=0;oa(e|0,b|0,Y|0);o=y;y=0;if(o&1){Ga=30;break c}DO(Y);DO(ua);break}b=k[C>>2]|0;if(b|0){y=0;oa(460,Z|0,k[b+68>>2]|0);o=y;y=0;if(o&1){Ga=28;break c}k[Z>>2]=6868;n=(k[H>>2]|0)+64|0;o=k[A>>2]|0;y=0;oa(k[(k[n>>2]|0)+24>>2]|0,n|0,((o|0)==0?0:o+64|0)|0);o=y;y=0;if(o&1){Ga=36;break c}DO(Z);break}y=0;b=qa(k[(k[c>>2]|0)+12>>2]|0,c|0)|0;o=y;y=0;if(o&1){Ga=51;break c}y=0;b=qa(342,b|0)|0;o=y;y=0;if(o&1){Ga=51;break c}y=0;oa(460,ja|0,b|0);o=y;y=0;if(o&1){Ga=51;break c}k[ja>>2]=18728;if(k[C>>2]|0){y=0;na(423,Ka|0);o=y;y=0;if(o&1){Ga=52;break c}}k[C>>2]=k[D>>2];k[D>>2]=0;DO(ja);b=k[C>>2]|0;y=0;oa(460,$|0,k[A>>2]|0);o=y;y=0;if(o&1){Ga=28;break c}k[$>>2]=6868;e=b+64|0;b=b+68|0;if(k[b>>2]|0){y=0;na(423,e|0);o=y;y=0;if(o&1){Ga=54;break c}}k[b>>2]=k[E>>2];y=0;na(424,e|0);o=y;y=0;if(o&1){Ga=54;break c}y=0;oa(460,_|0,k[b>>2]|0);o=y;y=0;if(o&1){Ga=54;break c}k[_>>2]=6868;DO(_);DO($);o=k[C>>2]|0;k[o+56>>2]=k[F>>2];b=(k[d>>2]|0)+64|0;e=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(460,va|0,o|0);o=y;y=0;if(o&1){Ga=28;break c}k[va>>2]=18728;y=0;oa(460,aa|0,k[G>>2]|0);o=y;y=0;if(o&1){Ga=55;break c}k[aa>>2]=6508;y=0;oa(e|0,b|0,aa|0);o=y;y=0;if(o&1){Ga=56;break c}DO(aa);DO(va)}else{e=k[A>>2]|0;o=(k[e+72>>2]|0)-(k[e+68>>2]|0)>>3;if(o|0){b=0;while(1){e=e+64|0;y=0;e=Ha(k[(k[e>>2]|0)+16>>2]|0,e|0,b|0)|0;n=y;y=0;if(n&1){Ga=66;break c}y=0;oa(460,Ea|0,k[e+4>>2]|0);n=y;y=0;if(n&1){Ga=66;break c}k[Ea>>2]=6508;e=k[I>>2]|0;if(!e)e=0;else e=(k[101]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;y=0;oa(460,Da|0,e|0);n=y;y=0;if(n&1){Ga=67;break c}k[Da>>2]=18744;if(J)f=(k[109]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;else f=0;e=k[K>>2]|0;if(!e)e=0;else{y=0;oa(460,ba|0,k[e+68>>2]|0);n=y;y=0;if(n&1){Ga=68;break c}k[ba>>2]=6508;e=k[w>>2]|0;if(!e)e=0;else e=(k[109]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;DO(ba)}do if(J){if((k[L>>2]|0)!=2){Ga=85;break}y=0;oa(460,za|0,k[(k[K>>2]|0)+68>>2]|0);n=y;y=0;if(n&1){Ga=68;break c}k[za>>2]=6508;if((k[(k[M>>2]|0)+52>>2]|0)!=2){DO(za);Ga=85;break}if((f|0)!=0&(e|0)!=0){y=0;oa(460,wa|0,k[f+76>>2]|0);n=y;y=0;if(n&1){Ga=87;break c}k[wa>>2]=7172;f=k[O>>2]|0;g=k[(k[f>>2]|0)+92>>2]|0;y=0;oa(460,ca|0,k[e+76>>2]|0);n=y;y=0;if(n&1){Ga=88;break c}k[ca>>2]=7172;y=0;e=Ha(g|0,f|0,k[P>>2]|0)|0;n=y;y=0;if(n&1){Ga=89;break c}DO(ca);DO(wa);DO(za);if(e){Ga=85;break}}else DO(za);y=0;oa(460,ea|0,k[(k[K>>2]|0)+68>>2]|0);n=y;y=0;if(n&1){Ga=68;break c}k[ea>>2]=6508;e=k[Q>>2]|0;if(!e)e=0;else e=(k[109]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;y=0;e=ta(154,a|0,e|0,((k[109]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0)|0)|0;n=y;y=0;if(n&1){Ga=98;break c}y=0;oa(460,xa|0,e|0);n=y;y=0;if(n&1){Ga=98;break c}k[xa>>2]=7172;DO(ea);n=k[R>>2]|0;if((k[n+68>>2]|0)==(k[n+64>>2]|0)){DO(xa);break}y=0;oa(460,fa|0,k[(k[K>>2]|0)+68>>2]|0);n=y;y=0;if(n&1){Ga=99;break c}k[fa>>2]=6508;e=k[S>>2]|0;do if(!e)Ga=103;else{if((k[109]|0)!=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)){Ga=103;break}DO(fa);y=0;oa(460,ha|0,k[R>>2]|0);n=y;y=0;if(n&1){Ga=110;break c}k[ha>>2]=7172;f=e+72|0;e=e+76|0;if(k[e>>2]|0){y=0;na(423,f|0);n=y;y=0;if(n&1){Ga=111;break c}}k[e>>2]=k[U>>2];y=0;na(424,f|0);n=y;y=0;if(n&1){Ga=111;break c}y=0;oa(460,ga|0,k[e>>2]|0);n=y;y=0;if(n&1){Ga=111;break c}k[ga>>2]=7172;DO(ga);DO(ha)}while(0);if((Ga|0)==103)DO(fa);y=0;oa(460,ia|0,k[(k[K>>2]|0)+68>>2]|0);Ga=y;y=0;if(Ga&1){Ga=99;break c}k[ia>>2]=6508;j=k[T>>2]|0;DO(ia);DO(xa);Ga=116}else Ga=85;while(0);if((Ga|0)==85){y=0;oa(460,da|0,k[(k[K>>2]|0)+68>>2]|0);Ga=y;y=0;if(Ga&1){Ga=68;break c}k[da>>2]=6508;j=k[V>>2]|0;DO(da);Ga=116}do if((Ga|0)==116){Ga=0;if(!j)break;m=j+56|0;n=k[K>>2]|0;k[m>>2]=(k[n+56>>2]|0)+(k[m>>2]|0);i[j+60>>0]=i[n+72>>0]|0;y=0;n=qa(315,88)|0;m=y;y=0;if(m&1){Ga=68;break c}e=k[X>>2]|0;f=k[W>>2]|0;g=i[q>>0]|0;h=ja;l=ra;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));y=0;na(422,n|0);m=y;y=0;if(m&1){Ga=148;break c}f=e-f>>3;h=n+12|0;l=ja;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));k[n>>2]=6564;k[n+52>>2]=0;k[n+56>>2]=0;i[n+60>>0]=0;e=n+64|0;k[e>>2]=6524;h=n+68|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(565,h|0,f|0);m=y;y=0;if(m&1){Ga=120;break c}k[n>>2]=6368;k[e>>2]=6468;i[n+84>>0]=g;y=0;oa(460,Ca|0,n|0);n=y;y=0;if(n&1){Ga=68;break c}k[Ca>>2]=6868;f=(k[s>>2]|0)+64|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;e=Ha(k[(k[j>>2]|0)+52>>2]|0,j|0,a|0)|0;n=y;y=0;if(n&1){Ga=150;break c}y=0;oa(460,ka|0,e|0);n=y;y=0;if(n&1){Ga=150;break c}k[ka>>2]=6508;y=0;oa(g|0,f|0,ka|0);n=y;y=0;if(n&1){Ga=151;break c}DO(ka);y=0;j=qa(315,88)|0;n=y;y=0;if(n&1){Ga=150;break c}e=k[X>>2]|0;f=k[W>>2]|0;g=i[q>>0]|0;h=pa;l=ra;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));y=0;na(422,j|0);n=y;y=0;if(n&1){Ga=152;break c}f=e-f>>3;h=j+12|0;l=pa;m=h+40|0;do{k[h>>2]=k[l>>2];h=h+4|0;l=l+4|0}while((h|0)<(m|0));k[j>>2]=6564;k[j+52>>2]=0;k[j+56>>2]=0;i[j+60>>0]=0;e=j+64|0;k[e>>2]=6524;h=j+68|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(565,h|0,f|0);n=y;y=0;if(n&1){Ga=133;break c}k[j>>2]=6368;k[e>>2]=6468;i[j+84>>0]=g;y=0;oa(460,Aa|0,j|0);n=y;y=0;if(n&1){Ga=150;break c}k[Aa>>2]=6868;y=0;e=Ha(1018,a|0,k[s>>2]|0)|0;n=y;y=0;if(n&1){Ga=154;break c}f=(k[t>>2]|0)+64|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;oa(460,la|0,e|0);n=y;y=0;if(n&1){Ga=155;break c}k[la>>2]=6508;y=0;oa(g|0,f|0,la|0);n=y;y=0;if(n&1){Ga=156;break c}DO(la);if((k[e+72>>2]|0)!=(k[e+68>>2]|0)){y=0;oa(460,ja|0,0);n=y;y=0;if(n&1){Ga=157;break c}k[ja>>2]=18728;if(k[C>>2]|0){y=0;na(423,Ka|0);n=y;y=0;if(n&1){Ga=158;break c}}k[C>>2]=k[v>>2];k[v>>2]=0;DO(ja)}e=k[t>>2]|0;if(e|0){f=(k[d>>2]|0)+64|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;oa(460,ya|0,e|0);n=y;y=0;if(n&1){Ga=155;break c}k[ya>>2]=6868;y=0;oa(460,ma|0,k[u>>2]|0);n=y;y=0;if(n&1){Ga=165;break c}k[ma>>2]=6508;y=0;oa(g|0,f|0,ma|0);n=y;y=0;if(n&1){Ga=166;break c}DO(ma);DO(ya)}DO(Aa);DO(Ca)}while(0);DO(Da);DO(Ea);b=b+1|0;if(b>>>0>=o>>>0)break d;e=k[A>>2]|0}}}while(0);DO(Fa);p=p+1|0;if(p>>>0>=x>>>0){Ga=15;break b}}switch(Ga|0){case 27:{d=pb()|0;b=N;break b}case 28:{d=pb()|0;b=N;break}case 29:{d=pb()|0;b=N;Ga=31;break}case 30:{d=pb()|0;b=N;DO(Y);Ga=31;break}case 36:{d=pb()|0;b=N;DO(Z);break}case 51:{d=pb()|0;b=N;Ga=53;break}case 52:{d=pb()|0;b=N;DO(ja);Ga=53;break}case 54:{d=pb()|0;b=N;DO($);break}case 55:{d=pb()|0;b=N;Ga=57;break}case 56:{d=pb()|0;b=N;DO(aa);Ga=57;break}case 66:{d=pb()|0;b=N;break}case 67:{d=pb()|0;b=N;Ga=174;break}case 68:{d=pb()|0;b=N;Ga=173;break}case 87:{d=pb()|0;b=N;Ga=91;break}case 88:{d=pb()|0;b=N;Ga=90;break}case 89:{d=pb()|0;b=N;DO(ca);Ga=90;break}case 98:{d=pb()|0;b=N;DO(ea);Ga=173;break}case 99:{d=pb()|0;b=N;Ga=115;break}case 110:{d=pb()|0;b=N;Ga=115;break}case 111:{d=pb()|0;b=N;DO(ha);Ga=115;break}case 120:{d=pb()|0;b=N;g=n+72|0;e=k[h>>2]|0;if(e|0){f=k[g>>2]|0;if((f|0)!=(e|0)){do{Ga=f+-8|0;k[g>>2]=Ga;lc[k[k[Ga>>2]>>2]&511](Ga);f=k[g>>2]|0}while((f|0)!=(e|0));e=k[h>>2]|0}cra(e)}Ga=149;break}case 133:{d=pb()|0;b=N;g=j+72|0;e=k[h>>2]|0;if(e|0){f=k[g>>2]|0;if((f|0)!=(e|0)){do{Ga=f+-8|0;k[g>>2]=Ga;lc[k[k[Ga>>2]>>2]&511](Ga);f=k[g>>2]|0}while((f|0)!=(e|0));e=k[h>>2]|0}cra(e)}Ga=153;break}case 148:{d=pb()|0;b=N;Ga=149;break}case 150:{d=pb()|0;b=N;Ga=172;break}case 151:{d=pb()|0;b=N;DO(ka);Ga=172;break}case 152:{d=pb()|0;b=N;Ga=153;break}case 154:{d=pb()|0;b=N;Ga=171;break}case 155:{d=pb()|0;b=N;Ga=171;break}case 156:{d=pb()|0;b=N;DO(la);Ga=171;break}case 157:{d=pb()|0;b=N;Ga=159;break}case 158:{d=pb()|0;b=N;DO(ja);Ga=159;break}case 165:{d=pb()|0;b=N;Ga=167;break}case 166:{d=pb()|0;b=N;DO(ma);Ga=167;break}}if((Ga|0)==31)DO(ua);else if((Ga|0)!=53)if((Ga|0)==57)DO(va);else if((Ga|0)==90){DO(wa);Ga=91}else if((Ga|0)==115){DO(xa);Ga=173}else if((Ga|0)==149){cra(n);Ga=173}else if((Ga|0)==153){cra(j);Ga=172}else if((Ga|0)==159)Ga=171;else if((Ga|0)==167){DO(ya);Ga=171}if((Ga|0)==91){DO(za);Ga=173}else if((Ga|0)==171){DO(Aa);Ga=172}if((Ga|0)==172){DO(Ca);Ga=173}if((Ga|0)==173){DO(Da);Ga=174}if((Ga|0)==174)DO(Ea);DO(Fa)}while(0);do if((Ga|0)==15){y=0;e=Ha(1018,a|0,k[d>>2]|0)|0;Fa=y;y=0;if(Fa&1){d=pb()|0;b=N;break}DO(Ia);d=k[Ja>>2]|0;if(!d){DO(Ka);r=Ba;return e|0}b=k[sa>>2]|0;if((b|0)!=(d|0)){do{k[sa>>2]=b+-12;DO(b+-8|0);b=k[sa>>2]|0}while((b|0)!=(d|0));d=k[Ja>>2]|0}cra(d);DO(Ka);r=Ba;return e|0}while(0);DO(Ia);g=d;break a}while(0);cra(j);g=d}while(0);if((Ga|0)==17){g=pb()|0;b=N}d=k[Ja>>2]|0;if(d|0){f=Ja+4|0;e=k[f>>2]|0;if((e|0)!=(d|0)){do{k[f>>2]=e+-12;DO(e+-8|0);e=k[f>>2]|0}while((e|0)!=(d|0));d=k[Ja>>2]|0}cra(d)}Ja=g;DO(Ka);sb(Ja|0);return 0}function rd(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((cc|0)!=2){k[dc+8>>2]=a;k[dc+16>>2]=b;k[dc+24>>2]=c;k[dc+32>>2]=d;if((cc|0)==1)cc=3}Qc(fc+25700|0)}function sd(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0.0,g=0.0,h=0,j=0,l=0,m=0,n=0,o=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0;$=0;da=r;r=r+512|0;ea=da+464|0;la=da+432|0;ma=da+424|0;e=da+456|0;j=da+444|0;ka=da+416|0;h=da+408|0;l=da+384|0;ja=da+400|0;ia=da+376|0;x=da+232|0;fa=da+152|0;v=da+216|0;w=da+176|0;ga=da+144|0;V=da+80|0;L=da+104|0;W=da+88|0;X=da+72|0;Y=da+64|0;M=da+24|0;Z=da+8|0;_=da;cL(la,b+72|0);y=0;oa(460,e|0,k[b+88>>2]|0);aa=y;y=0;if(aa&1){ma=pb()|0;A9(la);sb(ma|0)}k[e>>2]=7284;d=k[e+4>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;aa=y;y=0;if(!(aa&1)){y=0;oa(460,ma|0,d|0);aa=y;y=0;if(!(aa&1)){k[ma>>2]=7284;DO(e);aa=ma+4|0;do if((k[(k[aa>>2]|0)+56>>2]|0)==2){y=0;oa(460,h|0,k[b+96>>2]|0);A=y;y=0;if(A&1){c=pb()|0;break}k[h>>2]=7284;d=k[h+4>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;A=y;y=0;if(!(A&1)){y=0;oa(460,ka|0,d|0);A=y;y=0;if(!(A&1)){k[ka>>2]=7284;DO(h);h=ka+4|0;do if((k[(k[h>>2]|0)+56>>2]|0)==2){d=k[aa>>2]|0;if(!d)d=0;else d=(k[35]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;y=0;oa(460,ja|0,d|0);A=y;y=0;if(A&1){c=pb()|0;break}k[ja>>2]=16664;d=k[h>>2]|0;if(!d)d=0;else d=(k[35]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;y=0;oa(460,ia|0,d|0);A=y;y=0;if(A&1)c=pb()|0;else{k[ia>>2]=16664;q=ja+4|0;y=0;oa(453,ea|0,k[q>>2]|0);A=y;y=0;a:do if(A&1){ha=pb()|0;$=65}else{A=ia+4|0;y=0;oa(453,x|0,k[A>>2]|0);m=y;y=0;if(m&1){ha=pb()|0;A9(ea);$=65;break}e=i[ea+11>>0]|0;h=e<<24>>24<0;e=e&255;j=h?k[ea+4>>2]|0:e;m=i[x+11>>0]|0;c=m<<24>>24<0;b:do if((j|0)==((c?k[x+4>>2]|0:m&255)|0)){l=k[ea>>2]|0;m=h?l:ea;c=c?k[x>>2]|0:x;d=(j|0)==0;if(h)if(d){A9(x);A9(ea);break}else{o=(bN(m,c,j)|0)==0;A9(x);A9(ea);if(o)break;else{$=44;break}}if(d){A9(x);A9(ea);break}c:do if((l&255)<<24>>24==(i[c>>0]|0)){d=ea;while(1){e=e+-1|0;d=d+1|0;if(!e)break;c=c+1|0;if((i[d>>0]|0)!=(i[c>>0]|0))break c}A9(x);A9(ea);break b}while(0);A9(x);A9(ea);$=44}else{A9(x);A9(ea);$=44}while(0);d:do if(($|0)==44){j=x+64|0;c=x+8|0;k[c>>2]=15992;h=x+12|0;k[x>>2]=16032;k[j>>2]=16052;k[x+4>>2]=0;y=0;oa(528,x+64|0,h|0);o=y;y=0;if(o&1)c=pb()|0;else{k[x+136>>2]=0;k[x+140>>2]=-1;k[x>>2]=15972;k[j>>2]=16012;k[c>>2]=15992;y=0;na(433,h|0);o=y;y=0;do if(o&1)c=pb()|0;else{k[h>>2]=15832;d=x+44|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[x+60>>2]=24;k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;y=0;oa(529,h|0,ea|0);o=y;y=0;if(o&1){c=pb()|0;A9(ea);A9(d);Xaa(h);break}A9(ea);e=x+8|0;y=0;c=ta(47,e|0,51954,21)|0;o=y;y=0;e:do if(o&1)$=67;else{y=0;oa(453,ea|0,k[A>>2]|0);o=y;y=0;if(o&1)c=pb()|0;else{o=i[ea+11>>0]|0;n=o<<24>>24<0;y=0;c=ta(47,c|0,(n?k[ea>>2]|0:ea)|0,(n?k[ea+4>>2]|0:o&255)|0)|0;o=y;y=0;do if(o&1)$=69;else{y=0;c=ta(47,c|0,51976,7)|0;o=y;y=0;if(o&1){$=69;break}y=0;oa(453,fa|0,k[q>>2]|0);s=y;y=0;if(s&1)c=pb()|0;else{s=i[fa+11>>0]|0;o=s<<24>>24<0;y=0;c=ta(47,c|0,(o?k[fa>>2]|0:fa)|0,(o?k[fa+4>>2]|0:s&255)|0)|0;s=y;y=0;do if(!(s&1)){y=0;ta(47,c|0,51984,2)|0;s=y;y=0;if(s&1)break;A9(fa);A9(ea);y=0;oa(530,v|0,h|0);s=y;y=0;if(s&1){$=67;break e}m=w;n=(k[aa>>2]|0)+12|0;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;c=qa(380,k[a+4>>2]|0)|0;t=y;y=0;do if(!(t&1)){y=0;m=ea;n=w;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));Na(98,v|0,ea|0,c|0);w=y;y=0;if(w&1)break;A9(v);k[x>>2]=15972;k[j>>2]=16012;k[e>>2]=15992;k[h>>2]=15832;A9(d);Xaa(h);nla(x,16064);Vja(j);break d}while(0);t=pb()|0;A9(v);break e}while(0);c=pb()|0;A9(fa)}s=c}while(0);if(($|0)==69)s=pb()|0;A9(ea);c=s}t=c}while(0);if(($|0)==67)t=pb()|0;k[x>>2]=15972;k[j>>2]=16012;k[e>>2]=15992;k[h>>2]=15832;A9(d);Xaa(h);nla(x,16064);Vja(j);c=t;break a}while(0);nla(x,16064)}Vja(j);break a}while(0);f=+p[(k[q>>2]|0)+64>>3];g=+p[(k[A>>2]|0)+64>>3];l=a+4|0;y=0;c=qa(378,k[l>>2]|0)|0;x=y;y=0;do if(!(x&1)){y=0;Na(128,fa|0,c|0,1);x=y;y=0;if(x&1)break;c=k[l>>2]|0;k[ea>>2]=fa;d=c+52|0;e=k[d>>2]|0;do if(e>>>0<(k[c+56>>2]|0)>>>0){k[e>>2]=fa;k[d>>2]=(k[d>>2]|0)+4;$=85}else{y=0;oa(638,c+48|0,ea|0);x=y;y=0;if(!(x&1)){$=85;break}z=pb()|0}while(0);do if(($|0)==85){y=0;oa(460,ga|0,k[b+68>>2]|0);z=y;y=0;if(z&1){z=pb()|0;break}k[ga>>2]=6868;c=(i[b+100>>0]|0)!=0;do if(f<g){g=c?g+1.0:g;if(!(f<g)){ha=0;ea=k[l>>2]|0;ea=ea+52|0;a=k[ea>>2]|0;a=a+-4|0;k[ea>>2]=a;DO(ga);ga=fa+4|0;ga=k[ga>>2]|0;GC(fa,ga);DO(ia);DO(ja);DO(ka);DO(ma);A9(la);r=da;return ha|0}d=V+4|0;e=X+4|0;h=ga+4|0;while(1){y=0;j=qa(315,104)|0;$=y;y=0;if($&1){$=101;break}m=L;n=(k[aa>>2]|0)+12|0;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;oa(453,W|0,k[A>>2]|0);$=y;y=0;if($&1){$=102;break}y=0;m=ea;n=L;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));Ca(1,j|0,ea|0,+f,W|0,1);$=y;y=0;if($&1){O=1;$=103;break}y=0;oa(460,V|0,j|0);$=y;y=0;if($&1){O=0;$=103;break}k[V>>2]=16664;A9(W);y=0;oa(460,X|0,k[d>>2]|0);$=y;y=0;if($&1){$=105;break}k[X>>2]=16664;y=0;oa(460,ea|0,k[e>>2]|0);$=y;y=0;if($&1){$=106;break}k[ea>>2]=6336;y=0;Na(124,fa|0,la|0,ea|0);$=y;y=0;if($&1){$=107;break}DO(ea);DO(X);c=k[h>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;$=y;y=0;if($&1){$=110;break}DO(V);if(c|0){ca=c;$=136;break}f=f+1.0;if(!(f<g)){ca=0;$=136;break}}if(($|0)==101){c=pb()|0;break}else if(($|0)==102){H=pb()|0;$=104}else if(($|0)==103){c=pb()|0;A9(W);if(O){H=c;$=104}else break}else if(($|0)==105){U=pb()|0;$=109}else if(($|0)==106){T=pb()|0;$=108}else if(($|0)==107){T=pb()|0;DO(ea);$=108}else if(($|0)==110)P=pb()|0;else if(($|0)==136){ha=k[l>>2]|0;ha=ha+52|0;ea=k[ha>>2]|0;ea=ea+-4|0;k[ha>>2]=ea;DO(ga);ha=fa+4|0;ha=k[ha>>2]|0;GC(fa,ha);DO(ia);DO(ja);DO(ka);DO(ma);A9(la);r=da;return ca|0}if(($|0)==104){cra(j);c=H;break}else if(($|0)==108){DO(X);U=T;$=109}if(($|0)==109)P=U;DO(V);c=P}else{g=c?g+-1.0:g;if(!(f>g)){ha=0;ea=k[l>>2]|0;ea=ea+52|0;a=k[ea>>2]|0;a=a+-4|0;k[ea>>2]=a;DO(ga);ga=fa+4|0;ga=k[ga>>2]|0;GC(fa,ga);DO(ia);DO(ja);DO(ka);DO(ma);A9(la);r=da;return ha|0}d=Y+4|0;e=_+4|0;h=ga+4|0;while(1){y=0;j=qa(315,104)|0;$=y;y=0;if($&1){$=124;break}m=M;n=(k[aa>>2]|0)+12|0;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));y=0;oa(453,Z|0,k[A>>2]|0);$=y;y=0;if($&1){$=125;break}y=0;m=ea;n=M;o=m+40|0;do{k[m>>2]=k[n>>2];m=m+4|0;n=n+4|0}while((m|0)<(o|0));Ca(1,j|0,ea|0,+f,Z|0,1);$=y;y=0;if($&1){N=1;$=126;break}y=0;oa(460,Y|0,j|0);$=y;y=0;if($&1){N=0;$=126;break}k[Y>>2]=16664;A9(Z);y=0;oa(460,_|0,k[d>>2]|0);$=y;y=0;if($&1){$=128;break}k[_>>2]=16664;y=0;oa(460,ea|0,k[e>>2]|0);$=y;y=0;if($&1){$=129;break}k[ea>>2]=6336;y=0;Na(124,fa|0,la|0,ea|0);$=y;y=0;if($&1){$=130;break}DO(ea);DO(_);c=k[h>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;$=y;y=0;if($&1){$=133;break}DO(Y);if(c|0){ca=c;$=136;break}f=f+-1.0;if(!(f>g)){ca=0;$=136;break}}if(($|0)==124){c=pb()|0;break}else if(($|0)==125){C=pb()|0;$=127}else if(($|0)==126){c=pb()|0;A9(Z);if(N){C=c;$=127}else break}else if(($|0)==128){R=pb()|0;$=132}else if(($|0)==129){Q=pb()|0;$=131}else if(($|0)==130){Q=pb()|0;DO(ea);$=131}else if(($|0)==133)S=pb()|0;else if(($|0)==136){ha=k[l>>2]|0;ha=ha+52|0;ea=k[ha>>2]|0;ea=ea+-4|0;k[ha>>2]=ea;DO(ga);ha=fa+4|0;ha=k[ha>>2]|0;GC(fa,ha);DO(ia);DO(ja);DO(ka);DO(ma);A9(la);r=da;return ca|0}if(($|0)==127){cra(j);c=C;break}else if(($|0)==131){DO(_);R=Q;$=132}if(($|0)==132)S=R;DO(Y);c=S}while(0);DO(ga);z=c}while(0);GC(fa,k[fa+4>>2]|0);c=z;break a}while(0);c=pb()|0}while(0);if(($|0)==65)c=ha;DO(ia)}DO(ja)}else{e=gb(92)|0;c=k[h>>2]|0;k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,47529,7);ja=y;y=0;if(ja&1)c=pb()|0;else{y=0;Na(129,e|0,c|0,l|0);ja=y;y=0;if(ja&1)d=1;else{y=0;Na(75,e|0,3624,270);y=0;d=0}c=pb()|0;A9(l);if(!d)break}fb(e|0)}while(0);DO(ka);break}}c=pb()|0;DO(h)}else{e=gb(92)|0;c=k[aa>>2]|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;y=0;Na(74,j|0,47529,7);ka=y;y=0;if(ka&1)c=pb()|0;else{y=0;Na(129,e|0,c|0,j|0);ka=y;y=0;if(ka&1)d=1;else{y=0;Na(75,e|0,3624,270);y=0;d=0}c=pb()|0;A9(j);if(!d)break}fb(e|0)}while(0);DO(ma);ma=c;A9(la);sb(ma|0)}}ma=pb()|0;DO(e);A9(la);sb(ma|0);return 0}
function XN(a,b,c){a=a|0;b=b|0;c=c|0;while(1){if((b|0)==(c|0))break;a=i[b>>0]|0;if(a<<24>>24>-1){a=(aR()|0)+(a<<24>>24<<2)|0;a=k[a>>2]&255}i[b>>0]=a;b=b+1|0}return c|0}function YN(a,b,c){a=a|0;b=b|0;c=c|0;while(1){if((b|0)==(c|0))break;a=i[b>>0]|0;if(a<<24>>24>-1){a=(bR()|0)+(a<<24>>24<<2)|0;a=k[a>>2]&255}i[b>>0]=a;b=b+1|0}return c|0}function ZN(a,b){a=a|0;b=b|0;var c=0;c=IJ(b)|0;y=0;a=sa(21,a|0,0,-1,b|0,c|0)|0;b=y;y=0;if(b&1){c=tb(0)|0;Sla(c)}else return a|0;return 0}function _N(a,b){a=a|0;b=b|0;k[a+4>>2]=b+-1;k[a>>2]=28620;i[a+8>>0]=46;i[a+9>>0]=44;b=a+12|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;a=0;while(1){if((a|0)==3)break;k[b+(a<<2)>>2]=0;a=a+1|0}return}function $N(a,b){a=a|0;b=b|0;a=gb(8)|0;y=0;oa(495,a|0,51202);b=y;y=0;if(b&1){b=pb()|0;fb(a|0);sb(b|0)}else Wb(a|0,5792,409);return 0}function aO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;d=a+8|0;e=k[d>>2]|0;f=k[b>>2]|0;b=k[b+4>>2]|0;c=a+4|0;if(!f)b=b+(k[c>>2]|0)|0;k[a>>2]=f+(k[a>>2]|0);k[c>>2]=b;k[d>>2]=e;return}function bO(a){a=a|0;var b=0,c=0;b=k[k[a>>2]>>2]|0;a=k[b+4>>2]|0;c=k[b+8>>2]|0;b=(k[b>>2]|0)+(c>>1)|0;if(c&1)a=k[(k[b>>2]|0)+a>>2]|0;lc[a&511](b);return}function cO(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)!=1&(c|0)<257)hQ(a,b,c);else{k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,55931,35)}return}function dO(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;if((a|0)==(k[b+8>>2]|0))gD(0,b,c,d,e);return}function eO(a){a=a|0;if((i[a>>0]|0)==45)do a=a+1|0;while((i[a>>0]|0)==45);a=hx(a)|0;if(!a){a=0;return a|0}a=gx(a)|0;return a|0}function fO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((b|0)<(a|0)&(a|0)<(b+c|0)){d=a;b=b+c|0;a=a+c|0;while((c|0)>0){a=a-1|0;b=b-1|0;c=c-1|0;i[a>>0]=i[b>>0]|0}a=d}else wH(a,b,c)|0;return a|0}function gO(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=r;r=r+16|0;d=c+8|0;e=c;gP(e,b,a+12|0);PQ(d,e,b+20|0);SQ(a+32|0,d);r=c;return}function hO(a,b){a=a|0;b=b|0;oc[k[(k[a>>2]|0)+24>>2]&511](a)|0;b=RY(b,85760)|0;k[a+36>>2]=b;b=(oc[k[(k[b>>2]|0)+28>>2]&511](b)|0)&1;i[a+44>>0]=b;return}function iO(a,b){a=a|0;b=b|0;oc[k[(k[a>>2]|0)+24>>2]&511](a)|0;b=RY(b,85752)|0;k[a+36>>2]=b;b=(oc[k[(k[b>>2]|0)+28>>2]&511](b)|0)&1;i[a+44>>0]=b;return}function jO(a){a=a|0;var b=0;k[a>>2]=16920;b=a+108|0;k[b>>2]=16940;Vz(a+8|0);zla(a,16952);Vja(b);cra(a);return}function kO(){var a=0;do if(!(i[77384]|0))if(Qba(77384)|0){y=0;La(8)|0;a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{k[21449]=85792;break}}while(0);return k[21449]|0}function lO(a,b,c){a=a|0;b=b|0;c=c|0;while(1){if((b|0)==(c|0))break;a=k[b>>2]|0;if(a>>>0<128){a=(aR()|0)+(a<<2)|0;a=k[a>>2]|0}k[b>>2]=a;b=b+4|0}return c|0}function mO(a,b,c){a=a|0;b=b|0;c=c|0;while(1){if((b|0)==(c|0))break;a=k[b>>2]|0;if(a>>>0<128){a=(bR()|0)+(a<<2)|0;a=k[a>>2]|0}k[b>>2]=a;b=b+4|0}return c|0}function nO(){var a=0;do if(!(i[77216]|0))if(Qba(77216)|0){y=0;La(7)|0;a=y;y=0;if(a&1){a=pb()|0;sb(a|0)}else{k[21447]=85784;break}}while(0);return k[21447]|0}function oO(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=18444;k[a+4>>2]=b;b=a+8|0;k[b>>2]=0;k[b+4>>2]=0;k[b+8>>2]=0;k[b+12>>2]=0;k[b+16>>2]=0;k[b+20>>2]=0;k[a+32>>2]=c;return}function pO(a){a=a|0;var b=0,c=0;if((i[a>>0]|0)==35){b=o4(a+1|0)|0;if(!b)b=0;else while(1){c=o4(b)|0;if(!c)break;else b=c}}else b=0;a=b-a|0;return ((a|0)!=4&(a|0)!=7?0:b)|0}function qO(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)>256){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,58637,34)}else hQ(a,0,c);return}function rO(a,b){a=a|0;b=b|0;b=k[b>>2]|0;i[a>>0]=0;k[a+4>>2]=1;k[a+8>>2]=b;b=a+12|0;LT(b,0);k[b>>2]=15136;k[a+20>>2]=0;k[a+24>>2]=0;return}function sO(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)>256){k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,58715,33)}else hQ(a,0,c);return}function tO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=k[b+8>>2]|0;e=k[c>>2]|0;c=k[c+4>>2]|0;if(!e)c=c+(k[b+4>>2]|0)|0;k[a>>2]=e+(k[b>>2]|0);k[a+4>>2]=c;k[a+8>>2]=d;return}function uO(a,b){a=a|0;b=b|0;k[a+76>>2]=0;if(!((k[k[a+68>>2]>>2]|0)!=3|b^1))i[a+84>>0]=0;b=a+80|0;if(!(k[b>>2]|0)){_o(a);return}k[b>>2]=1;_o(a);return}function vO(a,b){a=a|0;b=b|0;var c=0;c=k[b+88>>2]|0;if((c|0)==(k[b+84>>2]|0)){LT(a,0);k[a>>2]=6756;return}else{LT(a,k[c+-4>>2]|0);k[a>>2]=6756;return}}function wO(a){a=a|0;var b=0;b=i[w+(a&255)>>0]|0;if((b|0)<8)return b|0;b=i[w+(a>>8&255)>>0]|0;if((b|0)<8)return b+8|0;b=i[w+(a>>16&255)>>0]|0;if((b|0)<8)return b+16|0;return (i[w+(a>>>24)>>0]|0)+24|0}function xO(a,b){a=a|0;b=b|0;var c=0;k[a+4>>2]=b+-1;k[a>>2]=28500;y=0;b=La(3)|0;c=y;y=0;if(c&1){c=pb()|0;sb(c|0)}else{k[a+8>>2]=b;return}}function yO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;OB(a,c,d);return}function zO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;lE(a,c,d);return}function AO(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=r;r=r+16|0;d=e;k[d>>2]=k[c>>2];a=rc[k[(k[a>>2]|0)+16>>2]&255](a,b,d)|0;if(a)k[c>>2]=k[d>>2];r=e;return a&1|0}function BO(a,b){a=a|0;b=b|0;var c=0;if(!a)c=0;else{c=aa(b,a)|0;if((b|a)>>>0>65535)c=((c>>>0)/(a>>>0)|0|0)==(b|0)?c:-1}a=ud(c)|0;if(!a)return a|0;if(!(k[a+-4>>2]&3))return a|0;kK(a|0,0,c|0)|0;return a|0}function CO(a){a=a|0;var b=0;b=gb(8)|0;y=0;oa(495,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;fb(b|0);sb(a|0)}else Wb(b|0,5792,409)}function DO(a){a=a|0;var b=0,c=0;k[a>>2]=21344;a=k[a+4>>2]|0;if(!a)return;c=a+4|0;b=(k[c>>2]|0)+-1|0;k[c>>2]=b;if(b|0)return;if(i[a+8>>0]|0)return;lc[k[(k[a>>2]|0)+4>>2]&511](a);return}function EO(a){a=a|0;var b=0;k[a>>2]=16920;b=a+108|0;k[b>>2]=16940;Vz(a+8|0);zla(a,16952);Vja(b);return}function FO(a,b){a=a|0;b=b|0;var c=0;c=k[a+4>>2]|0;if(!c){c=0;return c|0}a=k[b+4>>2]|0;if(!a){c=0;return c|0}c=Fc[k[(k[c>>2]|0)+92>>2]&2047](c,a)|0;return c|0}function GO(a){a=a|0;var b=0,c=0;y=0;b=La(9)|0;c=y;y=0;if(c&1){c=tb(0)|0;Sla(c)}else{c=k[b>>2]|0;k[a>>2]=c;mca(c);return}}function HO(a){a=a|0;var b=0;b=IM(104)|0;y=0;oa(497,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else{k[b>>2]=13620;return b|0}return 0}function IO(a){a=a|0;if(i[a+95>>0]|0)if(i[a+97>>0]|0)return;switch(k[k[a+68>>2]>>2]|0){case 2:{k[a+76>>2]=1;return}case 3:return;default:{k[a+80>>2]=1;k[a+76>>2]=0;return}}}function JO(a){a=a|0;var b=0;b=IM(104)|0;y=0;oa(497,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else{k[b>>2]=13792;return b|0}return 0}function KO(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;Ec[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0,j|0,k|0)}function LO(a){a=a|0;var b=0;b=IM(104)|0;y=0;oa(497,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else{k[b>>2]=13980;return b|0}return 0}function MO(a,b){a=a|0;b=b|0;var c=0;c=a+4|0;a=b;b=k[c>>2]|0;do{k[b>>2]=0;b=(k[c>>2]|0)+4|0;k[c>>2]=b;a=a+-1|0}while((a|0)!=0);return}function NO(a){a=a|0;var b=0;b=i[a>>0]|0;if(b<<24>>24!=32&((b<<24>>24)+-9|0)>>>0>4){b=a;return b|0}do{a=a+1|0;b=i[a>>0]|0}while(!(b<<24>>24!=32&((b<<24>>24)+-9|0)>>>0>4));return a|0}function OO(a){a=a|0;var b=0,c=0,d=0;k[a>>2]=19928;b=k[a+4>>2]|0;if(!b){cra(a);return}c=a+8|0;d=k[c>>2]|0;if((d|0)!=(b|0))k[c>>2]=d+(~((d+-4-b|0)>>>2)<<2);cra(b);cra(a);return}function PO(a){a=a|0;var b=0;b=IM(104)|0;y=0;oa(497,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else{k[b>>2]=14152;return b|0}return 0}function QO(a){a=a|0;var b=0,c=0;a=k[a+4>>2]|0;if(!a)return;c=a+4|0;b=(k[c>>2]|0)+-1|0;k[c>>2]=b;if(b|0)return;if(i[a+8>>0]|0)return;lc[k[(k[a>>2]|0)+4>>2]&511](a);return}function RO(a){a=a|0;k[a>>2]=17780;A9(a+28|0);k[a>>2]=15668;A9(a+8|0);Pca(a);cra(a);return}function SO(a){a=a|0;k[a>>2]=17756;A9(a+28|0);k[a>>2]=15668;A9(a+8|0);Pca(a);cra(a);return}function TO(a){a=a|0;k[a>>2]=17756;A9(a+28|0);k[a>>2]=15668;A9(a+8|0);Pca(a);cra(a);return}function UO(a){a=a|0;var b=0;switch(i[a>>0]|0){case 10:case 0:{a=a+1|0;return a|0}case 13:{b=a+1|0;a=(i[b>>0]|0)==10?a+2|0:b;return a|0}default:{b=0;return b|0}}return 0}function VO(a,b){a=+a;b=b|0;var c=0.0;c=+Pm(a,1.0)+-.5;if(c>-+R(.1,+(+((b+1|0)>>>0)))){c=+$(+a);return +c}if(c>+R(.1,+(+(b>>>0)))){c=+O(+a);return +c}else{c=+Oma(+a);return +c}return 0.0}function WO(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;c=c+8|0;wc[k[(k[b>>2]|0)+16>>2]&31](a,b,k[c>>2]|0,k[c+4>>2]|0,0,d);return}function XO(a){a=a|0;k[a>>2]=14692;DO(a+104|0);k[a>>2]=13112;A9(a+84|0);A9(a+72|0);cra(a);return}function YO(a){a=a|0;k[a>>2]=14508;DO(a+104|0);k[a>>2]=13112;A9(a+84|0);A9(a+72|0);cra(a);return}function ZO(a,b){a=+a;b=b|0;var c=0;c=BO(1,40)|0;if(!c){c=0;return c|0}k[c>>2]=1;p[c+8>>3]=a;if(b|0){b=LP(b)|0;k[c+16>>2]=b;if(b|0)return c|0}Wf(c);c=0;return c|0}function _O(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;k[a+104>>2]=b;c=k[a+8>>2]|0;d=k[a+4>>2]|0;e=c-d|0;k[a+108>>2]=e;if((b|0)!=0&(e|0)>(b|0))k[a+100>>2]=d+b;else k[a+100>>2]=c;return}function $O(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if((a|0)==(k[b+8>>2]|0))UH(0,b,c,d);return}function aP(a){a=a|0;var b=0;b=i[a>>0]|0;if(b<<24>>24!=32&((b<<24>>24)+-9|0)>>>0>4){b=0;return b|0}do{a=a+1|0;b=i[a>>0]|0}while(!(b<<24>>24!=32&((b<<24>>24)+-9|0)>>>0>4));return a|0}function bP(a,b){a=a|0;b=b|0;var c=0;c=BO(1,40)|0;if(!c){c=0;return c|0}k[c>>2]=4;k[c+8>>2]=a;k[c+4>>2]=b;b=BO(a,4)|0;k[c+12>>2]=b;if(b|0)return c|0;Wf(c);c=0;return c|0}function cP(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;f=a;k[f>>2]=0;k[f+4>>2]=0;f=a+8|0;k[f>>2]=-1;k[f+4>>2]=-1;return}function dP(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;f=a;k[f>>2]=0;k[f+4>>2]=0;f=a+8|0;k[f>>2]=-1;k[f+4>>2]=-1;return}function eP(a){a=a|0;k[a>>2]=17780;A9(a+28|0);k[a>>2]=15668;A9(a+8|0);Pca(a);return}function fP(a){a=a|0;k[a>>2]=17756;A9(a+28|0);k[a>>2]=15668;A9(a+8|0);Pca(a);return}function gP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=k[b>>2]|0;d=k[c>>2]|0;c=(k[b+4>>2]|0)-((e|0)==(d|0)?k[c+4>>2]|0:0)|0;k[a>>2]=e-d;k[a+4>>2]=c;return}function hP(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)>256){xca()|0;b=85880}else{kca()|0;b=85876}k[a>>2]=c;k[a+4>>2]=b;return}function iP(a,b){a=a|0;b=b|0;a=b+64|0;if((i[a+11>>0]|0)<0)a=k[a>>2]|0;if(!(i[b+60>>0]|0)){b=LQ(a)|0;return b|0}else{b=vP(a)|0;return b|0}return 0}function jP(a){a=a|0;k[a>>2]=14692;DO(a+104|0);k[a>>2]=13112;A9(a+84|0);A9(a+72|0);return}function kP(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~(((b+-24-c|0)>>>0)/24|0)*24|0);cra(c);return}function lP(a){a=a|0;k[a>>2]=14508;DO(a+104|0);k[a>>2]=13112;A9(a+84|0);A9(a+72|0);return}function mP(a,b){a=a|0;b=b|0;var c=0,d=0;d=IJ(b)|0;c=IM(d+13|0)|0;k[c>>2]=d;k[c+4>>2]=d;k[c+8>>2]=0;c=c+12|0;wH(c|0,b|0,d+1|0)|0;k[a>>2]=c;return}function nP(a){a=a|0;k[a>>2]=25676;GO(a+4|0);a=a+8|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;return}function oP(a){a=a|0;k[a>>2]=25612;GO(a+4|0);a=a+8|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;k[a+20>>2]=0;return}function pP(a){a=a|0;var b=0;if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1)a=-1;else{b=a+12|0;a=k[b>>2]|0;k[b>>2]=a+4;a=k[a>>2]|0}return a|0}function qP(a){a=a|0;var b=0;if((oc[k[(k[a>>2]|0)+36>>2]&511](a)|0)==-1)a=-1;else{b=a+12|0;a=k[b>>2]|0;k[b>>2]=a+1;a=l[a>>0]|0}return a|0}function rP(a){a=a|0;k[a>>2]=7188;DO(a+92|0);DO(a+84|0);A9(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function sP(a){a=a|0;VG(a,k[a+4>>2]|0);return}function tP(a,b){a=a|0;b=b|0;if(WS(a,b)|0)return k[(k[a+8>>2]|0)+(b<<2)>>2]|0;else{b=gb(4)|0;Soa(b);Wb(b|0,5856,414)}return 0}function uP(a){a=a|0;var b=0;b=IM(80)|0;y=0;oa(488,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function vP(a){a=a|0;var b=0;b=BO(1,40)|0;if(!b){b=0;return b|0}i[b+4>>0]=1;k[b>>2]=3;if(a|0){a=LP(a)|0;k[b+8>>2]=a;if(a|0)return b|0}Wf(b);b=0;return b|0}function wP(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;while(1){if((b|0)==(c|0))break;a=i[b>>0]|0;i[e>>0]=a<<24>>24>-1?a:d;e=e+1|0;b=b+1|0}return c|0}function xP(a){a=a|0;var b=0;b=IM(76)|0;y=0;oa(491,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function yP(a){a=a|0;var b=0;b=IM(76)|0;y=0;oa(485,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function zP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=a+20|0;e=k[d>>2]|0;a=(k[a+16>>2]|0)-e|0;a=a>>>0>c>>>0?c:a;wH(e|0,b|0,a|0)|0;k[d>>2]=(k[d>>2]|0)+a;return c|0}function AP(a){a=a|0;var b=0;b=IM(124)|0;y=0;oa(498,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function BP(a,b,c,d){a=+a;b=+b;c=+c;d=+d;var e=0;e=BO(1,40)|0;if(!e){e=0;return e|0}k[e>>2]=2;p[e+8>>3]=a;p[e+16>>3]=b;p[e+24>>3]=c;p[e+32>>3]=d;return e|0}function CP(a){a=a|0;var b=0;b=IM(108)|0;y=0;oa(499,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function DP(a){a=a|0;var b=0,c=0;b=i[a>>0]|0;c=b<<24>>24;if(b<<24>>24==45|(b<<24>>24<0|((c+-48|0)>>>0<10|((c&-33)+-65|0)>>>0<26)))return 0;else return (b<<24>>24==35?0:a)|0;return 0}function EP(a){a=a|0;var b=0;b=IM(80)|0;y=0;oa(490,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function FP(a){a=a|0;var b=0;b=IM(88)|0;y=0;oa(481,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function GP(a){a=a|0;var b=0;b=IM(100)|0;y=0;oa(502,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function HP(a){a=a|0;k[a>>2]=8276;DO(a+92|0);DO(a+84|0);A9(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function IP(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function JP(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function KP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=0;while(1){if((b|0)==(c|0))break;d=(k[b>>2]|0)+(a<<4)|0;e=d&-268435456;a=(e>>>24|e)^d;b=b+4|0}return a|0}function LP(a){a=a|0;var b=0,c=0;b=(IJ(a)|0)+1|0;c=ud(b)|0;if(!c){ST(83256,49612)|0;Zb(1)}else{wH(c|0,a|0,b|0)|0;return c|0}return 0}function MP(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;a=0;while(1){if((b|0)==(c|0))break;d=(i[b>>0]|0)+(a<<4)|0;e=d&-268435456;a=(e>>>24|e)^d;b=b+1|0}return a|0}function NP(a){a=a|0;var b=0;b=IM(80)|0;y=0;oa(489,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function OP(a){a=a|0;var b=0;b=IM(112)|0;y=0;oa(503,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function PP(a){a=a|0;var b=0;b=IM(80)|0;y=0;oa(465,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function QP(a){a=a|0;var b=0;b=IM(92)|0;y=0;oa(484,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function RP(a){a=a|0;var b=0;b=IM(76)|0;y=0;oa(492,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function SP(a){a=a|0;var b=0;b=IM(80)|0;y=0;oa(493,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function TP(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function UP(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);return}function VP(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);return}function WP(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-8-c|0)>>>3)<<3);cra(c);return}function XP(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function YP(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function ZP(a,b,c,d,e,f,g,h,i,j,k,l,m,n,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;ea(12)}function _P(a){a=a|0;var b=0;b=IM(92)|0;y=0;oa(486,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function $P(a){a=a|0;var b=0;b=IM(80)|0;y=0;oa(463,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function aQ(a){a=a|0;var b=0;b=IM(92)|0;y=0;oa(466,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function bQ(a){a=a|0;var b=0;b=IM(120)|0;y=0;oa(476,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function cQ(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function dQ(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);return}function eQ(a){a=a|0;var b=0;b=IM(92)|0;y=0;oa(477,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function fQ(a){a=a|0;var b=0;b=IM(88)|0;y=0;oa(467,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function gQ(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function hQ(a,b,c){a=a|0;b=b|0;c=c|0;c=EK(c)|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,c,IJ(c)|0);return}function iQ(a){a=a|0;var b=0;b=IM(100)|0;y=0;oa(464,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function jQ(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function kQ(a){a=a|0;k[a>>2]=7188;DO(a+92|0);DO(a+84|0);A9(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function lQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+16|0;e=d;k[e>>2]=a;k[e+4>>2]=b;k[e+8>>2]=c;c=O8(Qb(3,e|0)|0)|0;r=d;return c|0}function mQ(a){a=a|0;var b=0;b=IM(88)|0;y=0;oa(482,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function nQ(a,b){a=a|0;b=b|0;b=_9(b)|0;if(!b){a=0;return a|0}a=Fc[k[(k[a>>2]|0)+160>>2]&2047](a,b)|0;return a|0}function oQ(a){a=a|0;var b=0;b=IM(84)|0;y=0;oa(461,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function pQ(a){a=a|0;var b=0;b=IM(104)|0;y=0;oa(449,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function qQ(a,b){a=a|0;b=b|0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=30714){b=0;return b|0}b=Fc[k[(k[a>>2]|0)+160>>2]&2047](a,b)|0;return b|0}function rQ(a){a=a|0;var b=0;b=IM(96)|0;y=0;oa(468,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function sQ(a){a=a|0;YG(a,k[a+4>>2]|0);return}function tQ(a){a=a|0;var b=0;b=IM(80)|0;y=0;oa(475,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function uQ(a){a=a|0;var b=0;b=IM(84)|0;y=0;oa(462,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function vQ(a){a=a|0;var b=0;b=IM(92)|0;y=0;oa(474,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function wQ(a){a=a|0;var b=0;b=IM(104)|0;y=0;oa(473,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function xQ(a){a=a|0;k[a>>2]=8276;DO(a+92|0);DO(a+84|0);A9(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function yQ(a){a=a|0;var b=0,c=0;k[a>>2]=19928;c=k[a+4>>2]|0;if(!c)return;a=a+8|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);return}function zQ(a,b){a=a|0;b=b|0;b=(i[b+84>>0]|0)!=0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,b?31497:39258,b?7:4);return}function AQ(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);cra(a);return}function BQ(a){a=a|0;var b=0;b=IM(88)|0;y=0;oa(472,b|0,a|0);a=y;y=0;if(a&1){a=pb()|0;cra(b);sb(a|0)}else return b|0;return 0}function CQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;f=r;r=r+16|0;e=f|0;vl(a,b,c,d,e)|0;r=f;return (N=k[e+4>>2]|0,k[e>>2]|0)|0}function DQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;k[d>>2]=0;k[d+4>>2]=0;d=a+8|0;k[d>>2]=-1;k[d+4>>2]=-1;return}function EQ(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=a;k[d>>2]=0;k[d+4>>2]=0;d=a+8|0;k[d>>2]=-1;k[d+4>>2]=-1;return}function FQ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return Nc[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)|0}function GQ(a){a=a|0;var b=0,c=0;c=k[a>>2]|0;if(!c)return;a=a+4|0;b=k[a>>2]|0;if((b|0)!=(c|0))k[a>>2]=b+(~((b+-4-c|0)>>>2)<<2);cra(c);return}function HQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((k[a+76>>2]|0)>-1){d=(kra(a)|0)==0;b=$E(a,b,c)|0;if(!d)jra(a)}else b=$E(a,b,c)|0;return b|0}function IQ(a){a=a|0;var b=0;b=BO(1,40)|0;if(!b){b=0;return b|0}k[b>>2]=8;if(a|0){a=LP(a)|0;k[b+4>>2]=a;if(a|0)return b|0}Wf(b);b=0;return b|0}function JQ(a,b,c){a=a|0;b=b|0;c=c|0;c=cqa((i[b+11>>0]|0)<0?k[b>>2]|0:b,1)|0;return c>>>((c|0)!=(-1|0)&1)|0}function KQ(a,b,c){a=a|0;b=b|0;c=c|0;c=cqa((i[b+11>>0]|0)<0?k[b>>2]|0:b,1)|0;return c>>>((c|0)!=(-1|0)&1)|0}function LQ(a){a=a|0;var b=0;b=BO(1,40)|0;if(!b){b=0;return b|0}k[b>>2]=3;if(a|0){a=LP(a)|0;k[b+8>>2]=a;if(a|0)return b|0}Wf(b);b=0;return b|0}function MQ(a){a=a|0;var b=0;b=BO(1,40)|0;if(!b){b=0;return b|0}k[b>>2]=7;if(a|0){a=LP(a)|0;k[b+4>>2]=a;if(a|0)return b|0}Wf(b);b=0;return b|0}function NQ(a){a=a|0;var b=0;b=i[a+64+11>>0]|0;if(b<<24>>24<0)b=k[a+68>>2]|0;else b=b&255;if(b|0){a=0;return a|0}a=(i[a+60>>0]|0)==0;return a|0}function OQ(a){a=a|0;var b=0;i[a>>0]=0;k[a+4>>2]=3;k[a+8>>2]=0;b=a+12|0;LT(b,0);k[b>>2]=15136;k[a+20>>2]=0;k[a+24>>2]=0;return}function PQ(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=k[c>>2]|0;c=k[c+4>>2]|0;if(!d)c=c+(k[b+4>>2]|0)|0;k[a>>2]=d+(k[b>>2]|0);k[a+4>>2]=c;return}function QQ(a){a=a|0;k[a>>2]=15832;A9(a+32|0);Xaa(a);cra(a);return}function RQ(a){a=a|0;var b=0,c=0;c=a+4|0;b=k[c>>2]|0;k[c>>2]=b+-1;if(!b){lc[k[(k[a>>2]|0)+8>>2]&511](a);a=1}else a=0;return a|0}function SQ(a,b){a=a|0;b=b|0;var c=0,d=0;c=k[b>>2]|0;b=k[b+4>>2]|0;if(!c)b=b+(k[a+4>>2]|0)|0;d=a;k[d>>2]=c+(k[a>>2]|0);k[d+4>>2]=b;return}function TQ(a,b){a=a|0;b=b|0;if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=32189){b=0;return b|0}b=(i[a+60>>0]|0)!=0^(i[b+60>>0]|0)!=0^1;return b|0}function UQ(a){a=a|0;var b=0;b=BO(1,40)|0;if(!b){b=0;return b|0}k[b>>2]=5;k[b+4>>2]=a;a=BO(a,8)|0;k[b+8>>2]=a;if(a|0)return b|0;Wf(b);b=0;return b|0}function VQ(a,b){a=a|0;b=b|0;k[a>>2]=29216;y=0;oa(741,a+4|0,b|0);b=y;y=0;if(b&1){b=pb()|0;sb(b|0)}else return}function WQ(a){a=a|0;k[a>>2]=15644;A9(a+20|0);A9(a+8|0);Pca(a);return}function XQ(a){a=a|0;WH(a,k[a+4>>2]|0);return}function YQ(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;uc[a&1](b|0,c|0,d|0,e|0,f|0,g|0,h|0,i|0)}function ZQ(a,b){a=a|0;b=b|0;k[a>>2]=29196;y=0;oa(741,a+4|0,b|0);b=y;y=0;if(b&1){b=pb()|0;sb(b|0)}else return}function _Q(a){a=a|0;k[a>>2]=8868;DO(a+84|0);A9(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function $Q(a){a=a|0;k[a>>2]=8756;DO(a+84|0);A9(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function aR(){var a=0,b=0;y=0;a=La(5)|0;b=y;y=0;if(b&1){b=tb(0)|0;Sla(b)}else return k[a>>2]|0;return 0}function bR(){var a=0,b=0;y=0;a=La(4)|0;b=y;y=0;if(b&1){b=tb(0)|0;Sla(b)}else return k[a>>2]|0;return 0}function cR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function dR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function eR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function fR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function gR(a){a=a|0;if(oc[k[(k[a>>2]|0)+108>>2]&511](a)|0){a=1;return a|0}a=oc[k[(k[a>>2]|0)+112>>2]&511](a)|0;return a|0}function hR(a){a=a|0;var b=0;b=k[a+68>>2]|0;if(b|0)if(oc[k[(k[b>>2]|0)+84>>2]&511](b)|0){b=1;return b|0}b=(k[a+52>>2]|0)==7;return b|0}function iR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function jR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function kR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function lR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function mR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function nR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function oR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function pR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;b=0;while(1){if((b|0)==3)break;k[a+(b<<2)>>2]=0;b=b+1|0}return}function qR(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c|0){d=a;while(1){c=c+-1|0;k[d>>2]=k[b>>2];if(!c)break;else{b=b+4|0;d=d+4|0}}}return a|0}function rR(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;f=c;c=GN(e,f)|0;a=N;return (N=(aa(b,f)|0)+(aa(d,e)|0)+a|a&0,c|0|0)|0}function sR(a){a=a|0;k[a>>2]=13112;A9(a+84|0);A9(a+72|0);cra(a);return}function tR(a){a=a|0;k[a>>2]=15832;A9(a+32|0);Xaa(a);return}function uR(){var a=0,b=0;y=0;a=La(6)|0;b=y;y=0;if(b&1){b=tb(0)|0;Sla(b)}else return k[a>>2]|0;return 0}function vR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;kF(a,28692,dba(28692)|0);return}function wR(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;k[e>>2]=c;k[h>>2]=f;return 3}function xR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+192>>2]&255](a,c,b);return}function yR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+200>>2]&255](a,c,b);return}function zR(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;kF(a,28716,dba(28716)|0);return}function AR(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;k[e>>2]=c;k[h>>2]=f;return 3}function BR(a,b){a=a|0;b=b|0;b=_9(b)|0;if(!b){a=0;return a|0}a=Cs(a,b)|0;return a|0}function CR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+188>>2]&255](a,c,b);return}function DR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+236>>2]&255](a,c,b);return}function ER(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+136>>2]&255](a,c,b);return}function FR(a){a=a|0;k[a>>2]=13112;A9(a+84|0);A9(a+72|0);cra(a);return}function GR(a){a=a|0;k[a>>2]=13112;A9(a+84|0);A9(a+72|0);cra(a);return}function HR(){var a=0,b=0;a=r;r=r+16|0;if(!(Cb(85884,7)|0)){b=Db(k[21472]|0)|0;r=a;return b|0}else sV(59068,a);return 0}function IR(a){a=a|0;switch(k[a+4>>2]&74){case 64:{a=8;break}case 8:{a=16;break}case 0:{a=0;break}default:a=10}return a|0}function JR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+252>>2]&255](a,c,b);return}function KR(a){a=a|0;k[a>>2]=13112;A9(a+84|0);A9(a+72|0);cra(a);return}function LR(a,b,c){a=a|0;b=b|0;c=c|0;k[a+4>>2]=0;k[a+8>>2]=0;k[a>>2]=a+4;k[a+12>>2]=b;i[a+16>>0]=c&1;return}function MR(a){a=a|0;k[a>>2]=8868;DO(a+84|0);A9(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function NR(a){a=a|0;k[a>>2]=8756;DO(a+84|0);A9(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function OR(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return hc[a&127](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function PR(a){a=a|0;var b=0,c=0;if(!a)return;b=k[a>>2]|0;if(b|0){c=a;do{Wf(b);c=c+4|0;b=k[c>>2]|0}while((b|0)!=0)}Wf(a);return}function QR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+180>>2]&255](a,c,b);return}function RR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+184>>2]&255](a,c,b);return}function SR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+264>>2]&255](a,c,b);return}function TR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+124>>2]&255](a,c,b);return}function UR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+260>>2]&255](a,c,b);return}function VR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+128>>2]&255](a,c,b);return}function WR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+240>>2]&255](a,c,b);return}function XR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+268>>2]&255](a,c,b);return}function YR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+172>>2]&255](a,c,b);return}function ZR(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+232>>2]&255](a,c,b);return}function _R(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+256>>2]&255](a,c,b);return}function $R(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+212>>2]&255](a,c,b);return}function aS(a){a=a|0;k[a>>2]=13112;A9(a+84|0);A9(a+72|0);cra(a);return}function bS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+244>>2]&255](a,c,b);return}function cS(a,b){a=a|0;b=b|0;var c=0,d=0;c=r;r=r+16|0;d=c;k[d>>2]=a;k[d+4>>2]=b;b=O8(yb(195,d|0)|0)|0;r=c;return b|0}function dS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+28>>2]&255](a,c,b);return}function eS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+164>>2]&255](a,c,b);return}function fS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+168>>2]&255](a,c,b);return}function gS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+272>>2]&255](a,c,b);return}function hS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+132>>2]&255](a,c,b);return}function iS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+204>>2]&255](a,c,b);return}function jS(a){a=a|0;if((((k[a+80>>2]|0)-(k[a+76>>2]|0)|0)/12|0)>>>0>=2){a=0;return a|0}a=(k[a+92>>2]|0)==(k[a+88>>2]|0);return a|0}function kS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+44>>2]&255](a,c,b);return}function lS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+36>>2]&255](a,c,b);return}function mS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;lF(a,1,45);return}function nS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;lF(a,1,45);return}function oS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;gI(a,1,45);return}function pS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;gI(a,1,45);return}function qS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+196>>2]&255](a,c,b);return}function rS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+248>>2]&255](a,c,b);return}function sS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+32>>2]&255](a,c,b);return}function tS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+60>>2]&255](a,c,b);return}function uS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+48>>2]&255](a,c,b);return}function vS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+220>>2]&255](a,c,b);return}function wS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+112>>2]&255](a,c,b);return}function xS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+108>>2]&255](a,c,b);return}function yS(a,b,c){a=a|0;b=b|0;c=c|0;if(c>>>0<128){a=(uR()|0)+(c<<1)|0;a=(j[a>>1]&b)<<16>>16!=0}else a=0;return a|0}function zS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+52>>2]&255](a,c,b);return}function AS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((b|0)==(c|0))break;i[d>>0]=i[b>>0]|0;d=d+1|0;b=b+1|0}return c|0}function BS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+216>>2]&255](a,c,b);return}function CS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+104>>2]&255](a,c,b);return}function DS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+228>>2]&255](a,c,b);return}function ES(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+40>>2]&255](a,c,b);return}function FS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+148>>2]&255](a,c,b);return}function GS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+224>>2]&255](a,c,b);return}function HS(a){a=a|0;var b=0;b=r;r=r+16|0;Wf(a);if(!(mb(k[21472]|0,0)|0)){r=b;return}else sV(59167,b)}function IS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=r;r=r+16|0;f=e;k[f>>2]=d;d=NB(a,b,c,f)|0;r=e;return d|0}function JS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+100>>2]&255](a,c,b);return}function KS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+160>>2]&255](a,c,b);return}function LS(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;Cc[a&15](b|0,c|0,d|0,e|0,f|0,g|0,h|0)}function MS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,58348,5);return}function NS(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;while(1){if((b|0)==(c|0))break;k[d>>2]=i[b>>0];d=d+4|0;b=b+1|0}return c|0}function OS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+64>>2]&255](a,c,b);return}function PS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+16>>2]&255](a,c,b);return}function QS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+76>>2]&255](a,c,b);return}function RS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+152>>2]&255](a,c,b);return}function SS(a){a=a|0;k[a>>2]=13112;A9(a+84|0);A9(a+72|0);return}function TS(a){a=a|0;var b=0,c=0;c=a+8|0;b=k[c>>2]|0;k[c>>2]=b+-1;if(!b)lc[k[(k[a>>2]|0)+16>>2]&511](a);return}function US(a,b,c){a=a|0;b=b|0;c=c|0;return WA(a,b,c,IJ(c)|0)|0}function VS(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,58354,4);return}function WS(a,b){a=a|0;b=b|0;var c=0;c=k[a+8>>2]|0;if((k[a+12>>2]|0)-c>>2>>>0>b>>>0)a=(k[c+(b<<2)>>2]|0)!=0;else a=0;return a|0}function XS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+96>>2]&255](a,c,b);return}function YS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+56>>2]&255](a,c,b);return}function ZS(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+20>>2]&255](a,c,b);return}function _S(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+156>>2]&255](a,c,b);return}function $S(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=+g;h=h|0;return Gc[a&1](b|0,c|0,d|0,e|0,+f,+g,h|0)|0}function aT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+92>>2]&255](a,c,b);return}function bT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+24>>2]&255](a,c,b);return}function cT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+68>>2]&255](a,c,b);return}function dT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+72>>2]&255](a,c,b);return}function eT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+12>>2]&255](a,c,b);return}function fT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+208>>2]&255](a,c,b);return}function gT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+116>>2]&255](a,c,b);return}function hT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[k[c>>2]>>2]&255](a,c,b);return}function iT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+88>>2]&255](a,c,b);return}function jT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+120>>2]&255](a,c,b);return}function kT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Ym(c,d,e,1114111,0)|0}function lT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+84>>2]&255](a,c,b);return}function mT(){k[20494]=0;k[20495]=0;k[20496]=0;aI(81976,51642,6);Pb(427,81976,x|0)|0;return}function nT(a,b,c){a=a|0;b=+b;c=c|0;var d=0;d=BO(1,24)|0;if(!d){d=0;return d|0}k[d>>2]=a;p[d+8>>3]=b;k[d+16>>2]=c;return d|0}function oT(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return hn(c,d,e,1114111,0)|0}function pT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,39121,6);return}function qT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,33492,8);return}function rT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[(k[c>>2]|0)+80>>2]&255](a,c,b);return}function sT(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=a;a=Sb(6,c|0)|0;a=O8((a|0)==-4?-115:a)|0;r=b;return a|0}function tT(a,b){a=a|0;b=b|0;DE(a,b,rM(85728)|0);return}function uT(a,b){a=a|0;b=b|0;DE(a,b,rM(85720)|0);return}function vT(a,b){a=a|0;b=b|0;DE(a,b,rM(85712)|0);return}function wT(a,b){a=a|0;b=b|0;DE(a,b,rM(85704)|0);return}function xT(a){a=a|0;var b=0,c=0;c=(k[a>>2]|0)+-4|0;b=k[c>>2]|0;k[c>>2]=b+-1;if((b+-1|0)<0)cra((k[a>>2]|0)+-12|0);return}function yT(a,b){a=a|0;b=b|0;DE(a,b,rM(85664)|0);return}function zT(a,b){a=a|0;b=b|0;DE(a,b,rM(85656)|0);return}function AT(a,b){a=a|0;b=b|0;DE(a,b,rM(85648)|0);return}function BT(a,b){a=a|0;b=b|0;DE(a,b,rM(84836)|0);return}function CT(a){a=a|0;y=0;qa(410,k[a>>2]|0)|0;a=y;y=0;if(a&1){a=tb(0)|0;Sla(a)}else return}function DT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,39121,6);return}function ET(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,39258,4);return}function FT(a,b){a=a|0;b=b|0;var c=0;c=k[a+64>>2]|0;if(c|0)mc[k[(k[c>>2]|0)+100>>2]&1023](c,b);i[a+52>>0]=b&1;return}function GT(a,b){a=a|0;b=b|0;DE(a,b,rM(84024)|0);return}function HT(a,b){a=a|0;b=b|0;DE(a,b,rM(84016)|0);return}function IT(a,b){a=a|0;b=b|0;DE(a,b,rM(84008)|0);return}function JT(a,b){a=a|0;b=b|0;DE(a,b,rM(83984)|0);return}function KT(a){a=+a;var b=0;b=BO(1,32)|0;if(!b){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{k[b+16>>2]=3;p[b+24>>3]=a;return b|0}return 0}function LT(a,b){a=a|0;b=b|0;k[a>>2]=21344;k[a+4>>2]=b;if(!b)return;a=b+4|0;k[a>>2]=(k[a>>2]|0)+1;i[b+8>>0]=0;return}function MT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,87975,0);return}function NT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[k[c>>2]>>2]&255](a,c,b);return}function OT(a){a=a|0;return zu(a)|0}function PT(a,b){a=a|0;b=b|0;EN(a+52|0,b)|0;return}function QT(a,b,c){a=a|0;b=b|0;c=c|0;Lc[k[k[c>>2]>>2]&255](a,c,b);return}function RT(a){a=a|0;var b=0,c=0;b=r;r=r+16|0;c=b;k[c>>2]=k[a+60>>2];a=O8(Sb(6,c|0)|0)|0;r=b;return a|0}function ST(a,b){a=a|0;b=b|0;return co(a,b,IJ(b)|0)|0}function TT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,32205,4);return}function UT(a,b){a=a|0;b=b|0;if(b<<24>>24>-1){b=(bR()|0)+(b<<24>>24<<2)|0;b=k[b>>2]&255}return b|0}function VT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,38091,6);return}function WT(a,b){a=a|0;b=b|0;k[a+4>>2]=0;k[a+8>>2]=0;k[a>>2]=a+4;k[a+12>>2]=0;i[a+16>>0]=0;return}function XT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,38279,5);return}function YT(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;return nc[a&63](b|0,c|0,d|0,e|0,f|0,g|0)|0}function ZT(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,48606,4);return}function _T(a){a=a|0;return zu(a)|0}function $T(a){a=a|0;k[a>>2]=7396;DO(a+80|0);DO(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function aU(a,b){a=a|0;b=b|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,38068,3);return}function bU(a){a=a|0;a=k[a+108>>2]|0;if(!a){a=0;return a|0}a=oc[k[(k[a>>2]|0)+116>>2]&511](a)|0;return a|0}function cU(a){a=a|0;k[a>>2]=6980;A9(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function dU(a,b){a=a|0;b=b|0;if(b<<24>>24>-1){b=(aR()|0)+((b&255)<<2)|0;b=k[b>>2]&255}return b|0}function eU(a,b){a=a|0;b=b|0;QG(a+4|0,b+64|0,b);return}function fU(a,b){a=a|0;b=b|0;i[b+61>>0]=i[a+61>>0]|0;return Vh(a,b)|0}function gU(a,b,c,d,e,f,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;ea(22);return 0}function hU(a,b){a=a|0;b=b|0;QG(a+4|0,b+60|0,b);return}function iU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+16|0;e=d;k[e>>2]=c;c=Pha(a,b,e)|0;r=d;return c|0}function jU(a){a=a|0;if((i[a>>0]|0)!=37){a=0;return a|0}a=ix(a+1|0)|0;return a|0}function kU(a,b){a=a|0;b=b|0;QG(a+4|0,b+60|0,b);return}function lU(){}function mU(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=b-d|0;d=(d|0)-(c>>>0>a>>>0|0)>>>0;return (N=d,a-c>>>0|0)|0}function nU(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;return ic[a&3](b|0,c|0,d|0,e|0,f|0,+g)|0}function oU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function pU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function qU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=r;r=r+16|0;e=d;k[e>>2]=c;c=DM(a,b,e)|0;r=d;return c|0}function rU(a,b){a=a|0;b=b|0;return DD(a,b,dba(b)|0)|0}function sU(a,b){a=a|0;b=b|0;return hE(a,b,IJ(b)|0)|0}function tU(a,b){a=a|0;b=b|0;return qE(a,b,IJ(b)|0)|0}function uU(a){a=a|0;a=i[a>>0]|0;if(((a<<24>>24)+-48|0)>>>0<10)return 1;else{a=a<<24>>24|0;return (a|0)==45|(a|0)==43|0}return 0}function vU(a){a=a|0;k[a>>2]=19928;a=a+4|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;k[a+12>>2]=0;k[a+16>>2]=0;return}function wU(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if(c|0){d=a;while(1){c=c+-1|0;k[d>>2]=b;if(!c)break;else d=d+4|0}}return a|0}function xU(a){a=a|0;if((k[a+76>>2]|0)!=(k[a+80>>2]|0)){a=0;return a|0}a=(k[a+88>>2]|0)==(k[a+92>>2]|0);return a|0}function yU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function zU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function AU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function BU(a,b){a=a|0;b=b|0;Yl(a+-52|0,b);return}function CU(a){a=a|0;k[a>>2]=15668;A9(a+8|0);Pca(a);cra(a);return}function DU(a){a=a|0;k[a>>2]=15668;A9(a+8|0);Pca(a);cra(a);return}function EU(a){a=a|0;k[a>>2]=8180;DO(a+80|0);DO(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function FU(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;wc[a&31](b|0,c|0,d|0,e|0,f|0,g|0)}function GU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function HU(a){a=a|0;if((i[a>>0]|0)!=35){a=0;return a|0}a=ix(a+1|0)|0;return a|0}function IU(a,b){a=a|0;b=b|0;QG(a+4|0,b+60|0,b);return}function JU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function KU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function LU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function MU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function NU(a,b){a=a|0;b=b|0;var c=0.0;c=+Una(k[a>>2]|0);return c>+Una(k[b>>2]|0)|0}function OU(a){a=a|0;Wf(k[a>>2]|0);Wf(k[a+4>>2]|0);Wf(k[a+8>>2]|0);Wf(k[a+12>>2]|0);Wf(k[a+16>>2]|0);Wf(a);return}function PU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function QU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function RU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function SU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function TU(a){a=a|0;k[a>>2]=15668;A9(a+8|0);Pca(a);cra(a);return}function UU(a,b,c){a=a|0;b=b|0;c=c|0;kg(a,b,c);return}function VU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function WU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function XU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function YU(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function ZU(a){a=a|0;k[a>>2]=7396;DO(a+80|0);DO(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function _U(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){N=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}N=a<<c-32;return 0}function $U(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function aV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function bV(a){a=a|0;var b=0;b=a+1|0;if((i[a>>0]|0)!=58){b=0;return b|0}b=(i[b>>0]|0)==58?a+2|0:b;return b|0}function cV(a){a=a|0;var b=0;b=k[a+52>>2]|0;if((b|0)==(k[a+48>>2]|0)){b=0;return b|0}b=k[b+-4>>2]|0;return b|0}function dV(a){a=a|0;k[a>>2]=6980;A9(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function eV(a,b){a=a|0;b=b|0;var c=0;c=a+56|0;Wf(k[c>>2]|0);if(!b)a=0;else a=LP(b)|0;k[c>>2]=a;return}function fV(a,b){a=a|0;b=b|0;var c=0;c=a+52|0;Wf(k[c>>2]|0);if(!b)a=0;else a=LP(b)|0;k[c>>2]=a;return}function gV(a,b){a=a|0;b=b|0;Oi(a+-60|0,b);return}function hV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function iV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function jV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function kV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function lV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function mV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function nV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function oV(a){a=a|0;if(((i[a>>0]|0)+-48|0)>>>0>9){a=0;return a|0}do a=a+1|0;while(((i[a>>0]|0)+-48|0)>>>0<=9);return a|0}function pV(a){a=a|0;var b=0,c=0;b=i[a>>0]|0;c=b<<24>>24|0;return ((c|0)==47|((c|0)==58|(b+-42&255)<85)?a+1|0:0)|0}function qV(a){a=a|0;var b=0;b=k[a+112>>2]|0;if((b|0)==(k[a+108>>2]|0)){b=0;return b|0}b=k[b+-4>>2]|0;return b|0}function rV(a){a=a|0;k[a>>2]=10176;DO(a+72|0);A9(a+60|0);cra(a);return}function sV(a,b){a=a|0;b=b|0;var c=0;c=r;r=r+16|0;k[c>>2]=b;b=k[5390]|0;qx(b,a,c)|0;$D(10,b)|0;Za()}function tV(a,b){a=a|0;b=b|0;if(b>>>0<128){b=(aR()|0)+(b<<2)|0;b=k[b>>2]|0}return b|0}function uV(a,b){a=a|0;b=b|0;if(b>>>0<128){b=(bR()|0)+(b<<2)|0;b=k[b>>2]|0}return b|0}function vV(a){a=a|0;a=k[a+12>>2]|0;if(!a){a=0;return a|0}a=(k[a+12>>2]|0)!=0;return a|0}function wV(a,b){a=a|0;b=b|0;F3(a,b)|0;return 0}function xV(a,b){a=a|0;b=b|0;G3(a,b)|0;return 0}function yV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function zV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function AV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function BV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function CV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function DV(a,b){a=a|0;b=b|0;var c=0;c=a+36|0;Wf(k[c>>2]|0);if(!b)a=0;else a=LP(b)|0;k[c>>2]=a;return}function EV(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){N=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}N=0;return b>>>c-32|0}function FV(a){a=a|0;var b=0,c=0;c=r;r=r+16|0;b=c;W7(b,a+28|0);r=c;return k[b>>2]|0}function GV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function HV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function IV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function JV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function KV(a){a=a|0;k[a>>2]=15200;DO(a+92|0);DO(a+84|0);DO(a+76|0);cra(a);return}function LV(){var a=0;a=r;r=r+16|0;if(!(Fb(85888,482)|0)){r=a;return}else sV(59117,a)}function MV(a,b){a=a|0;b=b|0;var c=0;c=a+32|0;Wf(k[c>>2]|0);if(!b)a=0;else a=LP(b)|0;k[c>>2]=a;return}function NV(a){a=a|0;k[a>>2]=7508;DO(a+76|0);A9(a+64|0);cra(a);return}function OV(a,b){a=a|0;b=b|0;var c=0;c=a+28|0;Wf(k[c>>2]|0);if(!b)a=0;else a=LP(b)|0;k[c>>2]=a;return}function PV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function QV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function RV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function SV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function TV(a){a=a|0;k[a>>2]=12708;DO(a+64|0);A9(a+52|0);cra(a);return}function UV(a,b){a=a|0;b=b|0;U4(a,b)|0;return 0}function VV(a,b){a=a|0;b=b|0;V4(a,b)|0;return 0}function WV(a,b){a=a|0;b=b|0;W4(a,b)|0;return 0}function XV(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;d=d-c|0;return (d>>>0<e>>>0?d:e)|0}function YV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function ZV(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function _V(a){a=a|0;var b=0;a=k[a+4>>2]|0;if(!a)return;b=a+4|0;k[b>>2]=(k[b>>2]|0)+1;i[a+8>>0]=0;return}function $V(a){a=a|0;var b=0;b=a+16|0;k[b>>2]=k[b>>2]|1;if(!(k[a+20>>2]&1))return;else Rb()}function aW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function bW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function cW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function dW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function eW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function fW(a){a=a|0;k[a>>2]=9828;A9(a+68|0);DO(a+60|0);cra(a);return}function gW(a,b){a=a|0;b=b|0;DE(a,b,rM(85768)|0);return}function hW(a,b){a=a|0;b=b|0;DE(a,b,rM(85776)|0);return}function iW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function jW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function kW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function lW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function mW(a){a=a|0;return ru(a)|0}function nW(a){a=a|0;k[a>>2]=8180;DO(a+80|0);DO(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function oW(a,b,c,d,e,f,g){a=a|0;b=+b;c=+c;d=+d;e=+e;f=f|0;g=g|0;return vc[a&1](+b,+c,+d,+e,f|0,g|0)|0}function pW(a,b){a=a|0;b=b|0;DE(a,b,rM(85760)|0);return}function qW(a,b){a=a|0;b=b|0;DE(a,b,rM(85752)|0);return}function rW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function sW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function tW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function uW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function vW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function wW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function xW(a,b){a=a|0;b=b|0;R5(a,b)|0;return 0}function yW(a,b){a=a|0;b=b|0;S5(a,b)|0;return 0}function zW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function AW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function BW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function CW(a){a=a|0;a=ds(a)|0;if(!a){a=0;return a|0}a=Yx(a)|0;return a|0}function DW(a){a=a|0;var b=0,c=0;b=a+64|0;c=k[b>>2]|0;if(c|0)return c|0;c=l[a+60>>0]|0;k[b>>2]=c;return c|0}function EW(a){a=a|0;var b=0;if((k[a+76>>2]|0)>-1){b=(kra(a)|0)==0;a=sN(a)|0}else a=sN(a)|0;return a|0}function FW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function GW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function HW(a){a=a|0;k[a>>2]=15668;A9(a+8|0);Pca(a);return}function IW(a,b){a=+a;b=+b;if(!(a>0.0&b<0.0))if(!(a<0.0&b>0.0)){b=+Pm(a,b);return +b}a=+Pm(a,b);b=a!=0.0?a+b:a;return +b}function JW(a,b){a=a|0;b=b|0;q6(a,b)|0;return 0}function KW(a,b){a=a|0;b=b|0;r6(a,b)|0;return 0}function LW(a,b){a=a|0;b=b|0;s6(a,b)|0;return 0}function MW(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return qc[a&63](b|0,c|0,d|0,e|0,f|0)|0}function NW(){var a=0;a=nO()|0;a=k[a>>2]|0;k[21448]=a;mca(a);return 85792}function OW(a,b,c){a=a|0;b=b|0;c=c|0;return ((k[b>>2]|0)==(c|0)?(k[b+4>>2]|0)==(a|0):0)|0}function PW(a){a=a|0;a=oc[k[(k[a>>2]|0)+12>>2]&511](a)|0;lc[k[(k[a>>2]|0)+36>>2]&511](a);return a|0}function QW(a){a=a|0;a=ds(a)|0;if(!a){a=0;return a|0}a=(i[a>>0]|0)==37?a+1|0:0;return a|0}function RW(a,b){a=a|0;b=b|0;I6(a,b)|0;return 0}function SW(a,b){a=a|0;b=b|0;J6(a,b)|0;return 0}function TW(a,b){a=a|0;b=b|0;K6(a,b)|0;return 0}function UW(a,b){a=a|0;b=b|0;L6(a,b)|0;return 0}function VW(a){a=a|0;k[a>>2]=10176;DO(a+72|0);A9(a+60|0);return}function WW(a,b){a=a|0;b=b|0;DE(a,b,rM(85696)|0);return}function XW(a,b){a=a|0;b=b|0;DE(a,b,rM(85688)|0);return}function YW(a,b){a=a|0;b=b|0;DE(a,b,rM(85680)|0);return}function ZW(a,b){a=a|0;b=b|0;DE(a,b,rM(85672)|0);return}function _W(a,b){a=a|0;b=b|0;d7(a,b)|0;return 0}function $W(a,b){a=a|0;b=b|0;e7(a,b)|0;return 0}function aX(a,b){a=a|0;b=b|0;f7(a,b)|0;return 0}function bX(a){a=a|0;a=85180;do{a=a+-12|0;X8(a)}while((a|0)!=84892);return}function cX(a){a=a|0;a=84368;do{a=a+-12|0;A9(a)}while((a|0)!=84080);return}function dX(a){a=a|0;lca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function eX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function fX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function gX(a){a=a|0;k[a>>2]=15200;DO(a+92|0);DO(a+84|0);DO(a+76|0);return}function hX(a,b){a=a|0;b=b|0;o7(a,b)|0;return 0}function iX(a,b){a=a|0;b=b|0;p7(a,b)|0;return 0}function jX(a){a=a|0;a=85472;do{a=a+-12|0;X8(a)}while((a|0)!=85184);return}function kX(a){a=a|0;a=84660;do{a=a+-12|0;A9(a)}while((a|0)!=84372);return}function lX(a){a=a|0;a=85644;do{a=a+-12|0;X8(a)}while((a|0)!=85476);return}function mX(a){a=a|0;return jv(a)|0}function nX(a){a=a|0;k[a>>2]=7508;DO(a+76|0);A9(a+64|0);return}function oX(){var a=0;a=BO(1,32)|0;if(!a){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{k[a+16>>2]=5;return a|0}return 0}function pX(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;return Oc[a&7](b|0,c|0,d|0,e|0,+f)|0}function qX(a){a=a|0;Jca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function rX(a){a=a|0;Kca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function sX(a){a=a|0;Lca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function tX(a){a=a|0;Mca(a+(k[(k[a>>2]|0)+-12>>2]|0)|0);return}function uX(a){a=a|0;k[a>>2]=12708;DO(a+64|0);A9(a+52|0);return}function vX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function wX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function xX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function yX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function zX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function AX(a){a=a|0;k[a>>2]=11708;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function BX(a,b){a=a|0;b=b|0;z7(a,b)|0;return 0}function CX(a,b){a=a|0;b=b|0;A7(a,b)|0;return 0}function DX(a,b){a=a|0;b=b|0;B7(a,b)|0;return 0}function EX(a,b){a=a|0;b=b|0;C7(a,b)|0;return 0}function FX(a,b){a=a|0;b=b|0;D7(a,b)|0;return 0}function GX(){var a=0;a=BO(1,32)|0;if(!a){SN(49612,15,1,k[5390]|0)|0;Zb(1)}else{k[a+16>>2]=4;return a|0}return 0}function HX(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;j=j|0;ea(23)}function IX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function JX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function KX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function LX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function MX(a){a=a|0;k[a>>2]=12472;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function NX(a){a=a|0;a=84832;do{a=a+-12|0;A9(a)}while((a|0)!=84664);return}function OX(a){a=a|0;a=oc[k[(k[a>>2]|0)+152>>2]&511](a)|0;return (a?k[4071]|0:k[4075]|0)|0}function PX(a){a=a|0;k[a>>2]=9828;A9(a+68|0);DO(a+60|0);return}function QX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function RX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function SX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function TX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function UX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function VX(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function WX(a){a=a|0;k[a>>2]=7300;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function XX(a,b){a=a|0;b=b|0;DE(a,b,rM(83976)|0);return}function YX(a,b){a=a|0;b=b|0;DE(a,b,rM(85744)|0);return}function ZX(a,b){a=a|0;b=b|0;DE(a,b,rM(85736)|0);return}function _X(a){a=a|0;a=a+8|0;if((i[a+11>>0]|0)<0){a=k[a>>2]|0;return a|0}else return a|0;return 0}function $X(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function aY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function bY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function cY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function dY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function eY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function fY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+180>>2]&2047](b,a)|0}function gY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function hY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function iY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function jY(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;kc[a&31](b|0,c|0,d|0,e|0,f|0)}function kY(a,b){a=a|0;b=b|0;DE(a,b,rM(84e3)|0);return}function lY(a,b){a=a|0;b=b|0;DE(a,b,rM(83952)|0);return}function mY(a,b){a=a|0;b=b|0;DE(a,b,rM(83944)|0);return}function nY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+192>>2]&2047](b,a)|0}function oY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+200>>2]&2047](b,a)|0}function pY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function qY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function rY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function sY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function tY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function uY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function vY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function wY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function xY(a,b){a=a|0;b=b|0;_7(a,b)|0;return 0}function yY(a,b){a=a|0;b=b|0;$7(a,b)|0;return 0}function zY(a,b){a=a|0;b=b|0;a8(a,b)|0;return 0}function AY(a,b){a=a|0;b=b|0;b8(a,b)|0;return 0}function BY(a,b){a=a|0;b=b|0;c8(a,b)|0;return 0}function CY(a){a=a|0;k[a>>2]=7076;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function DY(a){a=a|0;if(RQ(a)|0)TS(a);return}function EY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function FY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function GY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+180>>2]&2047](b,a)|0}function HY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function IY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function JY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function KY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function LY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function MY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function NY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function OY(a,b){a=a|0;b=b|0;DE(a,b,rM(83992)|0);return}function PY(a,b){a=a|0;b=b|0;DE(a,b,rM(83960)|0);return}function QY(){if(!(i[76728]|0))if(Qba(76728)|0){k[20727]=25920;Pb(330,82908,x|0)|0}return 82908}function RY(a,b){a=a|0;b=b|0;a=k[a>>2]|0;return tP(a,rM(b)|0)|0}function SY(a,b){a=a|0;b=b|0;a=k[a>>2]|0;return WS(a,rM(b)|0)|0}function TY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+188>>2]&2047](b,a)|0}function UY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+236>>2]&2047](b,a)|0}function VY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+136>>2]&2047](b,a)|0}function WY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function XY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+180>>2]&2047](b,a)|0}function YY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+180>>2]&2047](b,a)|0}function ZY(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function _Y(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function $Y(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function aZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function bZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function cZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function dZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function eZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function fZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function gZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function hZ(a,b){a=a|0;b=b|0;k8(a,b)|0;return 0}function iZ(a,b){a=a|0;b=b|0;l8(a,b)|0;return 0}function jZ(a,b){a=a|0;b=b|0;m8(a,b)|0;return 0}function kZ(a,b){a=a|0;b=b|0;n8(a,b)|0;return 0}function lZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function mZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+180>>2]&2047](b,a)|0}function nZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function oZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function pZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function qZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function rZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function sZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function tZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function uZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function vZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function wZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function xZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function yZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function zZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function AZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function BZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function CZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function DZ(a,b){a=a|0;b=b|0;return Baa(b)|0}function EZ(a,b){a=a|0;b=b|0;return Baa(b)|0}function FZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function GZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function HZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function IZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function JZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function KZ(a,b){a=a|0;b=b|0;a=b+60|0;if((i[a+11>>0]|0)<0)a=k[a>>2]|0;return IQ(a)|0}function LZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+252>>2]&2047](b,a)|0}function MZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function NZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function OZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function PZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function QZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function RZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function SZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function TZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function UZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function VZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function WZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function XZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function YZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function ZZ(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function _Z(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function $Z(a){a=a|0;k[a>>2]=6660;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function a_(a,b){a=a|0;b=b|0;return BP(+p[b+64>>3],+p[b+72>>3],+p[b+80>>3],+p[b+88>>3])|0}function b_(a,b){a=a|0;b=b|0;a=b+64|0;if((i[a+11>>0]|0)<0)a=k[a>>2]|0;return vP(a)|0}function c_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+180>>2]&2047](b,a)|0}function d_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+184>>2]&2047](b,a)|0}function e_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+264>>2]&2047](b,a)|0}function f_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+124>>2]&2047](b,a)|0}function g_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function h_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function i_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function j_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function k_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function l_(a,b){a=a|0;b=b|0;return Baa(b)|0}function m_(a,b){a=a|0;b=b|0;return Baa(b)|0}function n_(a,b){a=a|0;b=b|0;return Baa(b)|0}function o_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function p_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function q_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function r_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function s_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function t_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function u_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function v_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function w_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function x_(a){a=a|0;a=a+20|0;if((i[a+11>>0]|0)<0){a=k[a>>2]|0;return a|0}else return a|0;return 0}function y_(a,b){a=a|0;b=b|0;Ei(a,b+64|0,42);return}function z_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+260>>2]&2047](b,a)|0}function A_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+128>>2]&2047](b,a)|0}function B_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+240>>2]&2047](b,a)|0}function C_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+268>>2]&2047](b,a)|0}function D_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function E_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function F_(a,b){a=a|0;b=b|0;return yh(a,b)|0}function G_(a,b){a=a|0;b=b|0;return yh(a,b)|0}function H_(a,b){a=a|0;b=b|0;B8(a,b)|0;return 0}function I_(a,b){a=a|0;b=b|0;C8(a,b)|0;return 0}function J_(a,b){a=a|0;b=b|0;D8(a,b)|0;return 0}function K_(a,b){a=a|0;b=b|0;E8(a,b)|0;return 0}function L_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function M_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function N_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function O_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function P_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function Q_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function R_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function S_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function T_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function U_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function V_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function W_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function X_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function Y_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function Z_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function __(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function $_(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function a$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function b$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function c$(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=+d;e=e|0;f=f|0;Ac[a&1](b|0,c|0,+d,e|0,f|0)}function d$(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function e$(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function f$(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function g$(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function h$(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function i$(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function j$(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function k$(a,b){a=a|0;b=b|0;i[a>>0]=2;i[a+1>>0]=3;i[a+2>>0]=0;i[a+3>>0]=4;return}function l$(a){a=a|0;k[a>>2]=8468;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);cra(a);return}function m$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+172>>2]&2047](b,a)|0}function n$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+232>>2]&2047](b,a)|0}function o$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+256>>2]&2047](b,a)|0}function p$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+212>>2]&2047](b,a)|0}function q$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function r$(a,b){a=a|0;b=b|0;return Baa(b)|0}function s$(a,b){a=a|0;b=b|0;return Baa(b)|0}function t$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function u$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function v$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function w$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function x$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function y$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function z$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function A$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function B$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function C$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function D$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function E$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function F$(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[e>>2]=c;return 3}function G$(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[e>>2]=c;return 3}function H$(a,b){a=a|0;b=b|0;Ei(a,b+64|0,42);return}function I$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function J$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function K$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function L$(a,b){a=a|0;b=b|0;a=b+60|0;if((i[a+11>>0]|0)<0)a=k[a>>2]|0;return MQ(a)|0}function M$(a,b){a=a|0;b=b|0;return yh(a,b)|0}function N$(a,b){a=a|0;b=b|0;return yh(a,b)|0}function O$(a,b){a=a|0;b=b|0;return yh(a,b)|0}function P$(a,b){a=a|0;b=b|0;Q8(a,b)|0;return 0}function Q$(a,b){a=a|0;b=b|0;R8(a,b)|0;return 0}function R$(a,b){a=a|0;b=b|0;return Baa(b)|0}function S$(a,b){a=a|0;b=b|0;return Baa(b)|0}function T$(a,b){a=a|0;b=b|0;return Baa(b)|0}function U$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+244>>2]&2047](b,a)|0}function V$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function W$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function X$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function Y$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function Z$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function _$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function $$(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function a0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function b0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function c0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function d0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function e0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function f0(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;k[e>>2]=c;return 3}function g0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function h0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function i0(a){a=a|0;if((i[a>>0]|0)!=45){a=0;return a|0}do a=a+1|0;while((i[a>>0]|0)==45);return a|0}function j0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function k0(a){a=a|0;if((k[k[a+68>>2]>>2]|0)==3)return;k[a+80>>2]=1;k[a+76>>2]=0;return}function l0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+28>>2]&2047](b,a)|0}function m0(a,b){a=a|0;b=b|0;return Baa(b)|0}function n0(a,b){a=a|0;b=b|0;return Baa(b)|0}function o0(a,b){a=a|0;b=b|0;return Baa(b)|0}function p0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+164>>2]&2047](b,a)|0}function q0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+168>>2]&2047](b,a)|0}function r0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+272>>2]&2047](b,a)|0}function s0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+132>>2]&2047](b,a)|0}function t0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+204>>2]&2047](b,a)|0}function u0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function v0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function w0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function x0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function y0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function z0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function A0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function B0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function C0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function D0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function E0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function F0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function G0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function H0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function I0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function J0(a){a=a|0;a=a+8|0;if((i[a+11>>0]|0)<0){a=k[a>>2]|0;return a|0}else return a|0;return 0}function K0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function L0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function M0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function N0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function O0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function P0(a){a=a|0;k[a>>2]=11708;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function Q0(a,b){a=a|0;b=b|0;return yh(a,b)|0}function R0(a,b){a=a|0;b=b|0;return yh(a,b)|0}function S0(a,b){a=a|0;b=b|0;Y8(a,b)|0;return 0}function T0(a,b){a=a|0;b=b|0;Z8(a,b)|0;return 0}function U0(a,b){a=a|0;b=b|0;_8(a,b)|0;return 0}function V0(a,b){a=a|0;b=b|0;$8(a,b)|0;return 0}function W0(a,b){a=a|0;b=b|0;return Baa(b)|0}function X0(a,b){a=a|0;b=b|0;return Baa(b)|0}function Y0(a,b){a=a|0;b=b|0;return Baa(b)|0}function Z0(a,b){a=a|0;b=b|0;return Baa(b)|0}function _0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+44>>2]&2047](b,a)|0}function $0(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+36>>2]&2047](b,a)|0}function a1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function b1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function c1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function d1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function e1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function f1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function g1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function h1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function i1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function j1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function k1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function l1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function m1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function n1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function o1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function p1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function q1(a){a=a|0;var b=0;b=i[a>>0]|0;b=b<<24>>24|0;return ((b|0)==32|(b+-9|0)>>>0<5?a+1|0:0)|0}function r1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function s1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function t1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function u1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function v1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function w1(a,b){a=a|0;b=b|0;return yh(a,b)|0}function x1(a,b){a=a|0;b=b|0;return yh(a,b)|0}function y1(a,b){a=a|0;b=b|0;return yh(a,b)|0}function z1(a,b){a=a|0;b=b|0;return yh(a,b)|0}function A1(a,b){a=a|0;b=b|0;return Baa(b)|0}function B1(a,b){a=a|0;b=b|0;return Baa(b)|0}function C1(a,b){a=a|0;b=b|0;return Baa(b)|0}function D1(a){a=a|0;k[a>>2]=12472;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function E1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+196>>2]&2047](b,a)|0}function F1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+248>>2]&2047](b,a)|0}function G1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function H1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function I1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function J1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function K1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function L1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function M1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function N1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function O1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function P1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function Q1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function R1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function S1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function T1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function U1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function V1(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function W1(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+192>>2]&1023](b,a);return}function X1(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+200>>2]&1023](b,a);return}function Y1(a,b){a=a|0;b=b|0;return yh(a,b)|0}function Z1(a,b){a=a|0;b=b|0;return yh(a,b)|0}function _1(a,b){a=a|0;b=b|0;return yh(a,b)|0}function $1(a,b){a=a|0;b=b|0;return yh(a,b)|0}function a2(a,b){a=a|0;b=b|0;l9(a,b)|0;return 0}function b2(a,b){a=a|0;b=b|0;m9(a,b)|0;return 0}function c2(a,b){a=a|0;b=b|0;n9(a,b)|0;return 0}function d2(a,b){a=a|0;b=b|0;return Baa(b)|0}function e2(a,b){a=a|0;b=b|0;return Baa(b)|0}function f2(a,b){a=a|0;b=b|0;return Baa(b)|0}function g2(a,b){a=a|0;b=b|0;return Baa(b)|0}function h2(a,b){a=a|0;b=b|0;return Baa(b)|0}function i2(a,b){a=a|0;b=b|0;return Baa(b)|0}function j2(a){a=a|0;k[a>>2]=7300;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function k2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+32>>2]&2047](b,a)|0}function l2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+60>>2]&2047](b,a)|0}function m2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+48>>2]&2047](b,a)|0}function n2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+220>>2]&2047](b,a)|0}function o2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+112>>2]&2047](b,a)|0}function p2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+108>>2]&2047](b,a)|0}function q2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function r2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function s2(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;k[a>>2]=c;k[a+4>>2]=d;k[a+8>>2]=b;return}function t2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function u2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function v2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function w2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function x2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function y2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function z2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function A2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function B2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function C2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function D2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function E2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function F2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function G2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function H2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function I2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function J2(a){a=a|0;k[a>>2]=11584;DO(a+68|0);DO(a+60|0);cra(a);return}function K2(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function L2(a,b){a=a|0;b=b|0;return yh(a,b)|0}function M2(a,b){a=a|0;b=b|0;return yh(a,b)|0}function N2(a,b){a=a|0;b=b|0;return yh(a,b)|0}function O2(a,b){a=a|0;b=b|0;return yh(a,b)|0}function P2(a,b){a=a|0;b=b|0;return Baa(b)|0}function Q2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+52>>2]&2047](b,a)|0}function R2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+216>>2]&2047](b,a)|0}function S2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+104>>2]&2047](b,a)|0}function T2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+228>>2]&2047](b,a)|0}function U2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function V2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function W2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function X2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function Y2(a,b,c){a=a|0;b=b|0;c=c|0;Ne(a,b+16|0,c);return}function Z2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function _2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function $2(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function a3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function b3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function c3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function d3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function e3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function f3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function g3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function h3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function i3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function j3(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+188>>2]&1023](b,a);return}function k3(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+236>>2]&1023](b,a);return}function l3(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+136>>2]&1023](b,a);return}function m3(a){a=a|0;k[a>>2]=11100;A9(a+64|0);cra(a);return}function n3(a,b){a=a|0;b=b|0;return yh(a,b)|0}function o3(a,b){a=a|0;b=b|0;return yh(a,b)|0}function p3(a,b){a=a|0;b=b|0;t9(a,b)|0;return 0}function q3(a,b){a=a|0;b=b|0;u9(a,b)|0;return 0}function r3(a,b){a=a|0;b=b|0;v9(a,b)|0;return 0}function s3(a,b){a=a|0;b=b|0;w9(a,b)|0;return 0}function t3(a,b){a=a|0;b=b|0;x9(a,b)|0;return 0}function u3(a,b){a=a|0;b=b|0;return Baa(b)|0}function v3(a,b){a=a|0;b=b|0;return Baa(b)|0}function w3(a,b){a=a|0;b=b|0;return Baa(b)|0}function x3(a,b){a=a|0;b=b|0;return Baa(b)|0}function y3(a,b){a=a|0;b=b|0;return Baa(b)|0}function z3(a){a=a|0;k[a>>2]=7076;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function A3(a){a=a|0;var b=0;b=k[a+120>>2]|0;if(b|0)Wf(b);PE(a);Wf(a);return}function B3(a){a=a|0;var b=0,c=0;c=(IJ(a)|0)+1|0;b=ud(c)|0;if(!b)b=0;else wH(b|0,a|0,c|0)|0;return b|0}function C3(a,b,c){a=a|0;b=b|0;c=c|0;if(!b)a=0;else a=aA(a,l[c>>0]|0,b)|0;return a|0}function D3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+40>>2]&2047](b,a)|0}function E3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+148>>2]&2047](b,a)|0}function F3(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function G3(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function H3(a){a=a|0;var b=0;b=i[a>>0]|0;b=b<<24>>24|0;return ((b|0)==32|(b+-9|0)>>>0<5?0:a)|0}function I3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+224>>2]&2047](b,a)|0}function J3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function K3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function L3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function M3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function N3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function O3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function P3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function Q3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function R3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function S3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function T3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function U3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function V3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function W3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function X3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function Y3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function Z3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function _3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function $3(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function a4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function b4(a){a=a|0;k[a>>2]=12092;DO(a+68|0);DO(a+60|0);cra(a);return}function c4(a){a=a|0;k[a>>2]=10300;DO(a+68|0);DO(a+60|0);cra(a);return}function d4(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function e4(a,b){a=a|0;b=b|0;return yh(a,b)|0}function f4(a,b){a=a|0;b=b|0;return yh(a,b)|0}function g4(a,b){a=a|0;b=b|0;return yh(a,b)|0}function h4(a,b){a=a|0;b=b|0;return yh(a,b)|0}function i4(a,b){a=a|0;b=b|0;return yh(a,b)|0}function j4(a,b){a=a|0;b=b|0;return yh(a,b)|0}function k4(a,b){a=a|0;b=b|0;return Baa(b)|0}function l4(a,b){a=a|0;b=b|0;return Baa(b)|0}function m4(a,b){a=a|0;b=b|0;return Baa(b)|0}function n4(a,b){a=a|0;b=b|0;return Baa(b)|0}function o4(a){a=a|0;var b=0;b=i[a>>0]|0;return (((b&-33)+-65|0)>>>0<6|(b+-48|0)>>>0<10?a+1|0:0)|0}function p4(a){a=a|0;var b=0;b=i[a>>0]|0;return ((b+-48|0)>>>0<10|((b&-33)+-65|0)>>>0<26?a+1|0:0)|0}function q4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+100>>2]&2047](b,a)|0}function r4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+160>>2]&2047](b,a)|0}function s4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function t4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function u4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function v4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function w4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function x4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function y4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function z4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function A4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function B4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function C4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function D4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function E4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function F4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function G4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function H4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function I4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function J4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function K4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function L4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function M4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function N4(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+252>>2]&1023](b,a);return}function O4(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function P4(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function Q4(a,b){a=a|0;b=b|0;return yh(a,b)|0}function R4(a,b){a=a|0;b=b|0;B9(a,b)|0;return 0}function S4(a){a=a|0;k[a>>2]=11100;A9(a+64|0);cra(a);return}function T4(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return Kc[a&31](b|0,c|0,d|0,e|0)|0}function U4(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function V4(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function W4(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function X4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+64>>2]&2047](b,a)|0}function Y4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+16>>2]&2047](b,a)|0}function Z4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+76>>2]&2047](b,a)|0}function _4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+152>>2]&2047](b,a)|0}function $4(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function a5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function b5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function c5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function d5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function e5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function f5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function g5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function h5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function i5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function j5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function k5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function l5(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+180>>2]&1023](b,a);return}function m5(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+184>>2]&1023](b,a);return}function n5(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+264>>2]&1023](b,a);return}function o5(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+124>>2]&1023](b,a);return}function p5(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function q5(a,b){a=a|0;b=b|0;return yh(a,b)|0}function r5(a,b){a=a|0;b=b|0;return yh(a,b)|0}function s5(a,b){a=a|0;b=b|0;return Baa(b)|0}function t5(a,b){a=a|0;b=b|0;return Baa(b)|0}function u5(a,b){a=a|0;b=b|0;return Baa(b)|0}function v5(a,b){a=a|0;b=b|0;return Baa(b)|0}function w5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+96>>2]&2047](b,a)|0}function x5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a)|0}function y5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+20>>2]&2047](b,a)|0}function z5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+156>>2]&2047](b,a)|0}function A5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function B5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function C5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function D5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function E5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function F5(a){a=a|0;k[a>>2]=11820;DO(a+68|0);DO(a+60|0);cra(a);return}function G5(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+260>>2]&1023](b,a);return}function H5(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+128>>2]&1023](b,a);return}function I5(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+240>>2]&1023](b,a);return}function J5(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+268>>2]&1023](b,a);return}function K5(a,b){a=a|0;b=b|0;return yh(a,b)|0}function L5(a,b){a=a|0;b=b|0;F9(a,b)|0;return 0}function M5(a,b){a=a|0;b=b|0;return Baa(b)|0}function N5(a,b){a=a|0;b=b|0;return Baa(b)|0}function O5(a,b){a=a|0;b=b|0;return Baa(b)|0}function P5(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;c=a+c>>>0;return (N=b+d+(c>>>0<a>>>0|0)>>>0,c|0)|0}function Q5(a){a=a|0;wM(a+(k[(k[a>>2]|0)+-12>>2]|0)+12|0);return}function R5(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function S5(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function T5(a){a=a|0;k[a>>2]=6660;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function U5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+92>>2]&2047](b,a)|0}function V5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+24>>2]&2047](b,a)|0}function W5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+68>>2]&2047](b,a)|0}function X5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+72>>2]&2047](b,a)|0}function Y5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+12>>2]&2047](b,a)|0}function Z5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+208>>2]&2047](b,a)|0}function _5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+116>>2]&2047](b,a)|0}function $5(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function a6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function b6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function c6(a){a=a|0;k[a>>2]=9580;DO(a+76|0);DO(a+68|0);cra(a);return}function d6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+172>>2]&1023](b,a);return}function e6(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function f6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+232>>2]&1023](b,a);return}function g6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+256>>2]&1023](b,a);return}function h6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+212>>2]&1023](b,a);return}function i6(a,b){a=a|0;b=b|0;return Baa(b)|0}function j6(a,b){a=a|0;b=b|0;return Baa(b)|0}function k6(a,b){a=a|0;b=b|0;return Baa(b)|0}function l6(a,b){a=a|0;b=b|0;return Baa(b)|0}function m6(a,b){a=a|0;b=b|0;return Baa(b)|0}function n6(a){a=a|0;var b=0;k[a>>2]=28568;b=k[a+8>>2]|0;if(b|0)if(i[a+12>>0]|0)Xqa(b);return}function o6(a,b){a=a|0;b=b|0;cL(a,b+16|0);return}function p6(a,b){a=a|0;b=b|0;cL(a,b+12|0);return}function q6(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function r6(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function s6(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function t6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+88>>2]&2047](b,a)|0}function u6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+120>>2]&2047](b,a)|0}function v6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function w6(a,b){a=a|0;b=b|0;return yh(a,b)|0}function x6(a,b){a=a|0;b=b|0;return yh(a,b)|0}function y6(a,b){a=a|0;b=b|0;J9(a,b)|0;return 0}function z6(a,b){a=a|0;b=b|0;return Baa(b)|0}function A6(a,b){a=a|0;b=b|0;return Baa(b)|0}function B6(a,b){a=a|0;b=b|0;return Baa(b)|0}function C6(a,b){a=a|0;b=b|0;return Baa(b)|0}function D6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+244>>2]&1023](b,a);return}function E6(a){a=a|0;wM(a+(k[(k[a>>2]|0)+-12>>2]|0)+4|0);return}function F6(a){a=a|0;wM(a+(k[(k[a>>2]|0)+-12>>2]|0)+4|0);return}function G6(a){a=a|0;wM(a+(k[(k[a>>2]|0)+-12>>2]|0)+8|0);return}function H6(a){a=a|0;wM(a+(k[(k[a>>2]|0)+-12>>2]|0)+8|0);return}function I6(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function J6(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function K6(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function L6(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function M6(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function N6(a){a=a|0;k[a>>2]=8468;DO(a+72|0);k[a>>2]=6772;DO(a+64|0);return}function O6(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+84>>2]&2047](b,a)|0}function P6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+28>>2]&1023](b,a);return}function Q6(a,b){a=a|0;b=b|0;return yh(a,b)|0}function R6(a,b){a=a|0;b=b|0;return yh(a,b)|0}function S6(a,b){a=a|0;b=b|0;return yh(a,b)|0}function T6(a,b){a=a|0;b=b|0;return Baa(b)|0}function U6(a,b){a=a|0;b=b|0;return Baa(b)|0}function V6(a,b){a=a|0;b=b|0;return Baa(b)|0}function W6(a,b){a=a|0;b=b|0;return Baa(b)|0}function X6(a,b){a=a|0;b=b|0;return Baa(b)|0}function Y6(a,b){a=a|0;b=b|0;return Baa(b)|0}function Z6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+164>>2]&1023](b,a);return}function _6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+168>>2]&1023](b,a);return}function $6(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+272>>2]&1023](b,a);return}function a7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+132>>2]&1023](b,a);return}function b7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+204>>2]&1023](b,a);return}function c7(a){a=a|0;k[a>>2]=10424;A9(a+60|0);cra(a);return}function d7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function e7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function f7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function g7(a,b){a=a|0;b=b|0;return Fc[k[(k[b>>2]|0)+80>>2]&2047](b,a)|0}function h7(a,b){a=a|0;b=b|0;return yh(a,b)|0}function i7(a,b){a=a|0;b=b|0;return Baa(b)|0}function j7(a,b){a=a|0;b=b|0;return Baa(b)|0}function k7(a,b){a=a|0;b=b|0;return Baa(b)|0}function l7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+44>>2]&1023](b,a);return}function m7(a){a=a|0;k[a>>2]=12348;DO(a+68|0);DO(a+60|0);cra(a);return}function n7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+36>>2]&1023](b,a);return}function o7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function p7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function q7(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function r7(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function s7(a,b){a=a|0;b=b|0;return yh(a,b)|0}function t7(a,b){a=a|0;b=b|0;return yh(a,b)|0}function u7(a,b){a=a|0;b=b|0;return Baa(b)|0}function v7(a,b){a=a|0;b=b|0;return Baa(b)|0}function w7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+196>>2]&1023](b,a);return}function x7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+248>>2]&1023](b,a);return}function y7(a,b){a=a|0;b=b|0;i[a+-60+53>>0]=0;return}function z7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function A7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function B7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function C7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function D7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function E7(a){a=a|0;return hm(a)|0}function F7(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function G7(a,b){a=a|0;b=b|0;return yh(a,b)|0}function H7(a,b){a=a|0;b=b|0;return yh(a,b)|0}function I7(a,b){a=a|0;b=b|0;return Baa(b)|0}function J7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+32>>2]&1023](b,a);return}function K7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+60>>2]&1023](b,a);return}function L7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+48>>2]&1023](b,a);return}function M7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+220>>2]&1023](b,a);return}function N7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+112>>2]&1023](b,a);return}function O7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+108>>2]&1023](b,a);return}function P7(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ea(32);return 0}function Q7(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function R7(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function S7(a){a=a|0;k[a>>2]=10548;A9(a+96|0);cra(a);return}function T7(a,b){a=a|0;b=b|0;return yh(a,b)|0}function U7(a,b){a=a|0;b=b|0;return yh(a,b)|0}function V7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+52>>2]&1023](b,a);return}function W7(a,b){a=a|0;b=b|0;b=k[b>>2]|0;k[a>>2]=b;mca(b);return}function X7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+216>>2]&1023](b,a);return}function Y7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+104>>2]&1023](b,a);return}function Z7(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+228>>2]&1023](b,a);return}function _7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function $7(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function a8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function b8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function c8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function d8(a,b){a=a|0;b=b|0;zx(a+16|0,b);return}function e8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function f8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function g8(a,b){a=a|0;b=b|0;return yh(a,b)|0}function h8(a,b,c){a=a|0;b=b|0;c=c|0;return (a|0)==(b|0)|0}function i8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+40>>2]&1023](b,a);return}function j8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+148>>2]&1023](b,a);return}function k8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function l8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function m8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function n8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function o8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+224>>2]&1023](b,a);return}function p8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function q8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function r8(a,b){a=a|0;b=b|0;Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a+8|0)|0;return 0}function s8(a){a=a|0;k[a>>2]=11584;DO(a+68|0);DO(a+60|0);return}function t8(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Pc[a&63](b|0,c|0,d|0,e|0)}function u8(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=c;k[a+4>>2]=b;return}function v8(a,b){a=a|0;b=b|0;DB(a+16|0,b);return}function w8(a,b){a=a|0;b=b|0;cL(a,b+4|0);return}function x8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+100>>2]&1023](b,a);return}function y8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+160>>2]&1023](b,a);return}function z8(a){a=a|0;k[a>>2]=11100;A9(a+64|0);return}function A8(a){a=a|0;var b=0,c=0;b=(yra()|0)+184|0;c=k[b>>2]|0;if(a|0)k[b>>2]=a;return c|0}function B8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function C8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function D8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function E8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function F8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+64>>2]&1023](b,a);return}function G8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+16>>2]&1023](b,a);return}function H8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+76>>2]&1023](b,a);return}function I8(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function J8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+152>>2]&1023](b,a);return}function K8(a,b){a=a|0;b=b|0;Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a+8|0)|0;return 0}function L8(a,b){a=a|0;b=b|0;Fc[k[(k[b>>2]|0)+56>>2]&2047](b,a+8|0)|0;return 0}function M8(a){a=a|0;k[a>>2]=12092;DO(a+68|0);DO(a+60|0);return}function N8(a){a=a|0;k[a>>2]=10300;DO(a+68|0);DO(a+60|0);return}function O8(a){a=a|0;var b=0;if(a>>>0>4294963200){b=W8()|0;k[b>>2]=0-a;a=-1}return a|0}function P8(a,b,c){a=a|0;b=b|0;c=c|0;if(!c)a=0;else a=bN(a,b,c)|0;return a|0}function Q8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function R8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function S8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+96>>2]&1023](b,a);return}function T8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+56>>2]&1023](b,a);return}function U8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+20>>2]&1023](b,a);return}function V8(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+156>>2]&1023](b,a);return}function W8(){var a=0;if(!(k[20587]|0))a=82392;else{a=(yra()|0)+64|0;a=k[a>>2]|0}return a|0}function X8(a){a=a|0;if((i[a+8+3>>0]|0)<0)cra(k[a>>2]|0);return}function Y8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function Z8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function _8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function $8(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function a9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+92>>2]&1023](b,a);return}function b9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+24>>2]&1023](b,a);return}function c9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+68>>2]&1023](b,a);return}function d9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+72>>2]&1023](b,a);return}function e9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+12>>2]&1023](b,a);return}function f9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+208>>2]&1023](b,a);return}function g9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+116>>2]&1023](b,a);return}function h9(a,b){a=a|0;b=b|0;mc[k[k[b>>2]>>2]&1023](b,a);return}function i9(a){a=a|0;var b=0;b=BO(1,40)|0;if(!b){b=0;return b|0}i[b+4>>0]=a&1;return b|0}function j9(a){a=a|0;k[a>>2]=28660;A9(a+16|0);return}function k9(a){a=a|0;k[a>>2]=28620;A9(a+12|0);return}function l9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function m9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function n9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function o9(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=b;k[a+4>>2]=c;k[a+8>>2]=-1;return}function p9(a){a=a|0;k[a>>2]=17440;DO(a+24|0);DO(a+16|0);cra(a);return}function q9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+88>>2]&1023](b,a);return}function r9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+120>>2]&1023](b,a);return}function s9(a){a=a|0;k[a>>2]=11820;DO(a+68|0);DO(a+60|0);return}function t9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function u9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function v9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function w9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function x9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function y9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+84>>2]&1023](b,a);return}function z9(a){a=a|0;k[a>>2]=9580;DO(a+76|0);DO(a+68|0);return}function A9(a){a=a|0;if((i[a+11>>0]|0)<0)cra(k[a>>2]|0);return}function B9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function C9(a){a=a|0;switch(i[a>>0]|0){case 13:case 10:case 0:break;default:a=0}return a|0}function D9(a,b){a=a|0;b=b|0;return Fc[k[k[b>>2]>>2]&2047](b,a)|0}function E9(a,b){a=a|0;b=b|0;mc[k[(k[b>>2]|0)+80>>2]&1023](b,a);return}function F9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function G9(a){a=a|0;var b=0;b=a+36|0;do{k[a>>2]=0;a=a+4|0}while((a|0)<(b|0));return}function H9(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;ea(13)}function I9(a){a=a|0;k[a>>2]=10424;A9(a+60|0);return}function J9(a,b){a=a|0;b=b|0;$N(0,0)|0;return 0}function K9(a,b){a=a|0;b=b|0;i[a+53>>0]=0;return}function L9(a){a=a|0;k[a>>2]=12348;DO(a+68|0);DO(a+60|0);return}function M9(a){a=a|0;k[a>>2]=25676;Hea(a+4|0);cra(a);return}function N9(a){a=a|0;k[a>>2]=25612;Hea(a+4|0);cra(a);return}function O9(a){a=a|0;if(!a)a=0;else a=nx(a,8,1360,0)|0;return a|0}function P9(a){a=a|0;JM(a+8|0);cra(a);return}function Q9(a){a=a|0;JM(a+8|0);cra(a);return}function R9(a,b){a=a|0;b=b|0;mc[k[k[b>>2]>>2]&1023](b,a);return}function S9(a){a=a|0;k[a>>2]=10548;A9(a+96|0);return}function T9(a){a=a|0;if(!a)a=0;else a=nx(a,8,1208,0)|0;return a|0}function U9(a,b){a=a|0;b=b|0;return Fc[k[(k[a>>2]|0)+92>>2]&2047](a,b)|0}function V9(a){a=a|0;a=i[a>>0]|0;a=a<<24>>24|0;return (a|0)==32|(a+-9|0)>>>0<5|0}function W9(a){a=a|0;lca(a+-8|0);return}function X9(a,b){a=a|0;b=b|0;i[a+-60+53>>0]=0;return}function Y9(a,b){a=a|0;b=b|0;mc[k[k[b>>2]>>2]&1023](b,a);return}function Z9(a){a=a|0;if(!a)a=0;else a=nx(a,8,1208,0)|0;return a|0}function _9(a){a=a|0;if(!a)a=0;else a=nx(a,8,24,0)|0;return a|0}function $9(a,b){a=a|0;b=b|0;return MQ(51085)|0}function aaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function baa(a){a=a|0;cra(a);return}function caa(a){a=a|0;if(a|0)lc[k[(k[a>>2]|0)+4>>2]&511](a);return}function daa(a){a=a|0;Vz(a);cra(a);return}function eaa(a){a=a|0;if(!a)a=0;else a=nx(a,8,24,0)|0;return a|0}function faa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function gaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function haa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function iaa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return rc[a&255](b|0,c|0,d|0)|0}function jaa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ea(0);return 0}function kaa(a){a=a|0;var b=0;b=k[20993]|0;k[20993]=b+1;k[a+4>>2]=b+1;return}function laa(a){a=a|0;a=i[a>>0]|0;return (a+-48|0)>>>0<10|((a&-33)+-65|0)>>>0<26|0}function maa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function naa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function oaa(a,b){a=a|0;b=b|0;return Yf(a,b)|0}function paa(a,b,c){a=a|0;b=b|0;c=c|0;if(c)a=TL(a,b,c)|0;return a|0}function qaa(a){a=a|0;k[a>>2]=17440;DO(a+24|0);DO(a+16|0);return}function raa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function saa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function taa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function uaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function vaa(a,b,c){a=a|0;b=b|0;c=c|0;if(b)a=wU(a,c,b)|0;return a|0}function waa(a,b,c){a=a|0;b=b|0;c=c|0;if(c)a=qR(a,b,c)|0;return a|0}function xaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function yaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function zaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Aaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Baa(a){a=a|0;if(!a)a=0;else a=nx(a,8,56,0)|0;return a|0}function Caa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Daa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Eaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Faa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return +Hc[a&7](b|0,c|0,d|0)}function Gaa(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;f=+f;g=g|0;ea(25);return 0}function Haa(a,b){a=a|0;b=b|0;a=hD(a,b)|0;return ((i[a>>0]|0)==(b&255)<<24>>24?a:0)|0}function Iaa(a){a=a|0;if(!a)a=0;else a=nx(a,8,304,0)|0;return a|0}function Jaa(a){a=a|0;if(!a)a=0;else a=nx(a,8,384,0)|0;return a|0}function Kaa(a){a=a|0;if(!a)a=0;else a=nx(a,8,40,0)|0;return a|0}function Laa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Maa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Naa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Oaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Paa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Qaa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Raa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Saa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Taa(a,b,c){a=a|0;b=b|0;c=c|0;k[(k[a+8>>2]|0)+(b<<3)+4>>2]=c;return}function Uaa(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;eb(a|0,b|0,c|0,d|0)}function Vaa(a){a=a|0;if(!a)a=0;else a=nx(a,8,1192,0)|0;return a|0}function Waa(a){a=a|0;k[a>>2]=25676;Hea(a+4|0);return}function Xaa(a){a=a|0;k[a>>2]=25612;Hea(a+4|0);return}function Yaa(a){a=a|0;if(!a)a=0;else a=nx(a,8,872,0)|0;return a|0}function Zaa(a){a=a|0;k[a>>2]=12220;DO(a+60|0);cra(a);return}function _aa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function $aa(a,b){a=a|0;b=b|0;return MQ(51085)|0}function aba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function bba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function cba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function dba(a){a=a|0;var b=0;b=a;while(1)if(!(k[b>>2]|0))break;else b=b+4|0;return b-a>>2|0}function eba(a,b,c){a=a|0;b=b|0;c=c|0;k[(k[a+12>>2]|0)+(b<<2)>>2]=c;return}function fba(a){a=a|0;JM(a+8|0);return}function gba(a){a=a|0;JM(a+8|0);return}function hba(a,b){a=a|0;b=b|0;i[a+53>>0]=0;return}function iba(a){a=a|0;if(!a)a=0;else a=nx(a,8,224,0)|0;return a|0}function jba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function kba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function lba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function mba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function nba(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;ea(21)}function oba(a,b){a=a|0;b=b|0;return}function pba(){var a=0;a=gb(4)|0;Qoa(a);Wb(a|0,5760,404)}function qba(a){a=a|0;if(!a)a=0;else a=nx(a,8,872,0)|0;return a|0}function rba(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;Lc[a&255](b|0,c|0,d|0)}function sba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function tba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function uba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function vba(a,b){a=a|0;b=b|0;return}function wba(a){a=a|0;var b=0;b=a+12|0;a=k[b>>2]|0;k[b>>2]=0;return a|0}function xba(a,b){a=a|0;b=b|0;aO(a+24|0,b);return}function yba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function zba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Aba(a,b,c){a=a|0;b=b|0;c=c|0;k[(k[a+8>>2]|0)+(b<<3)>>2]=c;return}function Bba(a){a=a|0;var b=0;b=a+8|0;a=k[b>>2]|0;k[b>>2]=0;return a|0}function Cba(a,b){a=a|0;b=b|0;return}function Dba(a){a=a|0;a=a+4|0;k[a>>2]=(k[a>>2]|0)+1;return}function Eba(a,b){a=a|0;b=b|0;return 0}function Fba(a){a=a|0;k[a>>2]=11964;DO(a+60|0);cra(a);return}function Gba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Hba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Iba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Jba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Kba(a,b){a=a|0;b=b|0;return b|0}function Lba(a,b){a=a|0;b=b|0;return b|0}function Mba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Nba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Oba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Pba(a){a=a|0;var b=0;b=r;r=r+a|0;r=r+15&-16;return b|0}function Qba(a){a=a|0;if((i[a>>0]|0)==1)a=0;else{i[a>>0]=1;a=1}return a|0}function Rba(a,b){a=a|0;b=b|0;return 0}function Sba(a,b){a=a|0;b=b|0;return}function Tba(a){a=a|0;k[a>>2]=9704;DO(a+64|0);cra(a);return}function Uba(a,b){a=a|0;b=b|0;return 0}function Vba(a){a=a|0;k[a>>2]=12976;DO(a+52|0);cra(a);return}function Wba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Xba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Yba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function Zba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function _ba(a,b){a=a|0;b=b|0;return MQ(51085)|0}function $ba(a){a=a|0;if(!a)a=0;else a=(nx(a,5720,5904,0)|0)!=0;return a&1|0}function aca(){var a=0;a=gb(4)|0;xoa(a);Wb(a|0,5872,416)}function bca(a,b){a=a|0;b=b|0;return}function cca(a,b){a=a|0;b=b|0;return b|0}function dca(a,b){a=a|0;b=b|0;return b|0}function eca(a,b){a=a|0;b=b|0;return b|0}function fca(a,b){a=a|0;b=b|0;return b|0}function gca(a,b){a=a|0;b=b|0;return MQ(51085)|0}function hca(a,b,c){a=a|0;b=b|0;c=c|0;k[a>>2]=b;k[a+4>>2]=c;return}function ica(a,b){a=a|0;b=b|0;return MQ(51085)|0}function jca(a,b){a=a|0;b=b|0;return}function kca(){if(!(i[77392]|0))if(Qba(77392)|0)k[21469]=28996;return 85876}function lca(a){a=a|0;wM(a+12|0);cra(a);return}function mca(a){a=a|0;a=a+4|0;k[a>>2]=(k[a>>2]|0)+1;return}function nca(a,b,c){a=a|0;b=b|0;c=c|0;return (b>>>0<128?b&255:c)|0}function oca(a){a=a|0;return (((i[a>>0]|0)+-32&255)<95?a+1|0:0)|0}function pca(a,b){a=a|0;b=b|0;return b|0}function qca(a,b){a=a|0;b=b|0;return b|0}function rca(a,b){a=a|0;b=b|0;return b|0}function sca(a,b){a=a|0;b=b|0;return b|0}function tca(a,b){a=a|0;b=b|0;return MQ(51085)|0}function uca(a,b){a=a|0;b=b|0;return}function vca(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ea(6);return 0}function wca(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=Gea(a,b,c)|0;return d|0}function xca(){if(!(i[77400]|0))if(Qba(77400)|0)k[21470]=29032;return 85880}function yca(a){a=a|0;Waa(a);cra(a);return}function zca(a){a=a|0;Xaa(a);cra(a);return}function Aca(a,b,c){a=a|0;b=b|0;c=c|0;return (b<<24>>24>-1?b:c)|0}function Bca(a,b){a=a|0;b=b|0;return b|0}function Cca(a,b){a=a|0;b=b|0;return b|0}function Dca(a,b){a=a|0;b=b|0;return b|0}function Eca(a,b){a=a|0;b=b|0;return b|0}function Fca(a,b){a=a|0;b=b|0;return}function Gca(a,b,c,d){a=a|0;b=+b;c=+c;d=+d;return zc[a&1](+b,+c,+d)|0}function Hca(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Ica(a,b,c){a=a|0;b=b|0;c=c|0;return a|0}function Jca(a){a=a|0;wM(a+4|0);cra(a);return}function Kca(a){a=a|0;wM(a+4|0);cra(a);return}function Lca(a){a=a|0;wM(a+8|0);cra(a);return}function Mca(a){a=a|0;wM(a+8|0);cra(a);return}function Nca(a){a=a|0;Waa(a);cra(a);return}function Oca(a){a=a|0;Xaa(a);cra(a);return}function Pca(a){a=a|0;k[a>>2]=29216;xT(a+4|0);return}function Qca(a,b){a=a|0;b=b|0;return b|0}function Rca(a,b){a=a|0;b=b|0;return b|0}function Sca(a,b){a=a|0;b=b|0;return b|0}function Tca(a,b){a=a|0;b=b|0;return b|0}function Uca(a,b){a=a|0;b=b|0;return b|0}function Vca(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=eda(a,b,c)|0;return d|0}function Wca(a){a=a|0;return k[(k[(k[a+8>>2]|0)+276>>2]|0)+-4>>2]|0}function Xca(a,b){a=a|0;b=b|0;return i9((i[b+60>>0]|0)!=0)|0}function Yca(a,b){a=a|0;b=b|0;return}function Zca(a,b){a=a|0;b=b|0;return}function _ca(a,b){a=a|0;b=b|0;return b|0}function $ca(a,b){a=a|0;b=b|0;return b|0}function ada(a,b){a=a|0;b=b|0;return b|0}function bda(a,b){a=a|0;b=b|0;return b|0}function cda(a,b){a=a|0;b=b|0;return b|0}function dda(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;ea(1);return 0}function eda(a,b,c){a=a|0;b=b|0;c=c|0;c=TH(a,b,c,0,-2147483648)|0;return c|0}function fda(a){a=a|0;wM(a+-8+12|0);return}function gda(a){a=a|0;k[a>>2]=29196;xT(a+4|0);return}function hda(a){a=a|0;k[a>>2]=12220;DO(a+60|0);return}function ida(a,b){a=a|0;b=b|0;return b|0}function jda(a,b){a=a|0;b=b|0;return b|0}function kda(a,b){a=a|0;b=b|0;return b|0}function lda(a,b){a=a|0;b=b|0;return b|0}function mda(a,b){a=a|0;b=b|0;return b|0}function nda(a,b,c){a=a|0;b=b|0;c=c|0;c=TH(a,b,c,-2147483648,0)|0;return c|0}function oda(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return vl(a,b,c,d,0)|0}function pda(a){a=a|0;k[a>>2]=8660;DO(a+64|0);cra(a);return}function qda(a,b){a=a|0;b=b|0;return}function rda(a,b){a=a|0;b=b|0;return}function sda(a,b){a=a|0;b=b|0;return}function tda(a,b){a=a|0;b=b|0;return b|0}function uda(a,b){a=a|0;b=b|0;return b|0}function vda(a,b){a=a|0;b=b|0;return b|0}function wda(a,b){a=a|0;b=b|0;return b|0}function xda(a,b){a=a|0;b=b|0;return b|0}function yda(a,b){a=a|0;b=b|0;return b|0}function zda(a,b){a=a|0;b=b|0;return b|0}function Ada(a,b){a=a|0;b=b|0;return}function Bda(a,b,c){a=a|0;b=b|0;c=c|0;k[a+(b<<2)>>2]=c;return}function Cda(a){a=a|0;k[a>>2]=21328;i[a+8>>0]=0;k[a+4>>2]=0;return}function Dda(a,b){a=a|0;b=b|0;k[a+64>>2]=b;return}function Eda(a,b){a=a|0;b=b|0;return b|0}function Fda(a,b){a=a|0;b=b|0;return b|0}function Gda(a){a=a|0;iK(a);cra(a);return}function Hda(a){a=a|0;k[a>>2]=7796;DO(a+64|0);cra(a);return}function Ida(a){a=a|0;k[a>>2]=8084;DO(a+64|0);cra(a);return}function Jda(a,b){a=a|0;b=b|0;return}function Kda(a,b){a=a|0;b=b|0;return}function Lda(a,b){a=a|0;b=b|0;return b|0}function Mda(a,b){a=a|0;b=b|0;return b|0}function Nda(a,b){a=a|0;b=b|0;return b|0}function Oda(a,b){a=a|0;b=b|0;return b|0}function Pda(a,b){a=a|0;b=b|0;return b|0}function Qda(a,b){a=a|0;b=b|0;return b|0}function Rda(a,b){a=a|0;b=b|0;return b|0}function Sda(a,b){a=a|0;b=b|0;return}function Tda(a,b){a=a|0;b=b|0;return}function Uda(a){a=a|0;DO(a);cra(a);return}function Vda(a){a=a|0;k[a>>2]=8564;DO(a+64|0);cra(a);return}function Wda(a){a=a|0;k[a>>2]=6884;DO(a+64|0);cra(a);return}function Xda(a,b){a=a|0;b=b|0;return}function Yda(a,b){a=a|0;b=b|0;return}function Zda(a,b){a=a|0;b=b|0;return}function _da(a,b){a=a|0;b=b|0;return}function $da(a,b){a=a|0;b=b|0;return b|0}function aea(a,b){a=a|0;b=b|0;return b|0}function bea(a,b){a=a|0;b=b|0;return b|0}function cea(a,b){a=a|0;b=b|0;return b|0}function dea(a,b){a=a|0;b=b|0;return b|0}function eea(a,b){a=a|0;b=b|0;return b|0}function fea(a,b){a=a|0;b=b|0;return b|0}function gea(a,b){a=a|0;b=b|0;return}function hea(a,b,c){a=a|0;b=b|0;c=c|0;return Fc[a&2047](b|0,c|0)|0}function iea(a){a=a|0;k[a>>2]=0;i[a+4>>0]=0;k[a+8>>2]=0;return}function jea(a){a=a|0;return (((i[a>>0]&-33)+-65|0)>>>0<26?a+1|0:0)|0}function kea(a){a=a|0;k[a>>2]=7892;DO(a+64|0);cra(a);return}function lea(a){a=a|0;k[a>>2]=7988;DO(a+64|0);cra(a);return}function mea(a){a=a|0;k[a>>2]=11964;DO(a+60|0);return}function nea(a,b){a=a|0;b=b|0;return}function oea(a,b){a=a|0;b=b|0;return}function pea(a,b){a=a|0;b=b|0;return}function qea(a,b){a=a|0;b=b|0;return}function rea(a){a=a|0;DO(a);cra(a);return}function sea(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;ea(15)}function tea(a,b){a=a|0;b=b|0;return k[(k[a+8>>2]|0)+(b<<3)+4>>2]|0}function uea(a,b){a=a|0;b=b|0;k[a+88>>2]=b;return}function vea(a,b){a=a|0;b=b|0;return}function wea(a,b){a=a|0;b=b|0;return}function xea(a,b){a=a|0;b=b|0;return}function yea(a,b){a=a|0;b=b|0;return}function zea(a,b){a=a|0;b=b|0;return b|0}function Aea(a,b){a=a|0;b=b|0;return b|0}function Bea(a,b){a=a|0;b=b|0;return b|0}function Cea(a,b){a=a|0;b=b|0;return b|0}function Dea(a,b){a=a|0;b=b|0;return b|0}function Eea(a,b){a=a|0;b=b|0;return b|0}function Fea(a,b,c,d,e,f){a=+a;b=+b;c=+c;d=+d;e=e|0;f=f|0;ea(14);return 0}function Gea(a,b,c){a=a|0;b=b|0;c=c|0;c=TH(a,b,c,-1,-1)|0;return c|0}function Hea(a){a=a|0;RQ(k[a>>2]|0)|0;return}function Iea(a){a=a|0;return (((i[a>>0]|0)+-48|0)>>>0<10?a+1|0:0)|0}function Jea(a){a=a|0;k[a>>2]=9704;DO(a+64|0);return}function Kea(a){a=a|0;k[a>>2]=12976;DO(a+52|0);return}function Lea(a,b){a=a|0;b=b|0;return}function Mea(a,b){a=a|0;b=b|0;return}function Nea(a,b){a=a|0;b=b|0;return b|0}function Oea(a,b){a=a|0;b=b|0;return b|0}function Pea(a,b){a=a|0;b=b|0;return b|0}function Qea(a,b){a=a|0;b=b|0;return b|0}function Rea(a){a=a|0;DO(a);cra(a);return}function Sea(a){a=a|0;DO(a);cra(a);return}function Tea(a,b){a=a|0;b=b|0;return k[(k[a+12>>2]|0)+(b<<2)>>2]|0}function Uea(a,b){a=a|0;b=b|0;return}function Vea(a,b){a=a|0;b=b|0;return}function Wea(a,b){a=a|0;b=b|0;return}function Xea(a,b){a=a|0;b=b|0;return}function Yea(a,b){a=a|0;b=b|0;return}function Zea(a,b){a=a|0;b=b|0;return}function _ea(a,b){a=a|0;b=b|0;return}function $ea(a,b){a=a|0;b=b|0;return}function afa(a,b){a=a|0;b=b|0;return b|0}function bfa(a,b){a=a|0;b=b|0;return b|0}function cfa(a,b){a=a|0;b=b|0;return b|0}function dfa(a,b){a=a|0;b=b|0;return b|0}function efa(a,b){a=a|0;b=b|0;return b|0}function ffa(a,b){a=a|0;b=b|0;return b|0}function gfa(a){a=a|0;DO(a);cra(a);return}function hfa(a){a=a|0;DO(a);cra(a);return}function ifa(a){a=a|0;DO(a);cra(a);return}function jfa(a){a=a|0;a=a+-60|0;dE(a+60|0);cra(a);return}function kfa(){Of(77224,1);k[21446]=77224;return 85784}function lfa(a,b){a=a|0;b=b|0;return}function mfa(a,b){a=a|0;b=b|0;return b|0}function nfa(a,b){a=a|0;b=b|0;return b|0}function ofa(a,b){a=a|0;b=b|0;return b|0}function pfa(a,b){a=a|0;b=b|0;return b|0}function qfa(a,b){a=a|0;b=b|0;return b|0}function rfa(a,b){a=a|0;b=b|0;return b|0}function sfa(a){a=a|0;DO(a);cra(a);return}function tfa(a){a=a|0;DO(a);cra(a);return}function ufa(a){a=a|0;DO(a);cra(a);return}function vfa(a){a=a|0;wM(a+12|0);return}function wfa(a){a=a|0;return (k[a+64>>2]|0)==(k[a+68>>2]|0)|0}function xfa(a,b){a=a|0;b=b|0;return}function yfa(a,b){a=a|0;b=b|0;return}function zfa(a,b){a=a|0;b=b|0;return}function Afa(a,b){a=a|0;b=b|0;return}function Bfa(a,b){a=a|0;b=b|0;return b|0}function Cfa(a,b){a=a|0;b=b|0;return b|0}function Dfa(a,b){a=a|0;b=b|0;return b|0}function Efa(a,b){a=a|0;b=b|0;return b|0}function Ffa(a,b){a=a|0;b=b|0;return b|0}function Gfa(a){a=a|0;DO(a);cra(a);return}function Hfa(a){a=a|0;DO(a);cra(a);return}function Ifa(a){a=a|0;DO(a);cra(a);return}function Jfa(a){a=a|0;DO(a);cra(a);return}function Kfa(a,b,c){a=a|0;b=b|0;c=c|0;return +Ic[a&1](b|0,c|0)}function Lfa(a){a=a|0;return (k[a+84>>2]|0)==(k[a+88>>2]|0)|0}function Mfa(a,b){a=a|0;b=b|0;return}function Nfa(a,b){a=a|0;b=b|0;return}function Ofa(a,b){a=a|0;b=b|0;return}function Pfa(a,b){a=a|0;b=b|0;return}function Qfa(a,b){a=a|0;b=b|0;return b|0}function Rfa(a,b){a=a|0;b=b|0;return b|0}function Sfa(a){a=a|0;DO(a);cra(a);return}function Tfa(a,b){a=a|0;b=b|0;return k[(k[a+8>>2]|0)+(b<<3)>>2]|0}function Ufa(a){a=a|0;wM(a+4|0);return}function Vfa(a){a=a|0;wM(a+4|0);return}function Wfa(a){a=a|0;wM(a+8|0);return}function Xfa(a){a=a|0;wM(a+8|0);return}function Yfa(a){a=a|0;return 2}function Zfa(a){a=a|0;return 2}function _fa(a,b){a=a|0;b=b|0;return (k[b+56>>2]|0)==8|0}function $fa(a,b){a=a|0;b=b|0;return}function aga(a,b){a=a|0;b=b|0;return}function bga(a,b){a=a|0;b=b|0;return b|0}function cga(a,b){a=a|0;b=b|0;return b|0}function dga(a){a=a|0;DO(a);cra(a);return}function ega(a){a=a|0;DO(a);cra(a);return}function fga(a){a=a|0;DO(a);cra(a);return}function gga(a){a=a|0;DO(a);cra(a);return}function hga(a){a=a|0;DO(a);cra(a);return}function iga(a){a=a|0;DO(a);cra(a);return}function jga(a){a=a|0;DO(a);cra(a);return}function kga(){var a=0;a=BO(1,40)|0;if(!a)a=0;else k[a>>2]=6;return a|0}function lga(a){a=a|0;cra(a);return}function mga(a){a=a|0;cra(a);return}function nga(a){a=a|0;cra(a);return}function oga(a){a=a|0;cra(a);return}function pga(a,b){a=a|0;b=b|0;return}function qga(a,b){a=a|0;b=b|0;return}function rga(a,b){a=a|0;b=b|0;return}function sga(a,b){a=a|0;b=b|0;return}function tga(a,b){a=a|0;b=b|0;return}function uga(a,b){a=a|0;b=b|0;return b|0}function vga(a,b,c){a=a|0;b=b|0;c=+c;return Bc[a&1](b|0,+c)|0}function wga(a,b,c){a=a|0;b=+b;c=c|0;return Mc[a&1](+b,c|0)|0}function xga(a,b){a=a|0;b=b|0;i[a+25>>0]=b&1;return}function yga(a,b,c){a=a|0;b=b|0;c=c|0;return tx(0,a,b,c|0?c:82408)|0}function zga(a){a=a|0;cra(a);return}function Aga(a){a=a|0;cra(a);return}function Bga(a,b){a=a|0;b=b|0;return}function Cga(a,b){a=a|0;b=b|0;return}function Dga(a,b){a=a|0;b=b|0;return}function Ega(a,b){a=a|0;b=b|0;return}function Fga(a,b){a=a|0;b=b|0;return}function Gga(a,b){a=a|0;b=b|0;return}function Hga(a,b){a=a|0;b=b|0;return}function Iga(a,b){a=a|0;b=b|0;return}function Jga(a,b){a=a|0;b=b|0;return}function Kga(a,b){a=a|0;b=b|0;i[a+52>>0]=b&1;return}function Lga(a){a=a|0;DO(a);cra(a);return}function Mga(a){a=a|0;DO(a);cra(a);return}function Nga(a){a=a|0;DO(a);cra(a);return}function Oga(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(9);return 0}function Pga(a,b,c){a=a|0;b=b|0;c=c|0;Wb(a|0,b|0,c|0)}function Qga(a){a=a|0;cra(a);return}function Rga(a){a=a|0;cra(a);return}function Sga(a){a=a|0;cra(a);return}function Tga(a){a=a|0;cra(a);return}function Uga(a){a=a|0;k[a>>2]=8660;DO(a+64|0);return}function Vga(a,b){a=a|0;b=b|0;return}function Wga(a,b){a=a|0;b=b|0;return}function Xga(a,b){a=a|0;b=b|0;return}function Yga(a,b){a=a|0;b=b|0;return}function Zga(a,b){a=a|0;b=b|0;return}function _ga(a,b){a=a|0;b=b|0;return}function $ga(a,b){a=a|0;b=b|0;return}function aha(a){a=a|0;DO(a);cra(a);return}function bha(a){a=a|0;DO(a);cra(a);return}function cha(a){a=a|0;DO(a);cra(a);return}function dha(a){a=a|0;DO(a);cra(a);return}function eha(a){a=a|0;DO(a);cra(a);return}function fha(){Vl(0);Pb(468,87974,x|0)|0;return}function gha(a,b,c){a=a|0;b=b|0;c=c|0;mc[a&1023](b|0,c|0)}function hha(a){a=a|0;return Gp(a,0)|0}function iha(a){a=a|0;return xp(a,0)|0}function jha(a){a=a|0;return (i[a+101>>0]|0)!=0|0}function kha(a,b){a=a|0;b=b|0;return}function lha(a,b){a=a|0;b=b|0;return}function mha(a,b){a=a|0;b=b|0;return}function nha(a,b){a=a|0;b=b|0;return}function oha(a,b){a=a|0;b=b|0;return}function pha(a,b){a=a|0;b=b|0;return}function qha(a,b,c){a=a|0;b=+b;c=c|0;return +sc[a&1](+b,c|0)}function rha(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;ea(33);return 0}function sha(a,b){a=a|0;b=b|0;if(!a)a=0;else a=XD(a,b,0)|0;return a|0}function tha(a,b){a=a|0;b=b|0;i[a+22>>0]=b&1;return}function uha(a,b){a=a|0;b=b|0;i[a+24>>0]=b&1;return}function vha(a){a=a|0;return ((i[a>>0]|0)==61?a+1|0:0)|0}function wha(a){a=a|0;k[a>>2]=7796;DO(a+64|0);return}function xha(a){a=a|0;k[a>>2]=8084;DO(a+64|0);return}function yha(a,b){a=a|0;b=b|0;return}function zha(a,b){a=a|0;b=b|0;return}function Aha(a,b){a=a|0;b=b|0;return}function Bha(a,b){a=a|0;b=b|0;return}function Cha(a,b){a=a|0;b=b|0;return}function Dha(a,b){a=a|0;b=b|0;return}function Eha(a,b){a=a|0;b=b|0;return}function Fha(a,b){a=a|0;b=b|0;return}function Gha(a,b){a=a|0;b=b|0;return}function Hha(a,b){a=a|0;b=b|0;return}function Iha(a,b){a=a|0;b=b|0;return}function Jha(a){a=a|0;DO(a);cra(a);return}function Kha(a){a=a|0;DO(a);cra(a);return}function Lha(a){a=a|0;DO(a);cra(a);return}function Mha(a){a=a|0;DO(a);cra(a);return}function Nha(a){a=a|0;DO(a);cra(a);return}function Oha(a,b){a=a|0;b=b|0;i[a+52>>0]=b&1;return}function Pha(a,b,c){a=a|0;b=b|0;c=c|0;return NB(a,2147483647,b,c)|0}function Qha(a){a=a|0;k[a>>2]=8564;DO(a+64|0);return}function Rha(a){a=a|0;k[a>>2]=6884;DO(a+64|0);return}function Sha(a,b){a=a|0;b=b|0;return}function Tha(a,b){a=a|0;b=b|0;return}function Uha(a,b){a=a|0;b=b|0;return}function Vha(a,b){a=a|0;b=b|0;return}function Wha(a,b){a=a|0;b=b|0;return}function Xha(a,b){a=a|0;b=b|0;return}function Yha(a,b){a=a|0;b=b|0;return}function Zha(a,b){a=a|0;b=b|0;return}function _ha(a,b){a=a|0;b=b|0;return}function $ha(a,b){a=a|0;b=b|0;return}function aia(a,b){a=a|0;b=b|0;return}function bia(a){a=a|0;DO(a);cra(a);return}function cia(a){a=a|0;DO(a);cra(a);return}function dia(a){a=a|0;DO(a);cra(a);return}function eia(a){a=a|0;PE(a);Wf(a);return}function fia(a,b){a=a|0;b=b|0;return -1}function gia(a,b){a=a|0;b=b|0;return -1}function hia(a){a=a|0;k[a>>2]=7892;DO(a+64|0);return}function iia(a){a=a|0;k[a>>2]=7988;DO(a+64|0);return}function jia(a,b){a=a|0;b=b|0;return}function kia(a,b){a=a|0;b=b|0;return}function lia(a,b){a=a|0;b=b|0;return}function mia(a,b){a=a|0;b=b|0;return}function nia(a,b){a=a|0;b=b|0;return}function oia(a,b){a=a|0;b=b|0;return}function pia(a,b){a=a|0;b=b|0;return}function qia(a,b){a=a|0;b=b|0;return}function ria(a,b){a=a|0;b=b|0;return}function sia(a,b){a=a|0;b=b|0;return}function tia(a){a=a|0;DO(a);cra(a);return}function uia(a){a=a|0;DO(a);cra(a);return}function via(a){a=a|0;DO(a);cra(a);return}function wia(a){a=a|0;DO(a);cra(a);return}function xia(a,b){a=a|0;b=b|0;i[a+21>>0]=b&1;return}function yia(a,b){a=a|0;b=b|0;return -1}function zia(a,b){a=a|0;b=b|0;return -1}function Aia(a){a=a|0;return Gp(a,1)|0}function Bia(a){a=a|0;return xp(a,1)|0}function Cia(a,b){a=a|0;b=b|0;return 0}function Dia(a){a=a|0;return ((i[a>>0]|0)==38?a+1|0:0)|0}function Eia(a,b){a=a|0;b=b|0;return}function Fia(a,b){a=a|0;b=b|0;return}function Gia(a,b){a=a|0;b=b|0;return}function Hia(a,b){a=a|0;b=b|0;return}function Iia(a,b){a=a|0;b=b|0;return}function Jia(a,b){a=a|0;b=b|0;return}function Kia(a,b){a=a|0;b=b|0;return}function Lia(a,b){a=a|0;b=b|0;return}function Mia(a){a=a|0;DO(a);cra(a);return}function Nia(a){a=a|0;DO(a);cra(a);return}function Oia(a){a=a|0;DO(a);cra(a);return}function Pia(a){a=a|0;DO(a);cra(a);return}function Qia(a){a=a|0;DO(a);cra(a);return}function Ria(a,b){a=a|0;b=b|0;i[a+20>>0]=b&1;return}function Sia(a){a=a|0;return (i[a+54>>0]|0)!=0|0}function Tia(a){a=a|0;return ((i[a>>0]&-33)+-65|0)>>>0<26|0}function Uia(a,b){a=a|0;b=b|0;return}function Via(a,b){a=a|0;b=b|0;return}function Wia(a,b){a=a|0;b=b|0;return}function Xia(a,b){a=a|0;b=b|0;return}function Yia(a,b){a=a|0;b=b|0;return}function Zia(a,b){a=a|0;b=b|0;return}function _ia(a,b){a=a|0;b=b|0;return}function $ia(a,b){a=a|0;b=b|0;return}function aja(a,b){a=a|0;b=b|0;return}function bja(a){a=a|0;DO(a);cra(a);return}function cja(a){a=a|0;DO(a);cra(a);return}function dja(a){a=a|0;DO(a);cra(a);return}function eja(a){a=a|0;DO(a);cra(a);return}function fja(a){a=a|0;DO(a);cra(a);return}function gja(a){a=a|0;DO(a);cra(a);return}function hja(a){a=a|0;DO(a);cra(a);return}function ija(a){a=a|0;var b=0;b=sT(k[a>>2]|0)|0;Wf(a);return b|0}function jja(a){a=a|0;Mma(a);cra(a);return}function kja(a){a=a|0;return (i[a+54>>0]|0)!=0|0}function lja(a,b){a=a|0;b=b|0;k[a+8>>2]=b;return}function mja(a,b){a=a|0;b=b|0;return}function nja(a,b){a=a|0;b=b|0;return}function oja(a,b){a=a|0;b=b|0;return}function pja(a,b){a=a|0;b=b|0;return}function qja(a,b){a=a|0;b=b|0;return}function rja(a,b){a=a|0;b=b|0;return}function sja(a,b){a=a|0;b=b|0;return}function tja(a,b){a=a|0;b=b|0;return}function uja(a){a=a|0;DO(a);cra(a);return}function vja(a){a=a|0;DO(a);cra(a);return}function wja(a,b,c){a=a|0;b=+b;c=+c;return +xc[a&7](+b,+c)}function xja(a){a=a|0;return ((a+-48|0)>>>0<10|((a|32)+-97|0)>>>0<6)&1|0}function yja(a){a=a|0;RB(a+-72|0);return}function zja(a){a=a|0;return ((i[a>>0]|0)<0?a+1|0:0)|0}function Aja(a,b){a=a|0;b=b|0;return}function Bja(a,b){a=a|0;b=b|0;return}function Cja(a,b){a=a|0;b=b|0;return}function Dja(a,b){a=a|0;b=b|0;return}function Eja(a,b){a=a|0;b=b|0;return}function Fja(a,b){a=a|0;b=b|0;return}function Gja(a){a=a|0;DO(a);cra(a);return}function Hja(a){a=a|0;DO(a);cra(a);return}function Ija(a){a=a|0;return ((i[a>>0]|0)<0?a+1|0:0)|0}function Jja(a,b){a=a|0;b=b|0;i[a+52>>0]=b&1;return}function Kja(a,b){a=a|0;b=b|0;return}function Lja(a,b){a=a|0;b=b|0;return}function Mja(a,b){a=a|0;b=b|0;return}function Nja(a,b){a=a|0;b=b|0;return}function Oja(a,b){a=a|0;b=b|0;return}function Pja(a,b){a=a|0;b=b|0;return}function Qja(a,b){a=a|0;b=b|0;return}function Rja(a,b){a=a|0;b=b|0;return}function Sja(a){a=a|0;DO(a);cra(a);return}function Tja(){var a=0;a=k[21473]|0;k[21473]=a+0;return a|0}function Uja(a){a=a|0;wM(a);return}function Vja(a){a=a|0;wM(a);return}function Wja(a,b){a=a|0;b=b|0;return}function Xja(a,b){a=a|0;b=b|0;return}function Yja(a,b){a=a|0;b=b|0;return}function Zja(a,b){a=a|0;b=b|0;return}function _ja(a){a=a|0;return a|0}function $ja(a,b){a=a|0;b=b|0;if(!y){y=a;z=b}}function aka(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;ea(3)}function bka(a){a=a|0;var b=0;b=(Cpa(a)|0)==0;return (b?a:a&95)|0}function cka(a){a=a|0;var b=0;b=(Bpa(a)|0)==0;return (b?a:a|32)|0}function dka(a){a=a|0;return (i[a+54>>0]|0)!=0|0}function eka(a){a=a|0;return ((i[a>>0]|0)==0?a:0)|0}function fka(a,b){a=a|0;b=b|0;return}function gka(a,b){a=a|0;b=b|0;return}function hka(a,b){a=a|0;b=b|0;return}function ika(a,b){a=a|0;b=b|0;return}function jka(a,b,c,d,e){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;ea(19)}function kka(a){a=a|0;if(!a)a=1;else a=(k[a>>2]|0)==0;return a&1|0}function lka(a,b,c){a=a|0;b=b|0;c=c|0;return VM(a,b,c)|0}function mka(a){a=a|0;return}function nka(a){a=a|0;return}function oka(a){a=a|0;return}function pka(a){a=a|0;return}function qka(a){a=a|0;DJ(a);cra(a);return}function rka(a,b){a=a|0;b=b|0;return}function ska(a,b){a=a|0;b=b|0;return}function tka(a,b){a=a|0;b=b|0;return}function uka(a,b){a=a|0;b=b|0;return}function vka(a,b){a=a|0;b=b|0;return}function wka(a,b){a=a|0;b=b|0;return}function xka(a,b){a=a|0;b=b|0;k[a+64>>2]=b;return}function yka(a){a=a|0;return}function zka(a){a=a|0;return}function Aka(a){a=a|0;Pca(a);cra(a);return}function Bka(a){a=a|0;return (i[a>>0]|0?a+1|0:a)|0}function Cka(a,b){a=a|0;b=b|0;return}function Dka(a,b){a=a|0;b=b|0;return}function Eka(a,b){a=a|0;b=b|0;return}function Fka(a,b){a=a|0;b=b|0;return}function Gka(a,b){a=a|0;b=b|0;return}function Hka(a,b){a=a|0;b=b|0;return}function Ika(a,b){a=a|0;b=b|0;return}function Jka(a,b){a=a|0;b=b|0;return}function Kka(){var a=0;a=k[7265]|0;k[7265]=a+0;return a|0}function Lka(a){a=a|0;j9(a);cra(a);return}function Mka(a){a=a|0;k9(a);cra(a);return}function Nka(a){a=a|0;return}function Oka(a){a=a|0;return}function Pka(a){a=a|0;return}function Qka(a){a=a|0;return}function Rka(a,b){a=a|0;b=b|0;return ((a|0)==0?b:a)|0}function Ska(a,b){a=a|0;b=b|0;return}function Tka(a,b){a=a|0;b=b|0;return}function Uka(a,b){a=a|0;b=b|0;return}function Vka(a,b){a=a|0;b=b|0;return}function Wka(a,b){a=a|0;b=b|0;return}function Xka(a,b){a=a|0;b=b|0;return}function Yka(a,b){a=a|0;b=b|0;return}function Zka(a,b){a=a|0;b=b|0;return}function _ka(a){a=a|0;Pca(a);cra(a);return}function $ka(a){a=a|0;return k[k[a+68>>2]>>2]|0}function ala(a,b){a=a|0;b=b|0;return}function bla(a,b){a=a|0;b=b|0;return}function cla(a,b){a=a|0;b=b|0;return}function dla(a,b){a=a|0;b=b|0;return}function ela(a,b){a=a|0;b=b|0;return}function fla(a,b){a=a|0;b=b|0;return}function gla(a,b){a=a|0;b=b|0;return}function hla(a,b){a=a|0;b=b|0;return}function ila(a,b){a=a|0;b=b|0;return}function jla(a,b){a=a|0;b=b|0;return}function kla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ea(29);return 0}function lla(a,b){a=a|0;b=b|0;k[a+4>>2]=b;return}function mla(a,b){a=a|0;b=b|0;k[a+16>>2]=b;return}function nla(a,b){a=a|0;b=b|0;return}function ola(a){a=a|0;Pca(a);cra(a);return}function pla(a,b){a=a|0;b=b|0;return}function qla(a,b){a=a|0;b=b|0;return}function rla(a,b){a=a|0;b=b|0;return}function sla(a,b){a=a|0;b=b|0;return}function tla(a,b){a=a|0;b=b|0;return}function ula(a,b){a=a|0;b=b|0;return}function vla(a,b){a=a|0;b=b|0;return}function wla(a,b){a=a|0;b=b|0;return}function xla(a,b){a=a|0;b=b|0;k[a>>2]=b;return}function yla(a,b){a=a|0;b=b|0;return}function zla(a,b){a=a|0;b=b|0;return}function Ala(a){a=a|0;return (k[a+52>>2]|0)==7|0}function Bla(a){a=a|0;k[a+76>>2]=1;return}function Cla(a,b){a=a|0;b=b|0;return}function Dla(a,b){a=a|0;b=b|0;return}function Ela(a,b){a=a|0;b=b|0;return}function Fla(a,b){a=a|0;b=b|0;return}function Gla(a,b){a=a|0;b=b|0;return}function Hla(a,b,c){a=a|0;b=b|0;c=c|0;return +(+bH(a,b,2))}function Ila(a,b){a=a|0;b=b|0;k[a+12>>2]=b;return}function Jla(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return d|0}function Kla(a,b){a=a|0;b=b|0;return}function Lla(a,b){a=a|0;b=b|0;return}function Mla(a,b){a=a|0;b=b|0;return}function Nla(a){a=a|0;Gf(a);cra(a);return}function Ola(a){a=a|0;Gf(a);cra(a);return}function Pla(a,b){a=a|0;b=b|0;return oc[a&511](b|0)|0}function Qla(a){a=a|0;return Kqa(a|0)|0}function Rla(a,b,c){a=a|0;b=b|0;c=c|0;return HQ(a,b,c)|0}function Sla(a){a=a|0;vb(a|0)|0;TK()}function Tla(a){a=a|0;gda(a);cra(a);return}function Ula(a){a=a|0;gda(a);cra(a);return}function Vla(a){a=a|0;return k[a+12>>2]|0}function Wla(a,b){a=a|0;b=b|0;return b<<24>>24|0}function Xla(a,b){a=a|0;b=b|0;return b|0}function Yla(a,b){a=a|0;b=b|0;return}function Zla(a){a=a|0;return Lq(a+-60|0)|0}function _la(a){a=a|0;wM(a);cra(a);return}function $la(a){a=a|0;n6(a);cra(a);return}function ama(a){a=a|0;gda(a);cra(a);return}function bma(a){a=a|0;return k[a+8>>2]|0}function cma(a,b){a=a|0;b=b|0;return b|0}function dma(a,b){a=a|0;b=b|0;return kga()|0}function ema(a){a=a|0;dE(a+60|0);cra(a);return}function fma(a){a=a|0;Mma(a);return}function gma(a){a=a|0;return i[a+9>>0]|0}function hma(a){a=a|0;return i[a+8>>0]|0}function ima(a,b){a=a|0;b=b|0;return b|0}function jma(a){a=a|0;if(!(k[a+68>>2]|0))jra(a);return}function kma(a){a=a|0;if(!(k[a+68>>2]|0))jra(a);return}function lma(a){a=a|0;dE(a+-60+60|0);return}function mma(a){a=a|0;return -1}function nma(a){a=a|0;return -1}function oma(a,b){a=a|0;b=b|0;return b|0}function pma(a){a=a|0;return Oqa(a|0)|0}function qma(a){a=a|0;return 0}function rma(a){a=a|0;return 0}function sma(a){a=a|0;return k[4072]|0}function tma(a,b){a=a|0;b=b|0;return +yc[a&7](b|0)}function uma(a){a=a|0;ZD(a+-4|0);return}function vma(a){a=a|0;Gf(a);cra(a);return}function wma(a){a=a|0;return (i[a+60>>0]|0)==0|0}function xma(a){a=a|0;Wf(k[a>>2]|0);Wf(a);return}function yma(a){a=a|0;return k[4074]|0}function zma(a,b){a=a|0;b=b|0;r=a;s=b}function Ama(a){a=a|0;return 2147483647}function Bma(a){a=a|0;return 2147483647}function Cma(a){a=a|0;return 2147483647}function Dma(a){a=a|0;return 2147483647}function Ema(a){a=a|0;eA(a);cra(a);return}function Fma(a){a=a|0;dE(a);cra(a);return}function Gma(a){a=a|0;tE(a);cra(a);return}function Hma(a){a=a|0;vt(a);cra(a);return}function Ima(a,b){a=a|0;b=+b;return pc[a&3](+b)|0}function Jma(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ea(34)}function Kma(a){a=a|0;return k[a+80>>2]|0}function Lma(a){a=a|0;return Uqa(a|0)|0}function Mma(a){a=a|0;Pca(a);return}function Nma(a){a=a|0;k[a>>2]=20212;return}function Oma(a){a=+a;return a>=0.0?+O(a+.5):+$(a-.5)}function Pma(a){a=a|0;return ((a|0)==32|(a+-9|0)>>>0<5)&1|0}function Qma(a){a=a|0;return 0}function Rma(a){a=a|0;return 0}function Sma(a){a=a|0;return 0}function Tma(a){a=a|0;return 0}function Uma(a,b){a=a|0;b=b|0;return b|0}function Vma(a){a=a|0;cra(a);return}function Wma(a){a=a|0;return k[a+116>>2]|0}function Xma(a,b){a=a|0;b=b|0;return (a+-48|0)>>>0<10|0}function Yma(a){a=a|0;return 0}function Zma(a){a=a|0;return 1}function _ma(a){a=a|0;return k[4073]|0}function $ma(a,b){a=a|0;b=b|0;return b|0}function ana(a){a=a|0;cra(a);return}function bna(a,b){a=a|0;b=b|0;lc[a&511](b|0)}function cna(a){a=a|0;return (i[a+4>>0]|0)!=0|0}function dna(a,b){a=a|0;b=b|0;return b|0}function ena(a){a=a|0;return (i[a+60>>0]|0)!=0|0}function fna(a){a=a|0;cra(a);return}function gna(a,b){a=a|0;b=b|0;uD(a,b)|0;return a|0}function hna(a){a=a|0;return (i[a+4>>0]|0)!=0|0}function ina(a){a=a|0;return k[a+76>>2]|0}function jna(a){a=a|0;return k[a+96>>2]|0}function kna(a){a=a|0;return 4}function lna(a){a=a|0;return 4}function mna(a,b){a=a|0;b=b|0;return b|0}function nna(a,b){a=a|0;b=b|0;return b|0}function ona(a){a=a|0;cra(a);return}function pna(a){a=a|0;return k[a+16>>2]|0}function qna(a){a=a|0;return 1}function rna(a){a=a|0;return 51832}function sna(a){a=a|0;return 51649}function tna(a){a=a|0;return k[4076]|0}function una(a,b){a=a|0;b=b|0;return b|0}function vna(a,b){a=a|0;b=b|0;return b|0}function wna(a){a=a|0;cra(a);return}function xna(a,b,c){a=a|0;b=b|0;c=c|0;ea(26);return 0.0}function yna(a){a=a|0;return k[a+24>>2]|0}function zna(a){a=a|0;cra(a);return}function Ana(a){a=a|0;cra(a);return}function Bna(a){a=a|0;cra(a);return}function Cna(a){a=a|0;cra(a);return}function Dna(a){a=a|0;return 0}function Ena(a){a=a|0;return 0}function Fna(a){a=a|0;return 127}function Gna(a){a=a|0;return 127}function Hna(a){a=a|0;return 127}function Ina(a){a=a|0;return 127}function Jna(a,b){a=a|0;b=b|0;return b|0}function Kna(a,b,c){a=a|0;b=b|0;c=c|0;ea(10);return 0}function Lna(a){a=a|0;return k[a+88>>2]|0}function Mna(a){a=a|0;cra(a);return}function Nna(a){a=a|0;cra(a);return}function Ona(a){a=a|0;cra(a);return}function Pna(a){a=a|0;return 1}function Qna(a){a=a|0;return k[a+4>>2]|0}function Rna(a,b){a=a|0;b=b|0;return b|0}function Sna(a){a=a|0;dE(a+60|0);return}function Tna(a){a=a|0;cra(a);return}function Una(a){a=a|0;return +(+p[a+8>>3])}function Vna(a){a=a|0;return k[a+20>>2]|0}function Wna(a,b){a=a|0;b=b|0;return}function Xna(a,b){a=a|0;b=b|0;return}function Yna(a){a=a|0;return 51649}function Zna(a){a=a|0;return 0}function _na(a,b){a=a|0;b=b|0;return b|0}function $na(a){a=a|0;return 1}function aoa(a){a=a|0;return BO(a+1|0,4)|0}function boa(a){a=a|0;return k[a+4>>2]|0}function coa(a){a=a|0;return k[a+4>>2]|0}function doa(a){a=a|0;return 58672}function eoa(a){a=a|0;return 0}function foa(a){a=a|0;return 0}function goa(a){a=a|0;return 0}function hoa(a){a=a|0;return 0}function ioa(a){a=a|0;return 51649}function joa(a){a=a|0;return 51649}function koa(a){a=a|0;return 0}function loa(a,b){a=a|0;b=b|0;return 0}function moa(a,b){a=a|0;b=b|0;return 0}function noa(a){a=a|0;return k[a+4>>2]|0}function ooa(a){a=a|0;return BO(a+1|0,4)|0}function poa(a){a=a|0;return k[a+4>>2]|0}function qoa(a){a=a|0;return k[a+8>>2]|0}function roa(a){a=a|0;cra(a);return}function soa(a){a=a|0;return 58749}function toa(a,b){a=a|0;b=b|0;return 0}function uoa(a,b){a=a|0;b=b|0;return +(+bH(a,b,1))}function voa(a){a=a|0;return k[a+4>>2]|0}function woa(a){a=a|0;return k[a>>2]|0}function xoa(a){a=a|0;k[a>>2]=29316;return}function yoa(a){a=a|0;return 51937}function zoa(a){a=a|0;return a<<24>>24>-1|0}function Aoa(a){a=a|0;cra(a);return}function Boa(a){a=a|0;return +(+p[a+8>>3])}function Coa(a){a=a|0;return k[a>>2]|0}function Doa(a){a=a|0;return k[a+4>>2]|0}function Eoa(a,b){a=a|0;b=b|0;return xja(a)|0}function Foa(a){a=a|0;cra(a);return}function Goa(a){a=a|0;cra(a);return}function Hoa(a){a=a|0;cra(a);return}function Ioa(a){a=a|0;cra(a);return}function Joa(a){a=a|0;return 0}function Koa(a){a=a|0;return 1}function Loa(a){a=a|0;cra(a);return}function Moa(a){a=a|0;k[a>>2]=18160;return}function Noa(a){a=a|0;return 0}function Ooa(a){a=a|0;return k[a+8>>2]|0}function Poa(a){a=a|0;return k[a+16>>2]|0}function Qoa(a){a=a|0;k[a>>2]=29156;return}function Roa(a){a=a|0;return k[a+8>>2]|0}function Soa(a){a=a|0;k[a>>2]=29296;return}function Toa(a){a=a|0;return 55967}function Uoa(a,b,c){a=+a;b=+b;c=+c;ea(18);return 0}function Voa(a){a=a|0;return k[a+4>>2]|0}function Woa(a,b){a=+a;b=+b;return +(+KN(a,b))}function Xoa(a){a=a|0;return 0}function Yoa(a){a=a|0;return 0}function Zoa(a){a=a|0;return 0}function _oa(a){a=a|0;cra(a);return}function $oa(a,b){a=+a;b=b|0;return +(+KF(a,b))}function apa(a){a=a|0;return +(+p[a+16>>3])}function bpa(a){a=a|0;return +(+p[a+24>>3])}function cpa(a){a=a|0;return +(+p[a+32>>3])}function dpa(a){a=a|0;return 39009}function epa(a){a=a|0;return}function fpa(a){a=a|0;return}function gpa(a,b,c){a=a|0;b=b|0;c=c|0;ea(30)}function hpa(a){a=a|0;return +(+p[a+8>>3])}function ipa(a){a=a|0;return}function jpa(a){a=a|0;return Jc[a&15]()|0}function kpa(a){a=a|0;if(a|0)Wf(a);return}function lpa(a,b){a=+a;b=b|0;return +(+GG(a,b))}function mpa(a){a=a|0;cra(a);return}function npa(a){a=a|0;cra(a);return}function opa(a){a=a|0;cra(a);return}function ppa(a){a=a|0;cra(a);return}function qpa(a){a=a|0;return 38992}function rpa(a){a=a|0;return 0}function spa(a){a=a|0;return k[a>>2]|0}function tpa(a){a=a|0;cra(a);return}function upa(a){a=a|0;cra(a);return}function vpa(a){a=a|0;return 0}function wpa(a,b){a=+a;b=+b;return +(a-b)}function xpa(a,b){a=+a;b=+b;return +(a*b)}function ypa(a,b){a=+a;b=+b;return +(a/b)}function zpa(a,b){a=+a;b=+b;return +(a+b)}function Apa(a){a=a|0;cra(a);return}function Bpa(a){a=a|0;return (a+-65|0)>>>0<26|0}function Cpa(a){a=a|0;return (a+-97|0)>>>0<26|0}function Dpa(a){a=a|0;return 0}function Epa(a){a=a|0;return}function Fpa(a){a=a|0;return}function Gpa(a){a=a|0;return a|0}function Hpa(a){a=a|0;return a|0}function Ipa(a){a=a|0;cra(a);return}function Jpa(a){a=a|0;return 38978}function Kpa(a){a=a|0;cra(a);return}function Lpa(a){a=a|0;return 1}function Mpa(a,b){a=a|0;b=b|0;ea(27);return 0.0}function Npa(a,b){a=+a;b=+b;return +(+Pm(a,b))}function Opa(a){a=a|0;cra(a);return}function Ppa(a){a=a|0;return 0}function Qpa(a){a=a|0;return}function Rpa(a){a=a|0;cra(a);return}function Spa(a){a=a|0;return 1}function Tpa(a,b){a=a|0;b=b|0;ea(24);return 0}function Upa(a){a=a|0;return}function Vpa(a){a=a|0;cra(a);return}function Wpa(a){a=a|0;cra(a);return}function Xpa(a){a=a|0;cra(a);return}function Ypa(a){a=a|0;cra(a);return}function Zpa(a){a=a|0;cra(a);return}function _pa(a){a=a|0;return 1}function $pa(a){a=a|0;return 0}function aqa(a,b){a=+a;b=b|0;ea(11);return 0.0}function bqa(a){a=a|0;Wf(a);return}function cqa(a,b){a=a|0;b=b|0;return -1|0}function dqa(a){a=a|0;cra(a);return}function eqa(a){a=a|0;return}function fqa(a){a=a|0;return}function gqa(a){a=a|0;return}function hqa(a){a=a|0;return}function iqa(a){a=a|0;return 1}function jqa(a){a=a|0;cra(a);return}function kqa(a,b){a=+a;b=b|0;ea(31);return 0}function lqa(a,b){a=a|0;b=+b;ea(20);return 0}function mqa(a){a=a|0;return a|0}function nqa(a){a=a|0;return 59466}function oqa(a){a=a|0;cra(a);return}function pqa(a){a=a|0;cra(a);return}function qqa(a){a=a|0;return 0}function rqa(a,b){a=+a;b=+b;ea(16);return 0.0}function sqa(a){a=a|0;return}function tqa(a){a=a|0;return}function uqa(a){a=a|0;return 59338}function vqa(a){a=a|0;return 59310}function wqa(a){a=a|0;return 0}function xqa(a){a=a|0;jc[a&7]()}function yqa(a){a=a|0;return 59440}function zqa(a){a=a|0;return 1}function Aqa(a){a=a|0;return 1}function Bqa(){_a()}function Cqa(a){a=a|0;return}function Dqa(a){a=a|0;return}function Eqa(a){a=a|0;return 0}function Fqa(a){a=a|0;return 1}function Gqa(a){a=a|0;return}function Hqa(a){a=a|0;return}function Iqa(a){a=a|0;return}function Jqa(a){a=a|0;dc=a}function Kqa(a){a=a|0;return 0}function Lqa(a){a=a|0;return}function Mqa(a){a=a|0;return}function Nqa(a){a=a|0;return -1}function Oqa(a){a=a|0;return 0}function Pqa(a){a=a|0;Wf(a);return}function Qqa(a){a=a|0;return}function Rqa(a){a=a|0;cc=a}function Sqa(a,b){a=a|0;b=b|0;ea(5)}function Tqa(a){a=a|0;return}function Uqa(a){a=a|0;return 0}function Vqa(){rb()}function Wqa(a){a=a|0;return IM(a)|0}function Xqa(a){a=a|0;cra(a);return}function Yqa(a){a=a|0;return 0}function Zqa(a){a=a|0;return}function _qa(a){a=a|0;return}function $qa(a){a=a|0;return}function ara(a){a=a|0;return}function bra(a){a=a|0;r=a}function cra(a){a=a|0;Wf(a);return}function dra(a){a=a|0;return}function era(a){a=a|0;N=a}function fra(a){a=a|0;ea(17);return 0.0}function gra(a){a=a|0;return}function hra(){Rb()}function ira(a){a=a|0;ea(7);return 0}function jra(a){a=a|0;return}function kra(a){a=a|0;return 0}function lra(){return dc|0}function mra(a){a=+a;ea(8);return 0}function nra(){return}function ora(a){a=a|0;return 0}function pra(){return 23568}function qra(){return 22028}function rra(){return N|0}function sra(){return r|0}function tra(){return 49628}function ura(a){a=a|0;ea(4)}function vra(){return 22024}function wra(){ea(28);return 0}function xra(){return 25148}function yra(){return 0}function zra(){ea(2)}
function Xc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ka=0,la=0,ma=0,pa=0,ra=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0;Ia=0;Ba=r;r=r+1424|0;Aa=Ba+176|0;ya=Ba+40|0;za=Ba;g=Ba+1408|0;h=Ba+1368|0;La=Ba+1196|0;Ka=Ba+1184|0;Ja=Ba+1176|0;ua=Ba+1148|0;o=Ba+1128|0;m=Ba+1360|0;n=Ba+1344|0;A=Ba+1120|0;p=Ba+1304|0;v=Ba+1288|0;w=Ba+1280|0;t=Ba+1264|0;x=Ba+1224|0;z=Ba+1208|0;C=Ba+960|0;q=Ba+1168|0;s=Ba+1160|0;B=Ba+920|0;u=Ba+1136|0;Ga=Ba+864|0;Fa=Ba+840|0;Da=Ba+792|0;Ca=Ba+768|0;G=Ba+1104|0;F=Ba+944|0;E=Ba+936|0;D=Ba+912|0;P=Ba+688|0;J=Ba+872|0;K=Ba+848|0;V=Ba+800|0;ca=Ba+756|0;da=Ba+744|0;ea=Ba+544|0;H=Ba+648|0;I=Ba+632|0;aa=Ba+536|0;R=Ba+624|0;Q=Ba+584|0;Y=Ba+576|0;Z=Ba+568|0;W=Ba+552|0;va=Ba+520|0;X=Ba+508|0;U=Ba+496|0;T=Ba+432|0;S=Ba+424|0;ba=Ba+440|0;_=Ba+384|0;$=Ba+368|0;ka=Ba+360|0;ia=Ba+344|0;ha=Ba+336|0;ga=Ba+328|0;la=Ba+312|0;ma=Ba+272|0;pa=Ba+256|0;ra=Ba+216|0;xa=a+4|0;wa=qV(k[xa>>2]|0)|0;a:do if(k[wa>>2]|0){d=-1;c=qV(k[xa>>2]|0)|0;while(1){c=k[c>>2]|0;if(!c)break;else d=d+1|0}e=k[4070]|0;if(d>>>0>e>>>0){j=ya+56|0;d=ya+4|0;k[ya>>2]=16172;k[j>>2]=16192;y=0;oa(528,ya+56|0,d|0);wa=y;y=0;if(wa&1){La=pb()|0;Vja(j);sb(La|0)}k[ya+128>>2]=0;k[ya+132>>2]=-1;k[ya>>2]=15916;k[j>>2]=15936;y=0;na(433,d|0);wa=y;y=0;do if(wa&1)c=pb()|0;else{k[d>>2]=15832;f=ya+36|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[ya+52>>2]=16;k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;y=0;oa(529,d|0,Aa|0);wa=y;y=0;if(wa&1){c=pb()|0;A9(Aa);A9(f);Xaa(d);break}A9(Aa);y=0;c=ta(47,ya|0,46088,28)|0;wa=y;y=0;if(wa&1)Ia=19;else{y=0;Ha(982,c|0,e|0)|0;wa=y;y=0;if(wa&1)Ia=19;else{y=0;oa(530,g|0,d|0);wa=y;y=0;if(wa&1)Ia=19;else{L=h;M=b+12|0;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;c=qa(380,k[xa>>2]|0)|0;wa=y;y=0;if(!(wa&1)){y=0;L=Aa;M=h;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));Na(98,g|0,Aa|0,c|0);wa=y;y=0;if(!(wa&1)){A9(g);k[ya>>2]=15916;k[j>>2]=15936;k[d>>2]=15832;A9(f);Xaa(d);yla(ya,15948);Vja(j);break a}}c=pb()|0;A9(g)}}}if((Ia|0)==19)c=pb()|0;k[ya>>2]=15916;k[j>>2]=15936;k[d>>2]=15832;A9(f);Xaa(d);yla(ya,15948);Vja(j);La=c;sb(La|0)}while(0);yla(ya,15948);La=c;Vja(j);sb(La|0)}}while(0);wa=b+60|0;DF(La,wa);k[Ka>>2]=0;k[Ka+4>>2]=0;k[Ka+8>>2]=0;c=La+11|0;fa=i[c>>0]|0;O=fa<<24>>24<0;fa=O?k[La+4>>2]|0:fa&255;y=0;Ra(10,Ka|0,(O?k[La>>2]|0:La)|0,fa|0,fa+3|0);fa=y;y=0;if(fa&1)Ia=38;else{y=0;ta(41,Ka|0,47269,3)|0;fa=y;y=0;if(fa&1)Ia=38;else{y=0;oa(460,Ja|0,k[b+76>>2]|0);fa=y;y=0;if(fa&1)c=pb()|0;else{k[Ja>>2]=8964;y=0;fa=qa(378,k[xa>>2]|0)|0;O=y;y=0;b:do if(O&1)c=pb()|0;else{y=0;d=Ha(990,fa|0,Ka|0)|0;O=y;y=0;c:do if(!(O&1)){if(d){if(!(i[b+80>>0]|0)){y=0;c=qa(383,((i[c>>0]|0)<0?k[La>>2]|0:La)|0)|0;O=y;y=0;if(O&1)break;if(c|0)Ia=31}}else Ia=31;d:do if((Ia|0)==31){k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;y=0;Na(74,Aa|0,46117,4);O=y;y=0;do if(O&1)c=pb()|0;else{y=0;c=Ha(990,fa|0,Aa|0)|0;O=y;y=0;if(O&1){c=pb()|0;A9(Aa);break}A9(Aa);if(c){y=0;Ha(1009,Ka|0,46117)|0;O=y;y=0;if(O&1)break c;else break d}l=Ja+4|0;c=k[l>>2]|0;d=k[c+64>>2]|0;j=k[c+68>>2]|0;do if((d|0)!=(j|0)){e=ua+4|0;f=m+4|0;g=o+4|0;h=b+12|0;e:while(1){y=0;oa(460,ua|0,k[d+4>>2]|0);Ia=y;y=0;if(Ia&1){Ia=55;break}k[ua>>2]=10120;y=0;oa(460,m|0,k[(k[e>>2]|0)+64>>2]|0);Ia=y;y=0;if(Ia&1){Ia=56;break}k[m>>2]=7284;y=0;c=qa(336,k[f>>2]|0)|0;Ia=y;y=0;if(Ia&1){Ia=57;break}y=0;oa(460,o|0,c|0);Ia=y;y=0;if(Ia&1){Ia=57;break}k[o>>2]=7172;DO(m);c=k[g>>2]|0;do if(c|0){y=0;c=qa(k[(k[c>>2]|0)+120>>2]|0,c|0)|0;Ia=y;y=0;if(Ia&1){Ia=58;break e}if(c|0)break;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;y=0;Na(74,n|0,46122,27);Ia=y;y=0;if(Ia&1){Ia=58;break e}y=0;L=Aa;M=h;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));oa(454,n|0,Aa|0);Ia=y;y=0;if(Ia&1){Ia=59;break e}A9(n)}while(0);DO(o);DO(ua);d=d+8|0;if((d|0)==(j|0)){Ia=36;break}}if((Ia|0)==36){c=k[l>>2]|0;break}else if((Ia|0)==55){c=pb()|0;break b}else if((Ia|0)==56)c=pb()|0;else if((Ia|0)==57){c=pb()|0;DO(m)}else if((Ia|0)==58){c=pb()|0;Ia=61}else if((Ia|0)==59){c=pb()|0;A9(n);Ia=61}if((Ia|0)==61)DO(o);DO(ua);break b}while(0);y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;Ga=y;y=0;f:do if(Ga&1)Ia=84;else{if(!c)c=0;else c=(k[255]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,Aa|0,c|0);Ga=y;y=0;if(Ga&1){Ia=84;break}k[Aa>>2]=8964;do if(k[l>>2]|0){y=0;na(423,Ja|0);Ga=y;y=0;if(!(Ga&1))break;c=pb()|0;DO(Aa);break f}while(0);g=Aa+4|0;k[l>>2]=k[g>>2];k[g>>2]=0;DO(Aa);y=0;g=qa(315,92)|0;Ga=y;y=0;if(Ga&1)break c;f=b+12|0;L=p;M=f;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;oa(456,v|0,wa|0);Ga=y;y=0;do if(Ga&1)c=pb()|0;else{y=0;oa(460,w|0,k[l>>2]|0);Ga=y;y=0;if(Ga&1){c=pb()|0;A9(v);break}k[w>>2]=8964;L=za;M=p;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;na(422,g|0);Ga=y;y=0;g:do if(Ga&1){c=1;Ia=89}else{L=g+12|0;M=za;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;c=g+56|0;k[c>>2]=0;k[g>>2]=10176;d=g+60|0;y=0;oa(456,d|0,v|0);Ga=y;y=0;do if(Ga&1)c=pb()|0;else{e=g+72|0;y=0;oa(460,e|0,k[w+4>>2]|0);Ga=y;y=0;if(Ga&1){c=pb()|0;A9(d);break}k[e>>2]=8964;i[g+80>>0]=0;k[g+84>>2]=0;k[g+88>>2]=0;k[c>>2]=11;y=0;oa(460,A|0,g|0);Ga=y;y=0;if(Ga&1){c=0;Ia=89;break g}k[A>>2]=16796;DO(w);A9(v);h:do if(!(i[(k[l>>2]|0)+80>>0]|0))Ia=98;else{k[ya>>2]=0;k[ya+4>>2]=0;k[ya+8>>2]=0;c=wa+11|0;d=i[c>>0]|0;d=d<<24>>24<0?k[b+64>>2]|0:d&255;y=0;Ra(10,ya|0,46150,9,d+9|0);Ga=y;y=0;do if(Ga&1)Ia=93;else{y=0;ta(41,ya|0,((i[c>>0]|0)<0?k[wa>>2]|0:wa)|0,d|0)|0;Ga=y;y=0;if(Ga&1){Ia=93;break}y=0;c=Ha(974,ya|0,46160)|0;Ga=y;y=0;do if(Ga&1)c=pb()|0;else{k[t>>2]=k[c>>2];k[t+4>>2]=k[c+4>>2];k[t+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;L=Aa;M=f;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));oa(454,t|0,Aa|0);Ga=y;y=0;if(Ga&1){c=pb()|0;A9(t);break}else{A9(t);A9(ya);Ia=98;break h}}while(0);A9(ya)}while(0);if((Ia|0)==93){c=pb()|0;A9(ya)}}while(0);do if((Ia|0)==98){y=0;d=qa(315,80)|0;Ga=y;y=0;if(Ga&1){c=pb()|0;break}L=x;M=f;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));Ga=k[A+4>>2]|0;Fa=k[(k[Ga>>2]|0)+28>>2]|0;Da=k[(k[a+8>>2]|0)+16>>2]|0;y=0;k[Aa>>2]=k[Da>>2];k[Aa+4>>2]=k[Da+4>>2];k[Aa+8>>2]=k[Da+8>>2];Na(Fa|0,z|0,Ga|0,Aa|0);Ga=y;y=0;do if(Ga&1)c=pb()|0;else{y=0;L=Aa;M=x;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));Ea(2,d|0,Aa|0,z|0,0,0,0,1);Ga=y;y=0;if(Ga&1){c=pb()|0;A9(z);break}A9(z);i[d+54>>0]=i[b+54>>0]|0;DO(A);Ia=d;DO(Ja);A9(Ka);A9(La);r=Ba;return Ia|0}while(0);cra(d)}while(0);DO(A);break b}while(0);d=1}while(0);if((Ia|0)==89){Ga=pb()|0;d=c;c=Ga}DO(w);A9(v);if(!d)break b}while(0);cra(g);break b}while(0);if((Ia|0)==84)c=pb()|0;break b}while(0);break b}while(0);l=Ka+11|0;O=i[l>>0]|0;m=Ka+4|0;do if(((O<<24>>24<0?k[m>>2]|0:O&255)|0)==7){y=0;c=sa(21,Ka|0,0,-1,46195,7)|0;O=y;y=0;if(O&1){O=tb(0)|0;Sla(O)}else if(!c)break;else{Ia=111;break}}else Ia=111;while(0);if((Ia|0)==111){O=k[Ja+4>>2]|0;y=0;oa(k[(k[O>>2]|0)+100>>2]|0,O|0,0);O=y;y=0;if(O&1)break}O=i[l>>0]|0;do if(((O<<24>>24<0?k[m>>2]|0:O&255)|0)==5){y=0;c=sa(21,Ka|0,0,-1,46203,5)|0;O=y;y=0;if(O&1){O=tb(0)|0;Sla(O)}else if(!c)break;else{Ia=116;break}}else Ia=116;while(0);i:do if((Ia|0)==116){d=Ja+4|0;c=k[d>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;O=y;y=0;j:do if(O&1)Ia=123;else{if(!c)c=0;else c=(k[255]|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;y=0;oa(460,Aa|0,c|0);O=y;y=0;if(O&1)Ia=123;else{k[Aa>>2]=8964;do if(k[d>>2]|0){y=0;na(423,Ja|0);O=y;y=0;if(!(O&1))break;c=pb()|0;DO(Aa);break j}while(0);O=Aa+4|0;k[d>>2]=k[O>>2];k[O>>2]=0;DO(Aa);break i}}while(0);if((Ia|0)==123)c=pb()|0;break b}while(0);y=0;c=Ha(975,fa|0,Ka|0)|0;O=y;y=0;if(!(O&1)){c=k[c+4>>2]|0;f=k[195]|0;c=(f|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;k:do if(!(i[c+112>>0]|0)){n=c;Ia=180}else{j=C+64|0;c=C+8|0;k[c>>2]=15992;h=C+12|0;k[C>>2]=16032;k[j>>2]=16052;k[C+4>>2]=0;y=0;oa(528,C+64|0,h|0);O=y;y=0;if(O&1)c=pb()|0;else{k[C+136>>2]=0;k[C+140>>2]=-1;k[C>>2]=15972;k[j>>2]=16012;k[c>>2]=15992;y=0;na(433,h|0);O=y;y=0;do if(O&1)c=pb()|0;else{k[h>>2]=15832;g=C+44|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[C+60>>2]=24;k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;y=0;oa(529,h|0,Aa|0);O=y;y=0;if(O&1){c=pb()|0;A9(Aa);A9(g);Xaa(h);break}A9(Aa);O=k[Ja+4>>2]|0;d=k[O+68>>2]|0;c=d-(k[O+64>>2]|0)>>3;l:do if(!(i[O+81>>0]|0))Ia=149;else{if(!c){c=0;Ia=149;break}y=0;oa(460,s|0,k[d+-4>>2]|0);O=y;y=0;if(O&1){Ia=145;break}k[s>>2]=10120;y=0;oa(460,q|0,k[(k[s+4>>2]|0)+64>>2]|0);O=y;y=0;do if(O&1)c=pb()|0;else{k[q>>2]=7284;y=0;d=qa(336,k[q+4>>2]|0)|0;O=y;y=0;if(O&1){c=pb()|0;DO(q);break}DO(q);DO(s);if(!d){Ia=149;break l}c=c+-1+((k[d+68>>2]|0)-(k[d+64>>2]|0)>>3)|0;Ia=149;break l}while(0);DO(s)}while(0);do if((Ia|0)==149){e=C+8|0;d=i[l>>0]|0;O=d<<24>>24<0;y=0;d=ta(47,e|0,(O?k[Ka>>2]|0:Ka)|0,(O?k[m>>2]|0:d&255)|0)|0;O=y;y=0;if(O&1){Ia=145;break}y=0;Ha(976,d|0,c|0)|0;O=y;y=0;if(O&1){Ia=145;break}y=0;oa(530,Aa|0,h|0);O=y;y=0;if(O&1){c=pb()|0;break}if((i[l>>0]|0)<0){i[k[Ka>>2]>>0]=0;k[m>>2]=0}else{i[Ka>>0]=0;i[l>>0]=0}y=0;oa(500,Ka|0,0);O=y;y=0;if(O&1){O=tb(0)|0;Sla(O)}k[Ka>>2]=k[Aa>>2];k[Ka+4>>2]=k[Aa+4>>2];k[Ka+8>>2]=k[Aa+8>>2];k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;A9(Aa);y=0;oa(456,B|0,Ka|0);O=y;y=0;if(O&1){Ia=145;break}y=0;c=Ha(990,fa|0,B|0)|0;O=y;y=0;m:do if(O&1)Ia=166;else{n:do if(!c){y=0;oa(456,za|0,wa|0);O=y;y=0;if(O&1)c=pb()|0;else{y=0;c=ta(46,za|0,0,46209)|0;O=y;y=0;if(O&1)c=pb()|0;else{k[ya>>2]=k[c>>2];k[ya+4>>2]=k[c+4>>2];k[ya+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(974,ya|0,46231)|0;O=y;y=0;do if(O&1)c=pb()|0;else{k[u>>2]=k[c>>2];k[u+4>>2]=k[c+4>>2];k[u+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;L=Aa;M=b+12|0;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));oa(454,u|0,Aa|0);O=y;y=0;if(O&1){c=pb()|0;A9(u);break}else{A9(u);A9(ya);A9(za);break n}}while(0);A9(ya)}A9(za)}break m}while(0);y=0;c=Ha(975,fa|0,B|0)|0;Ia=y;y=0;if(Ia&1){Ia=166;break}c=k[c+4>>2]|0;if(!c)c=0;else c=(f|0)==(k[(k[(k[c>>2]|0)+-4>>2]|0)+4>>2]|0)?c:0;A9(B);k[C>>2]=15972;k[j>>2]=16012;k[e>>2]=15992;k[h>>2]=15832;A9(g);Xaa(h);nla(C,16064);Vja(j);n=c;Ia=180;break k}while(0);if((Ia|0)==166)c=pb()|0;A9(B)}while(0);if((Ia|0)==145)c=pb()|0;k[C>>2]=15972;k[j>>2]=16012;k[C+8>>2]=15992;k[h>>2]=15832;A9(g);Xaa(h);nla(C,16064);Vja(j);break b}while(0);nla(C,16064)}Vja(j)}while(0);do if((Ia|0)==180){y=0;oa(460,Ga|0,b|0);O=y;y=0;if(O&1){c=pb()|0;break}k[Ga>>2]=7284;y=0;oa(460,Fa|0,k[n+68>>2]|0);O=y;y=0;if(O&1)c=pb()|0;else{k[Fa>>2]=6868;o=k[n+100>>2]|0;s=k[n+104>>2]|0;y=0;oa(460,Da|0,k[n+88>>2]|0);O=y;y=0;if(O&1)c=pb()|0;else{k[Da>>2]=8852;y=0;Na(128,Ca|0,k[n+92>>2]|0,0);O=y;y=0;if(O&1)c=pb()|0;else{c=k[xa>>2]|0;k[Aa>>2]=Ca;d=c+52|0;e=k[d>>2]|0;do if(e>>>0<(k[c+56>>2]|0)>>>0){k[e>>2]=Ca;k[d>>2]=(k[d>>2]|0)+4;Ia=187}else{y=0;oa(638,c+48|0,Aa|0);O=y;y=0;if(!(O&1)){Ia=187;break}c=pb()|0}while(0);o:do if((Ia|0)==187){f=(o|0)!=0;p:do if(f)Ia=189;else{if(k[Fa+4>>2]|0){Ia=189;break}if(!s){d=Ga+4|0;break}y=0;q=qa(379,s|0)|0;da=y;y=0;if(da&1){Ia=217;break}da=i[l>>0]|0;q:do if(((da<<24>>24<0?k[m>>2]|0:da&255)|0)==4){y=0;c=sa(21,Ka|0,0,-1,46117,4)|0;da=y;y=0;if(da&1){da=tb(0)|0;Sla(da)}if(c|0){Ia=330;break}y=0;e=qa(315,80)|0;da=y;y=0;if(da&1)break;j=b+12|0;L=H;M=j;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;oa(456,I|0,wa|0);da=y;y=0;if(da&1)c=pb()|0;else{y=0;L=Aa;M=H;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));Ea(2,e|0,Aa|0,I|0,0,0,0,1);da=y;y=0;do if(da&1)d=1;else{y=0;oa(460,ea|0,e|0);da=y;y=0;if(da&1){d=0;break}k[ea>>2]=17036;A9(I);y=0;l=qa(315,84)|0;da=y;y=0;r:do if(da&1)Ia=315;else{L=ya;M=j;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;na(422,l|0);da=y;y=0;do if(da&1)c=pb()|0;else{L=l+12|0;M=ya;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));k[l>>2]=6212;i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=0;c=l+60|0;k[c>>2]=10136;g=l+64|0;h=l+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(550,g|0,0);da=y;y=0;if(da&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{Ba=e+-8|0;k[h>>2]=Ba;lc[k[k[Ba>>2]>>2]&511](Ba);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[l>>2]=9952;k[c>>2]=10080;i[l+80>>0]=0;i[l+81>>0]=0;i[l+82>>0]=0;y=0;oa(460,aa|0,l|0);da=y;y=0;if(da&1){Ia=315;break r}k[aa>>2]=8964;f=aa+4|0;d=(k[f>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;g=qa(315,88)|0;da=y;y=0;s:do if(da&1)Ia=318;else{L=Q;M=j;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;oa(460,Z|0,k[ea+4>>2]|0);da=y;y=0;do if(da&1)c=pb()|0;else{k[Z>>2]=17036;y=0;oa(460,Y|0,k[Z+4>>2]|0);da=y;y=0;if(da&1){c=pb()|0;DO(Z);break}k[Y>>2]=7284;k[W>>2]=0;k[W+4>>2]=0;k[W+8>>2]=0;y=0;Na(74,W|0,87975,0);da=y;y=0;if(da&1){c=pb()|0;d=1}else{L=Aa;M=Q;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;na(422,g|0);da=y;y=0;t:do if(da&1){c=1;Ia=322}else{L=g+12|0;M=Aa;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g+56>>2]=0;k[g>>2]=9828;c=g+60|0;y=0;oa(460,c|0,k[Y+4>>2]|0);da=y;y=0;do if(da&1)c=pb()|0;else{k[c>>2]=7284;y=0;oa(456,g+68|0,W|0);da=y;y=0;if(da&1){Ia=pb()|0;DO(c);c=Ia;break}i[g+80>>0]=0;i[g+81>>0]=0;k[g+84>>2]=0;y=0;oa(460,R|0,g|0);da=y;y=0;if(da&1){c=0;Ia=322;break t}k[R>>2]=10120;y=0;oa(e|0,d|0,R|0);da=y;y=0;if(da&1){c=pb()|0;DO(R);d=0;break t}DO(R);A9(W);DO(Y);DO(Z);da=(k[f>>2]|0)+60|0;c=Ja+4|0;Ia=k[c>>2]|0;y=0;oa(k[(k[da>>2]|0)+24>>2]|0,da|0,((Ia|0)==0?0:Ia+60|0)|0);Ia=y;y=0;if(Ia&1){Ia=318;break s}if(k[c>>2]|0){y=0;na(423,Ja|0);Ia=y;y=0;if(Ia&1){Ia=318;break s}}k[c>>2]=k[f>>2];y=0;na(424,Ja|0);Ia=y;y=0;if(Ia&1){Ia=318;break s}DO(aa);DO(ea);Ia=330;break q}while(0);d=1;Ia=323}while(0);if((Ia|0)==322){Ba=pb()|0;d=c;c=Ba;Ia=323}A9(W)}DO(Y);DO(Z);if(!d)break s}while(0);cra(g)}while(0);if((Ia|0)==318)c=pb()|0;DO(aa);break r}while(0);cra(l)}while(0);if((Ia|0)==315)c=pb()|0;DO(ea);break o}while(0);c=pb()|0;A9(I);if(!d)break o}cra(e);break o}else Ia=330;while(0);do if((Ia|0)==330){y=0;oa(456,va|0,wa|0);ea=y;y=0;if(ea&1)break;k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;y=0;Na(74,X|0,46265,8);ea=y;y=0;u:do if(ea&1)Ia=353;else{y=0;oa(456,U|0,wa|0);ea=y;y=0;if(ea&1)c=pb()|0;else{l=Da+4|0;y=0;oa(460,T|0,k[l>>2]|0);ea=y;y=0;if(ea&1)c=pb()|0;else{k[T>>2]=8852;y=0;oa(460,S|0,k[Ja+4>>2]|0);ea=y;y=0;do if(ea&1)c=pb()|0;else{k[S>>2]=8964;o=a+8|0;y=0;Ea(6,X|0,U|0,T|0,S|0,k[o>>2]|0,Ca|0,a|0);ea=y;y=0;if(ea&1){c=pb()|0;DO(S);break}DO(S);DO(T);A9(U);A9(X);y=0;d=qa(380,k[xa>>2]|0)|0;ea=y;y=0;if(ea&1){Ia=353;break u}n=b+12|0;L=_;M=n;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;m=wa+11|0;c=i[m>>0]|0;j=b+64|0;c=c<<24>>24<0?k[j>>2]|0:c&255;y=0;Ra(10,Aa|0,46274,15,c+15|0);ea=y;y=0;do if(ea&1)Ia=361;else{y=0;ta(41,Aa|0,((i[m>>0]|0)<0?k[wa>>2]|0:wa)|0,c|0)|0;ea=y;y=0;if(ea&1){Ia=361;break}y=0;c=Ha(974,Aa|0,47187)|0;ea=y;y=0;do if(ea&1)c=pb()|0;else{k[$>>2]=k[c>>2];k[$+4>>2]=k[c+4>>2];k[$+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[ba>>2]=d;L=ba+4|0;M=_;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));p=ba+44|0;y=0;oa(456,p|0,$|0);ea=y;y=0;if(ea&1){c=pb()|0;A9($);break}A9($);A9(Aa);c=k[xa>>2]|0;k[Aa>>2]=ba;d=c+112|0;e=k[d>>2]|0;do if(e>>>0<(k[c+116>>2]|0)>>>0){k[e>>2]=ba;k[d>>2]=(k[d>>2]|0)+4;Ia=344}else{y=0;oa(641,c+108|0,Aa|0);ea=y;y=0;if(!(ea&1)){Ia=344;break}c=pb()|0}while(0);v:do if((Ia|0)==344){e=k[o>>2]|0;if((i[m>>0]|0)<0)c=k[wa>>2]|0;else c=wa;k[Aa>>2]=c;k[Aa+4>>2]=k[b+24>>2];k[Aa+8>>2]=(k[b+12>>2]|0)+1;k[Aa+12>>2]=(k[b+16>>2]|0)+1;k[Aa+16>>2]=2;k[Aa+20>>2]=fa;c=e+288|0;d=k[c>>2]|0;do if(d>>>0<(k[e+292>>2]|0)>>>0){k[d>>2]=k[Aa>>2];k[d+4>>2]=k[Aa+4>>2];k[d+8>>2]=k[Aa+8>>2];k[d+12>>2]=k[Aa+12>>2];k[d+16>>2]=k[Aa+16>>2];k[d+20>>2]=k[Aa+20>>2];k[c>>2]=(k[c>>2]|0)+24}else{y=0;oa(637,e+284|0,Aa|0);fa=y;y=0;if(!(fa&1))break;c=pb()|0;break v}while(0);k[ya>>2]=20496;h=k[l>>2]|0;y=0;h=Ha(1014,(k[h+60>>2]|0)-(k[h+56>>2]|0)>>3|0,0)|0;fa=y;y=0;w:do if(fa&1)c=pb()|0;else{c=k[l>>2]|0;x:do if((k[c+60>>2]|0)!=(k[c+56>>2]|0)){e=ka+4|0;f=ha+4|0;g=ga+4|0;d=0;while(1){c=c+52|0;y=0;c=Ha(k[(k[c>>2]|0)+16>>2]|0,c|0,d|0)|0;fa=y;y=0;if(fa&1){Ia=369;break}y=0;oa(460,ka|0,k[c+4>>2]|0);fa=y;y=0;if(fa&1){Ia=369;break}k[ka>>2]=12920;y=0;oa(456,ia|0,(k[e>>2]|0)+52|0);fa=y;y=0;if(fa&1){Ia=380;break}y=0;c=Ha(1013,Ca|0,ia|0)|0;fa=y;y=0;if(fa&1){Ia=381;break}y=0;oa(460,ha|0,k[c+4>>2]|0);fa=y;y=0;if(fa&1){Ia=381;break}k[ha>>2]=6336;y=0;c=qa(333,k[f>>2]|0)|0;fa=y;y=0;if(fa&1){Ia=382;break}y=0;oa(460,ga|0,c|0);fa=y;y=0;if(fa&1){Ia=382;break}k[ga>>2]=7284;c=k[g>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+68>>2]|0,c|0,ya|0)|0;fa=y;y=0;if(fa&1){Ia=383;break}y=0;Na(126,h|0,d|0,c|0);fa=y;y=0;if(fa&1){Ia=383;break}DO(ga);DO(ha);A9(ia);DO(ka);d=d+1|0;c=k[l>>2]|0;if(d>>>0>=(k[c+60>>2]|0)-(k[c+56>>2]|0)>>3>>>0)break x}if((Ia|0)==369){c=pb()|0;break w}else if((Ia|0)==380)c=pb()|0;else if((Ia|0)==381){c=pb()|0;Ia=385}else if((Ia|0)==382){c=pb()|0;Ia=384}else if((Ia|0)==383){c=pb()|0;DO(ga);Ia=384}if((Ia|0)==384){DO(ha);Ia=385}if((Ia|0)==385)A9(ia);DO(ka);break w}while(0);y=0;e=ta(q|0,h|0,s|0,k[(k[o>>2]|0)+296>>2]|0)|0;ya=y;y=0;if(ya&1){c=pb()|0;break}y=0;c=qa(384,e|0)|0;ya=y;y=0;y:do if(!(ya&1)){z:do if((c|0)==7){k[ua>>2]=0;k[ua+4>>2]=0;k[ua+8>>2]=0;c=i[m>>0]|0;c=c<<24>>24<0?k[j>>2]|0:c&255;y=0;Ra(10,ua|0,46314,20,c+20|0);ya=y;y=0;do if(ya&1)Ia=399;else{y=0;ta(41,ua|0,((i[m>>0]|0)<0?k[wa>>2]|0:wa)|0,c|0)|0;ya=y;y=0;if(ya&1){Ia=399;break}y=0;c=Ha(974,ua|0,58790)|0;ya=y;y=0;if(ya&1)c=pb()|0;else{k[za>>2]=k[c>>2];k[za+4>>2]=k[c+4>>2];k[za+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=qa(385,e|0)|0;ya=y;y=0;do if(ya&1)Ia=401;else{y=0;c=Ha(974,za|0,c|0)|0;ya=y;y=0;if(ya&1){Ia=401;break}k[la>>2]=k[c>>2];k[la+4>>2]=k[c+4>>2];k[la+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;L=ma;M=n;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;c=qa(380,k[xa>>2]|0)|0;ya=y;y=0;do if(!(ya&1)){y=0;L=Aa;M=ma;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));Na(98,la|0,Aa|0,c|0);ya=y;y=0;if(ya&1)break;A9(la);A9(za);A9(ua);break z}while(0);c=pb()|0;A9(la)}while(0);if((Ia|0)==401)c=pb()|0;A9(za)}A9(ua)}while(0);if((Ia|0)==399){c=pb()|0;A9(ua)}break w}else{y=0;c=qa(384,e|0)|0;ya=y;y=0;if(ya&1)break y;if((c|0)!=8)break;k[ua>>2]=0;k[ua+4>>2]=0;k[ua+8>>2]=0;c=i[m>>0]|0;c=c<<24>>24<0?k[j>>2]|0:c&255;y=0;Ra(10,ua|0,46335,22,c+22|0);ya=y;y=0;do if(ya&1)Ia=416;else{y=0;ta(41,ua|0,((i[m>>0]|0)<0?k[wa>>2]|0:wa)|0,c|0)|0;ya=y;y=0;if(ya&1){Ia=416;break}y=0;c=Ha(974,ua|0,58790)|0;ya=y;y=0;if(ya&1)c=pb()|0;else{k[za>>2]=k[c>>2];k[za+4>>2]=k[c+4>>2];k[za+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=qa(386,e|0)|0;ya=y;y=0;do if(ya&1)Ia=418;else{y=0;c=Ha(974,za|0,c|0)|0;ya=y;y=0;if(ya&1){Ia=418;break}k[pa>>2]=k[c>>2];k[pa+4>>2]=k[c+4>>2];k[pa+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;L=ra;M=n;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;c=qa(380,k[xa>>2]|0)|0;ya=y;y=0;do if(!(ya&1)){y=0;L=Aa;M=ra;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));Na(98,pa|0,Aa|0,c|0);ya=y;y=0;if(ya&1)break;A9(pa);A9(za);A9(ua);break z}while(0);c=pb()|0;A9(pa)}while(0);if((Ia|0)==418)c=pb()|0;A9(za)}A9(ua)}while(0);if((Ia|0)==416){c=pb()|0;A9(ua)}break w}while(0);y=0;c=qa(380,k[xa>>2]|0)|0;ya=y;y=0;A:do if(ya&1)Ia=431;else{y=0;L=Aa;M=n;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));c=ta(151,e|0,c|0,Aa|0)|0;ya=y;y=0;if(ya&1){Ia=431;break}y=0;oa(460,za|0,c|0);ya=y;y=0;if(ya&1){Ia=431;break}k[za>>2]=7284;d=Ga+4|0;do if(k[d>>2]|0){y=0;na(423,Ga|0);ya=y;y=0;if(!(ya&1))break;c=pb()|0;DO(za);break A}while(0);ya=za+4|0;k[d>>2]=k[ya>>2];k[ya>>2]=0;DO(za);za=(k[xa>>2]|0)+112|0;k[za>>2]=(k[za>>2]|0)+-4;za=(k[o>>2]|0)+288|0;k[za>>2]=(k[za>>2]|0)+-24;y=0;na(447,h|0);za=y;y=0;if(za&1)break y;if((e|0)!=(h|0)){y=0;na(447,e|0);za=y;y=0;if(za&1)break y}A9(p);A9(va);break p}while(0);if((Ia|0)==431)c=pb()|0;break w}while(0);c=pb()|0}while(0)}while(0);A9(p);break u}while(0);A9(Aa)}while(0);if((Ia|0)==361){c=pb()|0;A9(Aa)}break u}while(0);DO(T)}A9(U)}A9(X)}while(0);if((Ia|0)==353)c=pb()|0;A9(va);break o}while(0);c=pb()|0;break o}while(0);B:do if((Ia|0)==189){k[G>>2]=0;k[G+4>>2]=0;k[G+8>>2]=0;y=0;Na(74,G|0,46265,8);va=y;y=0;if(va&1){Ia=217;break}y=0;oa(456,F|0,wa|0);va=y;y=0;if(va&1)c=pb()|0;else{y=0;oa(460,E|0,k[Da+4>>2]|0);va=y;y=0;if(va&1)c=pb()|0;else{k[E>>2]=8852;y=0;oa(460,D|0,k[Ja+4>>2]|0);va=y;y=0;do if(va&1)c=pb()|0;else{k[D>>2]=8964;l=a+8|0;y=0;Ea(6,G|0,F|0,E|0,D|0,k[l>>2]|0,Ca|0,a|0);va=y;y=0;if(va&1){c=pb()|0;DO(D);break}DO(D);DO(E);A9(F);A9(G);y=0;d=qa(380,k[xa>>2]|0)|0;va=y;y=0;if(va&1){Ia=217;break B}j=b+12|0;L=J;M=j;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));k[Aa>>2]=0;k[Aa+4>>2]=0;k[Aa+8>>2]=0;g=wa+11|0;c=i[g>>0]|0;h=b+64|0;c=c<<24>>24<0?k[h>>2]|0:c&255;y=0;Ra(10,Aa|0,46274,15,c+15|0);va=y;y=0;do if(va&1)Ia=225;else{y=0;ta(41,Aa|0,((i[g>>0]|0)<0?k[wa>>2]|0:wa)|0,c|0)|0;va=y;y=0;if(va&1){Ia=225;break}y=0;c=Ha(974,Aa|0,47187)|0;va=y;y=0;do if(va&1)c=pb()|0;else{k[K>>2]=k[c>>2];k[K+4>>2]=k[c+4>>2];k[K+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[P>>2]=d;L=P+4|0;M=J;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));m=P+44|0;y=0;oa(456,m|0,K|0);va=y;y=0;if(va&1){c=pb()|0;A9(K);break}A9(K);A9(Aa);c=k[xa>>2]|0;k[Aa>>2]=P;d=c+112|0;e=k[d>>2]|0;do if(e>>>0<(k[c+116>>2]|0)>>>0){k[e>>2]=P;k[d>>2]=(k[d>>2]|0)+4;Ia=202}else{y=0;oa(641,c+108|0,Aa|0);va=y;y=0;if(!(va&1)){Ia=202;break}c=pb()|0}while(0);C:do if((Ia|0)==202){e=k[l>>2]|0;if((i[g>>0]|0)<0)c=k[wa>>2]|0;else c=wa;k[Aa>>2]=c;k[Aa+4>>2]=k[b+24>>2];k[Aa+8>>2]=(k[b+12>>2]|0)+1;k[Aa+12>>2]=(k[b+16>>2]|0)+1;k[Aa+16>>2]=1;k[Aa+20>>2]=fa;c=e+288|0;d=k[c>>2]|0;do if(d>>>0<(k[e+292>>2]|0)>>>0){k[d>>2]=k[Aa>>2];k[d+4>>2]=k[Aa+4>>2];k[d+8>>2]=k[Aa+8>>2];k[d+12>>2]=k[Aa+12>>2];k[d+16>>2]=k[Aa+16>>2];k[d+20>>2]=k[Aa+20>>2];k[c>>2]=(k[c>>2]|0)+24}else{y=0;oa(637,e+284|0,Aa|0);va=y;y=0;if(!(va&1))break;c=pb()|0;break C}while(0);c=k[Fa+4>>2]|0;D:do if(!c){if(!f){d=Ga+4|0;break}e=k[l>>2]|0;c=k[n+116>>2]|0;L=V;M=j;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));y=0;d=qa(380,k[xa>>2]|0)|0;va=y;y=0;do if(va&1)Ia=249;else{y=0;oa(642,ca|0,(k[xa>>2]|0)+84|0);va=y;y=0;if(va&1){Ia=249;break}y=0;L=Aa;M=V;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));c=ja(o|0,Ca|0,fa|0,e|0,c|0,Aa|0,d|0,ca|0)|0;va=y;y=0;E:do if(va&1)Ia=250;else{y=0;oa(460,ya|0,c|0);va=y;y=0;if(va&1){Ia=250;break}k[ya>>2]=7284;d=Ga+4|0;do if(k[d>>2]|0){y=0;na(423,Ga|0);va=y;y=0;if(!(va&1))break;c=pb()|0;f=N;DO(ya);break E}while(0);c=ya+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(ya);c=k[ca>>2]|0;if(c|0){f=ca+4|0;e=k[f>>2]|0;if((e|0)!=(c|0)){do{va=e+-8|0;k[f>>2]=va;lc[k[k[va>>2]>>2]&511](va);e=k[f>>2]|0}while((e|0)!=(c|0));c=k[ca>>2]|0}cra(c)}break D}while(0);if((Ia|0)==250){c=pb()|0;f=N}d=k[ca>>2]|0;if(!d)break;g=ca+4|0;e=k[g>>2]|0;if((e|0)!=(d|0)){do{Ba=e+-8|0;k[g>>2]=Ba;lc[k[k[Ba>>2]>>2]&511](Ba);e=k[g>>2]|0}while((e|0)!=(d|0));d=k[ca>>2]|0}cra(d)}while(0);if((Ia|0)==249)c=pb()|0;break C}else{y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;va=y;y=0;F:do if(va&1)Ia=232;else{y=0;oa(460,Aa|0,c|0);va=y;y=0;if(va&1){Ia=232;break}k[Aa>>2]=7284;d=Ga+4|0;do if(k[d>>2]|0){y=0;na(423,Ga|0);va=y;y=0;if(!(va&1))break;c=pb()|0;DO(Aa);break F}while(0);va=Aa+4|0;k[d>>2]=k[va>>2];k[va>>2]=0;DO(Aa);break D}while(0);if((Ia|0)==232)c=pb()|0;break C}while(0);G:do if(!(k[d>>2]|0)){k[za>>2]=0;k[za+4>>2]=0;k[za+8>>2]=0;y=0;Na(74,za|0,46150,9);va=y;y=0;if(va&1)c=pb()|0;else{c=i[g>>0]|0;va=c<<24>>24<0;y=0;c=ta(41,za|0,(va?k[wa>>2]|0:wa)|0,(va?k[h>>2]|0:c&255)|0)|0;wa=y;y=0;if(wa&1)c=pb()|0;else{k[ya>>2]=k[c>>2];k[ya+4>>2]=k[c+4>>2];k[ya+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;c=Ha(974,ya|0,46290)|0;wa=y;y=0;do if(wa&1)c=pb()|0;else{k[da>>2]=k[c>>2];k[da+4>>2]=k[c+4>>2];k[da+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;y=0;L=Aa;M=j;O=L+40|0;do{k[L>>2]=k[M>>2];L=L+4|0;M=M+4|0}while((L|0)<(O|0));oa(454,da|0,Aa|0);wa=y;y=0;if(wa&1){c=pb()|0;A9(da);break}else{A9(da);A9(ya);A9(za);break G}}while(0);A9(ya)}A9(za)}break C}while(0);za=(k[xa>>2]|0)+112|0;k[za>>2]=(k[za>>2]|0)+-4;za=(k[l>>2]|0)+288|0;k[za>>2]=(k[za>>2]|0)+-24;A9(m);break B}while(0);A9(m);break o}while(0);A9(Aa)}while(0);if((Ia|0)==225){c=pb()|0;A9(Aa)}break o}while(0);DO(E)}A9(F)}A9(G);break o}while(0);if((Ia|0)==217){c=pb()|0;break}c=k[d>>2]|0;if((k[c+20>>2]|0)==-1)fO(c+12|0,b+12|0,40)|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;a=y;y=0;H:do if(a&1)Ia=447;else{y=0;oa(460,Aa|0,c|0);a=y;y=0;if(a&1){Ia=447;break}k[Aa>>2]=7284;do if(k[d>>2]|0){y=0;na(423,Ga|0);a=y;y=0;if(!(a&1))break;c=pb()|0;DO(Aa);break H}while(0);c=Aa+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(Aa);c=k[d>>2]|0;i[c+54>>0]=i[b+54>>0]|0;Ia=(k[xa>>2]|0)+52|0;k[Ia>>2]=(k[Ia>>2]|0)+-4;if(!c)c=0;else i[c+8>>0]=1;GC(Ca,k[Ca+4>>2]|0);DO(Da);DO(Fa);DO(Ga);Ia=c;DO(Ja);A9(Ka);A9(La);r=Ba;return Ia|0}while(0);if((Ia|0)==447)c=pb()|0}while(0);GC(Ca,k[Ca+4>>2]|0)}DO(Da)}DO(Fa)}DO(Ga);break b}while(0);break b}}while(0);c=pb()|0}while(0);DO(Ja)}A9(Ka)}}if((Ia|0)==38){c=pb()|0;A9(Ka)}A9(La);La=c;sb(La|0);return 0}function Yc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;Ja=0;Pa=r;r=r+736|0;v=Pa+696|0;q=Pa+656|0;j=Pa+72|0;M=Pa+648|0;R=Pa+608|0;S=Pa+32|0;xa=Pa+600|0;Ta=Pa+592|0;Sa=Pa+576|0;g=Pa+584|0;Ra=Pa+568|0;Qa=Pa+560|0;ya=Pa+552|0;ja=Pa+544|0;ga=Pa+536|0;fa=Pa+520|0;X=Pa+528|0;Y=Pa+512|0;da=Pa+504|0;Z=Pa+488|0;_=Pa+480|0;$=Pa+464|0;aa=Pa+448|0;V=Pa+416|0;W=Pa+16|0;ba=Pa+400|0;ca=Pa+384|0;Da=Pa+496|0;Ca=Pa+472|0;Ba=Pa+456|0;ka=Pa+376|0;la=Pa+368|0;ma=Pa+360|0;za=Pa+440|0;pa=Pa+352|0;ra=Pa+344|0;sa=Pa+336|0;ua=Pa+328|0;ha=Pa+312|0;ia=Pa;va=Pa+304|0;wa=Pa+296|0;Aa=Pa+432|0;F=Pa+288|0;G=Pa+280|0;H=Pa+272|0;I=Pa+264|0;J=Pa+256|0;U=Pa+248|0;T=Pa+240|0;K=Pa+232|0;L=Pa+224|0;O=Pa+216|0;P=Pa+208|0;Q=Pa+408|0;m=Pa+200|0;o=Pa+192|0;p=Pa+184|0;u=Pa+176|0;s=Pa+168|0;t=Pa+160|0;w=Pa+152|0;D=Pa+144|0;E=Pa+136|0;Oa=Pa+392|0;Ma=Pa+128|0;Ka=Pa+120|0;La=Pa+112|0;LT(Ta,k[a+88>>2]|0);k[Ta>>2]=15136;Ga=a+80|0;y=0;oa(460,Sa|0,k[Ga>>2]|0);Ia=y;y=0;if(Ia&1){Sa=pb()|0;DO(Ta);sb(Sa|0)}k[Sa>>2]=15152;h=b+4|0;e=k[(k[h>>2]|0)+-4>>2]|0;y=0;d=qa(k[(k[a>>2]|0)+128>>2]|0,a|0)|0;Ia=y;y=0;do if(Ia&1)Ja=10;else{if(!(d|c)){y=0;f=qa(315,112)|0;Ra=y;y=0;if(Ra&1){Ja=10;break}y=0;C=v;A=a+12|0;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));Na(80,f|0,v|0,0);Ra=y;y=0;if(Ra&1){d=pb()|0;cra(f);break}d=f+72|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,g|0,a|0);Ra=y;y=0;if(Ra&1){d=pb()|0;break}k[g>>2]=15136;y=0;oa(e|0,d|0,g|0);Ra=y;y=0;if(Ra&1){d=pb()|0;DO(g);break}DO(g);Ra=f;DO(Sa);DO(Ta);r=Pa;return Ra|0}ea=Ta+4|0;d=k[ea>>2]|0;if(!d)d=0;else{y=0;d=ta(44,d|0,b|0,c|0)|0;Ia=y;y=0;if(Ia&1){Ja=10;break}}y=0;oa(460,Ra|0,d|0);Ia=y;y=0;if(Ia&1)Ja=10;else{k[Ra>>2]=6756;Ia=Sa+4|0;d=k[Ia>>2]|0;a:do if(!d)Ja=362;else if((k[d+80>>2]|0)==(k[d+76>>2]|0))Ja=362;else{y=0;oa(460,Qa|0,0);Fa=y;y=0;if(Fa&1)Ja=38;else{k[Qa>>2]=6756;d=k[(k[(k[Ia>>2]|0)+76>>2]|0)+4>>2]|0;b:do if(!d)Ja=318;else if((k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)==33313){y=0;d=qa(315,112)|0;Fa=y;y=0;do if(Fa&1)Ja=40;else{Ea=a+12|0;y=0;C=v;A=Ea;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));Na(80,d|0,v|0,0);Fa=y;y=0;if(Fa&1){Pa=pb()|0;cra(d);d=Pa;break}y=0;oa(460,q|0,d|0);Fa=y;y=0;if(Fa&1)Ja=40;else{k[q>>2]=6756;Fa=Qa+4|0;if(k[Fa>>2]|0){y=0;na(423,Qa|0);C=y;y=0;if(C&1){d=pb()|0;DO(q);break}}C=q+4|0;k[Fa>>2]=k[C>>2];k[C>>2]=0;DO(q);do if(!e){d=k[Ia>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+128>>2]|0,d|0)|0;C=y;y=0;if(C&1)break;if(!d){e=0;Ja=185;break}e=k[h>>2]|0;f=k[b>>2]|0;d=e-f|0;if((d|0)<=0){e=0;Ja=185;break}d=(d>>3)+-1|0;while(1){if(e-f>>3>>>0>d>>>0){g=f;e=f}else{y=0;na(428,b|0);Ja=y;y=0;if(Ja&1){Ja=44;break}e=k[b>>2]|0;g=e}e=k[e+(d<<3)+4>>2]|0;d=d+-1|0;if(!((d|0)>-1&(e|0)==0)){Ja=45;break}e=k[h>>2]|0;f=g}if((Ja|0)==44){d=pb()|0;break b}else if((Ja|0)==45)if(!e){e=0;Ja=185;break}else{Ja=46;break}}else Ja=46;while(0);do if((Ja|0)==46){B=e+76|0;C=e+80|0;g=k[C>>2]|0;h=k[B>>2]|0;f=h;if((g|0)==(h|0)){Ja=185;break}A=Ra+4|0;d=k[A>>2]|0;do if(d|0){z=(k[d+80>>2]|0)-(k[d+76>>2]|0)>>3;if(!z)break;o=e+76|0;p=ja+4|0;q=fa+4|0;s=ya+4|0;t=Y+4|0;u=da+4|0;v=aa+4|0;w=ga+4|0;x=_+4|0;d=0;f=h;c:while(1){n=g-f>>3;if(n|0){m=0;do{y=0;oa(460,ya|0,k[(k[(k[A>>2]|0)+76>>2]|0)+(d<<3)+4>>2]|0);Da=y;y=0;if(Da&1){Ja=82;break c}k[ya>>2]=15136;y=0;oa(460,ja|0,k[(k[o>>2]|0)+(m<<3)+4>>2]|0);Da=y;y=0;if(Da&1){Ja=83;break c}k[ja>>2]=15136;f=k[p>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+16>>2]|0,f|0)|0;Da=y;y=0;if(Da&1){Ja=84;break c}y=0;oa(460,ga|0,f|0);Da=y;y=0;if(Da&1){Ja=84;break c}k[ga>>2]=15136;y=0;f=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;Da=y;y=0;if(Da&1){Ja=85;break c}y=0;oa(460,fa|0,f|0);Da=y;y=0;if(Da&1){Ja=85;break c}k[fa>>2]=15136;h=k[q>>2]|0;f=k[s>>2]|0;if(!f)f=0;else{y=0;f=qa(k[(k[f>>2]|0)+16>>2]|0,f|0)|0;Da=y;y=0;if(Da&1){Ja=86;break c}}y=0;oa(460,Y|0,f|0);Da=y;y=0;if(Da&1){Ja=86;break c}k[Y>>2]=15136;k[h+68>>2]=0;g=h+84|0;f=h+88|0;if(k[f>>2]|0){y=0;na(423,g|0);Da=y;y=0;if(Da&1){Ja=87;break c}}k[f>>2]=k[t>>2];y=0;na(424,g|0);Da=y;y=0;if(Da&1){Ja=87;break c}y=0;oa(460,X|0,k[f>>2]|0);Da=y;y=0;if(Da&1){Ja=87;break c}k[X>>2]=15136;DO(X);DO(Y);f=k[Ga>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+12>>2]|0,f|0)|0;Da=y;y=0;if(Da&1){Ja=86;break c}y=0;oa(460,da|0,f|0);Da=y;y=0;if(Da&1){Ja=86;break c}k[da>>2]=15152;Da=k[u>>2]|0;l=Da+80|0;Ca=k[l>>2]|0;Da=k[Da+76>>2]|0;h=Da;f=Ca;if((Ca|0)==(Da|0)){f=k[q>>2]|0;y=0;oa(460,aa|0,0);Da=y;y=0;if(Da&1){Ja=89;break c}k[aa>>2]=15152;k[f+68>>2]=0;g=f+76|0;f=f+80|0;if(k[f>>2]|0){y=0;na(423,g|0);Da=y;y=0;if(Da&1){Ja=98;break c}}k[f>>2]=k[v>>2];y=0;na(424,g|0);Da=y;y=0;if(Da&1){Ja=98;break c}y=0;oa(460,$|0,k[f>>2]|0);Da=y;y=0;if(Da&1){Ja=98;break c}k[$>>2]=15152;DO($);DO(aa)}else{g=h+8|0;if((g|0)==(f|0))Ja=74;else{do{j=h+4|0;if(k[j>>2]|0){y=0;na(423,h|0);Da=y;y=0;if(Da&1){Ja=88;break c}}Da=g+4|0;k[j>>2]=k[Da>>2];k[Da>>2]=0;g=g+8|0;h=h+8|0}while((g|0)!=(f|0));f=k[l>>2]|0;if((f|0)!=(h|0))Ja=74}if((Ja|0)==74){Ja=0;do{Da=f+-8|0;k[l>>2]=Da;lc[k[k[Da>>2]>>2]&511](Da);f=k[l>>2]|0}while((f|0)!=(h|0))}f=k[q>>2]|0;y=0;oa(460,_|0,k[u>>2]|0);Da=y;y=0;if(Da&1){Ja=89;break c}k[_>>2]=15152;k[f+68>>2]=0;g=f+76|0;f=f+80|0;if(k[f>>2]|0){y=0;na(423,g|0);Da=y;y=0;if(Da&1){Ja=91;break c}}k[f>>2]=k[x>>2];y=0;na(424,g|0);Da=y;y=0;if(Da&1){Ja=91;break c}y=0;oa(460,Z|0,k[f>>2]|0);Da=y;y=0;if(Da&1){Ja=91;break c}k[Z>>2]=15152;DO(Z);DO(_)}f=k[u>>2]|0;if((k[f+80>>2]|0)!=(k[f+76>>2]|0)){f=f+72|0;y=0;f=Ha(k[(k[f>>2]|0)+16>>2]|0,f|0,0)|0;Da=y;y=0;if(Da&1){Ja=89;break c}Da=k[f+4>>2]|0;Aa=k[Da+12>>2]|0;Ba=k[Da+16>>2]|0;Ca=Da+20|0;k[V>>2]=k[Ca>>2];k[V+4>>2]=k[Ca+4>>2];k[V+8>>2]=k[Ca+8>>2];k[V+12>>2]=k[Ca+12>>2];Ca=k[Da+36>>2]|0;Da=Da+40|0;k[W>>2]=k[Da>>2];k[W+4>>2]=k[Da+4>>2];k[W+8>>2]=k[Da+8>>2];Da=k[(k[(k[u>>2]|0)+76>>2]|0)+4>>2]|0;k[Da+12>>2]=Aa;k[Da+16>>2]=Ba+-1;Ba=Da+20|0;k[Ba>>2]=k[V>>2];k[Ba+4>>2]=k[V+4>>2];k[Ba+8>>2]=k[V+8>>2];k[Ba+12>>2]=k[V+12>>2];k[Da+36>>2]=Ca+1;Da=Da+40|0;k[Da>>2]=k[W>>2];k[Da+4>>2]=k[W+4>>2];k[Da+8>>2]=k[W+8>>2]}f=k[w>>2]|0;fO(f+12|0,Ea|0,40)|0;y=0;oa(460,ba|0,k[q>>2]|0);Da=y;y=0;if(Da&1){Ja=89;break c}k[ba>>2]=15136;y=0;oa(511,f|0,ba|0);Da=y;y=0;if(Da&1){Ja=107;break c}DO(ba);f=(k[Fa>>2]|0)+72|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;oa(460,ca|0,k[w>>2]|0);Da=y;y=0;if(Da&1){Ja=89;break c}k[ca>>2]=15136;y=0;oa(g|0,f|0,ca|0);Da=y;y=0;if(Da&1){Ja=108;break c}DO(ca);DO(da);DO(fa);DO(ga);DO(ja);DO(ya);m=m+1|0}while(m>>>0<n>>>0)}d=d+1|0;if(d>>>0>=z>>>0){Ja=326;break b}g=k[C>>2]|0;f=k[B>>2]|0}switch(Ja|0){case 82:{d=pb()|0;break b}case 83:{d=pb()|0;break}case 84:{d=pb()|0;Ja=112;break}case 85:{d=pb()|0;Ja=111;break}case 86:{d=pb()|0;Ja=110;break}case 87:{d=pb()|0;DO(Y);Ja=110;break}case 88:{d=pb()|0;Ja=90;break}case 89:{d=pb()|0;Ja=90;break}case 91:{d=pb()|0;DO(_);Ja=109;break}case 98:{d=pb()|0;DO(aa);Ja=109;break}case 107:{d=pb()|0;DO(ba);Ja=109;break}case 108:{d=pb()|0;DO(ca);Ja=109;break}}if((Ja|0)==90)Ja=109;if((Ja|0)==109){DO(da);Ja=110}if((Ja|0)==110){DO(fa);Ja=111}if((Ja|0)==111){DO(ga);Ja=112}if((Ja|0)==112)DO(ja);DO(ya);break b}while(0);m=g-h>>3;if(!m){Ja=326;break b}n=e+76|0;w=Da+4|0;o=ka+4|0;x=Ba+4|0;p=ma+4|0;q=za+4|0;s=ua+4|0;t=Ca+4|0;u=ra+4|0;v=xa+4|0;d=0;d:while(1){y=0;oa(460,Da|0,k[f+(d<<3)+4>>2]|0);Aa=y;y=0;if(Aa&1){Ja=128;break}k[Da>>2]=15136;f=k[w>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+16>>2]|0,f|0)|0;Aa=y;y=0;if(Aa&1){Ja=129;break}y=0;oa(460,Ca|0,f|0);Aa=y;y=0;if(Aa&1){Ja=129;break}k[Ca>>2]=15136;y=0;f=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;Aa=y;y=0;if(Aa&1){Ja=130;break}y=0;oa(460,Ba|0,f|0);Aa=y;y=0;if(Aa&1){Ja=130;break}k[Ba>>2]=15136;f=k[w>>2]|0;if(!f)f=0;else while(1){y=0;oa(460,xa|0,k[f+88>>2]|0);Aa=y;y=0;if(Aa&1){Ja=131;break d}k[xa>>2]=15136;g=k[v>>2]|0;DO(xa);if(!g)break;else f=g}y=0;oa(460,ka|0,f|0);Aa=y;y=0;if(Aa&1){Ja=132;break}k[ka>>2]=15136;Aa=(k[(k[o>>2]|0)+72>>2]|0)==0;DO(ka);if(!Aa){Ja=126;break}h=k[x>>2]|0;f=k[ea>>2]|0;if(!f)f=0;else{y=0;f=qa(k[(k[f>>2]|0)+16>>2]|0,f|0)|0;Aa=y;y=0;if(Aa&1){Ja=132;break}}y=0;oa(460,ma|0,f|0);Aa=y;y=0;if(Aa&1){Ja=132;break}k[ma>>2]=15136;k[h+68>>2]=0;g=h+84|0;f=h+88|0;if(k[f>>2]|0){y=0;na(423,g|0);Aa=y;y=0;if(Aa&1){Ja=158;break}}k[f>>2]=k[p>>2];y=0;na(424,g|0);Aa=y;y=0;if(Aa&1){Ja=158;break}y=0;oa(460,la|0,k[f>>2]|0);Aa=y;y=0;if(Aa&1){Ja=158;break}k[la>>2]=15136;DO(la);DO(ma);f=k[Ga>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+12>>2]|0,f|0)|0;Aa=y;y=0;if(Aa&1){Ja=132;break}y=0;oa(460,za|0,f|0);Aa=y;y=0;if(Aa&1){Ja=132;break}k[za>>2]=15152;Aa=k[q>>2]|0;l=Aa+80|0;ya=k[l>>2]|0;Aa=k[Aa+76>>2]|0;h=Aa;f=ya;if((ya|0)==(Aa|0)){f=k[x>>2]|0;y=0;oa(460,ua|0,0);Aa=y;y=0;if(Aa&1){Ja=160;break}k[ua>>2]=15152;k[f+68>>2]=0;g=f+76|0;f=f+80|0;if(k[f>>2]|0){y=0;na(423,g|0);Aa=y;y=0;if(Aa&1){Ja=169;break}}k[f>>2]=k[s>>2];y=0;na(424,g|0);Aa=y;y=0;if(Aa&1){Ja=169;break}y=0;oa(460,sa|0,k[f>>2]|0);Aa=y;y=0;if(Aa&1){Ja=169;break}k[sa>>2]=15152;DO(sa);DO(ua)}else{g=h+8|0;if((g|0)==(f|0))Ja=150;else{do{j=h+4|0;if(k[j>>2]|0){y=0;na(423,h|0);Aa=y;y=0;if(Aa&1){Ja=159;break d}}Aa=g+4|0;k[j>>2]=k[Aa>>2];k[Aa>>2]=0;g=g+8|0;h=h+8|0}while((g|0)!=(f|0));f=k[l>>2]|0;if((f|0)!=(h|0))Ja=150}if((Ja|0)==150){Ja=0;do{Aa=f+-8|0;k[l>>2]=Aa;lc[k[k[Aa>>2]>>2]&511](Aa);f=k[l>>2]|0}while((f|0)!=(h|0))}f=k[x>>2]|0;y=0;oa(460,ra|0,k[q>>2]|0);Aa=y;y=0;if(Aa&1){Ja=160;break}k[ra>>2]=15152;k[f+68>>2]=0;g=f+76|0;f=f+80|0;if(k[f>>2]|0){y=0;na(423,g|0);Aa=y;y=0;if(Aa&1){Ja=162;break}}k[f>>2]=k[u>>2];y=0;na(424,g|0);Aa=y;y=0;if(Aa&1){Ja=162;break}y=0;oa(460,pa|0,k[f>>2]|0);Aa=y;y=0;if(Aa&1){Ja=162;break}k[pa>>2]=15152;DO(pa);DO(ra)}f=k[x>>2]|0;i[f+60>>0]=0;g=k[q>>2]|0;if((k[g+80>>2]|0)!=(k[g+76>>2]|0)){f=g+72|0;y=0;f=Ha(k[(k[f>>2]|0)+16>>2]|0,f|0,0)|0;Aa=y;y=0;if(Aa&1){Ja=160;break}f=k[f+4>>2]|0;ja=k[f+12>>2]|0;ya=k[f+16>>2]|0;Aa=f+20|0;k[ha>>2]=k[Aa>>2];k[ha+4>>2]=k[Aa+4>>2];k[ha+8>>2]=k[Aa+8>>2];k[ha+12>>2]=k[Aa+12>>2];Aa=k[f+36>>2]|0;f=f+40|0;k[ia>>2]=k[f>>2];k[ia+4>>2]=k[f+4>>2];k[ia+8>>2]=k[f+8>>2];f=k[(k[(k[q>>2]|0)+76>>2]|0)+4>>2]|0;k[f+12>>2]=ja;k[f+16>>2]=ya+-1;ya=f+20|0;k[ya>>2]=k[ha>>2];k[ya+4>>2]=k[ha+4>>2];k[ya+8>>2]=k[ha+8>>2];k[ya+12>>2]=k[ha+12>>2];k[f+36>>2]=Aa+1;f=f+40|0;k[f>>2]=k[ia>>2];k[f+4>>2]=k[ia+4>>2];k[f+8>>2]=k[ia+8>>2];f=k[x>>2]|0}g=k[t>>2]|0;fO(g+12|0,Ea|0,40)|0;y=0;oa(460,va|0,f|0);Aa=y;y=0;if(Aa&1){Ja=160;break}k[va>>2]=15136;y=0;oa(511,g|0,va|0);Aa=y;y=0;if(Aa&1){Ja=179;break}DO(va);f=(k[Fa>>2]|0)+72|0;g=k[(k[f>>2]|0)+20>>2]|0;y=0;oa(460,wa|0,k[t>>2]|0);Aa=y;y=0;if(Aa&1){Ja=160;break}k[wa>>2]=15136;y=0;oa(g|0,f|0,wa|0);Aa=y;y=0;if(Aa&1){Ja=180;break}DO(wa);DO(za);DO(Ba);DO(Ca);DO(Da);d=d+1|0;if(d>>>0>=m>>>0){Ja=326;break b}f=k[n>>2]|0}switch(Ja|0){case 126:{d=gb(84)|0;y=0;Na(81,d|0,k[w>>2]|0,k[x>>2]|0);Pa=y;y=0;if(Pa&1){Ja=pb()|0;fb(d|0);d=Ja;Ja=182;break}else{y=0;Na(75,d|0,1984,175);y=0;d=pb()|0;Ja=133;break}}case 128:{d=pb()|0;break b}case 129:{d=pb()|0;break}case 130:{d=pb()|0;Ja=183;break}case 131:{d=pb()|0;Ja=133;break}case 132:{d=pb()|0;Ja=133;break}case 158:{d=pb()|0;DO(ma);Ja=182;break}case 159:{d=pb()|0;Ja=161;break}case 160:{d=pb()|0;Ja=161;break}case 162:{d=pb()|0;DO(ra);Ja=181;break}case 169:{d=pb()|0;DO(ua);Ja=181;break}case 179:{d=pb()|0;DO(va);Ja=181;break}case 180:{d=pb()|0;DO(wa);Ja=181;break}}if((Ja|0)==133)Ja=182;else if((Ja|0)==161)Ja=181;if((Ja|0)==181){DO(za);Ja=182}if((Ja|0)==182){DO(Ba);Ja=183}if((Ja|0)==183)DO(Ca);DO(Da);break b}while(0);do if((Ja|0)==185){z=Ra+4|0;d=k[z>>2]|0;do if(d|0){x=(k[d+80>>2]|0)-(k[d+76>>2]|0)>>3;if(!x)break;n=Aa+4|0;o=G+4|0;p=I+4|0;q=J+4|0;s=K+4|0;t=O+4|0;u=U+4|0;v=T+4|0;w=R+20|0;m=0;e:while(1){y=0;d=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;Ja=y;y=0;if(Ja&1){Ja=214;break}y=0;oa(460,Aa|0,d|0);Ja=y;y=0;if(Ja&1){Ja=214;break}k[Aa>>2]=15136;g=k[n>>2]|0;d=(k[z>>2]|0)+72|0;y=0;d=Ha(k[(k[d>>2]|0)+16>>2]|0,d|0,m|0)|0;Ja=y;y=0;if(Ja&1){Ja=215;break}d=k[d+4>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+16>>2]|0,d|0)|0;Ja=y;y=0;if(Ja&1){Ja=215;break}y=0;oa(460,G|0,d|0);Ja=y;y=0;if(Ja&1){Ja=215;break}k[G>>2]=15136;k[g+68>>2]=0;f=g+84|0;d=g+88|0;if(k[d>>2]|0){y=0;na(423,f|0);Ja=y;y=0;if(Ja&1){Ja=216;break}}k[d>>2]=k[o>>2];y=0;na(424,f|0);Ja=y;y=0;if(Ja&1){Ja=216;break}y=0;oa(460,F|0,k[d>>2]|0);Ja=y;y=0;if(Ja&1){Ja=216;break}k[F>>2]=15136;DO(F);DO(G);g=k[n>>2]|0;y=0;l=qa(315,108)|0;Ja=y;y=0;if(Ja&1){Ja=215;break}C=S;A=(k[Ia>>2]|0)+12|0;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));y=0;na(422,l|0);Ja=y;y=0;if(Ja&1){Ja=217;break}C=l+12|0;A=S;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l>>2]=13472;i[l+60>>0]=0;i[l+61>>0]=0;i[l+62>>0]=0;k[l+64>>2]=0;k[l+68>>2]=0;k[l+56>>2]=7;d=l+72|0;k[d>>2]=15096;j=l+76|0;k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;k[j+12>>2]=0;y=0;oa(512,j|0,0);Ja=y;y=0;if(Ja&1){Ja=200;break}k[l>>2]=14880;k[d>>2]=15056;Ja=l+96|0;k[Ja>>2]=0;k[l+100>>2]=0;k[l+92>>2]=Ja;i[l+104>>0]=0;i[l+105>>0]=0;y=0;oa(460,I|0,l|0);Ja=y;y=0;if(Ja&1){Ja=215;break}k[I>>2]=15152;k[g+68>>2]=0;f=g+76|0;d=g+80|0;if(k[d>>2]|0){y=0;na(423,f|0);Ja=y;y=0;if(Ja&1){Ja=219;break}}k[d>>2]=k[p>>2];y=0;na(424,f|0);Ja=y;y=0;if(Ja&1){Ja=219;break}y=0;oa(460,H|0,k[d>>2]|0);Ja=y;y=0;if(Ja&1){Ja=219;break}k[H>>2]=15152;DO(H);DO(I);y=0;oa(460,J|0,k[Ga>>2]|0);Ja=y;y=0;if(Ja&1){Ja=220;break}k[J>>2]=15152;h=k[q>>2]|0;h=(k[h+80>>2]|0)-(k[h+76>>2]|0)>>3;DO(J);d=k[n>>2]|0;if(h>>>0>1){g=1;do{y=0;oa(460,U|0,k[d+80>>2]|0);Ja=y;y=0;if(Ja&1){Ja=228;break e}k[U>>2]=15152;d=k[u>>2]|0;y=0;oa(460,T|0,k[Ga>>2]|0);Ja=y;y=0;if(Ja&1){Ja=229;break e}k[T>>2]=15152;f=k[(k[(k[v>>2]|0)+76>>2]|0)+(g<<3)+4>>2]|0;y=0;oa(460,M|0,f|0);Ja=y;y=0;if(Ja&1){Ja=230;break e}k[M>>2]=13284;y=0;oa(118,d+72|0,M|0);Ja=y;y=0;if(Ja&1){Ja=226;break e}DO(M);d=d+32|0;C=R;A=f+12|0;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));y=0;oa(510,d|0,w|0);Ja=y;y=0;if(Ja&1){Ja=230;break e}DO(T);DO(U);g=g+1|0;d=k[n>>2]|0}while(g>>>0<h>>>0)}y=0;oa(460,K|0,k[d+80>>2]|0);Ja=y;y=0;if(Ja&1){Ja=215;break}k[K>>2]=15152;Ja=k[s>>2]|0;Ja=(k[Ja+80>>2]|0)==(k[Ja+76>>2]|0);DO(K);if(Ja){d=k[n>>2]|0;y=0;oa(460,O|0,0);Ja=y;y=0;if(Ja&1){Ja=215;break}k[O>>2]=15152;k[d+68>>2]=0;f=d+76|0;d=d+80|0;if(k[d>>2]|0){y=0;na(423,f|0);Ja=y;y=0;if(Ja&1){Ja=240;break}}k[d>>2]=k[t>>2];y=0;na(424,f|0);Ja=y;y=0;if(Ja&1){Ja=240;break}y=0;oa(460,L|0,k[d>>2]|0);Ja=y;y=0;if(Ja&1){Ja=240;break}k[L>>2]=15152;DO(L);DO(O)}h=(k[Fa>>2]|0)+72|0;j=k[(k[h>>2]|0)+20>>2]|0;g=k[n>>2]|0;f:while(1){d=k[g+80>>2]|0;do if(d|0){f=k[d+80>>2]|0;d=k[d+76>>2]|0;if((f|0)==(d|0))break;if((f-d|0)!=8){Ja=251;break f}d=k[d+4>>2]|0;if(!d){Ja=251;break f}if((k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)!=33313){Ja=251;break f}}while(0);if(k[g+72>>2]|0){Ja=251;break}d=k[g+88>>2]|0;if(!d){Ja=249;break}i[d+60>>0]=i[g+60>>0]|0;g=d}if((Ja|0)==249){y=0;oa(460,P|0,0);Ja=y;y=0;if(Ja&1){Ja=215;break}}else if((Ja|0)==251){y=0;oa(460,P|0,g|0);Ja=y;y=0;if(Ja&1){Ja=215;break}}k[P>>2]=15136;y=0;oa(j|0,h|0,P|0);Ja=y;y=0;if(Ja&1){Ja=254;break}DO(P);DO(Aa);m=m+1|0;if(m>>>0>=x>>>0){Ja=326;break b}}switch(Ja|0){case 200:{d=pb()|0;g=N;h=l+80|0;e=k[j>>2]|0;if(e|0){f=k[h>>2]|0;if((f|0)!=(e|0)){do{Pa=f+-8|0;k[h>>2]=Pa;lc[k[k[Pa>>2]>>2]&511](Pa);f=k[h>>2]|0}while((f|0)!=(e|0));e=k[j>>2]|0}cra(e)}Ja=218;break}case 214:{d=pb()|0;break b}case 215:{d=pb()|0;break}case 216:{d=pb()|0;DO(G);break}case 217:{d=pb()|0;Ja=218;break}case 219:{d=pb()|0;DO(I);break}case 220:{d=pb()|0;break}case 226:{d=pb()|0;DO(M);Ja=231;break}case 228:{d=pb()|0;break}case 229:{d=pb()|0;Ja=232;break}case 230:{d=pb()|0;Ja=231;break}case 240:{d=pb()|0;DO(O);break}case 254:{d=pb()|0;DO(P);break}}if((Ja|0)==218)cra(l);else if((Ja|0)==231){DO(T);Ja=232}if((Ja|0)==232)DO(U);DO(Aa);break b}while(0);y=0;d=qa(k[(k[a>>2]|0)+16>>2]|0,a|0)|0;a=y;y=0;if(a&1)break;y=0;oa(460,Q|0,d|0);a=y;y=0;if(a&1)break;k[Q>>2]=15136;n=Q+4|0;g=k[n>>2]|0;y=0;l=qa(315,108)|0;a=y;y=0;g:do if(a&1)Ja=276;else{C=j;A=(k[Ia>>2]|0)+12|0;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));y=0;na(422,l|0);a=y;y=0;do if(a&1)d=pb()|0;else{C=l+12|0;A=j;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l>>2]=13472;i[l+60>>0]=0;i[l+61>>0]=0;i[l+62>>0]=0;k[l+64>>2]=0;k[l+68>>2]=0;k[l+56>>2]=7;d=l+72|0;k[d>>2]=15096;h=l+76|0;j=l+80|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(512,h|0,0);a=y;y=0;if(a&1){d=pb()|0;g=N;e=k[h>>2]|0;if(e|0){f=k[j>>2]|0;if((f|0)!=(e|0)){do{Pa=f+-8|0;k[j>>2]=Pa;lc[k[k[Pa>>2]>>2]&511](Pa);f=k[j>>2]|0}while((f|0)!=(e|0));e=k[h>>2]|0}cra(e)}break}k[l>>2]=14880;k[d>>2]=15056;a=l+96|0;k[a>>2]=0;k[l+100>>2]=0;k[l+92>>2]=a;i[l+104>>0]=0;i[l+105>>0]=0;y=0;oa(460,o|0,l|0);a=y;y=0;if(a&1){Ja=276;break g}k[o>>2]=15152;k[g+68>>2]=0;f=g+76|0;d=g+80|0;if(!(k[d>>2]|0))Ja=270;else{y=0;na(423,f|0);a=y;y=0;if(!(a&1))Ja=270}do if((Ja|0)==270){k[d>>2]=k[o+4>>2];y=0;na(424,f|0);a=y;y=0;if(a&1)break;y=0;oa(460,m|0,k[d>>2]|0);a=y;y=0;if(a&1)break;k[m>>2]=15152;DO(m);DO(o);y=0;oa(460,p|0,k[Ga>>2]|0);a=y;y=0;if(a&1){d=pb()|0;break g}k[p>>2]=15152;m=k[p+4>>2]|0;m=(k[m+80>>2]|0)-(k[m+76>>2]|0)>>3;DO(p);d=k[n>>2]|0;h:do if(m>>>0>1){h=u+4|0;j=s+4|0;l=q+20|0;g=1;while(1){y=0;oa(460,u|0,k[d+80>>2]|0);a=y;y=0;if(a&1){Ja=288;break}k[u>>2]=15152;d=k[h>>2]|0;y=0;oa(460,s|0,k[Ga>>2]|0);a=y;y=0;if(a&1){Ja=289;break}k[s>>2]=15152;f=k[(k[(k[j>>2]|0)+76>>2]|0)+(g<<3)+4>>2]|0;y=0;oa(460,v|0,f|0);a=y;y=0;if(a&1){Ja=290;break}k[v>>2]=13284;y=0;oa(118,d+72|0,v|0);a=y;y=0;if(a&1){Ja=286;break}DO(v);d=d+32|0;C=q;A=f+12|0;B=C+40|0;do{k[C>>2]=k[A>>2];C=C+4|0;A=A+4|0}while((C|0)<(B|0));y=0;oa(510,d|0,l|0);a=y;y=0;if(a&1){Ja=290;break}DO(s);DO(u);g=g+1|0;d=k[n>>2]|0;if(g>>>0>=m>>>0)break h}if((Ja|0)==286){d=pb()|0;DO(v);Ja=291}else if((Ja|0)==288){d=pb()|0;break g}else if((Ja|0)==289)d=pb()|0;else if((Ja|0)==290){d=pb()|0;Ja=291}if((Ja|0)==291)DO(s);DO(u);break g}while(0);y=0;oa(460,t|0,k[d+80>>2]|0);Ga=y;y=0;if(Ga&1){Ja=276;break g}k[t>>2]=15152;Ga=k[t+4>>2]|0;Ga=(k[Ga+80>>2]|0)==(k[Ga+76>>2]|0);DO(t);i:do if(Ga){d=k[n>>2]|0;y=0;oa(460,D|0,0);Ga=y;y=0;if(Ga&1){Ja=276;break g}k[D>>2]=15152;k[d+68>>2]=0;f=d+76|0;d=d+80|0;if(!(k[d>>2]|0))Ja=297;else{y=0;na(423,f|0);Ga=y;y=0;if(!(Ga&1))Ja=297}do if((Ja|0)==297){k[d>>2]=k[D+4>>2];y=0;na(424,f|0);Ga=y;y=0;if(Ga&1)break;y=0;oa(460,w|0,k[d>>2]|0);Ga=y;y=0;if(Ga&1)break;k[w>>2]=15152;DO(w);DO(D);break i}while(0);d=pb()|0;DO(D);break g}while(0);h=(k[Fa>>2]|0)+72|0;j=k[(k[h>>2]|0)+20>>2]|0;g=k[n>>2]|0;j:while(1){d=k[g+80>>2]|0;do if(d|0){f=k[d+80>>2]|0;d=k[d+76>>2]|0;if((f|0)==(d|0))break;if((f-d|0)!=8){Ja=312;break j}d=k[d+4>>2]|0;if(!d){Ja=312;break j}if((k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)!=33313){Ja=312;break j}}while(0);if(k[g+72>>2]|0){Ja=312;break}d=k[g+88>>2]|0;if(!d){Ja=309;break}i[d+60>>0]=i[g+60>>0]|0;g=d}if((Ja|0)==309){y=0;oa(460,E|0,0);Ga=y;y=0;if(Ga&1){Ja=276;break g}k[E>>2]=15136}else if((Ja|0)==312){y=0;oa(460,E|0,g|0);Ga=y;y=0;if(Ga&1){Ja=276;break g}k[E>>2]=15136}y=0;oa(j|0,h|0,E|0);Ga=y;y=0;if(Ga&1){d=pb()|0;DO(E);break g}else{DO(E);DO(Q);Ja=326;break b}}while(0);d=pb()|0;DO(o);break g}while(0);cra(l)}while(0);if((Ja|0)==276)d=pb()|0;DO(Q);break b}while(0);d=pb()|0;break b}}while(0);if((Ja|0)==40)d=pb()|0}else Ja=318;while(0);k:do if((Ja|0)==318){y=0;d=Ha(972,a|0,k[Ra+4>>2]|0)|0;Ga=y;y=0;do if(Ga&1)Ja=323;else{y=0;oa(460,v|0,d|0);Ga=y;y=0;if(Ga&1)Ja=323;else{k[v>>2]=6756;d=Qa+4|0;if(k[d>>2]|0){y=0;na(423,Qa|0);Ga=y;y=0;if(Ga&1){d=pb()|0;DO(v);break}}Ja=v+4|0;k[d>>2]=k[Ja>>2];k[Ja>>2]=0;DO(v);Ja=326;break k}}while(0);if((Ja|0)==323)d=pb()|0}while(0);l:do if((Ja|0)==326){l=k[Ia>>2]|0;d=k[l+76>>2]|0;l=k[l+80>>2]|0;m:do if((d|0)!=(l|0)){m=Oa+4|0;h=Ma+4|0;j=La+4|0;do if(!e){n:while(1){y=0;oa(460,Oa|0,k[d+4>>2]|0);La=y;y=0;if(La&1){Ja=355;break}k[Oa>>2]=13284;e=k[m>>2]|0;do if(e|0){if((k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)!=30296)break;y=0;oa(460,Ma|0,k[e+108>>2]|0);La=y;y=0;if(La&1){Ja=357;break n}k[Ma>>2]=6756;DO(Ma)}while(0);DO(Oa);d=d+8|0;if((d|0)==(l|0))break m}if((Ja|0)==355){d=pb()|0;Ja=356;break}else if((Ja|0)==357){d=pb()|0;Ja=358;break}}else{o:while(1){y=0;oa(460,Oa|0,k[d+4>>2]|0);Ja=y;y=0;if(Ja&1){Ja=343;break}k[Oa>>2]=13284;f=k[m>>2]|0;p:do if(f|0){if((k[(k[(k[f>>2]|0)+-4>>2]|0)+4>>2]|0)!=30296)break;g=f+108|0;y=0;oa(460,Ma|0,k[g>>2]|0);Ja=y;y=0;if(Ja&1){Ja=344;break o}k[Ma>>2]=6756;e=k[h>>2]|0;do if(e|0){if((k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)!=30714)break;DO(Ma);y=0;e=ta(45,e|0,b|0,c|0)|0;Ja=y;y=0;if(Ja&1){Ja=345;break o}y=0;oa(460,La|0,e|0);Ja=y;y=0;if(Ja&1){Ja=345;break o}k[La>>2]=6756;e=f+104|0;if(k[g>>2]|0){y=0;na(423,e|0);Ja=y;y=0;if(Ja&1){Ja=346;break o}}k[g>>2]=k[j>>2];y=0;na(424,e|0);Ja=y;y=0;if(Ja&1){Ja=346;break o}y=0;oa(460,Ka|0,k[g>>2]|0);Ja=y;y=0;if(Ja&1){Ja=346;break o}k[Ka>>2]=6756;DO(Ka);DO(La);break p}while(0);DO(Ma)}while(0);DO(Oa);d=d+8|0;if((d|0)==(l|0))break m}if((Ja|0)==343){d=pb()|0;Ja=356;break}else if((Ja|0)==344){d=pb()|0;Ja=358;break}else if((Ja|0)==345){d=pb()|0;break}else if((Ja|0)==346){d=pb()|0;DO(La);break}}while(0);if((Ja|0)==356)break l;DO(Oa);break l}while(0);d=k[Qa+4>>2]|0;if(!d)d=0;else i[d+8>>0]=1;DO(Qa);Ja=363;break a}while(0);DO(Qa)}}while(0);if((Ja|0)==362){y=0;d=Ha(972,a|0,k[Ra+4>>2]|0)|0;Qa=y;y=0;if(Qa&1)Ja=38;else Ja=363}if((Ja|0)==38)d=pb()|0;else if((Ja|0)==363){DO(Ra);Ra=d;DO(Sa);DO(Ta);r=Pa;return Ra|0}DO(Ra)}}while(0);if((Ja|0)==10)d=pb()|0;DO(Sa);Sa=d;DO(Ta);sb(Sa|0);return 0}function Zc(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0;R=0;X=r;r=r+1088|0;T=X+1072|0;g=X+1084|0;P=X+1068|0;V=X+1056|0;U=X+1052|0;J=X+1040|0;I=X+1036|0;F=X+1024|0;E=X+1020|0;B=X+996|0;A=X+992|0;S=X+824|0;Q=X+1008|0;Y=X+680|0;W=X+980|0;L=X+520|0;K=X+968|0;H=X+360|0;G=X+664|0;D=X+216|0;C=X+504|0;x=X+72|0;u=X+60|0;t=X+48|0;o=X+36|0;n=X+12|0;h=X;p=X+24|0;y=0;la(4);y=0;M=$a(2e3,5760,5696,4072,5960,0)|0;O=N;if((O|0)==(ob(2e3)|0)){s=vb(M|0)|0;z=x+64|0;b=x+8|0;k[b>>2]=15992;w=x+12|0;k[x>>2]=16032;k[z>>2]=16052;k[x+4>>2]=0;y=0;oa(528,x+64|0,w|0);v=y;y=0;a:do if(v&1){b=pb()|0;R=215}else{k[x+136>>2]=0;k[x+140>>2]=-1;k[x>>2]=15972;k[z>>2]=16012;k[b>>2]=15992;y=0;na(433,w|0);v=y;y=0;do if(v&1)b=pb()|0;else{k[w>>2]=15832;v=x+44|0;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;k[v+12>>2]=0;k[x+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,w|0,T|0);q=y;y=0;if(q&1){b=pb()|0;A9(T);A9(v);Xaa(w);break}A9(T);y=0;na(436,u|0);q=y;y=0;if(q&1)b=pb()|0;else{y=0;b=qa(k[(k[s>>2]|0)+12>>2]|0,s|0)|0;R=y;y=0;if(R&1)R=217;else{k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;R=IJ(b)|0;y=0;Na(74,t|0,b|0,R|0);R=y;y=0;if(R&1)R=217;else{q=x+8|0;l=t+11|0;b=i[l>>0]|0;R=b<<24>>24<0;m=t+4|0;y=0;b=ta(47,q|0,(R?k[t>>2]|0:t)|0,(R?k[m>>2]|0:b&255)|0)|0;R=y;y=0;b:do if(R&1)R=218;else{y=0;ta(47,b|0,58790,2)|0;R=y;y=0;if(R&1)R=218;else{b=oc[k[(k[s>>2]|0)+8>>2]&511](s)|0;do if(!b)R=232;else{e=T+11|0;f=T+4|0;d=0;c:while(1){c=i[b>>0]|0;switch(c<<24>>24){case 0:{R=231;break c}case 10:case 13:{d=1;break}default:if(d){R=i[l>>0]|0;R=(R<<24>>24<0?k[m>>2]|0:R&255)+2|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(116,T|0,R|0,32);R=y;y=0;if(R&1){R=223;break c}R=i[e>>0]|0;j=R<<24>>24<0;y=0;ta(47,q|0,(j?k[T>>2]|0:T)|0,(j?k[f>>2]|0:R&255)|0)|0;R=y;y=0;if(R&1){R=224;break c}A9(T);d=0;c=i[b>>0]|0}else d=0}i[g>>0]=c;y=0;ta(47,q|0,g|0,1)|0;R=y;y=0;if(R&1){R=228;break}b=b+1|0}if((R|0)==223)b=pb()|0;else if((R|0)==224){b=pb()|0;A9(T)}else if((R|0)==228){b=pb()|0;break}else if((R|0)==231)if(d){R=233;break}else{R=232;break}break b}while(0);if((R|0)==232){y=0;ta(47,q|0,52248,1)|0;R=y;y=0;if(R&1)R=229;else R=233}if((R|0)==233){j=s+72|0;b=k[j>>2]|0;d:do if(!b){c=s+32|0;n=k[s+44>>2]|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;o=IJ(n)|0;y=0;Na(74,T|0,n|0,o|0);o=y;y=0;do if(o&1)b=pb()|0;else{y=0;Ra(18,h|0,T|0,u|0,u|0);o=y;y=0;if(o&1){b=pb()|0;A9(T);break}A9(T);o=i[l>>0]|0;o=(o<<24>>24<0?k[m>>2]|0:o&255)+2|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(116,T|0,o|0,32);o=y;y=0;do if(o&1){b=pb()|0;R=270}else{o=i[T+11>>0]|0;n=o<<24>>24<0;y=0;ta(47,q|0,(n?k[T>>2]|0:T)|0,(n?k[T+4>>2]|0:o&255)|0)|0;o=y;y=0;if(o&1){b=pb()|0;A9(T);R=270;break}A9(T);y=0;b=ta(47,q|0,49972,9)|0;o=y;y=0;do if(!(o&1)){y=0;b=Ha(976,b|0,(k[c>>2]|0)+1|0)|0;o=y;y=0;if(o&1)break;y=0;b=ta(47,b|0,52102,4)|0;o=y;y=0;if(o&1)break;o=i[h+11>>0]|0;n=o<<24>>24<0;y=0;b=ta(47,b|0,(n?k[h>>2]|0:h)|0,(n?k[h+4>>2]|0:o&255)|0)|0;o=y;y=0;if(o&1)break;y=0;ta(47,b|0,52248,1)|0;o=y;y=0;if(o&1)break;A9(h);m=c;break d}while(0);b=pb()|0}while(0);A9(h);break b}while(0);break b}else{if((((k[b+4>>2]|0)-(k[b>>2]|0)>>2)+-1|0)>>>0<=1){m=s+32|0;break}d=T+11|0;e=T+4|0;f=s+32|0;g=n+11|0;h=n+4|0;c=1;while(1){Z=k[k[(k[b>>2]|0)+(c<<2)>>2]>>2]|0;k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;b=IJ(Z)|0;y=0;Na(74,o|0,Z|0,b|0);b=y;y=0;if(b&1){R=247;break}y=0;Ra(18,n|0,o|0,u|0,u|0);Z=y;y=0;if(Z&1){R=248;break}Z=i[l>>0]|0;Z=(Z<<24>>24<0?k[m>>2]|0:Z&255)+2|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(116,T|0,Z|0,32);Z=y;y=0;if(Z&1){R=249;break}Z=i[d>>0]|0;b=Z<<24>>24<0;y=0;ta(47,q|0,(b?k[T>>2]|0:T)|0,(b?k[e>>2]|0:Z&255)|0)|0;Z=y;y=0;if(Z&1){R=250;break}A9(T);Z=(c|0)==1;y=0;ta(47,q|0,(Z?49972:49982)|0,(Z?9:11)|0)|0;Z=y;y=0;if(Z&1){R=252;break}y=0;b=Ha(976,q|0,(k[f>>2]|0)+1|0)|0;Z=y;y=0;if(Z&1){R=252;break}y=0;b=ta(47,b|0,52102,4)|0;Z=y;y=0;if(Z&1){R=252;break}Z=i[g>>0]|0;_=Z<<24>>24<0;y=0;b=ta(47,b|0,(_?k[n>>2]|0:n)|0,(_?k[h>>2]|0:Z&255)|0)|0;Z=y;y=0;if(Z&1){R=252;break}y=0;ta(47,b|0,52248,1)|0;_=y;y=0;if(_&1){R=252;break}A9(n);A9(o);c=c+1|0;b=k[j>>2]|0;if(c>>>0>=(((k[b+4>>2]|0)-(k[b>>2]|0)>>2)+-1|0)>>>0){m=f;break d}}if((R|0)==247){b=pb()|0;break b}else if((R|0)==248)b=pb()|0;else if((R|0)==249){b=pb()|0;R=251}else if((R|0)==250){b=pb()|0;A9(T);R=251}else if((R|0)==252){b=pb()|0;R=253}if((R|0)==251)R=253;if((R|0)==253)A9(n);A9(o);break b}while(0);b=k[m>>2]|0;e:do if((b|0)!=-1){l=s+36|0;e=k[l>>2]|0;if((e|0)==-1)break;c=k[s+48>>2]|0;f:do if(!c){b=0;c=0}else{d=i[c>>0]|0;if((b|0)!=0&d<<24>>24!=0)do{b=((d<<24>>24==10)<<31>>31)+b|0;c=c+1|0;d=i[c>>0]|0}while((b|0)!=0&d<<24>>24!=0);if(!c){b=0;c=0;break}else b=c;while(1){switch(i[b>>0]|0){case 13:case 10:case 0:break f;default:{}}b=b+1|0}}while(0);j=e>>>0>42?e+-42|0:0;d=b-c-j|0;y=0;h=ta(47,q|0,49994,3)|0;_=y;y=0;g:do if(!(_&1)){g=c+j|0;e=b+(d>>>0>78?78-d|0:0)|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;f=e-g|0;do if(f>>>0>4294967279){y=0;na(438,T|0);_=y;y=0;if(_&1)R=299;else R=286}else{if(f>>>0>=11){R=286;break}i[T+11>>0]=f;b=T;R=288}while(0);do if((R|0)==286){c=f+16&-16;y=0;b=qa(315,c|0)|0;_=y;y=0;if(_&1){R=299;break}k[T>>2]=b;k[T+8>>2]=c|-2147483648;k[T+4>>2]=f;R=288}while(0);if((R|0)==288){if((g|0)!=(e|0)){d=b;c=g;while(1){i[d>>0]=i[c>>0]|0;c=c+1|0;if((c|0)==(e|0))break;else d=d+1|0}b=b+f|0}i[b>>0]=0;b=i[T+11>>0]|0;_=b<<24>>24<0;y=0;b=ta(47,h|0,(_?k[T>>2]|0:T)|0,(_?k[T+4>>2]|0:b&255)|0)|0;_=y;y=0;do if(!(_&1)){y=0;ta(47,b|0,52248,1)|0;_=y;y=0;if(_&1)break;A9(T);y=0;b=ta(47,q|0,49998,3)|0;_=y;y=0;if(_&1)break g;_=(k[l>>2]|0)-j|0;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;Na(116,T|0,_|0,45);_=y;y=0;if(_&1)b=pb()|0;else{_=i[T+11>>0]|0;Z=_<<24>>24<0;y=0;b=ta(47,b|0,(Z?k[T>>2]|0:T)|0,(Z?k[T+4>>2]|0:_&255)|0)|0;_=y;y=0;do if(!(_&1)){y=0;ta(47,b|0,50002,2)|0;_=y;y=0;if(_&1)break;A9(T);break e}while(0);b=pb()|0;A9(T)}break b}while(0);b=pb()|0;A9(T)}else if((R|0)==299)b=pb()|0;break b}while(0);b=pb()|0;break b}while(0);y=0;f=La(1)|0;_=y;y=0;if(_&1)R=229;else{y=0;b=ra(2,1.0)|0;_=y;y=0;do if(_&1)R=322;else{y=0;Na(149,f|0,49899,b|0);_=y;y=0;if(_&1){R=322;break}e=s+44|0;y=0;b=qa(399,k[e>>2]|0)|0;_=y;y=0;if(_&1){R=322;break}y=0;Na(149,f|0,51340,b|0);_=y;y=0;if(_&1){R=322;break}y=0;b=ra(2,+(+(((k[m>>2]|0)+1|0)>>>0)))|0;_=y;y=0;if(_&1){R=322;break}y=0;Na(149,f|0,50005,b|0);_=y;y=0;if(_&1){R=322;break}d=s+36|0;y=0;b=ra(2,+(+(((k[d>>2]|0)+1|0)>>>0)))|0;_=y;y=0;if(_&1){R=322;break}y=0;Na(149,f|0,50010,b|0);_=y;y=0;if(_&1){R=322;break}b=oc[k[(k[s>>2]|0)+8>>2]&511](s)|0;y=0;b=qa(399,b|0)|0;_=y;y=0;if(_&1){R=322;break}y=0;Na(149,f|0,49906,b|0);_=y;y=0;if(_&1){R=322;break}y=0;oa(530,T|0,w|0);_=y;y=0;if(_&1){R=322;break}y=0;b=qa(399,((i[T+11>>0]|0)<0?k[T>>2]|0:T)|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(T);break}A9(T);y=0;Na(149,f|0,49914,b|0);_=y;y=0;if(_&1){R=322;break}y=0;b=Ha(1028,f|0,49741)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=322;break}}else k[a+88>>2]=b;y=0;oa(530,p|0,w|0);_=y;y=0;if(_&1){R=322;break}y=0;b=qa(400,p|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(p);break b}k[a+96>>2]=b;A9(p);b=oc[k[(k[s>>2]|0)+8>>2]&511](s)|0;y=0;b=qa(322,b|0)|0;_=y;y=0;if(_&1){R=322;break}k[a+92>>2]=b;c=a+84|0;k[c>>2]=1;y=0;b=qa(322,k[e>>2]|0)|0;_=y;y=0;if(_&1){R=322;break}k[a+100>>2]=b;k[a+104>>2]=(k[m>>2]|0)+1;k[a+108>>2]=(k[d>>2]|0)+1;k[a+112>>2]=k[s+48>>2];k[a+76>>2]=0;k[a+80>>2]=0;y=0;na(464,f|0);_=y;y=0;if(_&1){R=322;break}A9(t);A9(u);k[x>>2]=15972;k[z>>2]=16012;k[q>>2]=15992;k[w>>2]=15832;A9(v);Xaa(w);nla(x,16064);Vja(z);rb();_=c;_=k[_>>2]|0;r=X;return _|0}while(0);if((R|0)==322)b=pb()|0;break}}if((R|0)==229)b=pb()|0}}while(0);if((R|0)==218)b=pb()|0;A9(t)}}if((R|0)==217)b=pb()|0;A9(u)}k[x>>2]=15972;k[z>>2]=16012;k[x+8>>2]=15992;k[w>>2]=15832;A9(v);Xaa(w);nla(x,16064);Vja(z);break a}while(0);nla(x,16064);R=215}while(0);if((R|0)==215)Vja(z);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;Sla(_)}else{_=b;sb(_|0)}}if((O|0)==(ob(5760)|0)){e=vb(M|0)|0;j=D+64|0;b=D+8|0;k[b>>2]=15992;h=D+12|0;k[D>>2]=16032;k[j>>2]=16052;k[D+4>>2]=0;y=0;oa(528,D+64|0,h|0);_=y;y=0;h:do if(_&1){b=pb()|0;R=202}else{k[D+136>>2]=0;k[D+140>>2]=-1;k[D>>2]=15972;k[j>>2]=16012;k[b>>2]=15992;y=0;na(433,h|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[h>>2]=15832;g=D+44|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[D+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,h|0,T|0);_=y;y=0;if(_&1){b=pb()|0;A9(T);A9(g);Xaa(h);break}A9(T);y=0;f=La(1)|0;_=y;y=0;i:do if(_&1){b=pb()|0;c=D+8|0}else{c=D+8|0;y=0;b=ta(47,c|0,49871,27)|0;_=y;y=0;do if(_&1)R=204;else{_=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;d=IJ(_)|0;y=0;d=ta(47,b|0,_|0,d|0)|0;_=y;y=0;if(_&1)R=204;else{y=0;b=qa(323,d+(k[(k[d>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=204;else{k[A>>2]=b;y=0;b=Ha(977,A|0,83960)|0;_=y;y=0;if(!(_&1)){y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;_=y;y=0;if(!(_&1)){Hea(A);y=0;Ha(1015,d|0,b|0)|0;_=y;y=0;if(_&1){R=204;break}y=0;qa(381,d|0)|0;_=y;y=0;if(_&1){R=204;break}y=0;b=ra(2,2.0)|0;_=y;y=0;if(_&1){R=204;break}y=0;Na(149,f|0,49899,b|0);_=y;y=0;if(_&1){R=204;break}b=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;y=0;b=qa(399,b|0)|0;_=y;y=0;if(_&1){R=204;break}y=0;Na(149,f|0,49906,b|0);_=y;y=0;if(_&1){R=204;break}y=0;oa(530,B|0,h|0);_=y;y=0;if(_&1){R=204;break}y=0;b=qa(399,((i[B+11>>0]|0)<0?k[B>>2]|0:B)|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(B);break}A9(B);y=0;Na(149,f|0,49914,b|0);_=y;y=0;if(_&1){R=204;break}y=0;b=Ha(1028,f|0,49741)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=204;break}}else k[a+88>>2]=b;y=0;oa(530,C|0,h|0);_=y;y=0;if(_&1){R=204;break}y=0;b=qa(400,C|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(C);break i}k[a+96>>2]=b;A9(C);b=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;y=0;b=qa(322,b|0)|0;_=y;y=0;if(_&1){R=204;break}k[a+92>>2]=b;b=a+84|0;k[b>>2]=2;k[a+76>>2]=0;k[a+80>>2]=0;y=0;na(464,f|0);_=y;y=0;if(_&1){R=204;break}k[D>>2]=15972;k[j>>2]=16012;k[c>>2]=15992;k[h>>2]=15832;A9(g);Xaa(h);nla(D,16064);Vja(j);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Hea(A)}}}while(0);if((R|0)==204)b=pb()|0}while(0);k[D>>2]=15972;k[j>>2]=16012;k[c>>2]=15992;k[h>>2]=15832;A9(g);Xaa(h);nla(D,16064);Vja(j);break h}while(0);nla(D,16064);R=202}while(0);if((R|0)==202)Vja(j);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;Sla(_)}else{_=b;sb(_|0)}}if((O|0)==(ob(5696)|0)){e=vb(M|0)|0;j=H+64|0;b=H+8|0;k[b>>2]=15992;h=H+12|0;k[H>>2]=16032;k[j>>2]=16052;k[H+4>>2]=0;y=0;oa(528,H+64|0,h|0);_=y;y=0;j:do if(_&1){b=pb()|0;R=189}else{k[H+136>>2]=0;k[H+140>>2]=-1;k[H>>2]=15972;k[j>>2]=16012;k[b>>2]=15992;y=0;na(433,h|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[h>>2]=15832;g=H+44|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;k[H+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,h|0,T|0);_=y;y=0;if(_&1){b=pb()|0;A9(T);A9(g);Xaa(h);break}A9(T);y=0;f=La(1)|0;_=y;y=0;k:do if(_&1){b=pb()|0;c=H+8|0}else{c=H+8|0;y=0;b=ta(47,c|0,49924,16)|0;_=y;y=0;do if(_&1)R=191;else{_=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;d=IJ(_)|0;y=0;d=ta(47,b|0,_|0,d|0)|0;_=y;y=0;if(_&1)R=191;else{y=0;b=qa(323,d+(k[(k[d>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=191;else{k[E>>2]=b;y=0;b=Ha(977,E|0,83960)|0;_=y;y=0;if(!(_&1)){y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;_=y;y=0;if(!(_&1)){Hea(E);y=0;Ha(1015,d|0,b|0)|0;_=y;y=0;if(_&1){R=191;break}y=0;qa(381,d|0)|0;_=y;y=0;if(_&1){R=191;break}y=0;b=ra(2,3.0)|0;_=y;y=0;if(_&1){R=191;break}y=0;Na(149,f|0,49899,b|0);_=y;y=0;if(_&1){R=191;break}b=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;y=0;b=qa(399,b|0)|0;_=y;y=0;if(_&1){R=191;break}y=0;Na(149,f|0,49906,b|0);_=y;y=0;if(_&1){R=191;break}y=0;oa(530,F|0,h|0);_=y;y=0;if(_&1){R=191;break}y=0;b=qa(399,((i[F+11>>0]|0)<0?k[F>>2]|0:F)|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(F);break}A9(F);y=0;Na(149,f|0,49914,b|0);_=y;y=0;if(_&1){R=191;break}y=0;b=Ha(1028,f|0,49741)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=191;break}}else k[a+88>>2]=b;y=0;oa(530,G|0,h|0);_=y;y=0;if(_&1){R=191;break}y=0;b=qa(400,G|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(G);break k}k[a+96>>2]=b;A9(G);b=oc[k[(k[e>>2]|0)+8>>2]&511](e)|0;y=0;b=qa(322,b|0)|0;_=y;y=0;if(_&1){R=191;break}k[a+92>>2]=b;b=a+84|0;k[b>>2]=3;k[a+76>>2]=0;k[a+80>>2]=0;y=0;na(464,f|0);_=y;y=0;if(_&1){R=191;break}k[H>>2]=15972;k[j>>2]=16012;k[c>>2]=15992;k[h>>2]=15832;A9(g);Xaa(h);nla(H,16064);Vja(j);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Hea(E)}}}while(0);if((R|0)==191)b=pb()|0}while(0);k[H>>2]=15972;k[j>>2]=16012;k[c>>2]=15992;k[h>>2]=15832;A9(g);Xaa(h);nla(H,16064);Vja(j);break j}while(0);nla(H,16064);R=189}while(0);if((R|0)==189)Vja(j);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;Sla(_)}else{_=b;sb(_|0)}}if((O|0)==(ob(4072)|0)){b=vb(M|0)|0;l=L+64|0;c=L+8|0;k[c>>2]=15992;j=L+12|0;k[L>>2]=16032;k[l>>2]=16052;k[L+4>>2]=0;y=0;oa(528,L+64|0,j|0);_=y;y=0;l:do if(_&1){b=pb()|0;R=174}else{k[L+136>>2]=0;k[L+140>>2]=-1;k[L>>2]=15972;k[l>>2]=16012;k[c>>2]=15992;y=0;na(433,j|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[j>>2]=15832;h=L+44|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;k[L+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,j|0,T|0);_=y;y=0;if(_&1){b=pb()|0;A9(T);A9(h);Xaa(j);break}A9(T);y=0;g=La(1)|0;_=y;y=0;m:do if(_&1){b=pb()|0;c=L+8|0}else{c=L+8|0;y=0;d=ta(47,c|0,49924,16)|0;_=y;y=0;do if(_&1)R=176;else{f=b+11|0;e=i[f>>0]|0;_=e<<24>>24<0;y=0;e=ta(47,d|0,(_?k[b>>2]|0:b)|0,(_?k[b+4>>2]|0:e&255)|0)|0;_=y;y=0;if(_&1)R=176;else{y=0;d=qa(323,e+(k[(k[e>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=176;else{k[I>>2]=d;y=0;d=Ha(977,I|0,83960)|0;_=y;y=0;if(!(_&1)){y=0;d=Ha(k[(k[d>>2]|0)+28>>2]|0,d|0,10)|0;_=y;y=0;if(!(_&1)){Hea(I);y=0;Ha(1015,e|0,d|0)|0;_=y;y=0;if(_&1){R=176;break}y=0;qa(381,e|0)|0;_=y;y=0;if(_&1){R=176;break}y=0;d=ra(2,4.0)|0;_=y;y=0;if(_&1){R=176;break}y=0;Na(149,g|0,49899,d|0);_=y;y=0;if(_&1){R=176;break}if((i[f>>0]|0)<0)d=k[b>>2]|0;else d=b;y=0;d=qa(399,d|0)|0;_=y;y=0;if(_&1){R=176;break}y=0;Na(149,g|0,49906,d|0);_=y;y=0;if(_&1){R=176;break}y=0;oa(530,J|0,j|0);_=y;y=0;if(_&1){R=176;break}y=0;d=qa(399,((i[J+11>>0]|0)<0?k[J>>2]|0:J)|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(J);break}A9(J);y=0;Na(149,g|0,49914,d|0);_=y;y=0;if(_&1){R=176;break}y=0;d=Ha(1028,g|0,49741)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=176;break}}else k[a+88>>2]=d;y=0;oa(530,K|0,j|0);_=y;y=0;if(_&1){R=176;break}y=0;d=qa(400,K|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(K);break m}k[a+96>>2]=d;A9(K);if((i[f>>0]|0)<0)b=k[b>>2]|0;y=0;b=qa(322,b|0)|0;_=y;y=0;if(_&1){R=176;break}k[a+92>>2]=b;b=a+84|0;k[b>>2]=4;k[a+76>>2]=0;k[a+80>>2]=0;y=0;na(464,g|0);_=y;y=0;if(_&1){R=176;break}k[L>>2]=15972;k[l>>2]=16012;k[c>>2]=15992;k[j>>2]=15832;A9(h);Xaa(j);nla(L,16064);Vja(l);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Hea(I)}}}while(0);if((R|0)==176)b=pb()|0}while(0);k[L>>2]=15972;k[l>>2]=16012;k[c>>2]=15992;k[j>>2]=15832;A9(h);Xaa(j);nla(L,16064);Vja(l);break l}while(0);nla(L,16064);R=174}while(0);if((R|0)==174)Vja(l);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;Sla(_)}else{_=b;sb(_|0)}}_=(O|0)==(ob(5960)|0);j=vb(M|0)|0;if(!_){h=S+64|0;b=S+8|0;k[b>>2]=15992;g=S+12|0;k[S>>2]=16032;k[h>>2]=16052;k[S+4>>2]=0;y=0;oa(528,S+64|0,g|0);_=y;y=0;n:do if(_&1){b=pb()|0;R=148}else{k[S+136>>2]=0;k[S+140>>2]=-1;k[S>>2]=15972;k[h>>2]=16012;k[b>>2]=15992;y=0;na(433,g|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[g>>2]=15832;f=S+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[S+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,g|0,T|0);_=y;y=0;if(_&1){b=pb()|0;A9(T);A9(f);Xaa(g);break}A9(T);y=0;e=La(1)|0;_=y;y=0;o:do if(_&1){b=pb()|0;c=S+8|0}else{c=S+8|0;y=0;d=ta(47,c|0,49941,22)|0;_=y;y=0;do if(_&1)R=150;else{y=0;b=qa(323,d+(k[(k[d>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=150;else{k[P>>2]=b;y=0;b=Ha(977,P|0,83960)|0;_=y;y=0;if(!(_&1)){y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;_=y;y=0;if(!(_&1)){Hea(P);y=0;Ha(1015,d|0,b|0)|0;_=y;y=0;if(_&1){R=150;break}y=0;qa(381,d|0)|0;_=y;y=0;if(_&1){R=150;break}y=0;b=ra(2,5.0)|0;_=y;y=0;if(_&1){R=150;break}y=0;Na(149,e|0,49899,b|0);_=y;y=0;if(_&1){R=150;break}y=0;b=qa(399,49964)|0;_=y;y=0;if(_&1){R=150;break}y=0;Na(149,e|0,49906,b|0);_=y;y=0;if(_&1){R=150;break}y=0;b=Ha(1028,e|0,49741)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=150;break}}else k[a+88>>2]=b;y=0;oa(530,Q|0,g|0);_=y;y=0;if(_&1){R=150;break}y=0;b=qa(400,Q|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(Q);break o}k[a+96>>2]=b;A9(Q);y=0;b=qa(322,49964)|0;_=y;y=0;if(_&1){R=150;break}k[a+92>>2]=b;b=a+84|0;k[b>>2]=5;k[a+76>>2]=0;k[a+80>>2]=0;y=0;na(464,e|0);_=y;y=0;if(_&1){R=150;break}k[S>>2]=15972;k[h>>2]=16012;k[c>>2]=15992;k[g>>2]=15832;A9(f);Xaa(g);nla(S,16064);Vja(h);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Hea(P)}}while(0);if((R|0)==150)b=pb()|0}while(0);k[S>>2]=15972;k[h>>2]=16012;k[c>>2]=15992;k[g>>2]=15832;A9(f);Xaa(g);nla(S,16064);Vja(h);break n}while(0);nla(S,16064);R=148}while(0);if((R|0)==148)Vja(h);y=0;la(3);_=y;y=0;if(_&1){_=tb(0)|0;Sla(_)}else{_=b;sb(_|0)}}h=Y+64|0;b=Y+8|0;k[b>>2]=15992;g=Y+12|0;k[Y>>2]=16032;k[h>>2]=16052;k[Y+4>>2]=0;y=0;oa(528,Y+64|0,g|0);_=y;y=0;p:do if(_&1){b=pb()|0;R=161}else{k[Y+136>>2]=0;k[Y+140>>2]=-1;k[Y>>2]=15972;k[h>>2]=16012;k[b>>2]=15992;y=0;na(433,g|0);_=y;y=0;do if(_&1)b=pb()|0;else{k[g>>2]=15832;f=Y+44|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;k[f+12>>2]=0;k[Y+60>>2]=24;k[T>>2]=0;k[T+4>>2]=0;k[T+8>>2]=0;y=0;oa(529,g|0,T|0);_=y;y=0;if(_&1){b=pb()|0;A9(T);A9(f);Xaa(g);break}A9(T);y=0;e=La(1)|0;_=y;y=0;q:do if(_&1){b=pb()|0;c=Y+8|0}else{c=Y+8|0;y=0;b=ta(47,c|0,49924,16)|0;_=y;y=0;do if(_&1)R=163;else{d=IJ(j)|0;y=0;d=ta(47,b|0,j|0,d|0)|0;_=y;y=0;if(_&1)R=163;else{y=0;b=qa(323,d+(k[(k[d>>2]|0)+-12>>2]|0)|0)|0;_=y;y=0;if(_&1)R=163;else{k[U>>2]=b;y=0;b=Ha(977,U|0,83960)|0;_=y;y=0;if(!(_&1)){y=0;b=Ha(k[(k[b>>2]|0)+28>>2]|0,b|0,10)|0;_=y;y=0;if(!(_&1)){Hea(U);y=0;Ha(1015,d|0,b|0)|0;_=y;y=0;if(_&1){R=163;break}y=0;qa(381,d|0)|0;_=y;y=0;if(_&1){R=163;break}y=0;b=ra(2,4.0)|0;_=y;y=0;if(_&1){R=163;break}y=0;Na(149,e|0,49899,b|0);_=y;y=0;if(_&1){R=163;break}y=0;b=qa(399,j|0)|0;_=y;y=0;if(_&1){R=163;break}y=0;Na(149,e|0,49906,b|0);_=y;y=0;if(_&1){R=163;break}y=0;oa(530,V|0,g|0);_=y;y=0;if(_&1){R=163;break}y=0;b=qa(399,((i[V+11>>0]|0)<0?k[V>>2]|0:V)|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(V);break}A9(V);y=0;Na(149,e|0,49914,b|0);_=y;y=0;if(_&1){R=163;break}y=0;b=Ha(1028,e|0,49741)|0;_=y;y=0;if(_&1){_=tb(0)|0;vb(_|0)|0;y=0;la(3);_=y;y=0;if(_&1){R=163;break}}else k[a+88>>2]=b;y=0;oa(530,W|0,g|0);_=y;y=0;if(_&1){R=163;break}y=0;b=qa(400,W|0)|0;_=y;y=0;if(_&1){b=pb()|0;A9(W);break q}k[a+96>>2]=b;A9(W);y=0;b=qa(322,j|0)|0;_=y;y=0;if(_&1){R=163;break}k[a+92>>2]=b;b=a+84|0;k[b>>2]=4;k[a+76>>2]=0;k[a+80>>2]=0;y=0;na(464,e|0);_=y;y=0;if(_&1){R=163;break}k[Y>>2]=15972;k[h>>2]=16012;k[c>>2]=15992;k[g>>2]=15832;A9(f);Xaa(g);nla(Y,16064);Vja(h);rb();_=b;_=k[_>>2]|0;r=X;return _|0}}b=pb()|0;Hea(U)}}}while(0);if((R|0)==163)b=pb()|0}while(0);k[Y>>2]=15972;k[h>>2]=16012;k[c>>2]=15992;k[g>>2]=15832;A9(f);Xaa(g);nla(Y,16064);Vja(h);break p}while(0);nla(Y,16064);R=161}while(0);if((R|0)==161)Vja(h);rb();_=b;sb(_|0);return 0}function _c(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0,h=0,j=0,l=0.0,m=0.0,n=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,ua=0,va=0,wa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Oa=0,Pa=0,Qa=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0;ab=0;_a=r;r=r+576|0;$a=_a+528|0;va=_a+520|0;za=_a+504|0;Aa=_a+40|0;Ba=_a;Ca=_a+496|0;ca=_a+480|0;bb=_a+472|0;I=_a+456|0;C=_a+488|0;D=_a+424|0;E=_a+388|0;F=_a+464|0;G=_a+416|0;H=_a+384|0;Ya=_a+368|0;Ia=_a+376|0;Xa=_a+344|0;Wa=_a+336|0;da=_a+360|0;Va=_a+320|0;Ua=_a+312|0;ea=_a+328|0;fa=_a+304|0;Da=_a+288|0;Ta=_a+296|0;ga=_a+280|0;ha=_a+232|0;Ja=_a+200|0;Sa=_a+272|0;ia=_a+176|0;Qa=_a+224|0;Pa=_a+216|0;Oa=_a+192|0;Ka=_a+184|0;ja=_a+152|0;Ea=_a+144|0;ka=_a+136|0;la=_a+128|0;ma=_a+120|0;La=_a+168|0;Fa=_a+160|0;Ga=_a+112|0;pa=_a+104|0;ra=_a+96|0;ua=_a+88|0;wa=_a+80|0;g=IM(112)|0;xa=b+4|0;s=k[xa>>2]|0;h=(k[s+80>>2]|0)-(k[s+76>>2]|0)>>3;y=0;q=$a;s=s+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));Na(80,g|0,$a|0,h|0);Za=y;y=0;if(Za&1){bb=pb()|0;cra(g);sb(bb|0)}LT(bb,g);k[bb>>2]=6756;Za=a+12|0;y=0;g=Ha(1020,Za|0,b|0)|0;aa=y;y=0;a:do if(aa&1)f=pb()|0;else{if(g|0){i[d>>0]=1;ab=k[g+20>>2]|0;DO(bb);r=_a;return ab|0}i[d>>0]=0;g=k[xa>>2]|0;t=(k[g+80>>2]|0)-(k[g+76>>2]|0)>>3;b:do if(t|0){u=I+4|0;v=D+20|0;A=D+24|0;w=bb+4|0;B=D+12|0;x=E+24|0;z=E+12|0;s=0;c:while(1){y=0;oa(460,I|0,k[(k[g+76>>2]|0)+(s<<3)+4>>2]|0);aa=y;y=0;if(aa&1){ab=17;break}k[I>>2]=15136;y=0;g=ta(156,a|0,k[u>>2]|0,0)|0;aa=y;y=0;if(aa&1){ab=18;break}if(g){i[d>>0]=1;y=0;ya(25,D|0,a|0,k[u>>2]|0,e|0,c|0,1);aa=y;y=0;if(aa&1){ab=18;break}g=k[u>>2]|0;y=0;g=qa(k[(k[g>>2]|0)+152>>2]|0,g|0)|0;aa=y;y=0;if(aa&1){ab=31;break}do if(g)ab=40;else{y=0;oa(505,E|0,k[u>>2]|0);aa=y;y=0;if(aa&1){ab=31;break c}y=0;g=Ha(1021,D|0,E|0)|0;aa=y;y=0;if(aa&1){ab=32;break c}if(g){g=k[x>>2]|0;if(g|0)DY(g);DO(z);ab=40;break}g=(k[w>>2]|0)+72|0;h=k[(k[g>>2]|0)+20>>2]|0;y=0;oa(460,F|0,k[u>>2]|0);aa=y;y=0;if(aa&1){ab=32;break c}k[F>>2]=15136;y=0;oa(h|0,g|0,F|0);aa=y;y=0;if(aa&1){ab=33;break c}DO(F);g=k[x>>2]|0;if(g|0)DY(g);DO(z)}while(0);d:do if((ab|0)==40){ab=0;h=k[v>>2]|0;g=k[A>>2]|0;if(g|0){Dba(g);DY(g)}b=k[h+4>>2]|0;g=k[h+16>>2]|0;j=b+(((g>>>0)/146|0)<<2)|0;if((k[h+8>>2]|0)==(b|0)){h=0;q=0}else{q=g+(k[h+20>>2]|0)|0;h=(k[j>>2]|0)+(((g>>>0)%146|0)*28|0)|0;q=(k[b+(((q>>>0)/146|0)<<2)>>2]|0)+(((q>>>0)%146|0)*28|0)|0}g=c;p=j;while(1){do{if((h|0)==(q|0))break d;do if(g){b=k[v>>2]|0;j=k[A>>2]|0;if(!j)if((k[b+20>>2]|0)>>>0>1){g=0;break}else{ab=52;break}else{Dba(j);aa=(k[b+20>>2]|0)>>>0>1;DY(j);if(aa){g=0;break}else{ab=52;break}}}else ab=52;while(0);if((ab|0)==52){ab=0;b=(k[w>>2]|0)+72|0;j=k[(k[b>>2]|0)+20>>2]|0;y=0;n=qa(318,h|0)|0;aa=y;y=0;if(aa&1){ab=51;break c}y=0;oa(460,G|0,n|0);aa=y;y=0;if(aa&1){ab=51;break c}k[G>>2]=15136;y=0;oa(j|0,b|0,G|0);aa=y;y=0;if(aa&1){ab=58;break c}DO(G)}h=h+28|0}while((h-(k[p>>2]|0)|0)!=4088);h=p+4|0;p=h;h=k[h>>2]|0}}while(0);g=k[A>>2]|0;if(g|0)DY(g);DO(B)}else{g=(k[w>>2]|0)+72|0;h=k[(k[g>>2]|0)+20>>2]|0;y=0;oa(460,C|0,k[u>>2]|0);aa=y;y=0;if(aa&1){ab=18;break}k[C>>2]=15136;y=0;oa(h|0,g|0,C|0);aa=y;y=0;if(aa&1){ab=19;break}DO(C)}DO(I);g=s+1|0;if(g>>>0>=t>>>0)break b;s=g;g=k[xa>>2]|0}if((ab|0)==17){f=pb()|0;break a}else if((ab|0)==18)f=pb()|0;else if((ab|0)==19){f=pb()|0;DO(C)}else if((ab|0)==31){f=pb()|0;ab=64}else if((ab|0)==32){f=pb()|0;ab=37}else if((ab|0)==33){f=pb()|0;DO(F);ab=37}else if((ab|0)==51){f=pb()|0;ab=64}else if((ab|0)==58){f=pb()|0;DO(G);ab=64}if((ab|0)==37){g=k[x>>2]|0;if(g|0)DY(g);DO(z);ab=64}if((ab|0)==64){g=k[A>>2]|0;if(g|0)DY(g);DO(B)}DO(I);break a}while(0);y=0;na(432,H|0);aa=y;y=0;if(aa&1){f=pb()|0;break}aa=bb+4|0;y=0;g=Ha(1022,H|0,k[aa>>2]|0)|0;_=y;y=0;e:do if(_&1)ab=77;else{y=0;oa(460,$a|0,g|0);_=y;y=0;if(_&1)ab=77;else{k[$a>>2]=6756;if(k[aa>>2]|0){y=0;na(423,bb|0);_=y;y=0;if(_&1){f=pb()|0;DO($a);ab=79;break}}u=$a+4|0;k[aa>>2]=k[u>>2];k[u>>2]=0;DO($a);u=k[aa>>2]|0;g=k[u+76>>2]|0;u=k[u+80>>2]|0;f:do if((g|0)!=(u|0)){v=Ya+4|0;w=Ia+4|0;x=$a+4|0;z=e+4|0;A=Xa+4|0;B=Xa+8|0;_=Xa+4|0;C=da+4|0;D=Wa+4|0;E=wa+4|0;F=Va+4|0;G=Ua+4|0;c=Da+4|0;d=fa+4|0;H=ga+4|0;I=Ta+4|0;J=Sa+4|0;K=a+8|0;L=Qa+4|0;M=ja+4|0;O=Ka+4|0;P=Pa+4|0;Q=Oa+4|0;R=ma+4|0;S=Ea+4|0;T=$a+4|0;U=Ga+4|0;V=La+4|0;W=Fa+4|0;X=ra+4|0;Y=_;Z=$a+4|0;g:while(1){y=0;oa(460,Ya|0,k[g+4>>2]|0);t=y;y=0;if(t&1){ab=124;break}k[Ya>>2]=15136;h=k[v>>2]|0;if(h|0)do{y=0;oa(460,Ia|0,k[h+80>>2]|0);t=y;y=0;if(t&1){ab=125;break g}k[Ia>>2]=15152;do if(!(k[w>>2]|0))DO(Ia);else{y=0;oa(460,$a|0,k[(k[v>>2]|0)+80>>2]|0);t=y;y=0;if(t&1){ab=127;break g}k[$a>>2]=15152;b=k[z>>2]|0;do if(!b)ab=99;else{h=z;h:while(1){n=b;while(1){b=k[n+20>>2]|0;if(!b)break;j=k[Z>>2]|0;if(!j)break;y=0;b=Ha(k[(k[b>>2]|0)+160>>2]|0,b|0,j|0)|0;t=y;y=0;if(t&1){ab=128;break g}if(!b)break;b=k[n+4>>2]|0;if(!b)break h;else n=b}b=k[n>>2]|0;if(!b){h=n;break}else h=n}if((h|0)==(z|0)){ab=99;break}b=k[Z>>2]|0;if(!b)break;j=k[h+20>>2]|0;if(!j)break;y=0;b=Ha(k[(k[b>>2]|0)+160>>2]|0,b|0,j|0)|0;t=y;y=0;if(t&1){ab=129;break g}if(b)ab=99}while(0);if((ab|0)==99){ab=0;h=z}DO($a);DO(Ia);if((h|0)!=(z|0))break;k[A>>2]=0;k[B>>2]=0;k[Xa>>2]=_;h=k[e>>2]|0;if((h|0)!=(z|0)){b=h;while(1){t=b+16|0;k[ca>>2]=Y;y=0;k[$a>>2]=k[ca>>2];Ma(12,Xa|0,$a|0,t|0,t|0)|0;t=y;y=0;if(t&1){ab=108;break g}b=k[h+4>>2]|0;if(!b)while(1){b=k[h+8>>2]|0;if((k[b>>2]|0)==(h|0)){h=b;break}else h=b}else{h=b;while(1){b=k[h>>2]|0;if(!b)break;else h=b}}if((h|0)==(z|0))break;else b=h}}y=0;oa(460,$a|0,k[(k[v>>2]|0)+80>>2]|0);t=y;y=0;if(t&1){ab=132;break g}k[$a>>2]=15152;y=0;Ra(41,Ca|0,Xa|0,$a|0,$a|0);t=y;y=0;if(t&1){ab=133;break g}DO($a);y=0;p=qa(315,108)|0;t=y;y=0;if(t&1){ab=135;break g}q=Ba;s=(k[v>>2]|0)+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));y=0;na(422,p|0);t=y;y=0;if(t&1){ab=136;break g}q=p+12|0;s=Ba;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));i[p+52>>0]=0;i[p+53>>0]=0;i[p+54>>0]=0;k[p>>2]=13472;i[p+60>>0]=0;i[p+61>>0]=0;i[p+62>>0]=0;k[p+64>>2]=0;k[p+68>>2]=0;k[p+56>>2]=7;h=p+72|0;k[h>>2]=15096;n=p+76|0;k[n>>2]=0;k[n+4>>2]=0;k[n+8>>2]=0;k[n+12>>2]=0;y=0;oa(512,n|0,0);t=y;y=0;if(t&1){ab=114;break g}k[p>>2]=14880;k[h>>2]=15056;t=p+96|0;k[t>>2]=0;k[p+100>>2]=0;k[p+92>>2]=t;i[p+104>>0]=0;i[p+105>>0]=0;y=0;oa(460,Wa|0,p|0);t=y;y=0;if(t&1){ab=135;break g}k[Wa>>2]=15152;y=0;oa(460,da|0,k[(k[v>>2]|0)+80>>2]|0);t=y;y=0;if(t&1){ab=138;break g}k[da>>2]=15152;p=k[C>>2]|0;DO(da);h=k[p+76>>2]|0;p=k[p+80>>2]|0;if((h|0)!=(p|0))do{y=0;oa(460,Va|0,k[h+4>>2]|0);t=y;y=0;if(t&1){ab=164;break g}k[Va>>2]=13284;b=k[F>>2]|0;if(!b)b=0;else b=(k[23]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;oa(460,Ua|0,b|0);t=y;y=0;if(t&1){ab=165;break g}k[Ua>>2]=15184;b=k[G>>2]|0;if(!b){y=0;oa(571,k[D>>2]|0,k[F>>2]|0);t=y;y=0;if(t&1){ab=166;break g}}else{n=b+108|0;y=0;oa(460,Da|0,k[n>>2]|0);t=y;y=0;if(t&1){ab=166;break g}k[Da>>2]=6756;j=k[c>>2]|0;y=0;j=qa(k[(k[j>>2]|0)+16>>2]|0,j|0)|0;t=y;y=0;if(t&1){ab=167;break g}y=0;oa(460,fa|0,j|0);t=y;y=0;if(t&1){ab=167;break g}k[fa>>2]=6756;b=b+104|0;if(k[n>>2]|0){y=0;na(423,b|0);t=y;y=0;if(t&1){ab=168;break g}}k[n>>2]=k[d>>2];y=0;na(424,b|0);t=y;y=0;if(t&1){ab=168;break g}y=0;oa(460,ea|0,k[n>>2]|0);t=y;y=0;if(t&1){ab=168;break g}k[ea>>2]=6756;DO(ea);DO(fa);DO(Da);y=0;oa(460,ga|0,k[(k[G>>2]|0)+108>>2]|0);t=y;y=0;if(t&1){ab=166;break g}k[ga>>2]=6756;b=k[H>>2]|0;if(!b)b=0;else b=(k[481]|0)==(k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)?b:0;y=0;oa(460,Ta|0,b|0);t=y;y=0;if(t&1){ab=170;break g}k[Ta>>2]=6756;DO(ga);b=k[I>>2]|0;i:do if(!b){y=0;oa(571,k[D>>2]|0,k[F>>2]|0);t=y;y=0;if(t&1){ab=171;break g}}else{if((k[b+76>>2]|0)==(k[b+80>>2]|0)){b=k[D>>2]|0;y=0;j=qa(315,104)|0;t=y;y=0;if(t&1){ab=171;break g}q=ha;s=(k[F>>2]|0)+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));y=0;oa(456,Ja|0,(k[G>>2]|0)+84|0);t=y;y=0;if(t&1){ab=172;break g}q=Aa;s=ha;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));y=0;oa(456,za|0,Ja|0);t=y;y=0;if(t&1){g=1;ab=173;break g}y=0;q=$a;s=Aa;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));Na(85,j|0,$a|0,za|0);t=y;y=0;if(t&1){ab=161;break g}A9(za);k[j>>2]=13792;y=0;oa(571,b|0,j|0);t=y;y=0;if(t&1){g=0;ab=173;break g}A9(Ja);break}b=k[G>>2]|0;j=b+84|0;t=i[j+11>>0]|0;do if(((t<<24>>24<0?k[b+88>>2]|0:t&255)|0)==4){y=0;b=sa(21,j|0,0,-1,50576,4)|0;t=y;y=0;if(t&1){ab=177;break g}if(b|0){b=k[G>>2]|0;break}i[va>>0]=0;y=0;oa(460,ia|0,k[I>>2]|0);t=y;y=0;if(t&1){ab=185;break g}k[ia>>2]=6756;y=0;b=sa(28,a|0,ia|0,0,va|0,Xa|0)|0;t=y;y=0;if(t&1){ab=186;break g}y=0;oa(460,Sa|0,b|0);t=y;y=0;if(t&1){ab=186;break g}k[Sa>>2]=6756;DO(ia);b=k[J>>2]|0;if((k[b+80>>2]|0)!=(k[b+76>>2]|0)){n=0;do{b=b+72|0;y=0;b=Ha(k[(k[b>>2]|0)+16>>2]|0,b|0,n|0)|0;t=y;y=0;if(t&1){ab=187;break g}y=0;oa(460,Qa|0,k[b+4>>2]|0);t=y;y=0;if(t&1){ab=187;break g}k[Qa>>2]=15136;if(k[L>>2]|0){b=k[G>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;t=y;y=0;if(t&1){ab=204;break g}y=0;oa(460,Pa|0,b|0);t=y;y=0;if(t&1){ab=204;break g}k[Pa>>2]=15184;y=0;b=qa(315,112)|0;t=y;y=0;if(t&1){ab=205;break g}y=0;q=$a;s=(k[I>>2]|0)+12|0;t=q+40|0;do{k[q>>2]=k[s>>2];q=q+4|0;s=s+4|0}while((q|0)<(t|0));Na(80,b|0,$a|0,0);t=y;y=0;if(t&1){ab=206;break g}y=0;oa(460,Oa|0,b|0);t=y;y=0;if(t&1){ab=205;break g}k[Oa>>2]=6756;y=0;oa(460,Ka|0,0);t=y;y=0;if(t&1){ab=207;break g}k[Ka>>2]=15152;y=0;oa(647,ja|0,k[L>>2]|0);t=y;y=0;if(t&1){ab=208;break g}t=(k[M>>2]|0)==0;DO(ja);if(!t){y=0;oa(647,Ea|0,k[L>>2]|0);t=y;y=0;if(t&1){ab=209;break g}y=0;oa(460,$a|0,k[(k[S>>2]|0)+80>>2]|0);t=y;y=0;if(t&1){ab=210;break g}k[$a>>2]=15152;if(k[O>>2]|0){y=0;na(423,Ka|0);t=y;y=0;if(t&1){ab=211;break g}}k[O>>2]=k[T>>2];k[T>>2]=0;DO($a);DO(Ea)}b=k[O>>2]|0;do if(b|0){if((k[b+80>>2]|0)==(k[b+76>>2]|0))break;b=(k[Q>>2]|0)+72|0;j=k[(k[b>>2]|0)+20>>2]|0;y=0;oa(647,ka|0,k[L>>2]|0);t=y;y=0;if(t&1){ab=208;break g}y=0;oa(j|0,b|0,ka|0);t=y;y=0;if(t&1){ab=219;break g}DO(ka)}while(0);b=k[P>>2]|0;y=0;oa(460,ma|0,k[Q>>2]|0);t=y;y=0;if(t&1){ab=208;break g}k[ma>>2]=6756;j=b+104|0;b=b+108|0;if(k[b>>2]|0){y=0;na(423,j|0);t=y;y=0;if(t&1){ab=227;break g}}k[b>>2]=k[R>>2];y=0;na(424,j|0);t=y;y=0;if(t&1){ab=227;break g}y=0;oa(460,la|0,k[b>>2]|0);t=y;y=0;if(t&1){ab=227;break g}k[la>>2]=6756;DO(la);DO(ma);y=0;oa(571,k[D>>2]|0,k[P>>2]|0);t=y;y=0;if(t&1){ab=208;break g}DO(Ka);DO(Oa);DO(Pa)}DO(Qa);n=n+1|0;b=k[J>>2]|0}while(n>>>0<(k[b+80>>2]|0)-(k[b+76>>2]|0)>>3>>>0)}b=k[K>>2]|0;if(!((b|0)==0|(i[va>>0]|0)==0)){b=k[b+4>>2]|0;j=b+88|0;n=k[j>>2]|0;if((n|0)==(k[b+92>>2]|0)){y=0;oa(559,b+84|0,bb|0);t=y;y=0;if(t&1){ab=240;break g}}else{y=0;oa(460,n|0,k[aa>>2]|0);t=y;y=0;if(t&1){ab=240;break g}k[n>>2]=6756;k[j>>2]=(k[j>>2]|0)+8}t=k[D>>2]|0;y=0;Ha(k[(k[t>>2]|0)+56>>2]|0,t|0,k[K>>2]|0)|0;t=y;y=0;if(t&1){ab=240;break g}b=(k[(k[K>>2]|0)+4>>2]|0)+88|0;n=k[b>>2]|0;j=n+-8|0;do{t=n+-8|0;k[b>>2]=t;lc[k[k[t>>2]>>2]&511](t);n=k[b>>2]|0}while((n|0)!=(j|0))}DO(Sa);break i}while(0);y=0;b=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;t=y;y=0;if(t&1){ab=171;break g}y=0;oa(460,La|0,b|0);t=y;y=0;if(t&1){ab=171;break g}k[La>>2]=15184;y=0;oa(460,Ga|0,k[I>>2]|0);t=y;y=0;if(t&1){ab=258;break g}k[Ga>>2]=6756;i[$a>>0]=0;y=0;oa(460,va|0,k[U>>2]|0);t=y;y=0;if(t&1){ab=259;break g}k[va>>2]=6756;y=0;b=sa(28,a|0,va|0,0,$a|0,Xa|0)|0;t=y;y=0;if(t&1){ab=249;break g}DO(va);y=0;oa(460,Fa|0,b|0);t=y;y=0;if(t&1){ab=259;break g}k[Fa>>2]=6756;DO(Ga);b=k[V>>2]|0;y=0;oa(460,ra|0,k[W>>2]|0);t=y;y=0;if(t&1){ab=261;break g}k[ra>>2]=6756;j=b+104|0;b=b+108|0;if(k[b>>2]|0){y=0;na(423,j|0);t=y;y=0;if(t&1){ab=262;break g}}k[b>>2]=k[X>>2];y=0;na(424,j|0);t=y;y=0;if(t&1){ab=262;break g}y=0;oa(460,pa|0,k[b>>2]|0);t=y;y=0;if(t&1){ab=262;break g}k[pa>>2]=6756;DO(pa);DO(ra);y=0;oa(571,k[D>>2]|0,k[V>>2]|0);t=y;y=0;if(t&1){ab=261;break g}DO(Fa);DO(La)}while(0);DO(Ta)}DO(Ua);DO(Va);h=h+8|0}while((h|0)!=(p|0));h=k[v>>2]|0;y=0;oa(460,wa|0,k[D>>2]|0);t=y;y=0;if(t&1){ab=138;break g}k[wa>>2]=15152;k[h+68>>2]=0;b=h+76|0;h=h+80|0;if(k[h>>2]|0){y=0;na(423,b|0);t=y;y=0;if(t&1){ab=277;break g}}k[h>>2]=k[E>>2];y=0;na(424,b|0);t=y;y=0;if(t&1){ab=277;break g}y=0;oa(460,ua|0,k[h>>2]|0);t=y;y=0;if(t&1){ab=277;break g}k[ua>>2]=15152;DO(ua);DO(wa);DO(Wa);gH(Xa,k[_>>2]|0)}while(0);y=0;oa(460,$a|0,k[(k[v>>2]|0)+88>>2]|0);t=y;y=0;if(t&1){ab=284;break g}k[$a>>2]=15136;if(k[v>>2]|0){y=0;na(423,Ya|0);t=y;y=0;if(t&1){ab=285;break g}}k[v>>2]=k[x>>2];k[x>>2]=0;DO($a);h=k[v>>2]|0}while((h|0)!=0);DO(Ya);g=g+8|0;if((g|0)==(u|0))break f}switch(ab|0){case 108:{f=pb()|0;gH(Xa,k[_>>2]|0);ab=126;break}case 114:{f=pb()|0;b=N;j=p+80|0;g=k[n>>2]|0;if(g|0){h=k[j>>2]|0;if((h|0)!=(g|0)){do{ab=h+-8|0;k[j>>2]=ab;lc[k[k[ab>>2]>>2]&511](ab);h=k[j>>2]|0}while((h|0)!=(g|0));g=k[n>>2]|0}cra(g)}ab=137;break}case 124:{f=pb()|0;break e}case 125:{f=pb()|0;ab=126;break}case 127:{f=pb()|0;ab=131;break}case 128:{f=pb()|0;ab=130;break}case 129:{f=pb()|0;ab=130;break}case 132:{f=pb()|0;ab=134;break}case 133:{f=pb()|0;DO($a);ab=134;break}case 135:{f=pb()|0;ab=279;break}case 136:{f=pb()|0;ab=137;break}case 138:{f=pb()|0;ab=278;break}case 161:{f=pb()|0;A9(za);A9(Ja);ab=174;break}case 164:{f=pb()|0;ab=278;break}case 165:{f=pb()|0;ab=271;break}case 166:{f=pb()|0;ab=270;break}case 167:{f=pb()|0;ab=169;break}case 168:{f=pb()|0;DO(fa);ab=169;break}case 170:{f=pb()|0;DO(ga);ab=270;break}case 171:{f=pb()|0;ab=267;break}case 172:{f=pb()|0;ab=174;break}case 173:{f=pb()|0;A9(Ja);if(g)ab=174;else ab=267;break}case 177:{Sla(tb(0)|0);break}case 185:{f=pb()|0;ab=243;break}case 186:{f=pb()|0;DO(ia);ab=243;break}case 187:{f=pb()|0;ab=242;break}case 204:{f=pb()|0;ab=232;break}case 205:{f=pb()|0;ab=230;break}case 206:{f=pb()|0;cra(b);ab=230;break}case 207:{f=pb()|0;ab=229;break}case 208:{f=pb()|0;ab=228;break}case 209:{f=pb()|0;ab=213;break}case 210:{f=pb()|0;ab=212;break}case 211:{f=pb()|0;DO($a);ab=212;break}case 219:{f=pb()|0;DO(ka);ab=228;break}case 227:{f=pb()|0;DO(ma);ab=228;break}case 240:{f=pb()|0;ab=242;break}case 249:{f=pb()|0;DO(va);ab=260;break}case 258:{f=pb()|0;ab=264;break}case 259:{f=pb()|0;ab=260;break}case 261:{f=pb()|0;ab=263;break}case 262:{f=pb()|0;DO(ra);ab=263;break}case 277:{f=pb()|0;DO(wa);ab=278;break}case 284:{f=pb()|0;ab=286;break}case 285:{f=pb()|0;DO($a);ab=286;break}}switch(ab|0){case 126:break;case 130:{DO($a);ab=131;break}case 134:{ab=279;break}case 137:{cra(p);ab=279;break}case 169:{DO(Da);ab=270;break}case 174:{cra(j);ab=267;break}case 212:{DO(Ea);ab=213;break}case 260:{DO(Ga);ab=264;break}case 263:{DO(Fa);ab=264;break}case 286:break}if((ab|0)==131)DO(Ia);else if((ab|0)==213)ab=228;else if((ab|0)==264){DO(La);ab=267}if((ab|0)==228){DO(Ka);ab=229}if((ab|0)==229){DO(Oa);ab=230}if((ab|0)==230){DO(Pa);ab=232}if((ab|0)==232){DO(Qa);ab=242}if((ab|0)==242){DO(Sa);ab=243}if((ab|0)==243)ab=267;if((ab|0)==267){DO(Ta);ab=270}if((ab|0)==270){DO(Ua);ab=271}if((ab|0)==271){DO(Va);ab=278}if((ab|0)==278){DO(Wa);ab=279}if((ab|0)==279)gH(Xa,k[_>>2]|0);DO(Ya);break e}while(0);y=0;oa(460,$a|0,k[xa>>2]|0);ab=y;y=0;do if(ab&1){f=pb()|0;ab=348}else{k[$a>>2]=6756;f=$a+8|0;y=0;oa(460,f|0,k[aa>>2]|0);ab=y;y=0;if(ab&1){f=pb()|0;DO($a);ab=348;break}k[f>>2]=6756;q=$a+4|0;f=k[q>>2]|0;if(!f){f=0;ab=291}else{y=0;f=qa(k[(k[f>>2]|0)+8>>2]|0,f|0)|0;ab=y;y=0;if(ab&1)ab=351;else ab=291}j:do if((ab|0)==291){s=a+16|0;t=k[s>>2]|0;u=(t|0)==0;k:do if(u){j=0;ab=324}else{n=t+-1|0;h=(n&t|0)==0;if(h)j=n&f;else j=(f>>>0)%(t>>>0)|0;g=k[(k[Za>>2]|0)+(j<<2)>>2]|0;if(!g)ab=324;else{g=k[g>>2]|0;if(!g){ab=324;break}if(h){l:while(1){if((k[g+4>>2]&n|0)!=(j|0)){ab=324;break k}b=k[g+12>>2]|0;m:do if(b|0){do if(!(nx(b,1920,136,-2)|0))h=k[q>>2]|0;else{h=k[q>>2]|0;if(!h)break;if(!(nx(h,1920,136,-2)|0))break;y=0;h=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;Ya=y;y=0;if(Ya&1)break l;b=k[q>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+8>>2]|0,b|0)|0;Ya=y;y=0;if(Ya&1)break l;if((h|0)==(b|0))break k;else break m}while(0);if(!h)break;y=0;h=Ha(k[(k[b>>2]|0)+164>>2]|0,b|0,h|0)|0;Ya=y;y=0;if(Ya&1)break l;if(h)break k}while(0);g=k[g>>2]|0;if(!g){ab=324;break k}}f=pb()|0;break j}else{b=g;n:while(1){if((((k[b+4>>2]|0)>>>0)%(t>>>0)|0|0)!=(j|0)){ab=324;break k}h=k[b+12>>2]|0;o:do if(h|0){do if(!(nx(h,1920,136,-2)|0))g=k[q>>2]|0;else{g=k[q>>2]|0;if(!g)break;if(!(nx(g,1920,136,-2)|0))break;y=0;g=qa(k[(k[h>>2]|0)+8>>2]|0,h|0)|0;Ya=y;y=0;if(Ya&1)break n;h=k[q>>2]|0;y=0;h=qa(k[(k[h>>2]|0)+8>>2]|0,h|0)|0;Ya=y;y=0;if(Ya&1)break n;if((g|0)==(h|0))break k;else break o}while(0);if(!g)break;y=0;g=Ha(k[(k[h>>2]|0)+164>>2]|0,h|0,g|0)|0;Ya=y;y=0;if(Ya&1)break n;if(g)break k}while(0);b=k[b>>2]|0;if(!b){ab=324;break k}}f=pb()|0;break j}}}while(0);p:do if((ab|0)==324){y=0;p=qa(315,24)|0;Ya=y;y=0;if(Ya&1){ab=351;break j}h=p+8|0;y=0;oa(460,h|0,k[q>>2]|0);Ya=y;y=0;do if(Ya&1)f=pb()|0;else{k[h>>2]=6756;g=p+16|0;y=0;oa(460,g|0,k[$a+12>>2]|0);Ya=y;y=0;if(Ya&1){f=pb()|0;DO(h);break}k[g>>2]=6756;k[p+4>>2]=f;k[p>>2]=0;n=a+24|0;l=+(((k[n>>2]|0)+1|0)>>>0);m=+o[a+28>>2];do if(u|l>+(t>>>0)*m){Ya=(t>>>0>2&(t+-1&t|0)==0&1|t<<1)^1;Xa=~~+$(+(l/m))>>>0;y=0;oa(661,Za|0,(Ya>>>0<Xa>>>0?Xa:Ya)|0);Ya=y;y=0;if(Ya&1){f=pb()|0;DO(g);DO(h);cra(p);break j}g=k[s>>2]|0;h=g+-1|0;if(!(h&g)){b=g;f=h&f;break}else{b=g;f=(f>>>0)%(g>>>0)|0;break}}else{b=t;f=j}while(0);f=(k[Za>>2]|0)+(f<<2)|0;g=k[f>>2]|0;do if(!g){ab=a+20|0;k[p>>2]=k[ab>>2];k[ab>>2]=p;k[f>>2]=ab;f=k[p>>2]|0;if(!f)break;f=k[f+4>>2]|0;g=b+-1|0;if(!(g&b))f=f&g;else f=(f>>>0)%(b>>>0)|0;k[(k[Za>>2]|0)+(f<<2)>>2]=p}else{k[p>>2]=k[g>>2];k[g>>2]=p}while(0);k[n>>2]=(k[n>>2]|0)+1;break p}while(0);cra(p);break j}while(0);DO($a+8|0);DO($a);f=k[aa>>2]|0;if(!f)f=0;else i[f+8>>0]=1;ab=f;DO(bb);r=_a;return ab|0}while(0);if((ab|0)==351)f=pb()|0;DO($a+8|0);DO($a)}while(0)}}while(0);if((ab|0)==77){f=pb()|0;ab=79}}while(0);DO(bb);bb=f;sb(bb|0);return 0}function $c(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;P=r;r=r+576|0;O=P+492|0;ca=P+456|0;h=P+480|0;g=P+468|0;ba=P+444|0;aa=P+432|0;_=P+420|0;m=P+408|0;j=P+396|0;Z=P+384|0;n=P+336|0;l=P+324|0;Y=P+348|0;v=P+312|0;s=P+300|0;o=P+288|0;t=P+276|0;p=P+228|0;u=P+216|0;q=P+204|0;z=P+192|0;x=P+180|0;w=P+168|0;H=P+156|0;D=P+144|0;X=P+240|0;F=P+132|0;E=P+120|0;K=P+108|0;I=P+96|0;G=P+84|0;R=P+72|0;L=P+60|0;S=P+48|0;M=P+36|0;W=P+24|0;V=P+12|0;T=P;cL(h,b);y=0;oa(456,g|0,c|0);$=y;y=0;do if($&1)e=pb()|0;else{y=0;Na(104,ca|0,h|0,g|0);$=y;y=0;if($&1){e=pb()|0;A9(g);break}A9(g);A9(h);g=KJ(c,47,-1)|0;if((g|0)==-1){k[ba>>2]=0;k[ba+4>>2]=0;k[ba+8>>2]=0;y=0;Na(74,ba|0,87975,0);$=y;y=0;if($&1)h=31;else h=6}else{y=0;ma(4,ba|0,c|0,0,g+1|0,c|0);$=y;y=0;if($&1)h=31;else h=6}if((h|0)==6){g=KJ(c,47,-1)|0;if((g|0)==-1){y=0;oa(456,aa|0,c|0);$=y;y=0;if($&1)h=32;else h=9}else{y=0;ma(4,aa|0,c|0,g+1|0,-1,c|0);$=y;y=0;if($&1)h=32;else h=9}if((h|0)==9){k[a>>2]=0;$=a+4|0;k[$>>2]=0;k[a+8>>2]=0;y=0;oa(456,m|0,ba|0);J=y;y=0;a:do if(J&1){e=pb()|0;h=N}else{y=0;oa(456,j|0,aa|0);J=y;y=0;do if(J&1){e=pb()|0;f=N}else{y=0;Na(104,_|0,m|0,j|0);J=y;y=0;if(J&1){e=pb()|0;f=N;A9(j);break}A9(j);A9(m);y=0;oa(456,n|0,b|0);J=y;y=0;b:do if(J&1){e=pb()|0;f=N}else{y=0;oa(456,l|0,_|0);J=y;y=0;do if(J&1){e=pb()|0;f=N}else{y=0;Na(104,Z|0,n|0,l|0);J=y;y=0;if(J&1){e=pb()|0;f=N;A9(l);break}A9(l);A9(n);J=Z+11|0;c:do if(!(cS((i[J>>0]|0)<0?k[Z>>2]|0:Z,O)|0))if((k[O+12>>2]&61440|0)==16384)h=52;else{y=0;oa(456,v|0,_|0);C=y;y=0;if(C&1){e=pb()|0;f=N}else{y=0;oa(456,s|0,b|0);C=y;y=0;if(C&1){e=pb()|0;f=N}else{y=0;Na(92,Y|0,v|0,s|0);C=y;y=0;if(C&1){e=pb()|0;f=N}else{y=0;oa(456,o|0,Z|0);C=y;y=0;if(C&1){e=pb()|0;f=N}else{y=0;Na(93,O|0,Y|0,o|0);C=y;y=0;d:do if(C&1){e=pb()|0;f=N}else{g=k[$>>2]|0;do if(g>>>0<(k[a+8>>2]|0)>>>0){k[g>>2]=k[O>>2];k[g+4>>2]=k[O+4>>2];k[g+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;C=g+12|0;c=O+12|0;k[C>>2]=k[c>>2];k[C+4>>2]=k[c+4>>2];k[C+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;C=g+24|0;h=O+24|0;k[C>>2]=k[h>>2];k[C+4>>2]=k[h+4>>2];k[C+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;C=g+36|0;g=O+36|0;k[C>>2]=k[g>>2];k[C+4>>2]=k[g+4>>2];k[C+8>>2]=k[g+8>>2];k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[$>>2]=(k[$>>2]|0)+48}else{y=0;oa(562,a|0,O|0);C=y;y=0;if(C&1){e=pb()|0;f=N;A9(O+36|0);A9(O+24|0);A9(O+12|0);A9(O);break d}else{g=O+36|0;h=O+24|0;c=O+12|0;break}}while(0);A9(g);A9(h);A9(c);A9(O);A9(o);A9(Y+24|0);A9(Y+12|0);A9(Y);A9(s);A9(v);h=52;break c}while(0);A9(o)}A9(Y+24|0);A9(Y+12|0);A9(Y)}A9(s)}A9(v)}}else h=52;while(0);e:do if((h|0)==52){y=0;oa(456,t|0,ba|0);C=y;y=0;if(C&1){e=pb()|0;f=N}else{k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;B=aa+11|0;g=i[B>>0]|0;C=aa+4|0;g=g<<24>>24<0?k[C>>2]|0:g&255;y=0;Ra(10,p|0,42327,1,g+1|0);A=y;y=0;do if(A&1)h=83;else{y=0;ta(41,p|0,((i[B>>0]|0)<0?k[aa>>2]|0:aa)|0,g|0)|0;A=y;y=0;if(A&1){h=83;break}y=0;Na(104,O|0,t|0,p|0);A=y;y=0;if(A&1){e=pb()|0;f=N;A9(p);break}A=_+11|0;if((i[A>>0]|0)<0){i[k[_>>2]>>0]=0;k[_+4>>2]=0}else{i[_>>0]=0;i[A>>0]=0}y=0;oa(500,_|0,0);v=y;y=0;if(v&1){v=tb(0)|0;Sla(v)}k[_>>2]=k[O>>2];k[_+4>>2]=k[O+4>>2];k[_+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;A9(O);A9(p);A9(t);y=0;oa(456,u|0,b|0);v=y;y=0;if(v&1){e=pb()|0;f=N}else{y=0;oa(456,q|0,_|0);v=y;y=0;do if(v&1){e=pb()|0;f=N}else{y=0;Na(104,O|0,u|0,q|0);v=y;y=0;if(v&1){e=pb()|0;f=N;A9(q);break}if((i[J>>0]|0)<0){i[k[Z>>2]>>0]=0;k[Z+4>>2]=0}else{i[Z>>0]=0;i[J>>0]=0}y=0;oa(500,Z|0,0);v=y;y=0;if(v&1){v=tb(0)|0;Sla(v)}k[Z>>2]=k[O>>2];k[Z+4>>2]=k[O+4>>2];k[Z+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;A9(O);A9(q);A9(u);f:do if(!(cS((i[J>>0]|0)<0?k[Z>>2]|0:Z,O)|0)){if((k[O+12>>2]&61440|0)==16384)break;y=0;oa(456,z|0,_|0);v=y;y=0;if(v&1){e=pb()|0;f=N}else{y=0;oa(456,x|0,b|0);v=y;y=0;if(v&1){e=pb()|0;f=N}else{y=0;Na(92,Y|0,z|0,x|0);v=y;y=0;if(v&1){e=pb()|0;f=N}else{y=0;oa(456,w|0,Z|0);v=y;y=0;if(v&1){e=pb()|0;f=N}else{y=0;Na(93,O|0,Y|0,w|0);v=y;y=0;g:do if(v&1){e=pb()|0;f=N}else{g=k[$>>2]|0;do if(g>>>0<(k[a+8>>2]|0)>>>0){k[g>>2]=k[O>>2];k[g+4>>2]=k[O+4>>2];k[g+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;c=g+12|0;h=O+12|0;k[c>>2]=k[h>>2];k[c+4>>2]=k[h+4>>2];k[c+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;c=g+24|0;v=O+24|0;k[c>>2]=k[v>>2];k[c+4>>2]=k[v+4>>2];k[c+8>>2]=k[v+8>>2];k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;g=g+36|0;c=O+36|0;k[g>>2]=k[c>>2];k[g+4>>2]=k[c+4>>2];k[g+8>>2]=k[c+8>>2];k[c>>2]=0;k[c+4>>2]=0;k[c+8>>2]=0;k[$>>2]=(k[$>>2]|0)+48;g=v}else{y=0;oa(562,a|0,O|0);v=y;y=0;if(v&1){e=pb()|0;f=N;A9(O+36|0);A9(O+24|0);A9(O+12|0);A9(O);break g}else{g=O+24|0;h=O+12|0;c=O+36|0;break}}while(0);A9(c);A9(g);A9(h);A9(O);A9(w);A9(Y+24|0);A9(Y+12|0);A9(Y);A9(x);A9(z);break f}while(0);A9(w)}A9(Y+24|0);A9(Y+12|0);A9(Y)}A9(x)}A9(z)}break e}while(0);g=k[d>>2]|0;u=d+4|0;c=k[u>>2]|0;if((g|0)==(c|0)){A9(Z);A9(_);A9(aa);A9(ba);A9(ca);r=P;return}j=Y+11|0;l=Y+4|0;m=_+4|0;n=Z+4|0;o=O+12|0;p=a+8|0;q=O+12|0;s=O+24|0;t=O+36|0;v=X+24|0;w=X+12|0;h:while(1){y=0;oa(456,Y|0,g|0);z=y;y=0;if(z&1){h=138;break}y=0;oa(456,H|0,ba|0);z=y;y=0;if(z&1){h=139;break}k[X>>2]=0;k[X+4>>2]=0;k[X+8>>2]=0;h=i[B>>0]|0;h=h<<24>>24<0?k[C>>2]|0:h&255;y=0;Ra(10,X|0,42327,1,h+1|0);z=y;y=0;if(z&1){h=140;break}y=0;ta(41,X|0,((i[B>>0]|0)<0?k[aa>>2]|0:aa)|0,h|0)|0;z=y;y=0;if(z&1){h=140;break}h=i[j>>0]|0;z=h<<24>>24<0;y=0;h=ta(41,X|0,(z?k[Y>>2]|0:Y)|0,(z?k[l>>2]|0:h&255)|0)|0;z=y;y=0;if(z&1){h=141;break}k[D>>2]=k[h>>2];k[D+4>>2]=k[h+4>>2];k[D+8>>2]=k[h+8>>2];k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;y=0;Na(104,O|0,H|0,D|0);z=y;y=0;if(z&1){h=142;break}if((i[A>>0]|0)<0){i[k[_>>2]>>0]=0;k[m>>2]=0}else{i[_>>0]=0;i[A>>0]=0}y=0;oa(500,_|0,0);z=y;y=0;if(z&1){h=117;break}k[_>>2]=k[O>>2];k[_+4>>2]=k[O+4>>2];k[_+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;A9(O);A9(D);A9(X);A9(H);y=0;oa(456,F|0,b|0);z=y;y=0;if(z&1){h=146;break}y=0;oa(456,E|0,_|0);z=y;y=0;if(z&1){h=147;break}y=0;Na(104,O|0,F|0,E|0);z=y;y=0;if(z&1){h=148;break}if((i[J>>0]|0)<0){i[k[Z>>2]>>0]=0;k[n>>2]=0}else{i[Z>>0]=0;i[J>>0]=0}y=0;oa(500,Z|0,0);z=y;y=0;if(z&1){h=125;break}k[Z>>2]=k[O>>2];k[Z+4>>2]=k[O+4>>2];k[Z+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;A9(O);A9(E);A9(F);do if(!(cS((i[J>>0]|0)<0?k[Z>>2]|0:Z,O)|0)){if((k[o>>2]&61440|0)==16384)break;y=0;oa(456,K|0,_|0);z=y;y=0;if(z&1){h=151;break h}y=0;oa(456,I|0,b|0);z=y;y=0;if(z&1){h=152;break h}y=0;Na(92,X|0,K|0,I|0);z=y;y=0;if(z&1){h=153;break h}y=0;oa(456,G|0,Z|0);z=y;y=0;if(z&1){h=154;break h}y=0;Na(93,O|0,X|0,G|0);z=y;y=0;if(z&1){h=155;break h}h=k[$>>2]|0;if(h>>>0<(k[p>>2]|0)>>>0){k[h>>2]=k[O>>2];k[h+4>>2]=k[O+4>>2];k[h+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;z=h+12|0;k[z>>2]=k[q>>2];k[z+4>>2]=k[q+4>>2];k[z+8>>2]=k[q+8>>2];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;z=h+24|0;k[z>>2]=k[s>>2];k[z+4>>2]=k[s+4>>2];k[z+8>>2]=k[s+8>>2];k[s>>2]=0;k[s+4>>2]=0;k[s+8>>2]=0;z=h+36|0;k[z>>2]=k[t>>2];k[z+4>>2]=k[t+4>>2];k[z+8>>2]=k[t+8>>2];k[t>>2]=0;k[t+4>>2]=0;k[t+8>>2]=0;k[$>>2]=(k[$>>2]|0)+48}else{y=0;oa(562,a|0,O|0);z=y;y=0;if(z&1){h=156;break h}}A9(t);A9(s);A9(q);A9(O);A9(G);A9(v);A9(w);A9(X);A9(I);A9(K)}while(0);A9(Y);g=g+12|0;if((g|0)==(c|0)){h=105;break}}switch(h|0){case 105:{e=k[d>>2]|0;g=k[u>>2]|0;if((e|0)==(g|0)){A9(Z);A9(_);A9(aa);A9(ba);A9(ca);r=P;return}h=X+11|0;c=X+4|0;j=_+4|0;l=Z+4|0;m=O+12|0;n=a+8|0;o=O+12|0;p=O+24|0;q=O+36|0;s=Y+24|0;t=Y+12|0;i:while(1){y=0;oa(456,X|0,e|0);K=y;y=0;if(K&1){h=195;break}y=0;oa(456,R|0,ba|0);K=y;y=0;if(K&1){h=196;break}k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;K=i[B>>0]|0;I=K<<24>>24<0;K=I?k[C>>2]|0:K&255;f=i[h>>0]|0;f=f<<24>>24<0?k[c>>2]|0:f&255;y=0;Ra(10,L|0,(I?k[aa>>2]|0:aa)|0,K|0,f+K|0);K=y;y=0;if(K&1){h=197;break}y=0;ta(41,L|0,((i[h>>0]|0)<0?k[X>>2]|0:X)|0,f|0)|0;K=y;y=0;if(K&1){h=197;break}y=0;Na(104,O|0,R|0,L|0);K=y;y=0;if(K&1){h=198;break}if((i[A>>0]|0)<0){i[k[_>>2]>>0]=0;k[j>>2]=0}else{i[_>>0]=0;i[A>>0]=0}y=0;oa(500,_|0,0);K=y;y=0;if(K&1){h=174;break}k[_>>2]=k[O>>2];k[_+4>>2]=k[O+4>>2];k[_+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;A9(O);A9(L);A9(R);y=0;oa(456,S|0,b|0);K=y;y=0;if(K&1){h=201;break}y=0;oa(456,M|0,_|0);K=y;y=0;if(K&1){h=202;break}y=0;Na(104,O|0,S|0,M|0);K=y;y=0;if(K&1){h=203;break}if((i[J>>0]|0)<0){i[k[Z>>2]>>0]=0;k[l>>2]=0}else{i[Z>>0]=0;i[J>>0]=0}y=0;oa(500,Z|0,0);K=y;y=0;if(K&1){h=182;break}k[Z>>2]=k[O>>2];k[Z+4>>2]=k[O+4>>2];k[Z+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;A9(O);A9(M);A9(S);do if(!(cS((i[J>>0]|0)<0?k[Z>>2]|0:Z,O)|0)){if((k[m>>2]&61440|0)==16384)break;y=0;oa(456,W|0,_|0);K=y;y=0;if(K&1){h=206;break i}y=0;oa(456,V|0,b|0);K=y;y=0;if(K&1){h=207;break i}y=0;Na(92,Y|0,W|0,V|0);K=y;y=0;if(K&1){h=208;break i}y=0;oa(456,T|0,Z|0);K=y;y=0;if(K&1){h=209;break i}y=0;Na(93,O|0,Y|0,T|0);K=y;y=0;if(K&1){h=210;break i}f=k[$>>2]|0;if(f>>>0<(k[n>>2]|0)>>>0){k[f>>2]=k[O>>2];k[f+4>>2]=k[O+4>>2];k[f+8>>2]=k[O+8>>2];k[O>>2]=0;k[O+4>>2]=0;k[O+8>>2]=0;K=f+12|0;k[K>>2]=k[o>>2];k[K+4>>2]=k[o+4>>2];k[K+8>>2]=k[o+8>>2];k[o>>2]=0;k[o+4>>2]=0;k[o+8>>2]=0;K=f+24|0;k[K>>2]=k[p>>2];k[K+4>>2]=k[p+4>>2];k[K+8>>2]=k[p+8>>2];k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;K=f+36|0;k[K>>2]=k[q>>2];k[K+4>>2]=k[q+4>>2];k[K+8>>2]=k[q+8>>2];k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[$>>2]=(k[$>>2]|0)+48}else{y=0;oa(562,a|0,O|0);K=y;y=0;if(K&1){h=211;break i}}A9(q);A9(p);A9(o);A9(O);A9(T);A9(s);A9(t);A9(Y);A9(V);A9(W)}while(0);A9(X);e=e+12|0;if((e|0)==(g|0)){h=164;break}}switch(h|0){case 164:{A9(Z);A9(_);A9(aa);A9(ba);A9(ca);r=P;return}case 174:{Sla(tb(0)|0);break}case 182:{Sla(tb(0)|0);break}case 195:{e=pb()|0;f=N;break e}case 196:{e=pb()|0;f=N;h=200;break}case 197:{e=pb()|0;f=N;A9(L);h=199;break}case 198:{e=pb()|0;f=N;A9(L);h=199;break}case 201:{e=pb()|0;f=N;h=205;break}case 202:{e=pb()|0;f=N;h=204;break}case 203:{e=pb()|0;f=N;A9(M);h=204;break}case 206:{e=pb()|0;f=N;h=216;break}case 207:{e=pb()|0;f=N;h=215;break}case 208:{e=pb()|0;f=N;h=214;break}case 209:{e=pb()|0;f=N;h=213;break}case 210:{e=pb()|0;f=N;h=212;break}case 211:{e=pb()|0;f=N;A9(q);A9(p);A9(o);A9(O);h=212;break}}if((h|0)==199){A9(R);h=200}else if((h|0)==204){A9(S);h=205}else if((h|0)==212){A9(T);h=213}if((h|0)==200){U=e;Q=f}else if((h|0)==205){U=e;Q=f}else if((h|0)==213){A9(s);A9(t);A9(Y);h=214}if((h|0)==214){A9(V);h=215}if((h|0)==215){A9(W);h=216}if((h|0)==216){U=e;Q=f}A9(X);e=U;f=Q;break e}case 117:{X=tb(0)|0;Sla(X);break}case 125:{X=tb(0)|0;Sla(X);break}case 138:{e=pb()|0;f=N;break e}case 139:{e=pb()|0;f=N;h=145;break}case 140:{e=pb()|0;f=N;A9(X);h=144;break}case 141:{e=pb()|0;f=N;h=143;break}case 142:{e=pb()|0;f=N;A9(D);h=143;break}case 146:{e=pb()|0;f=N;h=150;break}case 147:{e=pb()|0;f=N;h=149;break}case 148:{e=pb()|0;f=N;A9(E);h=149;break}case 151:{e=pb()|0;f=N;h=161;break}case 152:{e=pb()|0;f=N;h=160;break}case 153:{e=pb()|0;f=N;h=159;break}case 154:{e=pb()|0;f=N;h=158;break}case 155:{e=pb()|0;f=N;h=157;break}case 156:{e=pb()|0;f=N;A9(t);A9(s);A9(q);A9(O);h=157;break}}if((h|0)==143){A9(X);h=144}else if((h|0)==149){A9(F);h=150}else if((h|0)==157){A9(G);h=158}if((h|0)==144){A9(H);h=145}else if((h|0)!=150)if((h|0)==158){A9(v);A9(w);A9(X);h=159}if((h|0)!=145)if((h|0)==159){A9(I);h=160}if((h|0)==160){A9(K);h=161}A9(Y);break e}while(0);A9(u)}break e}while(0);if((h|0)==83){e=pb()|0;f=N;A9(p)}A9(t)}}while(0);A9(Z);break b}while(0);A9(n)}while(0);A9(_);h=f;break a}while(0);A9(m);h=f}while(0);f=k[a>>2]|0;if(f|0){g=k[$>>2]|0;if((g|0)!=(f|0)){do{_=g+-48|0;k[$>>2]=_;A9(g+-12|0);A9(g+-24|0);A9(g+-36|0);A9(_);g=k[$>>2]|0}while((g|0)!=(f|0));f=k[a>>2]|0}cra(f)}A9(aa)}else if((h|0)==32)e=pb()|0;A9(ba)}else if((h|0)==31)e=pb()|0;A9(ca);ca=e;sb(ca|0)}while(0);A9(h);ca=e;sb(ca|0)}function ad(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0;Ba=0;Aa=r;r=r+768|0;X=Aa+720|0;O=Aa+680|0;P=Aa+672|0;Q=Aa+632|0;M=Aa+624|0;N=Aa+584|0;G=Aa+576|0;z=Aa+568|0;p=Aa+560|0;u=Aa+552|0;T=Aa+544|0;K=Aa+536|0;L=Aa+496|0;V=Aa+488|0;ia=Aa+480|0;$=Aa+472|0;ga=Aa+464|0;o=Aa+456|0;h=Aa+448|0;g=Aa+440|0;e=Aa+432|0;ja=Aa+424|0;va=Aa+416|0;Da=Aa+408|0;Ea=Aa+400|0;Ca=Aa+368|0;f=Aa+392|0;l=Aa+376|0;n=Aa+360|0;m=Aa+344|0;S=Aa+352|0;q=Aa+336|0;t=Aa+328|0;v=Aa+320|0;E=Aa+304|0;x=Aa+296|0;F=Aa+280|0;A=Aa+272|0;H=Aa+256|0;D=Aa+248|0;J=Aa+232|0;I=Aa+224|0;B=Aa+216|0;s=Aa+208|0;w=Aa+200|0;U=Aa+192|0;W=Aa+184|0;Y=Aa+144|0;aa=Aa+136|0;_=Aa+128|0;Z=Aa+120|0;ba=Aa+112|0;ca=Aa+104|0;ea=Aa+96|0;fa=Aa+88|0;la=Aa+80|0;pa=Aa+72|0;ma=Aa+64|0;da=Aa+56|0;ha=Aa+48|0;ra=Aa+40|0;ua=Aa+32|0;sa=Aa+24|0;wa=Aa+16|0;za=Aa+8|0;xa=Aa;b=b+4|0;LT(Da,k[(k[b>>2]|0)+88>>2]|0);k[Da>>2]=15136;R=k[b>>2]|0;ka=k[R+72>>2]|0;y=0;oa(460,Ea|0,k[R+96>>2]|0);R=y;y=0;if(R&1){Ea=pb()|0;DO(Da);sb(Ea|0)}k[Ea>>2]=7492;y=0;oa(460,Ca|0,k[(k[b>>2]|0)+80>>2]|0);R=y;y=0;if(R&1)a=pb()|0;else{k[Ca>>2]=15152;b=j[(k[b>>2]|0)+60>>1]|0;if((b&255)<<24>>24)i[a+60>>0]=1;if((b&65535)>=256)i[a+61>>0]=1;R=Ca+4|0;b=k[R>>2]|0;a:do if(!b)Ba=209;else if((k[b+80>>2]|0)==(k[b+76>>2]|0))Ba=209;else{C=(a|0)==0;b:do if(C)b=0;else{c=e+4|0;b=a;while(1){y=0;oa(460,e|0,k[b+88>>2]|0);d=y;y=0;if(d&1)break;k[e>>2]=15136;d=k[c>>2]|0;DO(e);if(!d)break b;else b=d}a=pb()|0;Ba=19;break a}while(0);y=0;oa(460,f|0,b|0);e=y;y=0;if(e&1)Ba=18;else{k[f>>2]=15136;e=ka|0?(k[(k[f+4>>2]|0)+72>>2]|0)!=0:0;DO(f);if(e){k[l>>2]=0;k[l+4>>2]=0;k[l+8>>2]=0;y=0;Na(74,l|0,34186,23);S=y;y=0;if(S&1){Ba=18;break}y=0;h=X;c=a+12|0;g=h+40|0;do{k[h>>2]=k[c>>2];h=h+4|0;c=c+4|0}while((h|0)<(g|0));oa(454,l|0,X|0);S=y;y=0;if(S&1){a=pb()|0;A9(l);break}else{A9(l);e=T;Ba=210;break}}c:do if(C)b=0;else{c=g+4|0;b=a;while(1){y=0;oa(460,g|0,k[b+88>>2]|0);l=y;y=0;if(l&1)break;k[g>>2]=15136;d=k[c>>2]|0;DO(g);if(!d)break c;else b=d}a=pb()|0;Ba=19;break a}while(0);y=0;oa(460,n|0,b|0);l=y;y=0;if(l&1)Ba=18;else{k[n>>2]=15136;d:do if(!(k[(k[n+4>>2]|0)+80>>2]|0))DO(n);else{e:do if(C){b=0;Ba=45}else{c=h+4|0;b=a;while(1){y=0;oa(460,h|0,k[b+88>>2]|0);l=y;y=0;if(l&1)break;k[h>>2]=15136;d=k[c>>2]|0;DO(h);if(!d){Ba=45;break e}else b=d}a=pb()|0}while(0);do if((Ba|0)==45){y=0;oa(460,m|0,b|0);l=y;y=0;if(l&1){a=pb()|0;break}k[m>>2]=15136;l=k[(k[m+4>>2]|0)+80>>2]|0;l=(k[l+80>>2]|0)==(k[l+76>>2]|0);DO(m);DO(n);if(l)break d;f:do if(C)b=0;else{c=o+4|0;b=a;while(1){y=0;oa(460,o|0,k[b+88>>2]|0);w=y;y=0;if(w&1)break;k[o>>2]=15136;d=k[c>>2]|0;DO(o);if(!d)break f;else b=d}a=pb()|0;Ba=19;break a}while(0);y=0;oa(460,q|0,b|0);w=y;y=0;if(w&1){Ba=18;break a}k[q>>2]=15136;y=0;oa(460,S|0,k[(k[q+4>>2]|0)+80>>2]|0);w=y;y=0;if(w&1){a=pb()|0;DO(q);break a}k[S>>2]=15152;DO(q);m=k[R>>2]|0;w=k[m+76>>2]|0;m=(k[m+80>>2]|0)-w>>3;y=0;oa(460,t|0,k[w+4>>2]|0);w=y;y=0;g:do if(w&1)Ba=82;else{k[t>>2]=13284;b=k[t+4>>2]|0;h:do if(!b)Ba=185;else{if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=30350){Ba=185;break}DO(t);l=S+4|0;y=0;oa(460,v|0,k[(k[(k[l>>2]|0)+80>>2]|0)+-4>>2]|0);B=y;y=0;if(B&1){Ba=82;break g}k[v>>2]=13284;b=k[v+4>>2]|0;do if(!b)Ba=91;else{if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=33531){Ba=91;break}DO(v);y=0;f=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;Q=y;y=0;if(Q&1)break;b=f+84|0;O=k[(k[(k[R>>2]|0)+76>>2]|0)+4>>2]|0;c=O+84|0;k[E>>2]=0;k[E+4>>2]=0;k[E+8>>2]=0;Q=i[b+11>>0]|0;P=Q<<24>>24<0;Q=P?k[f+88>>2]|0:Q&255;d=c+11|0;e=i[d>>0]|0;e=e<<24>>24<0?k[O+88>>2]|0:e&255;y=0;Ra(10,E|0,(P?k[b>>2]|0:b)|0,Q|0,e+Q|0);Q=y;y=0;i:do if(Q&1)Ba=62;else{y=0;ta(41,E|0,((i[d>>0]|0)<0?k[c>>2]|0:c)|0,e|0)|0;Q=y;y=0;if(Q&1){Ba=62;break}y=0;Ha(969,b|0,E|0)|0;Q=y;y=0;if(Q&1){a=pb()|0;A9(E);break g}A9(E);fO(f+12|0,(k[(k[(k[R>>2]|0)+76>>2]|0)+4>>2]|0)+12|0,40)|0;b=k[l>>2]|0;c=k[b+76>>2]|0;b=((k[b+80>>2]|0)-c>>3)+-1|0;d=c+(b<<3)|0;y=0;oa(460,X|0,f|0);Q=y;y=0;j:do if(Q&1)a=pb()|0;else{k[X>>2]=13284;if((d|0)!=(X|0)){b=c+(b<<3)+4|0;do if(k[b>>2]|0){y=0;na(423,d|0);Q=y;y=0;if(!(Q&1))break;a=pb()|0;DO(X);break j}while(0);Q=X+4|0;k[b>>2]=k[Q>>2];k[Q>>2]=0}DO(X);d=k[l>>2]|0;c=k[R>>2]|0;fO(d+12|0,c+12|0,40)|0;if(m>>>0<=1)break h;e=L+20|0;b=1;while(1){c=k[(k[c+76>>2]|0)+(b<<3)+4>>2]|0;y=0;oa(460,K|0,c|0);Q=y;y=0;if(Q&1){Ba=85;break}k[K>>2]=13284;y=0;oa(118,d+72|0,K|0);Q=y;y=0;if(Q&1){Ba=74;break}DO(K);d=d+32|0;h=L;c=c+12|0;g=h+40|0;do{k[h>>2]=k[c>>2];h=h+4|0;c=c+4|0}while((h|0)<(g|0));y=0;oa(510,d|0,e|0);Q=y;y=0;if(Q&1){Ba=85;break}b=b+1|0;if(b>>>0>=m>>>0)break h;c=k[R>>2]|0;d=k[l>>2]|0}if((Ba|0)==74){a=pb()|0;DO(K);break i}else if((Ba|0)==85){a=pb()|0;break i}}while(0);break g}while(0);if((Ba|0)==62){a=pb()|0;A9(E)}break g}while(0);do if((Ba|0)==91){DO(v);y=0;oa(460,x|0,k[(k[(k[l>>2]|0)+80>>2]|0)+-4>>2]|0);L=y;y=0;if(L&1)break;k[x>>2]=13284;b=k[x+4>>2]|0;do if(!b)Ba=119;else{if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=33555){Ba=119;break}DO(x);y=0;f=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;Q=y;y=0;if(Q&1)break;b=f+84|0;O=k[(k[(k[R>>2]|0)+76>>2]|0)+4>>2]|0;c=O+84|0;k[F>>2]=0;k[F+4>>2]=0;k[F+8>>2]=0;Q=i[b+11>>0]|0;P=Q<<24>>24<0;Q=P?k[f+88>>2]|0:Q&255;d=c+11|0;e=i[d>>0]|0;e=e<<24>>24<0?k[O+88>>2]|0:e&255;y=0;Ra(10,F|0,(P?k[b>>2]|0:b)|0,Q|0,e+Q|0);Q=y;y=0;k:do if(Q&1)Ba=97;else{y=0;ta(41,F|0,((i[d>>0]|0)<0?k[c>>2]|0:c)|0,e|0)|0;Q=y;y=0;if(Q&1){Ba=97;break}y=0;Ha(969,b|0,F|0)|0;Q=y;y=0;if(Q&1){a=pb()|0;A9(F);break g}A9(F);fO(f+12|0,(k[(k[(k[R>>2]|0)+76>>2]|0)+4>>2]|0)+12|0,40)|0;b=k[l>>2]|0;c=k[b+76>>2]|0;b=((k[b+80>>2]|0)-c>>3)+-1|0;d=c+(b<<3)|0;y=0;oa(460,X|0,f|0);Q=y;y=0;l:do if(Q&1)a=pb()|0;else{k[X>>2]=13284;if((d|0)!=(X|0)){b=c+(b<<3)+4|0;do if(k[b>>2]|0){y=0;na(423,d|0);Q=y;y=0;if(!(Q&1))break;a=pb()|0;DO(X);break l}while(0);Q=X+4|0;k[b>>2]=k[Q>>2];k[Q>>2]=0}DO(X);d=k[l>>2]|0;c=k[R>>2]|0;fO(d+12|0,c+12|0,40)|0;if(m>>>0<=1)break h;e=N+20|0;b=1;while(1){c=k[(k[c+76>>2]|0)+(b<<3)+4>>2]|0;y=0;oa(460,M|0,c|0);Q=y;y=0;if(Q&1){Ba=113;break}k[M>>2]=13284;y=0;oa(118,d+72|0,M|0);Q=y;y=0;if(Q&1){Ba=109;break}DO(M);d=d+32|0;h=N;c=c+12|0;g=h+40|0;do{k[h>>2]=k[c>>2];h=h+4|0;c=c+4|0}while((h|0)<(g|0));y=0;oa(510,d|0,e|0);Q=y;y=0;if(Q&1){Ba=113;break}b=b+1|0;if(b>>>0>=m>>>0)break h;c=k[R>>2]|0;d=k[l>>2]|0}if((Ba|0)==109){a=pb()|0;DO(M);break k}else if((Ba|0)==113){a=pb()|0;break k}}while(0);break g}while(0);if((Ba|0)==97){a=pb()|0;A9(F)}break g}while(0);do if((Ba|0)==119){DO(x);y=0;oa(460,A|0,k[(k[(k[l>>2]|0)+80>>2]|0)+-4>>2]|0);N=y;y=0;if(N&1)break;k[A>>2]=13284;b=k[A+4>>2]|0;do if(!b)Ba=147;else{if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=30350){Ba=147;break}DO(A);y=0;f=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;Q=y;y=0;if(Q&1)break;b=f+84|0;N=k[(k[(k[R>>2]|0)+76>>2]|0)+4>>2]|0;c=N+84|0;k[H>>2]=0;k[H+4>>2]=0;k[H+8>>2]=0;Q=i[b+11>>0]|0;P=Q<<24>>24<0;Q=P?k[f+88>>2]|0:Q&255;d=c+11|0;e=i[d>>0]|0;e=e<<24>>24<0?k[N+88>>2]|0:e&255;y=0;Ra(10,H|0,(P?k[b>>2]|0:b)|0,Q|0,e+Q|0);Q=y;y=0;m:do if(Q&1)Ba=125;else{y=0;ta(41,H|0,((i[d>>0]|0)<0?k[c>>2]|0:c)|0,e|0)|0;Q=y;y=0;if(Q&1){Ba=125;break}y=0;Ha(969,b|0,H|0)|0;Q=y;y=0;if(Q&1){a=pb()|0;A9(H);break g}A9(H);fO(f+12|0,(k[(k[(k[R>>2]|0)+76>>2]|0)+4>>2]|0)+12|0,40)|0;b=k[l>>2]|0;c=k[b+76>>2]|0;b=((k[b+80>>2]|0)-c>>3)+-1|0;d=c+(b<<3)|0;y=0;oa(460,X|0,f|0);Q=y;y=0;n:do if(Q&1)a=pb()|0;else{k[X>>2]=13284;if((d|0)!=(X|0)){b=c+(b<<3)+4|0;do if(k[b>>2]|0){y=0;na(423,d|0);Q=y;y=0;if(!(Q&1))break;a=pb()|0;DO(X);break n}while(0);Q=X+4|0;k[b>>2]=k[Q>>2];k[Q>>2]=0}DO(X);d=k[l>>2]|0;c=k[R>>2]|0;fO(d+12|0,c+12|0,40)|0;if(m>>>0<=1)break h;e=O+20|0;b=1;while(1){c=k[(k[c+76>>2]|0)+(b<<3)+4>>2]|0;y=0;oa(460,X|0,c|0);Q=y;y=0;if(Q&1){Ba=141;break}k[X>>2]=13284;y=0;oa(118,d+72|0,X|0);Q=y;y=0;if(Q&1){Ba=137;break}DO(X);d=d+32|0;h=O;c=c+12|0;g=h+40|0;do{k[h>>2]=k[c>>2];h=h+4|0;c=c+4|0}while((h|0)<(g|0));y=0;oa(510,d|0,e|0);Q=y;y=0;if(Q&1){Ba=141;break}b=b+1|0;if(b>>>0>=m>>>0)break h;c=k[R>>2]|0;d=k[l>>2]|0}if((Ba|0)==137){a=pb()|0;DO(X);break m}else if((Ba|0)==141){a=pb()|0;break m}}while(0);break g}while(0);if((Ba|0)==125){a=pb()|0;A9(H)}break g}while(0);do if((Ba|0)==147){DO(A);y=0;oa(460,D|0,k[(k[(k[l>>2]|0)+80>>2]|0)+-4>>2]|0);O=y;y=0;if(O&1)break;k[D>>2]=13284;b=k[D+4>>2]|0;do if(!b)Ba=177;else{if((k[(k[(k[b>>2]|0)+-4>>2]|0)+4>>2]|0)!=33501){Ba=177;break}DO(D);y=0;f=qa(k[(k[b>>2]|0)+12>>2]|0,b|0)|0;O=y;y=0;if(O&1){Ba=169;break}b=f+84|0;M=k[(k[(k[R>>2]|0)+76>>2]|0)+4>>2]|0;c=M+84|0;k[J>>2]=0;k[J+4>>2]=0;k[J+8>>2]=0;O=i[b+11>>0]|0;N=O<<24>>24<0;O=N?k[f+88>>2]|0:O&255;d=c+11|0;e=i[d>>0]|0;e=e<<24>>24<0?k[M+88>>2]|0:e&255;y=0;Ra(10,J|0,(N?k[b>>2]|0:b)|0,O|0,e+O|0);O=y;y=0;o:do if(O&1)Ba=153;else{y=0;ta(41,J|0,((i[d>>0]|0)<0?k[c>>2]|0:c)|0,e|0)|0;O=y;y=0;if(O&1){Ba=153;break}y=0;Ha(969,b|0,J|0)|0;O=y;y=0;if(O&1){a=pb()|0;A9(J);break g}A9(J);fO(f+12|0,(k[(k[(k[R>>2]|0)+76>>2]|0)+4>>2]|0)+12|0,40)|0;b=k[l>>2]|0;c=k[b+76>>2]|0;b=((k[b+80>>2]|0)-c>>3)+-1|0;d=c+(b<<3)|0;y=0;oa(460,X|0,f|0);O=y;y=0;p:do if(O&1)a=pb()|0;else{k[X>>2]=13284;if((d|0)!=(X|0)){b=c+(b<<3)+4|0;do if(k[b>>2]|0){y=0;na(423,d|0);O=y;y=0;if(!(O&1))break;a=pb()|0;DO(X);break p}while(0);O=X+4|0;k[b>>2]=k[O>>2];k[O>>2]=0}DO(X);d=k[l>>2]|0;c=k[R>>2]|0;fO(d+12|0,c+12|0,40)|0;if(m>>>0<=1)break h;e=Q+20|0;b=1;while(1){c=k[(k[c+76>>2]|0)+(b<<3)+4>>2]|0;y=0;oa(460,P|0,c|0);O=y;y=0;if(O&1){Ba=171;break}k[P>>2]=13284;y=0;oa(118,d+72|0,P|0);O=y;y=0;if(O&1){Ba=165;break}DO(P);d=d+32|0;h=Q;c=c+12|0;g=h+40|0;do{k[h>>2]=k[c>>2];h=h+4|0;c=c+4|0}while((h|0)<(g|0));y=0;oa(510,d|0,e|0);O=y;y=0;if(O&1){Ba=171;break}b=b+1|0;if(b>>>0>=m>>>0)break h;c=k[R>>2]|0;d=k[l>>2]|0}if((Ba|0)==165){a=pb()|0;DO(P);break o}else if((Ba|0)==171){a=pb()|0;break o}}while(0);break g}while(0);if((Ba|0)==153){a=pb()|0;A9(J)}break g}while(0);q:do if((Ba|0)==177){DO(D);r:do if(C)b=0;else{c=G+4|0;b=a;while(1){y=0;oa(460,G|0,k[b+88>>2]|0);Q=y;y=0;if(Q&1)break;k[G>>2]=15136;d=k[c>>2]|0;DO(G);if(!d)break r;else b=d}a=pb()|0;break q}while(0);y=0;oa(460,I|0,b|0);Q=y;y=0;if(Q&1){Ba=169;break}k[I>>2]=15136;Q=(k[(k[I+4>>2]|0)+80>>2]|0)+72|0;R=k[R>>2]|0;y=0;oa(k[(k[Q>>2]|0)+24>>2]|0,Q|0,((R|0)==0?0:R+72|0)|0);R=y;y=0;if(R&1){a=pb()|0;DO(I);break g}else{DO(I);break h}}while(0);if((Ba|0)==169)a=pb()|0;break g}while(0);a=pb()|0;break g}while(0);a=pb()|0;break g}while(0);a=pb()|0;break g}while(0);do if((Ba|0)==185){DO(t);s:do if(C)b=0;else{c=z+4|0;b=a;while(1){y=0;oa(460,z|0,k[b+88>>2]|0);Q=y;y=0;if(Q&1)break;k[z>>2]=15136;d=k[c>>2]|0;DO(z);if(!d)break s;else b=d}a=pb()|0;Ba=83;break g}while(0);y=0;oa(460,B|0,b|0);Q=y;y=0;if(Q&1){Ba=82;break g}k[B>>2]=15136;Q=(k[(k[B+4>>2]|0)+80>>2]|0)+72|0;R=k[R>>2]|0;y=0;oa(k[(k[Q>>2]|0)+24>>2]|0,Q|0,((R|0)==0?0:R+72|0)|0);R=y;y=0;if(R&1){a=pb()|0;DO(B);break g}else{DO(B);break}}while(0);DO(S);Ba=209;break a}while(0);if((Ba|0)==82){a=pb()|0;Ba=83}DO(S);break a}while(0);DO(n);break a}while(0);t:do if(C)b=0;else{c=p+4|0;b=a;while(1){y=0;oa(460,p|0,k[b+88>>2]|0);S=y;y=0;if(S&1)break;k[p>>2]=15136;d=k[c>>2]|0;DO(p);if(!d)break t;else b=d}a=pb()|0;Ba=19;break a}while(0);y=0;oa(460,s|0,b|0);S=y;y=0;if(S&1)Ba=18;else{k[s>>2]=15136;S=(k[(k[s+4>>2]|0)+80>>2]|0)==0;DO(s);if(S)Ba=209;else{u:do if(C)b=0;else{c=u+4|0;b=a;while(1){y=0;oa(460,u|0,k[b+88>>2]|0);S=y;y=0;if(S&1)break;k[u>>2]=15136;d=k[c>>2]|0;DO(u);if(!d)break u;else b=d}a=pb()|0;Ba=19;break a}while(0);y=0;oa(460,w|0,b|0);S=y;y=0;if(S&1)Ba=18;else{k[w>>2]=15136;Q=(k[(k[w+4>>2]|0)+80>>2]|0)+72|0;S=k[R>>2]|0;y=0;oa(k[(k[Q>>2]|0)+24>>2]|0,Q|0,((S|0)==0?0:S+72|0)|0);S=y;y=0;if(S&1){a=pb()|0;DO(w);break}else{DO(w);Ba=209;break}}}}}}}while(0);if((Ba|0)==209)if(!a){b=0;f=1;Ba=213}else{e=T;Ba=210}v:do if((Ba|0)==210){c=T+4|0;b=a;while(1){y=0;oa(460,T|0,k[b+88>>2]|0);Ba=y;y=0;if(Ba&1)break;k[T>>2]=15136;d=k[c>>2]|0;DO(T);if(!d){f=0;Ba=213;break v}else b=d}a=pb()|0;Ba=19}while(0);w:do if((Ba|0)==213){y=0;oa(460,U|0,b|0);T=y;y=0;if(T&1)Ba=18;else{k[U>>2]=15136;T=(k[U+4>>2]|0)==0;DO(U);if(T){DO(Ca);DO(Ea);DO(Da);r=Aa;return}x:do if(f)b=0;else{c=V+4|0;b=a;while(1){y=0;oa(460,V|0,k[b+88>>2]|0);U=y;y=0;if(U&1)break;k[V>>2]=15136;d=k[c>>2]|0;DO(V);if(!d)break x;else b=d}a=pb()|0;Ba=19;break w}while(0);y=0;oa(460,W|0,b|0);V=y;y=0;if(V&1)Ba=18;else{k[W>>2]=15136;V=ka|0?(k[(k[W+4>>2]|0)+72>>2]|0)!=0:0;DO(W);if(V){y=0;e=qa(315,100)|0;za=y;y=0;if(za&1){Ba=18;break}h=Y;c=a+12|0;g=h+40|0;do{k[h>>2]=k[c>>2];h=h+4|0;c=c+4|0}while((h|0)<(g|0));y=0;oa(460,aa|0,0);za=y;y=0;if(za&1)a=pb()|0;else{k[aa>>2]=15152;y=0;oa(460,_|0,0);za=y;y=0;if(za&1)a=pb()|0;else{k[_>>2]=15136;y=0;oa(460,Z|0,0);za=y;y=0;do if(za&1)a=pb()|0;else{k[Z>>2]=7492;y=0;h=X;c=Y;g=h+40|0;do{k[h>>2]=k[c>>2];h=h+4|0;c=c+4|0}while((h|0)<(g|0));ya(11,e|0,X|0,0,aa|0,_|0,Z|0);za=y;y=0;if(za&1){a=pb()|0;DO(Z);break}DO(Z);DO(_);DO(aa);y=0;oa(460,ca|0,k[Ea+4>>2]|0);za=y;y=0;y:do if(za&1)Ba=255;else{k[ca>>2]=7492;b=e+68|0;k[b>>2]=0;c=e+92|0;d=e+96|0;if(!(k[d>>2]|0))Ba=229;else{y=0;na(423,c|0);za=y;y=0;if(!(za&1))Ba=229}do if((Ba|0)==229){k[d>>2]=k[ca+4>>2];y=0;na(424,c|0);za=y;y=0;if(za&1)break;y=0;oa(460,ba|0,k[d>>2]|0);za=y;y=0;if(za&1)break;k[ba>>2]=7492;DO(ba);DO(ca);k[b>>2]=0;k[e+72>>2]=ka;y=0;oa(460,fa|0,k[Da+4>>2]|0);za=y;y=0;if(za&1){Ba=255;break y}k[fa>>2]=15136;k[b>>2]=0;b=e+84|0;c=e+88|0;if(!(k[c>>2]|0))Ba=234;else{y=0;na(423,b|0);za=y;y=0;if(!(za&1))Ba=234}do if((Ba|0)==234){k[c>>2]=k[fa+4>>2];y=0;na(424,b|0);za=y;y=0;if(za&1)break;y=0;oa(460,ea|0,k[c>>2]|0);za=y;y=0;if(za&1)break;k[ea>>2]=15136;DO(ea);DO(fa);z:do if(f)a=0;else{c=ia+4|0;while(1){y=0;oa(460,ia|0,k[a+88>>2]|0);za=y;y=0;if(za&1)break;k[ia>>2]=15136;b=k[c>>2]|0;DO(ia);if(!b)break z;else a=b}a=pb()|0;break y}while(0);y=0;oa(460,pa|0,a|0);za=y;y=0;if(za&1){Ba=255;break y}k[pa>>2]=15136;a=k[pa+4>>2]|0;y=0;oa(460,ma|0,e|0);za=y;y=0;if(za&1)a=pb()|0;else{k[ma>>2]=15136;k[a+68>>2]=0;b=a+84|0;a=a+88|0;if(!(k[a>>2]|0))Ba=244;else{y=0;na(423,b|0);za=y;y=0;if(!(za&1))Ba=244}do if((Ba|0)==244){k[a>>2]=k[ma+4>>2];y=0;na(424,b|0);za=y;y=0;if(za&1)break;y=0;oa(460,la|0,k[a>>2]|0);za=y;y=0;if(za&1)break;k[la>>2]=15136;DO(la);DO(ma);DO(pa);DO(Ca);DO(Ea);DO(Da);r=Aa;return}while(0);a=pb()|0;DO(ma)}DO(pa);break w}while(0);a=pb()|0;DO(fa);break w}while(0);a=pb()|0;DO(ca);break w}while(0);if((Ba|0)==255)a=pb()|0;break w}while(0);DO(_)}DO(aa)}cra(e);break}A:do if(f)b=0;else{c=$+4|0;b=a;while(1){y=0;oa(460,$|0,k[b+88>>2]|0);pa=y;y=0;if(pa&1)break;k[$>>2]=15136;d=k[c>>2]|0;DO($);if(!d)break A;else b=d}a=pb()|0;Ba=19;break w}while(0);y=0;oa(460,da|0,b|0);pa=y;y=0;if(pa&1)Ba=18;else{k[da>>2]=15136;pa=(k[(k[da+4>>2]|0)+72>>2]|0)==0;DO(da);B:do if(pa){C:do if(f)b=0;else{c=ga+4|0;b=a;while(1){y=0;oa(460,ga|0,k[b+88>>2]|0);pa=y;y=0;if(pa&1)break;k[ga>>2]=15136;d=k[c>>2]|0;DO(ga);if(!d)break C;else b=d}a=pb()|0;Ba=19;break w}while(0);y=0;oa(460,ha|0,b|0);pa=y;y=0;if(pa&1){Ba=18;break w}k[ha>>2]=15136;pa=k[ha+4>>2]|0;k[pa+68>>2]=0;k[pa+72>>2]=ka;DO(ha);D:do if(f)b=0;else{c=ja+4|0;b=a;while(1){y=0;oa(460,ja|0,k[b+88>>2]|0);pa=y;y=0;if(pa&1)break;k[ja>>2]=15136;d=k[c>>2]|0;DO(ja);if(!d)break D;else b=d}a=pb()|0;Ba=19;break w}while(0);y=0;oa(460,ua|0,b|0);pa=y;y=0;if(pa&1){Ba=18;break w}k[ua>>2]=15136;b=k[ua+4>>2]|0;y=0;oa(460,sa|0,k[Ea+4>>2]|0);pa=y;y=0;if(pa&1)a=pb()|0;else{k[sa>>2]=7492;k[b+68>>2]=0;c=b+92|0;b=b+96|0;if(!(k[b>>2]|0))Ba=281;else{y=0;na(423,c|0);pa=y;y=0;if(!(pa&1))Ba=281}do if((Ba|0)==281){k[b>>2]=k[sa+4>>2];y=0;na(424,c|0);pa=y;y=0;if(pa&1)break;y=0;oa(460,ra|0,k[b>>2]|0);pa=y;y=0;if(pa&1)break;k[ra>>2]=7492;DO(ra);DO(sa);DO(ua);if(f){a=0;break B}else{c=va;Ba=288;break B}}while(0);a=pb()|0;DO(sa)}DO(ua);break w}else if(f)a=0;else{c=va;Ba=288}while(0);E:do if((Ba|0)==288){d=va+4|0;while(1){y=0;oa(460,va|0,k[a+88>>2]|0);ua=y;y=0;if(ua&1)break;k[va>>2]=15136;b=k[d>>2]|0;DO(va);if(!b)break E;else a=b}a=pb()|0;Ba=19;break w}while(0);y=0;oa(460,za|0,a|0);va=y;y=0;if(va&1)Ba=18;else{k[za>>2]=15136;a=k[za+4>>2]|0;y=0;oa(460,xa|0,k[Da+4>>2]|0);va=y;y=0;if(va&1)a=pb()|0;else{k[xa>>2]=15136;k[a+68>>2]=0;b=a+84|0;a=a+88|0;if(!(k[a>>2]|0))Ba=295;else{y=0;na(423,b|0);va=y;y=0;if(!(va&1))Ba=295}do if((Ba|0)==295){k[a>>2]=k[xa+4>>2];y=0;na(424,b|0);va=y;y=0;if(va&1)break;y=0;oa(460,wa|0,k[a>>2]|0);va=y;y=0;if(va&1)break;k[wa>>2]=15136;DO(wa);DO(xa);DO(za);DO(Ca);DO(Ea);DO(Da);r=Aa;return}while(0);a=pb()|0;DO(xa)}DO(za)}}}}}while(0);if((Ba|0)==18){a=pb()|0;Ba=19}DO(Ca)}DO(Ea);Ea=a;DO(Da);sb(Ea|0)}function bd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0;Da=0;Aa=r;r=r+432|0;Ca=Aa+80|0;sa=Aa+40|0;ea=Aa;fa=Aa+416|0;ja=Aa+408|0;xa=Aa+296|0;ga=Aa+400|0;ha=Aa+392|0;V=Aa+384|0;ia=Aa+376|0;W=Aa+368|0;ua=Aa+204|0;X=Aa+360|0;Y=Aa+320|0;ka=Aa+304|0;Z=Aa+288|0;_=Aa+280|0;$=Aa+272|0;aa=Aa+264|0;ba=Aa+256|0;ca=Aa+216|0;la=Aa+192|0;da=Aa+184|0;ya=Aa+176|0;za=Aa+136|0;Ba=Aa+120|0;l=IM(84)|0;va=b+108|0;n=ea;o=va;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(422,l|0);wa=y;y=0;do if(wa&1)d=pb()|0;else{n=l+12|0;o=ea;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;d=l+56|0;k[l>>2]=10968;k[d>>2]=4;e=l+60|0;k[e>>2]=9248;h=l+64|0;j=l+68|0;k[h>>2]=0;k[h+4>>2]=0;k[h+8>>2]=0;k[h+12>>2]=0;y=0;oa(514,h|0,0);wa=y;y=0;if(wa&1){d=pb()|0;g=N;e=k[h>>2]|0;if(e|0){f=k[j>>2]|0;if((f|0)!=(e|0)){do{a=f+-8|0;k[j>>2]=a;lc[k[k[a>>2]>>2]&511](a);f=k[j>>2]|0}while((f|0)!=(e|0));e=k[h>>2]|0}cra(e)}break}k[l>>2]=10796;k[e>>2]=10928;k[l+80>>2]=0;k[d>>2]=4;LT(a,l);k[a>>2]=13080;wa=b+76|0;d=k[wa>>2]|0;y=0;e=qa(344,d|0)|0;ra=y;y=0;a:do if(ra&1)d=pb()|0;else{ra=e|0?e:d;ra=(i[ra>>0]|0)==125?ra+1|0:0;U=b+80|0;d=k[U>>2]|0;b:do if((ra|0)==0|ra>>>0>d>>>0){ra=U;pa=d}else{k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;y=0;Na(74,Ca|0,43044,11);ra=y;y=0;if(ra&1)d=pb()|0;else{k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;y=0;Na(74,sa|0,43056,7);ra=y;y=0;if(ra&1)d=pb()|0;else{k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;y=0;Na(74,ea|0,43423,44);ra=y;y=0;do if(ra&1)d=pb()|0;else{y=0;ma(10,b|0,Ca|0,sa|0,ea|0,1);ra=y;y=0;if(ra&1){d=pb()|0;A9(ea);break}else{A9(ea);A9(sa);A9(Ca);ra=U;pa=k[U>>2]|0;break b}}while(0);A9(sa)}A9(Ca)}break a}while(0);k[U>>2]=c;d=k[wa>>2]|0;c:do if(d>>>0<c>>>0){O=a+4|0;P=ja+4|0;Q=b+160|0;R=b+164|0;S=la+8|0;T=la+4|0;q=la+11|0;s=Ca+8|0;t=Ca+4|0;u=Ca+11|0;v=Ca+8|0;w=Ca+4|0;x=Ca+11|0;z=Ca+8|0;A=Ca+4|0;B=Ca+11|0;C=Ca+8|0;D=Ca+4|0;E=Ca+11|0;F=Ca+8|0;G=Ca+4|0;H=Ca+11|0;I=b+156|0;J=ia+4|0;K=xa+4|0;L=Ca+4|0;M=sa+4|0;d:while(1){y=0;ta(93,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break}d=k[wa>>2]|0;y=0;e=qa(344,d|0)|0;p=y;y=0;if(p&1){Da=32;break}y=0;d=qa(369,(e|0?e:d)|0)|0;p=y;y=0;if(p&1){Da=32;break}p=d>>>0<=(k[U>>2]|0)>>>0?d:0;e:do if((p|0)!=0&p>>>0<c>>>0){d=(k[O>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(588,ja|0,b|0);p=y;y=0;if(p&1){Da=32;break d}y=0;oa(460,fa|0,k[P>>2]|0);p=y;y=0;if(p&1){Da=40;break d}k[fa>>2]=7284;y=0;oa(e|0,d|0,fa|0);p=y;y=0;if(p&1){Da=41;break d}DO(fa);DO(ja)}else{y=0;d=ta(94,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(d|0){d=k[wa>>2]|0;y=0;e=qa(344,d|0)|0;p=y;y=0;if(p&1){Da=32;break d}d=e|0?e:d;do if(d|0){e=i[50303]|0;f:do if(!(e<<24>>24))e=0;else{f=50303;while(1){if((i[d>>0]|0)!=e<<24>>24)break f;d=d+1|0;f=f+1|0;e=i[f>>0]|0;if(!(e<<24>>24)){e=0;break}}}while(0);p=e<<24>>24==0?d:0;if((p|0)==0?1:p>>>0>(k[U>>2]|0)>>>0)break;k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;y=0;Na(74,Ca|0,43044,11);p=y;y=0;if(p&1){Da=56;break d}k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;y=0;Na(74,sa|0,43056,7);p=y;y=0;if(p&1){Da=57;break d}k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;y=0;Na(74,ea|0,43423,44);p=y;y=0;if(p&1){Da=58;break d}y=0;ma(10,b|0,Ca|0,sa|0,ea|0,1);p=y;y=0;if(p&1){Da=59;break d}A9(ea);A9(sa);A9(Ca)}while(0);y=0;oa(460,xa|0,0);p=y;y=0;if(p&1){Da=32;break d}k[xa>>2]=7284;y=0;d=ta(95,b|0,1,0)|0;p=y;y=0;if(p&1){Da=72;break d}if(!d){y=0;Na(111,Ca|0,b|0,0);p=y;y=0;if(p&1){Da=81;break d}if(k[K>>2]|0){y=0;na(423,xa|0);p=y;y=0;if(p&1){Da=82;break d}}k[K>>2]=k[L>>2];k[L>>2]=0;DO(Ca)}else{y=0;d=qa(315,80)|0;p=y;y=0;if(p&1){Da=73;break d}y=0;n=Ca;o=va;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Na(109,d|0,Ca|0,I|0);p=y;y=0;if(p&1){Da=74;break d}y=0;oa(460,sa|0,d|0);p=y;y=0;if(p&1){Da=73;break d}k[sa>>2]=7284;if(k[K>>2]|0){y=0;na(423,xa|0);p=y;y=0;if(p&1){Da=75;break d}}k[K>>2]=k[M>>2];k[M>>2]=0;DO(sa)}p=k[K>>2]|0;i[p+54>>0]=1;d=(k[O>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,ga|0,p|0);p=y;y=0;if(p&1){Da=72;break d}k[ga>>2]=7284;y=0;oa(e|0,d|0,ga|0);p=y;y=0;if(p&1){Da=93;break d}DO(ga);y=0;d=ta(96,b|0,1,0)|0;p=y;y=0;if(p&1){Da=72;break d}if(!d){k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;y=0;Na(74,Ca|0,43044,11);p=y;y=0;if(p&1){Da=94;break d}k[sa>>2]=0;k[sa+4>>2]=0;k[sa+8>>2]=0;y=0;Na(74,sa|0,43056,7);p=y;y=0;if(p&1){Da=95;break d}k[ea>>2]=0;k[ea+4>>2]=0;k[ea+8>>2]=0;y=0;Na(74,ea|0,43592,20);p=y;y=0;if(p&1){Da=96;break d}y=0;ma(10,b|0,Ca|0,sa|0,ea|0,1);p=y;y=0;if(p&1){Da=97;break d}A9(ea);A9(sa);A9(Ca)}DO(xa);break}y=0;d=ta(97,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(d|0){d=(k[O>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;f=qa(315,80)|0;p=y;y=0;if(p&1){Da=32;break d}y=0;n=Ca;o=va;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Na(109,f|0,Ca|0,I|0);p=y;y=0;if(p&1){Da=110;break d}y=0;oa(460,ha|0,f|0);p=y;y=0;if(p&1){Da=32;break d}k[ha>>2]=7284;y=0;oa(e|0,d|0,ha|0);p=y;y=0;if(p&1){Da=111;break d}DO(ha);break}y=0;d=ta(71,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(d|0){d=(k[O>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;k[Ca>>2]=k[I>>2];k[Ca+4>>2]=k[I+4>>2];k[Ca+8>>2]=k[I+8>>2];Ra(27,ia|0,b|0,Ca|0,0);p=y;y=0;if(p&1){Da=32;break d}y=0;oa(460,V|0,k[J>>2]|0);p=y;y=0;if(p&1){Da=121;break d}k[V>>2]=7284;y=0;oa(e|0,d|0,V|0);p=y;y=0;if(p&1){Da=122;break d}DO(V);DO(ia);d=k[wa>>2]|0;switch(i[d>>0]|0){case 39:case 34:break;default:{y=0;qa(344,d|0)|0;p=y;y=0;if(p&1){Da=32;break d}y=0;p=y;y=0;if(p&1){Da=32;break d}d=k[wa>>2]|0}}y=0;e=qa(344,d|0)|0;p=y;y=0;if(p&1){Da=32;break d}p=e|0?e:d;p=(i[p>>0]|0)==45?p+1|0:0;if((p|0)==0?1:p>>>0>(k[U>>2]|0)>>>0)break;else{Da=274;break d}}y=0;d=ta(98,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(d|0){d=(k[O>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;f=qa(315,80)|0;p=y;y=0;if(p&1){Da=32;break d}y=0;n=Ca;o=va;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Na(109,f|0,Ca|0,I|0);p=y;y=0;if(p&1){Da=136;break d}y=0;oa(460,W|0,f|0);p=y;y=0;if(p&1){Da=32;break d}k[W>>2]=7284;y=0;oa(e|0,d|0,W|0);p=y;y=0;if(p&1){Da=137;break d}DO(W);d=k[wa>>2]|0;switch(i[d>>0]|0){case 39:case 34:break e;default:{}}y=0;qa(344,d|0)|0;p=y;y=0;if(p&1){Da=32;break d}y=0;p=y;y=0;if(p&1){Da=32;break d}else break}y=0;d=ta(99,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(d|0){e=k[Q>>2]|0;g=k[R>>2]|0;k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;h=g-e|0;do if(h>>>0>4294967279){y=0;na(438,Ca|0);Da=y;y=0;if(Da&1){Da=158;break d}else Da=144}else{if(h>>>0>=11){Da=144;break}i[H>>0]=h;d=Ca}while(0);if((Da|0)==144){Da=0;f=h+16&-16;y=0;d=qa(315,f|0)|0;p=y;y=0;if(p&1){Da=158;break d}k[Ca>>2]=d;k[F>>2]=f|-2147483648;k[G>>2]=h}if((e|0)!=(g|0)){f=d;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(g|0))break;else f=f+1|0}d=d+h|0}i[d>>0]=0;y=0;oa(554,ua|0,Ca|0);p=y;y=0;if(p&1){Da=159;break d}A9(Ca);e=(k[O>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;y=0;g=qa(315,72)|0;p=y;y=0;if(p&1){Da=161;break d}n=Y;o=va;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;oa(456,ka|0,ua|0);p=y;y=0;if(p&1){Da=162;break d}n=sa;o=Y;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(422,g|0);p=y;y=0;if(p&1){e=1;Da=164;break d}n=g+12|0;o=sa;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;d=g+56|0;k[d>>2]=0;k[g>>2]=10424;y=0;oa(456,g+60|0,ka|0);p=y;y=0;if(p&1){Da=154;break d}k[d>>2]=12;y=0;oa(460,X|0,g|0);p=y;y=0;if(p&1){e=0;Da=164;break d}k[X>>2]=7284;y=0;oa(f|0,e|0,X|0);p=y;y=0;if(p&1){Da=163;break d}DO(X);A9(ka);A9(ua);break}y=0;d=ta(100,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(d|0){j=(k[O>>2]|0)+60|0;l=k[(k[j>>2]|0)+20>>2]|0;e=k[Q>>2]|0;g=k[R>>2]|0;k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;h=g-e|0;do if(h>>>0>4294967279){y=0;na(438,Ca|0);Da=y;y=0;if(Da&1){Da=182;break d}else Da=173}else{if(h>>>0>=11){Da=173;break}i[E>>0]=h;d=Ca}while(0);if((Da|0)==173){Da=0;f=h+16&-16;y=0;d=qa(315,f|0)|0;p=y;y=0;if(p&1){Da=182;break d}k[Ca>>2]=d;k[C>>2]=f|-2147483648;k[D>>2]=h}if((e|0)!=(g|0)){f=d;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(g|0))break;else f=f+1|0}d=d+h|0}i[d>>0]=0;y=0;d=Ha(1005,va|0,Ca|0)|0;p=y;y=0;if(p&1){Da=183;break d}y=0;oa(460,Z|0,d|0);p=y;y=0;if(p&1){Da=183;break d}k[Z>>2]=7284;y=0;oa(l|0,j|0,Z|0);p=y;y=0;if(p&1){Da=184;break d}DO(Z);A9(Ca);break}y=0;d=ta(101,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(d|0){j=(k[O>>2]|0)+60|0;l=k[(k[j>>2]|0)+20>>2]|0;e=k[Q>>2]|0;g=k[R>>2]|0;k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;h=g-e|0;do if(h>>>0>4294967279){y=0;na(438,Ca|0);Da=y;y=0;if(Da&1){Da=202;break d}else Da=193}else{if(h>>>0>=11){Da=193;break}i[B>>0]=h;d=Ca}while(0);if((Da|0)==193){Da=0;f=h+16&-16;y=0;d=qa(315,f|0)|0;p=y;y=0;if(p&1){Da=202;break d}k[Ca>>2]=d;k[z>>2]=f|-2147483648;k[A>>2]=h}if((e|0)!=(g|0)){f=d;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(g|0))break;else f=f+1|0}d=d+h|0}i[d>>0]=0;y=0;d=Ha(1007,va|0,Ca|0)|0;p=y;y=0;if(p&1){Da=203;break d}y=0;oa(460,_|0,d|0);p=y;y=0;if(p&1){Da=203;break d}k[_>>2]=7284;y=0;oa(l|0,j|0,_|0);p=y;y=0;if(p&1){Da=204;break d}DO(_);A9(Ca);break}y=0;d=ta(102,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(d|0){j=(k[O>>2]|0)+60|0;l=k[(k[j>>2]|0)+20>>2]|0;e=k[Q>>2]|0;g=k[R>>2]|0;k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;h=g-e|0;do if(h>>>0>4294967279){y=0;na(438,Ca|0);Da=y;y=0;if(Da&1){Da=222;break d}else Da=213}else{if(h>>>0>=11){Da=213;break}i[x>>0]=h;d=Ca}while(0);if((Da|0)==213){Da=0;f=h+16&-16;y=0;d=qa(315,f|0)|0;p=y;y=0;if(p&1){Da=222;break d}k[Ca>>2]=d;k[v>>2]=f|-2147483648;k[w>>2]=h}if((e|0)!=(g|0)){f=d;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(g|0))break;else f=f+1|0}d=d+h|0}i[d>>0]=0;y=0;d=Ha(1004,va|0,Ca|0)|0;p=y;y=0;if(p&1){Da=223;break d}y=0;oa(460,$|0,d|0);p=y;y=0;if(p&1){Da=223;break d}k[$>>2]=7284;y=0;oa(l|0,j|0,$|0);p=y;y=0;if(p&1){Da=224;break d}DO($);A9(Ca);break}y=0;d=ta(103,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(d|0){j=(k[O>>2]|0)+60|0;l=k[(k[j>>2]|0)+20>>2]|0;e=k[Q>>2]|0;g=k[R>>2]|0;k[Ca>>2]=0;k[Ca+4>>2]=0;k[Ca+8>>2]=0;h=g-e|0;do if(h>>>0>4294967279){y=0;na(438,Ca|0);Da=y;y=0;if(Da&1){Da=242;break d}else Da=233}else{if(h>>>0>=11){Da=233;break}i[u>>0]=h;d=Ca}while(0);if((Da|0)==233){Da=0;f=h+16&-16;y=0;d=qa(315,f|0)|0;p=y;y=0;if(p&1){Da=242;break d}k[Ca>>2]=d;k[s>>2]=f|-2147483648;k[t>>2]=h}if((e|0)!=(g|0)){f=d;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(g|0))break;else f=f+1|0}d=d+h|0}i[d>>0]=0;y=0;d=Ha(1006,va|0,Ca|0)|0;p=y;y=0;if(p&1){Da=243;break d}y=0;oa(460,aa|0,d|0);p=y;y=0;if(p&1){Da=243;break d}k[aa>>2]=7284;y=0;oa(l|0,j|0,aa|0);p=y;y=0;if(p&1){Da=244;break d}DO(aa);A9(Ca);break}y=0;d=ta(104,b|0,1,0)|0;p=y;y=0;if(p&1){Da=32;break d}if(!d){d=k[wa>>2]|0;y=0;e=qa(344,d|0)|0;p=y;y=0;if(p&1){Da=32;break d}y=0;d=qa(373,(e|0?e:d)|0)|0;p=y;y=0;if(p&1){Da=32;break d}if((d|0)==0?1:d>>>0>(k[U>>2]|0)>>>0){Da=274;break d}d=(k[O>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(580,da|0,b|0);p=y;y=0;if(p&1){Da=32;break d}y=0;oa(e|0,d|0,da|0);p=y;y=0;if(p&1){Da=273;break d}DO(da);break}j=(k[O>>2]|0)+60|0;l=k[(k[j>>2]|0)+20>>2]|0;y=0;m=qa(315,80)|0;p=y;y=0;if(p&1){Da=32;break d}n=ca;o=va;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));e=k[Q>>2]|0;g=k[R>>2]|0;k[la>>2]=0;k[la+4>>2]=0;k[la+8>>2]=0;h=g-e|0;do if(h>>>0>4294967279){y=0;na(438,la|0);Da=y;y=0;if(Da&1){Da=263;break d}else Da=254}else{if(h>>>0>=11){Da=254;break}i[q>>0]=h;d=la}while(0);if((Da|0)==254){Da=0;f=h+16&-16;y=0;d=qa(315,f|0)|0;p=y;y=0;if(p&1){Da=263;break d}k[la>>2]=d;k[S>>2]=f|-2147483648;k[T>>2]=h}if((e|0)!=(g|0)){f=d;while(1){i[f>>0]=i[e>>0]|0;e=e+1|0;if((e|0)==(g|0))break;else f=f+1|0}d=d+h|0}i[d>>0]=0;y=0;n=Ca;o=ca;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));Ea(2,m|0,Ca|0,la|0,0,0,0,1);p=y;y=0;if(p&1){e=1;Da=265;break d}y=0;oa(460,ba|0,m|0);p=y;y=0;if(p&1){e=0;Da=265;break d}k[ba>>2]=7284;y=0;oa(l|0,j|0,ba|0);p=y;y=0;if(p&1){Da=264;break d}DO(ba);A9(la)}while(0);if((k[wa>>2]|0)>>>0>=c>>>0){Da=274;break}}switch(Da|0){case 32:{d=pb()|0;break c}case 40:{d=pb()|0;Da=42;break}case 41:{d=pb()|0;DO(fa);Da=42;break}case 56:{d=pb()|0;Da=62;break}case 57:{d=pb()|0;Da=61;break}case 58:{d=pb()|0;Da=60;break}case 59:{d=pb()|0;A9(ea);Da=60;break}case 72:{d=pb()|0;break}case 73:{d=pb()|0;Da=76;break}case 74:{Ca=pb()|0;cra(d);d=Ca;Da=76;break}case 75:{d=pb()|0;DO(sa);Da=76;break}case 81:{d=pb()|0;Da=83;break}case 82:{d=pb()|0;DO(Ca);Da=83;break}case 93:{d=pb()|0;DO(ga);break}case 94:{d=pb()|0;Da=100;break}case 95:{d=pb()|0;Da=99;break}case 96:{d=pb()|0;Da=98;break}case 97:{d=pb()|0;A9(ea);Da=98;break}case 110:{d=pb()|0;cra(f);break a}case 111:{d=pb()|0;DO(ha);break a}case 121:{d=pb()|0;Da=123;break}case 122:{d=pb()|0;DO(V);Da=123;break}case 136:{d=pb()|0;cra(f);break a}case 137:{d=pb()|0;DO(W);break a}case 154:{d=pb()|0;A9(ka);Da=165;break}case 158:{d=pb()|0;Da=160;break}case 159:{d=pb()|0;A9(Ca);Da=160;break}case 161:{d=pb()|0;Da=166;break}case 162:{d=pb()|0;Da=165;break}case 163:{d=pb()|0;DO(X);A9(ka);Da=166;break}case 164:{d=pb()|0;A9(ka);if(e)Da=165;else Da=166;break}case 182:{d=pb()|0;Da=186;break}case 183:{d=pb()|0;Da=185;break}case 184:{d=pb()|0;DO(Z);Da=185;break}case 202:{d=pb()|0;Da=206;break}case 203:{d=pb()|0;Da=205;break}case 204:{d=pb()|0;DO(_);Da=205;break}case 222:{d=pb()|0;Da=226;break}case 223:{d=pb()|0;Da=225;break}case 224:{d=pb()|0;DO($);Da=225;break}case 242:{d=pb()|0;Da=246;break}case 243:{d=pb()|0;Da=245;break}case 244:{d=pb()|0;DO(aa);Da=245;break}case 263:{d=pb()|0;Da=266;break}case 264:{d=pb()|0;DO(ba);A9(la);break a}case 265:{d=pb()|0;A9(la);if(e)Da=266;else break a;break}case 273:{d=pb()|0;DO(da);break a}case 274:{d=k[wa>>2]|0;Da=275;break c}}switch(Da|0){case 42:{DO(ja);break a}case 60:{A9(sa);Da=61;break}case 76:break;case 83:break;case 98:{A9(sa);Da=99;break}case 123:{DO(ia);break a}case 160:break a;case 165:{cra(g);Da=166;break}case 185:{A9(Ca);Da=186;break}case 205:{A9(Ca);Da=206;break}case 225:{A9(Ca);Da=226;break}case 245:{A9(Ca);Da=246;break}case 266:{cra(m);break a}}if((Da|0)==61){A9(Ca);Da=62}else if((Da|0)==99){A9(Ca);Da=100}else if((Da|0)==166){A9(ua);break a}else if((Da|0)==186)break a;else if((Da|0)==206)break a;else if((Da|0)==226)break a;else if((Da|0)==246)break a;if((Da|0)==62)break a;DO(xa);break a}else Da=275;while(0);do if((Da|0)==275){if((d|0)==(c|0)){k[ra>>2]=pa;r=Aa;return}h=(k[a+4>>2]|0)+60|0;j=k[(k[h>>2]|0)+20>>2]|0;y=0;l=qa(315,80)|0;Da=y;y=0;if(Da&1){d=pb()|0;break}n=za;o=va;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));k[Ba>>2]=0;k[Ba+4>>2]=0;k[Ba+8>>2]=0;g=c-d|0;if(g>>>0>4294967279){y=0;na(438,Ba|0);Da=y;y=0;if(Da&1)Da=291;else Da=281}else if(g>>>0<11){i[Ba+11>>0]=g;f=Ba;Da=283}else Da=281;if((Da|0)==281){e=g+16&-16;y=0;f=qa(315,e|0)|0;Da=y;y=0;if(Da&1)Da=291;else{k[Ba>>2]=f;k[Ba+8>>2]=e|-2147483648;k[Ba+4>>2]=g;Da=283}}do if((Da|0)==283){e=f;while(1){i[e>>0]=i[d>>0]|0;d=d+1|0;if((d|0)==(c|0))break;else e=e+1|0}i[f+g>>0]=0;n=Ca;o=za;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));y=0;na(422,l|0);Da=y;y=0;if(Da&1)e=1;else{n=l+12|0;o=Ca;p=n+40|0;do{k[n>>2]=k[o>>2];n=n+4|0;o=o+4|0}while((n|0)<(p|0));i[l+52>>0]=0;i[l+53>>0]=0;i[l+54>>0]=0;k[l+56>>2]=4;k[l>>2]=11100;i[l+60>>0]=0;i[l+61>>0]=0;y=0;oa(549,l+64|0,Ba|0);Da=y;y=0;if(Da&1){d=pb()|0;A9(Ba);break}k[l+76>>2]=0;y=0;oa(460,ya|0,l|0);Da=y;y=0;if(Da&1)e=0;else{k[ya>>2]=7284;y=0;oa(j|0,h|0,ya|0);Da=y;y=0;if(Da&1){d=pb()|0;DO(ya);A9(Ba);break a}DO(ya);A9(Ba);k[wa>>2]=c;k[ra>>2]=pa;r=Aa;return}}d=pb()|0;A9(Ba);if(!e)break a}else if((Da|0)==291)d=pb()|0;while(0);cra(l);break a}while(0)}while(0);DO(a);a=d;sb(a|0)}while(0);cra(l);a=d;sb(a|0)}function cd(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,pa=0,ra=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0;ia=0;Aa=r;r=r+368|0;ua=Aa+356|0;ra=Aa+344|0;pa=Aa+336|0;va=Aa+328|0;wa=Aa+320|0;xa=Aa+312|0;ya=Aa+296|0;za=Aa+272|0;Ba=Aa;Ga=Aa+188|0;Ia=Aa+176|0;Ea=Aa+140|0;Fa=Aa+128|0;K=Aa+288|0;W=Aa+64|0;V=Aa+56|0;L=Aa+264|0;Q=Aa+256|0;M=Aa+240|0;R=Aa+232|0;U=Aa+48|0;N=Aa+224|0;T=Aa+40|0;S=Aa+216|0;O=Aa+200|0;P=Aa+168|0;ka=Aa+32|0;$=Aa+160|0;ja=Aa+24|0;ea=Aa+16|0;aa=Aa+152|0;da=Aa+120|0;ba=Aa+104|0;ha=Aa+8|0;ca=Aa+96|0;ga=Aa+88|0;fa=Aa+72|0;z=a+76|0;A=a+80|0;g=k[A>>2]|0;h=k[z>>2]|0;m=h;if((g|0)==(h|0))x=0;else{e=k[m+4>>2]|0;if(!e)x=0;else x=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30350?e:0}la=b+4|0;b=k[la>>2]|0;f=k[b+80>>2]|0;j=k[b+76>>2]|0;if((f|0)==(j|0))w=0;else{e=k[j+4>>2]|0;if(!e)w=0;else w=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30350?e:0}k[Ga+4>>2]=0;s=Ga+8|0;k[s>>2]=0;Ca=Ga+4|0;k[Ga>>2]=Ca;k[Ia+4>>2]=0;t=Ia+8|0;k[t>>2]=0;Da=Ia+4|0;k[Ia>>2]=Da;o=g-h>>3;do if(!o)e=j;else{h=a+76|0;j=ya+11|0;n=ya+4|0;e=0;b=m;while(1){b=k[b+(e<<3)+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+152>>2]|0,b|0)|0;ia=y;y=0;if(ia&1){ia=28;break}if(b){ia=k[(k[h>>2]|0)+(e<<3)+4>>2]|0;y=0;oa(k[(k[ia>>2]|0)+32>>2]|0,ya|0,ia|0);ia=y;y=0;if(ia&1){ia=28;break}b=i[j>>0]|0;ia=b<<24>>24<0;g=ia?k[ya>>2]|0:ya;b=ia?k[n>>2]|0:b&255;a:do if(!b)b=-1;else{f=g+b|0;b=g;while(1){if(!(aA(52136,l[b>>0]|0,1)|0))break;b=b+1|0;if((b|0)==(f|0)){b=-1;break a}}b=b-g|0}while(0);y=0;ma(4,ua|0,ya|0,b|0,-1,ya|0);ia=y;y=0;if(ia&1){ia=29;break}if((i[j>>0]|0)<0){i[k[ya>>2]>>0]=0;k[n>>2]=0}else{i[ya>>0]=0;i[j>>0]=0}y=0;oa(500,ya|0,0);ia=y;y=0;if(ia&1){ia=25;break}k[ya>>2]=k[ua>>2];k[ya+4>>2]=k[ua+4>>2];k[ya+8>>2]=k[ua+8>>2];k[ua>>2]=0;k[ua+4>>2]=0;k[ua+8>>2]=0;A9(ua);y=0;Ra(11,wa|0,Ga|0,ya|0,ya|0);ia=y;y=0;if(ia&1){ia=30;break}A9(ya)}e=e+1|0;if(e>>>0>=o>>>0){ia=9;break}b=k[h>>2]|0}if((ia|0)==9){b=k[la>>2]|0;f=k[b+80>>2]|0;e=k[b+76>>2]|0;break}else if((ia|0)==25){Fa=tb(0)|0;Sla(Fa)}else if((ia|0)==28){Fa=pb()|0;Ea=k[Da>>2]|0;YG(Ia,Ea);Ia=k[Ca>>2]|0;YG(Ga,Ia);sb(Fa|0)}else if((ia|0)==29)p=pb()|0;else if((ia|0)==30)p=pb()|0;A9(ya);Fa=p;Ea=k[Da>>2]|0;YG(Ia,Ea);Ia=k[Ca>>2]|0;YG(Ga,Ia);sb(Fa|0)}while(0);h=f-e>>3;b:do if(h|0){j=za+11|0;m=za+4|0;e=0;while(1){b=k[(k[b+76>>2]|0)+(e<<3)+4>>2]|0;y=0;b=qa(k[(k[b>>2]|0)+152>>2]|0,b|0)|0;Y=y;y=0;if(Y&1){ia=68;break}if(b){Y=k[(k[(k[la>>2]|0)+76>>2]|0)+(e<<3)+4>>2]|0;y=0;oa(k[(k[Y>>2]|0)+32>>2]|0,za|0,Y|0);Y=y;y=0;if(Y&1){ia=68;break}b=i[j>>0]|0;Y=b<<24>>24<0;g=Y?k[za>>2]|0:za;b=Y?k[m>>2]|0:b&255;c:do if(!b)b=-1;else{f=g+b|0;b=g;while(1){if(!(aA(52136,l[b>>0]|0,1)|0))break;b=b+1|0;if((b|0)==(f|0)){b=-1;break c}}b=b-g|0}while(0);y=0;ma(4,ua|0,za|0,b|0,-1,za|0);Y=y;y=0;if(Y&1){ia=69;break}if((i[j>>0]|0)<0){i[k[za>>2]>>0]=0;k[m>>2]=0}else{i[za>>0]=0;i[j>>0]=0}y=0;oa(500,za|0,0);Y=y;y=0;if(Y&1){ia=65;break}k[za>>2]=k[ua>>2];k[za+4>>2]=k[ua+4>>2];k[za+8>>2]=k[ua+8>>2];k[ua>>2]=0;k[ua+4>>2]=0;k[ua+8>>2]=0;A9(ua);y=0;Ra(11,va|0,Ia|0,za|0,za|0);Y=y;y=0;if(Y&1){ia=70;break}A9(za)}e=e+1|0;if(e>>>0>=h>>>0)break b;b=k[la>>2]|0}if((ia|0)==65){Fa=tb(0)|0;Sla(Fa)}else if((ia|0)==68){Fa=pb()|0;Ea=k[Da>>2]|0;YG(Ia,Ea);Ia=k[Ca>>2]|0;YG(Ga,Ia);sb(Fa|0)}else if((ia|0)==69)u=pb()|0;else if((ia|0)==70)u=pb()|0;A9(za);Fa=u;Ea=k[Da>>2]|0;YG(Ia,Ea);Ia=k[Ca>>2]|0;YG(Ga,Ia);sb(Fa|0)}while(0);if((k[s>>2]|0)!=(k[t>>2]|0)){Fa=0;Ea=k[Da>>2]|0;YG(Ia,Ea);Ia=k[Ca>>2]|0;YG(Ga,Ia);r=Aa;return Fa|0}e=k[Ga>>2]|0;b=k[Ia>>2]|0;d:do if((e|0)!=(Ca|0)){g=e;m=b;f=e;e=b;e:while(1){b=g+16|0;j=m+16|0;h=i[b+11>>0]|0;p=h<<24>>24<0;h=h&255;o=p?k[g+20>>2]|0:h;Y=i[j+11>>0]|0;g=Y<<24>>24<0;if((o|0)!=((g?k[m+20>>2]|0:Y&255)|0)){d=0;ia=329;break}m=k[b>>2]|0;n=p?m:b;g=g?k[j>>2]|0:j;j=(o|0)==0;f:do if(p){if(!j)if(bN(n,g,o)|0){d=0;ia=329;break e}}else if(!j){if((m&255)<<24>>24!=(i[g>>0]|0)){d=0;ia=329;break e}while(1){h=h+-1|0;b=b+1|0;if(!h)break f;g=g+1|0;if((i[b>>0]|0)!=(i[g>>0]|0)){d=0;ia=329;break e}}}while(0);b=k[f+4>>2]|0;if(!b)while(1){b=k[f+8>>2]|0;if((k[b>>2]|0)==(f|0))break;else f=b}else while(1){f=k[b>>2]|0;if(!f)break;else b=f}f=k[e+4>>2]|0;if(!f)while(1){f=k[e+8>>2]|0;if((k[f>>2]|0)==(e|0)){e=f;break}else e=f}else{e=f;while(1){f=k[e>>2]|0;if(!f)break;else e=f}}if((b|0)==(Ca|0))break d;else{g=b;m=e;f=b}}if((ia|0)==329){Fa=k[Da>>2]|0;YG(Ia,Fa);Ia=k[Ca>>2]|0;YG(Ga,Ia);r=Aa;return d|0}}while(0);k[Ea+4>>2]=0;I=Ea+8|0;k[I>>2]=0;X=Ea+4|0;k[Ea>>2]=X;k[Fa+4>>2]=0;k[Fa+8>>2]=0;Y=Fa+4|0;k[Fa>>2]=Y;g:do if((x|0)!=0&(w|0)!=0){y=0;oa(k[(k[x>>2]|0)+32>>2]|0,ua|0,x|0);ka=y;y=0;do if(ka&1)d=pb()|0;else{y=0;oa(k[(k[w>>2]|0)+32>>2]|0,ra|0,w|0);ka=y;y=0;if(ka&1){d=pb()|0;A9(ua);break}b=i[ua+11>>0]|0;f=b<<24>>24<0;b=b&255;g=f?k[ua+4>>2]|0:b;ka=i[ra+11>>0]|0;d=ka<<24>>24<0;if((g|0)!=((d?k[ra+4>>2]|0:ka&255)|0)){A9(ra);A9(ua);d=0;ia=327;break g}h=k[ua>>2]|0;j=f?h:ua;d=d?k[ra>>2]|0:ra;e=(g|0)==0;h:do if(f)if(e){A9(ra);A9(ua);break}else{ka=(bN(j,d,g)|0)==0;A9(ra);A9(ua);if(ka)break;else{d=0;ia=327;break g}}else{if(e){A9(ra);A9(ua);break}i:do if((h&255)<<24>>24==(i[d>>0]|0)){e=ua;while(1){b=b+-1|0;e=e+1|0;if(!b)break;d=d+1|0;if((i[e>>0]|0)!=(i[d>>0]|0))break i}A9(ra);A9(ua);break h}while(0);A9(ra);A9(ua);d=0;ia=327;break g}while(0);e=k[z>>2]|0;f=(k[A>>2]|0)-e>>3;j:do if(f>>>0>1){b=a+76|0;d=1;while(1){a=k[e+(d<<3)+4>>2]|0;y=0;oa(k[(k[a>>2]|0)+32>>2]|0,ua|0,a|0);a=y;y=0;if(a&1){ia=99;break}y=0;Ra(11,pa|0,Ea|0,ua|0,ua|0);a=y;y=0;if(a&1){ia=100;break}A9(ua);d=d+1|0;if(d>>>0>=f>>>0)break j;e=k[b>>2]|0}if((ia|0)==99)d=pb()|0;else if((ia|0)==100){d=pb()|0;A9(ua)}ia=328;break g}while(0);e=k[la>>2]|0;b=(k[e+80>>2]|0)-(k[e+76>>2]|0)>>3;k:do if(b>>>0>1){d=1;while(1){a=k[(k[e+76>>2]|0)+(d<<3)+4>>2]|0;y=0;oa(k[(k[a>>2]|0)+32>>2]|0,ua|0,a|0);a=y;y=0;if(a&1){ia=107;break}y=0;Ra(11,ra|0,Fa|0,ua|0,ua|0);a=y;y=0;if(a&1){ia=108;break}A9(ua);d=d+1|0;if(d>>>0>=b>>>0)break k;e=k[la>>2]|0}if((ia|0)==107)d=pb()|0;else if((ia|0)==108){d=pb()|0;A9(ua)}ia=328;break g}while(0);d=k[Ea>>2]|0;k[wa>>2]=k[Fa>>2];k[xa>>2]=Y;k[ya>>2]=d;k[za>>2]=X;k[va>>2]=k[wa>>2];k[pa>>2]=k[xa>>2];k[ra>>2]=k[ya>>2];k[ua>>2]=k[za>>2];d=np(va,pa,ra,ua,Ba)|0;ia=327;break g}while(0);ia=328}else{e=k[z>>2]|0;t=(k[A>>2]|0)-e>>3;l:do if(t|0){u=a+76|0;v=K+4|0;w=Ba+4|0;x=W+4|0;z=L+4|0;A=V+4|0;B=R+4|0;C=ua+4|0;D=N+4|0;E=U+4|0;F=T+4|0;G=c+11|0;H=c+4|0;s=0;b=0;m:while(1){y=0;oa(460,K|0,k[e+(s<<3)+4>>2]|0);q=y;y=0;if(q&1){ia=131;break}k[K>>2]=13284;y=0;oa(460,Ba|0,k[v>>2]|0);q=y;y=0;if(q&1){ia=132;break}k[Ba>>2]=15168;DO(K);e=k[w>>2]|0;if(!e)e=0;else e=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30296?e:0;y=0;oa(460,W|0,e|0);q=y;y=0;if(q&1){ia=133;break}k[W>>2]=15184;e=k[x>>2]|0;n:do if(!e)f=0;else{q=i[e+95>>0]|0;do if(((q<<24>>24<0?k[e+88>>2]|0:q&255)|0)==4){y=0;e=sa(21,e+84|0,0,-1,50576,4)|0;q=y;y=0;if(q&1){ia=120;break m}if(e|0)break;y=0;oa(460,L|0,k[(k[x>>2]|0)+108>>2]|0);q=y;y=0;if(q&1){ia=134;break m}k[L>>2]=6756;e=k[z>>2]|0;if(!e)e=0;else e=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30714?e:0;y=0;oa(460,V|0,e|0);q=y;y=0;if(q&1){ia=135;break m}k[V>>2]=6756;DO(L);e=k[A>>2]|0;if(!e){ia=141;break m}f=k[(k[e>>2]|0)+144>>2]|0;y=0;oa(460,Q|0,k[la>>2]|0);q=y;y=0;if(q&1){ia=136;break m}k[Q>>2]=15152;y=0;oa(456,M|0,(k[x>>2]|0)+84|0);q=y;y=0;if(q&1){ia=138;break m}y=0;f=ta(f|0,e|0,Q|0,M|0)|0;q=y;y=0;if(q&1){ia=139;break m}A9(M);DO(Q);e=b&(f^1);DO(V);if(f){f=1;b=e;break n}else b=e}while(0);h=k[x>>2]|0;e=h+84|0;f=i[e+11>>0]|0;g=k[h+88>>2]|0;do if(((f<<24>>24<0?g:f&255)|0)==8){y=0;e=sa(21,e|0,0,-1,50943,8)|0;ia=y;y=0;if(ia&1){ia=147;break m}if(!e){ia=154;break}e=k[x>>2]|0;f=i[e+84+11>>0]|0;g=k[e+88>>2]|0;ia=150}else{e=h;ia=150}while(0);do if((ia|0)==150){ia=0;if(((f<<24>>24<0?g:f&255)|0)!=9)break;y=0;e=sa(21,e+84|0,0,-1,33844,9)|0;q=y;y=0;if(q&1){ia=152;break m}if(!e)ia=154}while(0);if((ia|0)==154){ia=0;y=0;oa(460,R|0,k[(k[x>>2]|0)+108>>2]|0);q=y;y=0;if(q&1){ia=179;break m}k[R>>2]=6756;y=0;oa(460,ua|0,k[B>>2]|0);q=y;y=0;if(q&1){ia=180;break m}k[ua>>2]=15168;if(k[w>>2]|0){y=0;na(423,Ba|0);q=y;y=0;if(q&1){ia=181;break m}}k[w>>2]=k[C>>2];k[C>>2]=0;DO(ua);DO(R);y=0;oa(460,N|0,k[(k[x>>2]|0)+108>>2]|0);q=y;y=0;if(q&1){ia=134;break m}k[N>>2]=6756;e=k[D>>2]|0;if(!e)e=0;else e=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30714?e:0;y=0;oa(460,U|0,e|0);q=y;y=0;if(q&1){ia=184;break m}k[U>>2]=6756;DO(N);if(k[E>>2]|0){e=k[la>>2]|0;if(!e)e=0;else e=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==33245?e:0;y=0;oa(460,T|0,e|0);q=y;y=0;if(q&1){ia=185;break m}k[T>>2]=15152;p=k[F>>2]|0;o:do if(p|0){n=i[G>>0]|0;o=n<<24>>24<0;if(o)e=k[H>>2]|0;else e=n&255;p:do if(!e)ia=187;else{m=k[x>>2]|0;e=m+84|0;g=n&255;h=o?k[H>>2]|0:g;q=i[e+11>>0]|0;f=q<<24>>24<0;if((h|0)!=((f?k[m+88>>2]|0:q&255)|0)){e=0;break}j=k[c>>2]|0;m=o?j:c;e=f?k[e>>2]|0:e;f=(h|0)==0;if(o){if(f){ia=188;break}if(!(bN(m,e,h)|0)){ia=188;break}else{e=0;break}}if(f){ia=189;break}if((j&255)<<24>>24==(i[e>>0]|0))f=c;else{e=0;break}while(1){g=g+-1|0;f=f+1|0;if(!g){ia=187;break p}e=e+1|0;if((i[f>>0]|0)!=(i[e>>0]|0)){e=0;break}}}while(0);if((ia|0)==187)if(o)ia=188;else ia=189;if((ia|0)==188){e=k[H>>2]|0;ia=190}else if((ia|0)==189){e=n&255;ia=190}if((ia|0)==190){ia=0;do if(e|0){m=k[x>>2]|0;f=m+84|0;g=n&255;h=o?k[H>>2]|0:g;q=i[f+11>>0]|0;e=q<<24>>24<0;if((h|0)!=((e?k[m+88>>2]|0:q&255)|0))break;j=k[c>>2]|0;m=o?j:c;e=e?k[f>>2]|0:f;f=(h|0)==0;if(o){if(f)break o;if(!(bN(m,e,h)|0))break o;else break}if(f)break o;if((j&255)<<24>>24==(i[e>>0]|0))f=c;else break;do{g=g+-1|0;f=f+1|0;if(!g)break o;e=e+1|0}while((i[f>>0]|0)==(i[e>>0]|0))}while(0);e=k[E>>2]|0;f=k[(k[e>>2]|0)+144>>2]|0;y=0;oa(460,S|0,p|0);q=y;y=0;if(q&1){ia=186;break m}k[S>>2]=15152;y=0;oa(456,O|0,(k[x>>2]|0)+84|0);q=y;y=0;if(q&1){ia=203;break m}y=0;e=ta(f|0,e|0,S|0,O|0)|0;q=y;y=0;if(q&1){ia=204;break m}A9(O);DO(S);if(e)e=1;else break}DO(T);DO(U);f=1;b=e;break n}while(0);DO(T)}DO(U)}q=k[la>>2]|0;e=k[q+76>>2]|0;q:do if((k[q+80>>2]|0)-e>>3>>>0>s>>>0){p=k[e+(s<<3)+4>>2]|0;if(!p)break;if((k[(k[(k[p>>2]|0)+-4>>2]|0)+4>>2]|0)!=30296)break;q=k[x>>2]|0;e=q+84|0;f=p+84|0;g=i[e+11>>0]|0;j=g<<24>>24<0;g=g&255;m=j?k[q+88>>2]|0:g;o=i[f+11>>0]|0;h=o<<24>>24<0;if((m|0)!=((h?k[p+88>>2]|0:o&255)|0))break;n=k[e>>2]|0;o=j?n:e;f=h?k[f>>2]|0:f;h=(m|0)==0;r:do if(j){if(h)break;if(bN(o,f,m)|0)break q}else{if(h)break;if((n&255)<<24>>24!=(i[f>>0]|0))break q;while(1){g=g+-1|0;e=e+1|0;if(!g)break r;f=f+1|0;if((i[e>>0]|0)!=(i[f>>0]|0))break q}}while(0);e=k[(k[q>>2]|0)+164>>2]|0;y=0;oa(460,P|0,p|0);p=y;y=0;if(p&1){ia=225;break m}k[P>>2]=15184;y=0;e=Ha(e|0,q|0,P|0)|0;q=y;y=0;if(q&1){ia=226;break m}DO(P);if(e){f=16;break n}}while(0);f=0}while(0);DO(W);if(!f){q=k[w>>2]|0;y=0;oa(k[(k[q>>2]|0)+32>>2]|0,ra|0,q|0);q=y;y=0;if(q&1){ia=236;break}y=0;Ra(11,ua|0,Ea|0,ra|0,ra|0);q=y;y=0;if(q&1){ia=237;break}A9(ra);DO(Ba)}else{DO(Ba);if((f|0)!=16){d=b;ia=327;break g}}e=s+1|0;if(e>>>0>=t>>>0)break l;s=e;e=k[u>>2]|0}switch(ia|0){case 120:{Sla(tb(0)|0);break}case 131:{d=pb()|0;ia=328;break g}case 132:{d=pb()|0;DO(K);ia=328;break g}case 133:{d=pb()|0;break}case 134:{d=pb()|0;ia=235;break}case 135:{d=pb()|0;DO(L);ia=235;break}case 136:{d=pb()|0;ia=137;break}case 138:{d=pb()|0;ia=140;break}case 139:{d=pb()|0;A9(M);ia=140;break}case 141:{d=gb(8)|0;y=0;oa(495,d|0,33809);Aa=y;y=0;if(Aa&1){ia=pb()|0;fb(d|0);d=ia;ia=144;break}else{y=0;Na(75,d|0,5792,409);y=0;d=pb()|0;ia=137;break}}case 147:{Sla(tb(0)|0);break}case 152:{Sla(tb(0)|0);break}case 179:{d=pb()|0;ia=183;break}case 180:{d=pb()|0;ia=182;break}case 181:{d=pb()|0;DO(ua);ia=182;break}case 184:{d=pb()|0;DO(N);ia=235;break}case 185:{d=pb()|0;ia=210;break}case 186:{d=pb()|0;ia=207;break}case 203:{d=pb()|0;ia=205;break}case 204:{d=pb()|0;A9(O);ia=205;break}case 225:{d=pb()|0;ia=235;break}case 226:{d=pb()|0;DO(P);ia=235;break}case 236:{d=pb()|0;ia=238;break}case 237:{d=pb()|0;A9(ra);ia=238;break}}if((ia|0)==137)ia=144;else if((ia|0)==140){DO(Q);ia=144}else if((ia|0)==182){DO(R);ia=183}else if((ia|0)==205){DO(S);ia=207}if((ia|0)==144){DO(V);ia=235}else if((ia|0)==183)ia=235;else if((ia|0)==207){DO(T);ia=210}if((ia|0)==210){DO(U);ia=235}if((ia|0)==235)DO(W);DO(Ba);ia=328;break g}while(0);e=k[la>>2]|0;o=(k[e+80>>2]|0)-(k[e+76>>2]|0)>>3;s:do if(o|0){p=$+4|0;q=ka+4|0;x=ja+4|0;s=aa+4|0;t=ea+4|0;u=c+11|0;v=c+4|0;w=ca+4|0;z=ha+4|0;d=0;t:while(1){y=0;oa(460,$|0,k[(k[e+76>>2]|0)+(d<<3)+4>>2]|0);W=y;y=0;if(W&1){ia=262;break}k[$>>2]=13284;y=0;oa(460,ka|0,k[p>>2]|0);W=y;y=0;if(W&1){ia=263;break}k[ka>>2]=15168;DO($);e=k[q>>2]|0;if(!e)e=0;else e=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30296?e:0;y=0;oa(460,ja|0,e|0);W=y;y=0;if(W&1){ia=264;break}k[ja>>2]=15184;e=k[x>>2]|0;do if(e|0){W=i[e+95>>0]|0;do if(((W<<24>>24<0?k[e+88>>2]|0:W&255)|0)==4){y=0;e=sa(21,e+84|0,0,-1,50576,4)|0;W=y;y=0;if(W&1){ia=250;break t}if(e|0)break;y=0;oa(460,aa|0,k[(k[x>>2]|0)+108>>2]|0);W=y;y=0;if(W&1){ia=265;break t}k[aa>>2]=6756;e=k[s>>2]|0;if(!e)e=0;else e=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30714?e:0;y=0;oa(460,ea|0,e|0);W=y;y=0;if(W&1){ia=266;break t}k[ea>>2]=6756;DO(aa);e=k[t>>2]|0;if(e|0){y=0;na(425,e|0);W=y;y=0;if(W&1){ia=267;break t}e=k[(k[a>>2]|0)+152>>2]|0;y=0;oa(460,da|0,k[t>>2]|0);W=y;y=0;if(W&1){ia=267;break t}k[da>>2]=6756;y=0;oa(456,ba|0,(k[x>>2]|0)+84|0);W=y;y=0;if(W&1){ia=268;break t}y=0;e=ta(e|0,a|0,da|0,ba|0)|0;W=y;y=0;if(W&1){ia=269;break t}A9(ba);DO(da);if(e){ia=272;break t}}DO(ea)}while(0);e=k[x>>2]|0;b=e+84|0;f=i[b+11>>0]|0;g=k[e+88>>2]|0;do if(((f<<24>>24<0?g:f&255)|0)==8){y=0;e=sa(21,b|0,0,-1,50943,8)|0;W=y;y=0;if(W&1){ia=276;break t}if(!e)break;e=k[x>>2]|0;f=i[e+84+11>>0]|0;b=k[e+88>>2]|0;ia=279}else{b=g;ia=279}while(0);if((ia|0)==279){ia=0;if(((f<<24>>24<0?b:f&255)|0)!=9)break;y=0;e=sa(21,e+84|0,0,-1,33844,9)|0;W=y;y=0;if(W&1){ia=281;break t}if(e|0)break}b=i[u>>0]|0;n=b<<24>>24<0;if(n)e=k[v>>2]|0;else e=b&255;u:do if(!e)e=k[x>>2]|0;else{e=k[x>>2]|0;f=e+84|0;g=b&255;h=n?k[v>>2]|0:g;W=i[f+11>>0]|0;b=W<<24>>24<0;if((h|0)!=((b?k[e+88>>2]|0:W&255)|0)){d=0;ia=317;break t}j=k[c>>2]|0;m=n?j:c;b=b?k[f>>2]|0:f;f=(h|0)==0;if(n){if(f)break;if(!(bN(m,b,h)|0))break;else{d=0;ia=317;break t}}if(f)break;if((j&255)<<24>>24==(i[b>>0]|0))f=c;else{d=0;ia=317;break t}while(1){g=g+-1|0;f=f+1|0;if(!g)break u;b=b+1|0;if((i[f>>0]|0)!=(i[b>>0]|0)){d=0;ia=317;break t}}}while(0);y=0;oa(460,ca|0,k[e+108>>2]|0);W=y;y=0;if(W&1){ia=265;break t}k[ca>>2]=6756;e=k[w>>2]|0;if(!e)e=0;else e=(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)==30714?e:0;y=0;oa(460,ha|0,e|0);W=y;y=0;if(W&1){ia=306;break t}k[ha>>2]=6756;DO(ca);e=k[z>>2]|0;if(e|0){ia=302;break t}DO(ha)}while(0);DO(ja);W=k[q>>2]|0;y=0;oa(k[(k[W>>2]|0)+32>>2]|0,ua|0,W|0);W=y;y=0;if(W&1){ia=319;break}y=0;Ra(11,xa|0,Fa|0,ua|0,ua|0);W=y;y=0;if(W&1){ia=320;break}A9(ua);DO(ka);d=d+1|0;if(d>>>0>=o>>>0)break s;e=k[la>>2]|0}v:switch(ia|0){case 250:{Sla(tb(0)|0);break}case 262:{d=pb()|0;ia=328;break g}case 263:{d=pb()|0;DO($);ia=328;break g}case 264:{Z=pb()|0;break}case 265:{d=pb()|0;ia=318;break}case 266:{d=pb()|0;DO(aa);ia=318;break}case 267:{d=pb()|0;ia=273;break}case 268:{d=pb()|0;ia=270;break}case 269:{d=pb()|0;A9(ba);ia=270;break}case 272:{DO(ea);d=0;ia=317;break}case 276:{Sla(tb(0)|0);break}case 281:{Sla(tb(0)|0);break}case 302:{y=0;na(425,e|0);Ba=y;y=0;if(Ba&1)ia=307;else{d=k[(k[a>>2]|0)+152>>2]|0;y=0;oa(460,ga|0,k[z>>2]|0);Ba=y;y=0;if(Ba&1)ia=307;else{k[ga>>2]=6756;y=0;oa(456,fa|0,(k[x>>2]|0)+84|0);Ba=y;y=0;do if(Ba&1)d=pb()|0;else{y=0;d=ta(d|0,a|0,ga|0,fa|0)|0;Ba=y;y=0;if(Ba&1){d=pb()|0;A9(fa);break}else{A9(fa);DO(ga);DO(ha);ia=317;break v}}while(0);DO(ga)}}if((ia|0)==307)d=pb()|0;DO(ha);ia=318;break}case 306:{d=pb()|0;DO(ca);ia=318;break}case 319:{d=pb()|0;ia=321;break}case 320:{d=pb()|0;A9(ua);ia=321;break}}if((ia|0)==270){DO(da);ia=273}else if((ia|0)==317){DO(ja);DO(ka);ia=327;break g}else if((ia|0)==321)Z=d;if((ia|0)==273){DO(ea);ia=318}if((ia|0)==318){DO(ja);Z=d}DO(ka);d=Z;ia=328;break g}while(0);if(!(k[I>>2]|0)){d=1;ia=327}else{d=k[Ea>>2]|0;k[wa>>2]=k[Fa>>2];k[xa>>2]=Y;k[ya>>2]=d;k[za>>2]=X;k[va>>2]=k[wa>>2];k[pa>>2]=k[xa>>2];k[ra>>2]=k[ya>>2];k[ua>>2]=k[za>>2];d=np(va,pa,ra,ua,Ba)|0;ia=327}}while(0);if((ia|0)==327){YG(Fa,k[Y>>2]|0);YG(Ea,k[X>>2]|0);Fa=d;Ea=k[Da>>2]|0;YG(Ia,Ea);Ia=k[Ca>>2]|0;YG(Ga,Ia);r=Aa;return Fa|0}else if((ia|0)==328){YG(Fa,k[Y>>2]|0);YG(Ea,k[X>>2]|0);Fa=d;Ea=k[Da>>2]|0;YG(Ia,Ea);Ia=k[Ca>>2]|0;YG(Ga,Ia);sb(Fa|0)}return 0}
function Uc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,ma=0,ra=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,qb=0,rb=0,ub=0,wb=0,xb=0,yb=0;rb=0;hb=r;r=r+1504|0;ib=hb+1464|0;ab=hb+408|0;_a=hb+368|0;La=hb+1416|0;G=hb+328|0;B=hb+288|0;aa=hb+248|0;xa=hb+208|0;za=hb+168|0;Ka=hb+128|0;ea=hb+88|0;fa=hb+48|0;Ca=hb+8|0;xb=hb+1296|0;yb=hb+1280|0;wb=hb+1232|0;l=hb+1456|0;m=hb+1448|0;n=hb+1440|0;p=hb+1432|0;q=hb+1424|0;s=hb+1408|0;o=hb+1396|0;t=hb+1384|0;u=hb+1372|0;w=hb+1360|0;ub=hb+1136|0;z=hb+1352|0;Y=hb+1120|0;F=hb+1312|0;O=hb+1304|0;P=hb+1288|0;K=hb+1272|0;L=hb+1264|0;V=hb+1256|0;W=hb+1248|0;A=hb+1240|0;Z=hb+1112|0;I=hb+1192|0;S=hb+1184|0;T=hb+1176|0;Q=hb+1168|0;R=hb+1160|0;U=hb+1152|0;X=hb+1144|0;qb=hb+1080|0;C=hb+1128|0;nb=hb+1064|0;D=hb+1104|0;mb=hb+1056|0;E=hb+1096|0;lb=hb+1040|0;H=hb+1088|0;kb=hb+1032|0;J=hb+1072|0;jb=hb+1024|0;M=hb+1048|0;_=hb+1008|0;$=hb+956|0;Ia=hb+888|0;Da=hb+872|0;ka=hb+808|0;ba=hb+968|0;ca=hb+944|0;da=hb+936|0;ua=hb+896|0;Ea=hb+880|0;va=hb+864|0;wa=hb+824|0;Fa=hb+800|0;ya=hb+792|0;Ja=hb+752|0;Va=hb+744|0;Ta=hb+728|0;Ra=hb+712|0;e=hb+704|0;f=hb+696|0;ga=hb+656|0;Aa=hb+648|0;ma=hb+632|0;ha=hb+608|0;ia=hb+568|0;Ba=hb+560|0;ra=hb+552|0;ja=hb+536|0;Ga=hb+496|0;Ua=hb+488|0;Sa=hb+480|0;Qa=hb+464|0;Oa=hb+456|0;Ma=hb+448|0;cb=hb+736|0;Za=hb+640|0;Ya=hb+624|0;Pa=hb;LT(xb,k[b+72>>2]|0);k[xb>>2]=7284;y=0;oa(460,yb|0,k[b+80>>2]|0);$a=y;y=0;if($a&1){yb=pb()|0;DO(xb);sb(yb|0)}k[yb>>2]=7284;$a=k[b+60>>2]|0;a:do switch($a|0){case 0:{d=xb+4|0;c=k[d>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;wb=y;y=0;do if(wb&1)rb=14;else{y=0;oa(460,ib|0,c|0);wb=y;y=0;if(wb&1)rb=14;else{k[ib>>2]=7284;if(k[d>>2]|0){y=0;na(423,xb|0);wb=y;y=0;if(wb&1){c=pb()|0;DO(ib);break}}c=ib+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(ib);c=k[d>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+76>>2]|0,c|0)|0;wb=y;y=0;if(wb&1){rb=17;break a}if(c){c=k[yb+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;wb=y;y=0;if(wb&1){rb=17;break a}DO(yb);DO(xb);r=hb;return c|0}c=k[d>>2]|0;if(!c){wb=0;DO(yb);DO(xb);r=hb;return wb|0}i[c+8>>0]=1;wb=c;DO(yb);DO(xb);r=hb;return wb|0}}while(0);if((rb|0)==14)c=pb()|0;break}case 1:{d=xb+4|0;c=k[d>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;wb=y;y=0;do if(wb&1)rb=27;else{y=0;oa(460,ib|0,c|0);wb=y;y=0;if(wb&1)rb=27;else{k[ib>>2]=7284;if(k[d>>2]|0){y=0;na(423,xb|0);wb=y;y=0;if(wb&1){c=pb()|0;DO(ib);break}}c=ib+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(ib);c=k[d>>2]|0;y=0;c=qa(k[(k[c>>2]|0)+76>>2]|0,c|0)|0;wb=y;y=0;if(wb&1){rb=17;break a}if(!c){c=k[yb+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;wb=y;y=0;if(wb&1){rb=17;break a}DO(yb);DO(xb);r=hb;return c|0}c=k[d>>2]|0;if(!c){wb=0;DO(yb);DO(xb);r=hb;return wb|0}i[c+8>>0]=1;wb=c;DO(yb);DO(xb);r=hb;return wb|0}}while(0);if((rb|0)==27)c=pb()|0;break}default:{Wa=xb+4|0;d=k[Wa>>2]|0;b:do if(d|0){g=k[279]|0;h=ib+4|0;while(1){if((d|0)==0?1:(g|0)!=(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0))break b;y=0;d=Ha(k[(k[a>>2]|0)+148>>2]|0,a|0,d|0)|0;rb=y;y=0;if(rb&1){rb=39;break}y=0;oa(460,ib|0,d|0);rb=y;y=0;if(rb&1){rb=39;break}k[ib>>2]=7284;if(k[Wa>>2]|0){y=0;na(423,xb|0);rb=y;y=0;if(rb&1){rb=40;break}}k[Wa>>2]=k[h>>2];k[h>>2]=0;DO(ib);d=k[Wa>>2]|0;if(!d)break b}if((rb|0)==39)c=pb()|0;else if((rb|0)==40){c=pb()|0;DO(ib)}break a}while(0);Xa=yb+4|0;d=k[Xa>>2]|0;c:do if(d|0){g=k[279]|0;h=ib+4|0;while(1){if((d|0)==0?1:(g|0)!=(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0))break c;y=0;d=Ha(k[(k[a>>2]|0)+148>>2]|0,a|0,d|0)|0;rb=y;y=0;if(rb&1){rb=48;break}y=0;oa(460,ib|0,d|0);rb=y;y=0;if(rb&1){rb=48;break}k[ib>>2]=7284;if(k[Xa>>2]|0){y=0;na(423,yb|0);rb=y;y=0;if(rb&1){rb=49;break}}k[Xa>>2]=k[h>>2];k[h>>2]=0;DO(ib);d=k[Xa>>2]|0;if(!d)break c}if((rb|0)==48)c=pb()|0;else if((rb|0)==49){c=pb()|0;DO(ib)}break a}while(0);y=0;oa(460,wb|0,b|0);rb=y;y=0;if(rb&1)rb=17;else{k[wb>>2]=17724;d=k[Wa>>2]|0;d:do if(!d)rb=58;else{g=k[239]|0;h=a+12|0;j=ib+4|0;while(1){if((d|0)==0?1:(g|0)!=(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)){rb=58;break d}if(!(i[h>>0]|0))if(i[d+52>>0]|0){rb=58;break d}y=0;d=Ha(k[(k[a>>2]|0)+124>>2]|0,a|0,d|0)|0;rb=y;y=0;if(rb&1){rb=66;break}y=0;oa(460,ib|0,d|0);rb=y;y=0;if(rb&1){rb=66;break}k[ib>>2]=7284;if(k[Wa>>2]|0){y=0;na(423,xb|0);rb=y;y=0;if(rb&1){rb=67;break}}k[Wa>>2]=k[j>>2];k[j>>2]=0;DO(ib);d=k[Wa>>2]|0;if(!d){rb=58;break d}}if((rb|0)==66)c=pb()|0;else if((rb|0)==67){c=pb()|0;DO(ib)}}while(0);e:do if((rb|0)==58){d=k[Xa>>2]|0;f:do if(!d){h=a+12|0;v=0}else{g=k[239]|0;h=a+12|0;j=ib+4|0;while(1){if((d|0)==0?1:(g|0)!=(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)){v=d;break f}if(!(i[h>>0]|0))if(i[d+52>>0]|0){v=d;break f}y=0;d=Ha(k[(k[a>>2]|0)+124>>2]|0,a|0,d|0)|0;x=y;y=0;if(x&1){rb=77;break}y=0;oa(460,ib|0,d|0);x=y;y=0;if(x&1){rb=77;break}k[ib>>2]=7284;if(k[Xa>>2]|0){y=0;na(423,yb|0);x=y;y=0;if(x&1){rb=78;break}}k[Xa>>2]=k[j>>2];k[j>>2]=0;DO(ib);d=k[Xa>>2]|0;if(!d){v=0;break f}}if((rb|0)==77)c=pb()|0;else if((rb|0)==78){c=pb()|0;DO(ib)}break e}while(0);x=($a|0)==11;g:do if(x&(i[h>>0]|0)==0){j=wb+4|0;g=k[j>>2]|0;if(!(i[g+52>>0]|0))rb=105;else{d=g+80|0;y=0;oa(460,n|0,k[d>>2]|0);ub=y;y=0;if(ub&1)rb=55;else{k[n>>2]=7284;c=k[n+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;ub=y;y=0;if(ub&1)rb=99;else{y=0;oa(460,m|0,c|0);ub=y;y=0;if(ub&1)rb=99;else{k[m>>2]=7284;k[g+84>>2]=0;c=g+76|0;if(!(k[d>>2]|0))rb=87;else{y=0;na(423,c|0);ub=y;y=0;if(!(ub&1))rb=87}if((rb|0)==87){k[d>>2]=k[m+4>>2];y=0;na(424,c|0);ub=y;y=0;if(!(ub&1)){y=0;oa(460,l|0,k[d>>2]|0);ub=y;y=0;if(!(ub&1)){k[l>>2]=7284;DO(l);DO(m);DO(n);d=k[j>>2]|0;e=d+72|0;y=0;oa(460,s|0,k[e>>2]|0);ub=y;y=0;if(ub&1){rb=55;break}k[s>>2]=7284;c=k[s+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;ub=y;y=0;do if(ub&1)rb=102;else{y=0;oa(460,q|0,c|0);ub=y;y=0;if(ub&1){rb=102;break}k[q>>2]=7284;k[d+84>>2]=0;c=d+68|0;if(!(k[e>>2]|0))rb=94;else{y=0;na(423,c|0);ub=y;y=0;if(!(ub&1))rb=94}do if((rb|0)==94){k[e>>2]=k[q+4>>2];y=0;na(424,c|0);ub=y;y=0;if(ub&1)break;y=0;oa(460,p|0,k[e>>2]|0);ub=y;y=0;if(ub&1)break;k[p>>2]=7284;DO(p);DO(q);DO(s);c=k[j>>2]|0;if(!c)c=0;else i[c+8>>0]=1;break g}while(0);c=pb()|0;DO(q)}while(0);if((rb|0)==102)c=pb()|0;DO(s);break e}}}c=pb()|0;DO(m)}}if((rb|0)==99)c=pb()|0;DO(n);break e}}}else rb=105;while(0);h:do if((rb|0)==105){l=k[Wa>>2]|0;i:do if(l|0){j=k[l>>2]|0;d=k[35]|0;if((d|0)==(k[(k[j+-4>>2]|0)+4>>2]|0)){if(!v)break;if((d|0)==(k[(k[(k[v>>2]|0)+-4>>2]|0)+4>>2]|0)){j:do switch($a|0){case 2:{y=0;d=Ha(k[j+92>>2]|0,l|0,v|0)|0;s=y;y=0;if(s&1)rb=112;else{c=k[(d?a+16|0:a+24|0)+4>>2]|0;break h}break}case 3:{y=0;d=Ha(k[j+92>>2]|0,l|0,v|0)|0;s=y;y=0;if(s&1)rb=112;else{c=k[(d?a+24|0:a+16|0)+4>>2]|0;break h}break}case 6:{y=0;d=Ha(k[j+116>>2]|0,l|0,v|0)|0;s=y;y=0;if(s&1)rb=112;else{c=k[(d?a+16|0:a+24|0)+4>>2]|0;break h}break}case 5:{y=0;d=Ha(k[j+116>>2]|0,l|0,v|0)|0;s=y;y=0;if(s&1)rb=112;else{c=k[(d?a+24|0:a+16|0)+4>>2]|0;break h}break}case 7:{y=0;d=Ha(k[j+116>>2]|0,l|0,v|0)|0;s=y;y=0;if(s&1)rb=112;else{do if(d)rb=123;else{y=0;d=Ha(k[(k[l>>2]|0)+92>>2]|0,l|0,v|0)|0;s=y;y=0;if(s&1){rb=112;break j}if(d){rb=123;break}c=a+24|0}while(0);if((rb|0)==123)c=a+16|0;c=k[c+4>>2]|0;break h}break}case 4:{y=0;d=Ha(k[j+116>>2]|0,l|0,v|0)|0;s=y;y=0;if(s&1)rb=112;else{do if(d)rb=130;else{y=0;d=Ha(k[(k[l>>2]|0)+92>>2]|0,l|0,v|0)|0;s=y;y=0;if(s&1){rb=112;break j}if(d){rb=130;break}c=a+16|0}while(0);if((rb|0)==130)c=a+24|0;c=k[c+4>>2]|0;break h}break}case 12:case 11:case 10:case 9:case 8:{p=k[(k[a+8>>2]|0)+16>>2]|0;k[o>>2]=k[p>>2];k[o+4>>2]=k[p+4>>2];k[o+8>>2]=k[p+8>>2];p=ab;q=b+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;k[ib>>2]=k[o>>2];k[ib+4>>2]=k[o+4>>2];k[ib+8>>2]=k[o+8>>2];d=sa(30,$a|0,l|0,v|0,ib|0,ab|0)|0;s=y;y=0;if(s&1){d=tb(168)|0;g=N;break j}else{c=d;break h}}default:break i}while(0);if((rb|0)==112){d=tb(168)|0;g=N}if((g|0)!=(ob(168)|0)){c=d;break e}d=vb(d|0)|0;g=gb(76)|0;y=0;p=ib;q=b+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));Na(131,g|0,ib|0,d|0);s=y;y=0;if(s&1){d=pb()|0;fb(g|0)}else{y=0;Na(75,g|0,3480,175);y=0;d=pb()|0}y=0;la(3);s=y;y=0;if(!(s&1)){c=d;break e}s=tb(0)|0;Sla(s)}if((k[283]|0)!=(k[(k[(k[v>>2]|0)+-4>>2]|0)+4>>2]|0))break;k:do switch($a|0){case 2:{y=0;d=Ha(k[j+92>>2]|0,l|0,v|0)|0;t=y;y=0;if(t&1)rb=145;else{c=k[(d?a+16|0:a+24|0)+4>>2]|0;break h}break}case 3:{y=0;d=Ha(k[j+92>>2]|0,l|0,v|0)|0;t=y;y=0;if(t&1)rb=145;else{c=k[(d?a+24|0:a+16|0)+4>>2]|0;break h}break}case 6:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;t=y;y=0;if(t&1)rb=145;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;t=y;y=0;if(t&1)rb=145;else{c=k[(g&(d^1)?a+16|0:a+24|0)+4>>2]|0;break h}}break}case 5:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;t=y;y=0;if(t&1)rb=145;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;t=y;y=0;if(t&1)rb=145;else{c=k[(g&(d^1)?a+24|0:a+16|0)+4>>2]|0;break h}}break}case 7:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;t=y;y=0;if(t&1)rb=145;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;t=y;y=0;if(t&1)rb=145;else{do if(g&(d^1))rb=159;else{y=0;d=Ha(k[(k[l>>2]|0)+92>>2]|0,l|0,v|0)|0;t=y;y=0;if(t&1){rb=145;break k}if(d){rb=159;break}c=a+24|0}while(0);if((rb|0)==159)c=a+16|0;c=k[c+4>>2]|0;break h}}break}case 4:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;t=y;y=0;if(t&1)rb=145;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;t=y;y=0;if(t&1)rb=145;else{do if(g&(d^1))rb=167;else{y=0;d=Ha(k[(k[l>>2]|0)+92>>2]|0,l|0,v|0)|0;t=y;y=0;if(t&1){rb=145;break k}if(d){rb=167;break}c=a+16|0}while(0);if((rb|0)==167)c=a+24|0;c=k[c+4>>2]|0;break h}}break}case 12:case 11:case 10:case 9:case 8:{p=k[(k[a+8>>2]|0)+16>>2]|0;k[t>>2]=k[p>>2];k[t+4>>2]=k[p+4>>2];k[t+8>>2]=k[p+8>>2];p=ab;q=b+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;k[ib>>2]=k[t>>2];k[ib+4>>2]=k[t+4>>2];k[ib+8>>2]=k[t+8>>2];d=sa(31,$a|0,l|0,v|0,ib|0,ab|0)|0;t=y;y=0;if(t&1){d=tb(168)|0;g=N;break k}else{c=d;break h}}default:break i}while(0);if((rb|0)==145){d=tb(168)|0;g=N}if((g|0)!=(ob(168)|0)){c=d;break e}d=vb(d|0)|0;g=gb(76)|0;y=0;p=ib;q=b+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));Na(131,g|0,ib|0,d|0);t=y;y=0;if(t&1){d=pb()|0;fb(g|0)}else{y=0;Na(75,g|0,3480,175);y=0;d=pb()|0}y=0;la(3);t=y;y=0;if(!(t&1)){c=d;break e}t=tb(0)|0;Sla(t)}j=k[l>>2]|0;d=k[283]|0;if(!((v|0)==0?1:(d|0)!=(k[(k[j+-4>>2]|0)+4>>2]|0))){if((d|0)==(k[(k[(k[v>>2]|0)+-4>>2]|0)+4>>2]|0)){l:do switch($a|0){case 2:{y=0;d=Ha(k[j+92>>2]|0,l|0,v|0)|0;u=y;y=0;if(u&1)rb=183;else{c=k[(d?a+16|0:a+24|0)+4>>2]|0;break h}break}case 3:{y=0;d=Ha(k[j+92>>2]|0,l|0,v|0)|0;u=y;y=0;if(u&1)rb=183;else{c=k[(d?a+24|0:a+16|0)+4>>2]|0;break h}break}case 6:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;u=y;y=0;if(u&1)rb=183;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;u=y;y=0;if(u&1)rb=183;else{c=k[(g&(d^1)?a+16|0:a+24|0)+4>>2]|0;break h}}break}case 5:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;u=y;y=0;if(u&1)rb=183;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;u=y;y=0;if(u&1)rb=183;else{c=k[(g&(d^1)?a+24|0:a+16|0)+4>>2]|0;break h}}break}case 7:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;u=y;y=0;if(u&1)rb=183;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;u=y;y=0;if(u&1)rb=183;else{do if(g&(d^1))rb=197;else{y=0;d=Ha(k[(k[l>>2]|0)+92>>2]|0,l|0,v|0)|0;u=y;y=0;if(u&1){rb=183;break l}if(d){rb=197;break}c=a+24|0}while(0);if((rb|0)==197)c=a+16|0;c=k[c+4>>2]|0;break h}}break}case 4:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;u=y;y=0;if(u&1)rb=183;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;u=y;y=0;if(u&1)rb=183;else{do if(g&(d^1))rb=205;else{y=0;d=Ha(k[(k[l>>2]|0)+92>>2]|0,l|0,v|0)|0;u=y;y=0;if(u&1){rb=183;break l}if(d){rb=205;break}c=a+16|0}while(0);if((rb|0)==205)c=a+24|0;c=k[c+4>>2]|0;break h}}break}case 12:case 11:case 10:case 9:case 8:{p=k[(k[a+8>>2]|0)+16>>2]|0;k[u>>2]=k[p>>2];k[u+4>>2]=k[p+4>>2];k[u+8>>2]=k[p+8>>2];p=ab;q=b+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;k[ib>>2]=k[u>>2];k[ib+4>>2]=k[u+4>>2];k[ib+8>>2]=k[u+8>>2];d=sa(32,$a|0,l|0,v|0,ib|0,ab|0)|0;u=y;y=0;if(u&1){d=tb(168)|0;g=N;break l}else{c=d;break h}}default:break i}while(0);if((rb|0)==183){d=tb(168)|0;g=N}if((g|0)!=(ob(168)|0)){c=d;break e}d=vb(d|0)|0;g=gb(76)|0;y=0;p=ib;q=b+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));Na(131,g|0,ib|0,d|0);u=y;y=0;if(u&1){d=pb()|0;fb(g|0)}else{y=0;Na(75,g|0,3480,175);y=0;d=pb()|0}y=0;la(3);u=y;y=0;if(!(u&1)){c=d;break e}u=tb(0)|0;Sla(u)}if((k[35]|0)==(k[(k[(k[v>>2]|0)+-4>>2]|0)+4>>2]|0)){m:do switch($a|0){case 2:{y=0;d=Ha(k[j+92>>2]|0,l|0,v|0)|0;w=y;y=0;if(w&1)rb=220;else{c=k[(d?a+16|0:a+24|0)+4>>2]|0;break h}break}case 3:{y=0;d=Ha(k[j+92>>2]|0,l|0,v|0)|0;w=y;y=0;if(w&1)rb=220;else{c=k[(d?a+24|0:a+16|0)+4>>2]|0;break h}break}case 6:{y=0;g=qa(k[j+76>>2]|0,l|0)|0;w=y;y=0;if(w&1)rb=220;else{y=0;d=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;w=y;y=0;if(w&1)rb=220;else{c=k[(d&(g^1)?a+16|0:a+24|0)+4>>2]|0;break h}}break}case 5:{y=0;g=qa(k[j+76>>2]|0,l|0)|0;w=y;y=0;if(w&1)rb=220;else{y=0;d=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;w=y;y=0;if(w&1)rb=220;else{c=k[(d&(g^1)?a+24|0:a+16|0)+4>>2]|0;break h}}break}case 7:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;w=y;y=0;if(w&1)rb=220;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;w=y;y=0;if(w&1)rb=220;else{do if(g&(d^1))rb=234;else{y=0;d=Ha(k[(k[l>>2]|0)+92>>2]|0,l|0,v|0)|0;w=y;y=0;if(w&1){rb=220;break m}if(d){rb=234;break}c=a+24|0}while(0);if((rb|0)==234)c=a+16|0;c=k[c+4>>2]|0;break h}}break}case 4:{y=0;d=qa(k[j+76>>2]|0,l|0)|0;w=y;y=0;if(w&1)rb=220;else{y=0;g=qa(k[(k[v>>2]|0)+76>>2]|0,v|0)|0;w=y;y=0;if(w&1)rb=220;else{do if(g&(d^1))rb=242;else{y=0;d=Ha(k[(k[l>>2]|0)+92>>2]|0,l|0,v|0)|0;w=y;y=0;if(w&1){rb=220;break m}if(d){rb=242;break}c=a+16|0}while(0);if((rb|0)==242)c=a+24|0;c=k[c+4>>2]|0;break h}}break}case 12:case 11:case 10:case 9:case 8:{p=k[(k[a+8>>2]|0)+16>>2]|0;k[w>>2]=k[p>>2];k[w+4>>2]=k[p+4>>2];k[w+8>>2]=k[p+8>>2];p=ab;q=b+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;k[ib>>2]=k[w>>2];k[ib+4>>2]=k[w+4>>2];k[ib+8>>2]=k[w+8>>2];d=sa(33,$a|0,l|0,v|0,ib|0,ab|0)|0;w=y;y=0;if(w&1){d=tb(168)|0;g=N;break m}else{c=d;break h}}default:break i}while(0);if((rb|0)==220){d=tb(168)|0;g=N}if((g|0)!=(ob(168)|0)){c=d;break e}d=vb(d|0)|0;g=gb(76)|0;y=0;p=ib;q=b+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));Na(131,g|0,ib|0,d|0);b=y;y=0;if(b&1){d=pb()|0;fb(g|0)}else{y=0;Na(75,g|0,3480,175);y=0;d=pb()|0}y=0;la(3);b=y;y=0;if(!(b&1)){c=d;break e}b=tb(0)|0;Sla(b)}}}while(0);y=0;oa(460,ub|0,0);b=y;y=0;if(b&1)rb=55;else{k[ub>>2]=13080;o=wb+4|0;y=0;oa(460,z|0,k[(k[o>>2]|0)+72>>2]|0);b=y;y=0;n:do if(b&1)rb=293;else{k[z>>2]=7284;n=k[z+4>>2]|0;o:do if(!n)rb=257;else if((k[291]|0)==(k[(k[(k[n>>2]|0)+-4>>2]|0)+4>>2]|0)){DO(z);y=0;d=qa(k[(k[n>>2]|0)+104>>2]|0,n|0)|0;z=y;y=0;p:do if(!(z&1)){if(d){rb=320;break o}y=0;d=qa(k[(k[n>>2]|0)+112>>2]|0,n|0)|0;z=y;y=0;if(z&1)break;if(d){rb=320;break o}y=0;j=qa(315,84)|0;qb=y;y=0;q:do if(qb&1)rb=295;else{p=B;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,j|0);qb=y;y=0;do if(qb&1)c=pb()|0;else{p=j+12|0;q=B;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[j>>2]=10968;k[c>>2]=4;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);qb=y;y=0;if(qb&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{qb=e+-8|0;k[h>>2]=qb;lc[k[k[qb>>2]>>2]&511](qb);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=10796;k[d>>2]=10928;k[j+80>>2]=0;k[c>>2]=4;y=0;oa(460,ib|0,j|0);qb=y;y=0;if(qb&1){rb=295;break q}k[ib>>2]=13080;m=ub+4|0;do if(k[m>>2]|0){y=0;na(423,ub|0);qb=y;y=0;if(!(qb&1))break;c=pb()|0;DO(ib);break q}while(0);e=ib+4|0;k[m>>2]=k[e>>2];k[e>>2]=0;DO(ib);y=0;e=qa(315,88)|0;qb=y;y=0;if(qb&1)break p;c=k[o>>2]|0;p=F;q=c+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));c=c+60|0;d=k[c>>2]|0;c=k[c+4>>2]|0;j=n+60|0;l=n+68|0;y=0;oa(460,O|0,k[(k[l>>2]|0)+-4>>2]|0);qb=y;y=0;do if(qb&1)c=pb()|0;else{k[O>>2]=7284;y=0;oa(460,P|0,k[(k[o>>2]|0)+80>>2]|0);qb=y;y=0;if(qb&1){c=pb()|0;DO(O);break}k[P>>2]=7284;p=G;q=F;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,e|0);qb=y;y=0;r:do if(qb&1){c=1;rb=302}else{p=e+12|0;q=G;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e+56>>2]=0;k[e>>2]=9580;qb=e+60|0;k[qb>>2]=d;k[qb+4>>2]=c;c=e+68|0;y=0;oa(460,c|0,k[O+4>>2]|0);qb=y;y=0;do if(qb&1)c=pb()|0;else{k[c>>2]=7284;d=e+76|0;y=0;oa(460,d|0,k[P+4>>2]|0);qb=y;y=0;if(qb&1){qb=pb()|0;DO(c);c=qb;break}k[d>>2]=7284;k[e+84>>2]=0;y=0;oa(460,Y|0,e|0);qb=y;y=0;if(qb&1){c=0;rb=302;break r}k[Y>>2]=17724;DO(P);DO(O);h=Y+4|0;c=k[h>>2]|0;y=0;oa(460,K|0,k[(k[o>>2]|0)+72>>2]|0);qb=y;y=0;s:do if(qb&1)rb=305;else{k[K>>2]=7284;do if(!(i[(k[K+4>>2]|0)+52>>0]|0)){y=0;oa(460,L|0,k[(k[o>>2]|0)+80>>2]|0);qb=y;y=0;if(qb&1){c=pb()|0;DO(K);break s}else{k[L>>2]=7284;i[c+52>>0]=i[(k[L+4>>2]|0)+52>>0]|0;DO(L);break}}else i[c+52>>0]=1;while(0);DO(K);g=n+64|0;e=(k[m>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;t:do if(((k[l>>2]|0)-(k[g>>2]|0)|0)==8)d=a;else{d=0;while(1){y=0;c=Ha(k[(k[j>>2]|0)+16>>2]|0,j|0,d|0)|0;qb=y;y=0;if(qb&1){rb=307;break}c=k[c+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;qb=y;y=0;if(qb&1){rb=307;break}y=0;oa(460,V|0,c|0);qb=y;y=0;if(qb&1){rb=307;break}k[V>>2]=7284;y=0;oa(f|0,e|0,V|0);qb=y;y=0;if(qb&1){rb=313;break}DO(V);d=d+1|0;e=(k[m>>2]|0)+60|0;f=k[(k[e>>2]|0)+20>>2]|0;if(d>>>0>=(((k[l>>2]|0)-(k[g>>2]|0)>>3)+-1|0)>>>0){d=a;break t}}if((rb|0)==307){c=pb()|0;break s}else if((rb|0)==313){c=pb()|0;DO(V);break s}}while(0);c=k[h>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,d|0)|0;qb=y;y=0;if(qb&1){rb=305;break}y=0;oa(460,W|0,c|0);qb=y;y=0;if(qb&1){rb=305;break}k[W>>2]=7284;y=0;oa(f|0,e|0,W|0);qb=y;y=0;if(qb&1){c=pb()|0;DO(W);break}DO(W);c=k[m>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,d|0)|0;qb=y;y=0;if(qb&1){rb=305;break}DO(Y);break o}while(0);if((rb|0)==305)c=pb()|0;DO(Y);break n}while(0);d=1}while(0);if((rb|0)==302){qb=pb()|0;d=c;c=qb}DO(P);DO(O);if(!d)break n}while(0);cra(e);break n}while(0);cra(j)}while(0);if((rb|0)==295)c=pb()|0;break n}while(0);c=pb()|0;break n}else rb=257;while(0);if((rb|0)==257){DO(z);rb=320}u:do if((rb|0)==320){y=0;oa(460,A|0,k[(k[o>>2]|0)+80>>2]|0);Y=y;y=0;if(Y&1){rb=293;break n}k[A>>2]=7284;m=k[A+4>>2]|0;v:do if(!m)rb=323;else if((k[291]|0)==(k[(k[(k[m>>2]|0)+-4>>2]|0)+4>>2]|0)){DO(A);y=0;d=qa(k[(k[m>>2]|0)+104>>2]|0,m|0)|0;Y=y;y=0;w:do if(!(Y&1)){if(d)break v;y=0;d=qa(k[(k[m>>2]|0)+108>>2]|0,m|0)|0;Y=y;y=0;if(Y&1)break;if(!(x|d^1))break v;y=0;j=qa(315,84)|0;qb=y;y=0;x:do if(qb&1)rb=362;else{p=_a;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,j|0);qb=y;y=0;do if(qb&1)c=pb()|0;else{p=j+12|0;q=_a;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[j+52>>0]=0;i[j+53>>0]=0;i[j+54>>0]=0;c=j+56|0;k[j>>2]=10968;k[c>>2]=4;d=j+60|0;k[d>>2]=9248;g=j+64|0;h=j+68|0;k[g>>2]=0;k[g+4>>2]=0;k[g+8>>2]=0;k[g+12>>2]=0;y=0;oa(514,g|0,0);qb=y;y=0;if(qb&1){c=pb()|0;f=N;d=k[g>>2]|0;if(d|0){e=k[h>>2]|0;if((e|0)!=(d|0)){do{qb=e+-8|0;k[h>>2]=qb;lc[k[k[qb>>2]>>2]&511](qb);e=k[h>>2]|0}while((e|0)!=(d|0));d=k[g>>2]|0}cra(d)}break}k[j>>2]=10796;k[d>>2]=10928;k[j+80>>2]=0;k[c>>2]=4;y=0;oa(460,ib|0,j|0);qb=y;y=0;if(qb&1){rb=362;break x}k[ib>>2]=13080;l=ub+4|0;do if(k[l>>2]|0){y=0;na(423,ub|0);qb=y;y=0;if(!(qb&1))break;c=pb()|0;DO(ib);break x}while(0);f=ib+4|0;k[l>>2]=k[f>>2];k[f>>2]=0;DO(ib);y=0;f=qa(315,88)|0;qb=y;y=0;if(qb&1)break w;c=k[o>>2]|0;p=I;q=c+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));e=c+60|0;d=k[e>>2]|0;e=k[e+4>>2]|0;y=0;oa(460,S|0,k[c+72>>2]|0);qb=y;y=0;do if(qb&1)c=pb()|0;else{k[S>>2]=7284;h=m+60|0;j=m+64|0;y=0;oa(460,T|0,k[(k[j>>2]|0)+4>>2]|0);qb=y;y=0;if(qb&1){c=pb()|0;DO(S);break}k[T>>2]=7284;p=ab;q=I;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,f|0);qb=y;y=0;y:do if(qb&1){c=1;rb=369}else{p=f+12|0;q=ab;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[f+52>>0]=0;i[f+53>>0]=0;i[f+54>>0]=0;k[f+56>>2]=0;k[f>>2]=9580;c=f+60|0;k[c>>2]=d;k[c+4>>2]=e;c=f+68|0;y=0;oa(460,c|0,k[S+4>>2]|0);qb=y;y=0;do if(qb&1)c=pb()|0;else{k[c>>2]=7284;d=f+76|0;y=0;oa(460,d|0,k[T+4>>2]|0);qb=y;y=0;if(qb&1){qb=pb()|0;DO(c);c=qb;break}k[d>>2]=7284;k[f+84>>2]=0;y=0;oa(460,Z|0,f|0);qb=y;y=0;if(qb&1){c=0;rb=369;break y}k[Z>>2]=17724;DO(T);DO(S);f=Z+4|0;c=k[f>>2]|0;y=0;oa(460,Q|0,k[(k[o>>2]|0)+72>>2]|0);qb=y;y=0;z:do if(qb&1)rb=372;else{k[Q>>2]=7284;do if(!(i[(k[Q+4>>2]|0)+52>>0]|0)){y=0;oa(460,R|0,k[(k[o>>2]|0)+80>>2]|0);qb=y;y=0;if(qb&1){c=pb()|0;DO(Q);break z}else{k[R>>2]=7284;i[c+52>>0]=i[(k[R+4>>2]|0)+52>>0]|0;DO(R);break}}else i[c+52>>0]=1;while(0);DO(Q);d=(k[l>>2]|0)+60|0;e=k[(k[d>>2]|0)+20>>2]|0;c=k[f>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;qb=y;y=0;if(qb&1){rb=372;break}y=0;oa(460,U|0,c|0);qb=y;y=0;if(qb&1){rb=372;break}k[U>>2]=7284;y=0;oa(e|0,d|0,U|0);qb=y;y=0;if(qb&1){c=pb()|0;DO(U);break}DO(U);g=m+68|0;c=k[l>>2]|0;A:do if((k[g>>2]|0)-(k[j>>2]|0)>>3>>>0>1){f=1;while(1){d=c+60|0;e=k[(k[d>>2]|0)+20>>2]|0;y=0;c=Ha(k[(k[h>>2]|0)+16>>2]|0,h|0,f|0)|0;qb=y;y=0;if(qb&1){rb=375;break}c=k[c+4>>2]|0;y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;qb=y;y=0;if(qb&1){rb=375;break}y=0;oa(460,X|0,c|0);qb=y;y=0;if(qb&1){rb=375;break}k[X>>2]=7284;y=0;oa(e|0,d|0,X|0);qb=y;y=0;if(qb&1){rb=381;break}DO(X);f=f+1|0;c=k[l>>2]|0;if(f>>>0>=(k[g>>2]|0)-(k[j>>2]|0)>>3>>>0)break A}if((rb|0)==375){c=pb()|0;break z}else if((rb|0)==381){c=pb()|0;DO(X);break z}}while(0);y=0;c=Ha(k[(k[c>>2]|0)+56>>2]|0,c|0,a|0)|0;qb=y;y=0;if(qb&1){rb=372;break}DO(Z);break u}while(0);if((rb|0)==372)c=pb()|0;DO(Z);break n}while(0);d=1}while(0);if((rb|0)==369){qb=pb()|0;d=c;c=qb}DO(T);DO(S);if(!d)break n}while(0);cra(f);break n}while(0);cra(j)}while(0);if((rb|0)==362)c=pb()|0;break n}while(0);c=pb()|0;break n}else rb=323;while(0);if((rb|0)==323)DO(A);B:do if(($a+-2|0)>>>0<6){g=i[h>>0]|0;i[h>>0]=1;Z=k[Wa>>2]|0;i[Z+53>>0]=0;y=0;oa(k[(k[Z>>2]|0)+100>>2]|0,Z|0,0);Z=y;y=0;C:do if(Z&1)rb=396;else{d=k[Wa>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;Z=y;y=0;D:do if(Z&1)rb=397;else{y=0;oa(460,ib|0,d|0);Z=y;y=0;if(Z&1){rb=397;break}k[ib>>2]=7284;do if(k[Wa>>2]|0){y=0;na(423,xb|0);Z=y;y=0;if(!(Z&1))break;c=pb()|0;DO(ib);break D}while(0);Z=ib+4|0;k[Wa>>2]=k[Z>>2];k[Z>>2]=0;DO(ib);Z=k[Xa>>2]|0;i[Z+53>>0]=0;y=0;oa(k[(k[Z>>2]|0)+100>>2]|0,Z|0,0);Z=y;y=0;if(Z&1){rb=396;break C}d=k[Xa>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;Z=y;y=0;E:do if(Z&1)rb=400;else{y=0;oa(460,ib|0,d|0);Z=y;y=0;if(Z&1){rb=400;break}k[ib>>2]=7284;do if(k[Xa>>2]|0){y=0;na(423,yb|0);Z=y;y=0;if(!(Z&1))break;c=pb()|0;DO(ib);break E}while(0);d=ib+4|0;k[Xa>>2]=k[d>>2];k[d>>2]=0;DO(ib);i[h>>0]=g;d=a;break B}while(0);if((rb|0)==400)c=pb()|0;break C}while(0);if((rb|0)==397)c=pb()|0}while(0);if((rb|0)==396)c=pb()|0;i[h>>0]=g;break n}else{d=k[Wa>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,a|0)|0;Z=y;y=0;F:do if(Z&1)rb=409;else{y=0;oa(460,ib|0,d|0);Z=y;y=0;if(Z&1){rb=409;break}k[ib>>2]=7284;do if(k[Wa>>2]|0){y=0;na(423,xb|0);Z=y;y=0;if(!(Z&1))break;c=pb()|0;DO(ib);break F}while(0);d=ib+4|0;k[Wa>>2]=k[d>>2];k[d>>2]=0;DO(ib);d=a;break B}while(0);if((rb|0)==409)c=pb()|0;break n}while(0);Z=k[Xa>>2]|0;y=0;d=Ha(k[(k[Z>>2]|0)+56>>2]|0,Z|0,d|0)|0;Z=y;y=0;G:do if(Z&1)rb=475;else{y=0;oa(460,ib|0,d|0);Z=y;y=0;if(Z&1){rb=475;break}k[ib>>2]=7284;do if(k[Xa>>2]|0){y=0;na(423,yb|0);Z=y;y=0;if(!(Z&1))break;c=pb()|0;DO(ib);break G}while(0);Z=ib+4|0;k[Xa>>2]=k[Z>>2];k[Z>>2]=0;DO(ib);y=0;oa(460,C|0,k[Wa>>2]|0);Z=y;y=0;if(Z&1){rb=293;break n}k[C>>2]=7284;y=0;oa(460,qb|0,k[C+4>>2]|0);Z=y;y=0;if(Z&1){c=pb()|0;DO(C);break n}k[qb>>2]=6336;DO(C);y=0;oa(460,D|0,k[Xa>>2]|0);Z=y;y=0;do if(Z&1)c=pb()|0;else{k[D>>2]=7284;y=0;oa(460,nb|0,k[D+4>>2]|0);Z=y;y=0;if(Z&1){c=pb()|0;DO(D);break}k[nb>>2]=6336;DO(D);y=0;oa(460,E|0,k[(k[o>>2]|0)+72>>2]|0);Z=y;y=0;do if(Z&1)c=pb()|0;else{k[E>>2]=7284;d=k[E+4>>2]|0;if(!d)d=0;else d=(k[291]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;y=0;oa(460,mb|0,d|0);Z=y;y=0;if(Z&1){c=pb()|0;DO(E);break}k[mb>>2]=13080;DO(E);y=0;oa(460,H|0,k[(k[o>>2]|0)+80>>2]|0);Z=y;y=0;do if(Z&1)c=pb()|0;else{k[H>>2]=7284;d=k[H+4>>2]|0;if(!d)d=0;else d=(k[291]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;y=0;oa(460,lb|0,d|0);Z=y;y=0;if(Z&1){c=pb()|0;DO(H);break}k[lb>>2]=13080;DO(H);y=0;oa(460,J|0,k[(k[o>>2]|0)+72>>2]|0);Z=y;y=0;do if(Z&1)c=pb()|0;else{k[J>>2]=7284;d=k[J+4>>2]|0;if(!d)d=0;else d=(k[239]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;y=0;oa(460,kb|0,d|0);Z=y;y=0;if(Z&1){c=pb()|0;DO(J);break}k[kb>>2]=17724;DO(J);y=0;oa(460,M|0,k[(k[o>>2]|0)+80>>2]|0);Z=y;y=0;do if(Z&1)c=pb()|0;else{k[M>>2]=7284;d=k[M+4>>2]|0;if(!d)d=0;else d=(k[239]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;y=0;oa(460,jb|0,d|0);Z=y;y=0;if(Z&1){c=pb()|0;DO(M);break}k[jb>>2]=17724;DO(M);l=lb+4|0;d=k[l>>2]|0;do if(!d)rb=440;else{y=0;d=qa(k[(k[d>>2]|0)+108>>2]|0,d|0)|0;rb=y;y=0;if(rb&1){rb=489;break}if(!d){rb=440;break}g=mb+4|0;m=1;rb=448}while(0);do if((rb|0)==440){g=mb+4|0;d=k[g>>2]|0;if(d|0){y=0;d=qa(k[(k[d>>2]|0)+112>>2]|0,d|0)|0;rb=y;y=0;if(rb&1){rb=489;break}if(d){m=1;rb=448;break}}d=k[kb+4>>2]|0;if(d|0){y=0;d=qa(k[(k[d>>2]|0)+112>>2]|0,d|0)|0;rb=y;y=0;if(rb&1){rb=489;break}if(d){m=1;rb=448;break}}d=k[jb+4>>2]|0;if(!d){m=0;rb=448;break}y=0;d=qa(k[(k[d>>2]|0)+108>>2]|0,d|0)|0;rb=y;y=0;if(rb&1)rb=489;else{m=d;rb=448}}while(0);H:do if((rb|0)==448){d=k[g>>2]|0;I:do if(!d)rb=454;else{g=k[d+64>>2]|0;h=k[d+68>>2]|0;if((g|0)==(h|0)){rb=454;break}j=ib+4|0;d=g;while(1){y=0;oa(460,ib|0,k[d+4>>2]|0);Z=y;y=0;if(Z&1)break;k[ib>>2]=7284;Z=i[(k[j>>2]|0)+54>>0]|0;DO(ib);d=d+8|0;if(Z<<24>>24){rb=462;break I}if((d|0)==(h|0)){rb=454;break I}}eb=pb()|0}while(0);J:do if((rb|0)==454){d=k[l>>2]|0;if(!d)if(m){rb=462;break}else{rb=571;break}g=k[d+64>>2]|0;h=k[d+68>>2]|0;K:do if((g|0)!=(h|0)){j=La+4|0;d=g;while(1){y=0;oa(460,La|0,k[d+4>>2]|0);Z=y;y=0;if(Z&1)break;k[La>>2]=7284;Z=i[(k[j>>2]|0)+54>>0]|0;DO(La);d=d+8|0;if(Z<<24>>24){rb=462;break J}if((d|0)==(h|0))break K}eb=pb()|0;break J}while(0);if(m)rb=462;else rb=571}while(0);L:do if((rb|0)==462){M:do switch($a|0){case 2:case 8:case 9:case 10:case 11:case 12:{y=0;d=qa(332,k[Wa>>2]|0)|0;Z=y;y=0;if(Z&1){rb=492;break L}N:do if(d|0){g=d+64|0;y=0;oa(456,_|0,g|0);Z=y;y=0;if(Z&1){c=pb()|0;break H}y=0;d=qa(382,((i[_+11>>0]|0)<0?k[_>>2]|0:_)|0)|0;Z=y;y=0;O:do if(Z&1)rb=495;else{P:do if(d|0){y=0;d=qa(345,d|0)|0;Z=y;y=0;if(Z&1){rb=495;break O}if(!d)break;p=ab;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;d=Ha(1007,ab|0,g|0)|0;Z=y;y=0;Q:do if(Z&1)rb=496;else{y=0;oa(460,ib|0,d|0);Z=y;y=0;if(Z&1){rb=496;break}k[ib>>2]=7284;do if(k[Wa>>2]|0){y=0;na(423,xb|0);Z=y;y=0;if(!(Z&1))break;c=pb()|0;DO(ib);break Q}while(0);Z=ib+4|0;k[Wa>>2]=k[Z>>2];k[Z>>2]=0;DO(ib);break P}while(0);if((rb|0)==496)c=pb()|0;break O}while(0);A9(_);break N}while(0);if((rb|0)==495)c=pb()|0;A9(_);break H}while(0);y=0;d=qa(332,k[Xa>>2]|0)|0;_=y;y=0;if(_&1){rb=492;break L}if(!d)break M;g=d+64|0;y=0;oa(456,$|0,g|0);_=y;y=0;if(_&1){c=pb()|0;break H}y=0;d=qa(382,((i[$+11>>0]|0)<0?k[$>>2]|0:$)|0)|0;_=y;y=0;R:do if(_&1)rb=514;else{S:do if(d|0){y=0;d=qa(371,d|0)|0;_=y;y=0;if(_&1){rb=514;break R}if(!d)break;p=ab;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;d=Ha(1007,ab|0,g|0)|0;_=y;y=0;T:do if(_&1)rb=515;else{y=0;oa(460,ib|0,d|0);_=y;y=0;if(_&1){rb=515;break}k[ib>>2]=7284;do if(k[Xa>>2]|0){y=0;na(423,yb|0);_=y;y=0;if(!(_&1))break;c=pb()|0;DO(ib);break T}while(0);_=ib+4|0;k[Xa>>2]=k[_>>2];k[_>>2]=0;DO(ib);break S}while(0);if((rb|0)==515)c=pb()|0;break R}while(0);A9($);break M}while(0);if((rb|0)==514)c=pb()|0;A9($);break H}default:{}}while(0);g=a+8|0;d=k[g>>2]|0;k[ab>>2]=20780;k[ab+4>>2]=d;d=k[Wa>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+72>>2]|0,d|0,ab|0)|0;$=y;y=0;do if($&1)rb=533;else{y=0;d=qa(335,d|0)|0;$=y;y=0;if($&1){rb=533;break}y=0;oa(460,Ia|0,d|0);$=y;y=0;if($&1){rb=533;break}k[Ia>>2]=17740;d=k[Xa>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+72>>2]|0,d|0,ab|0)|0;$=y;y=0;U:do if($&1)rb=534;else{y=0;d=qa(335,d|0)|0;$=y;y=0;if($&1){rb=534;break}y=0;oa(460,Da|0,d|0);$=y;y=0;if($&1){rb=534;break}k[Da>>2]=17740;V:do if(m){k[ka>>2]=0;k[ka+4>>2]=0;k[ka+8>>2]=0;y=0;Na(74,ka|0,87975,0);$=y;y=0;if($&1)c=pb()|0;else{$=k[Ia+4>>2]|0;_=k[(k[$>>2]|0)+28>>2]|0;Z=k[(k[g>>2]|0)+16>>2]|0;y=0;k[ib>>2]=k[Z>>2];k[ib+4>>2]=k[Z+4>>2];k[ib+8>>2]=k[Z+8>>2];Na(_|0,_a|0,$|0,ib|0);$=y;y=0;W:do if($&1){c=pb()|0;rb=538}else{$=i[_a+11>>0]|0;_=$<<24>>24<0;y=0;ta(41,ka|0,(_?k[_a>>2]|0:_a)|0,(_?k[_a+4>>2]|0:$&255)|0)|0;$=y;y=0;if($&1){c=pb()|0;A9(_a);rb=538;break}A9(_a);d=k[o>>2]|0;do if(!((k[d+60+4>>2]&255)<<24>>24))rb=540;else{y=0;Ha(974,ka|0,51792)|0;$=y;y=0;if($&1)break;d=k[o>>2]|0;rb=540}while(0);X:do if((rb|0)==540){y=0;oa(639,ib|0,d|0);$=y;y=0;do if($&1)c=pb()|0;else{$=i[ib+11>>0]|0;_=$<<24>>24<0;y=0;ta(41,ka|0,(_?k[ib>>2]|0:ib)|0,(_?k[ib+4>>2]|0:$&255)|0)|0;$=y;y=0;if($&1){c=pb()|0;A9(ib);break}A9(ib);$=(k[o>>2]|0)+60|0;$=EV(k[$>>2]|0,k[$+4>>2]|0,40)|0;if(($&255)<<24>>24){y=0;Ha(974,ka|0,51792)|0;$=y;y=0;if($&1)break X}$=k[Da+4>>2]|0;_=k[(k[$>>2]|0)+28>>2]|0;Z=k[(k[g>>2]|0)+16>>2]|0;y=0;k[ib>>2]=k[Z>>2];k[ib+4>>2]=k[Z+4>>2];k[ib+8>>2]=k[Z+8>>2];Na(_|0,_a|0,$|0,ib|0);$=y;y=0;do if($&1)c=pb()|0;else{$=i[_a+11>>0]|0;_=$<<24>>24<0;y=0;ta(41,ka|0,(_?k[_a>>2]|0:_a)|0,(_?k[_a+4>>2]|0:$&255)|0)|0;$=y;y=0;if($&1){c=pb()|0;A9(_a);break}A9(_a);y=0;d=qa(315,80)|0;$=y;y=0;if($&1)break X;p=ba;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;oa(456,ca|0,ka|0);$=y;y=0;if($&1)c=pb()|0;else{p=aa;q=ba;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,d|0);ba=y;y=0;do if(ba&1)c=pb()|0;else{p=d+12|0;q=aa;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[d+52>>0]=0;i[d+53>>0]=0;h=d+54|0;i[h>>0]=0;k[d+56>>2]=4;k[d>>2]=11100;i[d+60>>0]=0;i[d+61>>0]=0;y=0;oa(549,d+64|0,ca|0);ba=y;y=0;if(ba&1){c=pb()|0;break}k[d+76>>2]=0;A9(ca);y=0;oa(460,da|0,k[(k[o>>2]|0)+72>>2]|0);ca=y;y=0;if(ca&1){c=pb()|0;break W}k[da>>2]=7284;g=k[da+4>>2]|0;y=0;g=qa(k[(k[g>>2]|0)+104>>2]|0,g|0)|0;ca=y;y=0;if(ca&1){c=pb()|0;DO(da);break W}else{i[h>>0]=g&1;DO(da);A9(ka);g=0;break V}}while(0);A9(ca)}cra(d);break W}while(0);break W}while(0);break W}while(0);c=pb()|0}while(0);A9(ka)}DO(Da);break U}else{d=0;g=1}while(0);DO(Da);DO(Ia);if(g){rb=571;break L}else{c=d;rb=799;break L}}while(0);if((rb|0)==534)c=pb()|0;DO(Ia)}while(0);if((rb|0)==533)c=pb()|0;break H}while(0);Y:do if((rb|0)==571){Z:do switch($a|0){case 2:{y=0;e=qa(315,68)|0;a=y;y=0;if(a&1){rb=580;break Z}p=ua;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;oa(460,Ea|0,k[Wa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[Ea>>2]=7284;y=0;oa(460,va|0,k[Xa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[va>>2]=7284;c=k[Ea+4>>2]|0;do if(!c){c=0;rb=578}else{d=k[va+4>>2]|0;if(!d){c=0;rb=578;break}y=0;c=Ha(k[(k[c>>2]|0)+92>>2]|0,c|0,d|0)|0;a=y;y=0;if(!(a&1))rb=578}while(0);do if((rb|0)==578){p=xa;q=ua;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,e|0);a=y;y=0;if(a&1)break;p=e+12|0;q=xa;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=10672;i[e+60>>0]=c&1;k[e+64>>2]=0;k[e+56>>2]=1;DO(va);DO(Ea);c=e;rb=799;break Y}while(0);c=tb(168)|0;d=N;DO(va)}DO(Ea)}cra(e);break}case 3:{y=0;e=qa(315,68)|0;a=y;y=0;if(a&1){rb=580;break Z}p=wa;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;oa(460,Fa|0,k[Wa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[Fa>>2]=7284;y=0;oa(460,ya|0,k[Xa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[ya>>2]=7284;c=k[Fa+4>>2]|0;do if(!c){c=0;rb=592}else{d=k[ya+4>>2]|0;if(!d){c=0;rb=592;break}y=0;c=Ha(k[(k[c>>2]|0)+92>>2]|0,c|0,d|0)|0;a=y;y=0;if(!(a&1))rb=592}while(0);do if((rb|0)==592){p=za;q=wa;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,e|0);a=y;y=0;if(a&1)break;p=e+12|0;q=za;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=10672;i[e+60>>0]=c&1^1;k[e+64>>2]=0;k[e+56>>2]=1;DO(ya);DO(Fa);c=e;rb=799;break Y}while(0);c=tb(168)|0;d=N;DO(ya)}DO(Fa)}cra(e);break}case 4:{y=0;h=qa(315,68)|0;a=y;y=0;if(a&1){rb=580;break Z}p=Ja;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;oa(460,Va|0,k[Wa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[Va>>2]=7284;y=0;oa(460,Ta|0,k[Xa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[Ta>>2]=7284;k[Ra>>2]=0;k[Ra+4>>2]=0;k[Ra+8>>2]=0;y=0;Na(74,Ra|0,46404,2);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{y=0;c=ta(150,Va|0,Ta|0,Ra|0)|0;a=y;y=0;_:do if(a&1)rb=619;else{$:do if(c){g=0;c=0;rb=612}else{y=0;oa(460,e|0,k[Wa>>2]|0);a=y;y=0;if(a&1){rb=619;break _}k[e>>2]=7284;y=0;oa(460,f|0,k[Xa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N;break}k[f>>2]=7284;c=k[e+4>>2]|0;do if(!c)c=0;else{d=k[f+4>>2]|0;if(!d){c=0;break}y=0;c=Ha(k[(k[c>>2]|0)+92>>2]|0,c|0,d|0)|0;rb=y;y=0;if(!(rb&1))break;c=tb(168)|0;d=N;rb=623;break $}while(0);g=1;c=c&1^1;rb=612}while(0);do if((rb|0)==612){p=Ka;q=Ja;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,h|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N;if(!g)break _;rb=623;break}p=h+12|0;q=Ka;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[h+52>>0]=0;i[h+53>>0]=0;i[h+54>>0]=0;k[h>>2]=10672;i[h+60>>0]=c;k[h+64>>2]=0;k[h+56>>2]=1;if(g){DO(f);DO(e)}A9(Ra);DO(Ta);DO(Va);c=h;rb=799;break Y}while(0);if((rb|0)==623)DO(f);DO(e)}while(0);if((rb|0)==619){c=tb(168)|0;d=N}A9(Ra)}DO(Ta)}DO(Va)}cra(h);break}case 5:{y=0;e=qa(315,68)|0;a=y;y=0;if(a&1){rb=580;break Z}p=ga;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;oa(460,Aa|0,k[Wa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[Aa>>2]=7284;y=0;oa(460,ma|0,k[Xa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[ma>>2]=7284;k[ha>>2]=0;k[ha+4>>2]=0;k[ha+8>>2]=0;y=0;Na(74,ha|0,46407,3);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{y=0;c=ta(150,Aa|0,ma|0,ha|0)|0;a=y;y=0;do if(!(a&1)){p=ea;q=ga;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,e|0);a=y;y=0;if(a&1)break;p=e+12|0;q=ea;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=10672;i[e+60>>0]=c&1^1;k[e+64>>2]=0;k[e+56>>2]=1;A9(ha);DO(ma);DO(Aa);c=e;rb=799;break Y}while(0);c=tb(168)|0;d=N;A9(ha)}DO(ma)}DO(Aa)}cra(e);break}case 6:{y=0;e=qa(315,68)|0;a=y;y=0;if(a&1){rb=580;break Z}p=ia;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;oa(460,Ba|0,k[Wa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[Ba>>2]=7284;y=0;oa(460,ra|0,k[Xa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[ra>>2]=7284;k[ja>>2]=0;k[ja+4>>2]=0;k[ja+8>>2]=0;y=0;Na(74,ja|0,46411,2);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{y=0;c=ta(150,Ba|0,ra|0,ja|0)|0;a=y;y=0;do if(!(a&1)){p=fa;q=ia;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,e|0);a=y;y=0;if(a&1)break;p=e+12|0;q=fa;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[e+52>>0]=0;i[e+53>>0]=0;i[e+54>>0]=0;k[e>>2]=10672;i[e+60>>0]=c&1;k[e+64>>2]=0;k[e+56>>2]=1;A9(ja);DO(ra);DO(Ba);c=e;rb=799;break Y}while(0);c=tb(168)|0;d=N;A9(ja)}DO(ra)}DO(Ba)}cra(e);break}case 7:{y=0;g=qa(315,68)|0;a=y;y=0;if(a&1){rb=580;break Z}p=Ga;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;oa(460,Ua|0,k[Wa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[Ua>>2]=7284;y=0;oa(460,Sa|0,k[Xa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{k[Sa>>2]=7284;k[Qa>>2]=0;k[Qa+4>>2]=0;k[Qa+8>>2]=0;y=0;Na(74,Qa|0,46414,3);a=y;y=0;if(a&1){c=tb(168)|0;d=N}else{y=0;c=ta(150,Ua|0,Sa|0,Qa|0)|0;a=y;y=0;aa:do if(a&1)rb=676;else{do if(c){e=0;c=1;rb=669}else{y=0;oa(460,Oa|0,k[Wa>>2]|0);a=y;y=0;if(a&1){rb=676;break aa}k[Oa>>2]=7284;y=0;oa(460,Ma|0,k[Xa>>2]|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N;e=Oa;break}k[Ma>>2]=7284;c=k[Oa+4>>2]|0;if(!c){e=1;c=0;rb=669;break}d=k[Ma+4>>2]|0;if(!d){e=1;c=0;rb=669;break}y=0;c=Ha(k[(k[c>>2]|0)+92>>2]|0,c|0,d|0)|0;rb=y;y=0;if(!(rb&1)){e=1;rb=669;break}c=tb(168)|0;f=Ma;e=Oa;d=N;rb=680}while(0);do if((rb|0)==669){p=Ca;q=Ga;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));y=0;na(422,g|0);a=y;y=0;if(a&1){c=tb(168)|0;d=N;if(!e)break aa;f=Ma;e=Oa;rb=680;break}p=g+12|0;q=Ca;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));i[g+52>>0]=0;i[g+53>>0]=0;i[g+54>>0]=0;k[g>>2]=10672;i[g+60>>0]=c&1;k[g+64>>2]=0;k[g+56>>2]=1;if(e){DO(Ma);DO(Oa)}A9(Qa);DO(Sa);DO(Ua);c=g;rb=799;break Y}while(0);if((rb|0)==680)DO(f);DO(e)}while(0);if((rb|0)==676){c=tb(168)|0;d=N}A9(Qa)}DO(Sa)}DO(Ua)}cra(g);break}default:{g=k[(k[Wa>>2]|0)+56>>2]|0;h=k[(k[Xa>>2]|0)+56>>2]|0;y=0;oa(460,cb|0,0);eb=y;y=0;if(eb&1){rb=492;break Y}k[cb>>2]=7284;p=_a;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));d=(g|0)==2;e=(h|0)==2;ba:do if(d&e){d=k[Wa>>2]|0;if(!d)e=0;else e=(k[35]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;d=k[Xa>>2]|0;if(!d)d=0;else d=(k[35]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;a=k[(k[a+8>>2]|0)+16>>2]|0;y=0;k[ib>>2]=k[a>>2];k[ib+4>>2]=k[a+4>>2];k[ib+8>>2]=k[a+8>>2];d=sa(30,$a|0,e|0,d|0,ib|0,_a|0)|0;a=y;y=0;ca:do if(a&1)rb=702;else{y=0;oa(460,ab|0,d|0);a=y;y=0;if(a&1){rb=702;break}k[ab>>2]=7284;d=cb+4|0;do if(k[d>>2]|0){y=0;na(423,cb|0);a=y;y=0;if(!(a&1))break;d=tb(168)|0;e=N;DO(ab);break ca}while(0);c=ab+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(ab);c=d;rb=790;break ba}while(0);if((rb|0)==702){d=tb(168)|0;e=N}}else{f=(h|0)==3;if(d&f){d=k[Wa>>2]|0;if(!d)e=0;else e=(k[35]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;d=k[Xa>>2]|0;if(!d)d=0;else d=(k[283]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;a=k[(k[a+8>>2]|0)+16>>2]|0;y=0;k[ib>>2]=k[a>>2];k[ib+4>>2]=k[a+4>>2];k[ib+8>>2]=k[a+8>>2];d=sa(31,$a|0,e|0,d|0,ib|0,_a|0)|0;a=y;y=0;da:do if(a&1)rb=715;else{y=0;oa(460,ab|0,d|0);a=y;y=0;if(a&1){rb=715;break}k[ab>>2]=7284;d=cb+4|0;do if(k[d>>2]|0){y=0;na(423,cb|0);a=y;y=0;if(!(a&1))break;d=tb(168)|0;e=N;DO(ab);break da}while(0);c=ab+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(ab);c=d;rb=790;break ba}while(0);if((rb|0)==715){d=tb(168)|0;e=N}break}d=(g|0)==3;if(d&e){d=k[Wa>>2]|0;if(!d)e=0;else e=(k[283]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;d=k[Xa>>2]|0;if(!d)d=0;else d=(k[35]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;a=k[(k[a+8>>2]|0)+16>>2]|0;y=0;k[ib>>2]=k[a>>2];k[ib+4>>2]=k[a+4>>2];k[ib+8>>2]=k[a+8>>2];d=sa(33,$a|0,e|0,d|0,ib|0,_a|0)|0;a=y;y=0;ea:do if(a&1)rb=728;else{y=0;oa(460,ab|0,d|0);a=y;y=0;if(a&1){rb=728;break}k[ab>>2]=7284;d=cb+4|0;do if(k[d>>2]|0){y=0;na(423,cb|0);a=y;y=0;if(!(a&1))break;d=tb(168)|0;e=N;DO(ab);break ea}while(0);c=ab+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(ab);c=d;rb=790;break ba}while(0);if((rb|0)==728){d=tb(168)|0;e=N}break}if(d&f){d=k[Wa>>2]|0;if(!d)e=0;else e=(k[283]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;d=k[Xa>>2]|0;if(!d)d=0;else d=(k[283]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;a=k[(k[a+8>>2]|0)+16>>2]|0;y=0;k[ib>>2]=k[a>>2];k[ib+4>>2]=k[a+4>>2];k[ib+8>>2]=k[a+8>>2];d=sa(32,$a|0,e|0,d|0,ib|0,_a|0)|0;a=y;y=0;fa:do if(a&1)rb=741;else{y=0;oa(460,ab|0,d|0);a=y;y=0;if(a&1){rb=741;break}k[ab>>2]=7284;d=cb+4|0;do if(k[d>>2]|0){y=0;na(423,cb|0);a=y;y=0;if(!(a&1))break;d=tb(168)|0;e=N;DO(ab);break fa}while(0);c=ab+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(ab);c=d;rb=790;break ba}while(0);if((rb|0)==741){d=tb(168)|0;e=N}break}e=a+8|0;d=k[e>>2]|0;k[La>>2]=20780;k[La+4>>2]=d;d=k[Wa>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+72>>2]|0,d|0,La|0)|0;a=y;y=0;do if(a&1)rb=756;else{y=0;d=qa(335,d|0)|0;a=y;y=0;if(a&1){rb=756;break}y=0;oa(460,Za|0,d|0);a=y;y=0;if(a&1){rb=756;break}k[Za>>2]=17740;d=k[Xa>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+72>>2]|0,d|0,La|0)|0;a=y;y=0;do if(a&1)rb=757;else{y=0;d=qa(335,d|0)|0;a=y;y=0;if(a&1){rb=757;break}y=0;oa(460,Ya|0,d|0);a=y;y=0;if(a&1){rb=757;break}k[Ya>>2]=17740;d=k[o>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+112>>2]|0,d|0)|0;a=y;y=0;ga:do if(a&1)rb=758;else{do if(d)d=1;else{d=k[o>>2]|0;y=0;d=qa(k[(k[d>>2]|0)+108>>2]|0,d|0)|0;a=y;y=0;if(a&1){rb=758;break ga}if(d){d=1;break}d=(i[(k[o>>2]|0)+54>>0]|0)!=0}while(0);do if((g|0)==6){d=gb(80)|0;y=0;oa(640,d|0,k[Za+4>>2]|0);hb=y;y=0;if(hb&1){hb=tb(168)|0;e=N;fb(d|0);d=hb;break ga}else{y=0;Na(75,d|0,3464,175);y=0;break}}else{if((h|0)==6){d=gb(80)|0;y=0;oa(640,d|0,k[Ya+4>>2]|0);hb=y;y=0;if(hb&1){hb=tb(168)|0;e=N;fb(d|0);d=hb;break ga}else{y=0;Na(75,d|0,3464,175);y=0;break}}eb=(k[o>>2]|0)+60|0;f=k[eb+4>>2]|0;a=Pa;k[a>>2]=k[eb>>2];k[a+4>>2]=f;a=k[Za+4>>2]|0;f=k[Ya+4>>2]|0;eb=k[(k[e>>2]|0)+16>>2]|0;y=0;k[ab>>2]=k[Pa>>2];k[ab+4>>2]=k[Pa+4>>2];k[ib>>2]=k[eb>>2];k[ib+4>>2]=k[eb+4>>2];k[ib+8>>2]=k[eb+8>>2];f=pa(41,ab|0,a|0,f|0,ib|0,_a|0,($a|0)!=9&d^1|0)|0;a=y;y=0;if(a&1)break;y=0;g=qa(332,f|0)|0;a=y;y=0;if(a&1){d=tb(168)|0;e=N;break ga}ha:do if(g|0){if((k[g+56>>2]|0)!=4)break;y=0;e=qa(332,k[Wa>>2]|0)|0;a=y;y=0;do if(a&1){d=tb(168)|0;e=N}else{y=0;d=qa(332,k[Xa>>2]|0)|0;a=y;y=0;if(a&1){d=tb(168)|0;e=N;break}if(($a|0)==9)break ha;d=e|0?e:d;if(!d)break ha;i[g+60>>0]=i[d+60>>0]|0;break ha}while(0);break ga}while(0);i[f+54>>0]=i[(k[o>>2]|0)+54>>0]|0;y=0;oa(460,ib|0,f|0);a=y;y=0;ia:do if(a&1){d=tb(168)|0;e=N}else{k[ib>>2]=7284;d=cb+4|0;do if(k[d>>2]|0){y=0;na(423,cb|0);a=y;y=0;if(!(a&1))break;d=tb(168)|0;e=N;DO(ib);break ia}while(0);c=ib+4|0;k[d>>2]=k[c>>2];k[c>>2]=0;DO(ib);DO(Ya);DO(Za);c=d;rb=790;break ba}while(0);break ga}while(0);d=tb(168)|0;e=N}while(0);if((rb|0)==758){d=tb(168)|0;e=N}DO(Ya)}while(0);if((rb|0)==757){d=tb(168)|0;e=N}DO(Za)}while(0);if((rb|0)==756){d=tb(168)|0;e=N}}while(0);if((rb|0)==790){c=k[c>>2]|0;if(!c)c=0;else i[c+8>>0]=1;DO(cb);rb=799;break Y}do if((e|0)==(ob(168)|0)){d=vb(d|0)|0;e=gb(76)|0;y=0;p=ib;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));Na(131,e|0,ib|0,d|0);ib=y;y=0;if(ib&1){d=pb()|0;fb(e|0)}else{y=0;Na(75,e|0,3480,175);y=0;d=pb()|0}y=0;la(3);ib=y;y=0;if(!(ib&1)){c=d;break}ib=tb(0)|0;Sla(ib)}else c=d;while(0);DO(cb);break H}}while(0);if((rb|0)==580){c=tb(168)|0;d=N}if((d|0)!=(ob(168)|0))break H;c=vb(c|0)|0;d=gb(76)|0;y=0;p=ib;q=(k[o>>2]|0)+12|0;s=p+40|0;do{k[p>>2]=k[q>>2];p=p+4|0;q=q+4|0}while((p|0)<(s|0));Na(131,d|0,ib|0,c|0);ib=y;y=0;if(ib&1){c=pb()|0;fb(d|0)}else{y=0;Na(75,d|0,3480,175);y=0;c=pb()|0}y=0;la(3);ib=y;y=0;if(!(ib&1))break H;ib=tb(0)|0;Sla(ib)}while(0);if((rb|0)==492)eb=pb()|0;else if((rb|0)==799){DO(jb);DO(kb);DO(lb);DO(mb);DO(nb);DO(qb);break u}c=eb}else if((rb|0)==489)c=pb()|0;while(0);DO(jb)}while(0);DO(kb)}while(0);DO(lb)}while(0);DO(mb)}while(0);DO(nb)}while(0);DO(qb);break n}while(0);if((rb|0)==475)c=pb()|0;break n}while(0);DO(ub);break h}while(0);if((rb|0)==293)c=pb()|0;DO(ub);break e}}while(0);if((rb|0)==55){c=pb()|0;break}DO(wb);wb=c;DO(yb);DO(xb);r=hb;return wb|0}while(0);DO(wb)}}}while(0);if((rb|0)==17)c=pb()|0;DO(yb);yb=c;DO(xb);sb(yb|0);return 0}function Vc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;var h=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,qb=0,rb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0,Rb=0,Sb=0,Tb=0,Ub=0,Vb=0,Wb=0,Xb=0,Yb=0,Zb=0,_b=0,$b=0,ac=0,bc=0,cc=0,dc=0,ec=0,fc=0,gc=0,hc=0,ic=0,jc=0,kc=0,mc=0,nc=0,oc=0,pc=0,qc=0,rc=0,sc=0,tc=0,uc=0,vc=0,wc=0,xc=0,yc=0,zc=0,Ac=0,Bc=0,Cc=0,Dc=0,Ec=0,Fc=0,Gc=0,Hc=0,Ic=0,Jc=0,Kc=0,Lc=0,Mc=0,Nc=0,Oc=0,Pc=0,Qc=0,Rc=0,Sc=0,Tc=0,Uc=0,Vc=0,Wc=0,Xc=0,Yc=0,Zc=0,_c=0,$c=0,ad=0,bd=0,cd=0,dd=0,ed=0,fd=0,gd=0,hd=0,id=0,jd=0,kd=0,ld=0,md=0,nd=0,od=0,pd=0,qd=0,rd=0,sd=0,td=0,ud=0,vd=0,wd=0,xd=0,yd=0,zd=0,Ad=0,Bd=0,Cd=0,Dd=0,Ed=0,Fd=0,Gd=0,Hd=0,Id=0,Jd=0,Kd=0,Ld=0,Md=0,Nd=0,Od=0,Pd=0,Qd=0,Rd=0,Sd=0,Td=0,Ud=0,Vd=0,Wd=0,Xd=0,Yd=0,Zd=0,_d=0,$d=0,ae=0,be=0,ce=0,de=0,ee=0,fe=0,ge=0,he=0,ie=0,je=0,ke=0,le=0,me=0,ne=0,oe=0,pe=0,qe=0,re=0,se=0,te=0,ue=0,ve=0,we=0,xe=0,ye=0,ze=0,Ae=0,Be=0,Ce=0,De=0,Ee=0,Fe=0,Ge=0,He=0,Ie=0,Je=0,Ke=0,Le=0,Me=0,Ne=0,Oe=0,Pe=0,Qe=0,Re=0,Se=0,Te=0,Ue=0,Ve=0,We=0,Xe=0,Ye=0,Ze=0,_e=0,$e=0,af=0,bf=0,cf=0,df=0,ef=0,ff=0,gf=0,hf=0,jf=0,kf=0,lf=0,mf=0,nf=0,of=0,pf=0,qf=0,rf=0,sf=0,tf=0,uf=0,vf=0,wf=0,xf=0,yf=0,zf=0,Af=0,Bf=0,Cf=0,Df=0,Ef=0,Ff=0,Gf=0,Hf=0,If=0,Jf=0,Kf=0,Lf=0,Mf=0,Nf=0,Of=0,Pf=0,Qf=0,Rf=0,Sf=0,Tf=0,Uf=0,Vf=0,Wf=0,Xf=0,Yf=0,Zf=0,_f=0,$f=0,ag=0,bg=0,cg=0,dg=0,eg=0,fg=0,gg=0,hg=0,ig=0,jg=0,kg=0,lg=0,mg=0,ng=0,og=0,pg=0,qg=0,rg=0,sg=0,tg=0,ug=0,vg=0,wg=0,xg=0,yg=0,zg=0,Ag=0,Bg=0,Cg=0,Dg=0,Eg=0,Fg=0,Gg=0,Hg=0,Ig=0,Jg=0,Kg=0,Lg=0,Mg=0,Ng=0,Og=0,Pg=0,Qg=0,Rg=0,Sg=0,Tg=0,Ug=0,Vg=0,Wg=0,Xg=0,Yg=0,Zg=0,_g=0,$g=0,ah=0,bh=0,ch=0,dh=0,eh=0,fh=0,gh=0,hh=0,ih=0,jh=0,kh=0,lh=0,mh=0,nh=0,oh=0,ph=0,qh=0,rh=0,sh=0,th=0,uh=0,vh=0,wh=0,xh=0,yh=0,zh=0,Ah=0,Bh=0,Ch=0,Dh=0,Eh=0,Fh=0,Gh=0,Hh=0,Ih=0,Jh=0,Kh=0,Lh=0,Mh=0,Nh=0,Oh=0,Ph=0,Qh=0,Rh=0,Sh=0,Th=0,Uh=0,Vh=0,Wh=0,Xh=0,Yh=0,Zh=0,_h=0,$h=0,ai=0,bi=0,ci=0,di=0,ei=0,fi=0,gi=0,hi=0,ii=0,ji=0,ki=0,li=0,mi=0,ni=0,oi=0,pi=0,qi=0,ri=0,si=0,ti=0,ui=0,vi=0,wi=0,xi=0,yi=0,zi=0,Ai=0,Bi=0,Ci=0,Di=0;Kd=0;he=r;r=r+2752|0;me=he+2688|0;yc=he+2738|0;Cc=he+2680|0;Fc=he+2672|0;Db=he+2737|0;Jb=he+2664|0;Mb=he+360|0;Qb=he+320|0;Tb=he+2656|0;Ub=he+2736|0;Vb=he+2648|0;Wb=he+2640|0;Xb=he+2735|0;Yb=he+2632|0;Zb=he+2624|0;_b=he+2734|0;$b=he+2616|0;ac=he+280|0;bc=he+240|0;cc=he+200|0;dc=he+160|0;ec=he+2608|0;fc=he+2733|0;gc=he+2600|0;hc=he+120|0;ic=he+2592|0;jc=he+2732|0;kc=he+2584|0;mc=he+80|0;nc=he+40|0;oc=he+2568|0;pc=he+2731|0;qc=he+2560|0;x=he+2552|0;z=he+2730|0;A=he+2520|0;Nd=he+2512|0;Od=he+2729|0;Pd=he+2496|0;Qd=he+2448|0;Rd=he+2728|0;Sd=he+2440|0;l=he;Ci=he+2408|0;Di=he+2348|0;Ai=he+2328|0;u=he+2576|0;B=he+2320|0;lg=he+2304|0;rc=he+2296|0;sc=he+2544|0;ld=he+2152|0;jd=he+2528|0;mg=he+2144|0;ng=he+2128|0;tc=he+2504|0;uc=he+2456|0;og=he+2080|0;pg=he+2072|0;vc=he+2432|0;wc=he+2424|0;xc=he+2368|0;qg=he+2360|0;rg=he+2336|0;sg=he+1992|0;zc=he+2312|0;tg=he+1984|0;ug=he+1960|0;vg=he+1944|0;Ac=he+2136|0;Bc=he+2088|0;wg=he+2064|0;xg=he+2056|0;yg=he+2040|0;$c=he+2e3|0;bd=he+1968|0;zg=he+1936|0;Ag=he+1920|0;Dc=he+1928|0;Bg=he+1912|0;Cg=he+1904|0;Ec=he+1896|0;Dg=he+1888|0;Eg=he+1880|0;Gc=he+1864|0;Fg=he+1872|0;Hc=he+1848|0;Ic=he+1800|0;Gg=he+1648|0;Hg=he+1624|0;Jc=he+1616|0;Kc=he+1576|0;Ig=he+1568|0;Jg=he+1536|0;Tf=he+1528|0;Uf=he+1856|0;Eb=he+1360|0;Vf=he+1840|0;Fb=he+1208|0;Gb=he+1200|0;Wf=he+1656|0;Hb=he+896|0;Xf=he+1640|0;Ib=he+712|0;Yf=he+696|0;Zf=he+680|0;_f=he+1560|0;Kb=he+672|0;$f=he+1552|0;_c=he+632|0;ad=he+620|0;ag=he+1512|0;bg=he+1368|0;Lb=he+608|0;cg=he+600|0;dg=he+592|0;eg=he+1216|0;Nb=he+576|0;fg=he+568|0;Ob=he+560|0;gg=he+552|0;hg=he+1056|0;Pb=he+536|0;ig=he+912|0;Rb=he+524|0;jg=he+752|0;Sb=he+512|0;kg=he+504|0;ae=he+704|0;be=he+496|0;Ld=he+488|0;Md=he+480|0;Vd=he+440|0;_d=he+424|0;$d=he+412|0;Zd=he+400|0;k[me>>2]=0;k[me+4>>2]=0;k[me+8>>2]=0;Bi=i[a+11>>0]|0;fe=Bi<<24>>24<0;Bi=fe?k[a+4>>2]|0:Bi&255;y=0;Ra(10,me|0,(fe?k[a>>2]|0:a)|0,Bi|0,Bi+1|0);Bi=y;y=0;if(Bi&1){Di=pb()|0;A9(me);sb(Di|0)}y=0;ta(41,me|0,51792,1)|0;Bi=y;y=0;if(Bi&1){Di=pb()|0;A9(me);sb(Di|0)}gd=b+11|0;e=i[gd>>0]|0;Bi=e<<24>>24<0;hd=b+4|0;y=0;e=ta(41,me|0,(Bi?k[b>>2]|0:b)|0,(Bi?k[hd>>2]|0:e&255)|0)|0;Bi=y;y=0;if(Bi&1){Di=pb()|0;A9(me);sb(Di|0)}k[Ci>>2]=k[e>>2];k[Ci+4>>2]=k[e+4>>2];k[Ci+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;A9(me);k[Di+4>>2]=0;k[Di+8>>2]=0;Bi=Di+4|0;k[Di>>2]=Bi;y=0;t=qa(315,88)|0;fe=y;y=0;a:do if(fe&1)Kd=20;else{fe=d+4|0;G=l;E=(k[fe>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,t|0);Jd=y;y=0;do if(Jd&1)h=pb()|0;else{G=t+12|0;E=l;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[t+52>>0]=0;i[t+53>>0]=0;i[t+54>>0]=0;e=t+56|0;k[e>>2]=0;k[t>>2]=9288;d=t+60|0;k[d>>2]=9248;q=t+64|0;s=t+68|0;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;k[q+12>>2]=0;y=0;oa(514,q|0,0);Jd=y;y=0;if(Jd&1){h=pb()|0;l=N;e=k[q>>2]|0;if(e|0){d=k[s>>2]|0;if((d|0)!=(e|0)){do{Ai=d+-8|0;k[s>>2]=Ai;lc[k[k[Ai>>2]>>2]&511](Ai);d=k[s>>2]|0}while((d|0)!=(e|0));e=k[q>>2]|0}cra(e)}break}k[t>>2]=9076;k[d>>2]=9208;k[t+80>>2]=1;i[t+84>>0]=0;i[t+85>>0]=0;k[e>>2]=5;y=0;oa(460,Ai|0,t|0);Jd=y;y=0;if(Jd&1){Kd=20;break a}k[Ai>>2]=7172;id=Ai+4|0;i[(k[id>>2]|0)+84>>0]=1;e=k[fe>>2]|0;d=(k[e+68>>2]|0)-(k[e+64>>2]|0)>>3;b:do if(!d)Kd=17;else{l=u+4|0;h=0;while(1){y=0;oa(460,u|0,k[(k[(k[e+64>>2]|0)+(h<<3)+4>>2]|0)+64>>2]|0);Jd=y;y=0;if(Jd&1)break;k[u>>2]=7284;e=k[l>>2]|0;if(!e)Kd=26;else if((k[307]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)){DO(u);e=e+60|0;if(i[e>>0]|0)i[e>>0]=42}else Kd=26;if((Kd|0)==26){Kd=0;DO(u)}h=h+1|0;if(h>>>0>=d>>>0){Kd=17;break b}e=k[fe>>2]|0}v=pb()|0}while(0);c:do if((Kd|0)==17){Cb=c+4|0;d=k[Cb>>2]|0;h=k[d+60>>2]|0;e=k[d+56>>2]|0;s=h-e>>3;do if(!s){C=h;D=e}else{q=B+4|0;l=0;while(1){h=d+52|0;y=0;h=Ha(k[(k[h>>2]|0)+16>>2]|0,h|0,l|0)|0;Kd=y;y=0;if(Kd&1){Kd=42;break}y=0;oa(460,B|0,k[h+4>>2]|0);Kd=y;y=0;if(Kd&1){Kd=42;break}k[B>>2]=12920;Kd=(k[q>>2]|0)+52|0;k[x>>2]=Kd;y=0;ya(15,A|0,Di|0,Kd|0,85898,x|0,z|0);Kd=y;y=0;if(Kd&1){Kd=43;break}e=k[A>>2]|0;h=e+28|0;e=e+32|0;if(k[e>>2]|0){y=0;na(423,h|0);Kd=y;y=0;if(Kd&1){Kd=43;break}}k[e>>2]=k[q>>2];y=0;na(424,h|0);Kd=y;y=0;if(Kd&1){Kd=43;break}DO(B);l=l+1|0;d=k[Cb>>2]|0;if(l>>>0>=s>>>0){Kd=32;break}}if((Kd|0)==32){C=k[d+60>>2]|0;D=k[d+56>>2]|0;break}else if((Kd|0)==42){v=pb()|0;break c}else if((Kd|0)==43){v=pb()|0;DO(B);break c}}while(0);Bb=C-D>>3;xb=k[fe>>2]|0;xb=(k[xb+68>>2]|0)-(k[xb+64>>2]|0)>>3;d:do if(!xb)h=0;else{v=mg+4|0;wb=lg+4|0;w=Eb+4|0;c=Uf+4|0;x=Fb+4|0;z=Vf+4|0;A=me+4|0;B=xb+-1|0;md=Wf+64|0;C=Wf+8|0;nd=Wf+12|0;D=Wf+4|0;H=Wf+64|0;I=Wf+136|0;J=Wf+140|0;od=Wf+44|0;K=Wf+60|0;pd=Wf+8|0;L=Ci+11|0;M=Ci+4|0;P=(Bb|0)==1;O=P?41971:41981;P=P?9:10;Q=Xf+4|0;R=me+4|0;S=Yf+4|0;T=me+4|0;qd=eg+64|0;U=eg+8|0;rd=eg+12|0;V=eg+4|0;W=eg+64|0;X=eg+136|0;Y=eg+140|0;sd=eg+44|0;Z=eg+60|0;td=eg+8|0;_=fg+4|0;$=me+4|0;ud=hg+64|0;aa=hg+8|0;vd=hg+12|0;ba=hg+4|0;ca=hg+64|0;da=hg+136|0;ea=hg+140|0;wd=hg+44|0;fa=hg+60|0;xd=hg+8|0;ga=gg+4|0;yd=jg+64|0;ha=jg+8|0;zd=jg+12|0;ia=jg+4|0;ja=jg+64|0;ka=jg+136|0;la=jg+140|0;Ad=jg+44|0;pa=jg+60|0;Bd=jg+8|0;ra=kg+4|0;sa=me+4|0;Cd=ig+64|0;ua=ig+8|0;Dd=ig+12|0;va=ig+4|0;wa=ig+64|0;xa=ig+136|0;za=ig+140|0;Ed=ig+44|0;Aa=ig+60|0;Fd=ig+8|0;Ba=Kb+4|0;Ca=_f+4|0;ub=$f+4|0;Gd=bg+64|0;Da=bg+8|0;Hd=bg+12|0;Ea=bg+4|0;Fa=bg+64|0;Ga=bg+136|0;Ia=bg+140|0;Id=bg+44|0;Ja=bg+60|0;Jd=bg+8|0;Ka=ag+11|0;La=ag+4|0;Ma=cg+4|0;Oa=me+4|0;Pa=tc+4|0;Qa=ng+4|0;Sa=me+4|0;Ta=og+4|0;Ua=pg+4|0;Va=qg+4|0;Wa=Dc+4|0;Xa=Ag+4|0;Ya=Bg+4|0;Za=Cg+4|0;_a=zg+4|0;$a=Ig+4|0;ab=Gc+4|0;bb=Eg+4|0;cb=Fg+4|0;db=Gg+4|0;eb=Dg+4|0;hb=Tf+4|0;ib=me+4|0;jb=zc+4|0;kb=sg+4|0;vb=tg+4|0;lb=ug+4|0;mb=vg+11|0;nb=vg+4|0;ob=wg+4|0;qb=me+4|0;rb=sc+4|0;tb=rc+4|0;h=0;u=0;e:while(1){e=(k[fe>>2]|0)+60|0;y=0;e=Ha(k[(k[e>>2]|0)+16>>2]|0,e|0,u|0)|0;G=y;y=0;if(G&1){Kd=55;break}y=0;oa(460,lg|0,k[e+4>>2]|0);G=y;y=0;if(G&1){Kd=55;break}k[lg>>2]=10120;if(Bb>>>0>h>>>0){e=(k[Cb>>2]|0)+52|0;y=0;e=Ha(k[(k[e>>2]|0)+16>>2]|0,e|0,h|0)|0;G=y;y=0;if(G&1){Kd=56;break}y=0;oa(460,mg|0,k[e+4>>2]|0);G=y;y=0;if(G&1){Kd=56;break}k[mg>>2]=12920;q=k[v>>2]|0;d=k[wb>>2]|0;l=j[d+80>>1]|0;e=(l&255)<<24>>24!=0;l=(l&65535)>>>8&255;f:do if(!(i[q+72>>0]|0)){do if(e){y=0;oa(460,Eb|0,k[d+64>>2]|0);G=y;y=0;if(G&1){Kd=102;break e}k[Eb>>2]=7284;y=0;e=qa(336,k[w>>2]|0)|0;G=y;y=0;if(G&1){Kd=372;break e}y=0;oa(460,Uf|0,e|0);G=y;y=0;if(G&1){Kd=372;break e}k[Uf>>2]=7172;DO(Eb);e=k[c>>2]|0;if(!e){y=0;oa(460,Fb|0,k[(k[wb>>2]|0)+64>>2]|0);G=y;y=0;if(G&1){Kd=373;break e}k[Fb>>2]=7284;y=0;e=qa(333,k[x>>2]|0)|0;G=y;y=0;if(G&1){Kd=374;break e}y=0;oa(460,Vf|0,e|0);G=y;y=0;if(G&1){Kd=374;break e}k[Vf>>2]=7284;DO(Fb);if(k[z>>2]|0){y=0;ei=qa(315,88)|0;G=y;y=0;if(G&1){Kd=376;break e}G=Qb;E=(k[wb>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,ei|0);G=y;y=0;if(G&1){Kd=377;break e}G=ei+12|0;E=Qb;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[ei+52>>0]=0;i[ei+53>>0]=0;i[ei+54>>0]=0;e=ei+56|0;k[e>>2]=0;k[ei>>2]=9288;d=ei+60|0;k[d>>2]=9248;cd=ei+64|0;k[cd>>2]=0;k[cd+4>>2]=0;k[cd+8>>2]=0;k[cd+12>>2]=0;y=0;oa(514,cd|0,1);G=y;y=0;if(G&1){Kd=360;break e}k[ei>>2]=9076;k[d>>2]=9208;k[ei+80>>2]=1;i[ei+84>>0]=0;i[ei+85>>0]=0;k[e>>2]=5;y=0;oa(460,me|0,ei|0);G=y;y=0;if(G&1){Kd=376;break e}k[me>>2]=7172;if(k[c>>2]|0){y=0;na(423,Uf|0);G=y;y=0;if(G&1){Kd=379;break e}}k[c>>2]=k[A>>2];k[A>>2]=0;DO(me);e=(k[c>>2]|0)+60|0;d=k[(k[e>>2]|0)+20>>2]|0;y=0;oa(460,Gb|0,k[z>>2]|0);G=y;y=0;if(G&1){Kd=375;break e}k[Gb>>2]=7284;y=0;oa(d|0,e|0,Gb|0);G=y;y=0;if(G&1){Kd=381;break e}DO(Gb)}DO(Vf);e=k[c>>2]|0;if(!e){yb=9;zb=u}else{Tc=e;Kd=384}}else{Tc=e;Kd=384}do if((Kd|0)==384){Kd=0;e=(k[Tc+68>>2]|0)-(k[Tc+64>>2]|0)>>3;if(!e){yb=9;zb=u;break}q=Bb-h|0;do if(e>>>0>q>>>0){if(i[(k[Cb>>2]|0)+73>>0]|0){e=Tc;break}d=B+e|0;k[C>>2]=15992;k[Wf>>2]=16032;k[md>>2]=16052;k[D>>2]=0;y=0;oa(528,H|0,nd|0);zb=y;y=0;if(zb&1){Kd=391;break e}k[I>>2]=0;k[J>>2]=-1;k[Wf>>2]=15972;k[md>>2]=16012;k[C>>2]=15992;y=0;na(433,nd|0);zb=y;y=0;if(zb&1){Kd=392;break e}k[nd>>2]=15832;k[od>>2]=0;k[od+4>>2]=0;k[od+8>>2]=0;k[od+12>>2]=0;k[K>>2]=24;k[me>>2]=0;k[me+4>>2]=0;k[me+8>>2]=0;y=0;oa(529,nd|0,me|0);zb=y;y=0;if(zb&1){Kd=390;break e}A9(me);e=i[L>>0]|0;zb=e<<24>>24<0;y=0;e=ta(47,pd|0,(zb?k[Ci>>2]|0:Ci)|0,(zb?k[M>>2]|0:e&255)|0)|0;zb=y;y=0;if(zb&1){Kd=408;break e}y=0;e=ta(47,e|0,42042,7)|0;zb=y;y=0;if(zb&1){Kd=408;break e}y=0;Ha(976,e|0,Bb|0)|0;zb=y;y=0;if(zb&1){Kd=408;break e}y=0;ta(47,pd|0,O|0,P|0)|0;zb=y;y=0;if(zb&1){Kd=408;break e}y=0;e=ta(47,pd|0,42050,5)|0;zb=y;y=0;if(zb&1){Kd=408;break e}y=0;Ha(976,e|0,d|0)|0;zb=y;y=0;if(zb&1){Kd=408;break e}zb=(d|0)==1;y=0;ta(47,pd|0,(zb?42056:42068)|0,(zb?11:13)|0)|0;zb=y;y=0;if(zb&1){Kd=408;break e}y=0;oa(530,Hb|0,nd|0);zb=y;y=0;if(zb&1){Kd=408;break e}y=0;G=me;E=(k[fe>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));oa(561,Hb|0,me|0);zb=y;y=0;if(zb&1){Kd=409;break e}A9(Hb);d=k[c>>2]|0;e=k[d+68>>2]|0;if(e-(k[d+64>>2]|0)>>3>>>0>q>>>0)do{d=d+68|0;l=e+-8|0;do{zb=e+-8|0;k[d>>2]=zb;lc[k[k[zb>>2]>>2]&511](zb);e=k[d>>2]|0}while((e|0)!=(l|0));d=k[c>>2]|0;e=k[d+68>>2]|0}while(e-(k[d+64>>2]|0)>>3>>>0>q>>>0);k[Wf>>2]=15972;k[md>>2]=16012;k[pd>>2]=15992;k[nd>>2]=15832;A9(od);Xaa(nd);nla(Wf,16064);Vja(md);e=k[c>>2]|0}else e=Tc;while(0);e=e+60|0;y=0;e=Ha(k[(k[e>>2]|0)+16>>2]|0,e|0,0)|0;zb=y;y=0;if(zb&1){Kd=373;break e}y=0;oa(460,Xf|0,k[e+4>>2]|0);zb=y;y=0;if(zb&1){Kd=373;break e}k[Xf>>2]=7284;e=k[Q>>2]|0;if(!e)e=0;else e=(k[251]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;y=0;oa(460,me|0,e|0);zb=y;y=0;if(zb&1){Kd=433;break e}k[me>>2]=10120;if(k[wb>>2]|0){y=0;na(423,lg|0);zb=y;y=0;if(zb&1){Kd=434;break e}}zb=k[R>>2]|0;k[wb>>2]=zb;k[R>>2]=0;DO(me);if(!zb){e=k[Q>>2]|0;y=0;fi=qa(315,88)|0;zb=y;y=0;if(zb&1){Kd=436;break e}G=Ib;E=e+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;oa(460,Yf|0,e|0);zb=y;y=0;if(zb&1){Kd=437;break e}k[Yf>>2]=7284;k[Zf>>2]=0;k[Zf+4>>2]=0;k[Zf+8>>2]=0;y=0;Na(74,Zf|0,87975,0);zb=y;y=0;if(zb&1){Kd=438;break e}G=Mb;E=Ib;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,fi|0);zb=y;y=0;if(zb&1){Mc=1;Kd=439;break e}G=fi+12|0;E=Mb;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[fi+52>>0]=0;i[fi+53>>0]=0;i[fi+54>>0]=0;k[fi+56>>2]=0;k[fi>>2]=9828;Wc=fi+60|0;y=0;oa(460,Wc|0,k[S>>2]|0);zb=y;y=0;if(zb&1){Kd=427;break e}k[Wc>>2]=7284;y=0;oa(456,fi+68|0,Zf|0);zb=y;y=0;if(zb&1){Kd=428;break e}i[fi+80>>0]=0;i[fi+81>>0]=0;k[fi+84>>2]=0;y=0;oa(460,me|0,fi|0);zb=y;y=0;if(zb&1){Mc=0;Kd=439;break e}k[me>>2]=10120;if(k[wb>>2]|0){y=0;na(423,lg|0);zb=y;y=0;if(zb&1){Kd=441;break e}}k[wb>>2]=k[T>>2];k[T>>2]=0;DO(me);A9(Zf);DO(Yf)}s=k[c>>2]|0;d=k[s+64>>2]|0;e=d+8|0;s=s+68|0;q=k[s>>2]|0;if((e|0)==(q|0)){Lc=d;Xc=e;Kd=450}else{do{l=d+4|0;if(k[l>>2]|0){y=0;na(423,d|0);zb=y;y=0;if(zb&1){Kd=455;break e}}zb=e+4|0;k[l>>2]=k[zb>>2];k[zb>>2]=0;e=e+8|0;d=d+8|0}while((e|0)!=(q|0));e=k[s>>2]|0;if((e|0)!=(d|0)){Lc=d;Xc=e;Kd=450}}if((Kd|0)==450){Kd=0;e=Xc;do{zb=e+-8|0;k[s>>2]=zb;lc[k[k[zb>>2]>>2]&511](zb);e=k[s>>2]|0}while((e|0)!=(Lc|0))}e=k[c>>2]|0;if((k[e+68>>2]|0)==(k[e+64>>2]|0))Kd=454;else if((h+1|0)==(Bb|0)&(i[e+84>>0]|0)==0)Kd=454;else Sc=u;if((Kd|0)==454){Kd=0;Sc=u+1|0}DO(Xf);yb=0;zb=Sc}while(0);DO(Uf);if(yb|0){d=yb;e=zb;break f}e=zb;d=k[wb>>2]|0}else{if(!(l<<24>>24)){e=u+1|0;break}y=0;oa(460,Kb|0,k[d+64>>2]|0);G=y;y=0;if(G&1){Kd=102;break e}k[Kb>>2]=7284;e=k[Ba>>2]|0;if(!e)e=0;else e=(k[229]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;y=0;oa(460,_f|0,e|0);G=y;y=0;if(G&1){Kd=468;break e}k[_f>>2]=16764;DO(Kb);s=k[Ca>>2]|0;e=k[s+84>>2]|0;s=k[s+88>>2]|0;if((e|0)!=(s|0))do{y=0;oa(460,$f|0,k[e+4>>2]|0);G=y;y=0;if(G&1){Kd=475;break e}k[$f>>2]=7284;y=0;d=qa(332,k[ub>>2]|0)|0;G=y;y=0;if(G&1){Kd=476;break e}if(!d){Kd=472;break e}y=0;ma(5,me|0,d+64|0,0,0,1);G=y;y=0;if(G&1){Kd=497;break e}y=0;d=ta(46,me|0,0,42040)|0;G=y;y=0;if(G&1){Kd=498;break e}k[ag>>2]=k[d>>2];k[ag+4>>2]=k[d+4>>2];k[ag+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;A9(me);if(!(Xx(Di,ag)|0)){k[Da>>2]=15992;k[bg>>2]=16032;k[Gd>>2]=16052;k[Ea>>2]=0;y=0;oa(528,Fa|0,Hd|0);G=y;y=0;if(G&1){Kd=487;break e}k[Ga>>2]=0;k[Ia>>2]=-1;k[bg>>2]=15972;k[Gd>>2]=16012;k[Da>>2]=15992;y=0;na(433,Hd|0);G=y;y=0;if(G&1){Kd=488;break e}k[Hd>>2]=15832;k[Id>>2]=0;k[Id+4>>2]=0;k[Id+8>>2]=0;k[Id+12>>2]=0;k[Ja>>2]=24;k[me>>2]=0;k[me+4>>2]=0;k[me+8>>2]=0;y=0;oa(529,Hd|0,me|0);G=y;y=0;if(G&1){Kd=486;break e}A9(me);d=i[L>>0]|0;G=d<<24>>24<0;y=0;d=ta(47,Jd|0,(G?k[Ci>>2]|0:Ci)|0,(G?k[M>>2]|0:d&255)|0)|0;G=y;y=0;if(G&1){Kd=502;break e}y=0;d=ta(47,d|0,42082,24)|0;G=y;y=0;if(G&1){Kd=502;break e}G=i[Ka>>0]|0;F=G<<24>>24<0;y=0;ta(47,d|0,(F?k[ag>>2]|0:ag)|0,(F?k[La>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){Kd=502;break e}y=0;oa(530,Lb|0,Hd|0);G=y;y=0;if(G&1){Kd=502;break e}y=0;G=me;E=(k[wb>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));oa(454,Lb|0,me|0);G=y;y=0;if(G&1){Kd=503;break e}A9(Lb);k[bg>>2]=15972;k[Gd>>2]=16012;k[Jd>>2]=15992;k[Hd>>2]=15832;A9(Id);Xaa(Hd);nla(bg,16064);Vja(Gd)}y=0;d=qa(338,f|0)|0;G=y;y=0;if(G&1){Kd=500;break e}k[Fc>>2]=ag;y=0;ya(16,Jb|0,d|0,ag|0,85898,Fc|0,Db|0);G=y;y=0;if(G&1){Kd=500;break e}d=k[Jb>>2]|0;q=d+28|0;l=k[Ca>>2]|0;y=0;oa(460,dg|0,k[ub>>2]|0);G=y;y=0;if(G&1){Kd=515;break e}k[dg>>2]=7284;y=0;Na(76,cg|0,l+60|0,dg|0);G=y;y=0;if(G&1){Kd=516;break e}y=0;oa(460,me|0,k[Ma>>2]|0);G=y;y=0;if(G&1){Kd=517;break e}k[me>>2]=6336;if((q|0)!=(me|0)){d=d+32|0;if(k[d>>2]|0){y=0;na(423,q|0);G=y;y=0;if(G&1){Kd=518;break e}}k[d>>2]=k[Oa>>2];k[Oa>>2]=0}DO(me);DO(cg);DO(dg);A9(ag);DO($f);e=e+8|0}while((e|0)!=(s|0));DO(_f);d=8;e=u+1|0;break f}while(0);q=d+68|0;l=i[q+11>>0]|0;if(l<<24>>24<0)d=k[d+72>>2]|0;else d=l&255;if(!d){y=0;d=Ha(993,f|0,(k[v>>2]|0)+52|0)|0;G=y;y=0;if(G&1){Kd=102;break e}if(d){k[U>>2]=15992;k[eg>>2]=16032;k[qd>>2]=16052;k[V>>2]=0;y=0;oa(528,W|0,rd|0);G=y;y=0;if(G&1){Kd=536;break e}k[X>>2]=0;k[Y>>2]=-1;k[eg>>2]=15972;k[qd>>2]=16012;k[U>>2]=15992;y=0;na(433,rd|0);G=y;y=0;if(G&1){Kd=537;break e}k[rd>>2]=15832;k[sd>>2]=0;k[sd+4>>2]=0;k[sd+8>>2]=0;k[sd+12>>2]=0;k[Z>>2]=24;k[me>>2]=0;k[me+4>>2]=0;k[me+8>>2]=0;y=0;oa(529,rd|0,me|0);G=y;y=0;if(G&1){Kd=535;break e}A9(me);y=0;d=ta(47,td|0,42107,10)|0;G=y;y=0;if(G&1){Kd=547;break e}F=k[v>>2]|0;u=F+52|0;G=i[u+11>>0]|0;E=G<<24>>24<0;y=0;d=ta(47,d|0,(E?k[u>>2]|0:u)|0,(E?k[F+56>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){Kd=547;break e}y=0;d=ta(47,d|0,42118,36)|0;G=y;y=0;if(G&1){Kd=547;break e}G=i[L>>0]|0;F=G<<24>>24<0;y=0;ta(47,d|0,(F?k[Ci>>2]|0:Ci)|0,(F?k[M>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){Kd=547;break e}y=0;oa(530,Nb|0,rd|0);G=y;y=0;if(G&1){Kd=547;break e}y=0;G=me;E=(k[wb>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));oa(454,Nb|0,me|0);G=y;y=0;if(G&1){Kd=548;break e}A9(Nb);k[eg>>2]=15972;k[qd>>2]=16012;k[td>>2]=15992;k[rd>>2]=15832;A9(sd);Xaa(rd);nla(eg,16064);Vja(qd)}y=0;d=qa(338,f|0)|0;G=y;y=0;if(G&1){Kd=102;break e}G=(k[v>>2]|0)+52|0;k[me>>2]=G;y=0;ya(16,Cc|0,d|0,G|0,85898,me|0,yc|0);G=y;y=0;if(G&1){Kd=102;break e}d=k[Cc>>2]|0;l=d+28|0;y=0;oa(460,fg|0,k[(k[wb>>2]|0)+64>>2]|0);G=y;y=0;if(G&1){Kd=559;break e}k[fg>>2]=7284;y=0;oa(460,me|0,k[_>>2]|0);G=y;y=0;if(G&1){Kd=560;break e}k[me>>2]=6336;if((l|0)!=(me|0)){d=d+32|0;if(k[d>>2]|0){y=0;na(423,l|0);G=y;y=0;if(G&1){Kd=561;break e}}k[d>>2]=k[$>>2];k[$>>2]=0}DO(me);DO(fg);h=h+1|0;d=0;break}do if(!(Xx(Di,q)|0)){if(i[(k[Cb>>2]|0)+73>>0]|0){d=(k[id>>2]|0)+60|0;l=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,gg|0,k[wb>>2]|0);G=y;y=0;if(G&1){Kd=102;break e}k[gg>>2]=10120;y=0;oa(460,Ob|0,k[ga>>2]|0);G=y;y=0;if(G&1){Kd=570;break e}k[Ob>>2]=7284;y=0;oa(l|0,d|0,Ob|0);G=y;y=0;if(G&1){Kd=571;break e}DO(Ob);DO(gg);break}k[aa>>2]=15992;k[hg>>2]=16032;k[ud>>2]=16052;k[ba>>2]=0;y=0;oa(528,ca|0,vd|0);G=y;y=0;if(G&1){Kd=577;break e}k[da>>2]=0;k[ea>>2]=-1;k[hg>>2]=15972;k[ud>>2]=16012;k[aa>>2]=15992;y=0;na(433,vd|0);G=y;y=0;if(G&1){Kd=578;break e}k[vd>>2]=15832;k[wd>>2]=0;k[wd+4>>2]=0;k[wd+8>>2]=0;k[wd+12>>2]=0;k[fa>>2]=24;k[me>>2]=0;k[me+4>>2]=0;k[me+8>>2]=0;y=0;oa(529,vd|0,me|0);G=y;y=0;if(G&1){Kd=576;break e}A9(me);d=i[L>>0]|0;G=d<<24>>24<0;y=0;d=ta(47,xd|0,(G?k[Ci>>2]|0:Ci)|0,(G?k[M>>2]|0:d&255)|0)|0;G=y;y=0;if(G&1){Kd=587;break e}y=0;d=ta(47,d|0,42082,24)|0;G=y;y=0;if(G&1){Kd=587;break e}F=k[wb>>2]|0;u=F+68|0;G=i[u+11>>0]|0;E=G<<24>>24<0;y=0;ta(47,d|0,(E?k[u>>2]|0:u)|0,(E?k[F+72>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){Kd=587;break e}y=0;oa(530,Pb|0,vd|0);G=y;y=0;if(G&1){Kd=587;break e}y=0;G=me;E=(k[wb>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));oa(454,Pb|0,me|0);G=y;y=0;if(G&1){Kd=588;break e}A9(Pb);k[hg>>2]=15972;k[ud>>2]=16012;k[xd>>2]=15992;k[vd>>2]=15832;A9(wd);Xaa(vd);nla(hg,16064);Vja(ud)}while(0);G=(k[wb>>2]|0)+68|0;k[Tb>>2]=G;y=0;ya(15,Vb|0,Di|0,G|0,85898,Tb|0,Ub|0);G=y;y=0;if(G&1){Kd=102;break e}do if(k[(k[Vb>>2]|0)+32>>2]|0){G=(k[wb>>2]|0)+68|0;k[Wb>>2]=G;y=0;ya(15,Yb|0,Di|0,G|0,85898,Wb|0,Xb|0);G=y;y=0;if(G&1){Kd=102;break e}if(!(i[(k[(k[Yb>>2]|0)+32>>2]|0)+72>>0]|0))break;k[ua>>2]=15992;k[ig>>2]=16032;k[Cd>>2]=16052;k[va>>2]=0;y=0;oa(528,wa|0,Dd|0);G=y;y=0;if(G&1){Kd=598;break e}k[xa>>2]=0;k[za>>2]=-1;k[ig>>2]=15972;k[Cd>>2]=16012;k[ua>>2]=15992;y=0;na(433,Dd|0);G=y;y=0;if(G&1){Kd=599;break e}k[Dd>>2]=15832;k[Ed>>2]=0;k[Ed+4>>2]=0;k[Ed+8>>2]=0;k[Ed+12>>2]=0;k[Aa>>2]=24;k[me>>2]=0;k[me+4>>2]=0;k[me+8>>2]=0;y=0;oa(529,Dd|0,me|0);G=y;y=0;if(G&1){Kd=597;break e}A9(me);y=0;d=ta(47,Fd|0,42155,9)|0;G=y;y=0;if(G&1){Kd=610;break e}F=k[wb>>2]|0;u=F+68|0;G=i[u+11>>0]|0;E=G<<24>>24<0;y=0;d=ta(47,d|0,(E?k[u>>2]|0:u)|0,(E?k[F+72>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){Kd=610;break e}y=0;d=ta(47,d|0,52102,4)|0;G=y;y=0;if(G&1){Kd=610;break e}G=i[L>>0]|0;F=G<<24>>24<0;y=0;d=ta(47,d|0,(F?k[Ci>>2]|0:Ci)|0,(F?k[M>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){Kd=610;break e}y=0;ta(47,d|0,42165,32)|0;G=y;y=0;if(G&1){Kd=610;break e}y=0;oa(530,Rb|0,Dd|0);G=y;y=0;if(G&1){Kd=610;break e}y=0;G=me;E=(k[wb>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));oa(454,Rb|0,me|0);G=y;y=0;if(G&1){Kd=611;break e}A9(Rb);k[ig>>2]=15972;k[Cd>>2]=16012;k[Fd>>2]=15992;k[Dd>>2]=15832;A9(Ed);Xaa(Dd);nla(ig,16064);Vja(Cd)}while(0);y=0;d=Ha(993,f|0,(k[wb>>2]|0)+68|0)|0;G=y;y=0;if(G&1){Kd=102;break e}if(d){k[ha>>2]=15992;k[jg>>2]=16032;k[yd>>2]=16052;k[ia>>2]=0;y=0;oa(528,ja|0,zd|0);G=y;y=0;if(G&1){Kd=619;break e}k[ka>>2]=0;k[la>>2]=-1;k[jg>>2]=15972;k[yd>>2]=16012;k[ha>>2]=15992;y=0;na(433,zd|0);G=y;y=0;if(G&1){Kd=620;break e}k[zd>>2]=15832;k[Ad>>2]=0;k[Ad+4>>2]=0;k[Ad+8>>2]=0;k[Ad+12>>2]=0;k[pa>>2]=24;k[me>>2]=0;k[me+4>>2]=0;k[me+8>>2]=0;y=0;oa(529,zd|0,me|0);G=y;y=0;if(G&1){Kd=618;break e}A9(me);y=0;d=ta(47,Bd|0,42107,10)|0;G=y;y=0;if(G&1){Kd=630;break e}F=k[v>>2]|0;u=F+52|0;G=i[u+11>>0]|0;E=G<<24>>24<0;y=0;d=ta(47,d|0,(E?k[u>>2]|0:u)|0,(E?k[F+56>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){Kd=630;break e}y=0;d=ta(47,d|0,42198,35)|0;G=y;y=0;if(G&1){Kd=630;break e}G=i[L>>0]|0;F=G<<24>>24<0;y=0;ta(47,d|0,(F?k[Ci>>2]|0:Ci)|0,(F?k[M>>2]|0:G&255)|0)|0;G=y;y=0;if(G&1){Kd=630;break e}y=0;oa(530,Sb|0,zd|0);G=y;y=0;if(G&1){Kd=630;break e}y=0;G=me;E=(k[wb>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));oa(454,Sb|0,me|0);G=y;y=0;if(G&1){Kd=631;break e}A9(Sb);k[jg>>2]=15972;k[yd>>2]=16012;k[Bd>>2]=15992;k[zd>>2]=15832;A9(Ad);Xaa(zd);nla(jg,16064);Vja(yd)}y=0;d=qa(338,f|0)|0;G=y;y=0;if(G&1){Kd=102;break e}G=(k[wb>>2]|0)+68|0;k[oc>>2]=G;y=0;ya(16,qc|0,d|0,G|0,85898,oc|0,pc|0);G=y;y=0;if(G&1){Kd=102;break e}d=k[qc>>2]|0;l=d+28|0;y=0;oa(460,kg|0,k[(k[wb>>2]|0)+64>>2]|0);G=y;y=0;if(G&1){Kd=642;break e}k[kg>>2]=7284;y=0;oa(460,me|0,k[ra>>2]|0);G=y;y=0;if(G&1){Kd=643;break e}k[me>>2]=6336;if((l|0)!=(me|0)){d=d+32|0;if(k[d>>2]|0){y=0;na(423,l|0);G=y;y=0;if(G&1){Kd=644;break e}}k[d>>2]=k[sa>>2];k[sa>>2]=0}DO(me);DO(kg);d=0}else{do if(e){y=0;oa(460,tc|0,k[d+64>>2]|0);G=y;y=0;if(G&1){Kd=102;break e}k[tc>>2]=7284;y=0;e=qa(336,k[Pa>>2]|0)|0;G=y;y=0;if(G&1){Kd=104;break e}y=0;oa(460,ng|0,e|0);G=y;y=0;if(G&1){Kd=104;break e}k[ng>>2]=7172;DO(tc);e=k[Qa>>2]|0;if(!e){Kd=155;break e}y=0;gi=qa(315,88)|0;G=y;y=0;if(G&1){Kd=105;break e}G=uc;E=(k[v>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));d=k[e+80>>2]|0;G=nc;E=uc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,gi|0);G=y;y=0;if(G&1){Kd=107;break e}G=gi+12|0;E=nc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[gi+52>>0]=0;i[gi+53>>0]=0;i[gi+54>>0]=0;e=gi+56|0;k[e>>2]=0;k[gi>>2]=9288;s=gi+60|0;k[s>>2]=9248;dd=gi+64|0;k[dd>>2]=0;k[dd+4>>2]=0;k[dd+8>>2]=0;k[dd+12>>2]=0;y=0;oa(514,dd|0,0);G=y;y=0;if(G&1){Kd=93;break e}k[gi>>2]=9076;k[s>>2]=9208;k[gi+80>>2]=d;i[gi+84>>0]=1;i[gi+85>>0]=0;k[e>>2]=5;q=k[Qa>>2]|0;e=k[q+64>>2]|0;q=k[q+68>>2]|0;if((e|0)!=(q|0))do{y=0;oa(460,og|0,k[e+4>>2]|0);G=y;y=0;if(G&1){Kd=119;break e}k[og>>2]=7284;d=k[Ta>>2]|0;if(!d)d=0;else d=(k[251]|0)==(k[(k[(k[d>>2]|0)+-4>>2]|0)+4>>2]|0)?d:0;y=0;oa(460,pg|0,d|0);G=y;y=0;if(G&1){Kd=120;break e}k[pg>>2]=10120;d=k[Ua>>2]|0;l=k[(k[s>>2]|0)+20>>2]|0;if(!d){y=0;hi=qa(315,88)|0;G=y;y=0;if(G&1){Kd=121;break e}d=k[Ta>>2]|0;G=xc;E=d+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;oa(460,qg|0,d|0);G=y;y=0;if(G&1){Kd=135;break e}k[qg>>2]=7284;k[rg>>2]=0;k[rg+4>>2]=0;k[rg+8>>2]=0;y=0;Na(74,rg|0,87975,0);G=y;y=0;if(G&1){Kd=136;break e}G=mc;E=xc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,hi|0);G=y;y=0;if(G&1){Pc=1;Kd=137;break e}G=hi+12|0;E=mc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[hi+52>>0]=0;i[hi+53>>0]=0;i[hi+54>>0]=0;k[hi+56>>2]=0;k[hi>>2]=9828;Yc=hi+60|0;y=0;oa(460,Yc|0,k[Va>>2]|0);G=y;y=0;if(G&1){Kd=130;break e}k[Yc>>2]=7284;y=0;oa(456,hi+68|0,rg|0);G=y;y=0;if(G&1){Kd=131;break e}i[hi+80>>0]=0;i[hi+81>>0]=0;k[hi+84>>2]=0;y=0;oa(460,wc|0,hi|0);G=y;y=0;if(G&1){Pc=0;Kd=137;break e}k[wc>>2]=7284;y=0;oa(l|0,s|0,wc|0);G=y;y=0;if(G&1){Kd=139;break e}DO(wc);A9(rg);DO(qg)}else{y=0;d=qa(k[(k[d>>2]|0)+12>>2]|0,d|0)|0;G=y;y=0;if(G&1){Kd=121;break e}y=0;oa(460,vc|0,d|0);G=y;y=0;if(G&1){Kd=121;break e}k[vc>>2]=7284;y=0;oa(l|0,s|0,vc|0);G=y;y=0;if(G&1){Kd=122;break e}DO(vc)}DO(pg);DO(og);e=e+8|0}while((e|0)!=(q|0));y=0;e=qa(338,f|0)|0;G=y;y=0;if(G&1){Kd=109;break e}G=(k[v>>2]|0)+52|0;k[ic>>2]=G;y=0;ya(16,kc|0,e|0,G|0,85898,ic|0,jc|0);G=y;y=0;if(G&1){Kd=109;break e}e=k[kc>>2]|0;d=e+28|0;y=0;oa(460,me|0,gi|0);G=y;y=0;if(G&1){Kd=152;break e}k[me>>2]=6336;if((d|0)!=(me|0)){e=e+32|0;if(k[e>>2]|0){y=0;na(423,d|0);G=y;y=0;if(G&1){Kd=153;break e}}k[e>>2]=k[Sa>>2];k[Sa>>2]=0}DO(me);DO(ng);e=u}else{if(l<<24>>24){y=0;ii=qa(315,88)|0;G=y;y=0;if(G&1){Kd=102;break e}G=hc;E=q+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,ii|0);G=y;y=0;if(G&1){Kd=183;break e}G=ii+12|0;E=hc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[ii+52>>0]=0;i[ii+53>>0]=0;i[ii+54>>0]=0;e=ii+56|0;k[e>>2]=0;k[ii>>2]=9288;t=ii+60|0;k[t>>2]=9248;ed=ii+64|0;k[ed>>2]=0;k[ed+4>>2]=0;k[ed+8>>2]=0;k[ed+12>>2]=0;y=0;oa(514,ed|0,0);G=y;y=0;if(G&1){Kd=163;break e}k[ii>>2]=9076;k[t>>2]=9208;k[ii+80>>2]=0;i[ii+84>>0]=1;i[ii+85>>0]=0;k[e>>2]=5;y=0;e=qa(338,f|0)|0;G=y;y=0;if(G&1){Kd=185;break e}G=(k[v>>2]|0)+52|0;k[ec>>2]=G;y=0;ya(16,gc|0,e|0,G|0,85898,ec|0,fc|0);G=y;y=0;if(G&1){Kd=185;break e}e=k[gc>>2]|0;d=e+28|0;y=0;oa(460,me|0,ii|0);G=y;y=0;if(G&1){Kd=186;break e}k[me>>2]=6336;if((d|0)!=(me|0)){e=e+32|0;if(k[e>>2]|0){y=0;na(423,d|0);G=y;y=0;if(G&1){Kd=187;break e}}k[e>>2]=k[qb>>2];k[qb>>2]=0}DO(me);y=0;oa(460,zc|0,k[(k[wb>>2]|0)+64>>2]|0);G=y;y=0;if(G&1){Kd=185;break e}k[zc>>2]=7284;e=k[jb>>2]|0;if(!e)e=0;else e=(k[229]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;y=0;oa(460,sg|0,e|0);G=y;y=0;if(G&1){Kd=189;break e}k[sg>>2]=16764;DO(zc);s=k[kb>>2]|0;e=k[s+84>>2]|0;s=k[s+88>>2]|0;if((e|0)!=(s|0))do{y=0;oa(460,tg|0,k[e+4>>2]|0);G=y;y=0;if(G&1){Kd=209;break e}k[tg>>2]=7284;y=0;d=qa(332,k[vb>>2]|0)|0;G=y;y=0;if(G&1){Kd=210;break e}y=0;oa(460,ug|0,d|0);G=y;y=0;if(G&1){Kd=210;break e}k[ug>>2]=16780;d=k[lb>>2]|0;if(!d){Kd=223;break e}y=0;ma(5,vg|0,d+64|0,0,0,1);G=y;y=0;if(G&1){Kd=211;break e}q=k[(k[t>>2]|0)+20>>2]|0;y=0;ji=qa(315,88)|0;G=y;y=0;if(G&1){Kd=212;break e}l=k[vb>>2]|0;G=Bc;E=l+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));d=k[kb>>2]|0;y=0;oa(460,xg|0,l|0);G=y;y=0;if(G&1){Kd=213;break e}k[xg>>2]=7284;y=0;Na(76,wg|0,d+60|0,xg|0);G=y;y=0;if(G&1){Kd=214;break e}k[yg>>2]=0;k[yg+4>>2]=0;k[yg+8>>2]=0;d=i[mb>>0]|0;d=d<<24>>24<0?k[nb>>2]|0:d&255;y=0;Ra(10,yg|0,42040,1,d+1|0);G=y;y=0;if(G&1){Kd=215;break e}y=0;ta(41,yg|0,((i[mb>>0]|0)<0?k[vg>>2]|0:vg)|0,d|0)|0;G=y;y=0;if(G&1){Kd=215;break e}G=dc;E=Bc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,ji|0);G=y;y=0;if(G&1){Qc=1;Kd=216;break e}G=ji+12|0;E=dc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[ji+52>>0]=0;i[ji+53>>0]=0;i[ji+54>>0]=0;k[ji+56>>2]=0;k[ji>>2]=9828;Zc=ji+60|0;y=0;oa(460,Zc|0,k[ob>>2]|0);G=y;y=0;if(G&1){Kd=204;break e}k[Zc>>2]=7284;y=0;oa(456,ji+68|0,yg|0);G=y;y=0;if(G&1){Kd=205;break e}i[ji+80>>0]=0;i[ji+81>>0]=0;k[ji+84>>2]=0;y=0;oa(460,Ac|0,ji|0);G=y;y=0;if(G&1){Qc=0;Kd=216;break e}k[Ac>>2]=7284;y=0;oa(q|0,t|0,Ac|0);G=y;y=0;if(G&1){Kd=218;break e}DO(Ac);A9(yg);DO(wg);DO(xg);A9(vg);DO(ug);DO(tg);e=e+8|0}while((e|0)!=(s|0));DO(sg);e=u;break}y=0;ki=qa(315,88)|0;G=y;y=0;if(G&1){Kd=102;break e}G=cc;E=q+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,ki|0);G=y;y=0;if(G&1){Kd=253;break e}G=ki+12|0;E=cc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[ki+52>>0]=0;i[ki+53>>0]=0;i[ki+54>>0]=0;e=ki+56|0;k[e>>2]=0;k[ki>>2]=9288;d=ki+60|0;k[d>>2]=9248;fd=ki+64|0;k[fd>>2]=0;k[fd+4>>2]=0;k[fd+8>>2]=0;k[fd+12>>2]=0;y=0;oa(514,fd|0,0);G=y;y=0;if(G&1){Kd=235;break e}k[ki>>2]=9076;k[d>>2]=9208;k[ki+80>>2]=0;i[ki+84>>0]=1;i[ki+85>>0]=0;k[e>>2]=5;y=0;oa(460,zg|0,ki|0);G=y;y=0;if(G&1){Kd=102;break e}k[zg>>2]=7172;e=u;while(1){if(e>>>0>=xb>>>0)break;t=e+1|0;d=k[(k[fe>>2]|0)+64>>2]|0;if(k[wb>>2]|0){y=0;na(423,lg|0);G=y;y=0;if(G&1){Kd=255;break e}}k[wb>>2]=k[d+(e<<3)+4>>2];y=0;na(424,lg|0);G=y;y=0;if(G&1){Kd=255;break e}y=0;oa(460,Dc|0,k[(k[wb>>2]|0)+64>>2]|0);G=y;y=0;if(G&1){Kd=255;break e}k[Dc>>2]=7284;y=0;e=qa(336,k[Wa>>2]|0)|0;G=y;y=0;if(G&1){Kd=258;break e}y=0;oa(460,Ag|0,e|0);G=y;y=0;if(G&1){Kd=258;break e}k[Ag>>2]=7172;DO(Dc);e=k[Xa>>2]|0;do if(!e)Kd=260;else{if((k[e+64>>2]|0)!=(k[e+68>>2]|0)){Kd=260;break}if(!(i[(k[wb>>2]|0)+80>>0]|0))Kd=260;else Ab=14}while(0);if((Kd|0)==260){Kd=0;y=0;oa(460,Bg|0,k[(k[wb>>2]|0)+64>>2]|0);Ab=y;y=0;if(Ab&1){Kd=259;break e}k[Bg>>2]=7284;e=k[Ya>>2]|0;if(!e)e=0;else e=(k[251]|0)==(k[(k[(k[e>>2]|0)+-4>>2]|0)+4>>2]|0)?e:0;y=0;oa(460,Cg|0,e|0);Ab=y;y=0;if(Ab&1){Kd=269;break e}k[Cg>>2]=10120;e=k[Za>>2]|0;do if(!e){e=k[wb>>2]|0;if(!(i[e+80>>0]|0)){d=(k[_a>>2]|0)+60|0;l=k[(k[d>>2]|0)+20>>2]|0;y=0;di=qa(315,88)|0;Ab=y;y=0;if(Ab&1){Kd=270;break e}G=Kc;E=e+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;oa(460,Ig|0,k[e+64>>2]|0);Ab=y;y=0;if(Ab&1){Kd=320;break e}k[Ig>>2]=7284;y=0;oa(456,Jg|0,(k[wb>>2]|0)+68|0);Ab=y;y=0;if(Ab&1){Kd=321;break e}G=ac;E=Kc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,di|0);Ab=y;y=0;if(Ab&1){Nc=1;Kd=322;break e}G=di+12|0;E=ac;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[di+52>>0]=0;i[di+53>>0]=0;i[di+54>>0]=0;k[di+56>>2]=0;k[di>>2]=9828;Vc=di+60|0;y=0;oa(460,Vc|0,k[$a>>2]|0);Ab=y;y=0;if(Ab&1){Kd=315;break e}k[Vc>>2]=7284;y=0;oa(456,di+68|0,Jg|0);Ab=y;y=0;if(Ab&1){Kd=316;break e}i[di+80>>0]=0;i[di+81>>0]=0;k[di+84>>2]=0;y=0;oa(460,Jc|0,di|0);Ab=y;y=0;if(Ab&1){Nc=0;Kd=322;break e}k[Jc>>2]=7284;y=0;oa(l|0,d|0,Jc|0);Ab=y;y=0;if(Ab&1){Kd=324;break e}DO(Jc);A9(Jg);DO(Ig);e=0;break}y=0;oa(460,Gc|0,k[e+64>>2]|0);Ab=y;y=0;if(Ab&1){Kd=270;break e}k[Gc>>2]=7284;y=0;e=qa(336,k[ab>>2]|0)|0;Ab=y;y=0;if(Ab&1){Kd=281;break e}y=0;oa(460,Eg|0,e|0);Ab=y;y=0;if(Ab&1){Kd=281;break e}k[Eg>>2]=7172;DO(Gc);d=k[bb>>2]|0;g:do if(d|0){k[(k[_a>>2]|0)+80>>2]=k[d+80>>2];s=(k[d+68>>2]|0)-(k[d+64>>2]|0)>>3;if(!s)break;e=0;while(1){y=0;Na(100,Fg|0,d|0,e|0);Ab=y;y=0;if(Ab&1){Kd=296;break e}d=(k[_a>>2]|0)+60|0;l=k[(k[d>>2]|0)+20>>2]|0;y=0;ci=qa(315,88)|0;Ab=y;y=0;if(Ab&1){Kd=297;break e}q=k[cb>>2]|0;G=Ic;E=q+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;oa(460,Gg|0,q|0);Ab=y;y=0;if(Ab&1){Kd=298;break e}k[Gg>>2]=7284;k[Hg>>2]=0;k[Hg+4>>2]=0;k[Hg+8>>2]=0;y=0;Na(74,Hg|0,87975,0);Ab=y;y=0;if(Ab&1){Kd=299;break e}G=bc;E=Ic;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;na(422,ci|0);Ab=y;y=0;if(Ab&1){Oc=1;Kd=300;break e}G=ci+12|0;E=bc;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));i[ci+52>>0]=0;i[ci+53>>0]=0;i[ci+54>>0]=0;k[ci+56>>2]=0;k[ci>>2]=9828;Uc=ci+60|0;y=0;oa(460,Uc|0,k[db>>2]|0);Ab=y;y=0;if(Ab&1){Kd=290;break e}k[Uc>>2]=7284;y=0;oa(456,ci+68|0,Hg|0);Ab=y;y=0;if(Ab&1){Kd=291;break e}i[ci+80>>0]=0;i[ci+81>>0]=0;k[ci+84>>2]=0;y=0;oa(460,Hc|0,ci|0);Ab=y;y=0;if(Ab&1){Oc=0;Kd=300;break e}k[Hc>>2]=7284;y=0;oa(l|0,d|0,Hc|0);Ab=y;y=0;if(Ab&1){Kd=302;break e}DO(Hc);A9(Hg);DO(Gg);DO(Fg);e=e+1|0;if(e>>>0>=s>>>0)break g;d=k[bb>>2]|0}}while(0);DO(Eg);e=15}else{d=(k[_a>>2]|0)+60|0;l=k[(k[d>>2]|0)+20>>2]|0;y=0;oa(460,Dg|0,e|0);Ab=y;y=0;if(Ab&1){Kd=270;break e}k[Dg>>2]=10120;y=0;oa(460,Ec|0,k[eb>>2]|0);Ab=y;y=0;if(Ab&1){Kd=271;break e}k[Ec>>2]=7284;y=0;oa(l|0,d|0,Ec|0);Ab=y;y=0;if(Ab&1){Kd=272;break e}DO(Ec);DO(Dg);e=0}while(0);DO(Cg);DO(Bg);Ab=e}DO(Ag);if((Ab|0)==15){e=t;break}else e=t}y=0;d=qa(338,f|0)|0;G=y;y=0;if(G&1){Kd=256;break e}G=(k[v>>2]|0)+52|0;k[Zb>>2]=G;y=0;ya(16,$b|0,d|0,G|0,85898,Zb|0,_b|0);G=y;y=0;if(G&1){Kd=256;break e}d=k[$b>>2]|0;l=d+28|0;y=0;oa(460,Tf|0,k[_a>>2]|0);G=y;y=0;if(G&1){Kd=341;break e}k[Tf>>2]=7172;y=0;oa(460,me|0,k[hb>>2]|0);G=y;y=0;if(G&1){Kd=342;break e}k[me>>2]=6336;if((l|0)!=(me|0)){d=d+32|0;if(k[d>>2]|0){y=0;na(423,l|0);G=y;y=0;if(G&1){Kd=343;break e}}k[d>>2]=k[ib>>2];k[ib>>2]=0}DO(me);DO(Tf);DO(zg)}while(0);h=h+1|0;d=9}while(0);DO(mg)}else{e=k[wb>>2]|0;if(!(i[e+80>>0]|0)){Kd=60;break}y=0;oa(460,sc|0,k[e+64>>2]|0);G=y;y=0;if(G&1){Kd=56;break}k[sc>>2]=7284;y=0;e=qa(336,k[rb>>2]|0)|0;G=y;y=0;if(G&1){Kd=58;break}y=0;oa(460,rc|0,e|0);G=y;y=0;if(G&1){Kd=58;break}k[rc>>2]=7172;DO(sc);e=k[tb>>2]|0;if(!e){d=0;e=u}else{e=(k[e+68>>2]|0)==(k[e+64>>2]|0);d=e?8:0;e=(e&1)+u|0}DO(rc);if(!d){Kd=60;break}}DO(lg);switch(d|0){case 9:break d;case 8:case 0:break;default:{Kd=703;break e}}if(e>>>0<xb>>>0)u=e;else break d}h:switch(Kd|0){case 55:{v=pb()|0;break c}case 56:{Sf=pb()|0;Kd=57;break}case 58:{Pf=pb()|0;DO(sc);break}case 60:{q=ld+64|0;h=ld+8|0;k[h>>2]=15992;l=ld+12|0;k[ld>>2]=16032;k[q>>2]=16052;k[ld+4>>2]=0;y=0;oa(528,ld+64|0,l|0);ge=y;y=0;if(ge&1)h=pb()|0;else{k[ld+136>>2]=0;k[ld+140>>2]=-1;k[ld>>2]=15972;k[q>>2]=16012;k[h>>2]=15992;y=0;na(433,l|0);ge=y;y=0;do if(ge&1)h=pb()|0;else{k[l>>2]=15832;d=ld+44|0;k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;k[d+12>>2]=0;k[ld+60>>2]=24;k[me>>2]=0;k[me+4>>2]=0;k[me+8>>2]=0;y=0;oa(529,l|0,me|0);ge=y;y=0;if(ge&1){h=pb()|0;A9(me);A9(d);Xaa(l);break}A9(me);e=ld+8|0;y=0;h=ta(47,e|0,41992,27)|0;Pf=y;y=0;do if(Pf&1)Kd=79;else{y=0;h=Ha(976,h|0,xb|0)|0;Pf=y;y=0;if(Pf&1){Kd=79;break}y=0;h=ta(47,h|0,42020,5)|0;Pf=y;y=0;if(Pf&1){Kd=79;break}y=0;h=Ha(976,h|0,Bb|0)|0;Pf=y;y=0;if(Pf&1){Kd=79;break}y=0;ta(47,h|0,48585,1)|0;Pf=y;y=0;if(Pf&1){Kd=79;break}y=0;h=ta(47,e|0,51783,6)|0;Pf=y;y=0;if(Pf&1){Kd=79;break}Pf=i[gd>>0]|0;ge=Pf<<24>>24<0;y=0;h=ta(47,h|0,(ge?k[b>>2]|0:b)|0,(ge?k[hd>>2]|0:Pf&255)|0)|0;Pf=y;y=0;if(Pf&1){Kd=79;break}y=0;ta(47,h|0,51790,1)|0;Pf=y;y=0;if(Pf&1){Kd=79;break}y=0;oa(530,jd|0,l|0);Pf=y;y=0;if(Pf&1){Kd=79;break}y=0;G=me;E=(k[fe>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));oa(454,jd|0,me|0);Pf=y;y=0;if(Pf&1){kd=pb()|0;A9(jd);break}A9(jd);k[ld>>2]=15972;k[q>>2]=16012;k[e>>2]=15992;k[l>>2]=15832;A9(d);Xaa(l);nla(ld,16064);Vja(q);DO(lg);DO(Ai);Bi=k[Bi>>2]|0;EC(Di,Bi);A9(Ci);r=he;return}while(0);if((Kd|0)==79)kd=pb()|0;k[ld>>2]=15972;k[q>>2]=16012;k[e>>2]=15992;k[l>>2]=15832;A9(d);Xaa(l);nla(ld,16064);Vja(q);Pf=kd;break h}while(0);nla(ld,16064)}Vja(q);Sf=h;Kd=57;break}case 93:{n=pb()|0;d=N;l=gi+68|0;h=k[dd>>2]|0;if(h|0){e=k[l>>2]|0;if((e|0)!=(h|0)){do{me=e+-8|0;k[l>>2]=me;lc[k[k[me>>2]>>2]&511](me);e=k[l>>2]|0}while((e|0)!=(h|0));h=k[dd>>2]|0}cra(h)}Kd=108;break}case 102:{si=pb()|0;Kd=103;break}case 104:{$h=pb()|0;DO(tc);Kd=650;break}case 105:{zi=pb()|0;Kd=106;break}case 107:{n=pb()|0;Kd=108;break}case 109:{Vg=pb()|0;Kd=158;break}case 119:{Vg=pb()|0;Kd=158;break}case 120:{ai=pb()|0;Kd=144;break}case 121:{Sh=pb()|0;Kd=143;break}case 122:{Sh=pb()|0;DO(vc);Kd=143;break}case 130:{jh=pb()|0;Kd=132;break}case 131:{jh=pb()|0;DO(Yc);Kd=132;break}case 135:{Ph=pb()|0;Kd=141;break}case 136:{Ph=pb()|0;DO(qg);Kd=141;break}case 137:{ri=pb()|0;Ng=Pc;Kd=138;break}case 139:{sh=pb()|0;DO(wc);_g=0;Kd=140;break}case 152:{bi=pb()|0;Kd=154;break}case 153:{bi=pb()|0;DO(me);Kd=154;break}case 155:{h=gb(8)|0;y=0;oa(495,h|0,42026);Of=y;y=0;if(Of&1){Vg=pb()|0;fb(h|0);Kd=158;break}else{y=0;Na(75,h|0,5792,409);y=0;zi=pb()|0;Kd=106;break}}case 163:{o=pb()|0;d=N;l=ii+68|0;h=k[ed>>2]|0;if(h|0){e=k[l>>2]|0;if((e|0)!=(h|0)){do{me=e+-8|0;k[l>>2]=me;lc[k[k[me>>2]>>2]&511](me);e=k[l>>2]|0}while((e|0)!=(h|0));h=k[ed>>2]|0}cra(h)}Kd=184;break}case 183:{o=pb()|0;Kd=184;break}case 185:{$h=pb()|0;Kd=650;break}case 186:{Wg=pb()|0;Kd=188;break}case 187:{Wg=pb()|0;DO(me);Kd=188;break}case 189:{$h=pb()|0;DO(zc);Kd=650;break}case 204:{kh=pb()|0;Kd=206;break}case 205:{kh=pb()|0;DO(Zc);Kd=206;break}case 209:{fh=pb()|0;Kd=231;break}case 210:{eh=pb()|0;Kd=230;break}case 211:{Qf=pb()|0;Kd=229;break}case 212:{dh=pb()|0;Kd=222;break}case 213:{ch=pb()|0;Kd=221;break}case 214:{ch=pb()|0;DO(xg);Kd=221;break}case 215:{bh=pb()|0;A9(yg);gh=1;Kd=220;break}case 216:{ti=pb()|0;Og=Qc;Kd=217;break}case 218:{ah=pb()|0;DO(Ac);$g=0;Kd=219;break}case 223:{d=gb(92)|0;h=k[vb>>2]|0;G=$c;E=h+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;oa(k[(k[h>>2]|0)+20>>2]|0,bd|0,h|0);Qf=y;y=0;if(Qf&1)h=pb()|0;else{h=k[wb>>2]|0;y=0;G=me;E=$c;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));Ra(22,d|0,me|0,bd|0,h|0);Qf=y;y=0;if(Qf&1)e=1;else{y=0;Na(75,d|0,2400,232);y=0;e=0}h=pb()|0;A9(bd);if(!e){Qf=h;Kd=229;break}}fb(d|0);Qf=h;Kd=229;break}case 235:{p=pb()|0;d=N;l=ki+68|0;h=k[fd>>2]|0;if(h|0){e=k[l>>2]|0;if((e|0)!=(h|0)){do{me=e+-8|0;k[l>>2]=me;lc[k[k[me>>2]>>2]&511](me);e=k[l>>2]|0}while((e|0)!=(h|0));h=k[fd>>2]|0}cra(h)}Kd=254;break}case 253:{p=pb()|0;Kd=254;break}case 255:{yi=pb()|0;Kd=257;break}case 256:{yi=pb()|0;Kd=257;break}case 258:{zh=pb()|0;DO(Dc);Kd=346;break}case 259:{wh=pb()|0;Kd=331;break}case 269:{vh=pb()|0;Kd=330;break}case 270:{uh=pb()|0;Kd=329;break}case 271:{hh=pb()|0;Kd=273;break}case 272:{hh=pb()|0;DO(Ec);Kd=273;break}case 281:{uh=pb()|0;DO(Gc);Kd=329;break}case 290:{lh=pb()|0;Kd=292;break}case 291:{lh=pb()|0;DO(Uc);Kd=292;break}case 296:{qh=pb()|0;Kd=306;break}case 297:{ph=pb()|0;Kd=305;break}case 298:{oh=pb()|0;Kd=304;break}case 299:{oh=pb()|0;DO(Gg);Kd=304;break}case 300:{ui=pb()|0;Mg=Oc;Kd=301;break}case 302:{ih=pb()|0;DO(Hc);Zg=0;Kd=303;break}case 315:{mh=pb()|0;Kd=317;break}case 316:{mh=pb()|0;DO(Vc);Kd=317;break}case 320:{th=pb()|0;Kd=326;break}case 321:{th=pb()|0;DO(Ig);Kd=326;break}case 322:{vi=pb()|0;Lg=Nc;Kd=323;break}case 324:{rh=pb()|0;DO(Jc);Yg=0;Kd=325;break}case 341:{yh=pb()|0;Kd=345;break}case 342:{xh=pb()|0;Kd=344;break}case 343:{xh=pb()|0;DO(me);Kd=344;break}case 360:{m=pb()|0;d=N;l=ei+68|0;h=k[cd>>2]|0;if(h|0){e=k[l>>2]|0;if((e|0)!=(h|0)){do{me=e+-8|0;k[l>>2]=me;lc[k[k[me>>2]>>2]&511](me);e=k[l>>2]|0}while((e|0)!=(h|0));h=k[cd>>2]|0}cra(h)}Kd=378;break}case 372:{$h=pb()|0;DO(Eb);Kd=650;break}case 373:{Ih=pb()|0;Kd=460;break}case 374:{Ih=pb()|0;DO(Fb);Kd=460;break}case 375:{Bh=pb()|0;Kd=382;break}case 376:{Ah=pb()|0;Kd=380;break}case 377:{m=pb()|0;Kd=378;break}case 379:{Ah=pb()|0;DO(me);Kd=380;break}case 381:{Bh=pb()|0;DO(Gb);Kd=382;break}case 390:{ni=pb()|0;A9(me);A9(od);Xaa(nd);Kd=393;break}case 391:{Rg=pb()|0;Kd=407;break}case 392:{ni=pb()|0;Kd=393;break}case 408:{Ch=pb()|0;Kd=411;break}case 409:{Ch=pb()|0;A9(Hb);Kd=411;break}case 427:{nh=pb()|0;Kd=429;break}case 428:{nh=pb()|0;DO(Wc);Kd=429;break}case 433:{Dh=pb()|0;Kd=435;break}case 434:{Dh=pb()|0;DO(me);Kd=435;break}case 436:{Gh=pb()|0;Kd=444;break}case 437:{Fh=pb()|0;Kd=443;break}case 438:{Fh=pb()|0;DO(Yf);Kd=443;break}case 439:{wi=pb()|0;Kg=Mc;Kd=440;break}case 441:{Eh=pb()|0;DO(me);Xg=0;Kd=442;break}case 455:{Hh=pb()|0;Kd=459;break}case 468:{$h=pb()|0;DO(Kb);Kd=650;break}case 472:{d=gb(92)|0;h=k[ub>>2]|0;G=_c;E=h+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;oa(k[(k[h>>2]|0)+20>>2]|0,ad|0,h|0);Rf=y;y=0;if(Rf&1)h=pb()|0;else{h=k[wb>>2]|0;y=0;G=me;E=_c;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));Ra(22,d|0,me|0,ad|0,h|0);Rf=y;y=0;if(Rf&1)e=1;else{y=0;Na(75,d|0,2400,232);y=0;e=0}h=pb()|0;A9(ad);if(!e){Rf=h;Kd=523;break}}fb(d|0);Rf=h;Kd=523;break}case 475:{Qh=pb()|0;Kd=524;break}case 476:{Rf=pb()|0;Kd=523;break}case 486:{pi=pb()|0;A9(me);A9(Id);Xaa(Hd);Kd=489;break}case 487:{Tg=pb()|0;Kd=490;break}case 488:{pi=pb()|0;Kd=489;break}case 497:{Jh=pb()|0;Kd=499;break}case 498:{Jh=pb()|0;A9(me);Kd=499;break}case 500:{xi=pb()|0;Kd=501;break}case 502:{Kh=pb()|0;Kd=504;break}case 503:{Kh=pb()|0;A9(Lb);Kd=504;break}case 515:{Nh=pb()|0;Kd=521;break}case 516:{Mh=pb()|0;Kd=520;break}case 517:{Lh=pb()|0;Kd=519;break}case 518:{Lh=pb()|0;DO(me);Kd=519;break}case 535:{qi=pb()|0;A9(me);A9(sd);Xaa(rd);Kd=538;break}case 536:{Ug=pb()|0;Kd=539;break}case 537:{qi=pb()|0;Kd=538;break}case 547:{Rh=pb()|0;Kd=549;break}case 548:{Rh=pb()|0;A9(Nb);Kd=549;break}case 559:{Uh=pb()|0;Kd=563;break}case 560:{Th=pb()|0;Kd=562;break}case 561:{Th=pb()|0;DO(me);Kd=562;break}case 570:{Vh=pb()|0;Kd=572;break}case 571:{Vh=pb()|0;DO(Ob);Kd=572;break}case 576:{oi=pb()|0;A9(me);A9(wd);Xaa(vd);Kd=579;break}case 577:{Sg=pb()|0;Kd=580;break}case 578:{oi=pb()|0;Kd=579;break}case 587:{Wh=pb()|0;Kd=589;break}case 588:{Wh=pb()|0;A9(Pb);Kd=589;break}case 597:{mi=pb()|0;A9(me);A9(Ed);Xaa(Dd);Kd=600;break}case 598:{Qg=pb()|0;Kd=601;break}case 599:{mi=pb()|0;Kd=600;break}case 610:{Xh=pb()|0;Kd=612;break}case 611:{Xh=pb()|0;A9(Rb);Kd=612;break}case 618:{li=pb()|0;A9(me);A9(Ad);Xaa(zd);Kd=621;break}case 619:{Pg=pb()|0;Kd=622;break}case 620:{li=pb()|0;Kd=621;break}case 630:{Yh=pb()|0;Kd=632;break}case 631:{Yh=pb()|0;A9(Sb);Kd=632;break}case 642:{_h=pb()|0;Kd=646;break}case 643:{Zh=pb()|0;Kd=645;break}case 644:{Zh=pb()|0;DO(me);Kd=645;break}case 703:{DO(Ai);Bi=k[Bi>>2]|0;EC(Di,Bi);A9(Ci);r=he;return}}switch(Kd|0){case 57:{Pf=Sf;break}case 106:{Vg=zi;Kd=158;break}case 108:{cra(gi);Vg=n;Kd=158;break}case 132:{Ng=1;ri=jh;Kd=138;break}case 154:{Vg=bi;Kd=158;break}case 184:{cra(ii);$h=o;Kd=650;break}case 188:{$h=Wg;Kd=650;break}case 206:{Og=1;ti=kh;Kd=217;break}case 254:{cra(ki);$h=p;Kd=650;break}case 257:{zh=yi;Kd=346;break}case 273:{DO(Dg);uh=hh;Kd=329;break}case 292:{Mg=1;ui=lh;Kd=301;break}case 317:{Lg=1;vi=mh;Kd=323;break}case 344:{DO(Tf);yh=xh;Kd=345;break}case 378:{cra(ei);Ah=m;Kd=380;break}case 393:{nla(Wf,16064);Rg=ni;Kd=407;break}case 411:{k[Wf>>2]=15972;k[md>>2]=16012;k[pd>>2]=15992;k[nd>>2]=15832;A9(od);Xaa(nd);nla(Wf,16064);Vja(md);Ih=Ch;Kd=460;break}case 429:{Kg=1;wi=nh;Kd=440;break}case 435:{Hh=Dh;Kd=459;break}case 489:{nla(bg,16064);Tg=pi;Kd=490;break}case 499:{Rf=Jh;Kd=523;break}case 504:{k[bg>>2]=15972;k[Gd>>2]=16012;k[Jd>>2]=15992;k[Hd>>2]=15832;A9(Id);Xaa(Hd);nla(bg,16064);Vja(Gd);Oh=Kh;Kd=522;break}case 519:{DO(cg);Mh=Lh;Kd=520;break}case 538:{nla(eg,16064);Ug=qi;Kd=539;break}case 549:{k[eg>>2]=15972;k[qd>>2]=16012;k[td>>2]=15992;k[rd>>2]=15832;A9(sd);Xaa(rd);nla(eg,16064);Vja(qd);$h=Rh;Kd=650;break}case 562:{DO(fg);Uh=Th;Kd=563;break}case 572:{DO(gg);$h=Vh;Kd=650;break}case 579:{nla(hg,16064);Sg=oi;Kd=580;break}case 589:{k[hg>>2]=15972;k[ud>>2]=16012;k[xd>>2]=15992;k[vd>>2]=15832;A9(wd);Xaa(vd);nla(hg,16064);Vja(ud);$h=Wh;Kd=650;break}case 600:{nla(ig,16064);Qg=mi;Kd=601;break}case 612:{k[ig>>2]=15972;k[Cd>>2]=16012;k[Fd>>2]=15992;k[Dd>>2]=15832;A9(Ed);Xaa(Dd);nla(ig,16064);Vja(Cd);$h=Xh;Kd=650;break}case 621:{nla(jg,16064);Pg=li;Kd=622;break}case 632:{k[jg>>2]=15972;k[yd>>2]=16012;k[Bd>>2]=15992;k[zd>>2]=15832;A9(Ad);Xaa(zd);nla(jg,16064);Vja(yd);$h=Yh;Kd=650;break}case 645:{DO(kg);_h=Zh;Kd=646;break}}switch(Kd|0){case 138:{_g=Ng;sh=ri;Kd=140;break}case 217:{$g=Og;ah=ti;Kd=219;break}case 301:{Zg=Mg;ih=ui;Kd=303;break}case 323:{Yg=Lg;rh=vi;Kd=325;break}case 345:{zh=yh;Kd=346;break}case 380:{Bh=Ah;Kd=382;break}case 407:{Vja(md);Ih=Rg;Kd=460;break}case 440:{Xg=Kg;Eh=wi;Kd=442;break}case 490:{Vja(Gd);xi=Tg;Kd=501;break}case 520:{DO(dg);Nh=Mh;Kd=521;break}case 539:{Vja(qd);si=Ug;Kd=103;break}case 563:{$h=Uh;Kd=650;break}case 580:{Vja(ud);si=Sg;Kd=103;break}case 601:{Vja(Cd);si=Qg;Kd=103;break}case 622:{Vja(yd);si=Pg;Kd=103;break}case 646:{$h=_h;Kd=650;break}}if((Kd|0)==103){$h=si;Kd=650}else if((Kd|0)==140){A9(rg);DO(qg);if(_g){Ph=sh;Kd=141}else{Sh=sh;Kd=143}}else if((Kd|0)==219){A9(yg);bh=ah;gh=$g;Kd=220}else if((Kd|0)==303){A9(Hg);DO(Gg);if(Zg){oh=ih;Kd=304}else{ph=ih;Kd=305}}else if((Kd|0)==325){A9(Jg);DO(Ig);if(Yg){th=rh;Kd=326}else{uh=rh;Kd=329}}else if((Kd|0)==382){DO(Vf);Ih=Bh;Kd=460}else if((Kd|0)==442){A9(Zf);DO(Yf);if(Xg){Fh=Eh;Kd=443}else{Gh=Eh;Kd=444}}else if((Kd|0)==501){Oh=xi;Kd=522}else if((Kd|0)==521){Oh=Nh;Kd=522}if((Kd|0)==141){cra(hi);Sh=Ph;Kd=143}else if((Kd|0)==220){DO(wg);DO(xg);if(gh){ch=bh;Kd=221}else{dh=bh;Kd=222}}else if((Kd|0)==304){cra(ci);ph=oh;Kd=305}else if((Kd|0)==326){cra(di);uh=th;Kd=329}else if((Kd|0)==443){cra(fi);Gh=Fh;Kd=444}else if((Kd|0)==522){A9(ag);Rf=Oh;Kd=523}if((Kd|0)==143){DO(pg);ai=Sh;Kd=144}else if((Kd|0)==221){cra(ji);dh=ch;Kd=222}else if((Kd|0)==305){DO(Fg);qh=ph;Kd=306}else if((Kd|0)==444){Hh=Gh;Kd=459}else if((Kd|0)==523){DO($f);Qh=Rf;Kd=524}if((Kd|0)==144){DO(og);Vg=ai;Kd=158}else if((Kd|0)==222){A9(vg);Qf=dh;Kd=229}else if((Kd|0)==306){DO(Eg);uh=qh;Kd=329}else if((Kd|0)==459){DO(Xf);Ih=Hh;Kd=460}else if((Kd|0)==524){DO(_f);$h=Qh;Kd=650}if((Kd|0)==158){DO(ng);$h=Vg;Kd=650}else if((Kd|0)==229){DO(ug);eh=Qf;Kd=230}else if((Kd|0)==329){DO(Cg);vh=uh;Kd=330}else if((Kd|0)==460){DO(Uf);$h=Ih;Kd=650}if((Kd|0)==230){DO(tg);fh=eh;Kd=231}else if((Kd|0)==330){DO(Bg);wh=vh;Kd=331}if((Kd|0)==231){DO(sg);$h=fh;Kd=650}else if((Kd|0)==331){DO(Ag);zh=wh;Kd=346}if((Kd|0)==346){DO(zg);$h=zh;Kd=650}if((Kd|0)==650){DO(mg);Pf=$h}DO(lg);v=Pf;break c}while(0);if(h>>>0>=Bb>>>0){DO(Ai);Bi=k[Bi>>2]|0;EC(Di,Bi);A9(Ci);r=he;return}s=ae+4|0;m=Ld+4|0;n=Md+4|0;o=me+4|0;p=be+4|0;q=me+4|0;i:while(1){e=(k[Cb>>2]|0)+52|0;y=0;e=Ha(k[(k[e>>2]|0)+16>>2]|0,e|0,h|0)|0;zi=y;y=0;if(zi&1){Kd=666;break}y=0;oa(460,ae|0,k[e+4>>2]|0);zi=y;y=0;if(zi&1){Kd=666;break}k[ae>>2]=12920;y=0;e=Ha(993,f|0,(k[s>>2]|0)+52|0)|0;zi=y;y=0;if(zi&1){Kd=667;break}do if(!e){e=k[s>>2]|0;if(i[e+72>>0]|0){y=0;e=qa(338,f|0)|0;zi=y;y=0;if(zi&1){Kd=667;break i}zi=(k[s>>2]|0)+52|0;k[Nd>>2]=zi;y=0;ya(16,Pd|0,e|0,zi|0,85898,Nd|0,Od|0);zi=y;y=0;if(zi&1){Kd=667;break i}e=k[Pd>>2]|0;d=e+28|0;y=0;oa(460,be|0,k[id>>2]|0);zi=y;y=0;if(zi&1){Kd=668;break i}k[be>>2]=7172;y=0;oa(460,me|0,k[p>>2]|0);zi=y;y=0;if(zi&1){Kd=669;break i}k[me>>2]=6336;if((d|0)!=(me|0)){e=e+32|0;if(k[e>>2]|0){y=0;na(423,d|0);zi=y;y=0;if(zi&1){Kd=670;break i}}k[e>>2]=k[q>>2];k[q>>2]=0}DO(me);DO(be);break}y=0;oa(460,Ld|0,k[e+68>>2]|0);zi=y;y=0;if(zi&1){Kd=667;break i}k[Ld>>2]=7284;zi=(k[m>>2]|0)==0;DO(Ld);if(zi){Kd=690;break i}y=0;oa(460,Md|0,k[(k[s>>2]|0)+68>>2]|0);zi=y;y=0;if(zi&1){Kd=667;break i}k[Md>>2]=7284;d=k[n>>2]|0;y=0;d=Ha(k[(k[d>>2]|0)+56>>2]|0,d|0,g|0)|0;zi=y;y=0;if(zi&1){Kd=685;break i}DO(Md);y=0;e=qa(338,f|0)|0;zi=y;y=0;if(zi&1){Kd=686;break i}zi=(k[s>>2]|0)+52|0;k[Qd>>2]=zi;y=0;ya(16,Sd|0,e|0,zi|0,85898,Qd|0,Rd|0);zi=y;y=0;if(zi&1){Kd=686;break i}e=k[Sd>>2]|0;l=e+28|0;y=0;oa(460,me|0,d|0);zi=y;y=0;if(zi&1){Kd=687;break i}k[me>>2]=6336;if((l|0)!=(me|0)){e=e+32|0;if(k[e>>2]|0){y=0;na(423,l|0);zi=y;y=0;if(zi&1){Kd=688;break i}}k[e>>2]=k[o>>2];k[o>>2]=0}DO(me)}while(0);DO(ae);h=h+1|0;if(h>>>0>=Bb>>>0){Kd=703;break}}j:switch(Kd|0){case 666:{v=pb()|0;break c}case 667:{Td=pb()|0;break}case 668:{de=pb()|0;Kd=672;break}case 669:{ce=pb()|0;Kd=671;break}case 670:{ce=pb()|0;DO(me);Kd=671;break}case 685:{Td=pb()|0;DO(Md);break}case 686:{Td=pb()|0;break}case 687:{ee=pb()|0;Kd=689;break}case 688:{ee=pb()|0;DO(me);Kd=689;break}case 690:{d=gb(112)|0;G=Vd;E=(k[fe>>2]|0)+12|0;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));y=0;oa(456,_d|0,b|0);zi=y;y=0;do if(zi&1)h=pb()|0;else{y=0;oa(456,$d|0,(k[s>>2]|0)+52|0);zi=y;y=0;if(zi&1){h=pb()|0;A9(_d);break}y=0;oa(456,Zd|0,a|0);zi=y;y=0;if(zi&1){h=pb()|0;e=1}else{y=0;G=me;E=Vd;F=G+40|0;do{k[G>>2]=k[E>>2];G=G+4|0;E=E+4|0}while((G|0)<(F|0));ma(9,d|0,me|0,_d|0,$d|0,Zd|0);zi=y;y=0;if(zi&1)h=1;else{y=0;Na(75,d|0,2416,230);y=0;h=0}zi=pb()|0;A9(Zd);e=h;h=zi}A9($d);A9(_d);if(!e){Td=h;break j}}while(0);fb(d|0);Td=h;break}case 703:{DO(Ai);Bi=k[Bi>>2]|0;EC(Di,Bi);A9(Ci);r=he;return}}if((Kd|0)==671){DO(be);de=ce;Kd=672}else if((Kd|0)==689)Td=ee;if((Kd|0)==672)Td=de;DO(ae);v=Td}while(0);DO(Ai);h=v;break a}while(0);cra(t)}while(0);if((Kd|0)==20)h=pb()|0;EC(Di,k[Bi>>2]|0);A9(Ci);Di=h;sb(Di|0)}function Wc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,j=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0;T=0;Z=r;r=r+96|0;V=Z+84|0;P=Z+72|0;L=Z+60|0;aa=Z+48|0;$=Z+36|0;K=Z+24|0;_=Z+12|0;Y=Z;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=0;aI(a,87975,0);a:do if(k[c>>2]&64|0){k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;y=0;Na(74,P|0,87975,0);U=y;y=0;if(U&1)d=pb()|0;else{v=b+11|0;w=b+4|0;s=V+11|0;t=V+4|0;g=0;p=0;q=0;f=0;e=0;n=0;b:while(1){U=i[v>>0]|0;m=U<<24>>24<0;h=m?k[b>>2]|0:b;U=m?k[w>>2]|0:U&255;m=h+U|0;j=h;if(U>>>0<=n>>>0){T=29;break}h=h+n|0;c:while(1){switch(i[h>>0]|0){case 42:case 92:case 47:case 39:case 34:break c;default:{}}h=h+1|0;if((h|0)==(m|0)){T=29;break b}}n=h-j|0;if((h|0)==(m|0)|(n|0)==-1){T=29;break}y=0;h=Ha(1029,b|0,n|0)|0;U=y;y=0;if(U&1){T=11;break}switch(i[h>>0]|0){case 34:{h=g;m=p^((g|q)^1);o=q;g=n;break}case 39:{h=g;m=p;o=q^((g|p)^1);g=n;break}case 47:{if(g&(n|0)!=0){y=0;g=Ha(1029,b|0,n+-1|0)|0;U=y;y=0;if(U&1){T=16;break b}g=(i[g>>0]|0)==42;h=g^1;m=p;o=q;f=g?n+1|0:f;g=n}else{h=g;m=p;o=q;g=n}break}case 92:{h=g;m=p;o=q;g=n+((p|q)&1)|0;break}case 42:{if(p){h=g;m=1;o=q;g=n}else if((n|0)!=0&(q^1)){j=n+-1|0;y=0;h=Ha(1029,b|0,j|0)|0;U=y;y=0;if(U&1){T=16;break b}if((i[h>>0]|0)==47){y=0;ma(4,V|0,b|0,f|0,j-f|0,b|0);U=y;y=0;if(U&1){T=25;break b}U=i[s>>0]|0;T=U<<24>>24<0;y=0;ta(41,P|0,(T?k[V>>2]|0:V)|0,(T?k[t>>2]|0:U&255)|0)|0;U=y;y=0;if(U&1){T=26;break b}A9(V);h=1;m=0;o=q;e=j;g=n}else{h=g;m=0;o=q;g=n}}else{h=g;m=0;o=q;g=n}break}default:{h=g;m=p;o=q;g=n}}n=g+1|0;if((n|0)==-1){g=h;T=29;break}else{g=h;p=m;q=o}}d:do if((T|0)==11)d=pb()|0;else if((T|0)==16)d=pb()|0;else if((T|0)==25){d=pb()|0;T=27}else if((T|0)==26){d=pb()|0;A9(V);T=27}else if((T|0)==29){e:do if(g){y=0;ma(4,V|0,b|0,e|0,-1,b|0);U=y;y=0;do if(U&1)d=pb()|0;else{U=i[V+11>>0]|0;S=U<<24>>24<0;y=0;ta(41,P|0,(S?k[V>>2]|0:V)|0,(S?k[V+4>>2]|0:U&255)|0)|0;U=y;y=0;if(U&1){d=pb()|0;A9(V);break}else{A9(V);break e}}while(0);break d}else{y=0;ma(4,V|0,b|0,f|0,-1,b|0);U=y;y=0;do if(U&1)d=pb()|0;else{U=i[V+11>>0]|0;S=U<<24>>24<0;y=0;ta(41,P|0,(S?k[V>>2]|0:V)|0,(S?k[V+4>>2]|0:U&255)|0)|0;U=y;y=0;if(U&1){d=pb()|0;A9(V);break}else{A9(V);break e}}while(0);break d}while(0);if((i[v>>0]|0)<0){i[k[b>>2]>>0]=0;k[w>>2]=0}else{i[b>>0]=0;i[v>>0]=0}y=0;oa(500,b|0,0);U=y;y=0;if(U&1){aa=tb(0)|0;Sla(aa)}else{k[b>>2]=k[P>>2];k[b+4>>2]=k[P+4>>2];k[b+8>>2]=k[P+8>>2];k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;A9(P);break a}}while(0);A9(P)}aa=d;A9(a);sb(aa|0)}while(0);y=0;oa(695,V|0,b|0);U=y;y=0;if(U&1){aa=pb()|0;A9(a);sb(aa|0)}R=b+11|0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[b+4>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(500,b|0,0);U=y;y=0;if(U&1){U=tb(0)|0;Sla(U)}k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;A9(V);j=i[R>>0]|0;f=j<<24>>24<0;S=b+4|0;h=f?k[b>>2]|0:b;j=f?k[S>>2]|0:j&255;f=i[81987]|0;U=f<<24>>24<0;e=U?k[20494]|0:81976;f=U?k[20495]|0:f&255;f:do if(!j)d=-1;else{g=h+j|0;g:do if(!f)d=h;else{d=h;while(1){if(!(aA(e,l[d>>0]|0,f)|0))break g;d=d+1|0;if((d|0)==(g|0)){d=-1;break f}}}while(0);d=d-h|0}while(0);O=i[c+20>>0]|0?0:d;if((O|0)==-1){k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Ra(10,V|0,h|0,j|0,j+1|0);aa=y;y=0;do if(aa&1)T=69;else{y=0;ta(41,V|0,52248,1)|0;aa=y;y=0;if(aa&1)T=69;else{aa=i[V+11>>0]|0;$=aa<<24>>24<0;y=0;ta(41,c+24|0,($?k[V>>2]|0:V)|0,($?k[V+4>>2]|0:aa&255)|0)|0;aa=y;y=0;if(aa&1){d=pb()|0;A9(V);break}A9(V);r=Z;return}}while(0);if((T|0)==69){d=pb()|0;A9(V)}aa=d;A9(a);sb(aa|0)}y=0;ma(4,aa|0,b|0,0,O|0,b|0);U=y;y=0;if(U&1){aa=pb()|0;A9(a);sb(aa|0)}y=0;ma(4,$|0,b|0,O|0,2,b|0);U=y;y=0;if(U&1)d=pb()|0;else{s=aa+11|0;g=i[s>>0]|0;u=aa+4|0;v=c+56|0;w=c+52|0;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;M=c+40|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;U=c+8|0;Q=U+11|0;h:do if((g<<24>>24<0?k[u>>2]|0:g&255)>>>0>d>>>0){N=c+12|0;T=110}else{d=i[Q>>0]|0;f=c+12|0;e=k[f>>2]|0;do if(((d<<24>>24<0?e:d&255)|0)==2){y=0;d=sa(21,U|0,0,-1,50288,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;Sla(T)}if(!d){d=k[c>>2]|0;T=90;break}else{d=i[Q>>0]|0;e=k[f>>2]|0;T=85;break}}else T=85;while(0);do if((T|0)==85){if(((d<<24>>24<0?e:d&255)|0)==2){y=0;d=sa(21,U|0,0,-1,50291,2)|0;N=y;y=0;if(N&1){N=tb(0)|0;Sla(N)}if(!d){d=k[c>>2]|0;if(d&128|0){T=90;break}}}N=i[Q>>0]|0;if(((N<<24>>24<0?k[f>>2]|0:N&255)|0)==2){y=0;d=sa(21,U|0,0,-1,50291,2)|0;N=y;y=0;if(N&1){N=tb(0)|0;Sla(N)}if(!d)if(!(k[c>>2]&128))break}if(i[c+6>>0]|0)if(!(i[c+5>>0]|0)){d=k[c+4>>2]|0;if((d&255)<<24>>24){y=0;Ha(974,a|0,50294)|0;N=y;y=0;if(N&1){T=96;break h}else break}if(d>>>0<16777216){y=0;Ha(974,a|0,50298)|0;N=y;y=0;if(N&1){T=96;break h}}}}while(0);if((T|0)==90)if(!(d&64)){y=0;Ha(974,a|0,50284)|0;T=y;y=0;if(T&1){T=96;break}}y=0;Ha(1009,U|0,87975)|0;T=y;y=0;if(T&1)T=96;else{N=f;T=110}}while(0);i:do if((T|0)==110){t=c+44|0;j=V+11|0;m=V+4|0;j:while(1){g=i[s>>0]|0;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;h=d+(e*12|0)|0;f=i[h+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;if((g<<24>>24<0?k[u>>2]|0:g&255)>>>0>=d>>>0){T=139;break}A9(h);p=k[v>>2]|0;k[v>>2]=p+-1;d=k[t>>2]|0;q=d-(k[M>>2]|0)>>2;if((1-p-(k[w>>2]|0)+((q|0)==0?0:(q*341|0)+-1|0)|0)>>>0>681){cra(k[d+-4>>2]|0);k[t>>2]=(k[t>>2]|0)+-4}q=i[Q>>0]|0;if(!((q<<24>>24<0?k[N>>2]|0:q&255)|0)){y=0;d=sa(21,U|0,0,-1,87975,0)|0;q=y;y=0;if(q&1){T=119;break}if(!d){d=k[c>>2]&-249;do if(!d){k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Na(74,V|0,50300,2);q=y;y=0;if(q&1){T=133;break j}}else{if((d|0)<2){k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Na(74,V|0,50300,2);q=y;y=0;if(q&1){T=133;break j}else break}q=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((q>>>0)/341|0)<<2)>>2]|0;q=(q>>>0)%341|0;q=d+(q*12|0)|0;d=q|0;k[L>>2]=0;k[L+4>>2]=0;k[L+8>>2]=0;e=d+11|0;f=i[e>>0]|0;f=f<<24>>24<0?k[q+4>>2]|0:f&255;y=0;Ra(10,L|0,52248,1,f+1|0);q=y;y=0;if(q&1){T=127;break j}y=0;ta(41,L|0,((i[e>>0]|0)<0?k[d>>2]|0:d)|0,f|0)|0;q=y;y=0;if(q&1){T=127;break j}y=0;d=Ha(974,L|0,50303)|0;q=y;y=0;if(q&1){T=130;break j}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;A9(L)}while(0);q=i[j>>0]|0;p=q<<24>>24<0;y=0;ta(41,a|0,(p?k[V>>2]|0:V)|0,(p?k[m>>2]|0:q&255)|0)|0;q=y;y=0;if(q&1){T=135;break}A9(V)}else T=137}else T=137;if((T|0)==137){T=0;y=0;Ha(974,a|0,50284)|0;q=y;y=0;if(q&1){T=95;break}}y=0;Ha(1009,U|0,87975)|0;q=y;y=0;if(q&1){T=95;break}}if((T|0)==95){d=pb()|0;T=97;break}else if((T|0)==119){_=tb(0)|0;Sla(_)}else if((T|0)==127){d=pb()|0;A9(L);T=134}else if((T|0)==130){d=pb()|0;A9(L);T=134}else if((T|0)==133){d=pb()|0;T=134}else if((T|0)==135){x=pb()|0;A9(V)}else if((T|0)==139){p=c+4|0;i[p>>0]=0;y=0;ma(4,V|0,b|0,O|0,1,b|0);C=y;y=0;if(C&1){d=pb()|0;break}C=i[V+11>>0]|0;if(((C<<24>>24<0?k[V+4>>2]|0:C&255)|0)==1){y=0;d=sa(21,V|0,0,-1,50305,1)|0;C=y;y=0;if(C&1){C=tb(0)|0;Sla(C)}A9(V);if(!d){i[p>>0]=1;i[((i[R>>0]|0)<0?k[b>>2]|0:b)+O>>0]=32}}else A9(V);y=0;ma(4,V|0,b|0,O|0,1,b|0);C=y;y=0;k:do if(C&1)d=pb()|0;else{C=i[V+11>>0]|0;l:do if(((C<<24>>24<0?k[V+4>>2]|0:C&255)|0)==1){y=0;d=sa(21,V|0,0,-1,52136,1)|0;C=y;y=0;if(C&1){C=tb(0)|0;Sla(C)}if(d|0){T=157;break}y=0;ma(4,P|0,b|0,O|0,2,b|0);C=y;y=0;if(C&1){d=pb()|0;A9(V);break k}C=i[P+11>>0]|0;do if(((C<<24>>24<0?k[P+4>>2]|0:C&255)|0)==2){y=0;d=sa(21,P|0,0,-1,50307,2)|0;C=y;y=0;if(C&1){H=tb(0)|0;Sla(H)}else{A9(P);A9(V);if(!d){T=524;break l}else break}}else{A9(P);A9(V)}while(0);i[p>>0]=1;f=i[R>>0]|0;e=f<<24>>24<0;j=e?k[b>>2]|0:b;f=e?k[S>>2]|0:f&255;e=i[81987]|0;H=e<<24>>24<0;h=H?k[20494]|0:81976;e=H?k[20495]|0:e&255;m:do if(!(f>>>0<=O>>>0|(e|0)==0)){d=j+O|0;m=j+f|0;g=h+e|0;n:do if((f|0)!=(O|0))while(1){f=i[d>>0]|0;e=h;do{if(f<<24>>24==(i[e>>0]|0))break n;e=e+1|0}while((e|0)!=(g|0));d=d+1|0;if((d|0)==(m|0))break m}while(0);o=d-j|0;if((d|0)==(m|0)|(o|0)==-1)break;n=o-O|0;y=0;ma(4,K|0,b|0,O|0,n|0,b|0);H=y;y=0;if(H&1){d=pb()|0;break i}d=i[R>>0]|0;g=d<<24>>24<0;h=g?k[b>>2]|0:b;d=g?k[S>>2]|0:d&255;g=i[81987]|0;H=g<<24>>24<0;f=H?k[20494]|0:81976;g=H?k[20495]|0:g&255;o:do if(d>>>0>o>>>0){e=h+d|0;d=h+o|0;p:do if(g)while(1){if(!(aA(f,l[d>>0]|0,g)|0))break p;d=d+1|0;if((d|0)==(e|0))break o}while(0);d=d-h|0;if((d|0)==-1)break;y=0;d=Ha(1029,b|0,d|0)|0;H=y;y=0;q:do if(H&1)T=482;else{if((i[d>>0]|0)==58)break o;j=K+11|0;e=i[j>>0]|0;f=e<<24>>24<0;m=K+4|0;d=k[m>>2]|0;g=f?d:e&255;do if(g|0){h=f?k[K>>2]|0:K;r:do if((g|0)!=1){g=h+g|0;f=h+1|0;while(1){if(!(aA(50310,l[f>>0]|0,53)|0))break;f=f+1|0;if((f|0)==(g|0))break r}f=f-h|0;if((f|0)==-1)break;y=0;ta(42,K|0,f|0,-1)|0;H=y;y=0;if(H&1){T=482;break q}e=i[j>>0]|0;d=k[m>>2]|0}while(0);f=e<<24>>24<0?d:e&255;do if(f){while(1){f=f+-1|0;y=0;d=Ha(1029,K|0,f|0)|0;T=y;y=0;if(T&1){T=481;break}d=cka(i[d>>0]|0)|0;y=0;e=Ha(1029,K|0,f|0)|0;T=y;y=0;if(T&1){T=481;break}i[e>>0]=d;if(!f){T=186;break}}if((T|0)==186){e=i[j>>0]|0;d=k[m>>2]|0;break}else if((T|0)==481){d=pb()|0;T=483;break q}}while(0);if(((e<<24>>24<0?d:e&255)|0)==5){y=0;d=sa(21,K|0,0,-1,50364,5)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,50370,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==7){y=0;d=sa(21,K|0,0,-1,50379,7)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==5){y=0;d=sa(21,K|0,0,-1,50387,5)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==12){y=0;d=sa(21,K|0,0,-1,50393,12)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,50406,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,50413,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,50420,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==7){y=0;d=sa(21,K|0,0,-1,50427,7)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==5){y=0;d=sa(21,K|0,0,-1,50435,5)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==10){y=0;d=sa(21,K|0,0,-1,50441,10)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==18){y=0;d=sa(21,K|0,0,-1,50452,18)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==12){y=0;d=sa(21,K|0,0,-1,50471,12)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==17){y=0;d=sa(21,K|0,0,-1,50484,17)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,50502,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==14){y=0;d=sa(21,K|0,0,-1,50514,14)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==13){y=0;d=sa(21,K|0,0,-1,50529,13)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,50543,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==13){y=0;d=sa(21,K|0,0,-1,50555,13)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,50569,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==4){y=0;d=sa(21,K|0,0,-1,50576,4)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,50581,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,50590,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,50597,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,50606,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==13){y=0;d=sa(21,K|0,0,-1,50616,13)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,50630,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,50640,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==10){y=0;d=sa(21,K|0,0,-1,50650,10)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,50661,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==4){y=0;d=sa(21,K|0,0,-1,50673,4)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,50678,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,50687,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,50697,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==14){y=0;d=sa(21,K|0,0,-1,50706,14)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==15){y=0;d=sa(21,K|0,0,-1,50721,15)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==9){y=0;d=sa(21,K|0,0,-1,50737,9)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,50747,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,50759,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==19){y=0;d=sa(21,K|0,0,-1,50766,19)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==18){y=0;d=sa(21,K|0,0,-1,50786,18)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==20){y=0;d=sa(21,K|0,0,-1,50805,20)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,50826,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==5){y=0;d=sa(21,K|0,0,-1,50835,5)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==7){y=0;d=sa(21,K|0,0,-1,50841,7)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==18){y=0;d=sa(21,K|0,0,-1,50849,18)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,50868,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==6){y=0;d=sa(21,K|0,0,-1,50880,6)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==10){y=0;d=sa(21,K|0,0,-1,50887,10)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==15){y=0;d=sa(21,K|0,0,-1,50898,15)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==11){y=0;d=sa(21,K|0,0,-1,50914,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==16){y=0;d=sa(21,K|0,0,-1,50926,16)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)==8){y=0;d=sa(21,K|0,0,-1,50943,8)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}if(!d)break o;e=i[j>>0]|0;d=k[m>>2]|0}if(((e<<24>>24<0?d:e&255)|0)!=11)break;y=0;d=sa(21,K|0,0,-1,50952,11)|0;H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}else if(!d)break o;else break}while(0);y=0;ma(4,_|0,b|0,O+1|0,n+-1|0,b|0);H=y;y=0;if(H&1)d=pb()|0;else{d=i[s>>0]|0;H=d<<24>>24<0;y=0;d=Ma(9,_|0,0,(H?k[aa>>2]|0:aa)|0,(H?k[u>>2]|0:d&255)|0)|0;H=y;y=0;if(H&1)d=pb()|0;else{k[L>>2]=k[d>>2];k[L+4>>2]=k[d+4>>2];k[L+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;d=Ha(974,L|0,52136)|0;H=y;y=0;if(H&1)d=pb()|0;else{k[P>>2]=k[d>>2];k[P+4>>2]=k[d+4>>2];k[P+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;ma(4,Y|0,b|0,o|0,-1,b|0);H=y;y=0;do if(H&1)d=pb()|0;else{d=i[Y+11>>0]|0;H=d<<24>>24<0;y=0;d=ta(41,P|0,(H?k[Y>>2]|0:Y)|0,(H?k[Y+4>>2]|0:d&255)|0)|0;H=y;y=0;if(H&1){d=pb()|0;A9(Y);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(500,b|0,0);H=y;y=0;if(H&1){H=tb(0)|0;Sla(H)}k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;A9(V);A9(Y);A9(P);A9(L);A9(_);h=i[R>>0]|0;H=h<<24>>24<0;e=H?k[b>>2]|0:b;h=H?k[S>>2]|0:h&255;if(h>>>0<=O>>>0)break o;j=e+h|0;d=e+O|0;while(1){g=i[d>>0]|0;if(!(aA(52136,g&255,1)|0))break;d=d+1|0;if((d|0)==(j|0))break o}f=d-e|0;if((f|0)==-1)break o;if(h>>>0>f>>>0){s:do if(g<<24>>24!=58)do{d=d+1|0;if((d|0)==(j|0)){d=j;break s}}while((i[d>>0]|0)!=58);while(0);d=(d|0)==(j|0)?-1:d-e|0}else d=-1;i[p>>0]=(d|0)==-1&1;break o}while(0);A9(P)}A9(L)}A9(_)}}while(0);if((T|0)==482){d=pb()|0;T=483}A9(K);break i}while(0);A9(K)}while(0);y=0;ma(4,V|0,b|0,O|0,1,b|0);K=y;y=0;if(K&1){d=pb()|0;break i}K=i[V+11>>0]|0;do if(((K<<24>>24<0?k[V+4>>2]|0:K&255)|0)==1){y=0;d=sa(21,V|0,0,-1,52136,1)|0;K=y;y=0;if(K&1){K=tb(0)|0;Sla(K)}if(d|0)break;K=(i[p>>0]|0)==0;A9(V);if(K)break l;f=i[R>>0]|0;e=f<<24>>24<0;j=e?k[b>>2]|0:b;f=e?k[S>>2]|0:f&255;e=i[81987]|0;K=e<<24>>24<0;h=K?k[20494]|0:81976;e=K?k[20495]|0:e&255;if(f>>>0<=O>>>0|(e|0)==0)d=-1;else{d=j+O|0;m=j+f|0;g=h+e|0;t:do if((f|0)!=(O|0))while(1){f=i[d>>0]|0;e=h;do{if(f<<24>>24==(i[e>>0]|0))break t;e=e+1|0}while((e|0)!=(g|0));d=d+1|0;if((d|0)==(m|0)){d=m;break}}while(0);d=(d|0)==(m|0)?-1:d-j|0}y=0;ma(4,L|0,b|0,O+1|0,d|0,b|0);K=y;y=0;if(K&1)d=pb()|0;else{d=i[s>>0]|0;K=d<<24>>24<0;y=0;d=Ma(9,L|0,0,(K?k[aa>>2]|0:aa)|0,(K?k[u>>2]|0:d&255)|0)|0;K=y;y=0;do if(K&1)J=pb()|0;else{k[P>>2]=k[d>>2];k[P+4>>2]=k[d+4>>2];k[P+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;d=Ha(974,P|0,52136)|0;K=y;y=0;if(K&1){J=pb()|0;A9(P);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(500,b|0,0);K=y;y=0;if(K&1){_=tb(0)|0;Sla(_)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;A9(V);A9(P);A9(L);break l}}while(0);A9(L);d=J}break i}while(0);A9(V)}else T=157;while(0);if((T|0)==157){A9(V);T=524}u:do if((T|0)==524){y=0;ma(4,V|0,b|0,O|0,5,b|0);J=y;y=0;v:do if(J&1)d=pb()|0;else{J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==5){y=0;d=sa(21,V|0,0,-1,50964,5)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}if(d|0){T=530;break}A9(V)}else T=530;while(0);w:do if((T|0)==530){y=0;ma(4,P|0,b|0,O|0,6,b|0);J=y;y=0;if(J&1)d=pb()|0;else{J=i[P+11>>0]|0;do if(((J<<24>>24<0?k[P+4>>2]|0:J&255)|0)==6){y=0;d=sa(21,P|0,0,-1,50970,6)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}if(d|0)break;A9(P);A9(V);break w}while(0);y=0;ma(4,L|0,b|0,O|0,6,b|0);J=y;y=0;if(J&1)d=pb()|0;else{J=i[L+11>>0]|0;do if(((J<<24>>24<0?k[L+4>>2]|0:J&255)|0)==6){y=0;d=sa(21,L|0,0,-1,50977,6)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}if(d|0)break;A9(L);A9(P);A9(V);break w}while(0);y=0;ma(4,K|0,b|0,O|0,8,b|0);J=y;y=0;do if(J&1)d=pb()|0;else{J=i[K+11>>0]|0;do if(((J<<24>>24<0?k[K+4>>2]|0:J&255)|0)==8){y=0;d=sa(21,K|0,0,-1,50984,8)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}if(d|0)break;A9(K);A9(L);A9(P);A9(V);break w}while(0);y=0;ma(4,_|0,b|0,O|0,10,b|0);J=y;y=0;if(J&1){d=pb()|0;A9(K);break}J=i[_+11>>0]|0;do if(((J<<24>>24<0?k[_+4>>2]|0:J&255)|0)==10){y=0;d=sa(21,_|0,0,-1,50993,10)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}else{A9(_);A9(K);A9(L);A9(P);A9(V);if(!d)break w;else break}}else{A9(_);A9(K);A9(L);A9(P);A9(V)}while(0);y=0;ma(4,V|0,b|0,O|0,1,b|0);J=y;y=0;if(J&1){d=pb()|0;break i}J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==1){y=0;d=sa(21,V|0,0,-1,51004,1)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}A9(V);if(d|0)break;k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;K=i[s>>0]|0;J=K<<24>>24<0;K=J?k[u>>2]|0:K&255;y=0;Ra(10,P|0,(J?k[aa>>2]|0:aa)|0,K|0,K+7|0);K=y;y=0;do if(K&1)T=591;else{y=0;ta(41,P|0,51006,7)|0;K=y;y=0;if(K&1){T=591;break}y=0;ma(4,L|0,b|0,O+1|0,-1,b|0);K=y;y=0;do if(K&1)E=pb()|0;else{d=i[L+11>>0]|0;K=d<<24>>24<0;y=0;d=ta(41,P|0,(K?k[L>>2]|0:L)|0,(K?k[L+4>>2]|0:d&255)|0)|0;K=y;y=0;if(K&1){E=pb()|0;A9(L);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(500,b|0,0);K=y;y=0;if(K&1){_=tb(0)|0;Sla(_)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;A9(V);A9(L);A9(P);break u}}while(0);A9(P);d=E}while(0);if((T|0)==591){d=pb()|0;A9(P)}break i}else A9(V);while(0);y=0;ma(4,V|0,b|0,O|0,1,b|0);J=y;y=0;if(J&1){d=pb()|0;break i}J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==1){y=0;d=sa(21,V|0,0,-1,51014,1)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}A9(V);if(d|0)break;d=O+1|0;switch(i[((i[R>>0]|0)<0?k[b>>2]|0:b)+d>>0]|0){case 9:case 32:case 0:break u;default:{}}k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;K=i[s>>0]|0;J=K<<24>>24<0;K=J?k[u>>2]|0:K&255;y=0;Ra(10,P|0,(J?k[aa>>2]|0:aa)|0,K|0,K+9|0);K=y;y=0;do if(K&1)T=614;else{y=0;ta(41,P|0,51016,9)|0;K=y;y=0;if(K&1){T=614;break}y=0;ma(4,L|0,b|0,d|0,-1,b|0);K=y;y=0;do if(K&1)F=pb()|0;else{d=i[L+11>>0]|0;K=d<<24>>24<0;y=0;d=ta(41,P|0,(K?k[L>>2]|0:L)|0,(K?k[L+4>>2]|0:d&255)|0)|0;K=y;y=0;if(K&1){F=pb()|0;A9(L);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(500,b|0,0);K=y;y=0;if(K&1){_=tb(0)|0;Sla(_)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;A9(V);A9(L);A9(P);break u}}while(0);A9(P);d=F}while(0);if((T|0)==614){d=pb()|0;A9(P)}break i}else A9(V);while(0);y=0;ma(4,V|0,b|0,O|0,7,b|0);J=y;y=0;if(J&1){d=pb()|0;break i}J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==7){y=0;d=sa(21,V|0,0,-1,51026,7)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}A9(V);if(d|0)break;e=O+7|0;j=i[R>>0]|0;o=j<<24>>24<0;p=o?k[b>>2]|0:b;j=o?k[S>>2]|0:j&255;o=i[81987]|0;m=o<<24>>24<0;n=m?k[20494]|0:81976;o=m?k[20495]|0:o&255;m=(o|0)==0;if(j>>>0<=e>>>0|m)d=-1;else{d=p+e|0;h=p+j|0;g=n+o|0;x:do if((j|0)!=(e|0))while(1){f=i[d>>0]|0;e=n;do{if(f<<24>>24==(i[e>>0]|0))break x;e=e+1|0}while((e|0)!=(g|0));d=d+1|0;if((d|0)==(h|0)){d=h;break}}while(0);d=(d|0)==(h|0)?-1:d-p|0}y:do if(j>>>0>d>>>0){e=p+j|0;d=p+d|0;z:do if(!m)while(1){if(!(aA(n,l[d>>0]|0,o)|0))break z;d=d+1|0;if((d|0)==(e|0)){j=-1;break y}}while(0);j=d-p|0}else j=-1;while(0);y=0;ma(4,V|0,b|0,j|0,4,b|0);J=y;y=0;if(J&1){d=pb()|0;break i}J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==4){y=0;d=sa(21,V|0,0,-1,51034,4)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}else{A9(V);if(!d)break u;else break}}else A9(V);while(0);y=0;ma(4,V|0,b|0,j|0,1,b|0);J=y;y=0;do if(J&1)d=pb()|0;else{J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==1){y=0;d=sa(21,V|0,0,-1,51690,1)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}if(d|0)break;A9(V);break u}while(0);y=0;ma(4,P|0,b|0,j|0,1,b|0);J=y;y=0;if(J&1){d=pb()|0;A9(V);break}J=i[P+11>>0]|0;do if(((J<<24>>24<0?k[P+4>>2]|0:J&255)|0)==1){y=0;d=sa(21,P|0,0,-1,51790,1)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}else{A9(P);A9(V);if(!d)break u;else break}}else{A9(P);A9(V)}while(0);e=i[R>>0]|0;g=e<<24>>24<0;h=g?k[b>>2]|0:b;e=g?k[S>>2]|0:e&255;g=i[81987]|0;d=g<<24>>24<0;f=d?k[20494]|0:81976;g=d?k[20495]|0:g&255;d=h+e|0;if(!g){if(!e)break u;d=d+-1|0}else do{if((d|0)==(h|0))break u;d=d+-1|0}while((aA(f,l[d>>0]|0,g)|0)!=0);d=d-h|0;if((d|0)==-1)break u;y=0;ma(4,K|0,b|0,0,j|0,b|0);J=y;y=0;if(J&1)d=pb()|0;else{y=0;e=Ha(974,K|0,51690)|0;J=y;y=0;if(J&1)d=pb()|0;else{k[L>>2]=k[e>>2];k[L+4>>2]=k[e+4>>2];k[L+8>>2]=k[e+8>>2];k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;ma(4,_|0,b|0,j|0,1-j+d|0,b|0);J=y;y=0;if(J&1)d=pb()|0;else{d=i[_+11>>0]|0;J=d<<24>>24<0;y=0;d=ta(41,L|0,(J?k[_>>2]|0:_)|0,(J?k[_+4>>2]|0:d&255)|0)|0;J=y;y=0;do if(J&1)H=pb()|0;else{k[P>>2]=k[d>>2];k[P+4>>2]=k[d+4>>2];k[P+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;y=0;d=Ha(974,P|0,51690)|0;J=y;y=0;if(J&1){H=pb()|0;A9(P);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(500,b|0,0);J=y;y=0;if(J&1){Z=tb(0)|0;Sla(Z)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;A9(V);A9(P);A9(_);A9(L);A9(K);break u}}while(0);A9(_);d=H}A9(L)}A9(K)}break i}while(0);break i}else A9(V);while(0);y=0;ma(4,V|0,b|0,O|0,7,b|0);J=y;y=0;if(J&1)d=pb()|0;else{J=i[V+11>>0]|0;do if(((J<<24>>24<0?k[V+4>>2]|0:J&255)|0)==7){y=0;d=sa(21,V|0,0,-1,51039,7)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}if(d|0)break;A9(V);break u}while(0);y=0;ma(4,P|0,b|0,O|0,7,b|0);J=y;y=0;if(J&1)d=pb()|0;else{J=i[P+11>>0]|0;do if(((J<<24>>24<0?k[P+4>>2]|0:J&255)|0)==7){y=0;d=sa(21,P|0,0,-1,51047,7)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}if(d|0)break;A9(P);A9(V);break u}while(0);y=0;ma(4,L|0,b|0,O|0,8,b|0);J=y;y=0;do if(J&1)d=pb()|0;else{J=i[L+11>>0]|0;do if(((J<<24>>24<0?k[L+4>>2]|0:J&255)|0)==8){y=0;d=sa(21,L|0,0,-1,51055,8)|0;J=y;y=0;if(J&1){J=tb(0)|0;Sla(J)}if(d|0)break;A9(L);A9(P);A9(V);break u}while(0);y=0;ma(4,K|0,b|0,O|0,8,b|0);J=y;y=0;if(J&1){d=pb()|0;A9(L);break}J=i[K+11>>0]|0;do if(((J<<24>>24<0?k[K+4>>2]|0:J&255)|0)==8){y=0;d=sa(21,K|0,0,-1,51064,8)|0;J=y;y=0;if(J&1){L=tb(0)|0;Sla(L)}else{A9(K);A9(L);A9(P);A9(V);if(!d)break u;else break}}else{A9(K);A9(L);A9(P);A9(V)}while(0);i[p>>0]=1;d=i[R>>0]|0;L=d<<24>>24<0;g=L?k[b>>2]|0:b;d=L?k[S>>2]|0:d&255;if(d>>>0<=O>>>0)break u;f=g+d|0;d=g+O|0;while(1){if((i[d>>0]|0)==58)break;d=d+1|0;if((d|0)==(f|0))break u}e=d-g|0;if((d|0)==(f|0)|(e|0)==-1)break u;e=g+(e+1)|0;d=i[e>>0]|0;if(d<<24>>24==32){i[p>>0]=0;d=i[e>>0]|0}if(d<<24>>24!=9)break u;i[p>>0]=0;break u}while(0);A9(P)}A9(V)}break i}while(0);A9(L)}A9(P)}A9(V);break v}while(0);y=0;ma(4,P|0,b|0,O|0,-1,b|0);L=y;y=0;do if(L&1)D=pb()|0;else{d=i[s>>0]|0;L=d<<24>>24<0;y=0;d=Ma(9,P|0,0,(L?k[aa>>2]|0:aa)|0,(L?k[u>>2]|0:d&255)|0)|0;L=y;y=0;if(L&1){D=pb()|0;A9(P);break}k[V>>2]=k[d>>2];k[V+4>>2]=k[d+4>>2];k[V+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;if((i[R>>0]|0)<0){i[k[b>>2]>>0]=0;k[S>>2]=0}else{i[b>>0]=0;i[R>>0]=0}y=0;oa(500,b|0,0);L=y;y=0;if(L&1){_=tb(0)|0;Sla(_)}else{k[b>>2]=k[V>>2];k[b+4>>2]=k[V+4>>2];k[b+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;A9(V);A9(P);break u}}while(0);d=D;break i}while(0);break i}while(0);g=i[s>>0]|0;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;A:do if((g<<24>>24<0?k[u>>2]|0:g&255)>>>0>=d>>>0){L=i[Q>>0]|0;if((L<<24>>24<0?k[N>>2]|0:L&255)|0)break;y=0;d=sa(21,U|0,0,-1,87975,0)|0;L=y;y=0;if(L&1){L=tb(0)|0;Sla(L)}if(d|0)break;e=i[R>>0]|0;d=e<<24>>24<0;e=d?k[S>>2]|0:e&255;if(!e)break;p=P+11|0;q=P+4|0;f=0;o=d?k[b>>2]|0:b;while(1){e=o+e|0;d=o+f|0;while(1){if(!(aA(51642,l[d>>0]|0,6)|0))break;d=d+1|0;if((d|0)==(e|0))break A}f=d-o|0;if((f|0)==-1)break A;y=0;ma(4,P|0,b|0,f|0,2,b|0);L=y;y=0;if(L&1){T=94;break}L=i[p>>0]|0;if(((L<<24>>24<0?k[q>>2]|0:L&255)|0)!=2){T=742;break}y=0;d=sa(21,P|0,0,-1,50288,2)|0;L=y;y=0;if(L&1){T=744;break}A9(P);if(d|0)break;e=i[R>>0]|0;L=e<<24>>24<0;o=L?k[b>>2]|0:b;e=L?k[S>>2]|0:e&255;if(e>>>0<f>>>0|(e-f|0)>>>0<2)break A;f=o+f|0;n=o+e|0;d=f;j=n;B:do if((j-d|0)<2)d=j;else{m=n+-1|0;if((m|0)==(f|0)){d=j;break}while(1){while(1){if((i[f>>0]|0)==42){g=51073;h=f;break}f=f+1|0;if((f|0)==(m|0)){d=j;break B}else d=f}do{g=g+1|0;if((g|0)==51075)break B;h=h+1|0}while((i[h>>0]|0)==(i[g>>0]|0));f=f+1|0;if((f|0)==(m|0)){d=j;break}else d=f}}while(0);L=d-o|0;f=L+2|0;if(!((L|0)!=-1&(d|0)!=(n|0)&e>>>0>f>>>0))break A}if((T|0)==94){d=pb()|0;T=97;break i}else if((T|0)==742)A9(P);else if((T|0)==744){T=tb(0)|0;Sla(T)}i[c+6>>0]=1}while(0);g=i[s>>0]|0;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;C:do if((g<<24>>24<0?k[u>>2]|0:g&255)>>>0>d>>>0){e=i[Q>>0]|0;d=k[N>>2]|0;do if(!((e<<24>>24<0?d:e&255)|0)){y=0;d=sa(21,U|0,0,-1,87975,0)|0;T=y;y=0;if(T&1){T=tb(0)|0;Sla(T)}if(d|0){e=i[Q>>0]|0;d=k[N>>2]|0;break}if(!(i[c+6>>0]|0))break C;d=k[c>>2]&-249;D:do if(!d){k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;y=0;Na(74,P|0,51076,3);T=y;y=0;if(T&1)T=785;else T=777}else{if((d|0)<3){k[P>>2]=0;k[P+4>>2]=0;k[P+8>>2]=0;y=0;Na(74,P|0,51080,2);T=y;y=0;if(T&1){T=785;break}else{T=777;break}}T=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((T>>>0)/341|0)<<2)>>2]|0;T=(T>>>0)%341|0;T=d+(T*12|0)|0;d=T|0;k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;e=d+11|0;f=i[e>>0]|0;f=f<<24>>24<0?k[T+4>>2]|0:f&255;y=0;Ra(10,V|0,52248,1,f+1|0);T=y;y=0;do if(!(T&1)){y=0;ta(41,V|0,((i[e>>0]|0)<0?k[d>>2]|0:d)|0,f|0)|0;T=y;y=0;if(T&1)break;y=0;d=Ha(974,V|0,51083)|0;T=y;y=0;if(T&1){d=pb()|0;A9(V);T=786;break D}else{k[P>>2]=k[d>>2];k[P+4>>2]=k[d+4>>2];k[P+8>>2]=k[d+8>>2];k[d>>2]=0;k[d+4>>2]=0;k[d+8>>2]=0;A9(V);T=777;break D}}while(0);d=pb()|0;A9(V);T=786}while(0);do if((T|0)==777){L=i[P+11>>0]|0;K=L<<24>>24<0;y=0;ta(41,a|0,(K?k[P>>2]|0:P)|0,(K?k[P+4>>2]|0:L&255)|0)|0;L=y;y=0;if(L&1){d=pb()|0;A9(P);break}A9(P);k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;y=0;Na(74,V|0,87975,0);P=y;y=0;E:do if(P&1)d=pb()|0;else{f=k[t>>2]|0;e=k[M>>2]|0;P=f-e>>2;g=k[w>>2]|0;d=k[v>>2]|0;do if((((P|0)==0?0:(P*341|0)+-1|0)|0)==(d+g|0)){y=0;na(465,c+36|0);P=y;y=0;if(P&1){d=pb()|0;A9(V);break E}else{d=k[v>>2]|0;g=k[w>>2]|0;f=k[t>>2]|0;e=k[M>>2]|0;break}}while(0);d=d+g|0;if((f|0)==(e|0))d=0;else d=(k[e+(((d>>>0)/341|0)<<2)>>2]|0)+(((d>>>0)%341|0)*12|0)|0;k[d>>2]=k[V>>2];k[d+4>>2]=k[V+4>>2];k[d+8>>2]=k[V+8>>2];k[V>>2]=0;k[V+4>>2]=0;k[V+8>>2]=0;k[v>>2]=(k[v>>2]|0)+1;A9(V);T=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;y=0;Ha(969,(k[(k[M>>2]|0)+(((T>>>0)/341|0)<<2)>>2]|0)+(((T>>>0)%341|0)*12|0)|0,aa|0)|0;T=y;y=0;if(T&1){T=96;break i}else break C}while(0);break i}else if((T|0)==785){d=pb()|0;T=786}while(0);break i}while(0);if(((e<<24>>24<0?d:e&255)|0)==2){y=0;d=sa(21,U|0,0,-1,50288,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;Sla(T)}if(!d)break;e=i[Q>>0]|0;d=k[N>>2]|0}do if(((e<<24>>24<0?d:e&255)|0)==2){y=0;d=sa(21,U|0,0,-1,50291,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;Sla(T)}if(d|0)break;if(k[c>>2]&128|0)break C}while(0);e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;y=0;d=Ha(1029,b|0,d|0)|0;T=y;y=0;if(T&1){T=96;break i}i[d>>0]=47;e=(k[v>>2]|0)+-1+(k[w>>2]|0)|0;d=k[(k[M>>2]|0)+(((e>>>0)/341|0)<<2)>>2]|0;e=(e>>>0)%341|0;f=i[d+(e*12|0)+11>>0]|0;if(f<<24>>24<0)d=k[d+(e*12|0)+4>>2]|0;else d=f&255;y=0;d=Ha(1029,b|0,d+1|0)|0;T=y;y=0;if(T&1){T=96;break i}i[d>>0]=47}while(0);f=$+11|0;d=i[f>>0]|0;g=$+4|0;e=k[g>>2]|0;do if(((d<<24>>24<0?e:d&255)|0)==2){y=0;d=sa(21,$|0,0,-1,50288,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;Sla(T)}if(!d){T=820;break}d=i[f>>0]|0;e=k[g>>2]|0;T=816}else T=816;while(0);do if((T|0)==816){if(((d<<24>>24<0?e:d&255)|0)!=2)break;y=0;d=sa(21,$|0,0,-1,50291,2)|0;P=y;y=0;if(P&1){P=tb(0)|0;Sla(P)}else if(!d){T=820;break}else break}while(0);if((T|0)==820){i[c+6>>0]=0;d=i[Q>>0]|0;e=k[N>>2]|0;do if(((d<<24>>24<0?e:d&255)|0)==2){y=0;d=sa(21,U|0,0,-1,50288,2)|0;T=y;y=0;if(T&1){T=tb(0)|0;Sla(T)}if(!d){T=830;break}d=i[Q>>0]|0;e=k[N>>2]|0;T=825}else T=825;while(0);do if((T|0)==825){if(((d<<24>>24<0?e:d&255)|0)!=2)break;y=0;d=sa(21,U|0,0,-1,50291,2)|0;P=y;y=0;if(P&1){P=tb(0)|0;Sla(P)}if(d|0)break;if(k[c>>2]&128|0)T=830}while(0);F:do if((T|0)==830){P=i[f>>0]|0;do if(!((P<<24>>24<0?k[g>>2]|0:P&255)|0)){y=0;d=sa(21,$|0,0,-1,87975,0)|0;P=y;y=0;if(P&1){P=tb(0)|0;Sla(P)}else if(!d)break F;else break}while(0);if(k[c>>2]&192|0)break;y=0;Ha(974,a|0,50284)|0;P=y;y=0;if(P&1){T=96;break i}}while(0);do if(k[c>>2]&128|0){P=i[Q>>0]|0;if((P<<24>>24<0?k[N>>2]|0:P&255)|0)break;y=0;d=sa(21,U|0,0,-1,87975,0)|0;P=y;y=0;if(P&1){P=tb(0)|0;Sla(P)}if(d|0)break;y=0;d=Ha(1029,b|0,O+1|0)|0;P=y;y=0;if(P&1){T=96;break i}i[d>>0]=42}while(0);y=0;Ha(969,U|0,$|0)|0;P=y;y=0;if(P&1){T=96;break i}}P=i[Q>>0]|0;do if(!((P<<24>>24<0?k[N>>2]|0:P&255)|0)){y=0;d=sa(21,U|0,0,-1,87975,0)|0;P=y;y=0;if(P&1){V=tb(0)|0;Sla(V)}else if(!d){T=849;break}else{T=848;break}}else T=848;while(0);if((T|0)==848)if(!(k[c>>2]&64))T=849;G:do if((T|0)==849){P=i[Q>>0]|0;do if(((P<<24>>24<0?k[N>>2]|0:P&255)|0)==2){y=0;d=sa(21,U|0,0,-1,50291,2)|0;P=y;y=0;if(P&1){P=tb(0)|0;Sla(P)}if(d|0)break;if(!(k[c>>2]&160))break G}while(0);y=0;Na(150,V|0,b|0,c|0);P=y;y=0;do if(P&1)d=pb()|0;else{P=i[V+11>>0]|0;O=P<<24>>24<0;y=0;ta(41,a|0,(O?k[V>>2]|0:V)|0,(O?k[V+4>>2]|0:P&255)|0)|0;P=y;y=0;if(P&1){d=pb()|0;A9(V);break}else{A9(V);break G}}while(0);break i}while(0);e=i[R>>0]|0;g=e<<24>>24<0;h=g?k[b>>2]|0:b;e=g?k[S>>2]|0:e&255;g=i[81987]|0;d=g<<24>>24<0;f=d?k[20494]|0:81976;g=d?k[20495]|0:g&255;d=h+e|0;H:do if(!g){if(!e)break;d=d+-1|0;T=865}else while(1){if((d|0)==(h|0))break H;d=d+-1|0;if(!(aA(f,l[d>>0]|0,g)|0)){T=865;break}}while(0);do if((T|0)==865){e=d-h|0;if((e|0)==-1)break;y=0;ma(4,_|0,b|0,e|0,1,b|0);V=y;y=0;if(V&1){d=pb()|0;break i}V=i[Q>>0]|0;do if(!((V<<24>>24<0?k[N>>2]|0:V&255)|0)){y=0;d=sa(21,U|0,0,-1,87975,0)|0;V=y;y=0;if(V&1){V=tb(0)|0;Sla(V)}if(d|0){W=0;break}V=i[_+11>>0]|0;if(((V<<24>>24<0?k[_+4>>2]|0:V&255)|0)!=1){W=0;break}y=0;d=sa(21,_|0,0,-1,51413,1)|0;V=y;y=0;if(V&1){V=tb(0)|0;Sla(V)}else{W=(d|0)==0&1;break}}else W=0;while(0);i[c+5>>0]=W;W=i[Q>>0]|0;do if(!((W<<24>>24<0?k[N>>2]|0:W&255)|0)){y=0;d=sa(21,U|0,0,-1,87975,0)|0;W=y;y=0;if(W&1){W=tb(0)|0;Sla(W)}if(d|0){X=0;break}W=i[_+11>>0]|0;if(((W<<24>>24<0?k[_+4>>2]|0:W&255)|0)!=1){X=0;break}y=0;d=sa(21,_|0,0,-1,50298,1)|0;W=y;y=0;if(W&1){W=tb(0)|0;Sla(W)}else{X=(d|0)==0&1;break}}else X=0;while(0);i[c+7>>0]=X;I:do if(e|0){y=0;ma(4,Y|0,b|0,e+-1|0,2,b|0);X=y;y=0;J:do if(X&1)d=pb()|0;else{X=i[Y+11>>0]|0;do if(((X<<24>>24<0?k[Y+4>>2]|0:X&255)|0)==2){y=0;d=sa(21,Y|0,0,-1,51073,2)|0;X=y;y=0;if(X&1){X=tb(0)|0;Sla(X)}if(d|0)break;y=0;Ha(1009,U|0,87975)|0;X=y;y=0;if(!(X&1))break;d=pb()|0;A9(Y);break J}while(0);A9(Y);break I}while(0);A9(_);break i}while(0);A9(_)}while(0);A9($);A9(aa);r=Z;return}while(0);break}if((T|0)==134)x=d;d=x}while(0);if((T|0)==96){d=pb()|0;T=97}A9($)}A9(aa);aa=d;A9(a);sb(aa|0)}
function Qc(a){a=a|0;var b=0,c=0,d=0,e=0,f=0,g=0.0;k[dc>>2]=a;b=dc+8|0;d=m[a+2>>1]|0;dc=dc+(d+1<<3)|0;if((cc|0)!=2){}else{a=(k[b-4>>2]|0)-8|0}a=a+4|0;while(1){a=a+4|0;c=k[a>>2]|0;d=c>>8&255;e=c>>16&255;f=c>>>24;switch(c&255){case 0:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]|0;break;case 1:k[b+(d<<3)>>2]=c>>16;break;case 2:a=a+4|0;k[b+(d<<3)>>2]=k[a>>2]|0;break;case 3:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)+(k[b+(f<<3)>>2]|0)|0;break;case 4:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)-(k[b+(f<<3)>>2]|0)|0;break;case 11:k[b+(d<<3)>>2]=~(k[b+(e<<3)>>2]|0);break;case 16:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]>>>0<k[b+(f<<3)>>2]>>>0|0;break;case 19:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)&(k[b+(f<<3)>>2]|0);break;case 20:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]|0|(k[b+(f<<3)>>2]|0);break;case 25:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)+(c>>24)|0;break;case 26:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)-(c>>24)|0;break;case 27:e=aa(k[b+(e<<3)>>2]|0,c>>24)|0;k[b+(d<<3)>>2]=e;break;case 28:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)/(c>>24)|0;break;case 32:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)==c>>24|0;break;case 33:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)!=c>>24|0;break;case 34:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)<c>>24|0;break;case 35:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]>>>0<f>>>0|0;break;case 38:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)&c>>24;break;case 39:k[b+(d<<3)>>2]=k[b+(e<<3)>>2]|0|c>>24;break;case 40:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)^c>>24;break;case 41:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)<<f;break;case 42:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)>>f;break;case 43:k[b+(d<<3)>>2]=(k[b+(e<<3)>>2]|0)>>>f;break;case 45:if((k[b+(e<<3)>>2]|0)==(k[b+(f<<3)>>2]|0)){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 46:if((k[b+(e<<3)>>2]|0)!=(k[b+(f<<3)>>2]|0)){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 47:if((k[b+(e<<3)>>2]|0)<(k[b+(f<<3)>>2]|0)){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 48:if(k[b+(e<<3)>>2]>>>0<k[b+(f<<3)>>2]>>>0){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 50:if(k[b+(e<<3)>>2]>>>0<=k[b+(f<<3)>>2]>>>0){a=a+4|0}else{a=k[a+4>>2]|0;a=a-4|0;continue}break;case 52:if((k[b+(e<<3)>>2]|0)==(k[b+(f<<3)>>2]|0)){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 53:if((k[b+(e<<3)>>2]|0)!=(k[b+(f<<3)>>2]|0)){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 54:if((k[b+(e<<3)>>2]|0)<(k[b+(f<<3)>>2]|0)){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 55:if(k[b+(e<<3)>>2]>>>0<k[b+(f<<3)>>2]>>>0){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 57:if(k[b+(e<<3)>>2]>>>0<=k[b+(f<<3)>>2]>>>0){a=k[a+4>>2]|0;a=a-4|0;continue}else{a=a+4|0}break;case 59:p[b+(d<<3)>>3]=+(c>>16);break;case 78:k[b+(d<<3)>>2]=i[k[b+(e<<3)>>2]>>0];break;case 82:k[b+(d<<3)>>2]=k[k[b+(e<<3)>>2]>>2];break;case 83:i[k[b+(d<<3)>>2]>>0]=k[b+(e<<3)>>2]|0;break;case 85:k[k[b+(d<<3)>>2]>>2]=k[b+(e<<3)>>2]|0;break;case 94:k[b+(d<<3)>>2]=k[(k[b+(e<<3)>>2]|0)+(k[b+(f<<3)>>2]|0)>>2];break;case 97:k[(k[b+(d<<3)>>2]|0)+(k[b+(e<<3)>>2]|0)>>2]=k[b+(f<<3)>>2]|0;break;case 102:k[b+(d<<3)>>2]=i[(k[b+(e<<3)>>2]|0)+(c>>24)>>0];break;case 106:k[b+(d<<3)>>2]=k[(k[b+(e<<3)>>2]|0)+(c>>24)>>2];break;case 107:i[(k[b+(d<<3)>>2]|0)+(e<<24>>24)>>0]=k[b+(f<<3)>>2]|0;break;case 109:k[(k[b+(d<<3)>>2]|0)+(e<<24>>24)>>2]=k[b+(f<<3)>>2]|0;break;case 116:k[k[b+(d<<3)>>2]>>2]=k[k[b+(e<<3)>>2]>>2]|0;break;case 119:a=a+(c>>16<<2)|0;a=a-4|0;continue;break;case 120:if(k[b+(d<<3)>>2]|0){a=a+(c>>16<<2)|0;a=a-4|0;continue}break;case 121:if(!(k[b+(d<<3)>>2]|0)){a=a+(c>>16<<2)|0;a=a-4|0;continue}break;case 125:a=a+4|0;k[b+(d<<3)>>2]=k[b+(e<<3)>>2]|0?k[b+(f<<3)>>2]|0:k[b+((l[a>>0]|0)<<3)>>2]|0;break;case 128:k[b+(d<<3)>>2]=N;break;case 130:switch(e|0){case 0:{k[b+(d<<3)>>2]=y;continue}default:}break;case 132:switch(c>>8&255){case 0:{y=k[b+(f<<3)>>2]|0;continue}default:}break;case 134:f=l[(k[a+4>>2]|0)+1|0]|0;e=0;if((cc|0)!=2){while((e|0)<(f|0)){k[dc+(e<<3)+8>>2]=k[b+(l[a+8+e>>0]<<3)>>2]|0;k[dc+(e<<3)+12>>2]=k[b+(l[a+8+e>>0]<<3)+4>>2]|0;e=e+1|0}}k[b-4>>2]=a;Qc(k[a+4>>2]|0);if((cc|0)==1){dc=b-8|0;return}k[b+(d<<3)>>2]=k[dc>>2]|0;k[b+(d<<3)+4>>2]=k[dc+4>>2]|0;a=a+(4+f+3>>2<<2)|0;break;case 135:switch(c>>>16|0){case 0:{k[b-4>>2]=a;LT(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 1:{k[b-4>>2]=a;na(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 2:{k[b-4>>2]=a;f=ta(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 3:{k[b-4>>2]=a;oa(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 4:{k[b-4>>2]=a;f=pb()|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;continue}case 5:{k[b-4>>2]=a;DO(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 6:{k[b-4>>2]=a;sb(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 7:{k[b-4>>2]=a;Na(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 8:{k[b-4>>2]=a;f=qa(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 9:{k[b-4>>2]=a;A9(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 10:{k[b-4>>2]=a;cra(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 11:{k[b-4>>2]=a;ma(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0,k[b+(l[a+9>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 12:{k[b-4>>2]=a;Ra(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 13:{k[b-4>>2]=a;f=IM(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 14:{k[b-4>>2]=a;lc[k[b+(l[a+4>>0]<<3)>>2]&511](k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 15:{k[b-4>>2]=a;f=sa(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0,k[b+(l[a+9>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+8|0;continue}case 16:{k[b-4>>2]=a;f=IJ(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 17:{k[b-4>>2]=a;xh(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 18:{k[b-4>>2]=a;f=tb(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 19:{k[b-4>>2]=a;Sla(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 20:{k[b-4>>2]=a;f=Ha(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 21:{k[b-4>>2]=a;Ea(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0,k[b+(l[a+9>>0]<<3)>>2]|0,k[b+(l[a+10>>0]<<3)>>2]|0,k[b+(l[a+11>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 22:{k[b-4>>2]=a;f=Coa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 23:{k[b-4>>2]=a;f=rc[k[b+(l[a+4>>0]<<3)>>2]&255](k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 24:{k[b-4>>2]=a;cL(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 25:{k[b-4>>2]=a;Xaa(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 26:{k[b-4>>2]=a;nla(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 27:{k[b-4>>2]=a;Vja(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 28:{k[b-4>>2]=a;_M(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 29:{k[b-4>>2]=a;aL(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 30:{k[b-4>>2]=a;Pz(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 31:{k[b-4>>2]=a;Er(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 32:{k[b-4>>2]=a;sf(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 33:{k[b-4>>2]=a;f=hM(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 34:{k[b-4>>2]=a;sA(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 35:{k[b-4>>2]=a;f=LP(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 36:{k[b-4>>2]=a;CA(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 37:{k[b-4>>2]=a;ON(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 38:{k[b-4>>2]=a;f=aN(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 39:{k[b-4>>2]=a;aI(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 40:{k[b-4>>2]=a;f=gb(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 41:{k[b-4>>2]=a;fb(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 42:{k[b-4>>2]=a;Nl(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+8|0;continue}case 43:{k[b-4>>2]=a;f=jt(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 44:{k[b-4>>2]=a;Qn(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 45:{k[b-4>>2]=a;qj(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 46:{k[b-4>>2]=a;f=ay(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 47:{k[b-4>>2]=a;f=jx(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 48:{k[b-4>>2]=a;f=Pt(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 49:{k[b-4>>2]=a;Wf(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 50:{k[b-4>>2]=a;f=Ma(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+8|0;continue}case 51:{k[b-4>>2]=a;Qoa(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 52:{k[b-4>>2]=a;f=vb(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 53:{k[b-4>>2]=a;la(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 54:{k[b-4>>2]=a;Ab(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 55:{k[b-4>>2]=a;sg(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 56:{k[b-4>>2]=a;rb();if((cc|0)==1){dc=b-8|0;return};continue}case 57:{k[b-4>>2]=a;f=B3(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 58:{k[b-4>>2]=a;f=fn(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 59:{k[b-4>>2]=a;f=Gpa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 60:{k[b-4>>2]=a;f=Cn(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 61:{k[b-4>>2]=a;f=Hpa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 62:{k[b-4>>2]=a;f=mqa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 63:{k[b-4>>2]=a;lla(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 64:{k[b-4>>2]=a;xla(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 65:{k[b-4>>2]=a;Ria(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 66:{k[b-4>>2]=a;xia(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 67:{k[b-4>>2]=a;tha(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 68:{k[b-4>>2]=a;uha(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 69:{k[b-4>>2]=a;xga(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 70:{k[b-4>>2]=a;Ila(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 71:{k[b-4>>2]=a;mla(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 72:{k[b-4>>2]=a;OV(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 73:{k[b-4>>2]=a;MV(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 74:{k[b-4>>2]=a;DV(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 75:{k[b-4>>2]=a;fV(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 76:{k[b-4>>2]=a;eV(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 77:{k[b-4>>2]=a;f=aoa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 78:{k[b-4>>2]=a;f=nT(k[b+(l[a+4>>0]<<3)>>2]|0,+p[b+(l[a+5>>0]<<3)>>3],k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 79:{k[b-4>>2]=a;Bda(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 80:{k[b-4>>2]=a;xka(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 81:{k[b-4>>2]=a;f=tp(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 82:{k[b-4>>2]=a;f=ina(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 83:{k[b-4>>2]=a;f=Kma(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 84:{k[b-4>>2]=a;f=Wma(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 85:{k[b-4>>2]=a;f=Ob(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 86:{k[b-4>>2]=a;f=Lna(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 87:{k[b-4>>2]=a;f=jna(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 88:{k[b-4>>2]=a;f=Lb(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 89:{k[b-4>>2]=a;eia(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 90:{k[b-4>>2]=a;A3(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 91:{k[b-4>>2]=a;f=ml(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 92:{k[b-4>>2]=a;tD(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 93:{k[b-4>>2]=a;Ll(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 94:{k[b-4>>2]=a;f=fx(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 95:{k[b-4>>2]=a;f=Tt(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 96:{k[b-4>>2]=a;f=mW(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 97:{k[b-4>>2]=a;f=eka(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 98:{k[b-4>>2]=a;pz(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 99:{k[b-4>>2]=a;f=ja(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0,k[b+(l[a+8>>0]<<3)>>2]|0,k[b+(l[a+9>>0]<<3)>>2]|0,k[b+(l[a+10>>0]<<3)>>2]|0,k[b+(l[a+11>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+8|0;continue}case 100:{k[b-4>>2]=a;f=Wca(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 101:{k[b-4>>2]=a;f=poa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 102:{k[b-4>>2]=a;f=jb(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 103:{k[b-4>>2]=a;Nb(k[b+(l[a+4>>0]<<3)>>2]|0);if((cc|0)==1){dc=b-8|0;return};a=a+4|0;continue}case 104:{k[b-4>>2]=a;f=ooa(k[b+(l[a+4>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 105:{k[b-4>>2]=a;f=sM(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}case 106:{k[b-4>>2]=a;f=gN(k[b+(l[a+4>>0]<<3)>>2]|0,k[b+(l[a+5>>0]<<3)>>2]|0,k[b+(l[a+6>>0]<<3)>>2]|0,k[b+(l[a+7>>0]<<3)>>2]|0)|0;if((cc|0)==1){dc=b-8|0;return}else k[b+(d<<3)>>2]=f;a=a+4|0;continue}default:}break;case 136:k[b+(d<<3)>>2]=r;break;case 137:r=k[b+(d<<3)>>2]|0;break;case 138:f=k[b+(f<<3)>>2]|0;d=(k[b+(d<<3)>>2]|0)-(k[b+(e<<3)>>2]|0)>>>0;if(d>>>0>=f>>>0){a=a+(f<<2)|0;continue}a=k[a+4+(d<<2)>>2]|0;a=a-4|0;continue;break;case 139:dc=b-8|0;k[dc>>2]=k[b+(d<<3)>>2]|0;k[dc+4>>2]=k[b+(d<<3)+4>>2]|0;return;break;default:}}}function Rc(){var a=0,b=0,c=0,d=0,e=0,f=0,g=0,h=0,j=0,l=0,m=0,n=0,o=0;g=0;l=r;r=r+1296|0;m=l;h=l+1248|0;j=l+1232|0;d=l+40|0;p[9547]=3.141592653589793;k[m>>2]=0;k[m+4>>2]=0;k[m+8>>2]=0;y=0;Na(74,m|0,51536,5);f=y;y=0;if(f&1){m=pb()|0;sb(m|0)}e=m+12|0;k[e>>2]=0;k[e+4>>2]=0;k[e+8>>2]=0;y=0;Na(74,e|0,51542,5);f=y;y=0;if(f&1)a=1;else{f=m+24|0;k[f>>2]=0;k[f+4>>2]=0;k[f+8>>2]=0;y=0;Na(74,f|0,51548,4);c=y;y=0;if(c&1)a=2;else{k[20067]=0;k[20068]=0;k[20069]=0;y=0;a=qa(315,36)|0;c=y;y=0;if(c&1)a=pb()|0;else{k[20068]=a;k[20067]=a;k[20069]=a+36;y=0;oa(456,a|0,m|0);c=y;y=0;if(!(c&1)){c=(k[20068]|0)+12|0;k[20068]=c;y=0;oa(456,c|0,e|0);c=y;y=0;if(!(c&1)){c=(k[20068]|0)+12|0;k[20068]=c;y=0;oa(456,c|0,f|0);c=y;y=0;if(!(c&1)){k[20068]=(k[20068]|0)+12;A9(f);A9(e);A9(m);Pb(426,80268,x|0)|0;k[20070]=0;k[20071]=0;k[20072]=0;aI(80280,51553,21);Pb(427,80280,x|0)|0;k[20073]=0;k[20074]=0;k[20075]=0;aI(80292,51575,19);Pb(427,80292,x|0)|0;k[20076]=0;k[20077]=0;k[20078]=0;aI(80304,51595,22);Pb(427,80304,x|0)|0;k[20079]=0;k[20080]=0;k[20081]=0;aI(80316,51618,23);Pb(427,80316,x|0)|0;k[20082]=0;k[20083]=0;k[20084]=0;aI(80328,51642,6);Pb(427,80328,x|0)|0;ON(80340,41957,0,-1);a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,59688);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=59700;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59740]=0;i[59741]=0;i[59742]=0;k[14936]=0;k[14922]=10548;p[7469]=240.0;p[7470]=248.0;p[7471]=255.0;p[7472]=1.0;y=0;oa(456,59784,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[14949]=0;k[14936]=3;A9(j);Pb(95,59688,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,59800);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=59812;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59852]=0;i[59853]=0;i[59854]=0;k[14964]=0;k[14950]=10548;p[7483]=250.0;p[7484]=235.0;p[7485]=215.0;p[7486]=1.0;y=0;oa(456,59896,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[14977]=0;k[14964]=3;A9(j);Pb(95,59800,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,59912);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=59924;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[59964]=0;i[59965]=0;i[59966]=0;k[14992]=0;k[14978]=10548;p[7497]=0.0;p[7498]=255.0;p[7499]=255.0;p[7500]=1.0;y=0;oa(456,60008,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15005]=0;k[14992]=3;A9(j);Pb(95,59912,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,60024);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=60036;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60076]=0;i[60077]=0;i[60078]=0;k[15020]=0;k[15006]=10548;p[7511]=0.0;p[7512]=255.0;p[7513]=255.0;p[7514]=1.0;y=0;oa(456,60120,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15033]=0;k[15020]=3;A9(j);Pb(95,60024,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,60136);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=60148;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60188]=0;i[60189]=0;i[60190]=0;k[15048]=0;k[15034]=10548;p[7525]=127.0;p[7526]=255.0;p[7527]=212.0;p[7528]=1.0;y=0;oa(456,60232,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15061]=0;k[15048]=3;A9(j);Pb(95,60136,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,60248);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=60260;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60300]=0;i[60301]=0;i[60302]=0;k[15076]=0;k[15062]=10548;p[7539]=240.0;p[7540]=255.0;p[7541]=255.0;p[7542]=1.0;y=0;oa(456,60344,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15089]=0;k[15076]=3;A9(j);Pb(95,60248,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,60360);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=60372;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60412]=0;i[60413]=0;i[60414]=0;k[15104]=0;k[15090]=10548;p[7553]=245.0;p[7554]=245.0;p[7555]=220.0;p[7556]=1.0;y=0;oa(456,60456,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15117]=0;k[15104]=3;A9(j);Pb(95,60360,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,60472);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=60484;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60524]=0;i[60525]=0;i[60526]=0;k[15132]=0;k[15118]=10548;p[7567]=255.0;p[7568]=228.0;p[7569]=196.0;p[7570]=1.0;y=0;oa(456,60568,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15145]=0;k[15132]=3;A9(j);Pb(95,60472,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,60584);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=60596;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60636]=0;i[60637]=0;i[60638]=0;k[15160]=0;k[15146]=10548;k[15162]=0;k[15163]=0;k[15164]=0;k[15165]=0;k[15166]=0;k[15167]=0;p[7584]=1.0;y=0;oa(456,60680,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15173]=0;k[15160]=3;A9(j);Pb(95,60584,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,60696);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=60708;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60748]=0;i[60749]=0;i[60750]=0;k[15188]=0;k[15174]=10548;p[7595]=255.0;p[7596]=235.0;p[7597]=205.0;p[7598]=1.0;y=0;oa(456,60792,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15201]=0;k[15188]=3;A9(j);Pb(95,60696,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,60808);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=60820;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60860]=0;i[60861]=0;i[60862]=0;k[15216]=0;k[15202]=10548;k[15218]=0;k[15219]=0;k[15220]=0;k[15221]=0;p[7611]=255.0;p[7612]=1.0;y=0;oa(456,60904,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15229]=0;k[15216]=3;A9(j);Pb(95,60808,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,60920);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=60932;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[60972]=0;i[60973]=0;i[60974]=0;k[15244]=0;k[15230]=10548;p[7623]=138.0;p[7624]=43.0;p[7625]=226.0;p[7626]=1.0;y=0;oa(456,61016,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15257]=0;k[15244]=3;A9(j);Pb(95,60920,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,61032);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=61044;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61084]=0;i[61085]=0;i[61086]=0;k[15272]=0;k[15258]=10548;p[7637]=165.0;p[7638]=42.0;p[7639]=42.0;p[7640]=1.0;y=0;oa(456,61128,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15285]=0;k[15272]=3;A9(j);Pb(95,61032,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,61144);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=61156;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61196]=0;i[61197]=0;i[61198]=0;k[15300]=0;k[15286]=10548;p[7651]=222.0;p[7652]=184.0;p[7653]=135.0;p[7654]=1.0;y=0;oa(456,61240,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15313]=0;k[15300]=3;A9(j);Pb(95,61144,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,61256);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=61268;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61308]=0;i[61309]=0;i[61310]=0;k[15328]=0;k[15314]=10548;p[7665]=95.0;p[7666]=158.0;p[7667]=160.0;p[7668]=1.0;y=0;oa(456,61352,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15341]=0;k[15328]=3;A9(j);Pb(95,61256,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,61368);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=61380;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61420]=0;i[61421]=0;i[61422]=0;k[15356]=0;k[15342]=10548;p[7679]=127.0;p[7680]=255.0;p[7681]=0.0;p[7682]=1.0;y=0;oa(456,61464,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15369]=0;k[15356]=3;A9(j);Pb(95,61368,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,61480);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=61492;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61532]=0;i[61533]=0;i[61534]=0;k[15384]=0;k[15370]=10548;p[7693]=210.0;p[7694]=105.0;p[7695]=30.0;p[7696]=1.0;y=0;oa(456,61576,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15397]=0;k[15384]=3;A9(j);Pb(95,61480,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,61592);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=61604;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61644]=0;i[61645]=0;i[61646]=0;k[15412]=0;k[15398]=10548;p[7707]=255.0;p[7708]=127.0;p[7709]=80.0;p[7710]=1.0;y=0;oa(456,61688,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15425]=0;k[15412]=3;A9(j);Pb(95,61592,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,61704);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=61716;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61756]=0;i[61757]=0;i[61758]=0;k[15440]=0;k[15426]=10548;p[7721]=100.0;p[7722]=149.0;p[7723]=237.0;p[7724]=1.0;y=0;oa(456,61800,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15453]=0;k[15440]=3;A9(j);Pb(95,61704,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,61816);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=61828;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61868]=0;i[61869]=0;i[61870]=0;k[15468]=0;k[15454]=10548;p[7735]=255.0;p[7736]=248.0;p[7737]=220.0;p[7738]=1.0;y=0;oa(456,61912,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15481]=0;k[15468]=3;A9(j);Pb(95,61816,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,61928);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=61940;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[61980]=0;i[61981]=0;i[61982]=0;k[15496]=0;k[15482]=10548;p[7749]=220.0;p[7750]=20.0;p[7751]=60.0;p[7752]=1.0;y=0;oa(456,62024,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15509]=0;k[15496]=3;A9(j);Pb(95,61928,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,62040);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=62052;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62092]=0;i[62093]=0;i[62094]=0;k[15524]=0;k[15510]=10548;k[15526]=0;k[15527]=0;k[15528]=0;k[15529]=0;p[7765]=139.0;p[7766]=1.0;y=0;oa(456,62136,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15537]=0;k[15524]=3;A9(j);Pb(95,62040,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,62152);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=62164;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62204]=0;i[62205]=0;i[62206]=0;k[15552]=0;k[15538]=10548;p[7777]=0.0;p[7778]=139.0;p[7779]=139.0;p[7780]=1.0;y=0;oa(456,62248,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15565]=0;k[15552]=3;A9(j);Pb(95,62152,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,62264);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=62276;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62316]=0;i[62317]=0;i[62318]=0;k[15580]=0;k[15566]=10548;p[7791]=184.0;p[7792]=134.0;p[7793]=11.0;p[7794]=1.0;y=0;oa(456,62360,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15593]=0;k[15580]=3;A9(j);Pb(95,62264,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,62376);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=62388;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62428]=0;i[62429]=0;i[62430]=0;k[15608]=0;k[15594]=10548;p[7805]=169.0;p[7806]=169.0;p[7807]=169.0;p[7808]=1.0;y=0;oa(456,62472,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15621]=0;k[15608]=3;A9(j);Pb(95,62376,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,62488);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=62500;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62540]=0;i[62541]=0;i[62542]=0;k[15636]=0;k[15622]=10548;p[7819]=169.0;p[7820]=169.0;p[7821]=169.0;p[7822]=1.0;y=0;oa(456,62584,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15649]=0;k[15636]=3;A9(j);Pb(95,62488,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,62600);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=62612;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62652]=0;i[62653]=0;i[62654]=0;k[15664]=0;k[15650]=10548;p[7833]=0.0;p[7834]=100.0;p[7835]=0.0;p[7836]=1.0;y=0;oa(456,62696,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15677]=0;k[15664]=3;A9(j);Pb(95,62600,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,62712);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=62724;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62764]=0;i[62765]=0;i[62766]=0;k[15692]=0;k[15678]=10548;p[7847]=189.0;p[7848]=183.0;p[7849]=107.0;p[7850]=1.0;y=0;oa(456,62808,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15705]=0;k[15692]=3;A9(j);Pb(95,62712,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,62824);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=62836;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62876]=0;i[62877]=0;i[62878]=0;k[15720]=0;k[15706]=10548;p[7861]=139.0;p[7862]=0.0;p[7863]=139.0;p[7864]=1.0;y=0;oa(456,62920,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15733]=0;k[15720]=3;A9(j);Pb(95,62824,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,62936);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=62948;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[62988]=0;i[62989]=0;i[62990]=0;k[15748]=0;k[15734]=10548;p[7875]=85.0;p[7876]=107.0;p[7877]=47.0;p[7878]=1.0;y=0;oa(456,63032,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15761]=0;k[15748]=3;A9(j);Pb(95,62936,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,63048);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=63060;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63100]=0;i[63101]=0;i[63102]=0;k[15776]=0;k[15762]=10548;p[7889]=255.0;p[7890]=140.0;p[7891]=0.0;p[7892]=1.0;y=0;oa(456,63144,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15789]=0;k[15776]=3;A9(j);Pb(95,63048,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,63160);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=63172;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63212]=0;i[63213]=0;i[63214]=0;k[15804]=0;k[15790]=10548;p[7903]=153.0;p[7904]=50.0;p[7905]=204.0;p[7906]=1.0;y=0;oa(456,63256,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15817]=0;k[15804]=3;A9(j);Pb(95,63160,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,63272);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=63284;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63324]=0;i[63325]=0;i[63326]=0;k[15832]=0;k[15818]=10548;p[7917]=139.0;k[15836]=0;k[15837]=0;k[15838]=0;k[15839]=0;p[7920]=1.0;y=0;oa(456,63368,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15845]=0;k[15832]=3;A9(j);Pb(95,63272,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,63384);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=63396;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63436]=0;i[63437]=0;i[63438]=0;k[15860]=0;k[15846]=10548;p[7931]=233.0;p[7932]=150.0;p[7933]=122.0;p[7934]=1.0;y=0;oa(456,63480,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15873]=0;k[15860]=3;A9(j);Pb(95,63384,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,63496);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=63508;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63548]=0;i[63549]=0;i[63550]=0;k[15888]=0;k[15874]=10548;p[7945]=143.0;p[7946]=188.0;p[7947]=143.0;p[7948]=1.0;y=0;oa(456,63592,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15901]=0;k[15888]=3;A9(j);Pb(95,63496,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,63608);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=63620;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63660]=0;i[63661]=0;i[63662]=0;k[15916]=0;k[15902]=10548;p[7959]=72.0;p[7960]=61.0;p[7961]=139.0;p[7962]=1.0;y=0;oa(456,63704,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15929]=0;k[15916]=3;A9(j);Pb(95,63608,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,63720);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=63732;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63772]=0;i[63773]=0;i[63774]=0;k[15944]=0;k[15930]=10548;p[7973]=47.0;p[7974]=79.0;p[7975]=79.0;p[7976]=1.0;y=0;oa(456,63816,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15957]=0;k[15944]=3;A9(j);Pb(95,63720,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,63832);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=63844;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63884]=0;i[63885]=0;i[63886]=0;k[15972]=0;k[15958]=10548;p[7987]=47.0;p[7988]=79.0;p[7989]=79.0;p[7990]=1.0;y=0;oa(456,63928,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[15985]=0;k[15972]=3;A9(j);Pb(95,63832,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,63944);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=63956;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[63996]=0;i[63997]=0;i[63998]=0;k[16e3]=0;k[15986]=10548;p[8001]=0.0;p[8002]=206.0;p[8003]=209.0;p[8004]=1.0;y=0;oa(456,64040,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16013]=0;k[16e3]=3;A9(j);Pb(95,63944,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,64056);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=64068;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64108]=0;i[64109]=0;i[64110]=0;k[16028]=0;k[16014]=10548;p[8015]=148.0;p[8016]=0.0;p[8017]=211.0;p[8018]=1.0;y=0;oa(456,64152,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16041]=0;k[16028]=3;A9(j);Pb(95,64056,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,64168);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=64180;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64220]=0;i[64221]=0;i[64222]=0;k[16056]=0;k[16042]=10548;p[8029]=255.0;p[8030]=20.0;p[8031]=147.0;p[8032]=1.0;y=0;oa(456,64264,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16069]=0;k[16056]=3;A9(j);Pb(95,64168,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,64280);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=64292;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64332]=0;i[64333]=0;i[64334]=0;k[16084]=0;k[16070]=10548;p[8043]=0.0;p[8044]=191.0;p[8045]=255.0;p[8046]=1.0;y=0;oa(456,64376,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16097]=0;k[16084]=3;A9(j);Pb(95,64280,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,64392);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=64404;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64444]=0;i[64445]=0;i[64446]=0;k[16112]=0;k[16098]=10548;p[8057]=105.0;p[8058]=105.0;p[8059]=105.0;p[8060]=1.0;y=0;oa(456,64488,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16125]=0;k[16112]=3;A9(j);Pb(95,64392,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,64504);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=64516;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64556]=0;i[64557]=0;i[64558]=0;k[16140]=0;k[16126]=10548;p[8071]=105.0;p[8072]=105.0;p[8073]=105.0;p[8074]=1.0;y=0;oa(456,64600,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16153]=0;k[16140]=3;A9(j);Pb(95,64504,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,64616);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=64628;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64668]=0;i[64669]=0;i[64670]=0;k[16168]=0;k[16154]=10548;p[8085]=30.0;p[8086]=144.0;p[8087]=255.0;p[8088]=1.0;y=0;oa(456,64712,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16181]=0;k[16168]=3;A9(j);Pb(95,64616,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,64728);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=64740;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64780]=0;i[64781]=0;i[64782]=0;k[16196]=0;k[16182]=10548;p[8099]=178.0;p[8100]=34.0;p[8101]=34.0;p[8102]=1.0;y=0;oa(456,64824,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16209]=0;k[16196]=3;A9(j);Pb(95,64728,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,64840);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=64852;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[64892]=0;i[64893]=0;i[64894]=0;k[16224]=0;k[16210]=10548;p[8113]=255.0;p[8114]=250.0;p[8115]=240.0;p[8116]=1.0;y=0;oa(456,64936,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16237]=0;k[16224]=3;A9(j);Pb(95,64840,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,64952);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=64964;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65004]=0;i[65005]=0;i[65006]=0;k[16252]=0;k[16238]=10548;p[8127]=34.0;p[8128]=139.0;p[8129]=34.0;p[8130]=1.0;y=0;oa(456,65048,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16265]=0;k[16252]=3;A9(j);Pb(95,64952,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,65064);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=65076;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65116]=0;i[65117]=0;i[65118]=0;k[16280]=0;k[16266]=10548;p[8141]=255.0;p[8142]=0.0;p[8143]=255.0;p[8144]=1.0;y=0;oa(456,65160,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16293]=0;k[16280]=3;A9(j);Pb(95,65064,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,65176);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=65188;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65228]=0;i[65229]=0;i[65230]=0;k[16308]=0;k[16294]=10548;p[8155]=255.0;p[8156]=0.0;p[8157]=255.0;p[8158]=1.0;y=0;oa(456,65272,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16321]=0;k[16308]=3;A9(j);Pb(95,65176,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,65288);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=65300;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65340]=0;i[65341]=0;i[65342]=0;k[16336]=0;k[16322]=10548;p[8169]=220.0;p[8170]=220.0;p[8171]=220.0;p[8172]=1.0;y=0;oa(456,65384,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16349]=0;k[16336]=3;A9(j);Pb(95,65288,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,65400);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=65412;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65452]=0;i[65453]=0;i[65454]=0;k[16364]=0;k[16350]=10548;p[8183]=248.0;p[8184]=248.0;p[8185]=255.0;p[8186]=1.0;y=0;oa(456,65496,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16377]=0;k[16364]=3;A9(j);Pb(95,65400,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,65512);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=65524;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65564]=0;i[65565]=0;i[65566]=0;k[16392]=0;k[16378]=10548;p[8197]=255.0;p[8198]=215.0;p[8199]=0.0;p[8200]=1.0;y=0;oa(456,65608,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16405]=0;k[16392]=3;A9(j);Pb(95,65512,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,65624);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=65636;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65676]=0;i[65677]=0;i[65678]=0;k[16420]=0;k[16406]=10548;p[8211]=218.0;p[8212]=165.0;p[8213]=32.0;p[8214]=1.0;y=0;oa(456,65720,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16433]=0;k[16420]=3;A9(j);Pb(95,65624,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,65736);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=65748;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65788]=0;i[65789]=0;i[65790]=0;k[16448]=0;k[16434]=10548;p[8225]=128.0;p[8226]=128.0;p[8227]=128.0;p[8228]=1.0;y=0;oa(456,65832,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16461]=0;k[16448]=3;A9(j);Pb(95,65736,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,65848);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=65860;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[65900]=0;i[65901]=0;i[65902]=0;k[16476]=0;k[16462]=10548;p[8239]=128.0;p[8240]=128.0;p[8241]=128.0;p[8242]=1.0;y=0;oa(456,65944,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16489]=0;k[16476]=3;A9(j);Pb(95,65848,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,65960);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=65972;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66012]=0;i[66013]=0;i[66014]=0;k[16504]=0;k[16490]=10548;p[8253]=0.0;p[8254]=128.0;p[8255]=0.0;p[8256]=1.0;y=0;oa(456,66056,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16517]=0;k[16504]=3;A9(j);Pb(95,65960,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,66072);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=66084;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66124]=0;i[66125]=0;i[66126]=0;k[16532]=0;k[16518]=10548;p[8267]=173.0;p[8268]=255.0;p[8269]=47.0;p[8270]=1.0;y=0;oa(456,66168,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16545]=0;k[16532]=3;A9(j);Pb(95,66072,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,66184);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=66196;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66236]=0;i[66237]=0;i[66238]=0;k[16560]=0;k[16546]=10548;p[8281]=240.0;p[8282]=255.0;p[8283]=240.0;p[8284]=1.0;y=0;oa(456,66280,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16573]=0;k[16560]=3;A9(j);Pb(95,66184,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,66296);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=66308;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66348]=0;i[66349]=0;i[66350]=0;k[16588]=0;k[16574]=10548;p[8295]=255.0;p[8296]=105.0;p[8297]=180.0;p[8298]=1.0;y=0;oa(456,66392,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16601]=0;k[16588]=3;A9(j);Pb(95,66296,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,66408);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=66420;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66460]=0;i[66461]=0;i[66462]=0;k[16616]=0;k[16602]=10548;p[8309]=205.0;p[8310]=92.0;p[8311]=92.0;p[8312]=1.0;y=0;oa(456,66504,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16629]=0;k[16616]=3;A9(j);Pb(95,66408,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,66520);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=66532;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66572]=0;i[66573]=0;i[66574]=0;k[16644]=0;k[16630]=10548;p[8323]=75.0;p[8324]=0.0;p[8325]=130.0;p[8326]=1.0;y=0;oa(456,66616,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16657]=0;k[16644]=3;A9(j);Pb(95,66520,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,66632);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=66644;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66684]=0;i[66685]=0;i[66686]=0;k[16672]=0;k[16658]=10548;p[8337]=255.0;p[8338]=255.0;p[8339]=240.0;p[8340]=1.0;y=0;oa(456,66728,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16685]=0;k[16672]=3;A9(j);Pb(95,66632,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,66744);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=66756;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66796]=0;i[66797]=0;i[66798]=0;k[16700]=0;k[16686]=10548;p[8351]=240.0;p[8352]=230.0;p[8353]=140.0;p[8354]=1.0;y=0;oa(456,66840,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16713]=0;k[16700]=3;A9(j);Pb(95,66744,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,66856);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=66868;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[66908]=0;i[66909]=0;i[66910]=0;k[16728]=0;k[16714]=10548;p[8365]=230.0;p[8366]=230.0;p[8367]=250.0;p[8368]=1.0;y=0;oa(456,66952,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16741]=0;k[16728]=3;A9(j);Pb(95,66856,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,66968);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=66980;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67020]=0;i[67021]=0;i[67022]=0;k[16756]=0;k[16742]=10548;p[8379]=255.0;p[8380]=240.0;p[8381]=245.0;p[8382]=1.0;y=0;oa(456,67064,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16769]=0;k[16756]=3;A9(j);Pb(95,66968,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,67080);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=67092;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67132]=0;i[67133]=0;i[67134]=0;k[16784]=0;k[16770]=10548;p[8393]=124.0;p[8394]=252.0;p[8395]=0.0;p[8396]=1.0;y=0;oa(456,67176,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16797]=0;k[16784]=3;A9(j);Pb(95,67080,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,67192);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=67204;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67244]=0;i[67245]=0;i[67246]=0;k[16812]=0;k[16798]=10548;p[8407]=255.0;p[8408]=250.0;p[8409]=205.0;p[8410]=1.0;y=0;oa(456,67288,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16825]=0;k[16812]=3;A9(j);Pb(95,67192,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,67304);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=67316;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67356]=0;i[67357]=0;i[67358]=0;k[16840]=0;k[16826]=10548;p[8421]=173.0;p[8422]=216.0;p[8423]=230.0;p[8424]=1.0;y=0;oa(456,67400,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16853]=0;k[16840]=3;A9(j);Pb(95,67304,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,67416);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=67428;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67468]=0;i[67469]=0;i[67470]=0;k[16868]=0;k[16854]=10548;p[8435]=240.0;p[8436]=128.0;p[8437]=128.0;p[8438]=1.0;y=0;oa(456,67512,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16881]=0;k[16868]=3;A9(j);Pb(95,67416,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,67528);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=67540;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67580]=0;i[67581]=0;i[67582]=0;k[16896]=0;k[16882]=10548;p[8449]=224.0;p[8450]=255.0;p[8451]=255.0;p[8452]=1.0;y=0;oa(456,67624,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16909]=0;k[16896]=3;A9(j);Pb(95,67528,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,67640);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=67652;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67692]=0;i[67693]=0;i[67694]=0;k[16924]=0;k[16910]=10548;p[8463]=250.0;p[8464]=250.0;p[8465]=210.0;p[8466]=1.0;y=0;oa(456,67736,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16937]=0;k[16924]=3;A9(j);Pb(95,67640,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,67752);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=67764;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67804]=0;i[67805]=0;i[67806]=0;k[16952]=0;k[16938]=10548;p[8477]=211.0;p[8478]=211.0;p[8479]=211.0;p[8480]=1.0;y=0;oa(456,67848,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16965]=0;k[16952]=3;A9(j);Pb(95,67752,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,67864);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=67876;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[67916]=0;i[67917]=0;i[67918]=0;k[16980]=0;k[16966]=10548;p[8491]=211.0;p[8492]=211.0;p[8493]=211.0;p[8494]=1.0;y=0;oa(456,67960,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[16993]=0;k[16980]=3;A9(j);Pb(95,67864,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,67976);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=67988;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68028]=0;i[68029]=0;i[68030]=0;k[17008]=0;k[16994]=10548;p[8505]=144.0;p[8506]=238.0;p[8507]=144.0;p[8508]=1.0;y=0;oa(456,68072,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17021]=0;k[17008]=3;A9(j);Pb(95,67976,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,68088);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=68100;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68140]=0;i[68141]=0;i[68142]=0;k[17036]=0;k[17022]=10548;p[8519]=255.0;p[8520]=182.0;p[8521]=193.0;p[8522]=1.0;y=0;oa(456,68184,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17049]=0;k[17036]=3;A9(j);Pb(95,68088,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,68200);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=68212;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68252]=0;i[68253]=0;i[68254]=0;k[17064]=0;k[17050]=10548;p[8533]=255.0;p[8534]=160.0;p[8535]=122.0;p[8536]=1.0;y=0;oa(456,68296,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17077]=0;k[17064]=3;A9(j);Pb(95,68200,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,68312);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=68324;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68364]=0;i[68365]=0;i[68366]=0;k[17092]=0;k[17078]=10548;p[8547]=32.0;p[8548]=178.0;p[8549]=170.0;p[8550]=1.0;y=0;oa(456,68408,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17105]=0;k[17092]=3;A9(j);Pb(95,68312,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,68424);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=68436;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68476]=0;i[68477]=0;i[68478]=0;k[17120]=0;k[17106]=10548;p[8561]=135.0;p[8562]=206.0;p[8563]=250.0;p[8564]=1.0;y=0;oa(456,68520,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17133]=0;k[17120]=3;A9(j);Pb(95,68424,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,68536);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=68548;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68588]=0;i[68589]=0;i[68590]=0;k[17148]=0;k[17134]=10548;p[8575]=119.0;p[8576]=136.0;p[8577]=153.0;p[8578]=1.0;y=0;oa(456,68632,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17161]=0;k[17148]=3;A9(j);Pb(95,68536,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,68648);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=68660;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68700]=0;i[68701]=0;i[68702]=0;k[17176]=0;k[17162]=10548;p[8589]=119.0;p[8590]=136.0;p[8591]=153.0;p[8592]=1.0;y=0;oa(456,68744,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17189]=0;k[17176]=3;A9(j);Pb(95,68648,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,68760);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=68772;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68812]=0;i[68813]=0;i[68814]=0;k[17204]=0;k[17190]=10548;p[8603]=176.0;p[8604]=196.0;p[8605]=222.0;p[8606]=1.0;y=0;oa(456,68856,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17217]=0;k[17204]=3;A9(j);Pb(95,68760,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,68872);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=68884;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[68924]=0;i[68925]=0;i[68926]=0;k[17232]=0;k[17218]=10548;p[8617]=255.0;p[8618]=255.0;p[8619]=224.0;p[8620]=1.0;y=0;oa(456,68968,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17245]=0;k[17232]=3;A9(j);Pb(95,68872,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,68984);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=68996;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69036]=0;i[69037]=0;i[69038]=0;k[17260]=0;k[17246]=10548;p[8631]=0.0;p[8632]=255.0;p[8633]=0.0;p[8634]=1.0;y=0;oa(456,69080,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17273]=0;k[17260]=3;A9(j);Pb(95,68984,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,69096);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=69108;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69148]=0;i[69149]=0;i[69150]=0;k[17288]=0;k[17274]=10548;p[8645]=50.0;p[8646]=205.0;p[8647]=50.0;p[8648]=1.0;y=0;oa(456,69192,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17301]=0;k[17288]=3;A9(j);Pb(95,69096,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,69208);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=69220;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69260]=0;i[69261]=0;i[69262]=0;k[17316]=0;k[17302]=10548;p[8659]=250.0;p[8660]=240.0;p[8661]=230.0;p[8662]=1.0;y=0;oa(456,69304,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17329]=0;k[17316]=3;A9(j);Pb(95,69208,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,69320);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=69332;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69372]=0;i[69373]=0;i[69374]=0;k[17344]=0;k[17330]=10548;p[8673]=128.0;k[17348]=0;k[17349]=0;k[17350]=0;k[17351]=0;p[8676]=1.0;y=0;oa(456,69416,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17357]=0;k[17344]=3;A9(j);Pb(95,69320,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,69432);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=69444;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69484]=0;i[69485]=0;i[69486]=0;k[17372]=0;k[17358]=10548;p[8687]=102.0;p[8688]=205.0;p[8689]=170.0;p[8690]=1.0;y=0;oa(456,69528,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17385]=0;k[17372]=3;A9(j);Pb(95,69432,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,69544);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=69556;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69596]=0;i[69597]=0;i[69598]=0;k[17400]=0;k[17386]=10548;k[17402]=0;k[17403]=0;k[17404]=0;k[17405]=0;p[8703]=205.0;p[8704]=1.0;y=0;oa(456,69640,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17413]=0;k[17400]=3;A9(j);Pb(95,69544,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,69656);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=69668;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69708]=0;i[69709]=0;i[69710]=0;k[17428]=0;k[17414]=10548;p[8715]=186.0;p[8716]=85.0;p[8717]=211.0;p[8718]=1.0;y=0;oa(456,69752,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17441]=0;k[17428]=3;A9(j);Pb(95,69656,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,69768);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=69780;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69820]=0;i[69821]=0;i[69822]=0;k[17456]=0;k[17442]=10548;p[8729]=147.0;p[8730]=112.0;p[8731]=219.0;p[8732]=1.0;y=0;oa(456,69864,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17469]=0;k[17456]=3;A9(j);Pb(95,69768,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,69880);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=69892;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[69932]=0;i[69933]=0;i[69934]=0;k[17484]=0;k[17470]=10548;p[8743]=60.0;p[8744]=179.0;p[8745]=113.0;p[8746]=1.0;y=0;oa(456,69976,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17497]=0;k[17484]=3;A9(j);Pb(95,69880,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,69992);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=70004;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70044]=0;i[70045]=0;i[70046]=0;k[17512]=0;k[17498]=10548;p[8757]=123.0;p[8758]=104.0;p[8759]=238.0;p[8760]=1.0;y=0;oa(456,70088,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17525]=0;k[17512]=3;A9(j);Pb(95,69992,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,70104);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=70116;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70156]=0;i[70157]=0;i[70158]=0;k[17540]=0;k[17526]=10548;p[8771]=0.0;p[8772]=250.0;p[8773]=154.0;p[8774]=1.0;y=0;oa(456,70200,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17553]=0;k[17540]=3;A9(j);Pb(95,70104,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,70216);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=70228;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70268]=0;i[70269]=0;i[70270]=0;k[17568]=0;k[17554]=10548;p[8785]=72.0;p[8786]=209.0;p[8787]=204.0;p[8788]=1.0;y=0;oa(456,70312,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17581]=0;k[17568]=3;A9(j);Pb(95,70216,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,70328);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=70340;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70380]=0;i[70381]=0;i[70382]=0;k[17596]=0;k[17582]=10548;p[8799]=199.0;p[8800]=21.0;p[8801]=133.0;p[8802]=1.0;y=0;oa(456,70424,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17609]=0;k[17596]=3;A9(j);Pb(95,70328,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,70440);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=70452;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70492]=0;i[70493]=0;i[70494]=0;k[17624]=0;k[17610]=10548;p[8813]=25.0;p[8814]=25.0;p[8815]=112.0;p[8816]=1.0;y=0;oa(456,70536,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17637]=0;k[17624]=3;A9(j);Pb(95,70440,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,70552);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=70564;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70604]=0;i[70605]=0;i[70606]=0;k[17652]=0;k[17638]=10548;p[8827]=245.0;p[8828]=255.0;p[8829]=250.0;p[8830]=1.0;y=0;oa(456,70648,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17665]=0;k[17652]=3;A9(j);Pb(95,70552,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,70664);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=70676;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70716]=0;i[70717]=0;i[70718]=0;k[17680]=0;k[17666]=10548;p[8841]=255.0;p[8842]=228.0;p[8843]=225.0;p[8844]=1.0;y=0;oa(456,70760,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17693]=0;k[17680]=3;A9(j);Pb(95,70664,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,70776);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=70788;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70828]=0;i[70829]=0;i[70830]=0;k[17708]=0;k[17694]=10548;p[8855]=255.0;p[8856]=228.0;p[8857]=181.0;p[8858]=1.0;y=0;oa(456,70872,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17721]=0;k[17708]=3;A9(j);Pb(95,70776,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,70888);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=70900;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[70940]=0;i[70941]=0;i[70942]=0;k[17736]=0;k[17722]=10548;p[8869]=255.0;p[8870]=222.0;p[8871]=173.0;p[8872]=1.0;y=0;oa(456,70984,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17749]=0;k[17736]=3;A9(j);Pb(95,70888,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,71e3);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=71012;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71052]=0;i[71053]=0;i[71054]=0;k[17764]=0;k[17750]=10548;k[17766]=0;k[17767]=0;k[17768]=0;k[17769]=0;p[8885]=128.0;p[8886]=1.0;y=0;oa(456,71096,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17777]=0;k[17764]=3;A9(j);Pb(95,71e3,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,71112);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=71124;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71164]=0;i[71165]=0;i[71166]=0;k[17792]=0;k[17778]=10548;p[8897]=253.0;p[8898]=245.0;p[8899]=230.0;p[8900]=1.0;y=0;oa(456,71208,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17805]=0;k[17792]=3;A9(j);Pb(95,71112,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,71224);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=71236;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71276]=0;i[71277]=0;i[71278]=0;k[17820]=0;k[17806]=10548;p[8911]=128.0;p[8912]=128.0;p[8913]=0.0;p[8914]=1.0;y=0;oa(456,71320,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17833]=0;k[17820]=3;A9(j);Pb(95,71224,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,71336);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=71348;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71388]=0;i[71389]=0;i[71390]=0;k[17848]=0;k[17834]=10548;p[8925]=107.0;p[8926]=142.0;p[8927]=35.0;p[8928]=1.0;y=0;oa(456,71432,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17861]=0;k[17848]=3;A9(j);Pb(95,71336,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,71448);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=71460;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71500]=0;i[71501]=0;i[71502]=0;k[17876]=0;k[17862]=10548;p[8939]=255.0;p[8940]=165.0;p[8941]=0.0;p[8942]=1.0;y=0;oa(456,71544,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17889]=0;k[17876]=3;A9(j);Pb(95,71448,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,71560);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=71572;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71612]=0;i[71613]=0;i[71614]=0;k[17904]=0;k[17890]=10548;p[8953]=255.0;p[8954]=69.0;p[8955]=0.0;p[8956]=1.0;y=0;oa(456,71656,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17917]=0;k[17904]=3;A9(j);Pb(95,71560,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,71672);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=71684;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71724]=0;i[71725]=0;i[71726]=0;k[17932]=0;k[17918]=10548;p[8967]=218.0;p[8968]=112.0;p[8969]=214.0;p[8970]=1.0;y=0;oa(456,71768,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17945]=0;k[17932]=3;A9(j);Pb(95,71672,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,71784);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=71796;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71836]=0;i[71837]=0;i[71838]=0;k[17960]=0;k[17946]=10548;p[8981]=238.0;p[8982]=232.0;p[8983]=170.0;p[8984]=1.0;y=0;oa(456,71880,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[17973]=0;k[17960]=3;A9(j);Pb(95,71784,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,71896);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=71908;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[71948]=0;i[71949]=0;i[71950]=0;k[17988]=0;k[17974]=10548;p[8995]=152.0;p[8996]=251.0;p[8997]=152.0;p[8998]=1.0;y=0;oa(456,71992,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18001]=0;k[17988]=3;A9(j);Pb(95,71896,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,72008);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=72020;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[72060]=0;i[72061]=0;i[72062]=0;k[18016]=0;k[18002]=10548;p[9009]=175.0;p[9010]=238.0;p[9011]=238.0;p[9012]=1.0;y=0;oa(456,72104,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18029]=0;k[18016]=3;A9(j);Pb(95,72008,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,72120);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=72132;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[72172]=0;i[72173]=0;i[72174]=0;k[18044]=0;k[18030]=10548;p[9023]=219.0;p[9024]=112.0;p[9025]=147.0;p[9026]=1.0;y=0;oa(456,72216,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18057]=0;k[18044]=3;A9(j);Pb(95,72120,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,72232);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=72244;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[72284]=0;i[72285]=0;i[72286]=0;k[18072]=0;k[18058]=10548;p[9037]=255.0;p[9038]=239.0;p[9039]=213.0;p[9040]=1.0;y=0;oa(456,72328,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18085]=0;k[18072]=3;A9(j);Pb(95,72232,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,72344);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=72356;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[72396]=0;i[72397]=0;i[72398]=0;k[18100]=0;k[18086]=10548;p[9051]=255.0;p[9052]=218.0;p[9053]=185.0;p[9054]=1.0;y=0;oa(456,72440,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18113]=0;k[18100]=3;A9(j);Pb(95,72344,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,72456);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=72468;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[72508]=0;i[72509]=0;i[72510]=0;k[18128]=0;k[18114]=10548;p[9065]=205.0;p[9066]=133.0;p[9067]=63.0;p[9068]=1.0;y=0;oa(456,72552,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18141]=0;k[18128]=3;A9(j);Pb(95,72456,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,72568);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=72580;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[72620]=0;i[72621]=0;i[72622]=0;k[18156]=0;k[18142]=10548;p[9079]=255.0;p[9080]=192.0;p[9081]=203.0;p[9082]=1.0;y=0;oa(456,72664,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18169]=0;k[18156]=3;A9(j);Pb(95,72568,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,72680);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=72692;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[72732]=0;i[72733]=0;i[72734]=0;k[18184]=0;k[18170]=10548;p[9093]=221.0;p[9094]=160.0;p[9095]=221.0;p[9096]=1.0;y=0;oa(456,72776,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18197]=0;k[18184]=3;A9(j);Pb(95,72680,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,72792);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=72804;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[72844]=0;i[72845]=0;i[72846]=0;k[18212]=0;k[18198]=10548;p[9107]=176.0;p[9108]=224.0;p[9109]=230.0;p[9110]=1.0;y=0;oa(456,72888,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18225]=0;k[18212]=3;A9(j);Pb(95,72792,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,72904);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=72916;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[72956]=0;i[72957]=0;i[72958]=0;k[18240]=0;k[18226]=10548;p[9121]=128.0;p[9122]=0.0;p[9123]=128.0;p[9124]=1.0;y=0;oa(456,73e3,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18253]=0;k[18240]=3;A9(j);Pb(95,72904,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,73016);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=73028;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[73068]=0;i[73069]=0;i[73070]=0;k[18268]=0;k[18254]=10548;p[9135]=255.0;k[18272]=0;k[18273]=0;k[18274]=0;k[18275]=0;p[9138]=1.0;y=0;oa(456,73112,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18281]=0;k[18268]=3;A9(j);Pb(95,73016,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,73128);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=73140;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[73180]=0;i[73181]=0;i[73182]=0;k[18296]=0;k[18282]=10548;p[9149]=188.0;p[9150]=143.0;p[9151]=143.0;p[9152]=1.0;y=0;oa(456,73224,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18309]=0;k[18296]=3;A9(j);Pb(95,73128,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,73240);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=73252;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[73292]=0;i[73293]=0;i[73294]=0;k[18324]=0;k[18310]=10548;p[9163]=65.0;p[9164]=105.0;p[9165]=225.0;p[9166]=1.0;y=0;oa(456,73336,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18337]=0;k[18324]=3;A9(j);Pb(95,73240,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,73352);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=73364;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[73404]=0;i[73405]=0;i[73406]=0;k[18352]=0;k[18338]=10548;p[9177]=139.0;p[9178]=69.0;p[9179]=19.0;p[9180]=1.0;y=0;oa(456,73448,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18365]=0;k[18352]=3;A9(j);Pb(95,73352,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,73464);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=73476;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[73516]=0;i[73517]=0;i[73518]=0;k[18380]=0;k[18366]=10548;p[9191]=250.0;p[9192]=128.0;p[9193]=114.0;p[9194]=1.0;y=0;oa(456,73560,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18393]=0;k[18380]=3;A9(j);Pb(95,73464,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,73576);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=73588;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[73628]=0;i[73629]=0;i[73630]=0;k[18408]=0;k[18394]=10548;p[9205]=244.0;p[9206]=164.0;p[9207]=96.0;p[9208]=1.0;y=0;oa(456,73672,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18421]=0;k[18408]=3;A9(j);Pb(95,73576,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,73688);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=73700;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[73740]=0;i[73741]=0;i[73742]=0;k[18436]=0;k[18422]=10548;p[9219]=46.0;p[9220]=139.0;p[9221]=87.0;p[9222]=1.0;y=0;oa(456,73784,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18449]=0;k[18436]=3;A9(j);Pb(95,73688,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,73800);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=73812;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[73852]=0;i[73853]=0;i[73854]=0;k[18464]=0;k[18450]=10548;p[9233]=255.0;p[9234]=245.0;p[9235]=238.0;p[9236]=1.0;y=0;oa(456,73896,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18477]=0;k[18464]=3;A9(j);Pb(95,73800,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,73912);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=73924;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[73964]=0;i[73965]=0;i[73966]=0;k[18492]=0;k[18478]=10548;p[9247]=160.0;p[9248]=82.0;p[9249]=45.0;p[9250]=1.0;y=0;oa(456,74008,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18505]=0;k[18492]=3;A9(j);Pb(95,73912,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,74024);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=74036;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[74076]=0;i[74077]=0;i[74078]=0;k[18520]=0;k[18506]=10548;p[9261]=192.0;p[9262]=192.0;p[9263]=192.0;p[9264]=1.0;y=0;oa(456,74120,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18533]=0;k[18520]=3;A9(j);Pb(95,74024,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,74136);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=74148;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[74188]=0;i[74189]=0;i[74190]=0;k[18548]=0;k[18534]=10548;p[9275]=135.0;p[9276]=206.0;p[9277]=235.0;p[9278]=1.0;y=0;oa(456,74232,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18561]=0;k[18548]=3;A9(j);Pb(95,74136,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,74248);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=74260;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[74300]=0;i[74301]=0;i[74302]=0;k[18576]=0;k[18562]=10548;p[9289]=106.0;p[9290]=90.0;p[9291]=205.0;p[9292]=1.0;y=0;oa(456,74344,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18589]=0;k[18576]=3;A9(j);Pb(95,74248,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,74360);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=74372;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[74412]=0;i[74413]=0;i[74414]=0;k[18604]=0;k[18590]=10548;p[9303]=112.0;p[9304]=128.0;p[9305]=144.0;p[9306]=1.0;y=0;oa(456,74456,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18617]=0;k[18604]=3;A9(j);Pb(95,74360,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,74472);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=74484;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[74524]=0;i[74525]=0;i[74526]=0;k[18632]=0;k[18618]=10548;p[9317]=112.0;p[9318]=128.0;p[9319]=144.0;p[9320]=1.0;y=0;oa(456,74568,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18645]=0;k[18632]=3;A9(j);Pb(95,74472,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,74584);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=74596;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[74636]=0;i[74637]=0;i[74638]=0;k[18660]=0;k[18646]=10548;p[9331]=255.0;p[9332]=250.0;p[9333]=250.0;p[9334]=1.0;y=0;oa(456,74680,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18673]=0;k[18660]=3;A9(j);Pb(95,74584,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,74696);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=74708;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[74748]=0;i[74749]=0;i[74750]=0;k[18688]=0;k[18674]=10548;p[9345]=0.0;p[9346]=255.0;p[9347]=127.0;p[9348]=1.0;y=0;oa(456,74792,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18701]=0;k[18688]=3;A9(j);Pb(95,74696,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,74808);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=74820;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[74860]=0;i[74861]=0;i[74862]=0;k[18716]=0;k[18702]=10548;p[9359]=70.0;p[9360]=130.0;p[9361]=180.0;p[9362]=1.0;y=0;oa(456,74904,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18729]=0;k[18716]=3;A9(j);Pb(95,74808,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,74920);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=74932;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[74972]=0;i[74973]=0;i[74974]=0;k[18744]=0;k[18730]=10548;p[9373]=210.0;p[9374]=180.0;p[9375]=140.0;p[9376]=1.0;y=0;oa(456,75016,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18757]=0;k[18744]=3;A9(j);Pb(95,74920,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,75032);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=75044;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[75084]=0;i[75085]=0;i[75086]=0;k[18772]=0;k[18758]=10548;p[9387]=0.0;p[9388]=128.0;p[9389]=128.0;p[9390]=1.0;y=0;oa(456,75128,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18785]=0;k[18772]=3;A9(j);Pb(95,75032,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,75144);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=75156;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[75196]=0;i[75197]=0;i[75198]=0;k[18800]=0;k[18786]=10548;p[9401]=216.0;p[9402]=191.0;p[9403]=216.0;p[9404]=1.0;y=0;oa(456,75240,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18813]=0;k[18800]=3;A9(j);Pb(95,75144,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,75256);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=75268;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[75308]=0;i[75309]=0;i[75310]=0;k[18828]=0;k[18814]=10548;p[9415]=255.0;p[9416]=99.0;p[9417]=71.0;p[9418]=1.0;y=0;oa(456,75352,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18841]=0;k[18828]=3;A9(j);Pb(95,75256,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,75368);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=75380;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[75420]=0;i[75421]=0;i[75422]=0;k[18856]=0;k[18842]=10548;p[9429]=64.0;p[9430]=224.0;p[9431]=208.0;p[9432]=1.0;y=0;oa(456,75464,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18869]=0;k[18856]=3;A9(j);Pb(95,75368,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,75480);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=75492;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[75532]=0;i[75533]=0;i[75534]=0;k[18884]=0;k[18870]=10548;p[9443]=238.0;p[9444]=130.0;p[9445]=238.0;p[9446]=1.0;y=0;oa(456,75576,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18897]=0;k[18884]=3;A9(j);Pb(95,75480,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,75592);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=75604;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[75644]=0;i[75645]=0;i[75646]=0;k[18912]=0;k[18898]=10548;p[9457]=245.0;p[9458]=222.0;p[9459]=179.0;p[9460]=1.0;y=0;oa(456,75688,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18925]=0;k[18912]=3;A9(j);Pb(95,75592,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,75704);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=75716;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[75756]=0;i[75757]=0;i[75758]=0;k[18940]=0;k[18926]=10548;p[9471]=255.0;p[9472]=255.0;p[9473]=255.0;p[9474]=1.0;y=0;oa(456,75800,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18953]=0;k[18940]=3;A9(j);Pb(95,75704,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,75816);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=75828;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[75868]=0;i[75869]=0;i[75870]=0;k[18968]=0;k[18954]=10548;p[9485]=245.0;p[9486]=245.0;p[9487]=245.0;p[9488]=1.0;y=0;oa(456,75912,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[18981]=0;k[18968]=3;A9(j);Pb(95,75816,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,75928);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=75940;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[75980]=0;i[75981]=0;i[75982]=0;k[18996]=0;k[18982]=10548;p[9499]=255.0;p[9500]=255.0;p[9501]=0.0;p[9502]=1.0;y=0;oa(456,76024,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[19009]=0;k[18996]=3;A9(j);Pb(95,75928,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,76040);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=76052;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[76092]=0;i[76093]=0;i[76094]=0;k[19024]=0;k[19010]=10548;p[9513]=154.0;p[9514]=205.0;p[9515]=50.0;p[9516]=1.0;y=0;oa(456,76136,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[19037]=0;k[19024]=3;A9(j);Pb(95,76040,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,76152);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=76164;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[76204]=0;i[76205]=0;i[76206]=0;k[19052]=0;k[19038]=10548;p[9527]=102.0;p[9528]=51.0;p[9529]=153.0;p[9530]=1.0;y=0;oa(456,76248,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[19065]=0;k[19052]=3;A9(j);Pb(95,76152,x|0)|0;a=h;b=80340;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));k[j>>2]=0;k[j+4>>2]=0;k[j+8>>2]=0;aI(j,87975,0);a=m;b=h;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));y=0;na(422,76264);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}a=76276;b=m;c=a+40|0;do{k[a>>2]=k[b>>2];a=a+4|0;b=b+4|0}while((a|0)<(c|0));i[76316]=0;i[76317]=0;i[76318]=0;k[19080]=0;k[19066]=10548;k[19082]=0;k[19083]=0;k[19084]=0;k[19085]=0;k[19086]=0;k[19087]=0;k[19088]=0;k[19089]=0;y=0;oa(456,76360,j|0);f=y;y=0;if(f&1){m=pb()|0;A9(j);sb(m|0)}k[19093]=0;k[19080]=3;A9(j);Pb(95,76264,x|0)|0;k[d>>2]=15792383;k[d+4>>2]=40487;k[d+8>>2]=16444375;k[d+12>>2]=40497;k[d+16>>2]=65535;k[d+20>>2]=40510;k[d+24>>2]=8388564;k[d+28>>2]=40520;k[d+32>>2]=15794175;k[d+36>>2]=40531;k[d+40>>2]=16119260;k[d+44>>2]=40537;k[d+48>>2]=16770244;k[d+52>>2]=40543;k[d+56>>2]=0;k[d+60>>2]=40550;k[d+64>>2]=16772045;k[d+68>>2]=40556;k[d+72>>2]=255;k[d+76>>2]=40571;k[d+80>>2]=9055202;k[d+84>>2]=40576;k[d+88>>2]=10824234;k[d+92>>2]=40587;k[d+96>>2]=14596231;k[d+100>>2]=40593;k[d+104>>2]=6266528;k[d+108>>2]=40603;k[d+112>>2]=8388352;k[d+116>>2]=40613;k[d+120>>2]=13789470;k[d+124>>2]=40624;k[d+128>>2]=16744272;k[d+132>>2]=40634;k[d+136>>2]=6591981;k[d+140>>2]=40640;k[d+144>>2]=16775388;k[d+148>>2]=40655;k[d+152>>2]=14423100;k[d+156>>2]=40664;k[d+160>>2]=139;k[d+164>>2]=40672;k[d+168>>2]=35723;k[d+172>>2]=40681;k[d+176>>2]=12092939;k[d+180>>2]=40690;k[d+184>>2]=11119017;k[d+188>>2]=40704;k[d+192>>2]=25600;k[d+196>>2]=40722;k[d+200>>2]=12433259;k[d+204>>2]=40732;k[d+208>>2]=9109643;k[d+212>>2]=40742;k[d+216>>2]=5597999;k[d+220>>2]=40754;k[d+224>>2]=16747520;k[d+228>>2]=40769;k[d+232>>2]=10040012;k[d+236>>2]=40780;k[d+240>>2]=9109504;k[d+244>>2]=40791;k[d+248>>2]=15308410;k[d+252>>2]=40799;k[d+256>>2]=9419919;k[d+260>>2]=40810;k[d+264>>2]=4734347;k[d+268>>2]=40823;k[d+272>>2]=3100495;k[d+276>>2]=40837;k[d+280>>2]=52945;k[d+284>>2]=40865;k[d+288>>2]=9699539;k[d+292>>2]=40879;k[d+296>>2]=16716947;k[d+300>>2]=40890;k[d+304>>2]=49151;k[d+308>>2]=40899;k[d+312>>2]=6908265;k[d+316>>2]=40911;k[d+320>>2]=2003199;k[d+324>>2]=40927;k[d+328>>2]=11674146;k[d+332>>2]=40938;k[d+336>>2]=16775920;k[d+340>>2]=40948;k[d+344>>2]=2263842;k[d+348>>2]=40960;k[d+352>>2]=16711935;k[d+356>>2]=40972;k[d+360>>2]=14474460;k[d+364>>2]=40988;k[d+368>>2]=16316671;k[d+372>>2]=40998;k[d+376>>2]=16766720;k[d+380>>2]=41009;k[d+384>>2]=14329120;k[d+388>>2]=41014;k[d+392>>2]=8421504;k[d+396>>2]=41024;k[d+400>>2]=32768;k[d+404>>2]=41034;k[d+408>>2]=11403055;k[d+412>>2]=41040;k[d+416>>2]=15794160;k[d+420>>2]=41052;k[d+424>>2]=16738740;k[d+428>>2]=41061;k[d+432>>2]=13458524;k[d+436>>2]=41069;k[d+440>>2]=4915330;k[d+444>>2]=41079;k[d+448>>2]=16777200;k[d+452>>2]=41086;k[d+456>>2]=15787660;k[d+460>>2]=41092;k[d+464>>2]=15132410;k[d+468>>2]=41098;k[d+472>>2]=16773365;k[d+476>>2]=41107;k[d+480>>2]=8190976;k[d+484>>2]=41121;k[d+488>>2]=16775885;k[d+492>>2]=41131;k[d+496>>2]=11393254;k[d+500>>2]=41144;k[d+504>>2]=15761536;k[d+508>>2]=41154;k[d+512>>2]=14745599;k[d+516>>2]=41165;k[d+520>>2]=16448210;k[d+524>>2]=41175;k[d+528>>2]=13882323;k[d+532>>2]=41196;k[d+536>>2]=9498256;k[d+540>>2]=41216;k[d+544>>2]=16758465;k[d+548>>2]=41227;k[d+552>>2]=16752762;k[d+556>>2]=41237;k[d+560>>2]=2142890;k[d+564>>2]=41249;k[d+568>>2]=8900346;k[d+572>>2]=41263;k[d+576>>2]=7833753;k[d+580>>2]=41276;k[d+584>>2]=11584734;k[d+588>>2]=41306;k[d+592>>2]=16777184;k[d+596>>2]=41321;k[d+600>>2]=65280;k[d+604>>2]=41333;k[d+608>>2]=3329330;k[d+612>>2]=41338;k[d+616>>2]=16445670;k[d+620>>2]=41348;k[d+624>>2]=8388608;k[d+628>>2]=41354;k[d+632>>2]=6737322;k[d+636>>2]=41361;k[d+640>>2]=205;k[d+644>>2]=41378;k[d+648>>2]=12211667;k[d+652>>2]=41389;k[d+656>>2]=9662683;k[d+660>>2]=41402;k[d+664>>2]=3978097;k[d+668>>2]=41415;k[d+672>>2]=8087790;k[d+676>>2]=41430;k[d+680>>2]=64154;k[d+684>>2]=41446;k[d+688>>2]=4772300;k[d+692>>2]=41464;k[d+696>>2]=13047173;k[d+700>>2]=41480;k[d+704>>2]=1644912;k[d+708>>2]=41496;k[d+712>>2]=16121850;k[d+716>>2]=41509;k[d+720>>2]=16770273;k[d+724>>2]=41519;k[d+728>>2]=16770229;k[d+732>>2]=41529;k[d+736>>2]=16768685;k[d+740>>2]=41538;k[d+744>>2]=128;k[d+748>>2]=41550;k[d+752>>2]=16643558;k[d+756>>2]=41555;k[d+760>>2]=8421376;k[d+764>>2]=41563;k[d+768>>2]=7048739;k[d+772>>2]=41569;k[d+776>>2]=16753920;k[d+780>>2]=41579;k[d+784>>2]=16729344;k[d+788>>2]=41586;k[d+792>>2]=14315734;k[d+796>>2]=41596;k[d+800>>2]=15657130;k[d+804>>2]=41603;k[d+808>>2]=10025880;k[d+812>>2]=41617;k[d+816>>2]=11529966;k[d+820>>2]=41627;k[d+824>>2]=14381203;k[d+828>>2]=41641;k[d+832>>2]=16773077;k[d+836>>2]=41655;k[d+840>>2]=16767673;k[d+844>>2]=41666;k[d+848>>2]=13468991;k[d+852>>2]=41676;k[d+856>>2]=16761035;k[d+860>>2]=41681;k[d+864>>2]=14524637;k[d+868>>2]=41686;k[d+872>>2]=11591910;k[d+876>>2]=41691;k[d+880>>2]=8388736;k[d+884>>2]=41702;k[d+888>>2]=16711680;k[d+892>>2]=41709;k[d+896>>2]=12357519;k[d+900>>2]=41713;k[d+904>>2]=4286945;k[d+908>>2]=41723;k[d+912>>2]=9127187;k[d+916>>2]=41733;k[d+920>>2]=16416882;k[d+924>>2]=41745;k[d+928>>2]=16032864;k[d+932>>2]=41752;k[d+936>>2]=3050327;k[d+940>>2]=41763;k[d+944>>2]=16774638;k[d+948>>2]=41772;k[d+952>>2]=10506797;k[d+956>>2]=41781;k[d+960>>2]=12632256;k[d+964>>2]=41788;k[d+968>>2]=8900331;k[d+972>>2]=41795;k[d+976>>2]=6970061;k[d+980>>2]=41803;k[d+984>>2]=7372944;k[d+988>>2]=41813;k[d+992>>2]=16775930;k[d+996>>2]=41833;k[d+1e3>>2]=65407;k[d+1004>>2]=41838;k[d+1008>>2]=4620980;k[d+1012>>2]=41850;k[d+1016>>2]=13808780;k[d+1020>>2]=41860;k[d+1024>>2]=32896;k[d+1028>>2]=41864;k[d+1032>>2]=14204888;k[d+1036>>2]=41869;k[d+1040>>2]=16737095;k[d+1044>>2]=41877;k[d+1048>>2]=4251856;k[d+1052>>2]=41884;k[d+1056>>2]=15631086;k[d+1060>>2]=41894;k[d+1064>>2]=16113331;k[d+1068>>2]=41901;k[d+1072>>2]=16777215;k[d+1076>>2]=41907;k[d+1080>>2]=16119285;k[d+1084>>2]=41913;k[d+1088>>2]=16776960;k[d+1092>>2]=41924;k[d+1096>>2]=10145074;k[d+1100>>2]=41931;k[d+1104>>2]=6697881;k[d+1108>>2]=41943;k[20096]=0;k[20097]=0;k[20095]=80384;f=d+1112|0;e=d;do{k[j>>2]=80384;k[m>>2]=k[j>>2];b=on(80380,m,h,e)|0;if(!(k[b>>2]|0)){y=0;a=qa(315,24)|0;c=y;y=0;if(c&1){g=772;break}o=e;n=k[o+4>>2]|0;c=a+16|0;k[c>>2]=k[o>>2];k[c+4>>2]=n;c=k[h>>2]|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=c;k[b>>2]=a;c=k[k[20095]>>2]|0;if(c){k[20095]=c;a=k[b>>2]|0}Qn(k[20096]|0,a);k[20097]=(k[20097]|0)+1}e=e+8|0}while((e|0)!=(f|0));if((g|0)==772){o=pb()|0;WH(80380,k[20096]|0);sb(o|0)}Pb(441,80380,x|0)|0;k[d>>2]=40487;k[d+4>>2]=59688;k[d+8>>2]=40497;k[d+12>>2]=59800;k[d+16>>2]=40510;k[d+20>>2]=59912;k[d+24>>2]=40515;k[d+28>>2]=60024;k[d+32>>2]=40520;k[d+36>>2]=60136;k[d+40>>2]=40531;k[d+44>>2]=60248;k[d+48>>2]=40537;k[d+52>>2]=60360;k[d+56>>2]=40543;k[d+60>>2]=60472;k[d+64>>2]=40550;k[d+68>>2]=60584;k[d+72>>2]=40556;k[d+76>>2]=60696;k[d+80>>2]=40571;k[d+84>>2]=60808;k[d+88>>2]=40576;k[d+92>>2]=60920;k[d+96>>2]=40587;k[d+100>>2]=61032;k[d+104>>2]=40593;k[d+108>>2]=61144;k[d+112>>2]=40603;k[d+116>>2]=61256;k[d+120>>2]=40613;k[d+124>>2]=61368;k[d+128>>2]=40624;k[d+132>>2]=61480;k[d+136>>2]=40634;k[d+140>>2]=61592;k[d+144>>2]=40640;k[d+148>>2]=61704;k[d+152>>2]=40655;k[d+156>>2]=61816;k[d+160>>2]=40664;k[d+164>>2]=61928;k[d+168>>2]=40672;k[d+172>>2]=62040;k[d+176>>2]=40681;k[d+180>>2]=62152;k[d+184>>2]=40690;k[d+188>>2]=62264;k[d+192>>2]=40704;k[d+196>>2]=62376;k[d+200>>2]=40713;k[d+204>>2]=62488;k[d+208>>2]=40722;k[d+212>>2]=62600;k[d+216>>2]=40732;k[d+220>>2]=62712;k[d+224>>2]=40742;k[d+228>>2]=62824;k[d+232>>2]=40754;k[d+236>>2]=62936;k[d+240>>2]=40769;k[d+244>>2]=63048;k[d+248>>2]=40780;k[d+252>>2]=63160;k[d+256>>2]=40791;k[d+260>>2]=63272;k[d+264>>2]=40799;k[d+268>>2]=63384;k[d+272>>2]=40810;k[d+276>>2]=63496;k[d+280>>2]=40823;k[d+284>>2]=63608;k[d+288>>2]=40837;k[d+292>>2]=63720;k[d+296>>2]=40851;k[d+300>>2]=63832;k[d+304>>2]=40865;k[d+308>>2]=63944;k[d+312>>2]=40879;k[d+316>>2]=64056;k[d+320>>2]=40890;k[d+324>>2]=64168;k[d+328>>2]=40899;k[d+332>>2]=64280;k[d+336>>2]=40911;k[d+340>>2]=64392;k[d+344>>2]=40919;k[d+348>>2]=64504;k[d+352>>2]=40927;k[d+356>>2]=64616;k[d+360>>2]=40938;k[d+364>>2]=64728;k[d+368>>2]=40948;k[d+372>>2]=64840;k[d+376>>2]=40960;k[d+380>>2]=64952;k[d+384>>2]=40972;k[d+388>>2]=65064;k[d+392>>2]=40980;k[d+396>>2]=65176;k[d+400>>2]=40988;k[d+404>>2]=65288;k[d+408>>2]=40998;k[d+412>>2]=65400;k[d+416>>2]=41009;k[d+420>>2]=65512;k[d+424>>2]=41014;k[d+428>>2]=65624;k[d+432>>2]=41024;k[d+436>>2]=65736;k[d+440>>2]=41029;k[d+444>>2]=65848;k[d+448>>2]=41034;k[d+452>>2]=65960;k[d+456>>2]=41040;k[d+460>>2]=66072;k[d+464>>2]=41052;k[d+468>>2]=66184;k[d+472>>2]=41061;k[d+476>>2]=66296;k[d+480>>2]=41069;k[d+484>>2]=66408;k[d+488>>2]=41079;k[d+492>>2]=66520;k[d+496>>2]=41086;k[d+500>>2]=66632;k[d+504>>2]=41092;k[d+508>>2]=66744;k[d+512>>2]=41098;k[d+516>>2]=66856;k[d+520>>2]=41107;k[d+524>>2]=66968;k[d+528>>2]=41121;k[d+532>>2]=67080;k[d+536>>2]=41131;k[d+540>>2]=67192;k[d+544>>2]=41144;k[d+548>>2]=67304;k[d+552>>2]=41154;k[d+556>>2]=67416;k[d+560>>2]=41165;k[d+564>>2]=67528;k[d+568>>2]=41175;k[d+572>>2]=67640;k[d+576>>2]=41196;k[d+580>>2]=67752;k[d+584>>2]=41206;k[d+588>>2]=67864;k[d+592>>2]=41216;k[d+596>>2]=67976;k[d+600>>2]=41227;k[d+604>>2]=68088;k[d+608>>2]=41237;k[d+612>>2]=68200;k[d+616>>2]=41249;k[d+620>>2]=68312;k[d+624>>2]=41263;k[d+628>>2]=68424;k[d+632>>2]=41276;k[d+636>>2]=68536;k[d+640>>2]=41291;k[d+644>>2]=68648;k[d+648>>2]=41306;k[d+652>>2]=68760;k[d+656>>2]=41321;k[d+660>>2]=68872;k[d+664>>2]=41333;k[d+668>>2]=68984;k[d+672>>2]=41338;k[d+676>>2]=69096;k[d+680>>2]=41348;k[d+684>>2]=69208;k[d+688>>2]=41354;k[d+692>>2]=69320;k[d+696>>2]=41361;k[d+700>>2]=69432;k[d+704>>2]=41378;k[d+708>>2]=69544;k[d+712>>2]=41389;k[d+716>>2]=69656;k[d+720>>2]=41402;k[d+724>>2]=69768;k[d+728>>2]=41415;k[d+732>>2]=69880;k[d+736>>2]=41430;k[d+740>>2]=69992;k[d+744>>2]=41446;k[d+748>>2]=70104;k[d+752>>2]=41464;k[d+756>>2]=70216;k[d+760>>2]=41480;k[d+764>>2]=70328;k[d+768>>2]=41496;k[d+772>>2]=70440;k[d+776>>2]=41509;k[d+780>>2]=70552;k[d+784>>2]=41519;k[d+788>>2]=70664;k[d+792>>2]=41529;k[d+796>>2]=70776;k[d+800>>2]=41538;k[d+804>>2]=70888;k[d+808>>2]=41550;k[d+812>>2]=71e3;k[d+816>>2]=41555;k[d+820>>2]=71112;k[d+824>>2]=41563;k[d+828>>2]=71224;k[d+832>>2]=41569;k[d+836>>2]=71336;k[d+840>>2]=41579;k[d+844>>2]=71448;k[d+848>>2]=41586;k[d+852>>2]=71560;k[d+856>>2]=41596;k[d+860>>2]=71672;k[d+864>>2]=41603;k[d+868>>2]=71784;k[d+872>>2]=41617;k[d+876>>2]=71896;k[d+880>>2]=41627;k[d+884>>2]=72008;k[d+888>>2]=41641;k[d+892>>2]=72120;k[d+896>>2]=41655;k[d+900>>2]=72232;k[d+904>>2]=41666;k[d+908>>2]=72344;k[d+912>>2]=41676;k[d+916>>2]=72456;k[d+920>>2]=41681;k[d+924>>2]=72568;k[d+928>>2]=41686;k[d+932>>2]=72680;k[d+936>>2]=41691;k[d+940>>2]=72792;k[d+944>>2]=41702;k[d+948>>2]=72904;k[d+952>>2]=41709;k[d+956>>2]=73016;k[d+960>>2]=41713;k[d+964>>2]=73128;k[d+968>>2]=41723;k[d+972>>2]=73240;k[d+976>>2]=41733;k[d+980>>2]=73352;k[d+984>>2]=41745;k[d+988>>2]=73464;k[d+992>>2]=41752;k[d+996>>2]=73576;k[d+1e3>>2]=41763;k[d+1004>>2]=73688;k[d+1008>>2]=41772;k[d+1012>>2]=73800;k[d+1016>>2]=41781;k[d+1020>>2]=73912;k[d+1024>>2]=41788;k[d+1028>>2]=74024;k[d+1032>>2]=41795;k[d+1036>>2]=74136;k[d+1040>>2]=41803;k[d+1044>>2]=74248;k[d+1048>>2]=41813;k[d+1052>>2]=74360;k[d+1056>>2]=41823;k[d+1060>>2]=74472;k[d+1064>>2]=41833;k[d+1068>>2]=74584;k[d+1072>>2]=41838;k[d+1076>>2]=74696;k[d+1080>>2]=41850;k[d+1084>>2]=74808;k[d+1088>>2]=41860;k[d+1092>>2]=74920;k[d+1096>>2]=41864;k[d+1100>>2]=75032;k[d+1104>>2]=41869;k[d+1108>>2]=75144;k[d+1112>>2]=41877;k[d+1116>>2]=75256;k[d+1120>>2]=41884;k[d+1124>>2]=75368;k[d+1128>>2]=41894;k[d+1132>>2]=75480;k[d+1136>>2]=41901;k[d+1140>>2]=75592;k[d+1144>>2]=41907;k[d+1148>>2]=75704;k[d+1152>>2]=41913;k[d+1156>>2]=75816;k[d+1160>>2]=41924;k[d+1164>>2]=75928;k[d+1168>>2]=41931;k[d+1172>>2]=76040;k[d+1176>>2]=41943;k[d+1180>>2]=76152;k[d+1184>>2]=48642;k[d+1188>>2]=76264;k[20099]=0;k[20100]=0;k[20098]=80396;e=d+1192|0;while(1){k[j>>2]=80396;k[m>>2]=k[j>>2];b=bn(80392,m,h,d)|0;if(!(k[b>>2]|0)){y=0;a=qa(315,24)|0;o=y;y=0;if(o&1){g=780;break}n=d;o=k[n+4>>2]|0;c=a+16|0;k[c>>2]=k[n>>2];k[c+4>>2]=o;c=k[h>>2]|0;k[a>>2]=0;k[a+4>>2]=0;k[a+8>>2]=c;k[b>>2]=a;c=k[k[20098]>>2]|0;if(c){k[20098]=c;a=k[b>>2]|0}Qn(k[20099]|0,a);k[20100]=(k[20100]|0)+1}d=d+8|0;if((d|0)==(e|0)){g=781;break}}if((g|0)==780){o=pb()|0;VG(80392,k[20099]|0);sb(o|0)}else if((g|0)==781){Pb(442,80392,x|0)|0;r=l;return}}}}a=pb()|0;d=N;b=k[20067]|0;if(b){c=k[20068]|0;if((c|0)!=(b|0)){do{o=c+-12|0;k[20068]=o;A9(o);c=k[20068]|0}while((c|0)!=(b|0));b=k[20067]|0}cra(b)}}A9(f);A9(e);A9(m);o=a;sb(o|0)}}b=pb()|0;c=N;a=m+(a*12|0)|0;do{a=a+-12|0;A9(a)}while((a|0)!=(m|0));o=b;sb(o|0)}
function Sc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,ra=0,sa=0,ua=0,va=0,wa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0;La=0;Ka=r;r=r+1008|0;Ia=Ka+972|0;Ga=Ka+944|0;Fa=Ka+916|0;Oa=Ka+888|0;Ma=Ka+848|0;Ea=Ka+804|0;Da=Ka+776|0;E=Ka+880|0;F=Ka+832|0;z=Ka+760|0;Ca=Ka+752|0;A=Ka+736|0;B=Ka+720|0;C=Ka+704|0;D=Ka+744|0;M=Ka+696|0;I=Ka+688|0;p=Ka+636|0;R=Ka+600|0;O=Ka+592|0;K=Ka+576|0;Ba=Ka+680|0;P=Ka+568|0;W=Ka+528|0;X=Ka+520|0;U=Ka+512|0;V=Ka+504|0;Y=Ka+496|0;Z=Ka+456|0;Aa=Ka+648|0;za=Ka+608|0;xa=Ka+536|0;va=Ka+464|0;wa=Ka+424|0;ua=Ka+396|0;sa=Ka+368|0;da=Ka+352|0;ba=Ka+288|0;aa=Ka+272|0;ra=Ka+360|0;ca=Ka+264|0;ga=Ka+256|0;ha=Ka+216|0;ea=Ka+208|0;fa=Ka+200|0;ia=Ka+192|0;ja=Ka+176|0;pa=Ka+324|0;ma=Ka+296|0;la=Ka+224|0;ka=Ka+184|0;o=Ka+112|0;L=Ka+104|0;Q=Ka+96|0;H=Ka+88|0;J=Ka+80|0;S=Ka+72|0;T=Ka+64|0;$=Ka+148|0;x=Ka+56|0;w=Ka+48|0;v=Ka+32|0;_=Ka+120|0;u=Ka+24|0;s=Ka+16|0;q=Ka;jD(Oa);y=0;na(449,Ma|0);Ja=y;y=0;if(Ja&1)e=pb()|0;else{y=0;oa(671,b|0,Oa|0);Ja=y;y=0;a:do if(Ja&1)La=17;else{y=0;oa(671,c|0,Ma|0);Ja=y;y=0;if(Ja&1)La=17;else{G=Oa+20|0;e=k[G>>2]|0;Ja=Oa+24|0;g=k[Ja>>2]|0;h=(g|0)==0;if(!h)Dba(g);do if(!(k[e+20>>2]|0)){e=k[Ma+20>>2]|0;f=k[Ma+24>>2]|0;if(!f){e=(k[e+20>>2]|0)==0;break}else{Dba(f);e=(k[e+20>>2]|0)==0;DY(f);break}}else e=0;while(0);if(!h)DY(g);b:do if(e){k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];e=a+12|0;y=0;oa(460,e|0,k[d+16>>2]|0);La=y;y=0;if(La&1){La=17;break a}k[e>>2]=15136;k[a+20>>2]=k[d+20>>2];e=k[d+24>>2]|0;k[a+24>>2]=e;if(e|0)Dba(e)}else{e=k[G>>2]|0;g=k[Ja>>2]|0;h=(g|0)==0;if(!h)Dba(g);do if((k[e+20>>2]|0)>>>0>1)e=1;else{e=k[Ma+20>>2]|0;f=k[Ma+24>>2]|0;if(!f){e=(k[e+20>>2]|0)>>>0>1;break}else{Dba(f);e=(k[e+20>>2]|0)>>>0>1;DY(f);break}}while(0);if(!h)DY(g);if(e){y=0;Ra(45,Da|0,Oa|0,Ma|0,Ea|0);c=y;y=0;if(c&1)e=pb()|0;else{y=0;e=Ha(1025,Da|0,Oa|0)|0;c=y;y=0;c:do if(c&1)La=34;else{do if(e)La=35;else{y=0;e=Ha(1025,Da|0,Ma|0)|0;c=y;y=0;if(c&1){La=34;break c}if(e){La=35;break}y=0;na(451,a|0);a=y;y=0;if(a&1){La=34;break c}}while(0);do if((La|0)==35){e=k[G>>2]|0;g=k[Ja>>2]|0;h=(g|0)==0;if(!h)Dba(g);i=k[e+20>>2]|0;j=Ma+20|0;e=k[j>>2]|0;l=Ma+24|0;f=k[l>>2]|0;if(!f)e=k[e+20>>2]|0;else{Dba(f);e=k[e+20>>2]|0;DY(f)}if(!h)DY(g);p=d+20|0;f=k[p>>2]|0;q=d+24|0;s=k[q>>2]|0;t=(s|0)==0;do if(i>>>0>e>>>0){do if(t){e=f;g=0;o=1}else{Dba(s);g=k[q>>2]|0;e=k[p>>2]|0;if(!g){g=0;o=1;break}Dba(g);o=0}while(0);b=e;c=k[b+4>>2]|0;e=k[b+16>>2]|0;h=c+(((e>>>0)/146|0)<<2)|0;if((k[b+8>>2]|0)==(c|0))e=0;else e=(k[h>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[E>>2]=h;k[E+4>>2]=e;e=k[G>>2]|0;m=k[Ja>>2]|0;n=(m|0)==0;if(!n)Dba(m);h=(k[e+16>>2]|0)+(k[e+20>>2]|0)|0;c=k[e+4>>2]|0;i=c+(((h>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(c|0))e=0;else e=(k[i>>2]|0)+(((h>>>0)%146|0)*28|0)|0;j=i;k[F>>2]=j;k[F+4>>2]=e;k[F+8>>2]=j;k[F+12>>2]=e;e=k[G>>2]|0;j=k[Ja>>2]|0;l=(j|0)==0;if(!l)Dba(j);c=k[e+4>>2]|0;h=k[e+16>>2]|0;i=c+(((h>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(c|0))e=0;else e=(k[i>>2]|0)+(((h>>>0)%146|0)*28|0)|0;c=i;k[z>>2]=c;k[z+4>>2]=e;k[z+8>>2]=c;k[z+12>>2]=e;y=0;k[Fa>>2]=k[E>>2];k[Fa+4>>2]=k[E+4>>2];k[Ga>>2]=k[F>>2];k[Ga+4>>2]=k[F+4>>2];k[Ga+8>>2]=k[F+8>>2];k[Ga+12>>2]=k[F+12>>2];k[Ia>>2]=k[z>>2];k[Ia+4>>2]=k[z+4>>2];k[Ia+8>>2]=k[z+8>>2];k[Ia+12>>2]=k[z+12>>2];ya(26,Ca|0,f|0,Fa|0,Ga|0,Ia|0,0);Ia=y;y=0;if(Ia&1){e=pb()|0;if(!l)DY(j);if(!n)DY(m);if(!o)DY(g);if(t)break c;DY(s);break c}else{if(!l)DY(j);if(!n)DY(m);if(!o)DY(g);if(t)break;DY(s);break}}else{do if(t){e=f;g=0;o=1}else{Dba(s);g=k[q>>2]|0;e=k[p>>2]|0;if(!g){g=0;o=1;break}Dba(g);o=0}while(0);b=e;c=k[b+4>>2]|0;e=k[b+16>>2]|0;h=c+(((e>>>0)/146|0)<<2)|0;if((k[b+8>>2]|0)==(c|0))e=0;else e=(k[h>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[A>>2]=h;k[A+4>>2]=e;e=k[j>>2]|0;m=k[l>>2]|0;n=(m|0)==0;if(!n)Dba(m);h=(k[e+16>>2]|0)+(k[e+20>>2]|0)|0;c=k[e+4>>2]|0;i=c+(((h>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(c|0))e=0;else e=(k[i>>2]|0)+(((h>>>0)%146|0)*28|0)|0;h=i;k[B>>2]=h;k[B+4>>2]=e;k[B+8>>2]=h;k[B+12>>2]=e;h=k[j>>2]|0;j=k[l>>2]|0;l=(j|0)==0;if(!l)Dba(j);c=k[h+4>>2]|0;e=k[h+16>>2]|0;i=c+(((e>>>0)/146|0)<<2)|0;if((k[h+8>>2]|0)==(c|0))e=0;else e=(k[i>>2]|0)+(((e>>>0)%146|0)*28|0)|0;c=i;k[C>>2]=c;k[C+4>>2]=e;k[C+8>>2]=c;k[C+12>>2]=e;y=0;k[Fa>>2]=k[A>>2];k[Fa+4>>2]=k[A+4>>2];k[Ga>>2]=k[B>>2];k[Ga+4>>2]=k[B+4>>2];k[Ga+8>>2]=k[B+8>>2];k[Ga+12>>2]=k[B+12>>2];k[Ia>>2]=k[C>>2];k[Ia+4>>2]=k[C+4>>2];k[Ia+8>>2]=k[C+8>>2];k[Ia+12>>2]=k[C+12>>2];ya(26,D|0,f|0,Fa|0,Ga|0,Ia|0,0);Ia=y;y=0;if(Ia&1){e=pb()|0;if(!l)DY(j);if(!n)DY(m);if(!o)DY(g);if(t)break c;DY(s);break c}else{if(!l)DY(j);if(!n)DY(m);if(!o)DY(g);if(t)break;DY(s);break}}while(0);k[a>>2]=k[d>>2];k[a+4>>2]=k[d+4>>2];k[a+8>>2]=k[d+8>>2];e=a+12|0;y=0;oa(460,e|0,k[d+16>>2]|0);La=y;y=0;if(La&1){La=34;break c}k[e>>2]=15136;k[a+20>>2]=k[p>>2];e=k[q>>2]|0;k[a+24>>2]=e;if(!e)break;Dba(e)}while(0);e=k[Da+24>>2]|0;if(e|0)DY(e);DO(Da+12|0);break b}while(0);if((La|0)==34)e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}break a}e=k[G>>2]|0;g=k[Ja>>2]|0;h=(g|0)==0;if(!h)Dba(g);do if(!(k[e+20>>2]|0))e=0;else{e=k[Ma+20>>2]|0;f=k[Ma+24>>2]|0;if(!f){e=(k[e+20>>2]|0)!=0;break}else{Dba(f);e=(k[e+20>>2]|0)!=0;DY(f);break}}while(0);if(!h)DY(g);if(!e){e=k[G>>2]|0;f=k[Ja>>2]|0;do if(!f){if(!(k[e+20>>2]|0))break;q=$;f=0;i=1;La=1033}else{Dba(f);Ia=(k[e+20>>2]|0)==0;DY(f);if(Ia)break;e=k[G>>2]|0;f=k[Ja>>2]|0;if(!f){q=$;f=0;i=1;La=1033;break}Dba(f);q=$;i=0;La=1033}while(0);if((La|0)==1033){h=k[e+16>>2]|0;g=k[(k[e+4>>2]|0)+(((h>>>0)/146|0)<<2)>>2]|0;h=(h>>>0)%146|0;Ia=g+(h*28|0)|0;e=Ia|0;k[q>>2]=k[e>>2];k[q+4>>2]=k[e+4>>2];k[q+8>>2]=k[e+8>>2];e=$+12|0;y=0;oa(460,e|0,k[Ia+16>>2]|0);Ia=y;y=0;if(Ia&1){e=pb()|0;if(i)break a;DY(f);break a}k[e>>2]=15136;p=$+20|0;e=g+(h*28|0)|0;k[p>>2]=k[e+20>>2];t=$+24|0;e=k[e+24>>2]|0;k[t>>2]=e;if(e|0)Dba(e);if(!i)DY(f);d:do if((k[$+8>>2]|0)==1){e=c+20|0;f=k[e>>2]|0;m=c+24|0;n=k[m>>2]|0;o=(n|0)==0;if(!o)Dba(n);e:do if(!(k[f+20>>2]|0))e=0;else{e=k[e>>2]|0;j=k[m>>2]|0;l=(j|0)==0;if(!l)Dba(j);Ia=(k[e+20>>2]|0)+-1+(k[e+16>>2]|0)|0;y=0;oa(460,x|0,k[(k[(k[e+4>>2]|0)+(((Ia>>>0)/146|0)<<2)>>2]|0)+(((Ia>>>0)%146|0)*28|0)+16>>2]|0);Ia=y;y=0;if(Ia&1)e=pb()|0;else{k[x>>2]=15136;e=k[x+4>>2]|0;f=k[(k[e>>2]|0)+144>>2]|0;g=k[b+20>>2]|0;h=k[b+24>>2]|0;i=(h|0)==0;if(!i)Dba(h);Ia=(k[g+20>>2]|0)+-1+(k[g+16>>2]|0)|0;y=0;oa(460,w|0,k[(k[(k[g+4>>2]|0)+(((Ia>>>0)/146|0)<<2)>>2]|0)+(((Ia>>>0)%146|0)*28|0)+16>>2]|0);Ia=y;y=0;if(Ia&1)e=pb()|0;else{k[w>>2]=15136;k[v>>2]=0;k[v+4>>2]=0;k[v+8>>2]=0;y=0;Na(74,v|0,87975,0);Ia=y;y=0;do if(Ia&1)e=pb()|0;else{y=0;e=ta(f|0,e|0,w|0,v|0)|0;Ia=y;y=0;if(Ia&1){e=pb()|0;A9(v);break}A9(v);DO(w);if(!i)DY(h);DO(x);if(l)break e;DY(j);break e}while(0);DO(w)}if(!i)DY(h);DO(x)}if(!l)DY(j);if(o)break d;DY(n);break d}while(0);if(o){if(!e){La=1080;break}}else{DY(n);if(!e){La=1080;break}}i=k[c+20>>2]|0;j=k[m>>2]|0;l=(j|0)==0;if(!l)Dba(j);e=i+20|0;m=i+16|0;g=(k[e>>2]|0)+-1+(k[m>>2]|0)|0;n=i+4|0;f=k[(k[n>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;h=k[f+(g*28|0)+24>>2]|0;if(h|0)DY(h);DO(f+(g*28|0)+12|0);Ia=k[e>>2]|0;k[e>>2]=Ia+-1;e=i+8|0;f=k[e>>2]|0;La=f-(k[n>>2]|0)>>2;if((1-Ia-(k[m>>2]|0)+((La|0)==0?0:(La*146|0)+-1|0)|0)>>>0>291){cra(k[f+-4>>2]|0);k[e>>2]=(k[e>>2]|0)+-4}if(l){La=1080;break}DY(j);La=1080}else La=1080;while(0);f:do if((La|0)==1080){h=d+20|0;i=k[h>>2]|0;l=d+24|0;m=k[l>>2]|0;n=(m|0)==0;if(!n)Dba(m);j=i+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,i|0);Ia=y;y=0;if(Ia&1)break;e=k[j>>2]|0;La=1085}else La=1085;while(0);do if((La|0)==1085){Ia=k[i+4>>2]|0;g=Ia+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Ia|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[q>>2];k[e+4>>2]=k[q+4>>2];k[e+8>>2]=k[q+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[$+16>>2]|0);Ia=y;y=0;if(Ia&1)break;k[e>>2]=15136;k[f+-8>>2]=k[p>>2];e=k[t>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Ia=i+20|0;k[Ia>>2]=(k[Ia>>2]|0)+1;if(!n)DY(m);m=k[h>>2]|0;n=k[l>>2]|0;o=(n|0)==0;if(!o)Dba(n);l=b+20|0;e=k[l>>2]|0;p=b+24|0;q=k[p>>2]|0;s=(q|0)==0;if(!s)Dba(q);i=(k[e+20>>2]|0)+-1+(k[e+16>>2]|0)|0;h=k[(k[e+4>>2]|0)+(((i>>>0)/146|0)<<2)>>2]|0;i=(i>>>0)%146|0;j=m+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,m|0);Ia=y;y=0;if(Ia&1)break;e=k[j>>2]|0;La=1101}else La=1101;while(0);do if((La|0)==1101){Ia=k[m+4>>2]|0;g=Ia+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[m+8>>2]|0)==(Ia|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;Ia=h+(i*28|0)|0;Ga=Ia|0;k[e>>2]=k[Ga>>2];k[e+4>>2]=k[Ga+4>>2];k[e+8>>2]=k[Ga+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Ia+16>>2]|0);Ia=y;y=0;if(Ia&1)break;k[e>>2]=15136;e=h+(i*28|0)|0;k[f+-8>>2]=k[e+20>>2];e=k[e+24>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Ia=m+20|0;k[Ia>>2]=(k[Ia>>2]|0)+1;if(!s)DY(q);if(!o)DY(n);i=k[l>>2]|0;j=k[p>>2]|0;l=(j|0)==0;if(!l)Dba(j);e=i+20|0;m=i+16|0;g=(k[e>>2]|0)+-1+(k[m>>2]|0)|0;n=i+4|0;f=k[(k[n>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;h=k[f+(g*28|0)+24>>2]|0;if(h|0)DY(h);DO(f+(g*28|0)+12|0);Ga=k[e>>2]|0;k[e>>2]=Ga+-1;e=i+8|0;f=k[e>>2]|0;Ia=f-(k[n>>2]|0)>>2;if((1-Ga-(k[m>>2]|0)+((Ia|0)==0?0:(Ia*146|0)+-1|0)|0)>>>0>291){cra(k[f+-4>>2]|0);k[e>>2]=(k[e>>2]|0)+-4}if(!l)DY(j);y=0;Ra(46,a|0,b|0,c|0,d|0);a=y;y=0;if(a&1){e=pb()|0;break f}e=k[t>>2]|0;if(e|0)DY(e);DO($+12|0);break b}while(0);e=pb()|0;if(!s)DY(q);if(o)break f;DY(n);break f}while(0);e=pb()|0;if(n)break;DY(m)}while(0);f=k[t>>2]|0;if(f|0)DY(f);DO($+12|0);break a}e=k[Ma+20>>2]|0;h=k[Ma+24>>2]|0;i=(h|0)==0;if(!i)Dba(h);g=k[e+16>>2]|0;f=k[(k[e+4>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;Ia=f+(g*28|0)|0;e=Ia|0;k[_>>2]=k[e>>2];k[_+4>>2]=k[e+4>>2];k[_+8>>2]=k[e+8>>2];e=_+12|0;y=0;oa(460,e|0,k[Ia+16>>2]|0);Ia=y;y=0;if(Ia&1){e=pb()|0;if(i)break a;DY(h);break a}k[e>>2]=15136;p=_+20|0;e=f+(g*28|0)|0;k[p>>2]=k[e+20>>2];t=_+24|0;e=k[e+24>>2]|0;k[t>>2]=e;if(e|0)Dba(e);if(!i)DY(h);g:do if((k[_+8>>2]|0)==1){e=b+20|0;f=k[e>>2]|0;m=b+24|0;n=k[m>>2]|0;o=(n|0)==0;if(!o)Dba(n);h:do if(!(k[f+20>>2]|0))e=0;else{e=k[e>>2]|0;j=k[m>>2]|0;l=(j|0)==0;if(!l)Dba(j);Ia=(k[e+20>>2]|0)+-1+(k[e+16>>2]|0)|0;y=0;oa(460,u|0,k[(k[(k[e+4>>2]|0)+(((Ia>>>0)/146|0)<<2)>>2]|0)+(((Ia>>>0)%146|0)*28|0)+16>>2]|0);Ia=y;y=0;if(Ia&1)e=pb()|0;else{k[u>>2]=15136;e=k[u+4>>2]|0;f=k[(k[e>>2]|0)+144>>2]|0;g=k[c+20>>2]|0;h=k[c+24>>2]|0;i=(h|0)==0;if(!i)Dba(h);Ia=(k[g+20>>2]|0)+-1+(k[g+16>>2]|0)|0;y=0;oa(460,s|0,k[(k[(k[g+4>>2]|0)+(((Ia>>>0)/146|0)<<2)>>2]|0)+(((Ia>>>0)%146|0)*28|0)+16>>2]|0);Ia=y;y=0;if(Ia&1)e=pb()|0;else{k[s>>2]=15136;k[q>>2]=0;k[q+4>>2]=0;k[q+8>>2]=0;y=0;Na(74,q|0,87975,0);Ia=y;y=0;do if(Ia&1)e=pb()|0;else{y=0;e=ta(f|0,e|0,s|0,q|0)|0;Ia=y;y=0;if(Ia&1){e=pb()|0;A9(q);break}A9(q);DO(s);if(!i)DY(h);DO(u);if(l)break h;DY(j);break h}while(0);DO(s)}if(!i)DY(h);DO(u)}if(!l)DY(j);if(o)break g;DY(n);break g}while(0);if(o){if(!e){La=1182;break}}else{DY(n);if(!e){La=1182;break}}i=k[b+20>>2]|0;j=k[m>>2]|0;l=(j|0)==0;if(!l)Dba(j);e=i+20|0;m=i+16|0;g=(k[e>>2]|0)+-1+(k[m>>2]|0)|0;n=i+4|0;f=k[(k[n>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;h=k[f+(g*28|0)+24>>2]|0;if(h|0)DY(h);DO(f+(g*28|0)+12|0);Ia=k[e>>2]|0;k[e>>2]=Ia+-1;e=i+8|0;f=k[e>>2]|0;La=f-(k[n>>2]|0)>>2;if((1-Ia-(k[m>>2]|0)+((La|0)==0?0:(La*146|0)+-1|0)|0)>>>0>291){cra(k[f+-4>>2]|0);k[e>>2]=(k[e>>2]|0)+-4}if(l){La=1182;break}DY(j);La=1182}else La=1182;while(0);i:do if((La|0)==1182){h=d+20|0;i=k[h>>2]|0;l=d+24|0;m=k[l>>2]|0;n=(m|0)==0;if(!n)Dba(m);j=i+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,i|0);Ia=y;y=0;if(Ia&1)break;e=k[j>>2]|0;La=1187}else La=1187;while(0);do if((La|0)==1187){Ia=k[i+4>>2]|0;g=Ia+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Ia|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[_>>2];k[e+4>>2]=k[_+4>>2];k[e+8>>2]=k[_+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[_+16>>2]|0);Ia=y;y=0;if(Ia&1)break;k[e>>2]=15136;k[f+-8>>2]=k[p>>2];e=k[t>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Ia=i+20|0;k[Ia>>2]=(k[Ia>>2]|0)+1;if(!n)DY(m);m=k[h>>2]|0;n=k[l>>2]|0;o=(n|0)==0;if(!o)Dba(n);l=c+20|0;e=k[l>>2]|0;p=c+24|0;q=k[p>>2]|0;s=(q|0)==0;if(!s)Dba(q);i=(k[e+20>>2]|0)+-1+(k[e+16>>2]|0)|0;h=k[(k[e+4>>2]|0)+(((i>>>0)/146|0)<<2)>>2]|0;i=(i>>>0)%146|0;j=m+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,m|0);Ia=y;y=0;if(Ia&1)break;e=k[j>>2]|0;La=1203}else La=1203;while(0);do if((La|0)==1203){Ia=k[m+4>>2]|0;g=Ia+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[m+8>>2]|0)==(Ia|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;Ia=h+(i*28|0)|0;Ga=Ia|0;k[e>>2]=k[Ga>>2];k[e+4>>2]=k[Ga+4>>2];k[e+8>>2]=k[Ga+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Ia+16>>2]|0);Ia=y;y=0;if(Ia&1)break;k[e>>2]=15136;e=h+(i*28|0)|0;k[f+-8>>2]=k[e+20>>2];e=k[e+24>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Ia=m+20|0;k[Ia>>2]=(k[Ia>>2]|0)+1;if(!s)DY(q);if(!o)DY(n);i=k[l>>2]|0;j=k[p>>2]|0;l=(j|0)==0;if(!l)Dba(j);e=i+20|0;m=i+16|0;g=(k[e>>2]|0)+-1+(k[m>>2]|0)|0;n=i+4|0;f=k[(k[n>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;h=k[f+(g*28|0)+24>>2]|0;if(h|0)DY(h);DO(f+(g*28|0)+12|0);Ga=k[e>>2]|0;k[e>>2]=Ga+-1;e=i+8|0;f=k[e>>2]|0;Ia=f-(k[n>>2]|0)>>2;if((1-Ga-(k[m>>2]|0)+((Ia|0)==0?0:(Ia*146|0)+-1|0)|0)>>>0>291){cra(k[f+-4>>2]|0);k[e>>2]=(k[e>>2]|0)+-4}if(!l)DY(j);y=0;Ra(46,a|0,b|0,c|0,d|0);a=y;y=0;if(a&1){e=pb()|0;break i}e=k[t>>2]|0;if(e|0)DY(e);DO(_+12|0);break b}while(0);e=pb()|0;if(!s)DY(q);if(o)break i;DY(n);break i}while(0);e=pb()|0;if(n)break;DY(m)}while(0);f=k[t>>2]|0;if(f|0)DY(f);DO(_+12|0);break a}e=k[G>>2]|0;h=k[Ja>>2]|0;i=(h|0)==0;if(!i)Dba(h);g=k[e+16>>2]|0;f=k[(k[e+4>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;$=f+(g*28|0)|0;e=$|0;k[Ia>>2]=k[e>>2];k[Ia+4>>2]=k[e+4>>2];k[Ia+8>>2]=k[e+8>>2];e=Ia+12|0;y=0;oa(460,e|0,k[$+16>>2]|0);$=y;y=0;if($&1){e=pb()|0;if(i)break a;DY(h);break a}k[e>>2]=15136;w=Ia+20|0;e=f+(g*28|0)|0;k[w>>2]=k[e+20>>2];$=Ia+24|0;e=k[e+24>>2]|0;k[$>>2]=e;if(e|0)Dba(e);if(!i)DY(h);e=k[Ma+20>>2]|0;h=k[Ma+24>>2]|0;i=(h|0)==0;if(!i)Dba(h);g=k[e+16>>2]|0;f=k[(k[e+4>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;_=f+(g*28|0)|0;e=_|0;k[Ga>>2]=k[e>>2];k[Ga+4>>2]=k[e+4>>2];k[Ga+8>>2]=k[e+8>>2];e=Ga+12|0;y=0;oa(460,e|0,k[_+16>>2]|0);_=y;y=0;do if(_&1){e=pb()|0;if(i)break;DY(h)}else{k[e>>2]=15136;v=Ga+20|0;e=f+(g*28|0)|0;k[v>>2]=k[e+20>>2];_=Ga+24|0;e=k[e+24>>2]|0;k[_>>2]=e;if(e|0)Dba(e);if(!i)DY(h);t=b+20|0;e=k[t>>2]|0;u=b+24|0;h=k[u>>2]|0;i=(h|0)==0;if(!i)Dba(h);g=(k[e+20>>2]|0)+-1+(k[e+16>>2]|0)|0;f=k[(k[e+4>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;G=f+(g*28|0)|0;e=G|0;k[Fa>>2]=k[e>>2];k[Fa+4>>2]=k[e+4>>2];k[Fa+8>>2]=k[e+8>>2];e=Fa+12|0;y=0;oa(460,e|0,k[G+16>>2]|0);G=y;y=0;do if(G&1){e=pb()|0;if(i)break;DY(h)}else{k[e>>2]=15136;E=Fa+20|0;e=f+(g*28|0)|0;k[E>>2]=k[e+20>>2];G=Fa+24|0;e=k[e+24>>2]|0;k[G>>2]=e;if(e|0)Dba(e);if(!i)DY(h);e=k[t>>2]|0;j=k[u>>2]|0;l=(j|0)==0;if(!l)Dba(j);f=e+20|0;m=e+16|0;h=(k[f>>2]|0)+-1+(k[m>>2]|0)|0;n=e+4|0;g=k[(k[n>>2]|0)+(((h>>>0)/146|0)<<2)>>2]|0;h=(h>>>0)%146|0;i=k[g+(h*28|0)+24>>2]|0;if(i|0)DY(i);DO(g+(h*28|0)+12|0);D=k[f>>2]|0;k[f>>2]=D+-1;e=e+8|0;f=k[e>>2]|0;F=f-(k[n>>2]|0)>>2;if((1-D-(k[m>>2]|0)+((F|0)==0?0:(F*146|0)+-1|0)|0)>>>0>291){cra(k[f+-4>>2]|0);k[e>>2]=(k[e>>2]|0)+-4}if(!l)DY(j);q=c+20|0;e=k[q>>2]|0;s=c+24|0;h=k[s>>2]|0;i=(h|0)==0;if(!i)Dba(h);g=(k[e+20>>2]|0)+-1+(k[e+16>>2]|0)|0;f=k[(k[e+4>>2]|0)+(((g>>>0)/146|0)<<2)>>2]|0;g=(g>>>0)%146|0;F=f+(g*28|0)|0;e=F|0;k[Ea>>2]=k[e>>2];k[Ea+4>>2]=k[e+4>>2];k[Ea+8>>2]=k[e+8>>2];e=Ea+12|0;y=0;oa(460,e|0,k[F+16>>2]|0);F=y;y=0;do if(F&1){e=pb()|0;if(i)break;DY(h)}else{k[e>>2]=15136;D=Ea+20|0;e=f+(g*28|0)|0;k[D>>2]=k[e+20>>2];F=Ea+24|0;e=k[e+24>>2]|0;k[F>>2]=e;if(e|0)Dba(e);if(!i)DY(h);e=k[q>>2]|0;j=k[s>>2]|0;l=(j|0)==0;if(!l)Dba(j);f=e+20|0;m=e+16|0;h=(k[f>>2]|0)+-1+(k[m>>2]|0)|0;n=e+4|0;g=k[(k[n>>2]|0)+(((h>>>0)/146|0)<<2)>>2]|0;h=(h>>>0)%146|0;i=k[g+(h*28|0)+24>>2]|0;if(i|0)DY(i);DO(g+(h*28|0)+12|0);B=k[f>>2]|0;k[f>>2]=B+-1;e=e+8|0;f=k[e>>2]|0;C=f-(k[n>>2]|0)>>2;if((1-B-(k[m>>2]|0)+((C|0)==0?0:(C*146|0)+-1|0)|0)>>>0>291){cra(k[f+-4>>2]|0);k[e>>2]=(k[e>>2]|0)+-4}if(!l)DY(j);g=Ia+8|0;f=k[g>>2]|0;j:do switch(f|0){case 2:{switch(k[Ga+8>>2]|0){case 3:{La=535;break j}case 2:break;default:{La=816;break j}}z=Fa+16|0;y=0;oa(460,M|0,k[z>>2]|0);wa=y;y=0;if(wa&1){La=211;break j}k[M>>2]=15136;e=k[M+4>>2]|0;f=k[(k[e>>2]|0)+144>>2]|0;s=Ea+16|0;y=0;oa(460,I|0,k[s>>2]|0);wa=y;y=0;if(wa&1){e=pb()|0;f=N}else{k[I>>2]=15136;k[p>>2]=0;k[p+4>>2]=0;k[p+8>>2]=0;y=0;Na(74,p|0,87975,0);wa=y;y=0;do if(wa&1){e=pb()|0;f=N}else{y=0;e=ta(f|0,e|0,I|0,p|0)|0;wa=y;y=0;if(wa&1){e=pb()|0;f=N;A9(p);break}A9(p);DO(I);DO(M);if(e){h=d+20|0;i=k[h>>2]|0;l=d+24|0;m=k[l>>2]|0;n=(m|0)==0;if(!n)Dba(m);j=i+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[j>>2]|0;La=180}else La=180;while(0);do if((La|0)==180){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Ia>>2];k[e+4>>2]=k[Ia+4>>2];k[e+8>>2]=k[Ia+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Ia+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[w>>2];e=k[$>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Da=i+20|0;k[Da>>2]=(k[Da>>2]|0)+1;if(!n)DY(m);i=k[h>>2]|0;j=k[l>>2]|0;l=(j|0)==0;if(!l)Dba(j);h=i+16|0;e=k[h>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[h>>2]|0;La=194}else La=194;while(0);do if((La|0)==194){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Ea>>2];k[e+4>>2]=k[Ea+4>>2];k[e+8>>2]=k[Ea+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[s>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[D>>2];e=k[F>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[h>>2]=(k[h>>2]|0)+-1;La=i+20|0;k[La>>2]=(k[La>>2]|0)+1;if(l){La=1005;break j}DY(j);La=1005;break j}while(0);e=pb()|0;if(l)break j;DY(j);break j}while(0);e=pb()|0;if(n)break j;DY(m);break j}y=0;oa(460,R|0,k[s>>2]|0);wa=y;y=0;if(wa&1){La=211;break j}k[R>>2]=15136;e=k[R+4>>2]|0;f=k[(k[e>>2]|0)+144>>2]|0;y=0;oa(460,O|0,k[z>>2]|0);wa=y;y=0;if(wa&1)e=pb()|0;else{k[O>>2]=15136;k[K>>2]=0;k[K+4>>2]=0;k[K+8>>2]=0;y=0;Na(74,K|0,87975,0);wa=y;y=0;do if(wa&1)e=pb()|0;else{y=0;e=ta(f|0,e|0,O|0,K|0)|0;wa=y;y=0;if(wa&1){e=pb()|0;A9(K);break}A9(K);DO(O);DO(R);if(e){h=d+20|0;i=k[h>>2]|0;l=d+24|0;m=k[l>>2]|0;n=(m|0)==0;if(!n)Dba(m);j=i+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[j>>2]|0;La=231}else La=231;while(0);do if((La|0)==231){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Ia>>2];k[e+4>>2]=k[Ia+4>>2];k[e+8>>2]=k[Ia+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Ia+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[w>>2];e=k[$>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Da=i+20|0;k[Da>>2]=(k[Da>>2]|0)+1;if(!n)DY(m);i=k[h>>2]|0;j=k[l>>2]|0;l=(j|0)==0;if(!l)Dba(j);h=i+16|0;e=k[h>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[h>>2]|0;La=245}else La=245;while(0);do if((La|0)==245){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Fa>>2];k[e+4>>2]=k[Fa+4>>2];k[e+8>>2]=k[Fa+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[z>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[E>>2];e=k[G>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[h>>2]=(k[h>>2]|0)+-1;La=i+20|0;k[La>>2]=(k[La>>2]|0)+1;if(l){La=1005;break j}DY(j);La=1005;break j}while(0);e=pb()|0;if(l)break j;DY(j);break j}while(0);e=pb()|0;if(n)break j;DY(m);break j}y=0;oa(460,P|0,k[z>>2]|0);wa=y;y=0;if(wa&1){La=211;break j}k[P>>2]=15136;e=k[P+4>>2]|0;y=0;e=qa(k[(k[e>>2]|0)+16>>2]|0,e|0)|0;wa=y;y=0;do if(!(wa&1)){y=0;oa(460,Ba|0,e|0);wa=y;y=0;if(wa&1)break;k[Ba>>2]=15136;DO(P);y=0;oa(460,X|0,k[z>>2]|0);wa=y;y=0;k:do if(wa&1)e=pb()|0;else{k[X>>2]=15136;y=0;oa(460,W|0,k[(k[X+4>>2]|0)+80>>2]|0);wa=y;y=0;if(wa&1)e=pb()|0;else{k[W>>2]=15152;e=k[W+4>>2]|0;y=0;oa(460,V|0,k[s>>2]|0);wa=y;y=0;if(wa&1)e=pb()|0;else{k[V>>2]=15136;y=0;oa(460,U|0,k[(k[V+4>>2]|0)+80>>2]|0);wa=y;y=0;do if(wa&1)e=pb()|0;else{k[U>>2]=15152;y=0;w=Ha(971,e|0,k[U+4>>2]|0)|0;wa=y;y=0;if(wa&1){e=pb()|0;DO(U);break}DO(U);DO(V);DO(W);DO(X);x=Ba+4|0;e=k[x>>2]|0;y=0;oa(460,Z|0,w|0);wa=y;y=0;l:do if(!(wa&1)){k[Z>>2]=15152;k[e+68>>2]=0;f=e+76|0;e=e+80|0;if(!(k[e>>2]|0))La=274;else{y=0;na(423,f|0);wa=y;y=0;if(!(wa&1))La=274}do if((La|0)==274){k[e>>2]=k[Z+4>>2];y=0;na(424,f|0);wa=y;y=0;if(wa&1)break;y=0;oa(460,Y|0,k[e>>2]|0);wa=y;y=0;if(wa&1)break;k[Y>>2]=15152;DO(Y);DO(Z);y=0;na(449,Aa|0);wa=y;y=0;if(wa&1)break l;y=0;na(449,za|0);wa=y;y=0;if(wa&1)e=pb()|0;else{q=za+20|0;e=k[q>>2]|0;A=za+24|0;o=k[A>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;h=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;La=h-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;g=k[n>>2]|0;do if((((La|0)==0?0:(La*146|0)+-1|0)|0)==(g+j|0)){y=0;na(429,e|0);La=y;y=0;if(La&1){La=447;break}g=k[n>>2]|0;j=k[i>>2]|0;h=k[l>>2]|0;f=k[m>>2]|0;La=283}else La=283;while(0);m:do if((La|0)==283){e=g+j|0;if((h|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Fa>>2];k[f+4>>2]=k[Fa+4>>2];k[f+8>>2]=k[Fa+8>>2];e=f+12|0;y=0;oa(460,e|0,k[z>>2]|0);wa=y;y=0;if(wa&1){La=447;break}k[e>>2]=15136;k[f+20>>2]=k[E>>2];e=k[G>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);e=k[q>>2]|0;o=k[A>>2]|0;p=(o|0)==0;if(!p)Dba(o);k[Ca>>2]=2;y=0;oa(672,Da|0,Ca|0);wa=y;y=0;if(wa&1)e=pb()|0;else{l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;wa=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((wa|0)==0?0:(wa*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);wa=y;y=0;if(wa&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=296}else{e=j;La=296}while(0);do if((La|0)==296){e=h+e|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);wa=y;y=0;if(wa&1)break;k[f>>2]=15136;ua=Da+20|0;k[e+20>>2]=k[ua>>2];wa=Da+24|0;k[e+24>>2]=k[wa>>2];k[ua>>2]=0;k[wa>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);e=k[q>>2]|0;o=k[A>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;wa=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((wa|0)==0?0:(wa*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);wa=y;y=0;if(wa&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=306}else{e=j;La=306}while(0);do if((La|0)==306){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Ea>>2];k[f+4>>2]=k[Ea+4>>2];k[f+8>>2]=k[Ea+8>>2];e=f+12|0;y=0;oa(460,e|0,k[s>>2]|0);wa=y;y=0;if(wa&1)break;k[e>>2]=15136;k[f+20>>2]=k[D>>2];e=k[F>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);e=k[q>>2]|0;o=k[A>>2]|0;p=(o|0)==0;if(!p)Dba(o);k[Ca>>2]=2;y=0;oa(672,Da|0,Ca|0);wa=y;y=0;if(wa&1)e=pb()|0;else{l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;wa=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((wa|0)==0?0:(wa*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);wa=y;y=0;if(wa&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=319}else{e=j;La=319}while(0);do if((La|0)==319){e=h+e|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);wa=y;y=0;if(wa&1)break;k[f>>2]=15136;ua=Da+20|0;k[e+20>>2]=k[ua>>2];wa=Da+24|0;k[e+24>>2]=k[wa>>2];k[ua>>2]=0;k[wa>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);t=Aa+20|0;i=k[t>>2]|0;v=Aa+24|0;o=k[v>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=i+8|0;g=k[l>>2]|0;m=i+4|0;f=k[m>>2]|0;wa=g-f>>2;j=i+16|0;h=k[j>>2]|0;n=i+20|0;e=k[n>>2]|0;do if((((wa|0)==0?0:(wa*146|0)+-1|0)|0)==(e+h|0)){y=0;na(429,i|0);wa=y;y=0;if(wa&1)break;e=k[n>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=329}else La=329;while(0);do if((La|0)==329){e=e+h|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[za>>2];k[f+4>>2]=k[za+4>>2];k[f+8>>2]=k[za+8>>2];e=f+12|0;y=0;oa(460,e|0,k[za+16>>2]|0);wa=y;y=0;if(wa&1)break;k[e>>2]=15136;k[f+20>>2]=k[q>>2];e=k[A>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);y=0;na(449,xa|0);wa=y;y=0;if(wa&1){e=pb()|0;break m}q=xa+20|0;e=k[q>>2]|0;u=xa+24|0;o=k[u>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;h=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;La=h-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;g=k[n>>2]|0;do if((((La|0)==0?0:(La*146|0)+-1|0)|0)==(g+j|0)){y=0;na(429,e|0);La=y;y=0;if(La&1){La=466;break}g=k[n>>2]|0;j=k[i>>2]|0;h=k[l>>2]|0;f=k[m>>2]|0;La=342}else La=342;while(0);n:do if((La|0)==342){e=g+j|0;if((h|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Ea>>2];k[f+4>>2]=k[Ea+4>>2];k[f+8>>2]=k[Ea+8>>2];e=f+12|0;y=0;oa(460,e|0,k[s>>2]|0);wa=y;y=0;if(wa&1){La=466;break}k[e>>2]=15136;k[f+20>>2]=k[D>>2];e=k[F>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);e=k[q>>2]|0;o=k[u>>2]|0;p=(o|0)==0;if(!p)Dba(o);k[Ca>>2]=2;y=0;oa(672,Da|0,Ca|0);wa=y;y=0;if(wa&1)e=pb()|0;else{l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;wa=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((wa|0)==0?0:(wa*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);wa=y;y=0;if(wa&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=355}else{e=j;La=355}while(0);do if((La|0)==355){e=h+e|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);wa=y;y=0;if(wa&1)break;k[f>>2]=15136;ua=Da+20|0;k[e+20>>2]=k[ua>>2];wa=Da+24|0;k[e+24>>2]=k[wa>>2];k[ua>>2]=0;k[wa>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);e=k[q>>2]|0;o=k[u>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;wa=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((wa|0)==0?0:(wa*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);wa=y;y=0;if(wa&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=365}else{e=j;La=365}while(0);do if((La|0)==365){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Fa>>2];k[f+4>>2]=k[Fa+4>>2];k[f+8>>2]=k[Fa+8>>2];e=f+12|0;y=0;oa(460,e|0,k[z>>2]|0);wa=y;y=0;if(wa&1)break;k[e>>2]=15136;k[f+20>>2]=k[E>>2];e=k[G>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);e=k[q>>2]|0;o=k[u>>2]|0;p=(o|0)==0;if(!p)Dba(o);k[Ca>>2]=2;y=0;oa(672,Da|0,Ca|0);wa=y;y=0;if(wa&1)e=pb()|0;else{l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;wa=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((wa|0)==0?0:(wa*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);wa=y;y=0;if(wa&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=378}else{e=j;La=378}while(0);do if((La|0)==378){e=h+e|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);wa=y;y=0;if(wa&1)break;k[f>>2]=15136;ua=Da+20|0;k[e+20>>2]=k[ua>>2];wa=Da+24|0;k[e+24>>2]=k[wa>>2];k[ua>>2]=0;k[wa>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);e=k[t>>2]|0;o=k[v>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;wa=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((wa|0)==0?0:(wa*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);wa=y;y=0;if(wa&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=388}else{e=j;La=388}while(0);do if((La|0)==388){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[xa>>2];k[f+4>>2]=k[xa+4>>2];k[f+8>>2]=k[xa+8>>2];e=f+12|0;y=0;oa(460,e|0,k[xa+16>>2]|0);wa=y;y=0;if(wa&1)break;k[e>>2]=15136;k[f+20>>2]=k[q>>2];e=k[u>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);o:do if(w|0){y=0;na(449,va|0);wa=y;y=0;if(wa&1){e=pb()|0;break n}q=va+20|0;i=k[q>>2]|0;s=va+24|0;o=k[s>>2]|0;p=(o|0)==0;if(!p)Dba(o);y=0;oa(518,Da|0,k[x>>2]|0);wa=y;y=0;p:do if(wa&1){e=pb()|0;La=488}else{l=i+8|0;g=k[l>>2]|0;m=i+4|0;f=k[m>>2]|0;wa=g-f>>2;j=i+16|0;h=k[j>>2]|0;n=i+20|0;e=k[n>>2]|0;do if((((wa|0)==0?0:(wa*146|0)+-1|0)|0)==(e+h|0)){y=0;na(429,i|0);wa=y;y=0;if(wa&1)break;e=k[n>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=403}else La=403;while(0);do if((La|0)==403){e=e+h|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);wa=y;y=0;if(wa&1)break;k[f>>2]=15136;ua=Da+20|0;k[e+20>>2]=k[ua>>2];wa=Da+24|0;k[e+24>>2]=k[wa>>2];k[ua>>2]=0;k[wa>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);i=k[q>>2]|0;o=k[s>>2]|0;p=(o|0)==0;if(!p)Dba(o);k[Ca>>2]=2;y=0;oa(672,Da|0,Ca|0);Ca=y;y=0;if(Ca&1)e=pb()|0;else{l=i+8|0;g=k[l>>2]|0;m=i+4|0;f=k[m>>2]|0;Ca=g-f>>2;j=i+16|0;h=k[j>>2]|0;n=i+20|0;e=k[n>>2]|0;do if((((Ca|0)==0?0:(Ca*146|0)+-1|0)|0)==(e+h|0)){y=0;na(429,i|0);Ca=y;y=0;if(Ca&1)break;e=k[n>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=414}else La=414;while(0);do if((La|0)==414){e=e+h|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);Ca=y;y=0;if(Ca&1)break;k[f>>2]=15136;wa=Da+20|0;k[e+20>>2]=k[wa>>2];Ca=Da+24|0;k[e+24>>2]=k[Ca>>2];k[wa>>2]=0;k[Ca>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);e=k[t>>2]|0;o=k[v>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;Da=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((Da|0)==0?0:(Da*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);Da=y;y=0;if(Da&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=424}else{e=j;La=424}while(0);do if((La|0)==424){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[va>>2];k[f+4>>2]=k[va+4>>2];k[f+8>>2]=k[va+8>>2];e=f+12|0;y=0;oa(460,e|0,k[va+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+20>>2]=k[q>>2];e=k[s>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);e=k[s>>2]|0;if(e|0)DY(e);DO(va+12|0);break o}while(0);e=pb()|0;if(p)break p;DY(o);break p}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}if(p)break p;DY(o);break p}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0);La=488}while(0);do if((La|0)==488){if(p)break;DY(o)}while(0);f=k[s>>2]|0;if(f|0)DY(f);DO(va+12|0);break n}while(0);h=k[d+20>>2]|0;j=k[d+24>>2]|0;l=(j|0)==0;if(!l)Dba(j);i=h+16|0;e=k[i>>2]|0;do if(!e){y=0;na(450,h|0);Da=y;y=0;if(Da&1)break;e=k[i>>2]|0;La=506}else La=506;while(0);do if((La|0)==506){Da=k[h+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[h+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Aa>>2];k[e+4>>2]=k[Aa+4>>2];k[e+8>>2]=k[Aa+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Aa+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[t>>2];e=k[v>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[i>>2]=(k[i>>2]|0)+-1;La=h+20|0;k[La>>2]=(k[La>>2]|0)+1;if(!l)DY(j);e=k[u>>2]|0;if(e|0)DY(e);DO(xa+12|0);e=k[A>>2]|0;if(e|0)DY(e);DO(za+12|0);e=k[v>>2]|0;if(e|0)DY(e);DO(Aa+12|0);DO(Ba);La=1005;break j}while(0);e=pb()|0;if(l)break n;DY(j);break n}while(0);e=pb()|0;if(p)break n;DY(o);break n}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}if(p)break n;DY(o);break n}while(0);e=pb()|0;if(p)break n;DY(o);break n}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}if(p)break;DY(o)}while(0);do if((La|0)==466){e=pb()|0;if(p)break;DY(o)}while(0);f=k[u>>2]|0;if(f|0)DY(f);DO(xa+12|0);break m}while(0);e=pb()|0;if(p)break m;DY(o);break m}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}if(p)break m;DY(o);break m}while(0);e=pb()|0;if(p)break m;DY(o);break m}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}if(p)break;DY(o)}while(0);do if((La|0)==447){e=pb()|0;if(p)break;DY(o)}while(0);f=k[A>>2]|0;if(f|0)DY(f);DO(za+12|0)}f=k[Aa+24>>2]|0;if(f|0)DY(f);DO(Aa+12|0);break k}while(0);e=pb()|0;DO(Z);break k}while(0);e=pb()|0;break k}while(0);DO(V)}DO(W)}DO(X)}while(0);DO(Ba);break j}while(0);e=pb()|0;DO(P);break j}while(0);DO(O)}DO(R);break j}while(0);DO(I)}DO(M);break}case 3:{if((k[Ga+8>>2]|0)==2)La=535;else La=816;break}case 1:{e=k[Ga+8>>2]|0;if((e&-2|0)!=2){La=878;break j}h=d+20|0;i=k[h>>2]|0;l=d+24|0;m=k[l>>2]|0;n=(m|0)==0;if(!n)Dba(m);j=i+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[j>>2]|0;La=823}else La=823;while(0);do if((La|0)==823){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Ga>>2];k[e+4>>2]=k[Ga+4>>2];k[e+8>>2]=k[Ga+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Ga+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[v>>2];e=k[_>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Da=i+20|0;k[Da>>2]=(k[Da>>2]|0)+1;if(!n)DY(m);i=k[h>>2]|0;j=k[l>>2]|0;l=(j|0)==0;if(!l)Dba(j);h=i+16|0;e=k[h>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[h>>2]|0;La=837}else La=837;while(0);do if((La|0)==837){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Ea>>2];k[e+4>>2]=k[Ea+4>>2];k[e+8>>2]=k[Ea+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Ea+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[D>>2];e=k[F>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[h>>2]=(k[h>>2]|0)+-1;Da=i+20|0;k[Da>>2]=(k[Da>>2]|0)+1;if(!l)DY(j);e=k[t>>2]|0;o=k[u>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;Da=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((Da|0)==0?0:(Da*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);Da=y;y=0;if(Da&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=851}else{e=j;La=851}while(0);do if((La|0)==851){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Fa>>2];k[f+4>>2]=k[Fa+4>>2];k[f+8>>2]=k[Fa+8>>2];e=f+12|0;y=0;oa(460,e|0,k[Fa+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+20>>2]=k[E>>2];e=k[G>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);i=k[t>>2]|0;o=k[u>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=i+8|0;g=k[l>>2]|0;m=i+4|0;f=k[m>>2]|0;Da=g-f>>2;j=i+16|0;h=k[j>>2]|0;n=i+20|0;e=k[n>>2]|0;do if((((Da|0)==0?0:(Da*146|0)+-1|0)|0)==(e+h|0)){y=0;na(429,i|0);Da=y;y=0;if(Da&1)break;e=k[n>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=863}else La=863;while(0);do if((La|0)==863){e=e+h|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Ia>>2];k[f+4>>2]=k[Ia+4>>2];k[f+8>>2]=k[Ia+8>>2];e=f+12|0;y=0;oa(460,e|0,k[Ia+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+20>>2]=k[w>>2];e=k[$>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(p){La=1005;break j}DY(o);La=1005;break j}while(0);e=pb()|0;if(p)break j;DY(o);break j}while(0);e=pb()|0;if(p)break j;DY(o);break j}while(0);e=pb()|0;if(l)break j;DY(j);break j}while(0);e=pb()|0;f=N;if(n)break j;DY(m);break}default:La=816}while(0);q:do if((La|0)==535){k[wa>>2]=k[Fa>>2];k[wa+4>>2]=k[Fa+4>>2];k[wa+8>>2]=k[Fa+8>>2];e=wa+12|0;h=Fa+16|0;y=0;oa(460,e|0,k[h>>2]|0);Ba=y;y=0;if(Ba&1){La=211;break}k[e>>2]=15136;s=wa+20|0;k[s>>2]=k[E>>2];C=wa+24|0;e=k[G>>2]|0;k[C>>2]=e;if(e|0)Dba(e);k[ua>>2]=k[Ea>>2];k[ua+4>>2]=k[Ea+4>>2];k[ua+8>>2]=k[Ea+8>>2];e=ua+12|0;f=Ea+16|0;y=0;oa(460,e|0,k[f>>2]|0);Ba=y;y=0;if(Ba&1)e=pb()|0;else{k[e>>2]=15136;u=ua+20|0;k[u>>2]=k[D>>2];B=ua+24|0;e=k[F>>2]|0;k[B>>2]=e;if(e|0)Dba(e);k[sa>>2]=k[Ga>>2];k[sa+4>>2]=k[Ga+4>>2];k[sa+8>>2]=k[Ga+8>>2];e=sa+12|0;y=0;oa(460,e|0,k[Ga+16>>2]|0);Ba=y;y=0;if(Ba&1)e=pb()|0;else{k[e>>2]=15136;o=sa+20|0;k[o>>2]=k[v>>2];A=sa+24|0;e=k[_>>2]|0;k[A>>2]=e;if(e|0)Dba(e);do if((k[g>>2]|0)==2){q=wa+16|0;La=570}else{k[wa>>2]=k[Ea>>2];k[wa+4>>2]=k[Ea+4>>2];k[wa+8>>2]=k[Ea+8>>2];e=wa+12|0;g=wa+16|0;if(k[g>>2]|0){y=0;na(423,e|0);La=y;y=0;if(La&1){La=569;break}}k[g>>2]=k[f>>2];y=0;na(424,e|0);La=y;y=0;if(La&1){La=569;break}e=k[D>>2]|0;f=k[F>>2]|0;if(f|0)Dba(f);k[s>>2]=e;e=k[C>>2]|0;k[C>>2]=f;if(e|0)DY(e);k[ua>>2]=k[Fa>>2];k[ua+4>>2]=k[Fa+4>>2];k[ua+8>>2]=k[Fa+8>>2];e=ua+12|0;f=ua+16|0;if(k[f>>2]|0){y=0;na(423,e|0);La=y;y=0;if(La&1){La=569;break}}k[f>>2]=k[h>>2];y=0;na(424,e|0);La=y;y=0;if(La&1){La=569;break}e=k[E>>2]|0;f=k[G>>2]|0;if(f|0)Dba(f);k[u>>2]=e;e=k[B>>2]|0;k[B>>2]=f;if(e|0)DY(e);k[sa>>2]=k[Ia>>2];k[sa+4>>2]=k[Ia+4>>2];k[sa+8>>2]=k[Ia+8>>2];e=sa+12|0;f=sa+16|0;if(k[f>>2]|0){y=0;na(423,e|0);La=y;y=0;if(La&1){La=569;break}}k[f>>2]=k[Ia+16>>2];y=0;na(424,e|0);La=y;y=0;if(La&1){La=569;break}e=k[w>>2]|0;f=k[$>>2]|0;if(f|0)Dba(f);k[o>>2]=e;e=k[A>>2]|0;k[A>>2]=f;if(!e){q=g;La=570;break}DY(e);q=g;La=570}while(0);r:do if((La|0)==570){y=0;oa(460,da|0,k[q>>2]|0);Ba=y;y=0;if(Ba&1){La=569;break}k[da>>2]=15136;e=k[da+4>>2]|0;f=k[(k[e>>2]|0)+144>>2]|0;t=ua+16|0;y=0;oa(460,ba|0,k[t>>2]|0);Ba=y;y=0;if(Ba&1)e=pb()|0;else{k[ba>>2]=15136;k[aa>>2]=0;k[aa+4>>2]=0;k[aa+8>>2]=0;y=0;Na(74,aa|0,87975,0);Ba=y;y=0;do if(Ba&1)e=pb()|0;else{y=0;e=ta(f|0,e|0,ba|0,aa|0)|0;Ba=y;y=0;if(Ba&1){e=pb()|0;A9(aa);break}A9(aa);DO(ba);DO(da);s:do if(e){h=d+20|0;i=k[h>>2]|0;l=d+24|0;m=k[l>>2]|0;n=(m|0)==0;if(!n)Dba(m);j=i+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[j>>2]|0;La=580}else La=580;while(0);do if((La|0)==580){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[sa>>2];k[e+4>>2]=k[sa+4>>2];k[e+8>>2]=k[sa+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[sa+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[o>>2];e=k[A>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Da=i+20|0;k[Da>>2]=(k[Da>>2]|0)+1;if(!n)DY(m);i=k[h>>2]|0;j=k[l>>2]|0;l=(j|0)==0;if(!l)Dba(j);h=i+16|0;e=k[h>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[h>>2]|0;La=594}else La=594;while(0);do if((La|0)==594){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[ua>>2];k[e+4>>2]=k[ua+4>>2];k[e+8>>2]=k[ua+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[t>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[u>>2];e=k[B>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[h>>2]=(k[h>>2]|0)+-1;La=i+20|0;k[La>>2]=(k[La>>2]|0)+1;if(l)break s;DY(j);break s}while(0);e=pb()|0;if(l)break r;DY(j);break r}while(0);e=pb()|0;if(n)break r;DY(m);break r}else{y=0;oa(460,ca|0,k[t>>2]|0);Ba=y;y=0;if(Ba&1){La=569;break r}k[ca>>2]=15136;e=k[ca+4>>2]|0;y=0;e=qa(k[(k[e>>2]|0)+16>>2]|0,e|0)|0;Ba=y;y=0;do if(!(Ba&1)){y=0;oa(460,ra|0,e|0);Ba=y;y=0;if(Ba&1)break;k[ra>>2]=15136;DO(ca);y=0;oa(460,ha|0,k[t>>2]|0);Ba=y;y=0;t:do if(Ba&1)e=pb()|0;else{k[ha>>2]=15136;y=0;oa(460,ga|0,k[(k[ha+4>>2]|0)+80>>2]|0);Ba=y;y=0;if(Ba&1)e=pb()|0;else{k[ga>>2]=15152;e=k[ga+4>>2]|0;y=0;oa(460,fa|0,k[q>>2]|0);Ba=y;y=0;if(Ba&1)e=pb()|0;else{k[fa>>2]=15136;y=0;oa(460,ea|0,k[(k[fa+4>>2]|0)+80>>2]|0);Ba=y;y=0;do if(Ba&1)e=pb()|0;else{k[ea>>2]=15152;y=0;w=Ha(971,e|0,k[ea+4>>2]|0)|0;Ba=y;y=0;if(Ba&1){e=pb()|0;DO(ea);break}DO(ea);DO(fa);DO(ga);DO(ha);x=ra+4|0;e=k[x>>2]|0;y=0;oa(460,ja|0,w|0);Ba=y;y=0;u:do if(!(Ba&1)){k[ja>>2]=15152;k[e+68>>2]=0;f=e+76|0;e=e+80|0;if(!(k[e>>2]|0))La=623;else{y=0;na(423,f|0);Ba=y;y=0;if(!(Ba&1))La=623}do if((La|0)==623){k[e>>2]=k[ja+4>>2];y=0;na(424,f|0);Ba=y;y=0;if(Ba&1)break;y=0;oa(460,ia|0,k[e>>2]|0);Ba=y;y=0;if(Ba&1)break;k[ia>>2]=15152;DO(ia);DO(ja);y=0;na(449,pa|0);Ba=y;y=0;if(Ba&1)break u;y=0;na(449,ma|0);Ba=y;y=0;if(Ba&1)e=pb()|0;else{v=ma+20|0;e=k[v>>2]|0;z=ma+24|0;o=k[z>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;h=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;La=h-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;g=k[n>>2]|0;do if((((La|0)==0?0:(La*146|0)+-1|0)|0)==(g+j|0)){y=0;na(429,e|0);La=y;y=0;if(La&1){La=737;break}g=k[n>>2]|0;j=k[i>>2]|0;h=k[l>>2]|0;f=k[m>>2]|0;La=632}else La=632;while(0);v:do if((La|0)==632){e=g+j|0;if((h|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[wa>>2];k[f+4>>2]=k[wa+4>>2];k[f+8>>2]=k[wa+8>>2];e=f+12|0;y=0;oa(460,e|0,k[q>>2]|0);Ba=y;y=0;if(Ba&1){La=737;break}k[e>>2]=15136;k[f+20>>2]=k[s>>2];e=k[C>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);e=k[v>>2]|0;o=k[z>>2]|0;p=(o|0)==0;if(!p)Dba(o);k[Ca>>2]=2;y=0;oa(672,Da|0,Ca|0);Ba=y;y=0;if(Ba&1)e=pb()|0;else{l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;Ba=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((Ba|0)==0?0:(Ba*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);Ba=y;y=0;if(Ba&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=645}else{e=j;La=645}while(0);do if((La|0)==645){e=h+e|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);Ba=y;y=0;if(Ba&1)break;k[f>>2]=15136;Aa=Da+20|0;k[e+20>>2]=k[Aa>>2];Ba=Da+24|0;k[e+24>>2]=k[Ba>>2];k[Aa>>2]=0;k[Ba>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);e=k[v>>2]|0;o=k[z>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;Ba=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((Ba|0)==0?0:(Ba*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);Ba=y;y=0;if(Ba&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=655}else{e=j;La=655}while(0);do if((La|0)==655){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[ua>>2];k[f+4>>2]=k[ua+4>>2];k[f+8>>2]=k[ua+8>>2];e=f+12|0;y=0;oa(460,e|0,k[t>>2]|0);Ba=y;y=0;if(Ba&1)break;k[e>>2]=15136;k[f+20>>2]=k[u>>2];e=k[B>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);e=k[v>>2]|0;o=k[z>>2]|0;p=(o|0)==0;if(!p)Dba(o);k[Ca>>2]=3;y=0;oa(672,Da|0,Ca|0);Ba=y;y=0;if(Ba&1)e=pb()|0;else{l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;Ba=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((Ba|0)==0?0:(Ba*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);Ba=y;y=0;if(Ba&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=668}else{e=j;La=668}while(0);do if((La|0)==668){e=h+e|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);Ba=y;y=0;if(Ba&1)break;k[f>>2]=15136;Aa=Da+20|0;k[e+20>>2]=k[Aa>>2];Ba=Da+24|0;k[e+24>>2]=k[Ba>>2];k[Aa>>2]=0;k[Ba>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);t=pa+20|0;e=k[t>>2]|0;u=pa+24|0;o=k[u>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;Ba=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((Ba|0)==0?0:(Ba*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);Ba=y;y=0;if(Ba&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=678}else{e=j;La=678}while(0);do if((La|0)==678){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[ma>>2];k[f+4>>2]=k[ma+4>>2];k[f+8>>2]=k[ma+8>>2];e=f+12|0;y=0;oa(460,e|0,k[ma+16>>2]|0);Ba=y;y=0;if(Ba&1)break;k[e>>2]=15136;k[f+20>>2]=k[v>>2];e=k[z>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);w:do if(w|0){y=0;na(449,la|0);Ba=y;y=0;if(Ba&1){e=pb()|0;break v}q=la+20|0;i=k[q>>2]|0;s=la+24|0;o=k[s>>2]|0;p=(o|0)==0;if(!p)Dba(o);y=0;oa(518,Da|0,k[x>>2]|0);Ba=y;y=0;x:do if(Ba&1){e=pb()|0;La=759}else{l=i+8|0;g=k[l>>2]|0;m=i+4|0;f=k[m>>2]|0;Ba=g-f>>2;j=i+16|0;h=k[j>>2]|0;n=i+20|0;e=k[n>>2]|0;do if((((Ba|0)==0?0:(Ba*146|0)+-1|0)|0)==(e+h|0)){y=0;na(429,i|0);Ba=y;y=0;if(Ba&1)break;e=k[n>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=693}else La=693;while(0);do if((La|0)==693){e=e+h|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);Ba=y;y=0;if(Ba&1)break;k[f>>2]=15136;Aa=Da+20|0;k[e+20>>2]=k[Aa>>2];Ba=Da+24|0;k[e+24>>2]=k[Ba>>2];k[Aa>>2]=0;k[Ba>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);i=k[q>>2]|0;o=k[s>>2]|0;p=(o|0)==0;if(!p)Dba(o);k[Ca>>2]=3;y=0;oa(672,Da|0,Ca|0);Ca=y;y=0;if(Ca&1)e=pb()|0;else{l=i+8|0;g=k[l>>2]|0;m=i+4|0;f=k[m>>2]|0;Ca=g-f>>2;j=i+16|0;h=k[j>>2]|0;n=i+20|0;e=k[n>>2]|0;do if((((Ca|0)==0?0:(Ca*146|0)+-1|0)|0)==(e+h|0)){y=0;na(429,i|0);Ca=y;y=0;if(Ca&1)break;e=k[n>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=704}else La=704;while(0);do if((La|0)==704){e=e+h|0;if((g|0)==(f|0))e=0;else e=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[e>>2]=k[Da>>2];k[e+4>>2]=k[Da+4>>2];k[e+8>>2]=k[Da+8>>2];f=e+12|0;y=0;oa(460,f|0,k[Da+16>>2]|0);Ca=y;y=0;if(Ca&1)break;k[f>>2]=15136;Ba=Da+20|0;k[e+20>>2]=k[Ba>>2];Ca=Da+24|0;k[e+24>>2]=k[Ca>>2];k[Ba>>2]=0;k[Ca>>2]=0;k[n>>2]=(k[n>>2]|0)+1;DO(Da+12|0);if(!p)DY(o);e=k[t>>2]|0;o=k[u>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;Da=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((Da|0)==0?0:(Da*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);Da=y;y=0;if(Da&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=714}else{e=j;La=714}while(0);do if((La|0)==714){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[la>>2];k[f+4>>2]=k[la+4>>2];k[f+8>>2]=k[la+8>>2];e=f+12|0;y=0;oa(460,e|0,k[la+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+20>>2]=k[q>>2];e=k[s>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);e=k[s>>2]|0;if(e|0)DY(e);DO(la+12|0);break w}while(0);e=pb()|0;if(p)break x;DY(o);break x}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}if(p)break x;DY(o);break x}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0);La=759}while(0);do if((La|0)==759){if(p)break;DY(o)}while(0);f=k[s>>2]|0;if(f|0)DY(f);DO(la+12|0);break v}while(0);h=k[d+20>>2]|0;j=k[d+24>>2]|0;l=(j|0)==0;if(!l)Dba(j);i=h+16|0;e=k[i>>2]|0;do if(!e){y=0;na(450,h|0);Da=y;y=0;if(Da&1)break;e=k[i>>2]|0;La=777}else La=777;while(0);do if((La|0)==777){Da=k[h+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[h+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[pa>>2];k[e+4>>2]=k[pa+4>>2];k[e+8>>2]=k[pa+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[pa+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[t>>2];e=k[u>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[i>>2]=(k[i>>2]|0)+-1;La=h+20|0;k[La>>2]=(k[La>>2]|0)+1;if(!l)DY(j);e=k[z>>2]|0;if(e|0)DY(e);DO(ma+12|0);e=k[u>>2]|0;if(e|0)DY(e);DO(pa+12|0);DO(ra);break s}while(0);e=pb()|0;if(l)break v;DY(j);break v}while(0);e=pb()|0;if(p)break v;DY(o);break v}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}if(p)break v;DY(o);break v}while(0);e=pb()|0;if(p)break v;DY(o);break v}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}if(p)break;DY(o)}while(0);do if((La|0)==737){e=pb()|0;if(p)break;DY(o)}while(0);f=k[z>>2]|0;if(f|0)DY(f);DO(ma+12|0)}f=k[pa+24>>2]|0;if(f|0)DY(f);DO(pa+12|0);break t}while(0);e=pb()|0;DO(ja);break t}while(0);e=pb()|0;break t}while(0);DO(fa)}DO(ga)}DO(ha)}while(0);DO(ra);break r}while(0);e=pb()|0;DO(ca);break r}while(0);e=k[A>>2]|0;if(e|0)DY(e);DO(sa+12|0);e=k[B>>2]|0;if(e|0)DY(e);DO(ua+12|0);e=k[C>>2]|0;if(e|0)DY(e);DO(wa+12|0);La=1005;break q}while(0);DO(ba)}DO(da)}while(0);if((La|0)==569)e=pb()|0;f=k[A>>2]|0;if(f|0)DY(f);DO(sa+12|0)}f=k[B>>2]|0;if(f|0)DY(f);DO(ua+12|0)}f=k[C>>2]|0;if(f|0)DY(f);DO(wa+12|0)}else if((La|0)==816){e=k[Ga+8>>2]|0;La=878}while(0);y:do if((La|0)==878){if((e|0)==1&(f&-2|0)==2){h=d+20|0;i=k[h>>2]|0;l=d+24|0;m=k[l>>2]|0;n=(m|0)==0;if(!n)Dba(m);j=i+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[j>>2]|0;La=884}else La=884;while(0);do if((La|0)==884){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Ia>>2];k[e+4>>2]=k[Ia+4>>2];k[e+8>>2]=k[Ia+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Ia+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[w>>2];e=k[$>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Da=i+20|0;k[Da>>2]=(k[Da>>2]|0)+1;if(!n)DY(m);i=k[h>>2]|0;j=k[l>>2]|0;l=(j|0)==0;if(!l)Dba(j);h=i+16|0;e=k[h>>2]|0;do if(!e){y=0;na(450,i|0);Da=y;y=0;if(Da&1)break;e=k[h>>2]|0;La=898}else La=898;while(0);do if((La|0)==898){Da=k[i+4>>2]|0;g=Da+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Da|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Fa>>2];k[e+4>>2]=k[Fa+4>>2];k[e+8>>2]=k[Fa+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Fa+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+-8>>2]=k[E>>2];e=k[G>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[h>>2]=(k[h>>2]|0)+-1;Da=i+20|0;k[Da>>2]=(k[Da>>2]|0)+1;if(!l)DY(j);e=k[q>>2]|0;o=k[s>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=e+8|0;g=k[l>>2]|0;m=e+4|0;f=k[m>>2]|0;Da=g-f>>2;i=e+16|0;j=k[i>>2]|0;n=e+20|0;h=k[n>>2]|0;do if((((Da|0)==0?0:(Da*146|0)+-1|0)|0)==(h+j|0)){y=0;na(429,e|0);Da=y;y=0;if(Da&1)break;h=k[n>>2]|0;e=k[i>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=912}else{e=j;La=912}while(0);do if((La|0)==912){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Ea>>2];k[f+4>>2]=k[Ea+4>>2];k[f+8>>2]=k[Ea+8>>2];e=f+12|0;y=0;oa(460,e|0,k[Ea+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+20>>2]=k[D>>2];e=k[F>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(!p)DY(o);i=k[q>>2]|0;o=k[s>>2]|0;p=(o|0)==0;if(!p)Dba(o);l=i+8|0;g=k[l>>2]|0;m=i+4|0;f=k[m>>2]|0;Da=g-f>>2;j=i+16|0;h=k[j>>2]|0;n=i+20|0;e=k[n>>2]|0;do if((((Da|0)==0?0:(Da*146|0)+-1|0)|0)==(e+h|0)){y=0;na(429,i|0);Da=y;y=0;if(Da&1)break;e=k[n>>2]|0;h=k[j>>2]|0;g=k[l>>2]|0;f=k[m>>2]|0;La=924}else La=924;while(0);do if((La|0)==924){e=e+h|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Ga>>2];k[f+4>>2]=k[Ga+4>>2];k[f+8>>2]=k[Ga+8>>2];e=f+12|0;y=0;oa(460,e|0,k[Ga+16>>2]|0);Da=y;y=0;if(Da&1)break;k[e>>2]=15136;k[f+20>>2]=k[v>>2];e=k[_>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[n>>2]=(k[n>>2]|0)+1;if(p){La=1005;break y}DY(o);La=1005;break y}while(0);e=pb()|0;if(p)break y;DY(o);break y}while(0);e=pb()|0;if(p)break y;DY(o);break y}while(0);e=pb()|0;if(l)break y;DY(j);break y}while(0);e=pb()|0;if(n)break;DY(m);break}if((f|0)!=(e|0)){y=0;na(451,a|0);La=y;y=0;if(La&1){La=211;break}else{La=1006;break}}e=Fa+16|0;y=0;oa(460,o|0,k[e>>2]|0);Ca=y;y=0;if(Ca&1){La=211;break}k[o>>2]=15136;f=k[o+4>>2]|0;y=0;f=qa(k[(k[f>>2]|0)+16>>2]|0,f|0)|0;Ca=y;y=0;do if(!(Ca&1)){y=0;oa(460,ka|0,f|0);Ca=y;y=0;if(Ca&1)break;k[ka>>2]=15136;DO(o);y=0;oa(460,Q|0,k[e>>2]|0);Ca=y;y=0;z:do if(Ca&1)e=pb()|0;else{k[Q>>2]=15136;y=0;oa(460,L|0,k[(k[Q+4>>2]|0)+80>>2]|0);Ca=y;y=0;if(Ca&1)e=pb()|0;else{k[L>>2]=15152;e=k[L+4>>2]|0;y=0;oa(460,J|0,k[Ea+16>>2]|0);Ca=y;y=0;if(Ca&1)e=pb()|0;else{k[J>>2]=15136;y=0;oa(460,H|0,k[(k[J+4>>2]|0)+80>>2]|0);Ca=y;y=0;do if(Ca&1)e=pb()|0;else{k[H>>2]=15152;y=0;g=Ha(971,e|0,k[H+4>>2]|0)|0;Ca=y;y=0;if(Ca&1){e=pb()|0;DO(H);break}DO(H);DO(J);DO(L);DO(Q);o=ka+4|0;e=k[o>>2]|0;y=0;oa(460,T|0,g|0);Ca=y;y=0;A:do if(!(Ca&1)){k[T>>2]=15152;k[e+68>>2]=0;f=e+76|0;e=e+80|0;if(!(k[e>>2]|0))La=951;else{y=0;na(423,f|0);Ca=y;y=0;if(!(Ca&1))La=951}do if((La|0)==951){k[e>>2]=k[T+4>>2];y=0;na(424,f|0);Ca=y;y=0;if(Ca&1)break;y=0;oa(460,S|0,k[e>>2]|0);Ca=y;y=0;if(Ca&1)break;k[S>>2]=15152;DO(S);DO(T);if(!g){y=0;na(451,a|0);a=y;y=0;if(a&1)break A;DO(ka);La=1006;break y}h=d+20|0;i=k[h>>2]|0;l=d+24|0;m=k[l>>2]|0;n=(m|0)==0;if(!n)Dba(m);j=i+16|0;e=k[j>>2]|0;do if(!e){y=0;na(450,i|0);Ca=y;y=0;if(Ca&1)break;e=k[j>>2]|0;La=971}else La=971;while(0);do if((La|0)==971){Ca=k[i+4>>2]|0;g=Ca+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Ca|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))f=(k[g+-4>>2]|0)+4088|0;else f=e;e=f+-28|0;k[e>>2]=k[Ia>>2];k[e+4>>2]=k[Ia+4>>2];k[e+8>>2]=k[Ia+8>>2];e=f+-16|0;y=0;oa(460,e|0,k[Ia+16>>2]|0);Ca=y;y=0;if(Ca&1)break;k[e>>2]=15136;k[f+-8>>2]=k[w>>2];e=k[$>>2]|0;k[f+-4>>2]=e;if(e|0)Dba(e);k[j>>2]=(k[j>>2]|0)+-1;Ca=i+20|0;k[Ca>>2]=(k[Ca>>2]|0)+1;if(!n)DY(m);i=k[h>>2]|0;j=k[l>>2]|0;l=(j|0)==0;if(!l)Dba(j);y=0;oa(518,Da|0,k[o>>2]|0);Ca=y;y=0;if(Ca&1)e=pb()|0;else{h=i+16|0;e=k[h>>2]|0;do if(!e){y=0;na(450,i|0);Ca=y;y=0;if(Ca&1)break;e=k[h>>2]|0;La=986}else La=986;while(0);do if((La|0)==986){Ca=k[i+4>>2]|0;g=Ca+(((e>>>0)/146|0)<<2)|0;f=k[g>>2]|0;if((k[i+8>>2]|0)==(Ca|0))e=0;else e=f+(((e>>>0)%146|0)*28|0)|0;if((e|0)==(f|0))e=(k[g+-4>>2]|0)+4088|0;f=e+-28|0;k[f>>2]=k[Da>>2];k[f+4>>2]=k[Da+4>>2];k[f+8>>2]=k[Da+8>>2];f=e+-16|0;y=0;oa(460,f|0,k[Da+16>>2]|0);Ca=y;y=0;if(Ca&1)break;k[f>>2]=15136;Ca=Da+20|0;k[e+-8>>2]=k[Ca>>2];La=Da+24|0;k[e+-4>>2]=k[La>>2];k[Ca>>2]=0;k[La>>2]=0;k[h>>2]=(k[h>>2]|0)+-1;La=i+20|0;k[La>>2]=(k[La>>2]|0)+1;DO(Da+12|0);if(!l)DY(j);DO(ka);La=1005;break y}while(0);e=pb()|0;f=k[Da+24>>2]|0;if(f|0)DY(f);DO(Da+12|0)}if(l)break z;DY(j);break z}while(0);e=pb()|0;if(n)break z;DY(m);break z}while(0);e=pb()|0;DO(T);break z}while(0);e=pb()|0;break z}while(0);DO(J)}DO(L)}DO(Q)}while(0);DO(ka);break y}while(0);e=pb()|0;DO(o)}while(0);if((La|0)==1005){y=0;Ra(46,a|0,b|0,c|0,d|0);La=y;y=0;if(La&1)La=211;else La=1006}if((La|0)==211)e=pb()|0;else if((La|0)==1006){e=k[F>>2]|0;if(e|0)DY(e);DO(Ea+12|0);e=k[G>>2]|0;if(e|0)DY(e);DO(Fa+12|0);e=k[_>>2]|0;if(e|0)DY(e);DO(Ga+12|0);e=k[$>>2]|0;if(e|0)DY(e);DO(Ia+12|0);break b}f=k[F>>2]|0;if(f|0)DY(f);DO(Ea+12|0)}while(0);f=k[G>>2]|0;if(f|0)DY(f);DO(Fa+12|0)}while(0);f=k[_>>2]|0;if(f|0)DY(f);DO(Ga+12|0)}while(0);f=k[$>>2]|0;if(f|0)DY(f);DO(Ia+12|0);break a}while(0);e=k[Ma+24>>2]|0;if(e|0)DY(e);DO(Ma+12|0);e=k[Ja>>2]|0;if(!e){Oa=Oa+12|0;DO(Oa);r=Ka;return}DY(e);Oa=Oa+12|0;DO(Oa);r=Ka;return}}while(0);if((La|0)==17)e=pb()|0;f=k[Ma+24>>2]|0;if(f|0)DY(f);DO(Ma+12|0)}f=k[Oa+24>>2]|0;if(!f){Oa=Oa+12|0;DO(Oa);sb(e|0)}DY(f);Oa=Oa+12|0;DO(Oa);sb(e|0)}function Tc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,l=0,m=0,n=0,o=0,p=0,q=0,s=0,t=0,u=0,v=0,w=0,x=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Oa=0,Pa=0,Qa=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,qb=0,rb=0,tb=0,ub=0,vb=0,wb=0,xb=0,yb=0,zb=0,Ab=0,Bb=0,Cb=0,Db=0,Eb=0,Fb=0,Gb=0,Hb=0,Ib=0,Jb=0,Kb=0,Lb=0,Mb=0,Nb=0,Ob=0,Pb=0,Qb=0;ub=0;Bb=r;r=r+1168|0;yb=Bb+1128|0;vb=Bb+1100|0;nb=Bb+1072|0;mb=Bb+1044|0;ib=Bb+1016|0;fb=Bb+988|0;eb=Bb+960|0;Pa=Bb+952|0;Qa=Bb+944|0;Sa=Bb+936|0;Oa=Bb+928|0;Ta=Bb+920|0;Ua=Bb+912|0;Va=Bb+904|0;Wa=Bb+896|0;db=Bb+864|0;Xa=Bb+856|0;Ya=Bb+848|0;Za=Bb+840|0;_a=Bb+832|0;$a=Bb+824|0;ab=Bb+816|0;bb=Bb+808|0;cb=Bb+800|0;ma=Bb+772|0;pa=Bb+744|0;qa=Bb+716|0;ra=Bb+688|0;sa=Bb+680|0;ta=Bb+672|0;ua=Bb+664|0;va=Bb+656|0;wa=Bb+648|0;xa=Bb+640|0;za=Bb+632|0;Aa=Bb+624|0;Ba=Bb+592|0;Ca=Bb+584|0;Da=Bb+568|0;Ea=Bb+560|0;Fa=Bb+544|0;Ga=Bb+528|0;Ia=Bb+520|0;Ja=Bb+512|0;Ka=Bb+504|0;Jb=Bb+476|0;Pb=Bb+448|0;Ob=Bb+420|0;Nb=Bb+392|0;Mb=Bb+364|0;Lb=Bb+336|0;Kb=Bb+308|0;Ib=Bb+280|0;Hb=Bb+256|0;Gb=Bb+232|0;n=Bb+1156|0;Fb=Bb+204|0;Eb=Bb+176|0;Db=Bb+148|0;La=Bb+120|0;Ma=Bb+92|0;Ab=Bb+64|0;ob=Bb+576|0;qb=Bb+552|0;rb=Bb+536|0;tb=Bb+56|0;zb=Bb+28|0;xb=Bb;d=k[b+20>>2]|0;e=k[b+24>>2]|0;if(!e){if(!(k[d+20>>2]|0))ub=4}else{Dba(e);Cb=(k[d+20>>2]|0)==0;DY(e);if(Cb)ub=4}if((ub|0)==4){jD(a);d=k[a+20>>2]|0;f=a+24|0;g=k[f>>2]|0;h=(g|0)==0;if(!h)Dba(g);y=0;oa(522,d|0,c|0);Pb=y;y=0;if(!(Pb&1)){if(h){r=Bb;return}DY(g);r=Bb;return}e=pb()|0;if(!h)DY(g);d=k[f>>2]|0;if(d|0)DY(d);DO(a+12|0);Pb=e;sb(Pb|0)}d=k[c+20>>2]|0;e=k[c+24>>2]|0;if(!e){if(!(k[d+20>>2]|0))ub=17}else{Dba(e);Cb=(k[d+20>>2]|0)==0;DY(e);if(Cb)ub=17}if((ub|0)==17){jD(a);d=k[a+20>>2]|0;f=a+24|0;g=k[f>>2]|0;h=(g|0)==0;if(!h)Dba(g);y=0;oa(522,d|0,b|0);Pb=y;y=0;if(!(Pb&1)){if(h){r=Bb;return}DY(g);r=Bb;return}e=pb()|0;if(!h)DY(g);d=k[f>>2]|0;if(d|0)DY(d);DO(a+12|0);Pb=e;sb(Pb|0)}jD(Pb);y=0;oa(507,Pb|0,b|0);Cb=y;y=0;if(Cb&1)ub=77;else{y=0;na(449,Ob|0);Cb=y;y=0;if(Cb&1)ub=77;else{y=0;oa(507,Ob|0,c|0);Cb=y;y=0;a:do if(Cb&1)ub=78;else{y=0;na(449,yb|0);Cb=y;y=0;if(Cb&1)ub=78;else{y=0;na(449,vb|0);Cb=y;y=0;if(Cb&1)e=pb()|0;else{y=0;oa(667,Pb|0,yb|0);Cb=y;y=0;if(Cb&1)ub=41;else{y=0;oa(667,Ob|0,vb|0);Cb=y;y=0;if(Cb&1)ub=41;else{y=0;Ra(45,Jb|0,yb|0,vb|0,nb|0);Cb=y;y=0;if(Cb&1)e=pb()|0;else{y=0;d=Ha(1025,Jb|0,yb|0)|0;Cb=y;y=0;b:do if(Cb&1)ub=43;else{do if(d)ub=44;else{y=0;d=Ha(1025,Jb|0,vb|0)|0;Cb=y;y=0;if(Cb&1){ub=43;break b}if(d){ub=44;break}y=0;na(451,Nb|0);Cb=y;y=0;if(Cb&1){ub=43;break b}}while(0);do if((ub|0)==44){d=k[yb+20>>2]|0;h=k[yb+24>>2]|0;b=(h|0)==0;if(!b)Dba(h);d=k[d+20>>2]|0;e=k[vb+20>>2]|0;f=k[vb+24>>2]|0;g=(f|0)==0;if(!g)Dba(f);d=d>>>0>(k[e+20>>2]|0)>>>0?yb:vb;k[Nb>>2]=k[d>>2];k[Nb+4>>2]=k[d+4>>2];k[Nb+8>>2]=k[d+8>>2];e=Nb+12|0;y=0;oa(460,e|0,k[d+16>>2]|0);Cb=y;y=0;if(Cb&1){e=pb()|0;if(!g)DY(f);if(b)break b;DY(h);break b}k[e>>2]=15136;k[Nb+20>>2]=k[d+20>>2];d=k[d+24>>2]|0;k[Nb+24>>2]=d;if(d|0)Dba(d);if(!g)DY(f);if(b)break;DY(h)}while(0);d=k[Jb+24>>2]|0;if(d|0)DY(d);DO(Jb+12|0);d=k[vb+24>>2]|0;if(d|0)DY(d);DO(vb+12|0);d=k[yb+24>>2]|0;if(d|0)DY(d);DO(yb+12|0);do if((k[Nb+4>>2]|0)==3){y=0;na(451,a|0);Mb=y;y=0;if(Mb&1)ub=80;else ub=1050}else{y=0;na(449,Mb|0);Cb=y;y=0;if(Cb&1){ub=80;break}y=0;Ra(46,Lb|0,Pb|0,Ob|0,Mb|0);Cb=y;y=0;if(Cb&1)e=pb()|0;else{c:do if((k[Lb+4>>2]|0)==3){y=0;na(451,a|0);Kb=y;y=0;if(Kb&1){ub=87;break}d=Lb+24|0;ub=1039}else{hb=Lb+20|0;e=k[hb>>2]|0;d=Lb+24|0;g=k[d>>2]|0;h=(g|0)==0;if(!h)Dba(g);Cb=k[e+4>>2]|0;f=k[e+16>>2]|0;i=Cb+(((f>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(Cb|0))e=0;else e=(k[i>>2]|0)+(((f>>>0)%146|0)*28|0)|0;if(!h)DY(g);f=k[hb>>2]|0;b=k[d>>2]|0;c=(b|0)==0;if(!c)Dba(b);g=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;h=k[f+4>>2]|0;if((k[f+8>>2]|0)==(h|0))j=0;else j=(k[h+(((g>>>0)/146|0)<<2)>>2]|0)+(((g>>>0)%146|0)*28|0)|0;if(!c)DY(b);b=nb+20|0;l=nb+24|0;c=nb+16|0;m=nb+12|0;d:while(1){do{if((e|0)==(j|0)){ub=103;break d}if((k[e+4>>2]|0)!=2){y=0;na(449,nb|0);Cb=y;y=0;if(Cb&1){ub=121;break d}f=k[b>>2]|0;g=k[l>>2]|0;h=(g|0)==0;if(!h)Dba(g);y=0;oa(522,f|0,e|0);Cb=y;y=0;if(Cb&1){ub=123;break d}if(!h)DY(g);k[e>>2]=k[nb>>2];k[e+4>>2]=k[nb+4>>2];k[e+8>>2]=k[nb+8>>2];f=e+12|0;g=e+16|0;if(k[g>>2]|0){y=0;na(423,f|0);Cb=y;y=0;if(Cb&1){ub=122;break d}}k[g>>2]=k[c>>2];y=0;na(424,f|0);Cb=y;y=0;if(Cb&1){ub=122;break d}f=k[b>>2]|0;g=k[l>>2]|0;if(g|0)Dba(g);k[e+20>>2]=f;Cb=e+24|0;f=k[Cb>>2]|0;k[Cb>>2]=g;if(f|0)DY(f);f=k[l>>2]|0;if(f|0)DY(f);DO(m)}e=e+28|0}while((e-(k[i>>2]|0)|0)!=4088);e=i+4|0;i=e;e=k[e>>2]|0}do if((ub|0)==103){y=0;oa(668,Kb|0,Pb|0);Cb=y;y=0;if(Cb&1){ub=87;break c}y=0;oa(668,Ib|0,Ob|0);Cb=y;y=0;if(Cb&1)e=pb()|0;else{k[Jb>>2]=0;k[Jb+4>>2]=0;k[Jb+8>>2]=0;k[Jb+12>>2]=0;k[Jb+16>>2]=0;k[Jb+20>>2]=0;y=0;oa(669,Kb|0,Jb|0);Cb=y;y=0;if(Cb&1)e=pb()|0;else{k[Hb>>2]=0;k[Hb+4>>2]=0;k[Hb+8>>2]=0;k[Hb+12>>2]=0;k[Hb+16>>2]=0;k[Hb+20>>2]=0;y=0;oa(669,Ib|0,Hb|0);Cb=y;y=0;if(Cb&1)e=pb()|0;else{k[Gb>>2]=0;k[Gb+4>>2]=0;k[Gb+8>>2]=0;k[Gb+12>>2]=0;k[Gb+16>>2]=0;k[Gb+20>>2]=0;y=0;Ra(47,Hb|0,Jb|0,n|0,Gb|0);Cb=y;y=0;do if(Cb&1)ub=526;else{y=0;oa(670,Fb|0,Gb|0);Cb=y;y=0;if(Cb&1){ub=526;break}y=0;na(449,Eb|0);Cb=y;y=0;if(Cb&1)e=pb()|0;else{o=Eb+20|0;e=k[o>>2]|0;Cb=Eb+24|0;m=k[Cb>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;h=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;wb=h-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;g=k[l>>2]|0;do if((((wb|0)==0?0:(wb*146|0)+-1|0)|0)==(g+c|0)){y=0;na(429,e|0);wb=y;y=0;if(wb&1){ub=529;break}g=k[l>>2]|0;c=k[b>>2]|0;h=k[i>>2]|0;f=k[j>>2]|0;ub=141}else ub=141;while(0);do if((ub|0)==141){e=g+c|0;if((h|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Nb>>2];k[f+4>>2]=k[Nb+4>>2];k[f+8>>2]=k[Nb+8>>2];e=f+12|0;y=0;oa(460,e|0,k[Nb+16>>2]|0);wb=y;y=0;if(wb&1){ub=529;break}k[e>>2]=15136;k[f+20>>2]=k[Nb+20>>2];e=k[Nb+24>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);y=0;na(449,Db|0);wb=y;y=0;if(wb&1){e=pb()|0;break}gb=Db+20|0;e=k[gb>>2]|0;wb=Db+24|0;m=k[wb>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;h=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;ub=h-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;g=k[l>>2]|0;do if((((ub|0)==0?0:(ub*146|0)+-1|0)|0)==(g+c|0)){y=0;na(429,e|0);ub=y;y=0;if(ub&1){ub=531;break}g=k[l>>2]|0;c=k[b>>2]|0;h=k[i>>2]|0;f=k[j>>2]|0;ub=154}else ub=154;while(0);e:do if((ub|0)==154){e=g+c|0;if((h|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Eb>>2];k[f+4>>2]=k[Eb+4>>2];k[f+8>>2]=k[Eb+8>>2];e=f+12|0;y=0;oa(460,e|0,k[Eb+16>>2]|0);lb=y;y=0;if(lb&1){ub=531;break}k[e>>2]=15136;k[f+20>>2]=k[o>>2];e=k[Cb>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);p=Fb+20|0;jb=Fb+24|0;q=Kb+20|0;lb=Kb+24|0;s=ma+20|0;ja=ma+24|0;t=Ib+20|0;kb=Ib+24|0;u=pa+20|0;ga=pa+24|0;v=ma+20|0;w=pa+20|0;ha=pa+12|0;ka=ma+12|0;x=La+16|0;z=La+20|0;aa=La+24|0;A=Ma+20|0;Y=Ma+24|0;B=Ma+16|0;ia=Kb+20|0;la=Ib+20|0;Z=Ma+12|0;da=La+12|0;C=La+20|0;D=pa+16|0;E=ma+16|0;F=ra+20|0;ba=ra+24|0;G=sa+4|0;H=ta+4|0;I=ua+4|0;J=wa+4|0;K=xa+4|0;L=za+4|0;M=qa+20|0;ea=qa+24|0;N=ra+16|0;O=Ba+20|0;_=Ba+24|0;P=Ca+4|0;Q=Da+4|0;R=Ea+4|0;S=Ga+4|0;T=Ia+4|0;U=Ja+4|0;V=Ba+16|0;W=La+12|0;X=qa+16|0;$=Ba+12|0;ca=ra+12|0;fa=qa+12|0;f:while(1){e=k[p>>2]|0;f=k[jb>>2]|0;if(!f){if(!(k[e+20>>2]|0)){ub=567;break}}else{Dba(f);o=(k[e+20>>2]|0)==0;DY(f);if(o){ub=567;break}}k[mb>>2]=Fb;y=0;na(449,ma|0);o=y;y=0;if(o&1){ub=533;break}while(1){e=k[q>>2]|0;f=k[lb>>2]|0;g=(f|0)==0;if(!g)Dba(f);if(!(k[e+20>>2]|0)){ub=197;break}y=0;e=Ha(1026,mb|0,Kb|0)|0;o=y;y=0;if(o&1){ub=191;break f}if(!g)DY(f);if(e)break;e=k[s>>2]|0;g=k[ja>>2]|0;h=(g|0)==0;if(!h)Dba(g);f=k[q>>2]|0;b=k[lb>>2]|0;c=(b|0)==0;if(!c)Dba(b);o=k[f+16>>2]|0;y=0;oa(522,e|0,(k[(k[f+4>>2]|0)+(((o>>>0)/146|0)<<2)>>2]|0)+(((o>>>0)%146|0)*28|0)|0);o=y;y=0;if(o&1){ub=193;break f}if(!c)DY(b);if(!h)DY(g);e=k[q>>2]|0;f=k[lb>>2]|0;g=(f|0)==0;if(!g)Dba(f);h=e+4|0;b=e+16|0;i=k[b>>2]|0;c=k[(k[h>>2]|0)+(((i>>>0)/146|0)<<2)>>2]|0;i=(i>>>0)%146|0;j=k[c+(i*28|0)+24>>2]|0;if(j|0)DY(j);DO(c+(i*28|0)+12|0);o=e+20|0;k[o>>2]=(k[o>>2]|0)+-1;o=(k[b>>2]|0)+1|0;k[b>>2]=o;if(o>>>0>291){cra(k[k[h>>2]>>2]|0);k[h>>2]=(k[h>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-146}if(g)continue;DY(f)}do if((ub|0)==197){ub=0;if(g)break;DY(f)}while(0);y=0;na(449,pa|0);o=y;y=0;if(o&1){ub=190;break}while(1){e=k[t>>2]|0;f=k[kb>>2]|0;g=(f|0)==0;if(!g)Dba(f);if(!(k[e+20>>2]|0)){ub=231;break}y=0;e=Ha(1026,mb|0,Ib|0)|0;o=y;y=0;if(o&1){ub=225;break f}if(!g)DY(f);if(e)break;e=k[u>>2]|0;g=k[ga>>2]|0;h=(g|0)==0;if(!h)Dba(g);f=k[t>>2]|0;b=k[kb>>2]|0;c=(b|0)==0;if(!c)Dba(b);o=k[f+16>>2]|0;y=0;oa(522,e|0,(k[(k[f+4>>2]|0)+(((o>>>0)/146|0)<<2)>>2]|0)+(((o>>>0)%146|0)*28|0)|0);o=y;y=0;if(o&1){ub=227;break f}if(!c)DY(b);if(!h)DY(g);e=k[t>>2]|0;f=k[kb>>2]|0;g=(f|0)==0;if(!g)Dba(f);h=e+4|0;b=e+16|0;i=k[b>>2]|0;c=k[(k[h>>2]|0)+(((i>>>0)/146|0)<<2)>>2]|0;i=(i>>>0)%146|0;j=k[c+(i*28|0)+24>>2]|0;if(j|0)DY(j);DO(c+(i*28|0)+12|0);o=e+20|0;k[o>>2]=(k[o>>2]|0)+-1;o=(k[b>>2]|0)+1|0;k[b>>2]=o;if(o>>>0>291){cra(k[k[h>>2]>>2]|0);k[h>>2]=(k[h>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-146}if(g)continue;DY(f)}do if((ub|0)==231){ub=0;if(g)break;DY(f)}while(0);e=k[v>>2]|0;g=k[ja>>2]|0;h=(g|0)==0;if(!h)Dba(g);do if(!(k[e+20>>2]|0)){e=k[w>>2]|0;f=k[ga>>2]|0;if(!f){e=(k[e+20>>2]|0)==0;break}else{Dba(f);e=(k[e+20>>2]|0)==0;DY(f);break}}else e=0;while(0);if(!h)DY(g);do if(e){y=0;na(449,La|0);o=y;y=0;if(o&1){ub=224;break f}}else{e=k[v>>2]|0;f=k[ja>>2]|0;if(!f){if(!(k[e+20>>2]|0))ub=246}else{Dba(f);o=(k[e+20>>2]|0)==0;DY(f);if(o)ub=246}if((ub|0)==246){ub=0;y=0;na(449,La|0);o=y;y=0;if(o&1){ub=224;break f}e=k[C>>2]|0;m=k[aa>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;o=g-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;h=k[l>>2]|0;if((((o|0)==0?0:(o*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);o=y;y=0;if(o&1){ub=259;break f}h=k[l>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0}else e=c;e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[pa>>2];k[f+4>>2]=k[pa+4>>2];k[f+8>>2]=k[pa+8>>2];e=f+12|0;y=0;oa(460,e|0,k[D>>2]|0);o=y;y=0;if(o&1){ub=259;break f}k[e>>2]=15136;k[f+20>>2]=k[w>>2];e=k[ga>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(n)break;DY(m);break}e=k[w>>2]|0;f=k[ga>>2]|0;if(!f){if(!(k[e+20>>2]|0))ub=267}else{Dba(f);o=(k[e+20>>2]|0)==0;DY(f);if(o)ub=267}if((ub|0)==267){ub=0;y=0;na(449,La|0);o=y;y=0;if(o&1){ub=224;break f}e=k[C>>2]|0;m=k[aa>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;o=g-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;h=k[l>>2]|0;if((((o|0)==0?0:(o*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);o=y;y=0;if(o&1){ub=280;break f}h=k[l>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0}else e=c;e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[ma>>2];k[f+4>>2]=k[ma+4>>2];k[f+8>>2]=k[ma+8>>2];e=f+12|0;y=0;oa(460,e|0,k[E>>2]|0);o=y;y=0;if(o&1){ub=280;break f}k[e>>2]=15136;k[f+20>>2]=k[v>>2];e=k[ja>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(n)break;DY(m);break}y=0;na(449,qa|0);o=y;y=0;if(o&1){ub=224;break f}y=0;na(449,ra|0);o=y;y=0;if(o&1){ub=412;break f}e=k[F>>2]|0;n=k[ba>>2]|0;o=(n|0)==0;do if(o){m=1;f=e;l=0}else{Dba(n);g=k[ba>>2]|0;f=k[F>>2]|0;if(!g){m=1;l=0;break}Dba(g);m=0;l=g}while(0);i=f;f=(k[i+16>>2]|0)+(k[i+20>>2]|0)|0;j=k[i+4>>2]|0;g=j+(((f>>>0)/146|0)<<2)|0;if((k[i+8>>2]|0)==(j|0))f=0;else f=(k[g>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[sa>>2]=g;k[G>>2]=f;f=k[v>>2]|0;i=k[ja>>2]|0;j=(i|0)==0;if(!j)Dba(i);c=k[f+4>>2]|0;g=k[f+16>>2]|0;h=c+(((g>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(c|0))f=0;else f=(k[h>>2]|0)+(((g>>>0)%146|0)*28|0)|0;k[ta>>2]=h;k[H>>2]=f;f=k[v>>2]|0;b=k[ja>>2]|0;c=(b|0)==0;if(!c)Dba(b);g=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Qb=k[f+4>>2]|0;h=Qb+(((g>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[h>>2]|0)+(((g>>>0)%146|0)*28|0)|0;k[ua>>2]=h;k[I>>2]=f;y=0;k[nb>>2]=k[sa>>2];k[nb+4>>2]=k[sa+4>>2];k[vb>>2]=k[ta>>2];k[vb+4>>2]=k[ta+4>>2];k[yb>>2]=k[ua>>2];k[yb+4>>2]=k[ua+4>>2];ya(12,va|0,e|0,nb|0,vb|0,yb|0,0);Qb=y;y=0;if(Qb&1){ub=414;break f}if(!c)DY(b);if(!j)DY(i);if(!m)DY(l);if(!o)DY(n);e=k[F>>2]|0;n=k[ba>>2]|0;o=(n|0)==0;do if(o){m=1;f=e;l=0}else{Dba(n);g=k[ba>>2]|0;f=k[F>>2]|0;if(!g){m=1;l=0;break}Dba(g);m=0;l=g}while(0);j=f;f=(k[j+16>>2]|0)+(k[j+20>>2]|0)|0;Qb=k[j+4>>2]|0;g=Qb+(((f>>>0)/146|0)<<2)|0;if((k[j+8>>2]|0)==(Qb|0))f=0;else f=(k[g>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[wa>>2]=g;k[J>>2]=f;f=k[w>>2]|0;i=k[ga>>2]|0;j=(i|0)==0;if(!j)Dba(i);Qb=k[f+4>>2]|0;g=k[f+16>>2]|0;h=Qb+(((g>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[h>>2]|0)+(((g>>>0)%146|0)*28|0)|0;k[xa>>2]=h;k[K>>2]=f;f=k[w>>2]|0;b=k[ga>>2]|0;c=(b|0)==0;if(!c)Dba(b);g=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Qb=k[f+4>>2]|0;h=Qb+(((g>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[h>>2]|0)+(((g>>>0)%146|0)*28|0)|0;k[za>>2]=h;k[L>>2]=f;y=0;k[nb>>2]=k[wa>>2];k[nb+4>>2]=k[wa+4>>2];k[vb>>2]=k[xa>>2];k[vb+4>>2]=k[xa+4>>2];k[yb>>2]=k[za>>2];k[yb+4>>2]=k[za+4>>2];ya(12,Aa|0,e|0,nb|0,vb|0,yb|0,0);Qb=y;y=0;if(Qb&1){ub=422;break f}if(!c)DY(b);if(!j)DY(i);if(!m)DY(l);if(!o)DY(n);e=k[M>>2]|0;m=k[ea>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;Qb=g-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;h=k[l>>2]|0;if((((Qb|0)==0?0:(Qb*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);Qb=y;y=0;if(Qb&1){ub=430;break f}h=k[l>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0}else e=c;e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[ra>>2];k[f+4>>2]=k[ra+4>>2];k[f+8>>2]=k[ra+8>>2];e=f+12|0;y=0;oa(460,e|0,k[N>>2]|0);Qb=y;y=0;if(Qb&1){ub=430;break f}k[e>>2]=15136;k[f+20>>2]=k[F>>2];e=k[ba>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);y=0;na(449,Ba|0);Qb=y;y=0;if(Qb&1){ub=413;break f}f=k[O>>2]|0;n=k[_>>2]|0;o=(n|0)==0;do if(o){l=0;m=1;g=f}else{Dba(n);e=k[_>>2]|0;g=k[O>>2]|0;if(!e){l=0;m=1;break}Dba(e);l=e;m=0}while(0);j=g;e=(k[j+16>>2]|0)+(k[j+20>>2]|0)|0;Qb=k[j+4>>2]|0;g=Qb+(((e>>>0)/146|0)<<2)|0;if((k[j+8>>2]|0)==(Qb|0))e=0;else e=(k[g>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[Ca>>2]=g;k[P>>2]=e;e=k[w>>2]|0;i=k[ga>>2]|0;j=(i|0)==0;if(!j)Dba(i);Qb=k[e+4>>2]|0;g=k[e+16>>2]|0;h=Qb+(((g>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(Qb|0))e=0;else e=(k[h>>2]|0)+(((g>>>0)%146|0)*28|0)|0;k[Da>>2]=h;k[Q>>2]=e;e=k[w>>2]|0;b=k[ga>>2]|0;c=(b|0)==0;if(!c)Dba(b);g=(k[e+16>>2]|0)+(k[e+20>>2]|0)|0;Qb=k[e+4>>2]|0;h=Qb+(((g>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(Qb|0))e=0;else e=(k[h>>2]|0)+(((g>>>0)%146|0)*28|0)|0;k[Ea>>2]=h;k[R>>2]=e;y=0;k[nb>>2]=k[Ca>>2];k[nb+4>>2]=k[Ca+4>>2];k[vb>>2]=k[Da>>2];k[vb+4>>2]=k[Da+4>>2];k[yb>>2]=k[Ea>>2];k[yb+4>>2]=k[Ea+4>>2];ya(12,Fa|0,f|0,nb|0,vb|0,yb|0,0);Qb=y;y=0;if(Qb&1){ub=433;break f}if(!c)DY(b);if(!j)DY(i);if(!m)DY(l);if(!o)DY(n);e=k[O>>2]|0;n=k[_>>2]|0;o=(n|0)==0;do if(o){f=e;g=0;m=1}else{Dba(n);g=k[_>>2]|0;f=k[O>>2]|0;if(!g){g=0;m=1;break}Dba(g);m=0}while(0);l=f;f=(k[l+16>>2]|0)+(k[l+20>>2]|0)|0;Qb=k[l+4>>2]|0;h=Qb+(((f>>>0)/146|0)<<2)|0;if((k[l+8>>2]|0)==(Qb|0))f=0;else f=(k[h>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[Ga>>2]=h;k[S>>2]=f;f=k[v>>2]|0;j=k[ja>>2]|0;l=(j|0)==0;if(!l)Dba(j);Qb=k[f+4>>2]|0;h=k[f+16>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[Ia>>2]=b;k[T>>2]=f;f=k[v>>2]|0;c=k[ja>>2]|0;i=(c|0)==0;if(!i)Dba(c);h=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Qb=k[f+4>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[Ja>>2]=b;k[U>>2]=f;y=0;k[nb>>2]=k[Ga>>2];k[nb+4>>2]=k[Ga+4>>2];k[vb>>2]=k[Ia>>2];k[vb+4>>2]=k[Ia+4>>2];k[yb>>2]=k[Ja>>2];k[yb+4>>2]=k[Ja+4>>2];ya(12,Ka|0,e|0,nb|0,vb|0,yb|0,0);Qb=y;y=0;if(Qb&1){ub=441;break f}if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(!o)DY(n);e=k[M>>2]|0;m=k[ea>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;Qb=g-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;h=k[l>>2]|0;if((((Qb|0)==0?0:(Qb*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);Qb=y;y=0;if(Qb&1){ub=449;break f}h=k[l>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0}else e=c;e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Ba>>2];k[f+4>>2]=k[Ba+4>>2];k[f+8>>2]=k[Ba+8>>2];e=f+12|0;y=0;oa(460,e|0,k[V>>2]|0);Qb=y;y=0;if(Qb&1){ub=449;break f}k[e>>2]=15136;k[f+20>>2]=k[O>>2];e=k[_>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);k[La>>2]=k[qa>>2];k[La+4>>2]=k[qa+4>>2];k[La+8>>2]=k[qa+8>>2];y=0;oa(460,W|0,k[X>>2]|0);Qb=y;y=0;if(Qb&1){ub=432;break f}k[W>>2]=15136;k[z>>2]=k[M>>2];k[aa>>2]=k[ea>>2];k[M>>2]=0;k[ea>>2]=0;e=k[_>>2]|0;if(e|0)DY(e);DO($);e=k[ba>>2]|0;if(e|0)DY(e);DO(ca);e=k[ea>>2]|0;if(e|0)DY(e);DO(fa)}while(0);e=k[ga>>2]|0;if(e|0)DY(e);DO(ha);e=k[ja>>2]|0;if(e|0)DY(e);DO(ka);e=k[gb>>2]|0;m=k[wb>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;Qb=g-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;h=k[l>>2]|0;if((((Qb|0)==0?0:(Qb*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);Qb=y;y=0;if(Qb&1){ub=536;break}h=k[l>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0}else e=c;e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[La>>2];k[f+4>>2]=k[La+4>>2];k[f+8>>2]=k[La+8>>2];e=f+12|0;y=0;oa(460,e|0,k[x>>2]|0);Qb=y;y=0;if(Qb&1){ub=536;break}k[e>>2]=15136;k[f+20>>2]=k[z>>2];e=k[aa>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);y=0;na(449,Ma|0);Qb=y;y=0;if(Qb&1){ub=535;break}e=k[A>>2]|0;g=k[Y>>2]|0;h=(g|0)==0;if(!h)Dba(g);f=k[p>>2]|0;b=k[jb>>2]|0;c=(b|0)==0;if(!c)Dba(b);Qb=k[f+16>>2]|0;y=0;oa(522,e|0,(k[(k[f+4>>2]|0)+(((Qb>>>0)/146|0)<<2)>>2]|0)+(((Qb>>>0)%146|0)*28|0)|0);Qb=y;y=0;if(Qb&1){ub=538;break}if(!c)DY(b);if(!h)DY(g);e=k[p>>2]|0;f=k[jb>>2]|0;g=(f|0)==0;if(!g)Dba(f);h=e+4|0;b=e+16|0;i=k[b>>2]|0;c=k[(k[h>>2]|0)+(((i>>>0)/146|0)<<2)>>2]|0;i=(i>>>0)%146|0;j=k[c+(i*28|0)+24>>2]|0;if(j|0)DY(j);DO(c+(i*28|0)+12|0);Qb=e+20|0;k[Qb>>2]=(k[Qb>>2]|0)+-1;Qb=(k[b>>2]|0)+1|0;k[b>>2]=Qb;if(Qb>>>0>291){cra(k[k[h>>2]>>2]|0);k[h>>2]=(k[h>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-146}if(!g)DY(f);e=k[gb>>2]|0;m=k[wb>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;Qb=g-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;h=k[l>>2]|0;if((((Qb|0)==0?0:(Qb*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);Qb=y;y=0;if(Qb&1){ub=542;break}h=k[l>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0}else e=c;e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Ma>>2];k[f+4>>2]=k[Ma+4>>2];k[f+8>>2]=k[Ma+8>>2];e=f+12|0;y=0;oa(460,e|0,k[B>>2]|0);Qb=y;y=0;if(Qb&1){ub=542;break}k[e>>2]=15136;k[f+20>>2]=k[A>>2];e=k[Y>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);e=k[ia>>2]|0;f=k[lb>>2]|0;do if(!f){if(k[e+20>>2]|0){f=0;j=1;ub=517}}else{Dba(f);Qb=(k[e+20>>2]|0)==0;DY(f);if(Qb)break;e=k[ia>>2]|0;f=k[lb>>2]|0;if(!f){f=0;j=1;ub=517;break}Dba(f);j=0;ub=517}while(0);do if((ub|0)==517){ub=0;g=e+4|0;h=e+16|0;c=k[h>>2]|0;b=k[(k[g>>2]|0)+(((c>>>0)/146|0)<<2)>>2]|0;c=(c>>>0)%146|0;i=k[b+(c*28|0)+24>>2]|0;if(i|0)DY(i);DO(b+(c*28|0)+12|0);Qb=e+20|0;k[Qb>>2]=(k[Qb>>2]|0)+-1;Qb=(k[h>>2]|0)+1|0;k[h>>2]=Qb;if(Qb>>>0>291){cra(k[k[g>>2]>>2]|0);k[g>>2]=(k[g>>2]|0)+4;k[h>>2]=(k[h>>2]|0)+-146}if(j)break;DY(f)}while(0);e=k[la>>2]|0;f=k[kb>>2]|0;do if(!f){if(k[e+20>>2]|0){f=0;j=1;ub=549}}else{Dba(f);Qb=(k[e+20>>2]|0)==0;DY(f);if(Qb)break;e=k[la>>2]|0;f=k[kb>>2]|0;if(!f){f=0;j=1;ub=549;break}Dba(f);j=0;ub=549}while(0);do if((ub|0)==549){ub=0;g=e+4|0;h=e+16|0;c=k[h>>2]|0;b=k[(k[g>>2]|0)+(((c>>>0)/146|0)<<2)>>2]|0;c=(c>>>0)%146|0;i=k[b+(c*28|0)+24>>2]|0;if(i|0)DY(i);DO(b+(c*28|0)+12|0);Qb=e+20|0;k[Qb>>2]=(k[Qb>>2]|0)+-1;Qb=(k[h>>2]|0)+1|0;k[h>>2]=Qb;if(Qb>>>0>291){cra(k[k[g>>2]>>2]|0);k[g>>2]=(k[g>>2]|0)+4;k[h>>2]=(k[h>>2]|0)+-146}if(j)break;DY(f)}while(0);e=k[Y>>2]|0;if(e|0)DY(e);DO(Z);e=k[aa>>2]|0;if(e|0)DY(e);DO(da)}switch(ub|0){case 190:{e=pb()|0;ub=467;break}case 191:{e=pb()|0;if(g){ub=467;break}DY(f);ub=467;break}case 193:{e=pb()|0;if(!c)DY(b);if(h){ub=467;break}DY(g);ub=467;break}case 224:{e=pb()|0;ub=464;break}case 225:{e=pb()|0;if(g){ub=464;break}DY(f);ub=464;break}case 227:{e=pb()|0;if(!c)DY(b);if(h){ub=464;break}DY(g);ub=464;break}case 259:{e=pb()|0;if(!n)DY(m);f=k[aa>>2]|0;if(f|0)DY(f);DO(da);ub=464;break}case 280:{e=pb()|0;if(!n)DY(m);f=k[aa>>2]|0;if(f|0)DY(f);DO(da);ub=464;break}case 412:{e=pb()|0;ub=457;break}case 413:{e=pb()|0;ub=454;break}case 414:{e=pb()|0;if(!c)DY(b);if(!j)DY(i);if(!m)DY(l);if(o){ub=454;break}DY(n);ub=454;break}case 422:{e=pb()|0;if(!c)DY(b);if(!j)DY(i);if(!m)DY(l);if(o){ub=454;break}DY(n);ub=454;break}case 430:{e=pb()|0;if(n){ub=454;break}DY(m);ub=454;break}case 432:{e=pb()|0;ub=451;break}case 433:{e=pb()|0;if(!c)DY(b);if(!j)DY(i);if(!m)DY(l);if(o){ub=451;break}DY(n);ub=451;break}case 441:{e=pb()|0;if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(o){ub=451;break}DY(n);ub=451;break}case 449:{e=pb()|0;if(n){ub=451;break}DY(m);ub=451;break}case 533:{e=pb()|0;ub=534;break}case 535:{e=pb()|0;ub=563;break}case 536:{e=pb()|0;if(n){ub=563;break}DY(m);ub=563;break}case 538:{e=pb()|0;if(!c)DY(b);if(h){ub=560;break}DY(g);ub=560;break}case 542:{e=pb()|0;if(n){ub=560;break}DY(m);ub=560;break}case 567:{y=0;na(449,mb|0);Qb=y;y=0;if(Qb&1)e=pb()|0;else{l=mb+20|0;z=mb+24|0;while(1){e=k[ia>>2]|0;g=k[lb>>2]|0;h=(g|0)==0;if(!h)Dba(g);if(!(k[e+20>>2]|0)){ub=600;break}e=k[ia>>2]|0;f=k[lb>>2]|0;if(!f)e=k[e+20>>2]|0;else{Dba(f);e=k[e+20>>2]|0;DY(f)}if(!h)DY(g);if(!e){ub=602;break}e=k[l>>2]|0;g=k[z>>2]|0;h=(g|0)==0;if(!h)Dba(g);f=k[ia>>2]|0;b=k[lb>>2]|0;c=(b|0)==0;if(!c)Dba(b);Qb=k[f+16>>2]|0;y=0;oa(522,e|0,(k[(k[f+4>>2]|0)+(((Qb>>>0)/146|0)<<2)>>2]|0)+(((Qb>>>0)%146|0)*28|0)|0);Qb=y;y=0;if(Qb&1){ub=596;break}if(!c)DY(b);if(!h)DY(g);e=k[ia>>2]|0;f=k[lb>>2]|0;g=(f|0)==0;if(!g)Dba(f);h=e+4|0;b=e+16|0;i=k[b>>2]|0;c=k[(k[h>>2]|0)+(((i>>>0)/146|0)<<2)>>2]|0;i=(i>>>0)%146|0;j=k[c+(i*28|0)+24>>2]|0;if(j|0)DY(j);DO(c+(i*28|0)+12|0);Qb=e+20|0;k[Qb>>2]=(k[Qb>>2]|0)+-1;Qb=(k[b>>2]|0)+1|0;k[b>>2]=Qb;if(Qb>>>0>291){cra(k[k[h>>2]>>2]|0);k[h>>2]=(k[h>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-146}if(g)continue;DY(f)}do if((ub|0)==596){e=pb()|0;if(!c)DY(b);if(h)break;DY(g)}else if((ub|0)==600){if(h){ub=602;break}DY(g);ub=602}while(0);do if((ub|0)==602){y=0;na(449,ib|0);Qb=y;y=0;if(Qb&1){e=pb()|0;break}l=ib+20|0;x=ib+24|0;while(1){e=k[la>>2]|0;g=k[kb>>2]|0;h=(g|0)==0;if(!h)Dba(g);if(!(k[e+20>>2]|0)){ub=635;break}e=k[la>>2]|0;f=k[kb>>2]|0;if(!f)e=k[e+20>>2]|0;else{Dba(f);e=k[e+20>>2]|0;DY(f)}if(!h)DY(g);if(!e){ub=637;break}e=k[l>>2]|0;g=k[x>>2]|0;h=(g|0)==0;if(!h)Dba(g);f=k[la>>2]|0;b=k[kb>>2]|0;c=(b|0)==0;if(!c)Dba(b);Qb=k[f+16>>2]|0;y=0;oa(522,e|0,(k[(k[f+4>>2]|0)+(((Qb>>>0)/146|0)<<2)>>2]|0)+(((Qb>>>0)%146|0)*28|0)|0);Qb=y;y=0;if(Qb&1){ub=631;break}if(!c)DY(b);if(!h)DY(g);e=k[la>>2]|0;f=k[kb>>2]|0;g=(f|0)==0;if(!g)Dba(f);h=e+4|0;b=e+16|0;i=k[b>>2]|0;c=k[(k[h>>2]|0)+(((i>>>0)/146|0)<<2)>>2]|0;i=(i>>>0)%146|0;j=k[c+(i*28|0)+24>>2]|0;if(j|0)DY(j);DO(c+(i*28|0)+12|0);Qb=e+20|0;k[Qb>>2]=(k[Qb>>2]|0)+-1;Qb=(k[b>>2]|0)+1|0;k[b>>2]=Qb;if(Qb>>>0>291){cra(k[k[h>>2]>>2]|0);k[h>>2]=(k[h>>2]|0)+4;k[b>>2]=(k[b>>2]|0)+-146}if(g)continue;DY(f)}do if((ub|0)==631){e=pb()|0;if(!c)DY(b);if(h)break;DY(g)}else if((ub|0)==635){if(h){ub=637;break}DY(g);ub=637}while(0);g:do if((ub|0)==637){v=mb+20|0;e=k[v>>2]|0;g=k[z>>2]|0;h=(g|0)==0;if(!h)Dba(g);do if(!(k[e+20>>2]|0)){e=k[ib+20>>2]|0;f=k[x>>2]|0;if(!f){e=(k[e+20>>2]|0)==0;break}else{Dba(f);e=(k[e+20>>2]|0)==0;DY(f);break}}else e=0;while(0);if(!h)DY(g);h:do if(e){y=0;na(449,Ab|0);Qb=y;y=0;if(Qb&1)ub=630}else{e=k[v>>2]|0;f=k[z>>2]|0;if(!f){if(!(k[e+20>>2]|0))ub=650}else{Dba(f);Qb=(k[e+20>>2]|0)==0;DY(f);if(Qb)ub=650}if((ub|0)==650){y=0;na(449,Ab|0);Qb=y;y=0;if(Qb&1){ub=630;break}e=k[Ab+20>>2]|0;l=Ab+24|0;n=k[l>>2]|0;o=(n|0)==0;if(!o)Dba(n);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;Qb=g-f>>2;b=e+16|0;c=k[b>>2]|0;m=e+20|0;h=k[m>>2]|0;do if((((Qb|0)==0?0:(Qb*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);Qb=y;y=0;if(Qb&1)break;h=k[m>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0;ub=656}else{e=c;ub=656}while(0);do if((ub|0)==656){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[ib>>2];k[f+4>>2]=k[ib+4>>2];k[f+8>>2]=k[ib+8>>2];e=f+12|0;y=0;oa(460,e|0,k[ib+16>>2]|0);Qb=y;y=0;if(Qb&1)break;k[e>>2]=15136;k[f+20>>2]=k[ib+20>>2];e=k[x>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[m>>2]=(k[m>>2]|0)+1;if(o)break h;DY(n);break h}while(0);e=pb()|0;if(!o)DY(n);f=k[l>>2]|0;if(f|0)DY(f);DO(Ab+12|0);break g}u=ib+20|0;e=k[u>>2]|0;f=k[x>>2]|0;if(!f){if(!(k[e+20>>2]|0))ub=671}else{Dba(f);Qb=(k[e+20>>2]|0)==0;DY(f);if(Qb)ub=671}if((ub|0)==671){y=0;na(449,Ab|0);Qb=y;y=0;if(Qb&1){ub=630;break}e=k[Ab+20>>2]|0;l=Ab+24|0;n=k[l>>2]|0;o=(n|0)==0;if(!o)Dba(n);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;Qb=g-f>>2;b=e+16|0;c=k[b>>2]|0;m=e+20|0;h=k[m>>2]|0;do if((((Qb|0)==0?0:(Qb*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);Qb=y;y=0;if(Qb&1)break;h=k[m>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0;ub=677}else{e=c;ub=677}while(0);do if((ub|0)==677){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[mb>>2];k[f+4>>2]=k[mb+4>>2];k[f+8>>2]=k[mb+8>>2];e=f+12|0;y=0;oa(460,e|0,k[mb+16>>2]|0);Qb=y;y=0;if(Qb&1)break;k[e>>2]=15136;k[f+20>>2]=k[v>>2];e=k[z>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[m>>2]=(k[m>>2]|0)+1;if(o)break h;DY(n);break h}while(0);e=pb()|0;if(!o)DY(n);f=k[l>>2]|0;if(f|0)DY(f);DO(Ab+12|0);break g}y=0;na(449,fb|0);Qb=y;y=0;if(Qb&1){ub=630;break}y=0;na(449,eb|0);Qb=y;y=0;if(Qb&1)e=pb()|0;else{p=eb+20|0;e=k[p>>2]|0;w=eb+24|0;n=k[w>>2]|0;o=(n|0)==0;do if(o){f=e;g=0;m=1}else{Dba(n);g=k[w>>2]|0;f=k[p>>2]|0;if(!g){g=0;m=1;break}Dba(g);m=0}while(0);Ma=f;f=(k[Ma+16>>2]|0)+(k[Ma+20>>2]|0)|0;Qb=k[Ma+4>>2]|0;h=Qb+(((f>>>0)/146|0)<<2)|0;if((k[Ma+8>>2]|0)==(Qb|0))f=0;else f=(k[h>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[Pa>>2]=h;k[Pa+4>>2]=f;f=k[v>>2]|0;j=k[z>>2]|0;l=(j|0)==0;if(!l)Dba(j);Qb=k[f+4>>2]|0;h=k[f+16>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[Qa>>2]=b;k[Qa+4>>2]=f;f=k[v>>2]|0;c=k[z>>2]|0;i=(c|0)==0;if(!i)Dba(c);h=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Qb=k[f+4>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[Sa>>2]=b;k[Sa+4>>2]=f;y=0;k[nb>>2]=k[Pa>>2];k[nb+4>>2]=k[Pa+4>>2];k[vb>>2]=k[Qa>>2];k[vb+4>>2]=k[Qa+4>>2];k[yb>>2]=k[Sa>>2];k[yb+4>>2]=k[Sa+4>>2];ya(12,Oa|0,e|0,nb|0,vb|0,yb|0,0);Qb=y;y=0;i:do if(Qb&1){e=pb()|0;if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(o)break;DY(n)}else{if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(!o)DY(n);e=k[p>>2]|0;n=k[w>>2]|0;o=(n|0)==0;do if(o){f=e;g=0;m=1}else{Dba(n);g=k[w>>2]|0;f=k[p>>2]|0;if(!g){g=0;m=1;break}Dba(g);m=0}while(0);Sa=f;f=(k[Sa+16>>2]|0)+(k[Sa+20>>2]|0)|0;Qb=k[Sa+4>>2]|0;h=Qb+(((f>>>0)/146|0)<<2)|0;if((k[Sa+8>>2]|0)==(Qb|0))f=0;else f=(k[h>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[Ta>>2]=h;k[Ta+4>>2]=f;f=k[u>>2]|0;j=k[x>>2]|0;l=(j|0)==0;if(!l)Dba(j);Qb=k[f+4>>2]|0;h=k[f+16>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[Ua>>2]=b;k[Ua+4>>2]=f;f=k[u>>2]|0;c=k[x>>2]|0;i=(c|0)==0;if(!i)Dba(c);h=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Qb=k[f+4>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[Va>>2]=b;k[Va+4>>2]=f;y=0;k[nb>>2]=k[Ta>>2];k[nb+4>>2]=k[Ta+4>>2];k[vb>>2]=k[Ua>>2];k[vb+4>>2]=k[Ua+4>>2];k[yb>>2]=k[Va>>2];k[yb+4>>2]=k[Va+4>>2];ya(12,Wa|0,e|0,nb|0,vb|0,yb|0,0);Qb=y;y=0;if(Qb&1){e=pb()|0;if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(o)break;DY(n);break}if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(!o)DY(n);s=fb+20|0;e=k[s>>2]|0;t=fb+24|0;m=k[t>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;Qb=g-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;h=k[l>>2]|0;do if((((Qb|0)==0?0:(Qb*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);Qb=y;y=0;if(Qb&1)break;h=k[l>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0;ub=742}else{e=c;ub=742}while(0);do if((ub|0)==742){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[eb>>2];k[f+4>>2]=k[eb+4>>2];k[f+8>>2]=k[eb+8>>2];e=f+12|0;y=0;oa(460,e|0,k[eb+16>>2]|0);Qb=y;y=0;if(Qb&1)break;k[e>>2]=15136;k[f+20>>2]=k[p>>2];e=k[w>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);y=0;na(449,db|0);Qb=y;y=0;if(Qb&1){e=pb()|0;break i}p=db+20|0;e=k[p>>2]|0;q=db+24|0;n=k[q>>2]|0;o=(n|0)==0;do if(o){f=e;g=0;m=1}else{Dba(n);g=k[q>>2]|0;f=k[p>>2]|0;if(!g){g=0;m=1;break}Dba(g);m=0}while(0);Wa=f;f=(k[Wa+16>>2]|0)+(k[Wa+20>>2]|0)|0;Qb=k[Wa+4>>2]|0;h=Qb+(((f>>>0)/146|0)<<2)|0;if((k[Wa+8>>2]|0)==(Qb|0))f=0;else f=(k[h>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[Xa>>2]=h;k[Xa+4>>2]=f;f=k[u>>2]|0;j=k[x>>2]|0;l=(j|0)==0;if(!l)Dba(j);Qb=k[f+4>>2]|0;h=k[f+16>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[Ya>>2]=b;k[Ya+4>>2]=f;f=k[u>>2]|0;c=k[x>>2]|0;i=(c|0)==0;if(!i)Dba(c);h=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Qb=k[f+4>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[Za>>2]=b;k[Za+4>>2]=f;y=0;k[nb>>2]=k[Xa>>2];k[nb+4>>2]=k[Xa+4>>2];k[vb>>2]=k[Ya>>2];k[vb+4>>2]=k[Ya+4>>2];k[yb>>2]=k[Za>>2];k[yb+4>>2]=k[Za+4>>2];ya(12,_a|0,e|0,nb|0,vb|0,yb|0,0);Qb=y;y=0;j:do if(Qb&1){e=pb()|0;if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(o)break;DY(n)}else{if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(!o)DY(n);e=k[p>>2]|0;n=k[q>>2]|0;o=(n|0)==0;do if(o){f=e;g=0;m=1}else{Dba(n);g=k[q>>2]|0;f=k[p>>2]|0;if(!g){g=0;m=1;break}Dba(g);m=0}while(0);_a=f;f=(k[_a+16>>2]|0)+(k[_a+20>>2]|0)|0;Qb=k[_a+4>>2]|0;h=Qb+(((f>>>0)/146|0)<<2)|0;if((k[_a+8>>2]|0)==(Qb|0))f=0;else f=(k[h>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[$a>>2]=h;k[$a+4>>2]=f;f=k[v>>2]|0;j=k[z>>2]|0;l=(j|0)==0;if(!l)Dba(j);Qb=k[f+4>>2]|0;h=k[f+16>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[ab>>2]=b;k[ab+4>>2]=f;f=k[v>>2]|0;c=k[z>>2]|0;i=(c|0)==0;if(!i)Dba(c);h=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Qb=k[f+4>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[bb>>2]=b;k[bb+4>>2]=f;y=0;k[nb>>2]=k[$a>>2];k[nb+4>>2]=k[$a+4>>2];k[vb>>2]=k[ab>>2];k[vb+4>>2]=k[ab+4>>2];k[yb>>2]=k[bb>>2];k[yb+4>>2]=k[bb+4>>2];ya(12,cb|0,e|0,nb|0,vb|0,yb|0,0);Qb=y;y=0;if(Qb&1){e=pb()|0;if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(o)break;DY(n);break}if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(!o)DY(n);e=k[s>>2]|0;m=k[t>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;g=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;Qb=g-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;h=k[l>>2]|0;do if((((Qb|0)==0?0:(Qb*146|0)+-1|0)|0)==(h+c|0)){y=0;na(429,e|0);Qb=y;y=0;if(Qb&1)break;h=k[l>>2]|0;e=k[b>>2]|0;g=k[i>>2]|0;f=k[j>>2]|0;ub=801}else{e=c;ub=801}while(0);do if((ub|0)==801){e=h+e|0;if((g|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[db>>2];k[f+4>>2]=k[db+4>>2];k[f+8>>2]=k[db+8>>2];e=f+12|0;y=0;oa(460,e|0,k[db+16>>2]|0);Qb=y;y=0;if(Qb&1)break;k[e>>2]=15136;k[f+20>>2]=k[p>>2];e=k[q>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);k[Ab>>2]=k[fb>>2];k[Ab+4>>2]=k[fb+4>>2];k[Ab+8>>2]=k[fb+8>>2];e=Ab+12|0;y=0;oa(460,e|0,k[fb+16>>2]|0);Qb=y;y=0;if(Qb&1){e=pb()|0;break j}k[e>>2]=15136;k[Ab+20>>2]=k[s>>2];k[Ab+24>>2]=k[t>>2];k[s>>2]=0;k[t>>2]=0;e=k[q>>2]|0;if(e|0)DY(e);DO(db+12|0);e=k[w>>2]|0;if(e|0)DY(e);DO(eb+12|0);e=k[t>>2]|0;if(e|0)DY(e);DO(fb+12|0);break h}while(0);e=pb()|0;if(n)break;DY(m)}while(0);f=k[q>>2]|0;if(f|0)DY(f);DO(db+12|0);break i}while(0);e=pb()|0;if(n)break;DY(m)}while(0);f=k[w>>2]|0;if(f|0)DY(f);DO(eb+12|0)}f=k[fb+24>>2]|0;if(f|0)DY(f);DO(fb+12|0);break g}while(0);if((ub|0)==630){e=pb()|0;break}e=k[x>>2]|0;if(e|0)DY(e);DO(ib+12|0);e=k[z>>2]|0;if(e|0)DY(e);DO(mb+12|0);e=k[gb>>2]|0;m=k[wb>>2]|0;n=(m|0)==0;if(!n)Dba(m);i=e+8|0;h=k[i>>2]|0;j=e+4|0;f=k[j>>2]|0;Qb=h-f>>2;b=e+16|0;c=k[b>>2]|0;l=e+20|0;g=k[l>>2]|0;do if((((Qb|0)==0?0:(Qb*146|0)+-1|0)|0)==(g+c|0)){y=0;na(429,e|0);Qb=y;y=0;if(Qb&1){ub=935;break}g=k[l>>2]|0;c=k[b>>2]|0;h=k[i>>2]|0;f=k[j>>2]|0;ub=879}else ub=879;while(0);do if((ub|0)==879){e=g+c|0;if((h|0)==(f|0))f=0;else f=(k[f+(((e>>>0)/146|0)<<2)>>2]|0)+(((e>>>0)%146|0)*28|0)|0;k[f>>2]=k[Ab>>2];k[f+4>>2]=k[Ab+4>>2];k[f+8>>2]=k[Ab+8>>2];e=f+12|0;y=0;oa(460,e|0,k[Ab+16>>2]|0);Qb=y;y=0;if(Qb&1){ub=935;break}k[e>>2]=15136;k[f+20>>2]=k[Ab+20>>2];q=Ab+24|0;e=k[q>>2]|0;k[f+24>>2]=e;if(e|0)Dba(e);k[l>>2]=(k[l>>2]|0)+1;if(!n)DY(m);e=k[gb>>2]|0;n=k[wb>>2]|0;o=(n|0)==0;do if(o){f=e;g=0;m=1}else{Dba(n);g=k[wb>>2]|0;f=k[gb>>2]|0;if(!g){g=0;m=1;break}Dba(g);m=0}while(0);mb=f;f=(k[mb+16>>2]|0)+(k[mb+20>>2]|0)|0;Qb=k[mb+4>>2]|0;h=Qb+(((f>>>0)/146|0)<<2)|0;if((k[mb+8>>2]|0)==(Qb|0))f=0;else f=(k[h>>2]|0)+(((f>>>0)%146|0)*28|0)|0;k[ob>>2]=h;k[ob+4>>2]=f;f=k[hb>>2]|0;j=k[d>>2]|0;l=(j|0)==0;if(!l)Dba(j);Qb=k[f+4>>2]|0;h=k[f+16>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[qb>>2]=b;k[qb+4>>2]=f;f=k[hb>>2]|0;c=k[d>>2]|0;i=(c|0)==0;if(!i)Dba(c);h=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;Qb=k[f+4>>2]|0;b=Qb+(((h>>>0)/146|0)<<2)|0;if((k[f+8>>2]|0)==(Qb|0))f=0;else f=(k[b>>2]|0)+(((h>>>0)%146|0)*28|0)|0;k[rb>>2]=b;k[rb+4>>2]=f;y=0;k[nb>>2]=k[ob>>2];k[nb+4>>2]=k[ob+4>>2];k[vb>>2]=k[qb>>2];k[vb+4>>2]=k[qb+4>>2];k[yb>>2]=k[rb>>2];k[yb+4>>2]=k[rb+4>>2];ya(12,tb|0,e|0,nb|0,vb|0,yb|0,0);Qb=y;y=0;if(Qb&1){e=pb()|0;if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(o)break;DY(n);break}if(!i)DY(c);if(!l)DY(j);if(!m)DY(g);if(!o)DY(n);y=0;na(449,zb|0);Qb=y;y=0;if(Qb&1){e=pb()|0;break}e=k[gb>>2]|0;g=k[wb>>2]|0;h=(g|0)==0;if(!h)Dba(g);Qb=k[e+4>>2]|0;f=k[e+16>>2]|0;i=Qb+(((f>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(Qb|0))e=0;else e=(k[i>>2]|0)+(((f>>>0)%146|0)*28|0)|0;if(!h)DY(g);f=k[gb>>2]|0;b=k[wb>>2]|0;c=(b|0)==0;if(!c)Dba(b);g=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;h=k[f+4>>2]|0;if((k[f+8>>2]|0)==(h|0))l=0;else l=(k[h+(((g>>>0)/146|0)<<2)>>2]|0)+(((g>>>0)%146|0)*28|0)|0;if(!c)DY(b);j=zb+20|0;p=zb+24|0;k:while(1){do{if((e|0)==(l|0)){ub=925;break k}f=e+20|0;g=k[f>>2]|0;h=e+24|0;b=k[h>>2]|0;c=(b|0)==0;if(!c)Dba(b);do if(!g)f=0;else{g=k[f>>2]|0;f=k[h>>2]|0;if(!f){f=(k[g+20>>2]|0)!=0;break}else{Dba(f);Qb=(k[g+20>>2]|0)!=0;DY(f);f=Qb;break}}while(0);if(!c)DY(b);do if(f){f=k[j>>2]|0;g=k[p>>2]|0;h=(g|0)==0;if(!h)Dba(g);y=0;oa(522,f|0,e|0);Qb=y;y=0;if(Qb&1){ub=960;break k}if(h)break;DY(g)}while(0);e=e+28|0}while((e-(k[i>>2]|0)|0)!=4088);e=i+4|0;i=e;e=k[e>>2]|0}l:do if((ub|0)==925){k[Db>>2]=k[zb>>2];k[Db+4>>2]=k[zb+4>>2];k[Db+8>>2]=k[zb+8>>2];o=Db+12|0;e=Db+16|0;if(!(k[e>>2]|0))ub=927;else{y=0;na(423,o|0);Qb=y;y=0;if(!(Qb&1))ub=927}do if((ub|0)==927){k[e>>2]=k[zb+16>>2];y=0;na(424,o|0);Qb=y;y=0;if(Qb&1)break;e=k[zb+20>>2]|0;f=k[p>>2]|0;if(f|0)Dba(f);k[gb>>2]=e;e=k[wb>>2]|0;k[wb>>2]=f;if(e|0)DY(e);y=0;oa(662,xb|0,Db|0);Qb=y;y=0;if(Qb&1)break;m=xb+20|0;e=k[m>>2]|0;n=xb+24|0;g=k[n>>2]|0;h=(g|0)==0;if(!h)Dba(g);Qb=k[e+4>>2]|0;f=k[e+16>>2]|0;i=Qb+(((f>>>0)/146|0)<<2)|0;if((k[e+8>>2]|0)==(Qb|0))e=0;else e=(k[i>>2]|0)+(((f>>>0)%146|0)*28|0)|0;if(!h)DY(g);f=k[m>>2]|0;b=k[n>>2]|0;c=(b|0)==0;if(!c)Dba(b);g=(k[f+16>>2]|0)+(k[f+20>>2]|0)|0;h=k[f+4>>2]|0;if((k[f+8>>2]|0)==(h|0))j=0;else j=(k[h+(((g>>>0)/146|0)<<2)>>2]|0)+(((g>>>0)%146|0)*28|0)|0;if(!c)DY(b);h=yb+20|0;c=yb+24|0;l=yb+12|0;b=yb+16|0;g=i;m:while(1){do{if((e|0)==(j|0)){ub=980;break m}y=0;Na(143,yb|0,e|0,-1);Qb=y;y=0;if(Qb&1){ub=993;break m}k[e>>2]=k[yb>>2];k[e+4>>2]=k[yb+4>>2];k[e+8>>2]=k[yb+8>>2];if((e|0)!=(yb|0)){f=e+16|0;if(k[f>>2]|0){y=0;na(423,e+12|0);Qb=y;y=0;if(Qb&1){ub=994;break m}}k[f>>2]=k[b>>2];k[b>>2]=0}Qb=k[h>>2]|0;vb=k[c>>2]|0;k[h>>2]=0;k[c>>2]=0;k[e+20>>2]=Qb;Qb=e+24|0;f=k[Qb>>2]|0;k[Qb>>2]=vb;if(f|0)DY(f);f=k[c>>2]|0;if(f|0)DY(f);DO(l);e=e+28|0}while((e-(k[g>>2]|0)|0)!=4088);e=g+4|0;g=e;e=k[e>>2]|0}do if((ub|0)==980){k[a>>2]=k[xb>>2];k[a+4>>2]=k[xb+4>>2];k[a+8>>2]=k[xb+8>>2];e=a+12|0;y=0;oa(460,e|0,k[xb+16>>2]|0);Qb=y;y=0;if(Qb&1){e=pb()|0;break}k[e>>2]=15136;k[a+20>>2]=k[m>>2];k[a+24>>2]=k[n>>2];k[m>>2]=0;k[n>>2]=0;DO(xb+12|0);e=k[p>>2]|0;if(e|0)DY(e);DO(zb+12|0);e=k[q>>2]|0;if(e|0)DY(e);DO(Ab+12|0);e=k[wb>>2]|0;if(e|0)DY(e);DO(o);e=k[Cb>>2]|0;if(e|0)DY(e);DO(Eb+12|0);e=k[jb>>2]|0;if(e|0)DY(e);DO(Fb+12|0);$v(Gb);$v(Hb);$v(Jb);e=k[kb>>2]|0;if(e|0)DY(e);DO(Ib+12|0);e=k[lb>>2]|0;if(e|0)DY(e);DO(Kb+12|0);ub=1039;break c}else if((ub|0)==993){e=pb()|0;ub=997}else if((ub|0)==994){e=pb()|0;f=k[c>>2]|0;if(f|0)DY(f);DO(l);ub=997}while(0);f=k[n>>2]|0;if(f|0)DY(f);DO(xb+12|0);break l}while(0);e=pb()|0}else if((ub|0)==960){e=pb()|0;if(h)break;DY(g)}while(0);f=k[p>>2]|0;if(f|0)DY(f);DO(zb+12|0)}while(0);do if((ub|0)==935){e=pb()|0;if(n)break;DY(m)}while(0);f=k[Ab+24>>2]|0;if(f|0)DY(f);DO(Ab+12|0);break e}while(0);f=k[x>>2]|0;if(f|0)DY(f);DO(ib+12|0)}while(0);f=k[z>>2]|0;if(f|0)DY(f);DO(mb+12|0)}break e}}if((ub|0)==451){f=k[_>>2]|0;if(f|0)DY(f);DO($);ub=454}else if((ub|0)==560){f=k[Y>>2]|0;if(f|0)DY(f);DO(Z);ub=563}if((ub|0)==454){f=k[ba>>2]|0;if(f|0)DY(f);DO(ca);ub=457}else if((ub|0)==563){f=k[aa>>2]|0;if(f|0)DY(f);DO(da)}if((ub|0)==457){f=k[ea>>2]|0;if(f|0)DY(f);DO(fa);ub=464}if((ub|0)==464){f=k[ga>>2]|0;if(f|0)DY(f);DO(ha);ub=467}if((ub|0)==467){f=k[ja>>2]|0;if(f|0)DY(f);DO(ka);ub=534}}while(0);do if((ub|0)==531){e=pb()|0;if(n)break;DY(m)}while(0);f=k[wb>>2]|0;if(f|0)DY(f);DO(Db+12|0)}while(0);do if((ub|0)==529){e=pb()|0;if(n)break;DY(m)}while(0);f=k[Cb>>2]|0;if(f|0)DY(f);DO(Eb+12|0)}f=k[Fb+24>>2]|0;if(f|0)DY(f);DO(Fb+12|0)}while(0);if((ub|0)==526)e=pb()|0;$v(Gb)}$v(Hb)}$v(Jb);f=k[Ib+24>>2]|0;if(f|0)DY(f);DO(Ib+12|0)}f=k[Kb+24>>2]|0;if(f|0)DY(f);DO(Kb+12|0);break c}else if((ub|0)==121){e=pb()|0;break c}else if((ub|0)==122)e=pb()|0;else if((ub|0)==123){e=pb()|0;if(h)break;DY(g)}while(0);f=k[l>>2]|0;if(f|0)DY(f);DO(m)}while(0);if((ub|0)==87){e=pb()|0;d=Lb+24|0}else if((ub|0)==1039){d=k[d>>2]|0;if(d|0)DY(d);DO(Lb+12|0);d=k[Mb+24>>2]|0;if(d|0)DY(d);DO(Mb+12|0);ub=1050;break}d=k[d>>2]|0;if(d|0)DY(d);DO(Lb+12|0)}d=k[Mb+24>>2]|0;if(d|0)DY(d);DO(Mb+12|0)}while(0);if((ub|0)==80)e=pb()|0;else if((ub|0)==1050){d=k[Nb+24>>2]|0;if(d|0)DY(d);DO(Nb+12|0);d=k[Ob+24>>2]|0;if(d|0)DY(d);DO(Ob+12|0);d=k[Pb+24>>2]|0;if(d|0)DY(d);DO(Pb+12|0);r=Bb;return}d=k[Nb+24>>2]|0;if(d|0)DY(d);DO(Nb+12|0);break a}while(0);if((ub|0)==43)e=pb()|0;d=k[Jb+24>>2]|0;if(d|0)DY(d);DO(Jb+12|0)}}}if((ub|0)==41)e=pb()|0;d=k[vb+24>>2]|0;if(d|0)DY(d);DO(vb+12|0)}d=k[yb+24>>2]|0;if(d|0)DY(d);DO(yb+12|0);ub=79}}while(0);if((ub|0)==78){e=pb()|0;ub=79}d=k[Ob+24>>2]|0;if(d|0)DY(d);DO(Ob+12|0)}}if((ub|0)==77)e=pb()|0;d=k[Pb+24>>2]|0;if(d|0)DY(d);DO(Pb+12|0);Qb=e;sb(Qb|0)}

// EMSCRIPTEN_END_FUNCS
var hc=[jaa,rC,PC,ij,ak,Wi,Nj,xg,Ef,Jm,dq,bq,cq,Gg,Xm,Ik,wo,ap,up,ao,_n,Zn,ch,Un,Mi,Uq,Ah,bg,$l,_l,me,_d,Yd,Vf,lg,dm,kn,Te,Xf,re,uk,vk,Mk,Nx,ry,oy,sy,Oh,Ph,de,rf,Gd,Sd,Ie,pd,Dd,Kd,Xg,bh,Vj,cg,Dj,Ui,rk,Af,Vq,Uo,Dq,yg,dj,cj,fj,hj,Wl,Vd,pq,jj,jh,Kh,oe,ld,ah,$g,yn,Hk,Fh,ju,fe,Jh,wh,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa,jaa];var ic=[dda,ci,$h,dda];var jc=[zra,Bqa,Mz,Vqa,hra,aca,pba,LV];var kc=[aka,FD,Cu,mm,SG,xh,Lg,jK,Or,th,Pe,su,Il,Eg,Nr,_p,Gr,Nl,id,aka,aka,aka,aka,aka,aka,aka,aka,aka,aka,aka,aka,aka];var lc=[ura,wD,$C,Upa,Qqa,Apa,DO,dia,AE,bE,RL,yK,NK,eK,Jha,T5,$Z,fga,hja,Rha,Wda,dV,cU,z3,CY,uja,kQ,rP,cha,j2,WX,ZU,$T,Mia,nX,NV,eA,Ema,iN,ZM,wha,Hda,hia,kea,iia,lea,xha,Ida,nW,EU,xQ,HP,mG,AF,N6,l$,Qha,Vda,Uga,pda,NR,$Q,aha,MR,_Q,Nha,Wpa,SL,zK,OK,fK,jqa,Sna,ema,lma,jfa,dE,Fma,z9,c6,Jea,Tba,PX,fW,BL,tK,IK,aK,cia,VW,rV,N8,c4,I9,c7,S9,S7,Xpa,rL,rK,qF,GK,WJ,z8,m3,Oy,S4,qI,jH,AH,LG,Uda,s8,J2,P0,AX,Rea,s9,F5,gfa,mea,Fba,M8,b4,hda,Zaa,L9,m7,D1,MX,iga,pqa,uX,TV,wL,sK,HK,ZJ,Kha,Kea,Vba,dga,Jfa,Hfa,SS,GR,sR,FR,KR,aS,wN,dN,lP,YO,jP,XO,cx,sF,WE,oz,cF,HE,ufa,hfa,bia,sfa,gX,KV,zm,kC,RB,rz,UB,yja,Ifa,WQ,AQ,HW,TU,UE,zE,cG,baa,Gf,vma,Xfa,Mca,H6,tX,LK,BK,uJ,lI,tR,QQ,KK,AK,tJ,kI,lK,cK,VJ,CJ,MH,yH,vfa,lca,fda,W9,Q5,dX,Vfa,Kca,F6,rX,Nla,Ola,Pia,gja,Oia,$qa,Loa,_oa,npa,nJ,hI,Gja,Gfa,hga,tfa,GJ,zI,xN,eN,EO,jO,cN,MM,Vz,daa,ega,Sea,rea,via,Nga,Mha,dha,Sfa,bha,uia,jga,Mga,Lga,Nia,bja,vja,Hja,Sja,tia,fja,eja,eha,qaa,p9,ifa,cja,fP,TO,eP,RO,CN,nN,wia,vt,Hma,dja,gga,ipa,Vpa,DK,$J,Lha,Qia,tE,Gma,fM,JL,jL,JK,xE,ZD,cE,uma,Iqa,ana,yQ,OO,Aoa,Epa,oqa,Qpa,Rpa,gQ,YP,XP,IP,SO,CU,JP,cQ,jQ,DU,TP,Kpa,wM,_la,Xaa,N9,Waa,M9,Wfa,Lca,G6,sX,Ufa,Jca,E6,qX,fma,jja,sqa,roa,yca,zca,Nca,Oca,Mqa,upa,caa,Lqa,tpa,Qka,Tga,Pka,Sga,Oka,Rga,Nka,Qga,zka,Aga,yka,zga,gba,Q9,fba,P9,hqa,Ioa,gqa,Hoa,fqa,Goa,eqa,Foa,pka,oga,oka,nga,nka,mga,mka,lga,Hqa,ppa,Gqa,opa,Cqa,Ona,Cna,iK,Gda,DJ,qka,n6,$la,k9,Mka,j9,Lka,mpa,Ipa,Mna,zna,Ana,Mma,Aka,Bna,Nna,Fpa,Tna,fpa,epa,ona,ara,Zpa,Ypa,gda,ama,Pca,ola,Ula,Tla,_ka,dra,dqa,Tqa,Opa,Vma,wna,fna,pN,Cda,QO,_V,Sj,wK,A9,oN,qi,OU,vU,Nma,oP,iea,$V,WD,G9,mN,sQ,Moa,XQ,sP,pt,xma,bqa,Ll,mB,uM,jD,Di,OQ,ni,vi,Rx,IO,Bla,Xz,IL,NI,zz,k0,Sz,qB,kD,mi,jma,kma,RG,kaa,bO,NX,kX,cX,lX,jX,bX,X8,Pqa,Dqa,CO,Wf,HS,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura,ura];var mc=[Sqa,QK,PK,RK,J8,VT,Oha,VK,UK,R9,MT,e9,Dga,Uea,BB,vC,Sda,G8,U8,b9,J7,i8,l7,L7,V7,T8,K7,F8,c9,d9,H8,E9,y9,q9,a9,S8,Y7,O7,N7,x8,g9,zQ,Jja,hba,X9,yB,tC,Ada,r9,aU,K9,y7,Sba,o5,GB,H5,o8,FT,Z7,EB,Oi,gV,CB,wC,gea,a7,l3,j8,V8,XT,y8,TT,Z6,DT,Kga,Y9,y_,d6,pT,H$,_6,w7,vba,nB,lC,X1,P6,l5,m5,j3,W1,b7,n7,f9,ZT,X7,M7,Yl,BU,zB,uC,Tda,f6,h9,Dda,Ho,h6,qT,k3,I5,D6,x7,N4,g6,G5,n5,bca,oba,uB,oC,uca,J5,DN,$6,ET,xC,Fca,Cba,tB,nC,jca,zf,Cga,eg,Fg,Tw,Jka,hf,KG,jla,tla,YH,eI,tja,oE,qja,Rja,Zja,ila,Pja,Wka,ula,vla,Yka,Yla,Mla,Gla,sla,gla,Xka,vka,Yja,Xja,Fla,Lla,Zha,oia,rja,Xga,$ia,Fja,Hka,hla,wla,Zka,nja,oja,Hia,Cha,Wha,Xha,Vga,pga,Oja,qga,sja,Ela,Kia,uka,Wja,Ika,wka,Iia,Wga,pia,aja,Qja,Dha,Jia,nia,Yha,qia,pja,tka,Iz,xe,dz,bla,Wh,uh,Sq,Rf,Qm,Ok,Ax,mK,Fz,uz,xz,yz,cn,Xn,mn,ej,bw,wz,LE,sz,Ap,So,gf,Zs,Jf,lq,oF,TB,hU,kU,IU,Fy,Md,bF,Zr,ky,Wn,kha,Mh,tn,fp,SH,rn,Zm,To,pG,iF,zv,st,so,xq,MF,AM,FH,QD,RD,Tm,Cq,$n,YE,Kf,Ai,Ow,yv,mu,Ko,Cx,Kl,PG,ok,Ce,CD,eU,fla,Dka,Vka,Eia,Bja,_ia,hka,Xia,Eja,Nja,Uka,Cja,Cka,cla,dla,Fka,Kla,Dla,rla,ala,Ska,Eka,gka,Mja,Lja,qla,Cla,Bha,Tha,Yia,Gga,Fia,mja,rka,Tka,ela,Gka,Uia,Via,jia,yha,zha,Ega,$fa,Aja,aga,Zia,pla,mia,fka,Kja,ska,ika,kia,Fga,Uha,Gia,Dja,lha,lia,Sha,Aha,Vha,Wia,Jga,bL,Pf,pha,Fha,zH,DH,$ea,gE,Yea,Afa,Pfa,oha,yfa,Yga,Gha,Hha,_ga,Lia,sia,aia,Eha,mha,Zga,sga,Ofa,Nfa,$ha,ria,_da,oea,Zea,sda,Lea,lfa,Hga,nha,Iha,$ga,Vea,Wea,vea,Jda,Xda,Yda,qda,Yca,xfa,Zca,_ea,_ha,yea,rga,Mfa,Iga,tga,wea,rda,pea,Mea,zfa,Kda,xea,nea,Zda,qea,Xea,Bga,hO,iO,XJ,YJ,pR,lR,fR,pS,j$,k$,oR,kR,eR,oS,h$,i$,nR,jR,dR,nS,f$,g$,mR,iR,cR,mS,d$,e$,Xna,Wna,p6,VS,MS,o6,zR,vR,lx,_B,w8,gt,nq,Rz,xs,cL,Er,EE,ys,LT,vA,hC,iB,Ft,eB,kx,lA,Jq,vs,br,Tz,_x,dt,Bs,lB,Lt,py,Lx,ZQ,kz,Jz,aq,zs,Gz,aB,sv,os,LA,cB,SA,xB,AB,dB,ws,VQ,ho,zy,XC,Hy,Dt,rs,Au,ir,qs,Ye,Tr,Lm,Jg,At,SQ,ad,Ct,Jp,Ht,aw,Bu,wk,js,Mp,Lp,uA,ny,WT,Wd,qM,lja,wg,YM,Ix,gs,NN,RE,AN,sA,xi,wJ,Ir,Ii,AA,Xq,dn,en,pz,oA,qz,pA,PT,Up,ox,Kt,In,Ms,zC,DF,kf,Zq,pg,Si,Np,vK,rg,em,yw,li,Jt,Wp,kA,gO,aO,Hd,IE,Le,Df,fg,gg,Bf,Xd,Qz,bf,gd,Zd,Td,qf,af,Gm,be,Qd,jk,Bd,Vw,jf,ng,ae,UA,Ve,no,oo,mo,Bg,$e,Ig,Pl,ed,gj,Ze,ph,Rj,Xe,Qe,kh,Ed,cm,_m,Ug,eE,pe,rh,Kq,lp,Zi,Pw,Nf,oD,Mf,Lf,It,vh,yp,Xi,xm,Tj,wp,Gk,$d,te,yt,jy,$z,vn,Sn,nA,ss,iz,NG,JG,Op,Ns,Fk,Ep,xn,tA,Io,Vp,hA,Aq,Xj,_z,jA,mA,gp,hz,lf,vz,Xy,En,Xl,Hv,Sg,po,Rl,xt,rO,Mu,fu,Dz,Dn,vq,am,zt,$q,rq,qA,uO,PA,Xs,Qr,Vy,uea,xba,iA,dK,tF,rF,td,ZA,Iu,bu,uK,Qh,ip,FA,lz,qC,yN,MN,fE,Oq,MG,mY,lY,PY,OY,qW,xO,pW,gW,hW,XX,kY,JT,IT,HT,GT,ZW,YW,XW,WW,wT,vT,uT,tT,BT,AT,zT,yT,ZX,YX,WL,FJ,hH,mP,sV,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa,Sqa];var nc=[vca,zn,_F,ZF,TF,OF,UF,SF,HF,JF,IF,Vg,An,YF,XF,QF,NF,RF,PF,EF,GF,FF,Kg,yu,xu,wu,vu,CF,mC,dC,cC,gC,BF,jC,bC,aC,fC,Bj,xj,ms,vp,ee,ps,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca,vca];var oc=[ira,Pk,pQ,jW,Aqa,rpa,$pa,dka,kja,Sia,Eqa,wqa,QB,wW,Dpa,qqa,hG,oH,Ala,oQ,bW,bA,hR,LC,lW,zqa,uQ,sW,$P,zV,nt,_pa,iQ,RV,KA,PP,kV,aQ,CV,fQ,JV,rQ,kW,sD,AV,QC,aW,VC,tW,WC,uW,sC,dW,Ppa,BQ,PW,vM,wQ,GW,vQ,BW,tQ,rW,RC,iW,NC,QV,bQ,IV,eQ,HV,jG,cW,Lq,Wz,AW,wfa,Mx,Zla,mH,Yp,pC,FW,Lfa,uy,FP,MU,gR,VA,TA,VD,LB,QU,Xr,mQ,ZV,cA,SV,qH,jp,QP,lV,yP,AU,az,YC,YV,Eq,gA,vW,DW,OE,eW,ena,wma,_A,kB,hV,yF,vF,zA,Uy,SB,VU,NQ,JB,iV,_P,yV,XG,uP,pU,NP,$U,Lpa,EP,JU,JC,KU,xP,yU,HC,oU,RP,mV,SP,nV,Spa,Nqa,lG,zW,Yqa,iqa,Fqa,bB,PV,FC,GV,pH,VN,fD,WU,my,gu,Yoa,$o,Joa,Zna,Noa,koa,zN,YU,Zoa,Koa,jha,vpa,Xoa,HO,zU,sma,$na,JO,RU,SK,LO,aV,_ma,PO,BV,tna,Ws,AP,GU,yma,uH,wE,XU,OX,nL,sH,uE,PU,bU,SD,PD,OC,CP,LU,WG,HA,BA,aE,CC,eH,SE,GP,SU,Xw,Qo,Mo,kN,ID,OP,jV,IG,IA,GA,$B,pD,cH,J0,x_,_X,Yna,PB,Rma,rma,DI,qP,dpa,qpa,Jpa,un,vm,ioa,rna,sna,joa,yoa,RT,nma,Qma,qma,mma,pP,Qna,Toa,KD,LD,hha,Aia,iha,Bia,Zfa,ko,dk,UC,LL,KL,PL,QL,Yfa,jo,ck,TC,QH,PH,OH,RH,Ina,Hna,hoa,Gna,Fna,goa,Dma,Cma,foa,Bma,Ama,eoa,Ena,Tma,lna,Px,Yma,TI,hma,gma,bma,Vla,Pna,Zma,qna,Dna,Sma,kna,doa,soa,vqa,uqa,coa,yqa,nqa,oh,IM,Vaa,KE,Id,Zo,Bba,wba,LP,FV,Pg,eO,Vna,yna,poa,pna,eF,qoa,Z9,Baa,zoa,iba,qba,xU,_ja,Tia,laa,q1,Jaa,HJ,mW,eka,Kn,OT,aP,Ry,BD,sB,NO,eG,gG,oM,iM,kM,nM,jM,mM,H3,vH,E7,wB,zF,ZB,HG,rN,_T,mX,ds,Ql,oB,dM,UJ,sp,vV,cV,boa,qV,Hu,CW,Ty,spa,Doa,noa,O9,qG,cna,Poa,Ooa,Roa,voa,$ka,jS,yy,op,Zc,RN,KM,Zg,Nm,AD,Gu,A8,dba,pma,Lma,Qla,sT,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira,ira];var pc=[mra,EH,KT,mra];var qc=[Oga,VH,vJ,qp,it,ht,pu,Rp,ft,et,eu,G$,oT,Py,Dy,wP,JN,f0,XV,F$,kT,LF,jB,Am,Bm,Fm,Im,Hm,_c,gB,ue,vg,ol,pn,Zx,Mw,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga,Oga];var rc=[Kna,cd,Wx,Sr,Mm,Pd,Ku,ou,wt,nv,Ica,NH,VE,Ox,Hr,mL,Gy,zM,zP,Hca,fI,QE,OM,OW,ZL,_L,MP,KP,KQ,JQ,XN,YN,Aca,yS,lO,mO,nca,ND,h8,Vx,Se,qE,JE,uj,Yc,Tq,US,co,Yv,sn,jF,Hz,ts,jx,Xt,Jv,Ev,Yt,Nt,Rt,us,Ou,Vt,fx,Oo,$t,ov,Zt,rt,Qs,Fq,Av,Bw,ww,Fw,rw,tw,sw,Ew,Cw,Ss,Mr,_t,mv,lv,Wt,Vu,Cv,Ut,qo,Tv,ex,vv,vx,rr,av,ur,is,Lu,iw,Vv,fw,zw,$s,Hs,sr,wv,uw,vw,jw,pv,kv,iv,fv,cv,Wv,Xv,dw,Pv,Zu,_u,Tu,cw,Kv,$u,as,bv,Yu,_v,Lv,Sv,qv,hv,nw,Ov,Aw,Dw,_w,uv,es,Nq,Ps,Ot,ui,ev,Su,Ru,tt,qw,lw,bs,ce,aj,qd,Wg,ge,se,ks,MC,lka,PN,rH,Uz,tz,XD,cz,yga,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna,Kna];var sc=[aqa,VO];var tc=[ZP,nj,mj,ZP];var uc=[H9,mp];var vc=[Fea,Wm];var wc=[sea,io,ux,dP,cP,fr,ul,dO,FK,wx,Pu,xx,ke,_f,sq,yr,Br,vd,Jl,yq,Xp,dr,vr,Rd,tr,jd,ne,uo,sea,sea,sea,sea];var xc=[rqa,zpa,wpa,xpa,ypa,IW,rqa,rqa];var yc=[fra,QN,Boa,hpa,apa,bpa,cpa,fra];var zc=[Uoa,zD];var Ac=[jka,tk];var Bc=[lqa,Jn];var Cc=[nba,Dp,yo,qg,Cf,Fp,Vc,Fi,Em,lk,qh,hk,mh,nba,nba,nba];var Dc=[gU,nd,kd,gU];var Ec=[HX,Rg,Mg,tg,ug,HX,HX,HX];var Fc=[Tpa,qK,d3,B2,v1,c3,O3,_4,Um,U9,hh,D9,q7,M6,F7,Q7,p8,loa,F4,Z3,G2,E4,d5,Y5,QM,TM,X2,v2,t1,W2,K3,Y4,S3,f3,U1,R3,u4,y5,y4,U3,D2,x4,a5,V5,w0,Z$,Y_,v0,a1,k2,K1,m1,g0,J1,q2,D3,x$,S_,ZZ,w$,V$,_0,B0,b0,__,A0,c1,m2,h1,I0,E$,g1,G1,Q2,Q3,e3,T1,P3,t4,x5,y0,_$,Z_,x0,b1,l2,V2,u2,s1,U2,J3,X4,A4,V3,E2,z4,b5,W5,C4,W3,F2,B4,c5,X5,$2,y2,u1,_2,L3,Z4,b6,E5,M4,a6,v6,g7,D5,k5,a4,C5,$5,O6,h5,K4,h3,g5,A5,t6,w4,T3,C2,v4,$4,U5,N3,b3,S1,M3,s4,w5,l1,L0,J$,k1,I1,S2,H0,e0,b$,G0,f1,p2,F0,d0,a$,E0,e1,o2,x2,Q1,N0,w2,Z2,q4,J4,$3,I2,I4,f5,_5,Ip,NM,PM,j5,L4,i3,i5,B5,u6,Fn,cZ,JY,iY,bZ,pZ,f_,Gj,tZ,eZ,uY,sZ,NZ,A_,pm,P1,r1,j0,O1,t2,I3,Eo,o1,M0,K$,n1,L1,T2,SM,WM,U_,t_,IZ,T_,y$,s0,mk,eY,UX,zX,dY,rY,VY,N1,p1,h0,M1,r2,E3,fA,Y3,g3,V1,X3,D4,z5,oK,A2,R1,O0,z2,a3,r4,TQ,N_,q_,FZ,M_,t$,p0,gr,hy,f8,R7,r7,e8,q8,I8,RZ,yZ,KY,QZ,g_,m$,gq,P_,r_,GZ,O_,u$,q0,hq,Y$,C$,v_,X$,u0,E1,xM,BM,LX,wX,fX,KX,RX,oY,E_,k_,CZ,D_,q$,l0,YY,GY,fY,XY,mZ,c_,HD,_Y,HY,gY,ZY,nZ,d_,qN,aY,SX,xX,$X,pY,TY,Rba,JX,vX,eX,IX,QX,nY,Eba,W_,u_,JZ,V_,z$,t0,B$,X_,_Z,A$,W$,$0,H4,_3,H2,G4,e5,Z5,_fa,j1,K0,I$,i1,H1,R2,D0,c0,$_,C0,d1,n2,RM,UM,TZ,zZ,LY,SZ,h_,n$,XA,YA,P4,d4,K2,O4,p5,e6,BR,nQ,Vh,Uba,pw,XZ,BZ,NY,WZ,j_,p$,cY,TX,yX,bY,qY,UY,vZ,fZ,vY,uZ,OZ,B_,lh,Zy,Tl,xA,Fx,Ny,p_,YZ,lZ,o_,L_,U$,fU,a0,D$,w_,$$,z0,F1,As,FY,sY,VX,EY,WY,LZ,Yy,Ni,Bx,nk,VZ,AZ,MY,UZ,i_,o$,ar,My,Bq,Gx,Sm,wF,rZ,dZ,tY,qZ,MZ,z_,Ly,pj,cr,Ex,nn,qy,aZ,IY,hY,$Y,oZ,e_,NA,OA,Bp,Ij,GM,LM,lD,xZ,gZ,wY,wZ,PZ,C_,QA,RA,bm,gm,ty,R_,s_,HZ,Q_,v$,r0,bM,qQ,fH,iD,zj,EM,HM,Cia,gk,jE,kp,vG,zl,Qea,lH,efa,rfa,Ffa,kda,Oda,zda,Eea,yda,Rda,Ae,qfa,Pda,mf,dh,ff,moa,zh,sd,hd,zi,JH,ffa,Dea,fea,eea,jg,Ki,Uc,je,Xc,Kk,lda,Fda,gh,Jna,Rna,vna,pf,Vs,$A,rca,om,zq,wn,pr,Pj,If,Qi,_na,Tn,Cea,dea,fh,zd,Ng,fca,Uca,mda,Qda,sca,cda,Li,Rw,bj,kj,S6,Pi,Nd,t7,G7,Sl,ve,og,oi,h4,vf,_e,Bi,Ri,r8,K8,L8,xo,Kj,yd,dd,Vi,Yz,nh,Xh,zg,fd,U7,g8,z1,Z1,i4,O$,n3,Q4,Q6,s7,H7,h7,e4,f4,L2,Q0,w1,x1,M$,F_,q5,G_,j4,T7,O2,w6,K5,R6,x6,M2,N$,_1,o3,r5,R0,N2,Y1,y1,$1,g4,O5,Y6,j6,C6,U6,A1,v3,i2,u5,f2,y3,n4,B6,w3,i6,V6,W6,l6,I7,v7,k7,T6,z6,k6,t5,m4,l4,j7,u7,T$,n0,g2,n_,B1,P2,M5,A6,X6,m6,d2,e2,W0,r$,R$,S$,l_,DZ,u3,EZ,h2,i7,Z0,s5,k4,N5,v5,X0,m_,o0,C1,x3,s$,Y0,m0,Vm,le,tj,Pea,Mn,Cd,pfa,IH,tl,si,Ih,od,_i,he,cea,ofa,Mda,afa,Cfa,Dfa,cfa,uga,cga,Rfa,Bfa,mfa,bfa,Aea,bea,aea,Qfa,bga,Eca,Rca,wda,eca,ida,Eda,Nea,nfa,Efa,dfa,tda,uda,_ca,pca,Bca,Cca,cca,Kba,Lda,Lba,xda,toa,bda,zea,$da,Oea,Bea,$ca,dca,Sca,jda,Nda,qca,ada,Qca,Dca,Tca,vda,cJ,oaa,fJ,mJ,pJ,AI,PI,KI,_I,HI,SI,WI,lJ,QI,eJ,qJ,rJ,hJ,EJ,BJ,zJ,oJ,jJ,gJ,ZI,LI,VI,yJ,AJ,pI,sI,II,dI,BI,MI,aJ,kJ,sJ,iJ,EI,FI,vI,iI,mI,nI,bI,ZH,OI,_H,JI,xJ,yI,YI,UI,bJ,$I,wI,cI,tI,CI,RI,jI,xI,rI,oI,uI,GI,zba,_ba,Hba,Oba,Xba,Laa,$aa,Saa,uba,Paa,cba,mba,Nba,aba,Gba,Yba,Zba,Jba,tca,ica,gca,Wba,Mba,Iba,tba,lba,kba,ME,fq,uaa,yaa,Qaa,haa,KZ,L$,yba,OG,a_,Xca,Naa,b_,iP,maa,raa,saa,faa,$9,_aa,aaa,Raa,dma,Eaa,sba,jba,GH,XE,Caa,gaa,zaa,Maa,bba,naa,Daa,xaa,taa,Aaa,Oaa,Q$,t3,T0,c2,q3,hX,yY,FX,J_,CX,BY,kZ,b2,zY,S0,r3,s3,V0,y6,L5,R4,p3,a2,U0,I_,jZ,iZ,tm,una,by,SW,DX,WV,cma,oma,P$,$ma,dna,Uma,BX,ima,Xla,xW,JW,KW,UV,wV,xY,xV,EX,nna,aX,H_,hZ,TE,K_,_W,VV,TW,iX,AY,yW,$W,RW,LW,UW,cy,gia,zia,fia,yia,rx,sx,Cy,Ey,dU,UT,mna,tV,uV,Wla,EN,Cs,mr,um,we,tU,qu,Hn,RY,ye,Rka,Bl,NU,Gn,IB,YB,FO,Go,Ml,tq,kk,kG,pE,Ti,AL,bK,SY,yD,UD,uu,Dl,yj,Km,sk,eh,tu,bx,Ue,fk,Zz,sU,Bn,Yr,vD,fF,bP,Rr,Qg,ie,Ak,dg,Do,ZC,Hw,Ao,ri,Jk,Be,Yf,Gw,HN,Xo,Eoa,Xma,rU,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa,Tpa];var Gc=[Gaa,ei];var Hc=[xna,vo,_G,$G,ZG,xna,xna,xna];var Ic=[Mpa,Je];var Jc=[wra,oX,GX,LN,qra,pra,vra,kfa,NW,kO,HR,wra,wra,wra,wra,wra];var Kc=[kla,AS,vN,IN,BN,NS,hM,ig,Dx,WA,Wr,Yi,$w,ax,bz,CK,xD,mD,nD,_C,OD,MA,cD,Ck,Jla,tx,kla,kla,kla,kla,kla,kla];var Lc=[gpa,Ro,RS,NT,eT,PS,ZS,bT,sS,ES,kS,uS,zS,YS,tS,OS,cT,dT,QS,rT,lT,iT,aT,XS,CS,xS,wS,JS,gT,jT,TR,VR,GS,DS,hS,ER,FS,_S,KS,eS,QT,YR,fS,qS,yR,dS,QR,RR,CR,xR,iS,lS,fT,BS,vS,ZR,hT,$R,DR,WR,bS,rS,JR,_R,UR,SR,XR,gS,u8,cO,qO,hP,sO,Re,aI,Pga,mz,tf,nf,Tc,hr,Qj,Mq,qn,Nn,$m,oq,oO,Os,rD,KH,rm,mx,gz,Jx,Dg,o9,hca,Al,Ei,Ux,Hg,ro,Tg,ih,wr,Ge,md,lu,_r,mt,ow,Ee,gP,PQ,bd,gI,of,Ds,uf,ef,ag,Cr,fz,JA,$r,eba,xf,LR,im,ik,No,gF,Sy,zo,Sw,Lo,xd,yf,Ln,Hh,UU,Od,Cg,qe,Ys,gn,QG,er,xF,Oe,Po,Wc,Aba,Taa,yE,pk,nK,kF,iC,WB,VB,ey,Lz,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa,gpa];var Mc=[kqa,ZO];var Nc=[P7,Tf,Sf,QJ,TJ,Uj,_j,wR,AR,OJ,PJ,P7,P7,P7,P7,P7];var Oc=[rha,Hl,Gl,Fl,El,rha,rha,rha];var Pc=[Jma,WO,AC,EQ,DQ,zO,yO,$O,lM,ED,_J,Sx,Uaa,ep,ON,Rm,Ke,Ks,sf,$c,Hf,rd,Gi,km,Js,vy,xy,Ad,ti,wd,Fv,aH,Fu,Gv,dv,Qu,Is,_g,pi,Ji,Uw,dp,ze,hs,cp,Zf,Sc,yk,ji,$i,Wq,Lk,s2,Jma,Jma,Jma,Jma,Jma,Jma,Jma,Jma,Jma,Jma,Jma];return{_memset:kK,_bitshift64Lshr:EV,_bitshift64Shl:_U,_pthread_cond_broadcast:Kqa,_fflush:pF,___cxa_is_pointer_type:$ba,_llvm_cttz_i32:wO,_sbrk:CM,_i64Add:P5,_memcpy:wH,___muldi3:rR,___uremdi3:CQ,_i64Subtract:mU,___udivmoddi4:vl,_sass_compile_emscripten:Dr,_pthread_self:yra,_pthread_mutex_unlock:Oqa,___udivdi3:oda,___errno_location:W8,___muldsi3:GN,___cxa_can_catch:AO,_free:Wf,_round:Oma,_memmove:fO,_malloc:ud,_pthread_mutex_lock:Uqa,__GLOBAL__I_000101:fha,__GLOBAL__sub_I_node_cpp:kl,__GLOBAL__sub_I_context_cpp:el,__GLOBAL__sub_I_functions_cpp:Ag,__GLOBAL__sub_I_color_maps_cpp:Rc,__GLOBAL__sub_I_environment_cpp:Xk,__GLOBAL__sub_I_ast_fwd_decl_cpp:Uk,__GLOBAL__sub_I_bind_cpp:ll,__GLOBAL__sub_I_file_cpp:_k,__GLOBAL__sub_I_util_cpp:sl,__GLOBAL__sub_I_units_cpp:Ky,__GLOBAL__sub_I_values_cpp:rl,__GLOBAL__sub_I_parser_cpp:fl,__GLOBAL__sub_I_eval_cpp:$k,__GLOBAL__sub_I_expand_cpp:il,__GLOBAL__sub_I_listize_cpp:cl,__GLOBAL__sub_I_cssize_cpp:jl,__GLOBAL__sub_I_extend_cpp:hl,__GLOBAL__sub_I_output_cpp:gl,__GLOBAL__sub_I_inspect_cpp:dl,__GLOBAL__sub_I_emitter_cpp:On,__GLOBAL__sub_I_check_nesting_cpp:Tk,__GLOBAL__sub_I_remove_placeholders_cpp:Rk,__GLOBAL__sub_I_sass_cpp:ql,__GLOBAL__sub_I_sass_util_cpp:al,__GLOBAL__sub_I_sass_values_cpp:Wk,__GLOBAL__sub_I_sass_context_cpp:pl,__GLOBAL__sub_I_sass_functions_cpp:Qk,__GLOBAL__sub_I_sass2scss_cpp:mT,__GLOBAL__sub_I_to_c_cpp:nl,__GLOBAL__sub_I_to_value_cpp:bl,__GLOBAL__sub_I_source_map_cpp:Zk,__GLOBAL__sub_I_subset_map_cpp:Yk,__GLOBAL__sub_I_error_handling_cpp:Sk,__GLOBAL__sub_I_ast_cpp:Lj,__GLOBAL__sub_I_iostream_cpp:nra,runPostSets:lU,_emscripten_replace_memory:gc,stackAlloc:Pba,stackSave:sra,stackRestore:bra,establishStackSpace:zma,setThrew:$ja,setTempRet0:era,getTempRet0:rra,emterpret:Qc,setAsyncState:Rqa,emtStackSave:lra,emtStackRestore:Jqa,dynCall_iiiiiiii:OR,dynCall_iiiiiid:nU,dynCall_v:xqa,dynCall_viiiii:jY,dynCall_vi:bna,dynCall_vii:gha,dynCall_iiiiiii:YT,dynCall_ii:Pla,dynCall_id:Ima,dynCall_iiiiii:MW,dynCall_iiii:iaa,dynCall_ddi:qha,dynCall_viiiiiiiiiiiiiii:MK,dynCall_viiiiiiii:YQ,dynCall_iddddii:oW,dynCall_viiiiii:FU,dynCall_ddd:wja,dynCall_di:tma,dynCall_iddd:Gca,dynCall_viidii:c$,dynCall_iid:vga,dynCall_viiiiiii:LS,dynCall_iiiiiiiiiiii:TN,dynCall_viiiiiiiiii:KO,dynCall_iii:hea,dynCall_iiiiiddi:$S,dynCall_diii:Faa,dynCall_dii:Kfa,dynCall_i:jpa,dynCall_iiiii:T4,dynCall_viii:rba,dynCall_idi:wga,dynCall_iiiiiiiii:FQ,dynCall_iiiiid:pX,dynCall_viiii:t8}})


// EMSCRIPTEN_END_ASM
(Module.asmGlobalArg,Module.asmLibraryArg,buffer);var _emscripten_replace_memory=Module["_emscripten_replace_memory"]=asm["_emscripten_replace_memory"];var __GLOBAL__sub_I_error_handling_cpp=Module["__GLOBAL__sub_I_error_handling_cpp"]=asm["__GLOBAL__sub_I_error_handling_cpp"];var __GLOBAL__sub_I_sass2scss_cpp=Module["__GLOBAL__sub_I_sass2scss_cpp"]=asm["__GLOBAL__sub_I_sass2scss_cpp"];var __GLOBAL__sub_I_color_maps_cpp=Module["__GLOBAL__sub_I_color_maps_cpp"]=asm["__GLOBAL__sub_I_color_maps_cpp"];var __GLOBAL__sub_I_remove_placeholders_cpp=Module["__GLOBAL__sub_I_remove_placeholders_cpp"]=asm["__GLOBAL__sub_I_remove_placeholders_cpp"];var _llvm_cttz_i32=Module["_llvm_cttz_i32"]=asm["_llvm_cttz_i32"];var __GLOBAL__sub_I_eval_cpp=Module["__GLOBAL__sub_I_eval_cpp"]=asm["__GLOBAL__sub_I_eval_cpp"];var __GLOBAL__sub_I_ast_fwd_decl_cpp=Module["__GLOBAL__sub_I_ast_fwd_decl_cpp"]=asm["__GLOBAL__sub_I_ast_fwd_decl_cpp"];var __GLOBAL__sub_I_to_value_cpp=Module["__GLOBAL__sub_I_to_value_cpp"]=asm["__GLOBAL__sub_I_to_value_cpp"];var _bitshift64Lshr=Module["_bitshift64Lshr"]=asm["_bitshift64Lshr"];var __GLOBAL__sub_I_node_cpp=Module["__GLOBAL__sub_I_node_cpp"]=asm["__GLOBAL__sub_I_node_cpp"];var __GLOBAL__sub_I_source_map_cpp=Module["__GLOBAL__sub_I_source_map_cpp"]=asm["__GLOBAL__sub_I_source_map_cpp"];var _bitshift64Shl=Module["_bitshift64Shl"]=asm["_bitshift64Shl"];var __GLOBAL__sub_I_parser_cpp=Module["__GLOBAL__sub_I_parser_cpp"]=asm["__GLOBAL__sub_I_parser_cpp"];var __GLOBAL__sub_I_units_cpp=Module["__GLOBAL__sub_I_units_cpp"]=asm["__GLOBAL__sub_I_units_cpp"];var _pthread_cond_broadcast=Module["_pthread_cond_broadcast"]=asm["_pthread_cond_broadcast"];var _fflush=Module["_fflush"]=asm["_fflush"];var __GLOBAL__sub_I_environment_cpp=Module["__GLOBAL__sub_I_environment_cpp"]=asm["__GLOBAL__sub_I_environment_cpp"];var ___cxa_is_pointer_type=Module["___cxa_is_pointer_type"]=asm["___cxa_is_pointer_type"];var __GLOBAL__sub_I_to_c_cpp=Module["__GLOBAL__sub_I_to_c_cpp"]=asm["__GLOBAL__sub_I_to_c_cpp"];var __GLOBAL__sub_I_util_cpp=Module["__GLOBAL__sub_I_util_cpp"]=asm["__GLOBAL__sub_I_util_cpp"];var __GLOBAL__sub_I_sass_functions_cpp=Module["__GLOBAL__sub_I_sass_functions_cpp"]=asm["__GLOBAL__sub_I_sass_functions_cpp"];var _memset=Module["_memset"]=asm["_memset"];var __GLOBAL__sub_I_listize_cpp=Module["__GLOBAL__sub_I_listize_cpp"]=asm["__GLOBAL__sub_I_listize_cpp"];var _sbrk=Module["_sbrk"]=asm["_sbrk"];var _sass_compile_emscripten=Module["_sass_compile_emscripten"]=asm["_sass_compile_emscripten"];var _memcpy=Module["_memcpy"]=asm["_memcpy"];var __GLOBAL__sub_I_functions_cpp=Module["__GLOBAL__sub_I_functions_cpp"]=asm["__GLOBAL__sub_I_functions_cpp"];var ___muldi3=Module["___muldi3"]=asm["___muldi3"];var __GLOBAL__sub_I_cssize_cpp=Module["__GLOBAL__sub_I_cssize_cpp"]=asm["__GLOBAL__sub_I_cssize_cpp"];var ___uremdi3=Module["___uremdi3"]=asm["___uremdi3"];var __GLOBAL__sub_I_sass_util_cpp=Module["__GLOBAL__sub_I_sass_util_cpp"]=asm["__GLOBAL__sub_I_sass_util_cpp"];var __GLOBAL__sub_I_sass_cpp=Module["__GLOBAL__sub_I_sass_cpp"]=asm["__GLOBAL__sub_I_sass_cpp"];var _i64Subtract=Module["_i64Subtract"]=asm["_i64Subtract"];var __GLOBAL__sub_I_bind_cpp=Module["__GLOBAL__sub_I_bind_cpp"]=asm["__GLOBAL__sub_I_bind_cpp"];var ___udivmoddi4=Module["___udivmoddi4"]=asm["___udivmoddi4"];var __GLOBAL__sub_I_sass_values_cpp=Module["__GLOBAL__sub_I_sass_values_cpp"]=asm["__GLOBAL__sub_I_sass_values_cpp"];var _i64Add=Module["_i64Add"]=asm["_i64Add"];var __GLOBAL__sub_I_sass_context_cpp=Module["__GLOBAL__sub_I_sass_context_cpp"]=asm["__GLOBAL__sub_I_sass_context_cpp"];var _pthread_self=Module["_pthread_self"]=asm["_pthread_self"];var __GLOBAL__sub_I_context_cpp=Module["__GLOBAL__sub_I_context_cpp"]=asm["__GLOBAL__sub_I_context_cpp"];var _pthread_mutex_unlock=Module["_pthread_mutex_unlock"]=asm["_pthread_mutex_unlock"];var __GLOBAL__I_000101=Module["__GLOBAL__I_000101"]=asm["__GLOBAL__I_000101"];var __GLOBAL__sub_I_inspect_cpp=Module["__GLOBAL__sub_I_inspect_cpp"]=asm["__GLOBAL__sub_I_inspect_cpp"];var __GLOBAL__sub_I_emitter_cpp=Module["__GLOBAL__sub_I_emitter_cpp"]=asm["__GLOBAL__sub_I_emitter_cpp"];var __GLOBAL__sub_I_iostream_cpp=Module["__GLOBAL__sub_I_iostream_cpp"]=asm["__GLOBAL__sub_I_iostream_cpp"];var __GLOBAL__sub_I_check_nesting_cpp=Module["__GLOBAL__sub_I_check_nesting_cpp"]=asm["__GLOBAL__sub_I_check_nesting_cpp"];var ___udivdi3=Module["___udivdi3"]=asm["___udivdi3"];var __GLOBAL__sub_I_extend_cpp=Module["__GLOBAL__sub_I_extend_cpp"]=asm["__GLOBAL__sub_I_extend_cpp"];var ___errno_location=Module["___errno_location"]=asm["___errno_location"];var runPostSets=Module["runPostSets"]=asm["runPostSets"];var ___muldsi3=Module["___muldsi3"]=asm["___muldsi3"];var ___cxa_can_catch=Module["___cxa_can_catch"]=asm["___cxa_can_catch"];var _free=Module["_free"]=asm["_free"];var __GLOBAL__sub_I_ast_cpp=Module["__GLOBAL__sub_I_ast_cpp"]=asm["__GLOBAL__sub_I_ast_cpp"];var _round=Module["_round"]=asm["_round"];var __GLOBAL__sub_I_file_cpp=Module["__GLOBAL__sub_I_file_cpp"]=asm["__GLOBAL__sub_I_file_cpp"];var _memmove=Module["_memmove"]=asm["_memmove"];var __GLOBAL__sub_I_output_cpp=Module["__GLOBAL__sub_I_output_cpp"]=asm["__GLOBAL__sub_I_output_cpp"];var _malloc=Module["_malloc"]=asm["_malloc"];var _pthread_mutex_lock=Module["_pthread_mutex_lock"]=asm["_pthread_mutex_lock"];var __GLOBAL__sub_I_expand_cpp=Module["__GLOBAL__sub_I_expand_cpp"]=asm["__GLOBAL__sub_I_expand_cpp"];var __GLOBAL__sub_I_subset_map_cpp=Module["__GLOBAL__sub_I_subset_map_cpp"]=asm["__GLOBAL__sub_I_subset_map_cpp"];var __GLOBAL__sub_I_values_cpp=Module["__GLOBAL__sub_I_values_cpp"]=asm["__GLOBAL__sub_I_values_cpp"];var dynCall_iiiiiiii=Module["dynCall_iiiiiiii"]=asm["dynCall_iiiiiiii"];var dynCall_iiiiiid=Module["dynCall_iiiiiid"]=asm["dynCall_iiiiiid"];var dynCall_v=Module["dynCall_v"]=asm["dynCall_v"];var dynCall_viiiii=Module["dynCall_viiiii"]=asm["dynCall_viiiii"];var dynCall_vi=Module["dynCall_vi"]=asm["dynCall_vi"];var dynCall_vii=Module["dynCall_vii"]=asm["dynCall_vii"];var dynCall_iiiiiii=Module["dynCall_iiiiiii"]=asm["dynCall_iiiiiii"];var dynCall_ii=Module["dynCall_ii"]=asm["dynCall_ii"];var dynCall_id=Module["dynCall_id"]=asm["dynCall_id"];var dynCall_iiiiii=Module["dynCall_iiiiii"]=asm["dynCall_iiiiii"];var dynCall_iiii=Module["dynCall_iiii"]=asm["dynCall_iiii"];var dynCall_ddi=Module["dynCall_ddi"]=asm["dynCall_ddi"];var dynCall_viiiiiiiiiiiiiii=Module["dynCall_viiiiiiiiiiiiiii"]=asm["dynCall_viiiiiiiiiiiiiii"];var dynCall_viiiiiiii=Module["dynCall_viiiiiiii"]=asm["dynCall_viiiiiiii"];var dynCall_iddddii=Module["dynCall_iddddii"]=asm["dynCall_iddddii"];var dynCall_viiiiii=Module["dynCall_viiiiii"]=asm["dynCall_viiiiii"];var dynCall_ddd=Module["dynCall_ddd"]=asm["dynCall_ddd"];var dynCall_di=Module["dynCall_di"]=asm["dynCall_di"];var dynCall_iddd=Module["dynCall_iddd"]=asm["dynCall_iddd"];var dynCall_viidii=Module["dynCall_viidii"]=asm["dynCall_viidii"];var dynCall_iid=Module["dynCall_iid"]=asm["dynCall_iid"];var dynCall_viiiiiii=Module["dynCall_viiiiiii"]=asm["dynCall_viiiiiii"];var dynCall_iiiiiiiiiiii=Module["dynCall_iiiiiiiiiiii"]=asm["dynCall_iiiiiiiiiiii"];var dynCall_viiiiiiiiii=Module["dynCall_viiiiiiiiii"]=asm["dynCall_viiiiiiiiii"];var dynCall_iii=Module["dynCall_iii"]=asm["dynCall_iii"];var dynCall_iiiiiddi=Module["dynCall_iiiiiddi"]=asm["dynCall_iiiiiddi"];var dynCall_diii=Module["dynCall_diii"]=asm["dynCall_diii"];var dynCall_dii=Module["dynCall_dii"]=asm["dynCall_dii"];var dynCall_i=Module["dynCall_i"]=asm["dynCall_i"];var dynCall_iiiii=Module["dynCall_iiiii"]=asm["dynCall_iiiii"];var dynCall_viii=Module["dynCall_viii"]=asm["dynCall_viii"];var dynCall_idi=Module["dynCall_idi"]=asm["dynCall_idi"];var dynCall_iiiiiiiii=Module["dynCall_iiiiiiiii"]=asm["dynCall_iiiiiiiii"];var dynCall_iiiiid=Module["dynCall_iiiiid"]=asm["dynCall_iiiiid"];var dynCall_viiii=Module["dynCall_viiii"]=asm["dynCall_viiii"];Runtime.stackAlloc=asm["stackAlloc"];Runtime.stackSave=asm["stackSave"];Runtime.stackRestore=asm["stackRestore"];Runtime.establishStackSpace=asm["establishStackSpace"];Runtime.setTempRet0=asm["setTempRet0"];Runtime.getTempRet0=asm["getTempRet0"];function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}ExitStatus.prototype=new Error;ExitStatus.prototype.constructor=ExitStatus;var initialStackTop;var preloadStartTime=null;var calledMain=false;dependenciesFulfilled=function runCaller(){if(!Module["calledRun"])run();if(!Module["calledRun"])dependenciesFulfilled=runCaller};Module["callMain"]=Module.callMain=function callMain(args){args=args||[];ensureInitRuntime();var argc=args.length+1;function pad(){for(var i=0;i<4-1;i++){argv.push(0)}}var argv=[allocate(intArrayFromString(Module["thisProgram"]),"i8",ALLOC_NORMAL)];pad();for(var i=0;i<argc-1;i=i+1){argv.push(allocate(intArrayFromString(args[i]),"i8",ALLOC_NORMAL));pad()}argv.push(0);argv=allocate(argv,"i32",ALLOC_NORMAL);var initialEmtStackTop=asm.emtStackSave();try{var ret=Module["_main"](argc,argv,0);exit(ret,true)}catch(e){if(e instanceof ExitStatus){return}else if(e=="SimulateInfiniteLoop"){Module["noExitRuntime"]=true;asm.emtStackRestore(initialEmtStackTop);return}else{if(e&&typeof e==="object"&&e.stack)Module.printErr("exception thrown: "+[e,e.stack]);throw e}}finally{calledMain=true}};function run(args){args=args||Module["arguments"];if(preloadStartTime===null)preloadStartTime=Date.now();if(runDependencies>0){return}preRun();if(runDependencies>0)return;if(Module["calledRun"])return;function doRun(){if(Module["calledRun"])return;Module["calledRun"]=true;if(ABORT)return;ensureInitRuntime();preMain();if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(Module["_main"]&&shouldRunNow)Module["callMain"](args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout((function(){setTimeout((function(){Module["setStatus"]("")}),1);doRun()}),1)}else{doRun()}}Module["run"]=Module.run=run;function exit(status,implicit){if(implicit&&Module["noExitRuntime"]){return}if(Module["noExitRuntime"]){}else{ABORT=true;EXITSTATUS=status;STACKTOP=initialStackTop;exitRuntime();if(Module["onExit"])Module["onExit"](status)}if(ENVIRONMENT_IS_NODE){process["exit"](status)}else if(ENVIRONMENT_IS_SHELL&&typeof quit==="function"){quit(status)}throw new ExitStatus(status)}Module["exit"]=Module.exit=exit;var abortDecorators=[];function abort(what){if(what!==undefined){Module.print(what);Module.printErr(what);what=JSON.stringify(what)}else{what=""}ABORT=true;EXITSTATUS=1;var extra="\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";var output="abort("+what+") at "+stackTrace()+extra;if(abortDecorators){abortDecorators.forEach((function(decorator){output=decorator(output,what)}))}throw output}Module["abort"]=Module.abort=abort;if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=true;if(Module["noInitialRun"]){shouldRunNow=false}run()





/*global Module*/
/*jshint strict:false, unused:false*/

function noop(){}


function stripLeadingSlash(text) {
  return text.slice(0, 1) === '/' ? text.slice(1) : text;
}

function addLeadingSlash(text) {
  return text.slice(0, 1) !== '/' ? ('/' + text) : text;
}

function stripTrailingSlash(text) {
  return text.slice(-1) === '/' ? text.slice(0, -1) : text;
}

function addTrailingSlash(text) {
  return text.slice(-1) !== '/' ? (text + '/') : text;
}


function pointerToString(pointer) {
  /*jshint camelcase:false*/
  return pointer && Module.Pointer_stringify(pointer) || null;
}

function stringToPointer(text) {
  // a character like ” takes 3 bytes, while .length would return 1
  // see https://github.com/medialize/sass.js/issues/72#issuecomment-263916386
  var bytes = Module.lengthBytesUTF8(text);
  var buffer = Module._malloc(bytes + 1);
  Module.stringToUTF8(text, buffer, bytes + 1);
  return buffer;
}

function pointerToJson(pointer) {
  var test = pointerToString(pointer);
  return test && JSON.parse(test) || null;
}

function pointerToStringArray(pointer) {
  var list = [];
  if (!pointer) {
    return list;
  }

  // TODO: are we limited to 32bit?
  for (var i=0; true; i+=4) {
    var _pointer = Module.getValue(pointer + i, '*');
    if (!_pointer) {
      break;
    }

    var _item = pointerToString(_pointer);
    _item && list.push(_item);
  }

  return list;
}

/*jshint strict:false, unused:false*/

var BooleanNumber = function(input) {
  // in emscripten you pass booleans as integer 0 and 1
  return Number(Boolean(input));
};

// map of arguments required by the emscripten wrapper (order relevant!)
// to not have to touch various different spots in this file,
// everything is defined here and registered in the appropriate places.
var options = [
  {
    // int output_style,
    type: 'number',
    // Output style for the generated css code
    // using Sass.style.*
    key: 'style',
    initial: 0,
    coerce: Number,
  },
  {
    // int precision,
    type: 'number',
    // Precision for outputting fractional numbers
    // 0: use libsass default
    key: 'precision',
    initial: -1,
    coerce: Number,
  },
  {
    // bool source_comments,
    type: 'number',
    // If you want inline source comments
    key: 'comments',
    initial: 0,
    coerce: BooleanNumber,
  },
  {
    // bool is_indented_syntax_src,
    type: 'number',
    // Treat source_string as SASS (as opposed to SCSS)
    key: 'indentedSyntax',
    initial: 0,
    coerce: BooleanNumber,
  },
  {
    // bool source_map_contents,
    type: 'number',
    // embed include contents in maps
    key: 'sourceMapContents',
    initial: 1,
    coerce: BooleanNumber,
  },
  {
    // bool source_map_embed,
    type: 'number',
    // embed sourceMappingUrl as data uri
    key: 'sourceMapEmbed',
    initial: 0,
    coerce: BooleanNumber,
  },
  {
    // bool omit_source_map_url,
    type: 'number',
    // Disable sourceMappingUrl in css output
    key: 'sourceMapOmitUrl',
    initial: 1,
    coerce: BooleanNumber,
  },
  {
    // char *source_map_root,
    type: 'string',
    // Pass-through as sourceRoot property
    key: 'sourceMapRoot',
    initial: 'root',
    coerce: String,
  },
  {
    // char *source_map_file,
    type: 'string',
    // Path to source map file
    // Enables the source map generating
    // Used to create sourceMappingUrl
    key: 'sourceMapFile',
    initial: 'file',
    coerce: String,
  },
  {
    // char *input_path,
    type: 'string',
    // The input path is used for source map generation.
    // It can be used to define something with string
    // compilation or to overload the input file path.
    // It is set to "stdin" for data contexts
    // and to the input file on file contexts.
    key: 'inputPath',
    initial: 'stdin',
    coerce: String,
  },
  {
    // char *output_path,
    type: 'string',
    // The output path is used for source map generation.
    // Libsass will not write to this file, it is just
    // used to create information in source-maps etc.
    key: 'outputPath',
    initial: 'stdout',
    coerce: String,
  },
  {
    // char *indent,
    type: 'string',
    // String to be used for indentation
    key: 'indent',
    initial: '  ',
    coerce: String,
  },
  {
    // char *linefeed,
    type: 'string',
    // String to be used to for line feeds
    key: 'linefeed',
    initial: '\n',
    coerce: String,
  },
];

/*global FS, PATH, Sass, stringToPointer*/
/*jshint strict:false*/

var Importer = {
  _running: false,
  _result: null,

  find: function(current, previous) {
    if (!Sass._importer) {
      Importer._running = false;
      return;
    }

    Importer._running = true;
    Importer._result = null;

    var resolved = PATH.resolve(previous === 'stdin' ? Sass._path : PATH.dirname(previous), current);
    var found = Sass.findPathVariation(FS.stat, resolved);
    var done = function done(result) {
      Importer._result = result;
      Importer._running = false;
    };

    try {
      Sass._importer({
        current: current,
        previous: previous,
        resolved: resolved,
        path: found,
        options: Sass._options.importer || null,
      }, done);
    } catch(e) {
      // allow emscripten to resume libsass,
      // if only to have it stop gracefully
      done({ error: e.message });
      // but don't just swallow the JS error
      console.error(e.stack);
    }
  },

  finished: function() {
    return !Importer._running;
  },

  path: function() {
    return Importer._resultPointer('path');
  },

  content: function() {
    return Importer._resultPointer('content');
  },

  error: function() {
    return Importer._resultPointer('error');
  },

  _resultPointer: function(key) {
    return Importer._result && Importer._result[key] !== undefined && stringToPointer(Importer._result[key]) || 0;
  },

};
/*global Module, FS, PATH, stripLeadingSlash, addTrailingSlash, XMLHttpRequest, noop, options*/
/*jshint strict:false*/

var Sass = {
  style: {
    nested: 0,
    expanded: 1,
    compact: 2,
    compressed: 3,
  },
  comments: {
    'none': 0,
    'default': 1,
  },

  _options: {
    // filled by sass.options.js
  },
  _defaultOptions: {
    // filled by sass.options.js
  },
  _optionTypes: {
    // filled by sass.options.js
  },

  _files: {},
  _path: '/sass/',

  FS: FS,
  PATH: PATH,
  Module: Module,

  // track if emscripten is initialized
  _initialized: false,
  // allow calling .compile() before emscripten is ready by "buffering" the call
  // (i.e. have the client not care about its asynchronous init)
  _ready: function() {
    Sass._initialized = true;
    // we may have buffered compile() calls during execution,
    Sass._compileNext();
  },

  _compileNext: function() {
    if (!Sass._compileQueue.length) {
      return;
    }
    // first in first out
    var args = Sass._compileQueue.shift();
    Sass.compile.apply(Sass, args);
  },

  options: function(options, callback) {
    if (options === 'defaults') {
      Sass.options(Sass._defaultOptions, callback);
      return;
    }

    if (typeof options !== 'object') {
      return;
    }

    Object.keys(options).forEach(function(key) {
      var _type = Sass._optionTypes[key];

      if (key === 'importer') {
        // allow passing compile() time options
        // to the importer callback
        Sass._options[key] = options[key];
        return;
      }

      // no need to import crap
      if (!_type) {
        throw new Error('Unknown option "' + key + '"');
      }

      // force expected data type
      Sass._options[key] = _type(options[key]);
    });

    callback && callback();
  },

  _cloneOptions: function() {
    var o = {};
    Object.keys(Sass._options).forEach(function(key) {
      o[key] = Sass._options[key];
    });

    return o;
  },

  importer: function(importerCallback, callback) {
    if (typeof importerCallback !== 'function' && importerCallback !== null) {
      throw new Error('importer callback must either be a function or null');
    }

    Sass._importer = importerCallback;
    callback && callback();
  },

  _absolutePath: function(filename) {
    return Sass._path + stripLeadingSlash(filename);
  },

  _createPath: function(parts) {
    var base = [];

    while (parts.length) {
      var directory = parts.shift();
      try {
        FS.createFolder(base.join('/'), directory, true, true);
      } catch(e) {
        // IGNORE file exists errors
      }

      base.push(directory);
    }
  },

  _ensurePath: function(filename) {
    var parts = filename.split('/');
    parts.pop();

    if (!parts.length) {
      return;
    }

    try {
      FS.stat(parts.join('/'));
      return;
    } catch(e) {
      Sass._createPath(parts);
    }
  },

  writeFile: function(filename, text, callback) {
    if (typeof filename === 'object') {
      callback = text;
      text = null;

      var map = {};
      Object.keys(filename).forEach(function(file) {
        Sass.writeFile(file, filename[file], function(result) {
          map[file] = result;
        });
      });

      callback && callback(map);
      return;
    }

    var _absolute = filename.slice(0, 1) === '/';
    var path = Sass._absolutePath(filename);
    try {
      Sass._ensurePath(path);
      FS.writeFile(path, text);
      Sass._files[path] = filename;
      // create symlink for absolute path resolution
      if (_absolute) {
        Sass._ensurePath(filename);
        FS.symlink(path, filename);
      }
      callback && callback(true);
    } catch(e) {
      callback && callback(false);
    }
  },

  readFile: function(filename, callback) {
    if (Array.isArray(filename)) {
      var map = {};
      filename.forEach(function(file) {
        Sass.readFile(file, function(result) {
          map[file] = result;
        });
      });

      callback && callback(map);
      return;
    }

    var path = Sass._absolutePath(filename);
    var result;
    try {
      result = FS.readFile(path, {encoding: 'utf8'});
    } catch(e) {}

    callback && callback(result);
  },

  listFiles: function(callback) {
    var list = Object.keys(Sass._files).map(function(path) {
      return Sass._files[path];
    });

    callback && callback(list);
  },

  removeFile: function(filename, callback) {
    if (Array.isArray(filename)) {
      var map = {};
      filename.forEach(function(file) {
        Sass.removeFile(file, function(result) {
          map[file] = result;
        });
      });

      callback && callback(map);
      return;
    }

    var _absolute = filename.slice(0, 1) === '/';
    var path = Sass._absolutePath(filename);
    try {
      FS.unlink(path);
      delete Sass._files[path];

      // undo symlink for absolute path resolution
      if (_absolute && FS.lstat(filename)) {
        FS.unlink(filename);
      }

      callback && callback(true);
    } catch(e) {
      callback && callback(false);
    }
  },

  clearFiles: function(callback) {
    Sass.listFiles(function(list) {
      list.forEach(function(file) {
        Sass.removeFile(file);
      });

      callback && callback();
    });
  },

  _handleFiles: function(base, directory, files, callback) {
    var _root = Sass._absolutePath(directory || '');
    _root = addTrailingSlash(_root);
    base = addTrailingSlash(base);

    return files.map(function(file) {
      file = stripLeadingSlash(file);

      var parts = file.split('/');
      var _file = parts.pop();
      var _path = _root + parts.join('/');
      _path = addTrailingSlash(_path);

      return callback(_path, _file, base + file);
    }, Sass);
  },

  _handleLazyFile: function(path, file, url) {
    Sass._ensurePath(path + file);
    FS.createLazyFile(path, file, url, true, false);
  },

  _preloadingFiles: 0,
  _preloadingFilesCallback: null,
  _handlePreloadFile: function(path, file, url) {
    Sass._ensurePath(path + file);

    Sass._preloadingFiles++;
    var request = new XMLHttpRequest();
    request.onload = function() {
      Sass.writeFile(path.slice(Sass._path.length) + file, this.responseText);

      Sass._preloadingFiles--;
      if (!Sass._preloadingFiles) {
        Sass._preloadingFilesCallback();
        Sass._preloadingFilesCallback = null;
      }
    };

    request.open('get', url, true);
    request.send();
  },

  lazyFiles: function(base, directory, files, callback) {
    Sass._handleFiles(base, directory, files, Sass._handleLazyFile);
    callback && callback();
  },

  preloadFiles: function(base, directory, files, callback) {
    Sass._preloadingFilesCallback = callback || noop;
    Sass._handleFiles(base, directory, files, Sass._handlePreloadFile);
  },


  // allow concurrent task registration, even though we can only execute them in sequence
  _compileQueue: [],
  compile: function(text, _options, callback, _compileFile) {
    if (typeof _options === 'function') {
      callback = _options;
      _options = null;
    }

    if (!callback) {
      throw new Error('Sass.compile() requires callback function as second (or third) parameter!');
    }

    if (_options !== null && typeof _options !== 'object') {
      throw new Error('Sass.compile() requires second argument to be an object (options) or a function (callback)');
    }

    var done = function done(result) {
      var _cleanup = function() {
        // we're done, the next invocation may come
        Sass._sassCompileEmscriptenSuccess = null;
        Sass._sassCompileEmscriptenError = null;
        // we may have buffered compile() calls during execution,
        Sass._compileNext();
      };
      var _done = function() {
        // reset options to what they were before they got temporarily overwritten
        _previousOptions && Sass.options(_previousOptions);
        // make sure we cleanup regardless of what happenes in the callback
        (typeof setImmediate !== 'undefined' ? setImmediate : setTimeout)(_cleanup);
        // announce we're done while still buffering incoming compile() calls
        callback(result);
      };

      // give emscripten a chance to finish the C function and clean up
      // before we resume our JavaScript duties
      (typeof setImmediate !== 'undefined' ? setImmediate : setTimeout)(_done);
    };

    // only one Sass.compile() can run concurrently, wait for the currently running task to finish!
    // Also we need to delay .compile() to when emscripten is ready (if not already the case)
    // doing this *after* the initial sanity checks to maintain API behavior
    // in respect to when/how exceptions are thrown
    if (Sass._sassCompileEmscriptenSuccess || !Sass._initialized) {
      Sass._compileQueue.push([text, _options, callback, _compileFile]);
      return;
    }

    try {
      // temporarily - for the duration of this .compile() - overwrite options
      var _previousOptions = null;
      if (_options) {
        _previousOptions = Sass._cloneOptions();
        Sass.options(_options);
      }

      Sass._sassCompileEmscriptenSuccess = function(result, map, files) {
        done({
          status: 0,
          text: result,
          map: map,
          files: files,
        });
      };

      Sass._sassCompileEmscriptenError = function(error, message) {
        var result = error || {};
        result.formatted = message;
        done(result);
      };

      Module.ccall(
        // C function to call
        'sass_compile_emscripten',
        // return type
        null,
        // parameter types
        [
          'string',
          'string',
          'bool',
          'bool',
        ].concat(options.map(function(option) {
          return option.type;
        })),
        // arguments for invocation
        [
          text,
          Sass._path,
          Number(Boolean(_compileFile)),
          Number(Boolean(Sass._importer)),
        ].concat(options.map(function(option) {
          return Sass._options[option.key];
        })),
        // we're not expecting synchronous return value
        { async: true }
      );
    } catch(e) {
      done({
        status: 99,
        line: null,
        message: e.message,
        error: e
      });
    }
  },
  compileFile: function(filename, _options, callback) {
    var path = Sass._absolutePath(filename);
    if (typeof _options === 'function') {
      callback = _options;
      _options = {};
    }

    _options.sourceMapRoot = path;
    _options.inputPath = path;

    return Sass.compile(path, _options, callback, true);
  },
};

// register options maintained in sass.options.js
options.forEach(function(option) {
  Sass._options[option.key] = Sass._defaultOptions[option.key] = option.initial;
  Sass._optionTypes[option.key] = option.coerce;
});

// until 0.9.6 we used a weird hacky way to get informed by Module.onRuntimeInitialized
// when emscripten was fully loaded. But since 0.9.5 we're not using a separate .mem file
// anymore and emscripten doesn't preload any files for us, so this became irrelevant.

// initialize after emscripten is loaded and the event loop cleared
setTimeout(Sass._ready);

/*global PATH, Sass*/
/*jshint strict:false*/

function isAbsolutePath (path) {
  return path[0] === '/';
}

Sass.getPathVariations = function(path) {
  // [importer,include_path] this is where we would add the ability to
  // examine the include_path (if we ever use that in Sass.js)
  path = PATH.normalize(path);
  var directory = PATH.dirname(path);
  var basename = PATH.basename(path);
  var extensions = ['.scss', '.sass', '.css'];
  // basically what is done by resolve_and_load() in file.cpp
  // Resolution order for ambiguous imports:
  var list = [
    // (1) filename as given
    path,
    // (2) underscore + given
    PATH.resolve(directory, '_' + basename)
  ].concat(extensions.map(function(extension) {
    // (3) underscore + given + extension
    return PATH.resolve(directory, '_' + basename + extension);
  })).concat(extensions.map(function(extension) {
    // (4) given + extension
    return PATH.resolve(directory, basename + extension);
  }));

  if (!isAbsolutePath(path)) {
    // PATH.resolve() makes everything absolute, revert that
    list = list.map(function(item) {
      return isAbsolutePath(item)
        ? item.slice(1)
        : item;
    });
  }

  return list;
};

Sass.findPathVariation = function(stat, path) {
  return Sass.getPathVariations(path).reduce(function(found, path) {
    if (found) {
      return found;
    }

    try {
      stat(path);
      return path;
    } catch(e) {
      return null;
    }
  }, null);
};
return Sass;
}));